Copyright: 1997 Lotus Development Corporation


Example: Abandon method
'Example: Abandon method

'This example script has not yet been created.


Example: Abilities property
'Example: Abilities property

'This example script has not yet been created.


Example: AbsoluteOn property
'Example: AbsoluteOn property

'This example script has not yet been created.


Example: AbsoluteXPos property
'Example: AbsoluteXPos property

'This example script has not yet been created.


Example: AbsoluteYPos property
'Example: AbsoluteYPos property

'This example script has not yet been created.


Example: Accelerators property
'Example: Accelerators property

'This example script has not yet been created.


Example: Activate method
'Example: Activate method

' This example prompts for a document name then cycles through all open

' documents and attempts to find the one requested.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim DocName As String

DocName = Inputbox("Enter the name of the document to activate:")

Forall Doc In .Documents

If Doc.Name = DocName Then

Doc.Activate

.ActiveDocWindow.Show

End If

End Forall


Example: ActiveDocument property
'Example: ActiveDocument property

''This example retrieves the name of the currently active Word

Pro document,

'assigns it to a variable and prints the name in the Output panel

of the Script Editor.

'You must have a document open for this script to work.

'Paste this script into Sub Main in the Globals section.

Dim DocName as String

DocName = CurrentApplication.ActiveDocument.Name

Print DocName


Example: ActiveDocWindow property
'Example: ActiveDocWindow property

''This example retrieves the text displayed in the title bar of

the currently active Word Pro document's window.

'It assigns that text to a variable and prints the text in the

Output panel of the Script Editor.

'You must have a document open for this script to work.

'Paste this script into Sub Main in the Globals section.

Dim DocWindowCaption as String

DocWindowCaption = CurrentApplication.ActiveDocument.Name

Print DocWindowCaption


Example: Active property
'Example: Active property

'This example script has not yet been created.


Example: ActualName property
'Example: ActualName property

Sub Main

Print "==================="

Forall x In .division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

Forall x In .Division.foundry.paragraphstyles

x.font.FontName = "Arial"

End Forall

Print "--------------------"

Forall x In .Division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

End Sub


Example: AddAccelerators method
'Example: AddAccelerators method

' This example assigns the 'AcceleratorTest' subroutine to the run every time ' the Control and 1 keys are simultaneously pressed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

' The AcceleratorTest subroutine  must also be included in your script module.

Const SHIFT = &H1000

Const CTRL = &H4000

Const ALT = &H2000

Dim FunctionName As String

Dim Key As Integer

.ActiveDocument.FullName

FunctionName = .ActiveDocument.FullName & "!AcceleratorTest"

Key = Asc("1")

.ApplicationWindow.Accelerators.AddAccelerators FunctionName, Key + CTRL, 0, True

Sub AcceleratorTest

Messagebox "Hello There"

End Sub


Example: AddBookmark method
'Example: AddBookmark method

' This example creates a new bookmark named 'NewBookMark' in the active

' division of the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkName as String

MarkName = .Mark($LwpMarkerTypeBookmark)

.Division.BookmarkManager.AddBookmark "NewBookMark", MarkName


Example: AddChildToLayout method
'Example: AddChildToLayout method

'This example script has not yet been created.


Example: AddDdeLink method
'Example: AddDdeLink method

'This example script has not yet been created.


Example: AddDivisionToPrint method
'Example: AddDivisionToPrint method

' This example prints the current division to the default printer.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim CurrentDivName As String

CurrentDivName =  .Division.Name

.ActiveDocument.GetPageRange $LwpPresentationTypeLayout, 100

.ActiveDocument.PrintSettings.ClearDivisionList

.ActiveDocument.PrintSettings.AddDivisionToPrint CurrentDivName

.ActiveDocument.PrintSettings.SelectedPages = "1-9999"

.ActiveDocument.PrintSettings.PrintRange = $LwpPrintRangeSelectedDivisions

.ActiveDocument.PrintSettings.Copies = 1

.ActiveDocument.PrintSettings.PrintPagesFrom = 1

.ActiveDocument.PrintSettings.PrintPagesTo = 1

.ActiveDocument.PrintSettings.PrintPageType = $LwpPrintPageEvenAndOddPages

.ActiveDocument.PrintSettings.Collate = False

.ActiveDocument.PrintSettings.OutputToFile = False


Example: AddDivision method
'Example: AddDivision method

' This example creates two parent divisions each containing two child divisions.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ParentDivName As String

Dim ChildDivName As String

Dim ParentDiv As String

ParentDivName = "Parent "

ChildDivName = "Child "

For ParentDivCount = 1 To 2

ParentDiv = .ActiveDocument.AddDivision(ParentDivName & CStr(ParentDivCount))

For ChildDivCount = 1 To 2

.ActiveDocument.AddDivision ChildDivName & CStr(ChildDivCount), ParentDiv

Next

Next


Example: AddEditorManager method
'Example: AddEditorManager method

' This example adds a new editor with read only rights to the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewEditorName As String

Dim NewEditorInitials As String

NewEditorName = "Lotus User"

NewEditorInitials = "LU"

.ActiveDocument.EditorManager.AddEditorManager NewEditorName, NewEditorName

.ActiveDocument.EditorManager.Editors(NewEditorName).Abilities = $LwpEditAbilEditingNotAllowed


Example: AddField method
'Example: AddField method

' This example adds a new field named 'ExampleField' for the current document

' where it is then inserted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocument.DocInfo.FieldManager.AddField "ExampleField", "Some data for ExampleField ", 1

.InsertDocInfo $LwpDocVarField, "ExampleField"


Example: AddIcon method
'Example: AddIcon method

Dim IcnMgr As IconBarManager

Set IcnMgr = .ApplicationWindow.IconBarManager

' Select the icon to add.

' For this example to work, the icon and the script must already be linked

IcnMgr.SelectCustomIcon "c:\lotus\wordpro\icons\mynew.bmp","c:\lotus\wordpro\scripts\mynew.lss"

' Add the icon to the Internet icon bar

IcnMgr.IconBars("InternetTools").AddIcon 2

' Set this bar to show in its context

IcnMgr.IconBars("InternetTools").ShowInContext = True

' This will force a redraw of IconBars

IcnMgr.ShowIconBars


Example: AddIndexEntry method
'Example: AddIndexEntry method

'This example script has not yet been created.


Example: AddItem method
'Example: AddItem method

'This example script has not yet been created.


Example: AddLayoutOverride method
'Example: AddLayoutOverride method

'This example script has not yet been created.


Example: AddListBoxText method
'Example: AddListBoxText method

'This example script has not yet been created.


Example: AddOutlineSequenceItem method
'Example: AddOutlineSequenceItem method

'This example script has not yet been created.


Example: AddPopupGraphicItem method
'Example: AddPopupGraphicItem method

'This example script has not yet been created.


Example: AddPopupPointSizeItem method
'Example: AddPopupPointSizeItem method

'This example script has not yet been created.


Example: AddPopupTextItem method
'Example: AddPopupTextItem method

'This example script has not yet been created.


Example: Address1 property
'Example: Address1 property

'This example script has not yet been created.


Example: Address2 property
'Example: Address2 property

'This example script has not yet been created.


Example: AddSectionTabs method
'Example: AddSectionTabs method

' This example adds a quick division after the current division.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.SectionTabs.AddSectionTabs


Example: AddSmartCorrect method
'Example: AddSmartCorrect method

' This example adds a new entry to the SmartCorrect list

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Language = "English (United States)"

With .Application.SmartCorrects(Language)

.AddSmartCorrect "lts", "Lotus Development"

End With


Example: AddStringToList method
'Example: AddStringToList method

'This example script has not yet been written.


Example: AddTOCEntry method
'Example: AddTOCEntry method

' This example adds the current sentence to the table of contents.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim TOCName As String

Dim TOCCommand As String

TOCName = .Text.GetText($LwpGetObjectTypeSentence,False)

TOCCommand = "TOC 1" & """" & TOCName & """"

.AddTOCEntry TOCCommand


Example: AddVerbMenu method
'Example: AddVerbMenu method

'This example script has not yet been created.


Example: Add method
'Example: Add method

' This example prompts for a word to be added to the user dictionary.  The

' word is inserted into the current document, selected and then added to the

' user dictionary.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewWord As String

NewWord = Inputbox ("Enter a word to add to the user dictionary:","Example Script","")

If NewWord <> "" Then

.Type NewWord

.Text.MoveToStart $LwpLocationTypeWord

.SelectWord

.Text.Add $LwpAddTypeSpell

Messagebox NewWord & " was added to the user dictionary.",MB_OK,"Example Script"

End If


Example: AdjustShade method
'Example: AdjustShade method

' This example inserts 20 words into the current document and shades the

' last 5 words.  After the message box is closed, 5 characters to the right

' of the insertion point are unshaded.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim WordNumber as Integer

For WordNumber = 1 To 20

.Text.InsertText "Word" & Format$(WordNumber) & " "

Next

.Text.Shade $LwpLocationTypeWord,$LwpNavigateDirectionLeft,5

 MessageBox "Click OK to adjust the shading.",MB_OK,"Example Script"

.Text.AdjustShade $LwpWhichSideLeft,5


Example: Adopt method
'Example: Adopt method

'This example script has not yet been created.


Example: AdviseOnRename method
'Example: AdviseOnRename method

'This example script has not yet been created.


Example: AdviseOnSave method
'Example: AdviseOnSave method

'This example script has not yet been created.


Example: Afid property
'Example: Afid property

'This example script has not yet been created.


Example: AlignmentChar property
'Example: AlignmentChar property

'This example script has not yet been created.


Example: AlignmentType property
'Example: AlignmentType property

'This example script has not yet been created.


Example: Alignment property
'Example: Alignment property

'This example script has not yet been created.


Example: AlignStyleName property
'Example: AlignStyleName property

'This example script has not yet been created.


Example: AllBorders property
'Example: AllBorders property

'This example script has not yet been created.


Example: AllowAlternateVerification property
'Example: AllowAlternateVerification property

'This example script has not yet been created.


Example: All property
'Example: All property

'This example script has not yet been created.


Example: AlternateName property
'Example: AlternateName property

'This example script has not yet been created.


Example: Always property
'Example: Always property

'This example script has not yet been created.


Example: AmikakeName property
'Example: AmikakeName property

'This example script has not yet been created.


Example: Amikake property
'Example: Amikake property

'This example script has not yet been created.


Example: AmountOfSpaceAbove property
'Example: AmountOfSpaceAbove property

'This example script has not yet been created.


Example: AmountOfSpaceBelow property
'Example: AmountOfSpaceBelow property

'This example script has not yet been created.


Example: Amount property
'Example: Amount property

'This example script has not yet been created.


Example: AmtTether property
'Example: AmtTether property

'This example script has not yet been created.


Example: AmtToTetherFrom property
'Example: AmtToTetherFrom property

'This example script has not yet been created.


Example: Anchor method
'Example: Anchor method

' This example creates a frame and then anchors the frame 'In text'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateFrame False, "Default Frame", 1440, 1440

.Frame.Anchor 0, $LwpConditionTypeAllpages, $LwpRelativeTypeLytInline


Example: AnswerMsgBox method
'Example: AnswerMsgBox method

' This example uses the AnswerMsgBox function to close the example

' message box.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.AnswerMsgBox $LwpMsgboxReplyOk

Messagebox "",MB_OK,"Example Script"


Example: AnyEdits method
'Example: AnyEdits method

' This example prints the number of edits made by the current editor to the

' active document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim UserName As String

UserName = .Preferences.UserName

Print .ActiveDocument.AnyEdits(UserName)


Example: AnyNumber property
'Example: AnyNumber property

'This example script has not yet been created.


Example: AppendMacro method
'Example: AppendMacro method

'This example script has not yet been created.


Example: AppFoundry property
'Example: AppFoundry property

'This example script has not yet been created.


Example: ApplicationWindow property
'Example: ApplicationWindow property

''This example first prints the value of the Height property on

the ApplicationWindow object to the Output Panel.

'Then it sets Height to half of its previous value and prints the

new value to the Output Panel.

'You must have a document open for this script to work.

'Paste this script into Sub Main in the Globals section.

Print .ApplicationWindow.Height

.ApplicationWindow.Height = (.5 * .ApplicationWindow.Height)

Print .ApplicationWindow.Height


Example: Application property
'Example: Application property

''This script gets the name of the currently active document by

going

'through the Application property of whatever object has the

focus.

'It prints the name to the Output panel in the Script Editor.

'You must have a document open to run this script.

'Paste this code example in Sub Main and run it.

DIM AppName As String

AppName = .Application.ActiveDocument.Name

Print AppName


Example: ApplyAdjectivePos property
'Example: ApplyAdjectivePos property

'This example script has not yet been created.


Example: ApplyAdjectNounPart property
'Example: ApplyAdjectNounPart property

'This example script has not yet been created.


Example: ApplyAgreementWithHereThere property
'Example: ApplyAgreementWithHereThere property

'This example script has not yet been created.


Example: ApplyAnglicisms property
'Example: ApplyAnglicisms property

'This example script has not yet been created.


Example: ApplyArchaicExpressions property
'Example: ApplyArchaicExpressions property

'This example script has not yet been created.


Example: ApplyArticleAgreement property
'Example: ApplyArticleAgreement property

'This example script has not yet been created.


Example: ApplyBadComparatives property
'Example: ApplyBadComparatives property

'This example script has not yet been created.


Example: ApplyBadInflection property
'Example: ApplyBadInflection property

'This example script has not yet been created.


Example: ApplyBadNounGender property
'Example: ApplyBadNounGender property

'This example script has not yet been created.


Example: ApplyBadNoun property
'Example: ApplyBadNoun property

'This example script has not yet been created.


Example: ApplyBadPlural property
'Example: ApplyBadPlural property

'This example script has not yet been created.


Example: ApplyBadPrepositions property
'Example: ApplyBadPrepositions property

'This example script has not yet been created.


Example: ApplyBelgianExpression property
'Example: ApplyBelgianExpression property

'This example script has not yet been created.


Example: ApplyBorrowedForeign property
'Example: ApplyBorrowedForeign property

'This example script has not yet been created.


Example: ApplyBureuaJargon property
'Example: ApplyBureuaJargon property

'This example script has not yet been created.


Example: ApplyCalque property
'Example: ApplyCalque property

'This example script has not yet been created.


Example: ApplyCapitalizationCheck property
'Example: ApplyCapitalizationCheck property

'This example script has not yet been created.


Example: ApplyClauseErrors property
'Example: ApplyClauseErrors property

'This example script has not yet been created.


Example: ApplyCliches property
'Example: ApplyCliches property

'This example script has not yet been created.


Example: ApplyColloquialExpression property
'Example: ApplyColloquialExpression property

'This example script has not yet been created.


Example: ApplyCommonlyConfusedWords property
'Example: ApplyCommonlyConfusedWords property

'This example script has not yet been created.


Example: ApplyCommonMisspell property
'Example: ApplyCommonMisspell property

'This example script has not yet been created.


Example: ApplyComplexWords property
'Example: ApplyComplexWords property

'This example script has not yet been created.


Example: ApplyConfusedEasy property
'Example: ApplyConfusedEasy property

'This example script has not yet been created.


Example: ApplyConfusedEnglish property
'Example: ApplyConfusedEnglish property

'This example script has not yet been created.


Example: ApplyConfusedHard property
'Example: ApplyConfusedHard property

'This example script has not yet been created.


Example: ApplyConfusedMedium property
'Example: ApplyConfusedMedium property

'This example script has not yet been created.


Example: ApplyConfusedVerb property
'Example: ApplyConfusedVerb property

'This example script has not yet been created.


Example: ApplyConsecutiveNouns property
'Example: ApplyConsecutiveNouns property

'This example script has not yet been created.


Example: ApplyContractions property
'Example: ApplyContractions property

'This example script has not yet been created.


Example: ApplyNounPhraseAgree property
'Example: ApplyNounPhraseAgree property

'This example script has not yet been created.


Example: ApplyNSAdjective property
'Example: ApplyNSAdjective property

'This example script has not yet been created.


Example: ApplyNSClause property
'Example: ApplyNSClause property

'This example script has not yet been created.


Example: ApplyNSCompare property
'Example: ApplyNSCompare property

'This example script has not yet been created.


Example: ApplyNSGeography property
'Example: ApplyNSGeography property

'This example script has not yet been created.


Example: ApplyNSInflection property
'Example: ApplyNSInflection property

'This example script has not yet been created.


Example: ApplyNSPronoun property
'Example: ApplyNSPronoun property

'This example script has not yet been created.


Example: ApplyNSUsage property
'Example: ApplyNSUsage property

'This example script has not yet been created.


Example: ApplyNSVerbForm property
'Example: ApplyNSVerbForm property

'This example script has not yet been created.


Example: ApplyOpenUsage property
'Example: ApplyOpenUsage property

'This example script has not yet been created.


Example: ApplyOverUsedPhrases property
'Example: ApplyOverUsedPhrases property

'This example script has not yet been created.


Example: ApplyPassiveVerbErrors property
'Example: ApplyPassiveVerbErrors property

'This example script has not yet been created.


Example: ApplyPostClitAgree property
'Example: ApplyPostClitAgree property

'This example script has not yet been created.


Example: ApplyPrepExpression property
'Example: ApplyPrepExpression property

'This example script has not yet been created.


Example: ApplyPunctuationErrors property
'Example: ApplyPunctuationErrors property

'This example script has not yet been created.


Example: ApplySensitiveExp property
'Example: ApplySensitiveExp property

'This example script has not yet been created.


Example: ApplyStockPhrase property
'Example: ApplyStockPhrase property

'This example script has not yet been created.


Example: ApplyStyleParameters property
'Example: ApplyStyleParameters property

'This example script has not yet been created.


Example: ApplySwedishGender property
'Example: ApplySwedishGender property

'This example script has not yet been created.


Example: ApplySwedishNegation property
'Example: ApplySwedishNegation property

'This example script has not yet been created.


Example: ApplySwedishUsage property
'Example: ApplySwedishUsage property

'This example script has not yet been created.


Example: ApplyTrite property
'Example: ApplyTrite property

'This example script has not yet been created.


Example: ApplyUngrammaticalExpressions property
'Example: ApplyUngrammaticalExpressions property

'This example script has not yet been created.


Example: ApplyWordChoice property
'Example: ApplyWordChoice property

'This example script has not yet been created.


Example: ApplyWordCompoundingCheck property
'Example: ApplyWordCompoundingCheck property

'This example script has not yet been created.


Example: ApplyWordConfusion property
'Example: ApplyWordConfusion property

'This example script has not yet been created.


Example: ApplyWordGender property
'Example: ApplyWordGender property

'This example script has not yet been created.


Example: ApplyWordParts property
'Example: ApplyWordParts property

'This example script has not yet been created.


Example: ApplyWordyPhraseCheck property
'Example: ApplyWordyPhraseCheck property

'This example script has not yet been created.


Example: Action property
'Example: Action property

'This example script has not yet been created.


Example: Action property
'Example: Action property

'This example script has not yet been created.


Word Pro: Abandon method

 See list of classes

 See example

Converts the child container of a non-page container to the child container of the current page container.

Syntax

[objectreference].Abandon()

Parameters

Return value

Boolean

Usage

An example of how to use the Abandon method can be seen in the following scenario: On a page is a parent frame that contains a child frame. When you move the parent frame across the page, the child frame anchored to the parent frame moves with it. You now want to detach the child frame from the parent  frame and anchor it instead to the current page, so that the child frame moves across the page by itself. To accomplish this, you set the Abandon method to convert the child frame from a child of its parent frame to a child of the current page container.

Equivalent to choosing Frame Properties, clicking the Placement tab, and selecting "On current page" from the "Place frame" box. Note that the Frame menu displays when the insertion point is in a frame.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: Activate method

 See list of classes

 See example

[SectionTabs]

Causes an OLE object to become active in the Word Pro application.

Syntax

[objectreference].Activate()

Parameters

Return value

Returns an Integer value indicating success (True) or failure (False). The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

[Document ]

Use this method from a TextDocument object to make that object active.


Topics Found:

Word Pro: Document class

Word Pro: SectionTabs class

Word Pro: TextDocument class


Word Pro: AddAccelerators method

 See list of classes

 See example

Adds accelerator key commands that implement Word Pro functions and commands.

Syntax

[objectreference].AddAccelerators(MacroName, Key, [Id],[IsTemporaryUse])

Parameters

Macroname
A String expression representing the name of the macro, including the file name that should be assigned to a keystroke.

Key
A Numeric expression representing the specific key used as the shortcut key combination. Data type is Integer.

Id
A Numeric expression representing the identification number of the menu item to which you want to add the accelerator object. Data type is Integer. Default is 0.

IsTemporaryUse
A Boolean expression indicating whether this accelerator will persist between sessions of Word Pro (False) or will be discarded when the current session of Word Pro is terminated (True). Default is False.

Return value

Integer

Usage


Topics Found:

Word Pro: Accelerators class


Word Pro: AddBookmark method

 See list of classes

 See example

Adds a bookmark object to the document. Equivalent to choosing Create - Bookmark. The bookmark must first be created by creating a new marker of type Bookmark. After the marker is created, the AddBookmark method notifies the BookmarkManager about the newly created bookmark.

Syntax

[objectreference].AddBookmark(Name,MarkerName)

Parameters

Name
A String expression representing the bookmark object you want to add; user-defined. If you create a duplicate name, a number is added to the end of the original name.

MarkerName
The String name of the bookmark object marker. You must create a marker before you create a bookmark. You can name the bookmark yourself or use the name provided by Word Pro.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BookmarkManager class


Word Pro: AddChildToLayout method

 See list of classes

 See example

Assigns a parent layout object a child layout object.

Syntax

[objectreference].AddChildToLayout(ChildName)

Parameters

ChildName
A String expression that represents the name of child object you want to add to the layout.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: AddDdeLink method

 See list of classes

 See example

Adds a Dde link object to the document. Word Pro creates a Dde link if you use Paste Special, but only if OLE fails.

Syntax

[objectreference].AddDdeLink(ConversationHandle,LinkInfo,MarkerName,ServerN

ClipbrdFormatName,UpdateDataOnly)

Parameters

ConversationHandle
A Numeric expression that was added manually, representing the conversation handle used by this method. If added using LotusScript, this value is always 0. If added internally, the value may be non-0. Data type is Long. Required parameter.

LinkInfo
A String expression representing the link information about the Dde link object you want to add. Consists of the server name, the topic name, and the item name. Required parameter.

MarkerName
The String name of the Dde link object. You must create a marker before you create a Ddelink. You can name it yourself or use the name provided by Word Pro.

ServerName
The String expression representing the executable name of the server to which you want to link.

TopicName
The String expression representing the name of the drive, directory, and name for the file that contains the data or the object name of the data.

ItemName
The String expression representing the location or name for the data, such as a range of cells, a named spreadsheet range, or a bookmark name.

ClipbrdFormatName
The String expression representing the name of the format used by the Clipboard. The format will be used to read/interpret/import the data.

UpdateDataOnly
A Boolean expression that specifies whether the new DDE link will update. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). This value specifies whether you can use formatting from the server application or from Word Pro. If the value is True, the formatting is Word Pro.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

In Word Pro, it is difficult to create a Dde link through the user interface because OLE is always tried first. You can also create a link through LotusScript, some Ami Pro documents, or other applications such as WordPerfect.


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: AddDivisionToPrint method

 See list of classes

 See example

Allows you to specify the name of a division object that you want to print.

Syntax

[objectreference].AddDivisionToPrint(DivisionToPrint)

Parameters

DivisionToPrint
A String expression that allows you to print a specified division object.

Return value

Integer

Usage

Use this method to add a division object to a list of divisions. You can locate a list of divisions by choosing File - Print, clicking Select Pages and selecting "Whole divisions"  in the Select Pages dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: AddDivision method

 See list of classes

 See example

Adds a division object to a division or text document object. Equivalent to choosing Create - Division.

Syntax

Division

[objectreference].AddDivision(NewName, [ParentName,] [BeforeNeighbor,][NeighborName])

TextDocument

[objectreference].AddDivision(NewName, [ParentName,] [BeforeNeighbor,][NeighborName])

Parameters

NewName
A String expression that represents the name of the new division object.

ParentName
A String expression representing the name of the parent division object.

BeforeNeighbor
Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). This parameter allows you to specify whether you want to locate the new division object before its neighbor division object. Default is False (0).

NeighborName
A String expression representing the name of a neighbor division object.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: AddEditorManager method

 See list of classes

 See example

Adds a new editor to a document.

Syntax

[objectreference].AddEditorManager(EditorName, EditorInitials)

Parameters

EditorName
A String expression representing the name of the assigned editor.

EditorInitials
A String expression representing the initials of the assigned editor.

Return value

The return value for this method is always -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

This method returns True if Word Pro adds a new editor to the document. This method returns False if Word Pro does not add a new editor to the document, or if the specific editor name already exists.

Usage

Allows you to add a new editor to a document and assign the editor default editing rights as defined by the special "All others" editor. You can only add a new editor to a document using this method, not an editor manager.


Topics Found:

Word Pro: EditorManager class


Word Pro: AddField method

 See list of classes

 See example

Creates a document field object in a document. Equivalent to choosing File - Document Properties, choosing Document, clicking the Fields tab, and clicking New.

Syntax

[objectreference].AddField(FieldName,Contents, ExportFieldToNotes)

Parameters

FieldName
A String expression representing the name of the document field you want to add.

Contents
A String expression representing the contents that will be contained in the document field you want to add.

ExportFieldToNotes
A Boolean expression specifying whether or not you want the field exported to Notes.  A Boolean expression is either True or False.

Return value

The return value for this method is always -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Creating a new document field object as part of the document information can be useful when you want to track specific information. For example, you could develop a system to track documents with specific clients. First, you could create a document field called "Client" for the document and assign a client name as its contents. You can then insert the document field into your text stream, so that the client's name would appear in the text of the document.


Topics Found:

Word Pro: DocInfoFieldManager class


Word Pro: AddIcon method

 See list of classes

 See example

Adds an icon to an icon bar object.

Syntax

[objectreference].AddIcon(Position)

Parameters

ParameterName

Data type is Integer. Parameter is the user-defined location on the icon on the bar. Required parameter. The legal values for this parameter will always be -1 or 0 but you can use the LotusScript constants of True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this method to add an icon to an existing icon pallet. The position parameter is a base 0; thus, the first position is position zero, the second position is position one, and so on.

To add an icon, you must first select it using the SelectCustomIcon or SelectStandardIcon method in the IconBarManager class. The Word Pro user interface is in the SmartIcons Setup dialog box where you can drag an icon from the available list and drop it on the icon bar set.


Topics Found:

Word Pro: IconBar class


Word Pro: AddIndexEntry method

 See list of classes

 See example

Adds an index entry for an entire document, for a section, division, or selected text in a document. Only applies to an existing index.

Syntax

[objectreference].AddIndexEntry(IndexEntry)

Parameters

IndexEntry
A String expression representing the name of the entry you want to add to the index.

Return value

Usage

Equivalent to choosing Text - Mark Text As - Index Entry, selecting the desired text, and clicking Mark.


Topics Found:

Word Pro: WPApplication class


Word Pro: AddItem method

 See list of classes

 See example

Adds an item in a combo box object or list box object.

Syntax

[objectreference].AddItem(item)

Parameters

Item
A String expression representing the name of the item you want to add to the combo box object or list box object.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: AddLayoutOverride method

 See list of classes

 See example

Adds an overridden layout method to a layout object.

Syntax

[objectreference].AddLayoutOverride(LayoutObjectName)

Parameters

LayoutObjectName
A String expression representing the name of the layout object you want to override.

Return value

Usage


Topics Found:

Word Pro: LayoutOverride class


Word Pro: AddListBoxText method

 See list of classes

 See example

Allows you to add text to a list box in a custom dialog object.

Syntax

[objectreference].AddListBoxText(Control_ID,text)

Parameters

Control_ID
Data type is Variant.

Text
Data type is String.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: AddOutlineSequenceItem method

 See list of classes

 See example

Adds an item to an outline style sequence object.

Syntax

[objectreference].AddOutlineSequenceItem(StyleName)

Parameters

StyleName
A String expression representing the style name of the outline sequence item that you want to add to an outline style sequence object.

Return value

Usage


Topics Found:

Word Pro: OutlineStyleSequence class


Word Pro: AddPopupGraphicItem method

 See list of classes

 See example

This method is called when responding to the StatusBarButtonFillPopupList event. This methodadds the graphic into the popup list.

Syntax

[objectreference].AddPopupGraphicItem([BitmapHandle])

Parameters

BitmapHandle
The handle to the bitmap that is to be displayed in the popup list.

Return value

True if the item is added; False if the item is not added.

Usage

This method can only be used if the button is of type Graphic. The first item is at the top of the list.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: AddPopupPointSizeItem method

 See list of classes

 See example

Inserts an item in the popup list on the point size status bar button object. This method is called when responding to the StatusBarButtonFillPopupList event.

Syntax

[objectreference].AddPopupPointSizeItem(PointSize)

Parameters

PointSize
Indicates the value which should appear in the list of point sizes.

Return value

Integer

Usage

You can call this method once for each item you want to add to the list of point sizes. The first item is at the top of the list.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: AddPopupTextItem method

 See list of classes

 See example

Inserts an item in a popup list on the text status bar button object. This method is called when responding to the StatusBarButtonFillPopupList event. This method will add the text in the popup list.

Syntax

[objectreference].AddPopupTextItem(Text, [BitmapHandle])

Parameters

Text
Indicates the text to be displayed in the popup list.

BitmapHandle
The handle to the bitmap that is to be displayed in the popup list. This parameter is only valid if the button is of type TextAndGraphic. Otherwise, it should be 0. Optional parameter. Data type is Long.

Return value

Integer

Usage

This method may only be used if the button is of type Text, or TextAndGraphic. The first item is at the top of the list.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: AddSectionTabs method

 See list of classes

 See example

Creates a new division after the current division.

Syntax

[objectreference].AddSectionTabs()

Parameters

Return value

Usage

Equivalent to clicking the right mouse button on an existing division divider tab and choosing Quick Division.


Topics Found:

Word Pro: SectionTabs class


Word Pro: AddSmartCorrect method

 See list of classes

 See example

Adds the SmartCorrect tool to a document. Equivalent to choosing Edit - SmartCorrect.

Syntax

[objectreference].AddSmartCorrect(Entry,Replacement)

Parameters

Entry
A String expression representing the entry you want to add to the SmartCorrect tool.

Replacement
A String expression representing the text you want to use to replace a SmartCorrect entry.

Return value

Usage


Topics Found:

Word Pro: SmartCorrect class


Word Pro: AddTOCEntry method

 See list of classes

 See example

Adds a table of contents entry for an entire document, for a section, division, or selected text in a document.

Syntax

[objectreference].WPApplication.AddTOCEntry(TOCEntry)

[objectreference].TOCSuperTableLayout.AddTOCEntry()

Parameters

TOCEntry
Data type is String.

Return value

Usage


Topics Found:

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: AddVerbMenu method

 See list of classes

 See example

Adds a list of available verbs that a Ole object can support.

Syntax

[objectreference].AddVerbMenu(MenuHandle,OleVerbMin,OleVerbMax,OleVerbConve

Parameters

MenuHandle
A Numeric expression representing the menu handle used by the AddVerbMenu method. Data type is Long as the numeric expression.

OleVerbMin
Data type is Integer.

OleVerbMax
Data type is Integer.

OleVerbConvert
Data type is Integer.

Return value

Integer

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: Add method

 See list of classes

 See example

Adds the selected word to the currently active user dictionary.

Syntax

[objectreference].Add(AddType)

Parameters

AddTypeSpell
Tells Word Pro that you are adding a word to the user dictionary. Data type is Variant which allows the value of this parameter to be either a number or a constant that produces that number. There is no default value. You must include the constant $LwpAddTypeSpell or its numeric equivalent of 4.

Return value

Integer

Usage

If more than one user dictionary is active, Word Pro adds the word to the first dictionary listed in the Spell Check Options dialog box.

If more than one word is selected, only the word at the beginning of the selection is added to the dictionary.

If the word ends with a paragraph or other marker, Word Pro will not add the word to the dictionary.

If no word is selected, the word at the insertion point is added to the dictionary.

If the insertion point is at the end of a word, that word is added to the dictionary.

If the insertion point is at the beginning of a word, that word is added to the dictionary.

If the insertion point is between two spaces, no word is added to the dictionary.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AdjustShade method

 See list of classes

 See example

Changes the size of a text selection. The selected text could be in a Text, a TextMarker, or a ClickHere object.

Syntax

[objectreference].AdjustShade(WhichSide, Count, AdjustUnit, MarkerName)

Parameters

WhichSide
Specifies which side of the selection you are adjusting. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpWhichSideLeft (2068)

$LwpWhichSideRight (2069)

$LwpWhichTypeLeft (1989)

$LwpWhichTypeRight (1990)

Count
An Integer expression which specifies how many units (specifed in the AdjustUnit parameter) will be added or removed from the selection. To remove units, use positive integers. To add units, use negative integers.

AdjustUnit
Specifies the type of unit you will use to increment your adjustment. Specify the number of units in the Count parameter. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpAdjustUnitCharacter (2246)
Selects or deselects the specified number of characters.

$LwpAdjustUnitWord (2247)
Selects or deselects the specified number of words. A word is comprised of a contiguous string of alphanumeric characters. Punctuation and spaces are seen as the end of a word.

$LwpAdjustUnitChunk (2248)
Selects or deselects the specified number of chunks. A chunk is comprised of a single word (a group of characters with no spaces) and all the contiguous spaces following that word.

$LwpAdjustUnitSentence (2249)
Selects or deselects the specified number of sentences. A sentence is comprised of a stream of text marked on either side by either a period or a paragraph marker.

$LwpAdjustUnitObject (2250)
Selects or deselects the specified number of objects.

$LwpAdjustUnitParagraph (2251)
Selects or deselects the specified number of paragraphs.

$LwpAdjustUnitMarker (2252)
Moves the specified side of the selection to the marker object named in the MarkerName parameter. If you use this value, you must use 1 for the value of the Count parameter.

MarkerName
A String expression which specifies the name of the marker object to which you want to move part of your selection. Use this parameter only when you use $LwpAdjustUnitMarker as the value for the AdjustUnit parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Word Pro sees the sides of a selection as the sides of an expandable blanket. You can stretch or shrink a blanket to fit an area and you can pick up the left side of a blanket and pull it over the right side so the blanket covers an entirely new area. The same is true of a selection in Word Pro. You can change the coverage of your text selection using the left and right sides and marker objects.

For example, if you have a marker named "MarkerOne" and you tell Word Pro to adjust the left side of the selection to match that marker, Word Pro moves the left side of the selection to the MarkerOne position. Word Pro changes the selection in one of three ways:

•	If MarkerOne is located before the selection, Word Pro expands the selection to include the text between the original left side and MarkerOne.

•	If MarkerOne is located between the original left and right sides of the selection, the selection is reduced to exclude the text between the original left side and MarkerOne.

•	If MarkerOne is located after the selection, Word Pro moves the left side to MarkerOne so that the original selection is entirely excluded, and everything between the original right side and MarkerOne becomes selected.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Adopt method

 See list of classes

 See example

Converts a specific child container of a current page container to a child container of a specific parent container within the page.

Syntax

[objectreference].Adopt()

Parameters

Return value

Usage

An example of how to use the Adopt method can be seen when a page container has a child frame anchored to it. Because the child frame is anchored to the page, it can be moved across the page. If you want to detach the child frame from the page and anchor it to a parent frame container so that the child frame moves within the frame, set the Adopt method.

Equivalent to choosing Frame Properties, clicking the Placement tab, and selecting "In Frame" from the "Place frame" box. Note that the Frame menu displays when the insertion point is in a frame.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: AdviseOnRename method

 See list of classes

 See example

Syntax

[objectreference].AdviseOnRename()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: AdviseOnSave method

 See list of classes

 See example

Syntax

[objectreference].AdviseOnSave()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Anchor method

 See list of classes

 See example

Attaches an object, such as a table or frame object, to a page or a paragraph in a page.

Syntax

[objectreference].Anchor([AnchorWhere,] [ConditionType,] [RelativeType,] [AnchorParent])

Parameters

AnchorWhere
The value of this optional Variant parameter indicates where to attach an object to a page or a paragraph in a page. It must be one of the string constants below or its numeric equivalent. The default value is $LwpAnchorWhereDivisionInfo.

Value	Effect
$LwpAnchorWhereDivisionInfo (12)	Indicates that the method will attach an object to a DivisionInfo object.
$LwpAnchorWhereLayout (13)	Indicates that the method will attach an object to a layout object.
ConditionType
The value of this optional Variant parameter specifies which pages of a document to attach an object. It must be one of the string constants below or its numeric equivalent. Default is $LwpConditionTypeAllpages.

Value	Effect
$LwpConditionTypeAllbutspecificpage (156)	Indicates that the method will attach an object to all pages of a document, except on the page you specify.
$LwpConditionTypeAllpages (154)	Indicates that the method will attach an object to all pages of a document.
$LwpConditionTypeOnlyevenpages (157)	Indicates that the method will attach an object to only even pages of a document.
$LwpConditionTypeOnlyoddpages (158)	Indicates that the method will attach an object to only odd pages of a document.
$LwpConditionTypeOnlyspecificpage (155)	Indicates that the method will attach an object to only a specific page in a document.
$LwpConditionTypeStartatpage (159)	Indicates that the method will allow you to specify on which page to start attaching an object.
RelativeType
The value of this optional Variant parameter determines where in the page layout the table or frame object is anchored. It must be one of the string constants below or its numeric equivalent. Default is $LwpRelativeTypeLytInlineNewline.

Value	Effect
$LwpRelativeTypeLytContent (1670)	Indicates that the method will anchor an object so that it is relative to the content box of the parent layout.
$LwpRelativeTypeLytInline (1668)	Indicates that the method will anchor an object to the text flow as a single character and affects the line height accordingly.
$LwpRelativeTypeLytInlineNewline (1669)	Indicates that the method will place an object on a new line by itself in the page layout.
$LwpRelativeTypeLytInlineVert (1671)	Indicates that the method will anchor an object so that it always moves vertically in the page layout.
$LwpRelativeTypeLytPara (1667)	Indicates that the method will anchor an object so that the text is relative to a paragraph in the page layout.
$LwpRelativeTypeLytParent (1666)	Indicates that the method will set the coordinates of an object so that they are relative to the parent layout and that the anchor position is on the page layout.
AnchorParent
The value of this Variant optional parameter indicates which parent layout to attach an object. It must be one of the string constants below or its numeric equivalent. Default is $LwpAnchorParentDefault.

Value	Effect
$LwpAnchorParentCell (10)	Indicates that the method will attach an object to a parent cell object.
$LwpAnchorParentDefault (11)	Indicates that the method will attach a table or frame object.
$LwpAnchorParentFrame (9)	Indicates that the method will attach an object to a parent frame object.
Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: AnswerMsgBox method

 See list of classes

 See example

Provides a response to a message box.

Syntax

[objectreference].AnswerMsgBox(MsgBoxResponse)

Parameters

MsgBoxResponse
The response you want to use. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpMsgboxReplyCancel (2076)

$LwpMsgboxReplyIgnore (2078)

$LwpMsgboxReplyNo (2080)

$LwpMsgboxReplyOk (2075)

$LwpMsgboxReplyRetry (2077)

$LwpMsgboxReplyYes (2079)

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Use this method to handle any message boxes which Word Pro might display while your script is running. For example, if your script causes a warning message box to appear, you can include this method in your code before the statement which elicits the message box. Word Pro answers the first message box it sees with the response you provide in the MsgBoxResponse parameter.


Topics Found:

Word Pro: WPApplication class


Word Pro: AnyEdits method

 See list of classes

 See example

Syntax

[objectreference].AnyEdits(EditorName)

Parameters

EditorName
A String expression representing the name of the editor.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: AppendMacro method

 See list of classes

 See example

Syntax

[objectreference].AppendMacro()

Parameters

Return value

Usage


Topics Found:

Word Pro: Macro class


Word Pro: Backspace method

 See list of classes

 See example

Executes a Backspace. This is similar but not identical to pressing the Backspace key.

Syntax

[objectreference].Backspace(Count)

Parameters

Count
An Integer expression specifying the number of backspaces Word Pro should execute. You must use positive integers for this value. Negative integers will produce unpredictable results.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If any text is selected when you call this method, the selection is treated the same as the insertion point. The selection itself remains untouched, while the text preceding the selection becomes the subject of the backspace.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Backward method

 See list of classes

 See example

Moves an object or the insertion point backward. A Forward method is also available.

Syntax

When called from a Layout object:

[objectreference.]Backward()

When called from a container object:

[objectreference.]Backward(Direction)

When called from a Text, TextMarker, or ClickHere object:

[objectreference.]Backward(Unit, N[, Cursoring][, TextOnly])

Parameters

Direction
Specifies whether Word Pro should move the insertion point back by page or by window. Data type is Variant which allows the value of this parameter to be one of the string constants listed below or its numeric equivalent (in parentheses). There is no default value.

Value	Effect
$LwpDirectionPage (182)	Indicates that the method will move the insertion point back by one page.
$LwpDirectionWindow (183)	Indicates that the method will move the insertion point back by one window.
The Direction parameter is only used when calling this method from a container object. A container object is any object created from a container class. A container class is any class derived from the BaseContainer class, including: CellContainer, DropCapContainer, FrameContainer, NoteContainer, PageContainer, ParallelColsContainer, RowContainer, RubyContainer, SubPageContainer, SuperPageContainer, SuperTableContainer, TableContainer, and TableOnlyCont.

Unit
Specifies the unit of measurement you want to use in moving the insertion point. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object. You must also use the N parameter to indicate how many of these units to move backward. Data type is Variant, which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

Value	Effect
$LwpNavigateObjectTypeCharacter (1519)	The method will move the insertion point the specified number of characters. Set the Cursoring parameter to True to mimic the use of the arrow keys.
$LwpNavigateObjectTypeChunk (1522)	The method will move the insertion point the specified number of chunks. A chunk is comprised of a single word (a contiguous group of characters with no spaces) and all the spaces following that word. If the insertion point is at the beginning, the end or anywhere within a word, the chuck is comprised of that word and the spaces that follow it. If the insertion point is between two spaces, the chunk is seen as all the spaces following the insertion point to the beginning of the next word. If there is no word between the spaces and the end of the paragraph, the chunk is comprised of all the spaces up to the end of the paragraph.
$LwpNavigateObjectTypeObject (1520)	Any of the objects defined in this list.
$LwpNavigateObjectTypePage (1518)	The method will move the insertion point the specified number of pages, leaving it at the top of the page.
$LwpNavigateObjectTypeParagraph (1524)	The method will move the insertion point the specified number of paragraphs. A paragraph is comprised of all the text and tables between two paragraph markers, as well as any frames whose "Place frame" option is set to "With paragraph above."
$LwpNavigateObjectTypeSentence (1523)	The method will move the insertion point the specified number of sentences. A sentence is comprised of all the text between two periods.
$LwpNavigateObjectTypeWord (1521)	The method will move the insertion point the specified number of words. A word is comprised of a contiguous string of alphanumeric characters. Punctuation or a space is seen as the end of a word. If the insertion point is between two spaces, the word is comprised of all the spaces on both sides of the insertion point, as well as the word preceding the spaces.
N
An Integer expression which specifies the number of units you want to move the insertion point. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object.

Cursoring
Use this parameter only when the Unit parameter has a value of $LwpNavigateObjectTypeCharacter. This parameter takes an Integer expression that indicates whether or not you want Word Pro to move the insertion point as if you were using the arrow keys to move the cursor through a document. When you use the arrow keys, Word Pro skips over hidden markers, such as bookmarks. Default is False (0), which causes Word Pro to include any hidden markers when it moves the insertion point by characters. Data type is Integer. The legal values for this parameter are -1 and 0, but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object.

TextOnly
An Integer expression which indicates whether or not you want Word Pro to exclude tables and frames marked as "With paragraph above" when moving the insertion point. Data type is Integer. The legal values for this parameter are -1 and 0, but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False (0) which includes tables and certain frames. A value of True will cause Word Pro to skip over tables and frames when moving the insertion point. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

What this method moves backward and how is determined in part or in whole by the object from which you call the method.

When you call this method from a Layout object, it moves that Layout object backward one level in relation to the other layout objects of the same type.

When you call this method from a container object, Word Pro places the insertion point at the beginning of the previous page.

When you call this method from a Text, TextMarker, or ClickHere object, Word Pro moves the insertion point backward the specified number of units.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapContainer class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameContainer class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteContainer class

Word Pro: NoteLayout class

Word Pro: PageContainer class

Word Pro: PageLayout class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyContainer class

Word Pro: RubyLayout class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableContainer class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableOnlyCont class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: BeginChange method

 See list of classes

 See example

Syntax

[objectreference].BeginChange([DontMarkChanges])

Parameters

DontMarkChanges
An optional Boolean expression that allows you to mark (True) or not mark (False) any changes you have begun in the Word Pro application, division, or text document object. A boolean expression is either True or False.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: BeginCustomLines method

 See list of classes

 See example

This method is used by Word Pro when recording a script, in order to reflect the beginning of a customized table line style selection.

Syntax

[objectreference].BeginCustomLines()

Parameters

Return value

This method always returns 0.

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: Bisect method

 See list of classes

 See example

Syntax

[objectreference].Bisect(Objectname,Objectname)

Parameters

Objectname
A String expression representing the name of the object you want to bisect.

Objectname
A String expression representing the name of the object you want to bisect.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Bold method

 See list of classes

 See example

Sets the bold attribute for selected text, or all following text if no text is selected. Acts as a toggle, turning the attribute off if it is on, and on if it is off. Equivalent to choosing Text - Attributes - Bold.

Syntax

[objectreference].Bold()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: BreakLink method

 See list of classes

 See example

Syntax

[objectreference].BreakLink(LinkCookie)

[objectreference].BreakLink()

Parameters

LinkCookie
Data type is Long.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: OleObject class


Word Pro: BringFrameToFrontOne method

 See list of classes

 See example

Brings the currently active frame one step forward in the frame order. Equivalent to choosing Frame - Priority, then Bring Forward One.

Syntax

[objectreference].BringFrameToFrontOne()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

When you have more than one frame on a page, Word Pro sees the frames as being stacked on top of each other, even if they don't appear to overlap on the page. The first frame you create is at the bottom of the stack. The second frame you create is on top of the first frame, but underneath the third frame, and so on. You can use this method to change the order of a frame in the stack.


Topics Found:

Word Pro: WPApplication class


Word Pro: BringFrameToFront method

 See list of classes

 See example

Brings the currently active frame to the front of all other frames on the page. Equivalent to choosing Frame - Priority, then Bring to Front.

Syntax

[objectreference].BringFrameToFront()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

When you have more than one frame on a page, Word Pro sees the frames as being stacked on top of each other, even if they don't appear to overlap on the page. The first frame you create is at the bottom of the stack. The second frame you create is on top of the first frame, but underneath the third frame, and so on. You can use this method to change the order of a frame in the stack.


Topics Found:

Word Pro: WPApplication class


Word Pro: Buttons method

 See list of classes

 See example

Allows the script writer to access a button on an Lwpcustomdialog, by index.

Syntax

[objectreference].Buttons(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: CalculateSmartLevels method

 See list of classes

 See example

Updates the SmartLevels for the currently active division. This update only applies to those paragraphs that are marked to "Use Smart Level" on the Misc panel in the Text Properties InfoBox.

Syntax

[objectreference].CalculateSmartLevels()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: CanHaveFootnotes method

 See list of classes

 See example

[BaseContainer]

Indicates whether or not a table, cell, or row container object can contain footnote objects.

Syntax

[objectreference].CanHaveFootnotes()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: CascadeWindow method

 See list of classes

 See example

Displays the active document window on top of all other open document windows, with the title bar for each document visible. Equivalent to choosing Window - Cascade.

Syntax

[objectreference].CascadeWindow()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Cascade method

 See list of classes

 See example

Cascades the document windows in the application.

Syntax

[objectreference].Cascade()

Parameters

None

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing Window - Cascade in the Word Pro interface.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: CellLayout method

 See list of classes

 See example

Returns the cell layout for a specific cell in a table.

Syntax

[objectreference].CellLayout([Row,] [Column])

Parameters

Row

An optional Integer parameter that allows you to indicate the specific row from which you want to return its layout. The default value is the current row ID value.

Column

An optional Integer parameter that allows you to indicate the specific column from which you want to return its layout. The default value is the current column ID value.

Return value

Returns the CellLayout object specified by the Row and Column parameters.

Usage

Using this method, you can set a variable to a specific cell layout as follows:

set mycell = .table.celllayout(1, 1)

You can also directly access the properties and methods of a specified cell layout, as shown in the following example:

.table.celllayout(0,0).background.color.setrgb 255, 0, 0


Topics Found:

Word Pro: BaseTable class

Word Pro: CellContainer class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: CellRevert method

 See list of classes

 See example

Reverts the currently active table cell to the attributes of the assigned table cell style.

Syntax

[objectreference].CellRevert()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ChangeAllEditsToEditor method

 See list of classes

 See example

Syntax

[objectreference].ChangeAllEditsToEditor(EditorName)

Parameters

EditorName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: ChangeSmartMaster method

 See list of classes

 See example

Changes the SmartMaster for the currently active Word Pro document. Equivalent to choosing File - Choose Another SmartMaster, and specifying a new SmartMaster.

Syntax

[objectreference].ChangeSmartMaster(PathName,Type, [ApplyTo])

Parameters

PathName
A String expression specifying the new SmartMaster to which you are changing.

Type
A String expression specifying the file type of SmartMaster you want to use. Word Pro automatically recognizes and imports all of the file types listed below. Use this parameter only if the file you are using is not one of these file types:

DCA/RFT	Lotus Manuscript 2.x	MS Word for Windows 1.0
DIF	Lotus Organizer 1.x	MS Word for Windows 2.0
DisplayWrite	Lotus Word Pro	MS Word for Windows 6.0
HTML	Lotus Word Pro SmartMaster	MS Word for Windows95 7.0
Lotus 1-2-3	MS Excel	MS WordPad 1.0
Lotus 1-2-3 for OS/2	MS Excel 3.0	OfficeWriter 4,5,6
Lotus 1-2-3 R3	MS Excel 4.0	Rich Text Format(RTF)
Lotus 1-2-3 R4,5	MS Excel 5.0	SAMNA Word
Lotus 1-2-3 R6	MS Excel 7.0	WordPerfect 5.0
Lotus Ami Pro	MS Windows Write 3.x	WordPerfect 5.1
Lotus Ami Pro 3.x Macro	MS Word for DOS 3,4,5,6	WordPerfect 6.x
Lotus Ami Pro 3.x Styles	MS Word for OS/2	WordStar 2000 R3

ApplyTo
Allows you to specify the scope of the new SmartMaster. Optional parameter. There are only three legal values for this parameter:

"Entire document" - Applies the new SmartMaster to the entire document.

"All divisions at same level & below" - Applies the new SmartMaster to all the divisions which are at or below the same level as the currently active division. A division's level is indicated by its parent-child relationship to other divisions.

"Current division only" - Applies the new SmartMaster only to the currently active division.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CheckBoxes method

 See list of classes

 See example

Allows the script writer to return a reference to a specified checkbox on a custom dialog box of type, Lwpcustomdialog.

Syntax

[objectreference].CheckBoxes(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: ChgLineStyle method

 See list of classes

 See example

Changes the style of a line in a table.

Syntax

[objectreference].ChgLineStyle(LineStyle)

Parameters

LineStyle

The data type for this parameter is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

Value	Effect
$LwpTableLineStyleAll (1878)
$LwpTableLineStyleCols (1882)
$LwpTableLineStyleCustom (1886)
$LwpTableLineStyleInnercols (1887)
$LwpTableLineStyleInnerRowscols (1888)
$LwpTableLineStyleMixed (1885)
$LwpTableLineStyleNone (1877)
$LwpTableLineStyleOutline (1879)
$LwpTableLineStyleOutlineall (1880)
$LwpTableLineStyleOutlinecols (1884)
$LwpTableLineStyleOutlinerows (1883)
$LwpTableLineStyleRows (1881)
Return value

This method always returns 0.

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: ClearAll method

 See list of classes

 See example

Removes all tabs from the ruler.

Syntax

[objectreference].ClearAll()

Parameters

Return value

Usage


Topics Found:

Word Pro: TabRack class


Word Pro: ClearDivisionList method

 See list of classes

 See example

Removes the list of divisions that can be printed in a document.

Syntax

[objectreference].ClearDivisionList()

Parameters

Return value

Integer

Usage

You can locate a list of divisions you want to remove by choosing File - Print, clicking Select Pages and selecting "Whole divisions"  in the Select Pages dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: ClearParaRevisionTags method

 See list of classes

 See example

Removes paragraph revision tags from a document. If more than one revision tag exists for a group of revisions, Word Pro prompts the user to leave the paragraphs alone and leave the revision tags intact, or clear the tags and leave both versions of the paragraph.

Syntax

[objectreference].ClearParaRevisionTags()

Parameters

None

Return value

None

Usage

This method affects all tags in all divisions in the currently active document.


Topics Found:

Word Pro: WPApplication class


Word Pro: ClearSplits method

 See list of classes

 See example

Clears all split views from the screen. Equivalent to choosing View - Clear All Splits.

Syntax

[objectreference].ClearSplits()

Parameters

Return value

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: ClearTempFoundry method

 See list of classes

 See example

Clears the contents of the Foundry object located in the TempFoundry property on the WPApplication object.

Syntax

[objectreference].ClearTempFoundry()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Identical to the Clear method located on the Foundry class, but it only affects the Foundry object located in the TempFoundry property.


Topics Found:

Word Pro: WPApplication class


Word Pro: ClearUpdate method

 See list of classes

 See example

Syntax

[objectreference].ClearUpdate()

Parameters

Return value

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: Clear method

 See list of classes

 See example

[Attributes]

[Bag]

[Division]

Clears the content of the Division object.

[Font]

[Foundry]

Clears all objects from a Foundry object. Use this method only on Foundry objects found in the AppFoundry or TempFoundry properties on the WPApplication object. DO NOT use this method with the Foundry property in WPApplication, Division, or TextDocument.

[ClickHere]

[TextMarker]

[MergeOptions]

Disconnects the Merge data file from the current document.

[OutlineStyleSequence]

[ParagraphStyle]

[Text]

[TextDocument]

[TOCSuperTableLayout]

Syntax

[Objectreference].Attributes.Clear

[Objectreference].Bag.Clear

[Objectreference].Division.Clear

[Objectreference].Font.Clear

[Objectreference].Foundry.Clear

[Objectreference].ClickHere.Clear([ClearWhat,] [p2,] [ClassName,] [SubClass])

[Object reference].TextMarker.Clear([ClearWhat,] [ p2,] [ClassName,] [SubClass])

[Object reference].MergeOptions.Clear

[Object reference].OutlineStyleSequence.Clear

[Object reference].ParagraphStyle.Clear

[Object reference].Text.Clear([ClearWhat,] [p2,] [ClassName,] [SubClass])

[Object reference].TextDocument.Clear [Object reference].TOCSuperTableLayout.Clear

Parameters

[Foundry]

Reserved
Not used. Do not use this parameter when using the Clear method on a Foundry object.

[ClickHere, TextMarker, Text]

ClearWhat
Data type is Variant. Optional parameter on ClickHere, Text, and TextMarker objects. The value of this parameter must be one of the string values listed below or its Enum code. Default  is $LwpClearWhatDefault.

$LwpClearWhatClearMisspelledWord (141)

$LwpClearWhatDefault (145)

$LwpClearWhatHighlighter (144)

$LwpClearWhatObject (143)

$LwpClearWhatTombstone (142)

[ClickHere, TextMarker, Text]

p2
Data type is Variant. Optional parameter. Default is 0.

[ClickHere, TextMarker, Text]

ClassName
Data type is String. Optional parameter.

[ClickHere, TextMarker, Text]

SubClass
Data type is String. Optional parameter.

Return value

ClickHere, TextMarker, Text, Foundry - A Boolean value indicating success (-1) or failure (0). The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

[Foundry]

Used from the Foundry property on Division, TextDocument, or WPApplication, this method clears all styles and everything else.


Topics Found:

Word Pro: Attributes class

Word Pro: Bag class

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: Font class

Word Pro: Foundry class

Word Pro: MergeOptions class

Word Pro: OutlineStyleSequence class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: Clickers method

 See list of classes

 See example

Syntax

[objectreference].Clickers(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: CloseAll method

 See list of classes

 See example

Closes all open documents. This method does not close hidden files, such as glossary files.

Syntax

[objectreference].CloseAll([CloseFile])

Parameters

CloseFile
Allows you an untitled document without the Save Changes dialog box, as long as the document has no contents. Default is $LwpCloseFileIfLastdocOpenUntitled, which closes empty untitled documents without a prompt. Data type is Variant which allows you to use one of the string values below or its numeric equivalent (in parentheses).

$LwpCloseFileIfLastdocNoOpen (147) Prompts you to save the untitled document before closing.

$LwpCloseFileIfLastdocOpenUntitled (146) Closes the untitled document without saving.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CloseDocWindow method

 See list of classes

 See example

Closes the currently active document window.

Syntax

[objectreference].CloseDocWindow([AskUserToSave])

Parameters

AskUserToSave
Allows you to prompt the user to save the document before closing. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True which prompts the user to save the document.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CloseMergeDataFile method

 See list of classes

 See example

Closes the data file for the active merge document. Any changes the user makes are lost if this method is called before the user saves the file.

Syntax

[objectreference].CloseMergeDataFile()

Parameters

None

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CloseObject method

 See list of classes

 See example

Closes the comment note at the insertion point.

Syntax

[objectreference].CloseObject()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If there is no comment note at the insertion point, Word Pro does nothing.

A comment note is represented in LostusScript by a NoteContainer object which is comprised of several class members and objects, including a NoteLayout object, a DivisionInfo object, and a Presentation object.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Close method

 See list of classes

 See example

Closes the object from which you call this method. For example, when you call this method from WPApplication, it closes the active document, but when you call it from a StatusBar object, it hides the status bar from which you call the method. See Usage below for details of how this method affects each type of object.

Syntax

[Objectreference].WPApplication.Close([SaveChanges,] [DocName,] [Location,] [ DocType,] [CloseFile])

[Objectreference].TextDocument.Close([SaveChanges,] [DocName,] [Location,] [DocType,] [CloseFile])

[Objectreference].ApplicationWindow.Close() Integer

[Objectreference].DocWindow.Close() Integer

[Objectreference].Window.Close() Integer

Parameters

SaveChanges
Used only on WPApplication and TextDocument objects. This parameter lets you choose to save or dismiss all changes before closing a document. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True.

DocName
Used when the document has never been saved, this parameter takes a string expression which specifies the name of the document you are closing.

Location
Used when the document has never been saved, this parameter takes a string expression which specifies the directory path for the document.

DocType
Used when the document has never been saved, this parameter takes a string expression which specifies the file type for the document. Default file type is Word Pro document.

CloseFile

Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default value is $LwpCloseFileIfLastdocOpenUntitled.

$LwpCloseFileIfLastdocNoOpen (147) Leaves an empty application workspace window if you close the last document.

$LwpCloseFileIfLastdocOpenUntitled (146) Opens an untitiled file if you close the last document.

Return value

The return values for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method appears on several objects. It closes whatever type of object you call it from.

WPApplication - Closes the currently active Word Pro document.

TextDocument - Closes the document from which you call the method.

DocWindow - Closes the document from which you call the method.

StatusBar - Closes/hides the status bar.

ApplicationWindow - Closes the application window. This is NOT the same as choosing File - Exit Word Pro. Although the application window closes, if Word Pro is serving an object to an external client, it remains active but not visible. When all the served objects are released, the application terminates.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: Document class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: TextDocument class

Word Pro: Window class

Word Pro: WPApplication class


Word Pro: CombineDivisions method

 See list of classes

 See example

Combines two divisions into a single division. The divisions must be adjacent to each other.

Syntax

[objectreference].CombineDivisions (StartName, EndName)

Parameters

StartName
The internal name for the first division you want to combine. This is not the name Word Pro displays in the division tab. Data type is String.

EndName
The internal name for the first division you want to combine. This is not the name Word Pro displays in the division tab. Data type is String.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

You can get the internal name for the active division by calling the Name property of the currently active Division object as shown below:

DIM StartName As String

StartName = .Division.Name

For more information on division names in LotusScript, see Overview: Division names in LotusScript


Topics Found:

Word Pro: WPApplication class


Word Pro: CombineSections method

 See list of classes

 See example

Combines the contents of up to ten sections by removing the specified section breaks.

Syntax

[objectreference].CombineSections([Section1Name] [, Section2Name] [, Section3Name]
[, Section4Name] [, Section5Name] [, Section6Name] [, Section7Name] [, Section8Name]
[, Section9Name] [, Section10Name])

Parameters

Section1Name
A String expression which specifies a section break you want to remove. The contents of this section will then be placed at the end of the previous section.

Section2Name through Section10Name allow you to specify additional section breaks to be removed. The contents of each section are added to the end of the preceding section.

Note	The names used in these parameters are the internal hexadecimal names found in the Name property on a Section object. You can access a Section object through the SectionCollection found in the Sections property in the Division's Foundry object. A sample script is provided below.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Similar to clicking the right mouse button on a section tab and choosing Combine Sections. However, unlike the menu command, this method allows you to combine more than two sections.

You can use the following script to get both the internal hexadecimal name (found in the Name property of each Section object) and the name which appears in the Section tab (found in the UserName property of each Section object).

Print "Section Label = Section Internal Name"

Forall sec In .Division.Foundry.Sections

Print sec.UserName + " = " sec.Name

End Forall


Topics Found:

Word Pro: WPApplication class


Word Pro: ComboBoxes method

 See list of classes

 See example

Inserts combo boxes in a custom dialog box.

Syntax

[objectreference].ComboBoxes(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: CompareFiles method

 See list of classes

 See example

Compares the file(s) you specify with the currently active document.

Syntax

[objectreference].CompareFiles(FilePath, FileType, IsMultiDocs, IndexOfMultiDocToCompare)

Parameters

FilePath
A String expression specifying the name and path for the document that you want to compare against the currently active document. If you are comparing more than one document, this should be the name of the first document you want to compare. Data type is String.

FileType
The file type of document named in FilePath. Use a null string ("") to have Word Pro automatically detect the file type. Word Pro recognizes the following file types:

DCA/RFT	Lotus Manuscript 2.x	MS Word for Windows 1.0
DIF	Lotus Organizer 1.x	MS Word for Windows 2.0
DisplayWrite	Lotus Word Pro	MS Word for Windows 6.0
HTML	Lotus Word Pro SmartMaster	MS Word for Windows95 7.0
Lotus 1-2-3	MS Excel	MS WordPad 1.0
Lotus 1-2-3 for OS/2	MS Excel 3.0	OfficeWriter 4,5,6
Lotus 1-2-3 R3	MS Excel 4.0	Rich Text Format(RTF)
Lotus 1-2-3 R4,5	MS Excel 5.0	SAMNA Word
Lotus 1-2-3 R6	MS Excel 7.0	WordPerfect 5.0
Lotus Ami Pro	MS Windows Write 3.x	WordPerfect 5.1
Lotus Ami Pro 3.x Macro	MS Word for DOS 3,4,5,6	WordPerfect 6.x
Lotus Ami Pro 3.x Styles	MS Word for OS/2	WordStar 2000 R3

IsMultiDocs
Indicates whether you are comparing one file or multiple files to the active document. Data type is Integer. A value of -1 (True) indicates you are comparing multiple documents. A value of 0 (False) indicates that you are comparing a single document.

IndexOfMultiDocToCompare
When comparing multiple documents, the value of this parameter specifies which document is being compared in the current iteration of the loop. Data type is Integer.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

To compare multiple files, you must use a loop which will call this method for each file you want to compare, and you must include different values for the IndexOfMultiDocToCompare parameter in each iteration of the loop.


Topics Found:

Word Pro: WPApplication class


Word Pro: Configure method

 See list of classes

 See example

Activates (loads and displays) the SmartIcons Setup dialog box.

Syntax

[objectreference].Configure()

Parameters

Data type is Integer. The legal values for this parameter will always be -1 or 0 but you can use the LotusScript constants of True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

[IconBar]

Allows you to add, change, and edit an existing icon. The bar you are currently working with will display in the SmartIcons Setup dialog box.

[IconBarManager]

Allows you to add, change, and edit icon bar sets by using the list in the IconBarManager.


Topics Found:

Word Pro: IconBar class

Word Pro: IconBarManager class


Word Pro: ConnectCells method

 See list of classes

 See example

Connects selected table cells. Equivalent to choosing Table - Connect Cell or Table - Disconnect Cell.

Syntax

[objectreference].ConnectCells()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If you disconnect a cell, the contents of the cell remain in a single cell rather than being returned to their original separate cells. Use the DisconnectCells method to disconnect rows.


Topics Found:

Word Pro: WPApplication class


Word Pro: ConnectContainer method

 See list of classes

 See example

[FrameContainer]

Groups the selected container objects.

[CellContainer]

Connects the selected cells.

Syntax

[objectreference].ConnectContainer()

Parameters

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

[FrameContainer]

You can use the ConnectContainer method  to group two or more containers. When the containers are grouped, handles display on the sides. These handles can be used to move the grouped containers. This is usually used when selecting frames, cells, and so on.

[CellContainer]

The contents of the selected cells are merged into the connected cell.

For more information on container objects, see BaseContainer class.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: WPApplication class


Word Pro: ConnectRows method

 See list of classes

 See example

Connects all the cells in the same row as the active or selected cell(s). Equivalent to choosing Table - Connect Row or Table - Disconnect Cell.

Syntax

[objectreference].ConnectRows()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If you disconnect a row, the contents of the row remain in a single cell rather than being returned to their original separate cells and rows. Use the DisconnectCells method to disconnect rows.


Topics Found:

Word Pro: WPApplication class


Word Pro: ConnectSectionTabs method

 See list of classes

 See example

Creates a new division and makes the currently selected division the child of the new division.

Syntax

[objectreference].ConnectSectionTabs()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to clicking the right mouse button on an existing division divider tab and choosing Group Tabs. Word Pro creates a new parent division and places the division on which you originally clicked in the new parent.


Topics Found:

Word Pro: SectionTabs class


Word Pro: Connect method

 See list of classes

 See example

Connects two or more rows, columns, and cells to create one large row, column or cell in a table object.

Syntax

[objectreference].Connect([StartRow,][StartCol,][EndRow,][EndCol,][MergeCon])

Parameters

StartRow

An Integer parameter which allows you to indicate the row number of the first cell to be connected. This is an optional parameter, and its default value is the ID of the first row included in the current selection of cells.

StartCol

An Integer parameter which allows you to indicate the column number of the first cell to be connected. This is an optional parameter, and its default value is the ID of the first column included in the current selection of cells.

EndRow

An Integer parameter which allows you to indicate the row number of the last cell to be connected. This is an optional parameter, and its default value is the ID of the last row included in the current selection of cells.

EndCol

An Integer parameter which allows you to indicate the column number of the last cell to be connected. This is an optional parameter, and its default value is the ID of the last column included in the current selection of cells.

MergeContents

An optional Integer parameter which indicates whether the contents of the specified cells should be merged into the connected cell. The default value for this parameter is -1. You can also use the LotusScript constants of True (-1) or False (0) in this parameter. If you specify a value of False, the contents of the top left cell will be included in the connected cell.

Return value

This method returns an Integer value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: ConsistencyCheck method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

Return value

Usage


Topics Found:

Word Pro: SectionTabs class


Word Pro: ContractOutlineLevel method

 See list of classes

 See example

Contracts the lowest level heading(s) that are subordinate to the paragraph for which you are calling the method. For example, when you call this method for a Level 1 heading, it will contract the lowest level heading(s) which are subordinate to that Level 1 heading.

Syntax

For WPApplication objects:
[objectreference.]ContractOutlineLevel([ContractAll])

For Text, TextMarker, and ClickHere objects:
[objectreference.]ContractOutlineLevel(ContractAll)

Parameters

ContractAll
Allows you to contract all the subordinate headings under the heading from which you call this method. Data type is Integer but the legal values for this parameter are -1 and 0. You may use the LotusScript constants True (-1) and False (0). A value of True will cause all subordinate headings to be contracted regardless of their level. When called from WPApplication, this parameter is optional and has a default of True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

This method is defined in four different classes:

[WPApplication]

Call the method from this object when you want to contract the outline level(s) for the heading which currently has the focus.

[ClickHere]

Call the method from this object when you want to contract the outline level(s) for a heading in a ClickHere object.

[TextMarker]

Call the method from this object when you want to contract the outline level(s) for a heading in a TextMarker object.

[Text]

Call the method from this object when you want to contract the outline level(s) for a specific Text object.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: Contract method

 See list of classes

 See example

Hides divider tabs that are the children of a parent division tab in a document.

Syntax

[objectreference].Contract()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to clicking the minus sign on the parent division tab to hide all the children divider tabs and displaying just the parent division tab.


Topics Found:

Word Pro: SectionTabs class


Word Pro: ConvertToClass method

 See list of classes

 See example

Syntax

[objectreference].ConvertToClass(AFIDClassName)

Parameters

AFIDClassName
Data type is String.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: CopyItem method

 See list of classes

 See example

Copies a specified menu item object from one menu item's parent object to another.

Syntax

[objectreference].CopyItem(FromItem,[After,] [TargetText,] [Caption])

Parameters

FromItem
Specifies the menu item you want to copy.

After
Default of True places the copied item after last item in the parent menu item object. Setting the value of After to False places the copied item before the first item in the parent menu item object. Optional Boolean expression. A Boolean expression is either True or False.

TargetText

An optional String expression that allows you to specify any menu item object and place the copied item before or after it.

Caption
The name of the copied menu item that displays on the menu. You can use this optional String parameter to change the caption of a copied menu item.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this method to copy existing menu items from one location to another.


Topics Found:

Word Pro: MenuItem class


Word Pro: CopyMeaning method

 See list of classes

 See example

Copies the meaning of a glossary term to TextCollection object of the temporary Foundry.

Syntax

[objectreference].CopyMeaning(P1)

Parameters

Return value

A String value representing the meaning of the term specified in the P1 parameter.

Usage

This method is used when a user inserts the meaning of a glossary term into the active document. Word Pro copies the meaning from the glossary file to the TextCollection object of the temporary Foundry.


Topics Found:

Word Pro: Glossary class


Word Pro: CopySelection method

 See list of classes

 See example

Copies the current selection to the Clipboard and to the Foundry object, located in the AppFoundry property on WPApplication. Equivalent to choosing Edit - Copy.

Syntax

[objectreference].CopySelection()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: Copy method

 See list of classes

 See example

[Foundry class]

Copies objects from one Foundry object into another Foundry object.

[TextDocument class]

Performs a copy operation on a selected object. To copy selected text to the Clipboard, use .CopySelection

[BaseTable]

Copies a range of selected cells in a table object.

Syntax

[Objectreference].Division.Copy(Name,[ParentName,][BeforeNeighbor,][NeighborName])

[Objectreference].Foundry.Copy([ObjectType,][ObjectName,][Foundry Type,] [p4,][NewName])

[Objectreference].BaseTable.Copy([Temporary])

[Objectreference].TextDocument.Copy(Name,[ParentName,][BeforeNeighbor,][NeighborName])

Parameters

[Division and TextDocument classes]

Name
Data type is String.

ParentName
Data type is String. Optional parameter.

BeforeNeighbor
Data type is Bool. Optional parameter. Default is False.

NeighborName
Data type is String. Parameter is optional.

[Foundry class]

ObjectType
Specifies what type of object you are copying from this Foundry object. Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent. Default is $LwpCopyObjectTypeLayout.

$LwpCopyObjectTypeContents (170) Allows you to copy any Content object. You must specify the Content object's name in the ObjectName parameter.

$LwpCopyObjectTypeDivision (171) Allows you to copy any Division object. You must specify the Division object's name in the ObjectName parameter.

$LwpCopyObjectTypeLayout (168) Allows you to copy any Layout object. You must specify the Layout object's name in the ObjectName parameter.

$LwpCopyObjectTypeStyle (169) Allows you to copy objects which were created from any of the following classes: CellLayout, CharacterStyle, FrameLayout, PageLayout, ParagraphStyle, TableLayout. You can specify a single object using the ObjectName and P4 parameters, or you can copy all objects created from a single class by leaving ObjectName blank and specifying the class in P4.

ObjectName
The name of the object you are copying. Required parameter for copying Content, Layout, and Division objects. When copying SmartMaster-derived objects, you can specify one object by name or leave this parameter empty to copy all SmartMaster-derived objects. Data type is String.

FoundryType
Indicates the Foundry object to which you are copying the object. Data type is Variant. The value of this optional parameter must be one of the strings below or its code equivalent. Default is $LwpFoundryTypeDocument.

$LwpFoundryTypeApplication (346) Copies to AppFoundry property.

$LwpFoundryTypeDocument (345) Copies to Division.Foundry property.

$LwpFoundryTypeTemporary (347) Copies to TempFoundry property.

p4
When you use $LwpCopyObjectTypeStyle as the value for ObjectType, you can specify further which class of object you are copying. You can choose objects created from one of the following classes: CellLayout, CharacterStyle, FrameLayout, PageLayout, ParagraphStyle, TableLayout. If you leave this blank and use a null string ("") as the value of ObjectName, all objects created from any of these classes will be copied. Data type is Variant. The value of this parameter must be one of the strings below or its numeric equivalent (shown in parentheses).

$LwpStyleTypeCell (1834)

$LwpStyleTypeCharacter (1830)

$LwpStyleTypeDefault (1828)

$LwpStyleTypeFrame (1832)

$LwpStyleTypePage (1831)

$LwpStyleTypeParagraph (1829)

$LwpStyleTypeTable (1833)

NewName
Allows you to specify a new name for the copied object. Data type is String. Optional parameter.

[BaseTable class]

Temporary
An Integer value of -1 or 0 indicating whether the selection will be copied to the temporary foundry (-1) or to the clipboard (0). You can use the LotusScript constants of True (-1) and False (0) as the value for this parameter.

Return value

[Division, TextDocument classes]

[Foundry class]

A String value indicating the name of the object created. No return value is given when ObjectType is $LwpCopyObjectTypeStyle.

[BaseTable class]

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: Division class

Word Pro: FootnoteTable class

Word Pro: Foundry class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TextDocument class


Word Pro: CreateDataFile method

 See list of classes

 See example

Creates a new Merge data file including the records and fields you specify. The currently active document becomes the Merge document for the new data file. Equivalent to clicking the Create New button in the Mail Merge Assistant dialog box to display the Create Data File dialog box.

Syntax

[objectreference].CreateDataFile(Delimiters,FieldNames,[IsAscii])

Parameters

Delimiters
A String expression specifying the characters or symbols which you want Word Pro to use to delineate between fields and records. The value of this parameter can be any two alphanumeric characters. Default is "~|". Tilde is the separator for fields and the bar is the separator for records. If IsAscii is True, the value of this parameter must be "Fixed length ASCII."

FieldNames
A String expression representing the names of the fields in the new data file. Each field name is separated by the first delimiter character specified in the Delimiters parameter.

IsAscii
Indicates whether or not the data file is fixed length ASCII. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateDivision method

 See list of classes

 See example

Creates a new division in a document using a SmartMaster or another file. Equivalent to choosing Create - Division.

Syntax

[objectreference].CreateDivision (MasterFileName [, FileType] [, DivisionLocation] [,Parent] [,NeighborName])

Parameters

MasterFileName
A String expression which specifies the name of a SmartMaster file or an external file from which you want to create the new division.

FileType
An optional String expression which specifies the file type of the file used in creating the division. Word Pro automatically recognizes and imports all of the file types listed below. Use this parameter only if the file you are using is not one of these file types:

DCA/RFT	Lotus Manuscript 2.x	MS Word for Windows 1.0
DIF	Lotus Organizer 1.x	MS Word for Windows 2.0
DisplayWrite	Lotus Word Pro	MS Word for Windows 6.0
HTML	Lotus Word Pro SmartMaster	MS Word for Windows95 7.0
Lotus 1-2-3	MS Excel	MS WordPad 1.0
Lotus 1-2-3 for OS/2	MS Excel 3.0	OfficeWriter 4,5,6
Lotus 1-2-3 R3	MS Excel 4.0	Rich Text Format(RTF)
Lotus 1-2-3 R4,5	MS Excel 5.0	SAMNA Word
Lotus 1-2-3 R6	MS Excel 7.0	WordPerfect 5.0
Lotus Ami Pro	MS Windows Write 3.x	WordPerfect 5.1
Lotus Ami Pro 3.x Macro	MS Word for DOS 3,4,5,6	WordPerfect 6.x
Lotus Ami Pro 3.x Styles	MS Word for OS/2	WordStar 2000 R3
DivisionLocation
Indicates where you want the new division inserted. Data type is Variant which allows the value of this parameter to be one of the three division locations listed below or its numeric equivalent (in parentheses). Default is $LwpDivLocInsertAtInsertionPt.

$LwpDivLocInsertBeforeCurrentdiv (184) Inserts the new division before the currently active division.

$LwpDivLocInsertAfterCurrentdiv (185) Inserts the new division after the currently active division.

$LwpDivLocInsertAtInsertionPt (186) Inserts the new division at the insertion point. All items that fall before the insertion point remain part of the active division. All items after the insertion point become part of the new division.

Note	If the insertion point is in a table cell or a frame, Word Pro splits the contents of the cell or frame, leaving the items before the insertion point intact and moving the items after the insertion point into the new division. Items outside the cell or frame are not affected and remain in the original division.

Parent
An optional String expression representing the internal name of the division which you want to become the parent of the new division.

NeighborName
An optional String expression representing the name of the division which you want to become the neighbor of the new division.

Return value

A String expression which represents the internal name of the new division.

For more information on division names in LotusScript, see Overview: Division names in LotusScript

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateDropCap method

 See list of classes

 See example

Creates a DropCap at the insertion point. Each DropCap is comprised of several objects and is accessible through the DropCaps property on a Foundry object.

Syntax

[objectreference].CreateDropCap(NumLines, Position)

Parameters

NumLines
Specifies the height of the DropCap in lines of text. Data type is Integer. If you specify 3 lines, the DropCap will be as high as three lines of text in the current paragraph style.

Position
An Integer which allows you to specify the position of the DropCap. There are three legal values for this parameter:

1 = Below
Aligns the top edge of the DropCap with the top edge of the first line of text and places the DropCap inside the page margin so that the remaining lines of text flow around the DropCap.

2 = Above
Aligns the bottom edge of the DropCap with the bottom edge of the first line of text and places the DropCap inside the page margin so that the preceding lines of text flow above the DropCap.

3 = Beside
This is the same as choosing Below, except the DropCap is placed in the margin beside the text so there is no text flowing around the DropCap.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateExternalDivision method

 See list of classes

 See example

Creates a new division which is linked to the contents of an external file. If you edit the contents of the division, you can save your changes to the external file. Similarly, if you edit the external file, the external division reflects those changes the next time you open the Word Pro document.

Syntax

[objectreference].CreateExternalDivision(Path [, FileType][, DivisionLocation][, Parent][, NeighborName])

Parameters

Path
A String expression representing the drive and directory location of the external file you want to use as the source for the external division.

FileType
An optional String expression which specifies the file type of the file specified in the Path parameter. Word Pro automatically recognizes and imports many file types. Use this parameter only if the file specified in the Path parameter is not one of these file types:

DCA/RFT	Lotus Manuscript 2.x	MS Word for Windows 1.0
DIF	Lotus Organizer 1.x	MS Word for Windows 2.0
DisplayWrite	Lotus Word Pro	MS Word for Windows 6.0
HTML	Lotus Word Pro SmartMaster	MS Word for Windows95 7.0
Lotus 1-2-3	MS Excel	MS WordPad 1.0
Lotus 1-2-3 for OS/2	MS Excel 3.0	OfficeWriter 4,5,6
Lotus 1-2-3 R3	MS Excel 4.0	Rich Text Format(RTF)
Lotus 1-2-3 R4,5	MS Excel 5.0	SAMNA Word
Lotus 1-2-3 R6	MS Excel 7.0	WordPerfect 5.0
Lotus Ami Pro	MS Windows Write 3.x	WordPerfect 5.1
Lotus Ami Pro 3.x Macro	MS Word for DOS 3,4,5,6	WordPerfect 6.x
Lotus Ami Pro 3.x Styles	MS Word for OS/2	WordStar 2000 R3

DivisionLocation
A String or Integer value which indicates where you want the new division inserted. Data type is Variant which allows the value of this parameter to be one of the three division locations listed below or its numeric equivalent (in parentheses). Default is $LwpDivLocInsertAtInsertionPt.

$LwpDivLocInsertBeforeCurrentdiv (184) Inserts the new division before the currently active division.

$LwpDivLocInsertAfterCurrentdiv (185) Inserts the new division after the currently active division.

$LwpDivLocInsertAtInsertionPt (186) Inserts the new division at the insertion point. All items which fall before the insertion point remain part of the active division. All items after the insertion point become part of the new division.

Note	If the insertion point is in a table cell or a frame, Word Pro splits the contents of the cell or frame, leaving the items before the insertion point intact and moving the items after the insertion point into the new division. Items outside the cell or frame are not affected and remain in the original division.

Parent
An optional String expression representing the internal name of the division which you want to become the parent of the external division.

NeighborName
An optional String expression representing the name of the division which you want to become the neighbor of the external division.

Return value

A String expression which represents the internal name of the external division.

For more information on division names in LotusScript, see Overview: Division names in LotusScript

Usage

Word Pro displays the contents of the external source file within the external division in the Word Pro document. The contents are displayed in a format which approximates the way in which they would be displayed in the source application.

You can specify where you want Word Pro to place the new external division by using the DivisionLocation, Parent, or NeighborName parameters.


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateFrame method

 See list of classes

 See example

Creates a frame object in a document. Equivalent to choosing Create - Frame.

Syntax

[objectreference].CreateFrame([UseDefault,][FrameStyle,][Width,][Height]

Parameters

UseDefault
Allows you to use the default frame style (True). Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True.

FrameStyle
A String expression specifying the name of the frame style for the new frame.

Width
An Integer that specifies the width of the new frame in Twips. This parameter is only needed if you do not use the default frame style.

Height
An Integer that specifies the height of the new frame in Twips. This parameter is only needed if you do not use the default frame style.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateFromBitmap method

 See list of classes

 See example

Creates a graphic object from a bitmap.

Syntax

[objectreference].CreateFromBitmap(BitMmapHandle,IsDeviceIndependent)

Parameters

BitmapHandle
Data type is Long.

IsDeviceIndependent
Data type is Integer.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: CreateFromClipBrd method

 See list of classes

 See example

Creates a graphic object from the clipboard.

Syntax

[objectreference].CreateFromClipBrd([ClipBrdFormat])

Parameters

ClipBrdFormat
Data type is String. Optional parameter.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: CreateFromDataObject method

 See list of classes

 See example

Creates a graphic from a data object.

Syntax

[objectreference].CreateFromDataObject(DataObjPtr,[ClipBrdFormat])

Parameters

DataObjPtr
Data type is Long.

ClipBrdFormat
An optional String expression representing the format of the Clipboard.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: CreateFromMetafile method

 See list of classes

 See example

Creates a graphic from a metafile.

Syntax

[objectreference].CreateFromMetafile(MetaFileHandle,EnhancedMetafile)

Parameters

MetaFileHandle
Data type is Long.

EnhancedMetafile
Data type is Integer.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: CreateGlossaryEntry method

 See list of classes

 See example

Inserts a glossary entry for the current selection in the specified Glossary file. Equivalent to choosing Edit - Glossary and inserting a new glossary entry for the current selection.

Syntax

[objectreference].CreateGlossaryEntry(GlossFilePath, KeyName)

Parameters

GlossFilePath
A String expression which specifies the path and name of the Glossary file (.GLS) to which you are adding this entry.

Keyname
A String expression you want to use as the abbreviation for the new glossary entry. Equivalent to the string value you provide as the "Glossary entry name" in the Glossary dialog box.

Return value

None

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateGlossary method

 See list of classes

 See example

Creates a Glossary object at the insertion point in the active document. Word Pro displays the Glossary object in parallel columns with "Name" at the top of the first column and "Contents" at the top of the second column.

Syntax

[objectreference].CreateGlossary()

Parameters

None

Return value

None

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateGraphic method

 See list of classes

 See example

Creates a graphic object in a Word Pro document. You can use the parameters to specify the type of graphic object and whether you want the user or Word Pro to draw the graphic's frame.

Syntax

[objectreference].CreateGraphic(AFIDClassName, ScratchOutFrame)

Parameters

AFIDClassName
A String expression which specifies the type of graphic you are creating. There are three types of graphics which are native to Word Pro: equations, drawings, and charts.

WordProEqn
Use this value if you want to create an Equation graphic. When you use this value, Word Pro switches to equation mode and places the insertion point in the equation frame.

WordProDraw
Use this value to create a drawing using the Word Pro drawing tools. When you use this value, Word Pro switches to drawing mode and displays the drawing tools.

LotusChart (or WordProChart)
If you are using the 32-bit or OS/2 version of Word Pro, you can use "LotusChart" to create a chart graphic. If you are using the 16-bit version of Word Pro, you must use "WordProChart." The effect is much the same. Either value launches the charting tool for Word Pro, which allows you to create a chart for the new chart graphic frame.

ScratchOutFrame
An Integer value which indicates whether you want to draw the new graphic frame by hand or let Word Pro draw the frame based on a frame style. If you want to draw the frame yourself, use the value of True (-1) for this parameter. If you want Word Pro to draw the frame based on an existing style, use a value of False (0) for this parameter.

Return value

None

Usage

When ScratchOutFrame is set to False, Word Pro checks the type of graphic you are creating and uses the default style for that type of graphic frame. If no default style exists for the type of graphic you are creating, Word Pro uses a predefined style to create that frame.

The drawing and chart graphics share the same default frame style. Equation graphics have their own default frame style.


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateNewButton method

 See list of classes

 See example

Creates a new button in the status bar. After the button is created, the InvalidateWholeBar method should be called to repaint the status bar.

Syntax

[objectreference].CreateNewButton(ParentButtonId, InsertAfterButtonId, ButtonWidth, ButtonType)

Parameters

ParentButtonId
Data type is Long. Required parameter. Value should be 0 unless you are creating a child button.

InsertAfterButtonId
Data type is Long. Required parameter. Value of 0 causes the button to be added to the beginning of the bar.

ButtonWidth
Data type is Integer. Required parameter.

ButtonType
Data type is Variant which allows the value of this parameter to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these constants when you want Word Pro to combine the features listed below. Use the OR operator to combine constants.

LwpButtonBehaviorClickable (&H8) A value that allows the button to be left-clicked.

LwpButtonBehaviorCollapsible (&H10)  A value that allows the button to shrink or grow so that the status bar can fill up the window. Only one is allowed per status bar. Word Pro's collapsible button is the date/time button.

LwpButtonBehaviorContainer (&H20) A value that allows the button to contain child buttons.

LwpButtonBehaviorLeftclick (&H8)  A value that allows the button to be left-clicked.

LwpButtonBehaviorPopup (&H4) A value that allows the button to pop up a list of alternatives.

LwpButtonBehaviorThermometer (&H80000) A value that allows the button to display a thermometer graphic.

LwpButtonCanBeDepressed (&H40000) A value that allows the button to stay depressed.

LwpButtonContentsCenterAligned (&H80) A value that allows the button contents to be center-aligned.

LwpButtonContentsGray (&H200) A value that allows the button contents to be grayed.

LwpButtonContentsHilited (&H400) A value that allows the button contents to be highlighted (red in Word Pro).

LwpButtonContentsLeftAligned (&H40) A value that allows the button contents to be left-aligned.

LwpButtonContentsRightAligned (&H100) A value that allows the button contents to be right-aligned.

LwpButtonHasAutorepeat (&H4000) A value that allows the button to repeat a command.

LwpButtonHasUpdownCtrl (&H20000) A value that allows the button to have up/down control.

LwpButtonNoTextFromHost (&H800) A value that allows the button to keep its user-defined text without changing; in other words, the text on this button is never going to require text from a host.

LwpButtonReserved (&H8000)

LwpButtonSpacer (&H10000) A spacer status bar button.

LwpButtonSupportDblClick (&H2000) A value that allows the button to respond to a double-click .

LwpButtonSupportRightClick (&H1000) A value that allows the button to support a right mouse click.

LwpButtonTypeGraphics (&H2) A value that allows the button to display a graphic.

LwpButtonTypeText (&H1) A value that allows the button to display text.

Return value

String

Usage

Use this method to add a new button to the status bar object. Some of the ButtonType parameters can be combined together. For example, you can combine the left-click, text, and left-aligned values to allow the button to respond to a left-mouse click and display left-aligned text. You cannot combine certain parameters that are in obvious conflict with each other, such as left-align and right-align.


Topics Found:

Word Pro: StatusBar class


Word Pro: CreateNew method

 See list of classes

 See example

Creates a new graphic in a document.

Syntax

[objectreference].CreateNew(NameOfGraphicType)

Parameters

NameOfGraphicType
Data type is String.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: Abilities property

 See list of classes

 See example

(Read-only) Controls which version of a document that a specific editor can edit.

Data Type

Variant (Enumerated)

EditAbil

Syntax

abilities = [objectreference].Abilities

Legal values

Value	Effect
$LwpEditAbilEditCurrentOrNewVer (223)	An assigned editor can work in the current document or any new versions of the document.
$LwpEditAbilEditCurrentVersionOnly (221)	An assigned editor can only work in the current version of the document and cannot edit previous versions of the document.
$LwpEditAbilEditingNotAllowed (220)	A specific editor cannot edit the document.
$LwpEditAbilEditNewVersionsOnly (222)	An assigned editor can only work in a new version of a document that is automatically created when the document opens. The editor can review previous versions of the document.
Usage

Use any one of the above values to determine what version of a document an editor can edit.


Topics Found:

Word Pro: Editor class


Word Pro: AbsoluteOn property

 See list of classes

 See example

(Read-write) A Boolean value which indicates whether the top left corner of the layout (the origin) is positioned relative to the PageLayout origin or relative to the parent layout's origin. Default value is False. If this property is set, the coordinates are specified in the AbsoluteXPos and AbsoluteYPos properties.

Data Type

Integer

Syntax

[objectreference].AbsoluteOn = absoluteonvalue

absoluteonvalue = [objectreference].AbsoluteOn

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property allows import filters to process relative page coordinates.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: AbsoluteXPos property

 See list of classes

 See example

(Read-write) The top left position X coordinate for a layout.

Data Type

Long

Syntax

[objectreference].AbsoluteXPos = absolutexposvalue

absolutexposvalue = [objectreference].AbsoluteXPos

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

The AbsoluteOn property uses this property to set the layout object's top left position. This property allows import filters to process relative page coordinates.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: AbsoluteYPos property

 See list of classes

 See example

(Read-write) The top left position Y coordinate for a layout.

Data Type

Long

Syntax

[objectreference].AbsoluteYPos = absoluteyposvalue

absoluteyposvalue = [objectreference].AbsoluteYPos

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

The AbsoluteOn property uses this property to set the layout object's top left position. This property allows import filters to process relative page coordinates.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Active property

 See list of classes

 See example

(Read-only)

[StatusBar]

A flag that indicates if the status bar is usable.

[ApplicationWindow]

A flag that indicates if the application window is active.

Data Type

Integer

Syntax

activevalue = [objectreference].Active

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

[Application Window]

Default value is None.

Usage

IconBarManager - This property is not valid for IconBarManager.

ApplicationWindow - This property is not implemented for ApplicationWindow in Word Pro '97.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: ActualName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

actualnamevalue = [objectreference].ActualName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: Address1 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

address1value = [objectreference].Address1

[objectreference].Address1 = address1value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: Address2 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

address2value = [objectreference].Address2

[objectreference].Address2 = address2value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: AlignmentChar property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

alignmentcharvalue = [objectreference].AlignmentChar

[objectreference].AlignmentChar = alignmentcharvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Alignment class


Word Pro: AlignmentType property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

AlignmentType

Syntax

alignmenttypevalue = [objectreference].AlignmentType

[objectreference].AlignmentType = alignmenttypevalue

Legal values

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Usage


Topics Found:

Word Pro: Alignment class


Word Pro: AlignStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

alignstylenamevalue = [objectreference].AlignStyleName

[objectreference].AlignStyleName = alignstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: AllowAlternateVerification property

 See list of classes

 See example

(Read-write) Provides alternate ways for Word Pro to verify authorized users of a document.

Data Type

Integer

Syntax

allowalternateverificationvalue = [objectreference].AllowAlternateVerification

[objectreference].AllowAlternateVerification = allowalternateverificationvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

The AllowAlternateVerification property enables you to structure a hierarchy of verification types to verify an assigned user of a document. The verification types are e-mail login, operating system login, and the Word Pro user name. For example, suppose you set up an e-mail login for assigned users of a document. However, a user with an operating system login wants to gain access to that document. When the user attempts to login, Word Pro denies access.

If you set AllowAlternateVerification to True, Word Pro displays the other two verification types: operating system login and the Word Pro user name. The user can now gain access when the operating system login displays. If you set AllowAlternateVerification to False, Word Pro does not display the other verification types, thereby denying access to the user.

Setting the AllowAlternateVerification property is equivalent to choosing File - TeamSecurity and selecting "Allow alternate verification" on the Access panel.


Topics Found:

Word Pro: DocControl class


Word Pro: All property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

allvalue = [objectreference].All

[objectreference].All = allvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: AlternateName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

alternatenamevalue = [objectreference].AlternateName

[objectreference].AlternateName = alternatenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: Always property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

alwaysvalue = [objectreference].Always

[objectreference].Always = alwaysvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: AmikakeName property

 See list of classes

 See example

(Read-write) The name of the text background object for the Asian language versions of Word Pro. If you are using an English language version of Word Pro, this property is not available.

Data Type

String

Syntax

amikakenamevalue = [objectreference].AmikakeName

[objectreference].AmikakeName = amikakenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: AmountOfSpaceAbove property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

amountofspaceabovevalue = [objectreference].AmountOfSpaceAbove

[objectreference].AmountOfSpaceAbove = amountofspaceabovevalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: AmountOfSpaceBelow property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

amountofspacebelowvalue = [objectreference].AmountOfSpaceBelow

[objectreference].AmountOfSpaceBelow = amountofspacebelowvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: Amount property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

amountvalue = [objectreference].Amount

[objectreference].Amount = amountvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: AmtTether property

 See list of classes

 See example

(Read-write) Indicates the location of a layout object's knot. The knot is the position on the frame from which it is anchored.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

[objectreference].AmtTether = amttethervalue

amttethervalue = [objectreference].AmtTether

Legal values

Value	Effect
$LwpWhereTypeUpperLeft (1976)	Setting this value attaches the knot in the upper left side of a layout object.
$LwpWhereTypeMiddleTop (1977)	Setting this value attaches the knot in the middle of the top area of a layout object.
$LwpWhereTypeLayoutUpperRight (1978)	Setting this value attaches the knot in the upper right side of a layout object.
$LwpWhereTypeMiddleLeft (1979)	Setting this value attaches the knot in the middle of the left side of a layout object.
$LwpWhereTypeMiddleRight (1980)	Setting this value attaches the knot in the middle of the right side of a layout object.
$LwpWhereTypeLowerLeft (1981)	Setting this value attaches the knot in the lower left side of a layout object.
$LwpWhereTypeMiddleBottom (1982)	Setting this value attaches the knot in the middle of the bottom area of a layout object.
$LwpWhereTypeLowerRight (1983)	Setting this value attaches the knot in the lower right side of a layout object.
$LwpWhereTypeMiddle (1984)	Setting this value attaches the knot in the middle of a layout object.
Usage

The AmtTether property applies only to frame and table layout objects. In Word Pro, this property is represented by the "Tie anchor to frame setting" in the Placement and Anchoring Options dialog box. Use this property in conjunction with the AmtToTetherFrom property in order to properly place the layout object's knot.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: AmtToTetherFrom property

 See list of classes

 See example

(Read-write) Indicates whether a layout object's knot is tied to the interior, border, or exterior of the object. The knot is the position on the frame from which it is anchored.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

amttotetherfromvalue = [objectreference].AmtToTetherFrom

[objectreference].AmtToTetherFrom = amttotetherfromvalue

Legal values

Value	Effect
$LwpWhereTypeUpperLeft (1976)	Setting this value attaches the knot to the interior of a layout object.
$LwpWhereTypeMiddleTop (1977)	Setting this value attaches the knot to the exterior of a layout object.
$LwpWhereTypeLayoutUpperRight (1978)	Setting this value attaches the knot to the border of a layout object.
Usage

The AmtToTetherFrom property applies only to frame and table layout objects. In Word Pro, this property is represented by the "Tie anchor to frame setting" in the Placement and Anchoring Options dialog box. Use this property in conjunction with the AmtTether property in order to properly place the layout object's knot.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ApplyAdjectivePos property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking adjective positions.

Data Type

Integer

Syntax

applyadjectiveposvalue = [objectreference].ApplyAdjectivePos

[objectreference].ApplyAdjectivePos = applyadjectiveposvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyAdjectNounPart property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking adjective/noun parts.

Data Type

Integer

Syntax

applyadjectnounpartvalue = [objectreference].ApplyAdjectNounPart

[objectreference].ApplyAdjectNounPart = applyadjectnounpartvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyAgreementWithHereThere property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for agreement between usage of the words "here" and "there."

Data Type

Integer

Syntax

applyagreementwithheretherevalue = [objectreference].ApplyAgreementWithHereThere [objectreference].ApplyAgreementWithHereThere = applyagreementwithheretherevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Agreement with 'here'/'there' " in the "Rule type" field on the Rules panel.

This rule flags errors of agreement between verbs and their predicate nouns when the sentence has "here" or "there" as its apparent subject. A predicate noun identifies or restates the subject of the sentence. When the apparent subject of the sentence is "here" or "there," the verb must agree with the predicate noun. For example, one rule will flag the sentence, "Here comes the two men who can help us," because the singular verb ("comes") does not agree with the plural predicate noun ("men").

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyAnglicisms property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyanglicismsvalue = [objectreference].ApplyAnglicisms

[objectreference].ApplyAnglicisms = applyanglicismsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyArchaicExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking archaic expressions.

Data Type

Integer

Syntax

applyarchaicexpressionsvalue = [objectreference].ApplyArchaicExpressions

[objectreference].ApplyArchaicExpressions = applyarchaicexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Archaic expressions" in the "Rule type" field on the Rules panel.

This rule flags words and expressions that are no longer current in standard usage. These words or expressions may be appropriate in certain contexts, but might seem stilted or awkward in everyday writing. They should be replaced with contemporary equivalents, whenever possible. For example, the sentence, "Would you perchance be free for lunch on Tuesday?" can be revised using the more contemporary term, "possibly," in place of "perchance."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyArticleAgreement property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking "A" and "An" article agreements.

Data Type

Integer

Syntax

applyarticleagreementvalue = [objectreference].ApplyArticleAgreement [objectreference].ApplyArticleAgreement = applyarticleagreementvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting " A vs. An " in the "Rule type" field on the Rules panel.

This rule flags incorrect indefinite articles (a/an) in noun phrases. Words that begin with a vowel usually take "an" as the indefinite article (an army), and words that begin with a consonant usually take "a" as the indefinite article (a carrot).

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBadComparatives property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybadcomparativesvalue =[objectreference].ApplyBadComparatives [objectreference].ApplyBadComparatives = applybadcomparativesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBadInflection property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybadinflectionvalue = [objectreference].ApplyBadInflection

[objectreference].ApplyBadInflection = applybadinflectionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBadNounGender property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybadnoungendervalue = [objectreference].ApplyBadNounGender

[objectreference].ApplyBadNounGender = applybadnoungendervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBadNoun property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyBadNounvalue = [objectreference].ApplyBadNoun

[objectreference].ApplyBadNoun = applyBadNounvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBadPlural property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybadpluralvalue = [objectreference]. ApplyBadPlural

[objectreference]. ApplyBadPlural= applybadpluralvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBadPrepositions property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybadprepositionsvalue = [objectreference].ApplyBadPrepositions

[objectreference].ApplyBadPrepositions = applybadprepositionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBelgianExpression property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybelgianexpressionvalue = [objectreference].ApplyBelgianExpression

[objectreference].ApplyBelgianExpression = applybelgianexpressionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBorrowedForeign property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyborrowedforeignvalue = [objectreference].ApplyBorrowedForeign

[objectreference].ApplyBorrowedForeign = applyborrowedforeignvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyBureuaJargon property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applybureuajargonvalue = [objectreference].ApplyBureuaJargon

[objectreference].ApplyBureuaJargon = applybureuajargonvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyCalque property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applycalquevalue = [objectreference].ApplyCalque

[objectreference].ApplyCalque = applycalquevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, Spanish.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyCapitalizationCheck property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking capitalization.

Data Type

Integer

Syntax

applycapitalizationcheckvalue = [objectreference].ApplyCapitalizationCheck

[objectreference].ApplyCapitalizationCheck = applycapitalizationcheckvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Capitalization errors" in the "Rule type" field on the Rules panel.

This rule flags the most common capitalization errors, including uncapitalized proper names, uncapitalized salutations, and incorrectly capitalized or uncapitalized names of days, months, seasons, holidays and abbreviations. It also flags sentences that begin with a lowercase letter. For example, this rule flags "chicago" as "Chicago," "best wishes" as "Best Wishes," and "Memorial day" as "Memorial Day."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyClauseErrors property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking clause errors.

Data Type

Integer

Syntax

applyclauseerrorsvalue = [objectreference].ApplyClauseErrors

[objectreference].ApplyClauseErrors = applyclauseerrorsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Clause errors" in the "Rule type" field on the Rules panel.

This rule flags general errors of sentence structure, such as run-on sentences and sentence fragments. It checks to see that conjunctions are used correctly and that correct punctuation appears between clauses. For example, this rule will flag the sentence, "We chopped up fruit, and we diced the potatoes, and we made a pie crust," since only one "and" is necessary when three clauses appear in sequence.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyCliches property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking expressions that are cliches.

Data Type

Integer

Syntax

applyclichesvalue = [objectreference].ApplyCliches

[objectreference].ApplyCliches = applyclichesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Cliches" in the "Rule type" field on the Rules panel.

This rule flags clichés, colorful expressions used so often that they have lost their original force. Although clichés may occasionally be appropriate, you should avoid using them casually or excessively. Sometimes a cliché can be replaced by a more direct term. In other cases, the sentence must be rephrased to avoid the cliché. For example, the phrase, "make a mountain out of a molehill," might become "exaggerate" or "overreact."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyColloquialExpression property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking colloquial expressions.

Data Type

Integer

Syntax

applycolloquialexpressionvalue = [objectreference].ApplyColloquialExpression [objectreference].ApplyColloquialExpression = applycolloquialexpressionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyCommonlyConfusedWords property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking words that are commonly confused.

Data Type

Integer

Syntax

applycommonlyconfusedwordsvalue = [objectreference].ApplyCommonlyConfusedWords

[objectreference].ApplyCommonlyConfusedWords = applycommonlyconfusedwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Commonly confused words" in the "Rule type" field on the Rules panel.

This rule flags commonly confused words that have similar, though not identical, pronunciations. The confused pairs include words that involve confusion between a noun and a verb. For example, the rule will flag the sentence, "You would be wise to seek legal advise before signing a contract," because the verb, "advise," is mistakenly used instead of the noun, "advice."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyCommonMisspell property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking common misspellings.

Data Type

Integer

Syntax

applycommonmisspellvalue = [objectreference].ApplyCommonMisspell [objectreference].ApplyCommonMisspell = applycommonmisspellvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyComplexWords property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applycomplexwordsvalue = [objectreference].ApplyComplexWords

[objectreference].ApplyComplexWords = applycomplexwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyConfusedEasy property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyconfusedeasyvalue = [objectreference].ApplyConfusedEasy

[objectreference].ApplyConfusedEasy = applyconfusedeasyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, French.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyConfusedEnglish property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyconfusedenglishvalue = [objectreference].ApplyConfusedEnglish [objectreference].ApplyConfusedEnglish = applyconfusedenglishvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, French.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyConfusedHard property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyconfusedhardvalue = [objectreference].ApplyConfusedHard

[objectreference].ApplyConfusedHard = applyconfusedhardvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language.This property can only be found in specific language versions of Word Pro, for example, French.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyConfusedMedium property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyconfusedmediumvalue = [objectreference].ApplyConfusedMedium [objectreference].ApplyConfusedMedium = applyconfusedmediumvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, French.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyConfusedVerb property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyconfusedverbvalue = [objectreference].ApplyConfusedVerb

[objectreference].ApplyConfusedVerb = applyconfusedverbvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language.This property can only be found in specific language versions of Word Pro, for example, Dutch.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyConsecutiveNouns property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking consecutive nouns.

Data Type

Integer

Syntax

applyconsecutivenounsvalue = [objectreference].ApplyConsecutiveNouns

[objectreference].ApplyConsecutiveNouns = applyconsecutivenounsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyContractions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking contractions.

Data Type

Integer

Syntax

applycontractionsvalue = [objectreference].ApplyContractions

[objectreference].ApplyContractions = applycontractionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Contractions" in the "Rule type" field on the Rules panel.

This rule flags contractions and recommends the appropriate expanded forms. For example, one rule will flag the sentence, "I've completed the course," and suggest replacing "I've" with "I have." Contractions are acceptable in many written contexts, especially if you are striving for a conversational tone. They may be inappropriate, however, in some formal documents. This rule helps you identify and revise contractions when you are working in formal documents.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyDerogatory property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyderogatoryvalue = [objectreference].ApplyDerogatory

[objectreference].ApplyDerogatory = applyderogatoryvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyDifferentPrep property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking incorrect prepositions.

Data Type

Integer

Syntax

applydifferentprepvalue = [objectreference].ApplyDifferentPrep

[objectreference].ApplyDifferentPrep = applydifferentprepvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Inappropriate prepositions" in the "Rule type" field on the Rules panel.

This rule flags expressions that include an incorrect preposition and offers the appropriate preposition as a correction. For example, the rule will flag "adhere by" as "adhere to," "center around" as "center on," and so on.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyDoubleNegative property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking double negatives.

Data Type

Integer

Syntax

applydoublenegativevalue = [objectreference].ApplyDoubleNegative [objectreference].ApplyDoubleNegative = applydoublenegativevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Double negatives" in the "Rule type" field on the Rules panel.

This rule flags confusing or awkward phrases that may contain more than one negative word. For example, a sentence may be flagged that uses "can't hardly" instead of "cannot" or "can hardly," and "in no uncertain terms" instead of "clearly" or "specifically."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyDoublePlural property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applydoublepluralvalue = [objectreference].ApplyDoublePlural

[objectreference].ApplyDoublePlural = applydoublepluralvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyDoubleWordCheck property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking double words.

Data Type

Integer

Syntax

applydoublewordcheckvalue = [objectreference].ApplyDoubleWordCheck

[objectreference].ApplyDoubleWordCheck = applydoublewordcheckvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Doubled words" in the "Rule type" field on the Rules panel.

This rule flags sequences of two identical words. Language-specific exceptions are made for legitimately doubled words (for example, "had had" as in "We had had the same discussion before," and "that that" as in "She thought that that problem had been solved."). This rule also flags a succession of articles ("the" and "a"), possessive pronouns ("my" and "his"), and similar words that must not be followed by a word of the same type.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyElision property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking elisions (omitting something in a word, such as a final or initial pronounciation).

Data Type

Integer

Syntax

applyelisionvalue = [objectreference].ApplyElision

[objectreference].ApplyElision = applyelisionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyEnglishDerived property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyenglishderivedvalue = [objectreference].ApplyEnglishDerived

[objectreference].ApplyEnglishDerived = applyenglishderivedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyEnglishWords property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyenglishwordsvalue = [objectreference].ApplyEnglishWords

[objectreference].ApplyEnglishWords = applyenglishwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyExotic property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyexoticvalue = [objectreference].ApplyExotic

[objectreference].ApplyExotic = applyexoticvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyExtraPrepositionCheck property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyextraprepositioncheckvalue = [objectreference].ApplyExtraPrepositionCheck

[objectreference].ApplyExtraPrepositionCheck = applyextraprepositioncheckvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyFalseFriend property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyfalsefriendvalue = [objectreference].ApplyFalseFriend

[objectreference].ApplyFalseFriend = applyfalsefriendvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, Spanish.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyFemaleOccupation property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyfemaleoccupationvalue = [objectreference].ApplyFemaleOccupation [objectreference].ApplyFemaleOccupation = applyfemaleoccupationvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyFixedExpression property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyfixedexpressionvalue = [objectreference].ApplyFixedExpression

[objectreference].ApplyFixedExpression = applyfixedexpressionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyForeignWord property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyforeignwordvalue = [objectreference].ApplyForeignWord

[objectreference].ApplyForeignWord = applyforeignwordvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyFormalTerms property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyformaltermsvalue = [objectreference].ApplyFormalTerms

[objectreference].ApplyFormalTerms = applyformaltermsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyFormatErrors property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking formatting errors.

Data Type

Integer

Syntax

applyformaterrorsvalue = [objectreference].ApplyFormatErrors

[objectreference].ApplyFormatErrors = applyformaterrorsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Formatting errors" in the "Rule type" field on the Rules panel.

This rule checks the format of numbers (placement of periods/commas, endings of ordinal numbers, spelling of fractions/other numbers), dates (use of cardinal/ordinal numbers), times (use of abbreviations and punctuation marks), currency/other symbols, and addresses.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyGallicisms property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applygallicismsvalue = [objectreference].ApplyGallicisms

[objectreference].ApplyGallicisms = applygallicismsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyGenderExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking gender expressions.

Data Type

Integer

Syntax

applygenderexpressionsvalue = [objectreference].ApplyGenderExpressions

[objectreference].ApplyGenderExpressions = applygenderexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Gender-specific expressions" in the "Rule type" field on the Rules panel.

This rule flags gender-specific terms, such as names of occupations or professions that may unneccessarily indicate a person's gender. For professions that were formerly dominated by women but now include men, gender-neutral designations are preferred. For example, one rule will flag the sentence, "The guest speaker was a popular local poetess," and suggest the word, "poet" as a substitute.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyGermanisms property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applygermanismsvalue = [objectreference].ApplyGermanisms

[objectreference].ApplyGermanisms = applygermanismsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomoGraphs property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking homographic expressions (one of two or more words that have the same spelling but differ in origin, meaning, and sometimes pronunciation).

Data Type

Integer

Syntax

applyhomographsvalue = [objectreference].ApplyHomoGraphs

[objectreference].ApplyHomoGraphs = applyhomographsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, Italian.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomonymsEasy property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyhomonymseasyvalue = [objectreference].ApplyHomonymsEasy [objectreference].ApplyHomonymsEasy = applyhomonymseasyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomonymsHard property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyhomonymshardvalue = [objectreference].ApplyHomonymsHard

[objectreference].ApplyHomonymsHard = applyhomonymshardvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomonyms property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking homonyns.

Data Type

Integer

Syntax

applyhomonymsvalue = [objectreference].ApplyHomonyms

[objectreference].ApplyHomonyms = applyhomonymsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Homonyms" in the "Rule type" field on the Rules panel.

This rule flags homonyms or near-homonyms, words that may be confused because they sound alike (for example, "principle" and "principal," "complacent" and "complaisant"). Note that all occurrences of these words will be flagged because there are no contextual clues to distinguish their usage. You must consult the explanations given in the error message to determine whether your usage is correct.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomoPhone1 property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking homophonic words (one or two or more words, such as "night" and "knight," that are pronounced the same but differ in meaning, origin, and sometimes spelling).

Data Type

Integer

Syntax

applyhomophone1value = [objectreference].ApplyHomoPhone1

[objectreference].ApplyHomoPhone1 = applyhomophone1value

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language.This property can only be found in specific language versions of Word Pro, for example, Spanish.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomoPhone2 property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking homophonic words (one or two or more words, such as "night" and "knight," that are pronounced the same but differ in meaning, origin, and sometimes spelling).

Data Type

Integer

Syntax

applyhomophone2value = [objectreference].ApplyHomoPhone2

[objectreference].ApplyHomoPhone2 = applyhomophone2value

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, Spanish.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyHomoPhones property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking homophonic words (one or two or more words, such as "night" and "knight," that are pronounced the same but differ in meaning, origin, and sometimes spelling).

Data Type

Integer

Syntax

applyhomophonesvalue = [objectreference].ApplyHomoPhones

[objectreference].ApplyHomoPhones = applyhomophonesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, Swedish.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyIncorrectPlural property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking incorrect plurals.

Data Type

Integer

Syntax

applyincorrectpluralvalue = [objectreference].ApplyIncorrectPlural

[objectreference].ApplyIncorrectPlural = applyincorrectpluralvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyInformalExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking informal expressions.

Data Type

Integer

Syntax

applyinformalexpressionsvalue = [objectreference].ApplyInformalExpressions [objectreference].ApplyInformalExpressions = applyinformalexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Informal expressions" in the "Rule type" field on the Rules panel.

This rule flags words and expressions that are more appropriate in speech than in writing. This rule offers a less casual alternative or suggests rephrasing the sentence to eliminate the expression. For example, the phrase "a shot at" can be replaced by "a chance to."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyJargonWords property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking jargon words and expressions.

Data Type

Integer

Syntax

applyjargonwordsvalue = [objectreference].ApplyJargonWords

[objectreference].ApplyJargonWords = applyjargonwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Jargon" in the "Rule type" field on the Rules panel.

This rule flags words and expressions that belong to a specific technical vocabulary (medicine, science, music, and so on), but are inappropriate when used in general writing (for example, "input").

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyLowercaseAdjective property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

H_WP_SCALAR_DATA_TYPES_OVER

Integer

Syntax

applylowercaseadjectivevalue = [objectreference].ApplyLowercaseAdjective

[objectreference].ApplyLowercaseAdjective = applylowercaseadjectivevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, German.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyLowercaseColor property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applylowercasecolorvalue = [objectreference].ApplyLowercaseColor

[objectreference].ApplyLowercaseColor = applylowercasecolorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, German.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyLowercaseNumbers property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applylowercasenumbersvalue = [objectreference].ApplyLowercaseNumbers [objectreference].ApplyLowercaseNumbers = applylowercasenumbersvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, German.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyLowercasePhrases property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applylowercasephrasesvalue = [objectreference].ApplyLowercasePhrases [objectreference].ApplyLowercasePhrases = applylowercasephrasesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, German.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyLowercasePronouns property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applylowercasepronounsvalue = [objectreference].ApplyLowercasePronouns

[objectreference].ApplyLowercasePronouns = applylowercasepronounsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, German.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyMassVsCount property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking errors of mass/count agreement.

Data Type

Integer

Syntax

applymassvscountvalue = [objectreference].ApplyMassVsCount

[objectreference].ApplyMassVsCount = applymassvscountvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Misspelled expressions" in the "Rule type" field on the Rules panel.

This rule flags errors of mass/count agreement which conflict with the number the noun represents (singular or plural) and the modifying adjectives. For example, one rule flags the sentence, "There are less mistakes in this document," because the adjective, "fewer," not "less" is the correct one to use with the plural noun, "mistakes."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyMisspelledExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking misspelled expressions.

Data Type

Integer

Syntax

applymisspelledexpressionsvalue = [objectreference].ApplyMisspelledExpressions [objectreference].ApplyMisspelledExpressions = applymisspelledexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Misspelled expressions" in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyMisspelledForeignExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking misspelled foreign expressions.

Data Type

Integer

Syntax

applymisspelledforeignexpressionsvalue = [objectreference].ApplyMisspelledForeignExpressions

[objectreference].ApplyMisspelledForeignExpressions = applymisspelledforeignexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Misspelled foreign expressions" in the "Rule type" field on the Rules panel.

This rule flags misspelled foreign expressions. It may also flag typing errors that make a word look like a foreign expression (for example, "esprit di corps" to "esprit de corps."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyMisspelledItalian property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applymisspelleditalianvalue = [objectreference].ApplyMisspelledItalian

[objectreference].ApplyMisspelledItalian = applymisspelleditalianvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyMisspelledWords property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking misspelled words.

Data Type

Integer

Syntax

applymisspelledwordsvalue = [objectreference].ApplyMisspelledWords

[objectreference].ApplyMisspelledWords = applymisspelledwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyMisusedWords property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking misused words.

Data Type

Integer

Syntax

applymisusedwordsvalue = [objectreference].ApplyMisusedWords

[objectreference].ApplyMisusedWords = applymisusedwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Misused words" in the "Rule type" field on the Rules panel.

This rule flags words or phrases that are often confused with similar words or phrases (for example, "elude to" instead of "allude to," "sit the books on the chair" instead of "set the books on the chair," and so on). The confused expressions should be used in different constructions.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNonStandardExpression property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking non-standard expressions.

Data Type

Integer

Syntax

applynonstandardexpressionvalue = [objectreference].ApplyNonStandardExpression

[objectreference].ApplyNonStandardExpression = applynonstandardexpressionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Nonstandard terms" in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNonStandardModifiers property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking non-standard modifiers.

Data Type

Integer

Syntax

applynonstandardmodifiersvalue = [objectreference].ApplyNonStandardModifiers

[objectreference].ApplyNonStandardModifiers = applynonstandardmodifiersvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Nonstandard modifiers" in the "Rule type" field on the Rules panel.

This rule flags errors of modification, such as using adjectives rather than adverbs to modify verbs. For example, the rule will flag the sentence, "His new car really drives good," since "good" is an adjective mistakenly used in place of the adverb, "well." This rule also checks to determine whether the hyphenation of modifiers conforms to standard usage.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNoudModifierOrderCheck property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking errors in word order.

Data Type

Integer

Syntax

applynoudmodifierordercheckvalue = [objectreference].ApplyNoudModifierOrderCheck

[objectreference].ApplyNoudModifierOrderCheck = applynoudmodifierordercheckvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Word order errors" in the "Rule type" field on the Rules panel.

This rule flags the incorrect order of certain words that modify nouns, for example, "my both children" instead of "both my children."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNounConsistency property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking noun consistency errors.

Data Type

Integer

Syntax

applynounconsistencyvalue = [objectreference].ApplyNounConsistency [objectreference].ApplyNounConsistency = applynounconsistencyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Noun phrase consistency errors" in the "Rule type" field on the Rules panel.

This rule flags errors of number agreement within noun phrases. A noun phrase consists of a noun and the words that modify it, for example, "this old man," "that red bicycle," "a tall building." Certain modifiers, such as "this," "that," and "a" are singular and must be used with singular nouns. Other modifiers, such as "these," "those," "both," and "many" must be used with plural nouns. This rule will flag the sentence, "These five machine are still under warranty," because "these" is plural and "machine" is singular.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNounPhraseAgree property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynounphraseagreevalue = [objectreference].ApplyNounPhraseAgree

[objectreference].ApplyNounPhraseAgree = applynounphraseagreevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSAdjective property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsadjectivevalue = [objectreference].ApplyNSAdjective

[objectreference].ApplyNSAdjective = applynsadjectivevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSClause property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsclausevalue = [objectreference].ApplyNSClause

[objectreference].ApplyNSClause = applynsclausevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSCompare property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynscomparevalue = [objectreference].ApplyNSCompare

[objectreference].ApplyNSCompare = applynscomparealue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Example: AbsoluteTextOrientation property

'This example script has not yet been created.


Example: ActualEnumName property

'This example script has not yet been created.


Example: AfidClassName property

'This example script has not yet been created.


Example: Align property

'This example script has not yet been created.


Example: AllowListEdit property

'This example script has not yet been created.


Example: AllowListMultiValues property

'This example script has not yet been created.


Example: AmikakeType property

'This example script has not yet been created.


Example: AmountOfSpaceAboveLine property

'This example script has not yet been created.


Example: AnyOLEDDELinks property

'This example script has not yet been created.


Example: ApplykSplitInfinitives property

'This example script has not yet been created.


Example: AsciiCodePage property

'This example script has not yet been created.


Example: BackColorIndex property

'This example script has not yet been created.


Example: BackgroundSpellingOn property

'This example script has not yet been created.


Example: BaseTables property

'This example script has not yet been created.


Example: BaseURL property

'This example script has not yet been created.


Example: BookletPrinting property

'This example script has not yet been created.


Example: CanCreatePreviewBitmap property

'This example script has not yet been created.


Example: Center property

'This example script has not yet been created.


Example: ChangeKeyboardToLanguage property

'This example script has not yet been created.


Example: ChangeTextToMatchkeyboard property

'This example script has not yet been created.


Example: ClassId property

'This example script has not yet been created.


Example: CreatePreviewBitmap property

'This example script has not yet been created.


Example: DataFormat property

'This example script has not yet been created.


Example: DdeEnabled property

'This example script has not yet been created.


Example: DefaultDropCapStyleDescription property

'This example script has not yet been created.


Example: DefaultNewCategory property

'This example script has not yet been created.


Example: DiagonalLines property

'This example script has not yet been created.


Example: DisplayAsIcon property

'This example script has not yet been created.


Example: DriverName property

'This example script has not yet been created.


Example: DropCapPosition property

'This example script has not yet been created.


Example: DropCapStyleName property

'This example script has not yet been created.


Example: DropCapStyles property

'This example script has not yet been created.


Example: DropCaps property

'This example script has not yet been created.


Example: ExternallyControlledUndo property

'This example script has not yet been created.


Example: FaceName property

'This example script has not yet been created.


Example: FileFormat property

'This example script has not yet been created.


Example: FinishedSpellChecking property

'This example script has not yet been created.


Example: FirstDivision property

'This example script has not yet been created.


Example: FirstSpellString property

'This example script has not yet been created.


Example: FontMatching property

'This example script has not yet been created.


Example: FooterStyleName property

'This example script has not yet been created.


Example: FooterStyles property

'This example script has not yet been created.


Example: ForeColorIndex property

'This example script has not yet been created.


Example: GraphicPaths property

'This example script has not yet been created.


Example: GraphicPath property

'This example script has not yet been created.


Example: HasIndex property

'This example script has not yet been created.


Example: HasTOC property

'This example script has not yet been created.


Example: HeaderStyleName property

'This example script has not yet been created.


Example: HeaderStyles property

'This example script has not yet been created.


Example: IDispatch property

'This example script has not yet been created.


Example: IsAmikake property

'This example script has not yet been created.


Example: IsChangedOtherThanLinkTo property

'This example script has not yet been created.


Example: IsChangedToLinkTo property

'This example script has not yet been created.


Example: IsChartLink property

'This example script has not yet been created.


Example: IsEndnoteDivision property

'This example script has not yet been created.


Example: IsLocked property

'This example script has not yet been created.


Example: IsPrompting property

'This example script has not yet been created.


Example: IsSmartEditEnabled property

'This example script has not yet been created.


Example: IsStyle property

'This example script has not yet been created.


Example: IsSymbolic property

'This example script has not yet been created.


Example: IsViewRubyMarks property

'This example script has not yet been created.


Example: IsViewStatusSpell property

'This example script has not yet been created.


Example: LastDivision property

'This example script has not yet been created.


Example: LayerName property

'This example script has not yet been created.


Example: Layer property

'This example script has not yet been created.


Example: LinkFrame property

'This example script has not yet been created.


Example: LockResult property

'This example script has not yet been created.


Example: MergeFileType property

'This example script has not yet been created.


Example: MergeToFile property

'This example script has not yet been created.


Example: MetafilePict property

'This example script has not yet been created.


Example: NextSpellString property

'This example script has not yet been created.


Example: NonUserDocument property

'This example script has not yet been created.


Example: NumberOfCharacters property

'This example script has not yet been created.


Example: NumberOfLines property

'This example script has not yet been created.


Example: NumberOfMergeConditions property

'This example script has not yet been created.


Example: NumLinesOfSpaceAboveLine property

'This example script has not yet been created.


Example: OCXDesignMode property

'This example script has not yet been created.


Example: Ole1Object property

'This example script has not yet been created.


Example: OLEAutomation property

'This example script has not yet been created.


Example: OLEEnabled property

'This example script has not yet been created.


Example: OleMinHeight property

'This example script has not yet been created.


Example: OleObjectSize property

'This example script has not yet been created.


Example: ParagraphHasDropCap property

'This example script has not yet been created.


Example: ParagraphHasText property

'This example script has not yet been created.


Example: Placement property

'This example script has not yet been created.


Example: Plain property

'This example script has not yet been created.


Example: ProgID property

'This example script has not yet been created.


Example: ReadCompressed property

'This example script has not yet been created.


Example: RetainNameOfImportedFile property

'This example script has not yet been created.


Example: Shape property

'This example script has not yet been created.


Example: ShowBubbleHelp property

'This example script has not yet been created.


Example: ShowFileNew property

'This example script has not yet been created.


Example: SingleCellSelected property

'This example script has not yet been created.


Example: Span property

'This example script has not yet been created.


Example: SpellString property

'This example script has not yet been created.


Example: StrikeThrough property

'This example script has not yet been created.


Example: Tile property

'This example script has not yet been created.


Example: TypeAboveLine property

'This example script has not yet been created.


Example: UpdateOnLoad property

'This example script has not yet been created.


Example: UserDefinedFilter property

'This example script has not yet been created.


Example: WaterMarkName property

'This example script has not yet been created.


Example: WaterMarksPath property

'This example script has not yet been created.


Example: WidthInLongtwips property

'This example script has not yet been created.


Word Pro: AbsoluteTextOrientation property

 See list of classes

 See example

(Read-only) Returns the orientation of text in a container, taking into account the orientation of any parent containers.

Data Type

The data type for this property is Integer. It will always contain one of the values listed below, under Legal Values.

Syntax

absolutetextorientationvalue = [objectreference].AbsoluteTextOrientation

Legal values

The legal values for this property are listed below:

Value	Effect
0	Indicates that the text, in relation to its container plus any parent containers, is oriented from left to right and top to bottom.
1	Indicates that the text, in relation to its container plus any parent containers, is oriented from top to bottom and right to left.
2	Indicates that the text, in relation to its container plus any parent containers, is oriented from right to left and bottom to top.
3	Indicates that the text, in relation to its container plus any parent containers, is oriented from bottom to top and left to right.
Usage

The AbsoluteTextOrientation property takes into account the orientation of all parent containers. For example, frame A is oriented from right to left and bottom to top. Frame A contains table cell B which is also oriented from right to left and bottom to top. Text contained in table cell B appears on the screen as if it is oriented from left to right and top to bottom. Therefore, the AbsoluteTextOrientation property will contain a value of 0. This indicates that the text is oriented from left to right and top to bottom, taking into account the orientation of all of its parent containers.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: ActualEnumName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Font class


Word Pro: AfidClassName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: Align property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Font class


Word Pro: AllowListEdit property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: AllowListMultiValues property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: AmikakeType property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Amikake class


Word Pro: AmountOfSpaceAboveLine property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: AnyOLEDDELinks property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: ApplykSplitInfinitives property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Grammar class


Word Pro: AsciiCodePage property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Filter class


Word Pro: BackColorIndex property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Background class

Word Pro: Border class

Word Pro: Font class


Word Pro: BackgroundSpellingOn property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: BaseTables property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Foundry class


Word Pro: BaseURL property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: BookletPrinting property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: CanCreatePreviewBitmap property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Center property

 See list of classes

 See example

(Read-write) Indicates whether or not a graphic object is centered horizontally and vertically within a layout object.

Data Type

Integer

Syntax

[objectreference].Center = centervalue

centervalue = [objectreference].Center

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the Placement setting, which is located in the Watermark properties panel of the InfoBox.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ChangeKeyboardToLanguage property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: ChangeTextToMatchkeyboard property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: ClassId property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: CreatePreviewBitmap property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DataFormat property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: DdeEnabled property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultDropCapStyleDescription property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultNewCategory property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: DiagonalLines property

 See list of classes

 See example

(Read-only) Allows you to access the diagonal line information for a specific TableLine object.

Data Type

BorderLines

Syntax

diagonallinesvalue = [objectreference].DiagonalLines

Legal values

Always contains an instance of the BorderLines class.

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: DisplayAsIcon property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: DriverName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: DropCapPosition property

 See list of classes

 See example

(Read-write) Controls where a DropCap layout object will be placed in relation to the first line of text.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

dropcappositionvalue = [objectreference].DropCapPosition

[objectreference].DropCapPosition = dropcappositionvalue

Legal values

Value	Effect
$LwpDropcapAbove (2235)	Equivalent to choosing Above first line in the Drop Cap dialog box.
$LwpDropcapBelow (2234)	Equivalent to choosing Below first line in the Drop Cap dialog box.
$LwpDropcapBeside (2236)	Equivalent to choosing Beside paragraph in the Drop Cap dialog box.
Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DropCapStyleName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DropCapStyles property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Foundry class


Word Pro: DropCaps property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Foundry class


Word Pro: ExternallyControlledUndo property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: FaceName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Font class


Word Pro: FileFormat property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: FinishedSpellChecking property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FirstDivision property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FirstSpellString property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: FontMatching property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: FooterStyleName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: FooterStyles property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Foundry class


Word Pro: ForeColorIndex property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Background class

Word Pro: Border class

Word Pro: Font class


Word Pro: GraphicPaths property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: GraphicPath property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: HasIndex property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: HasTOC property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: HeaderStyleName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: HeaderStyles property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Foundry class


Word Pro: IDispatch property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: IsAmikake property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Amikake class


Word Pro: IsChangedOtherThanLinkTo property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsChangedToLinkTo property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsChartLink property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IsEndnoteDivision property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsLocked property

 See list of classes

 See example

(Read-write) Allows you to lock a CellLayout object from being removed.

Data Type

Integer

Syntax

[objectreference].IsLocked = islockedvalue

islockedvalue = [objectreference].IsLocked

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When you enter a table cell in Word Pro, a cell layout object is created. If you leave the cell layout without modifying the layout or its content, Word Pro removes the cell layout object. Setting the IsLocked property to True prevents WordPro from removing a particular cell layout object.

The IsLocked property applies only to cell layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsPrompting property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: IsSmartEditEnabled property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: IsStyle property

 See list of classes

 See example

(Read-only) Indicates whether a particular layout object is a style.

Data Type

Integer

Syntax

[objectreference].IsStyle = isstylevalue

isstylevalue = [objectreference].IsStyle

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can reference this property to determine whether a particular layout object is a style layout object.

This property is useful when accessing layout object collections, since style layout objects are stored in collections along with user-created layout objects. Modifying style layout objects can sometimes cause unpredictable results.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsSymbolic property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: FontMetrics class


Word Pro: IsViewRubyMarks property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewStatusSpell property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: LastDivision property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LayerName property

 See list of classes

 See example

(Read-only) Indicates the name of the Layer object for a specified layout object.

Data Type

String

Syntax

layernamevalue = [objectreference].LayerName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The LayerName property provides you with the name of the Layer, or Watermark, object for a specified layout object. If a layer object does not exist in the specified layout object, its LayerName property will contain an empty string.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Layer property

 See list of classes

 See example

(Read-only) Provides access to the Layer object for a specific layout object.

Data Type

FrameLayout

Syntax

layervalue = [objectreference].Layer

Legal values

Always contains an instance of the FrameLayout class.

Usage

The Layer property provides access to a layout object's Layer, or Watermark, object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: LinkFrame property

 See list of classes

 See example

(Read-write) Determines whether or not a frame layout object will link its contents with another frame layout object.

Data Type

String

Syntax

linkframevalue = [objectreference].LinkFrame

[objectreference].LinkFrame = linkframevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the "Link frame contents to" setting, located on the Misc panel of the InfoBox for frame layout objects. The LinkFrame property is used only with frame layout objects.

In order to remove the link from a frame layout object, set the LinkFrame property to an empty string value. Setting a layout object's LinkFrame property to a value that does not correspond with an appropriate frame layout object also results in an empty string value being assigned to the LinkFrame property.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: LockResult property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: MergeFileType property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: MergeToFile property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: MetafilePict property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: NextSpellString property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: NonUserDocument property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: NumberOfCharacters property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: NumberOfLines property

 See list of classes

 See example

(Read-write) Indicates the number of lines used to determine the height of a drop cap.

Data Type

Integer

Syntax

numberoflinesvalue = [objectreference].NumberOfLines

[objectreference].NumberOfLines = numberoflinesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the "Height of Drop Cap" setting in the Drop Cap dialog box.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: NumberOfMergeConditions property

 See list of classes

 See example

(Read-only) Sets the number of conditions for a Merge.

Data Type

Integer

Syntax

numberofmergeconditionsvalue = [objectreference].NumberOfMergeConditions

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: NumLinesOfSpaceAboveLine property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: OCXDesignMode property

 See list of classes

 See example

(Read-write) This property enables or disables OCX design mode.

Data Type

Integer

Syntax

ocxdesignmodevalue = [objectreference].OCXDesignMode

[objectreference].OCXDesignMode = ocxdesignmodevalue

Legal values

The legal values for this property are -1 and 0 but you may use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True enables OCX design mode. In OCX design mode, you can select OCX controls and modify their properties. Setting this property to False enables OCX run mode. In run mode, OCX controls are functional and their properties cannot be modified.

Setting this property is equivalent to choosing View - Design Mode.


Topics Found:

Word Pro: DocControl class


Word Pro: Ole1Object property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: OLEAutomation property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: OLEEnabled property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: OleMinHeight property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: OleObjectSize property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: Placement property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: RubyLayout class


Word Pro: Plain property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Font class


Word Pro: ProgID property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: ReadCompressed property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: RetainNameOfImportedFile property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Shape property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Background class


Word Pro: ShowBubbleHelp property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: ShowFileNew property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SingleCellSelected property

 See list of classes

 See example

(Read-only) Indicates whether a single cell is currently selected.

Data Type

Integer

Syntax

singlecellselectedvalue = [objectreference].SingleCellSelected

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A value of in this property indicates that a single cell is selected, or that the cursor is currently within a cell. A value of false indicates that multiple cells are currently selected.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: Span property

 See list of classes

 See example

(Read-write) Indicates whether or not a row layout object will span across multiple pages.

Data Type

Integer

Syntax

spanvalue = [objectreference].Span

[objectreference].Span = spanvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Row spans pages" setting, located in the Table Cell Size & Margins panel of the InfoBox for cell layout objects. This property is used only with cell layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: SpellString property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: StrikeThrough property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Font class


Word Pro: Tile property

 See list of classes

 See example

(Read-write) Determines whether or not a layout object's graphic content will repeat horizontally and vertically.

Data Type

Integer

Syntax

tilevalue = [objectreference].Tile

[objectreference].Tile = tilevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: TypeAboveLine property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: UpdateOnLoad property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: UserDefinedFilter property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: WaterMarkName property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: WaterMarksPath property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: WidthInLongtwips property

 See list of classes

 See example

(Read-only/Read-write)

This language element is not yet defined.

Data Type

Unknown

Syntax

Unknown

Legal values

Unknown

Usage


Topics Found:

Word Pro: Border class


Word Pro: Accelerators class

A short-cut key assignment for any Word Pro script or Ami Pro macro. With the methods in this class, you can add or remove any accelerator key assignment.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Accelerators Property

Usage

Note that any accelerators you create and assign will expire when you end the session of Word Pro in which you created those accelerators. To keep an accelerator in memory between Word Pro sessions, you must set the accelerator's IsTemporaryUse parameter to "0."


Word Pro: Alignment class

The alignment settings for an object.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Alignment Property

Formula in the Alignment Property

Graphic in the Alignment Property

ParagraphStyle in the Alignment Property

Text in the Alignment Property

TextMarker in the Alignment Property

Usage

Alignment objects are stored in the Alignment property of other objects. Use the syntax shown in the Alignment property description to make use of this class' properties and methods.


Word Pro: Amikake class

The text background object for the Asian language versions of Word Pro. If you are using an English language version of Word Pro, this class is not available.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the Amikake Property

ClickHere in the Amikake Property

ParagraphStyle in the Amikake Property

Text in the Amikake Property

TextMarker in the Amikake Property

Usage


Word Pro: ApplicationWindow class

The Word Pro window which acts as the container for all of your document windows. Also known as the application workspace, this is the window which remains after you close all of your documents and leave Word Pro running.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

Application in the ApplicationWindow Property

WPApplication in the ApplicationWindow Property

Usage

This class is shared by all Lotus applications. Each Lotus application creates a single ApplicationWindow object when you launch the application. Word Pro's ApplicationWindow object is contained by the WPApplication class in the ApplicationWindow property. WPApplication inherits the ApplicationWindow property from the Application class.

Only one ApplicationWindow object is instantiated at any given time. The ApplicationWindow object allows you to access all of the Word Pro features which are available independently of the documents you create. For example, your preference settings, accelerator keys, SmartIcons bars, menus, the status bar, and other features are available, regardless of which document you have open. Many of these global features are accessed through the ApplicationWindow property in WPApplication.


Word Pro: Application class

An abstract class that acts as a template for the WPApplication class. To access and manipulate the Word Pro application, use the Word Pro subclass named WPApplication.

Base Classes

BaseObject

Derived Classes

WPApplication

Contained by

Usage

Each Lotus application is represented in LotusScript by its own subclass of the Application class. By sharing a common parent class, each Lotus application inherits a common set of properties, methods, and events. This makes it possible for you to interact with each Lotus application in much the same way. You should also note that, as in all LotusScript classes, the Application class is itself a subclass of the BaseObject class.

The Application class lays the groundwork for a number of abilities and attributes which are common to all Lotus applications. These are inherited by each application's subclass and enhanced for that application's unique needs. For example, Application maintains application-wide settings and user information. Application also manages and creates documents. There is a single window associated with each application. WPApplication inherits each of these traits and enhances them to meet the needs of the Word Pro application.

There is only one application object per running application instance. You cannot instantiate an object from the Application class.


Word Pro: AppViewPrefs class

The view preferences for a session of Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the AppViewPrefs Property

Usage

This class defines the color of margins, window panes, selection borders, spelling errors, and the currently selected spelling error. To access the object instantiated from this class, use the AppViewPrefs property on WPApplication.


Word Pro: Attributes class

The attributes of an object.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the TextAttributes Property

ClickHere in the Attributes Property

Editor in the TextAttributes Property

FindAndReplace in the ReplaceAttributes Property

FindAndReplace in the SearchAttributes Property

FormatPreferences in the Attributes Property

ParagraphStyle in the TextAttributes Property

RevisionDisplay in the TextAttributes Property

Text in the Attributes Property

TextMarker in the Attributes Property

Usage


Word Pro: AutoRunMacro class

Contains the names of macros which will run automatically each time a document is created, opened, or closed.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the AutoRunMacro Property

Usage


Word Pro: Background class

The background of an object. Three properties correspond to the three elements of an object's background: the pattern, the pattern color, and the color of the null space behind the pattern.

Base Classes

BaseObject

Derived Classes

None

Contained by

Amikake in the Background Property

Layout in the Background Property

TableFill in the Background Property

Usage

Setting the properties of a Background object is the same as setting the InfoBox options labeled Pattern, Pattern color, and Background color for a Layout or TableFill object.

Use the Pattern property to choose a pattern for the Background object. Use the Color property to choose a color for that pattern. Use the BackColor property to choose a color for the null space behind the pattern.


Word Pro: BagCollection class

A collection of Bag objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Bags Property

Usage


Word Pro: Bag class

Stores custom data for a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: BaseCollection class

A virtual class which provides the basic members for all collection classes.

Base Classes

BaseObject

Derived Classes

BagCollection

BookmarkCollection

CellCollection

CellLayoutCollection

CharacterStyleCollection

ClickHereCollection

ConnectedLayoutCollection

ContentCollection

DdeLinkCollection

DivisionCollection

DocInfoFieldCollection

Documents

DocWindowCollection

EditorCollection

EndnoteLayoutCollection

FooterLayoutCollection

FootnoteCollection

FootnoteLayoutCollection

FrameLayoutCollection

GlossaryCollection

GraphicCollection

GraphicOleObjectCollection

GroupLayoutCollection

HeaderLayoutCollection

IconBarCollection

LayoutCollection

MarkerCollection

MenuItemCollection

NoteLayoutCollection

OleObjectCollection

OutlineSeqCollection

OutlineSeqItemCollection

PageLayoutCollection

ParagraphStyleCollection

ParallelColsCollection

PowerFieldCollection

RowLayoutCollection

RubyLayoutCollection

SectionCollection

SilverBulletCollection

StatusBarButtonCollection

StringCollection

SuperTableCollection

SuperTableLayoutCollection

TableCollection

TableHeadingCollection

TableHeadingLayoutCollection

TableLayoutCollection

TableMarkerCollection

TableOnlyCollection

TextCollection

TextMarkerCollection

TextStyleCollection

VersionCollection

WPDataSetCollection

Contained by

Usage

The BaseCollection class is an abstract class. That is, you cannot create an instance of BaseCollection. You can, however, represent all its derived classes with the BaseCollection class. For example, you can write a subroutine that takes BaseCollection as a parameter. Then you can use any instance of a derived BaseCollection class in that subroutine:

Dim x As BaseCollection

Set x = .Application.Documents


Word Pro: BaseContainer class

An abstract class which defines properties and methods that are common to all Word Pro container objects. An explanation of container objects is provided below under Usage. This information applies to all container objects in Word Pro, but each container object may exhibit minor differences. These differences are noted in the documentation of each specific container class.

Base Classes

BaseObject

Derived Classes

CellContainer

FrameContainer

NoteContainer

PageContainer

ParallelColsContainer

RowContainer

RubyContainer

SubPageContainer

SuperPageContainer

SuperTableContainer

TableContainer

TableOnlyCont

Contained by

WPApplication in the Container Property

Usage

Word Pro creates container objects as a means of giving you quick and easy access to a group of related objects. However, that access is provided only when those related objects have the focus. For example, a table cell is comprised of a group of related objects, including a CellLayout object, a Background object, a Borderlines object, and all the attributes of those objects. When you move the insertion point into that cell, we say that cell has the focus. When a cell gets the focus, Word Pro creates a container object from the CellContainer class to hold all the objects related to that cell.

Container objects are temporary and exist only as long as a group of related objects has the focus. If you move the insertion point to another object or group of objects, Word Pro destroys the container object, leaving the group of related objects intact. Only a handful of objects have related objects that can be pulled together in a container. They include pages, tables, parallel columns, super tables, cells, and frames. Each of these objects has related objects that get pulled into a container when you give that object the focus (for example, when you place the insertion point in that object). A container object is always stored in the same property on the WPApplication object. You can never have more than one kind of container object at any given time.

The container object properties on the WPApplication object include:

Cell

Frame

Page

SuperTableContainer

TableContainer

TableOnlyContainer

You may also notice the Container property, which always contains the topmost container object in the focus. Container uses the abstract class BaseContainer as its data type. This allows the Container property to store any kind of container object.

Container properties remain empty unless the focus includes a cell, a frame, a page, a table, or some combination of these. As you move the focus around in a document and different groups of related objects come into the focus, Word Pro creates temporary container objects and stores them in these container properties to give you easy access to each group of related objects. While Word Pro never creates more than one of each type of container object at any given time, it is not unusual to have one of each kind of container object stored in the WPApplication properties.

An Example of Container Objects

Here's an example of how Word Pro would manage container objects in a document with a table on the first page, a table and a frame on the second page, and a set of parallel columns on the third page:

When you place your insertion point on the first page, Word Pro creates a PageContainer object and stores it in the Page property. When you move your insertion point to a table cell, Word Pro creates CellContainer, TableOnlyCont, and SuperTableContainer objects. and places them in their respective container properties. Word Pro leaves the PageContainer object for page one intact because you never moved your insertion point (and thus the focus) off page one.

When you move the insertion point to page two, Word Pro destroys all the container objects from the first page and creates a new PageContainer object for the second page. When you move the insertion point to a cell in the table on the second page, Word Pro creates container objects for that table, its super table, and the cell in which you placed the insertion point. When you move the insertion point to the frame on the second page, Word Pro destroys the table, super table, and cell container objects, and creates a FrameContainer object. Word Pro leaves the PageContainer object for page two intact because your insertion point never left page two.

When you move the insertion point to page three, Word Pro destroys all the container objects from the second page. Page three has a set of parallel columns. Word Pro sees parallel columns as a special kind of table. In fact, the Table class and ParallelColumns class are derived from the same parent class (BaseTable), and the container classes (TableOnlyCont and ParallelColsContainer) for these objects are derived from the same parent class (TableContainer). You may notice that there is a property for the TableOnlyCont object, but no property set aside for the ParallelColsContainer object. Word Pro provides a place for the ParallelColsContainer object in the TableContainer property by specifying the data type of the TableContainer property as TableContainer (the parent class for ParallelColsContainer). Using the parent class as the data type allows Word Pro to store either a ParallelColsContainer or a TableOnlyCont object in the TableContainer property. Thus, when you move the insertion point onto page three, Word Pro creates a PageContainer object for the Page property and a ParallelColsContainer object for the TableContainer property.

Using Containers To Access The Appropriate Layout

In most cases, you will use container objects as a means of selecting a single Layout object when the focus encompasses several layout objects. In the example above, if your focus was on a table cell and you wanted to access the PageLayout object, you couldn't use the statement:

.Layout.layoutpropertyname

This would return the layout of the cell. Instead, you need a way of specifying which layout object you want. The container objects make this easy because you can always use a statement such as:

Page.Layout

or

TableOnlyContainer.Layout

Variables and Container Objects

Remember that a container object is temporary and changes with the focus. So if the insertion point was in cell (1,1) of a table, and you assign the container object to a variable (myCellContainer) like this:

set myCellContainer = .Cell

You can call the variable and get cell (1,1), as long as the focus remains on cell (1,1). However, if you move the focus to cell (2,2) and try to use that same variable as in the statement below:

myCellContainer.Layout.Content.InsertText "Hello"

Word Pro will insert the text "Hello" into cell (2,2) because the variable myCellContainer contains the CellContainer object and that object changed from cell (1,1) to cell (2,2) when you moved the focus. Container objects always refer to the current context and the variables that contain container objects also change with the focus.

Finally, if you move the focus out of the table entirely so that the insertion point is not within a cell at all, then this statement will result in an error:

myCellContainer.Layout.Content.InsertText "Hello"

This is because the myCellContainer variable must contain a container object for the statement to work, but the object is destroyed when you move the focus out of the table.


Word Pro: BaseObject class

The BaseObject class is shared among all Lotus applications and is a true virtual class: no instances of the BaseObject class are ever created. BaseObject exists to provide a basic set of properties to all Word Pro classes. It is important to remember, that while the properties in the BaseObject class are inherited by every Word Pro class, not every Word Pro class actually implements each property. Check the descriptions for the BaseObject properties to see which are implemented by Word Pro classes.

Base Classes

BaseObject

Derived Classes

Accelerators

Alignment

Amikake

Application

ApplicationWindow

AppViewPrefs

Attributes

AutoRunMacro

Background

BagCollection

Bag

BaseCollection

BaseContainer

BaseObject

BaseTable

BookmarkCollection

Bookmark

BookmarkManager

Border

BorderLines

Breaks

Bullet

CellCollection

CellContainer

CellEngine

CellGroupLayout

CellLayoutCollection

CellLayout

CharacterBorder

CharacterSet

CharacterStyleCollection

CharacterStyle

ClickHereCollection

ClickHere

Color

Column

ConnectedLayoutCollection

ConnectedLayout

ContentCollection

Content

ContextMenuOptions

DdeLinkCollection

DdeLink

DdeLinkManager

DivisionCollection

Division

DivisionInfo

DivisionOptions

DocControl

DocInfoFieldCollection

DocInfoField

DocInfoFieldManager

DocInfo

Document

Documents

DocWindowCollection

DocWindow

EditorCollection

Editor

EditorManager

EndnoteDivisionGroupNum

EndnoteDivisionNum

EndnoteDocNum

EndnoteLayoutCollection

EndnoteLayout

Filter

FilterHelper

FindAndReplace

Font

FontMetrics

FooterLayoutCollection

FooterLayout

FootnoteCollection

FootnoteContSep

Footnote

FootnoteLayoutCollection

FootnoteLayout

FootnoteNumbering

FootnoteNumOpt

FootnoteOptions

FootnoteSeparator

FootnoteSepOpt

FootnoteTable

FormatCheckPref

FormatPreferences

Formula

Foundry

FrameContainer

FrameGroupLayout

FrameLayoutCollection

FrameLayout

GlossaryCollection

Glossary

Grammar

GraphicCollection

Graphic

GraphicOleObjectCollection

GraphicOleObject

GroupLayoutCollection

GroupLayout

Gutter

HeaderLayoutCollection

HeaderLayout

HyphenationOptions

IconBarCollection

IconBar

IconBarManager

Indent

Index

IndexSection

Join

Kinsoku

Language

LayoutCollection

Layout

LayoutOverride

LineNumberOptions

LWPTimer

Macro

MailRouting

MarkerCollection

Marker

MenuItemCollection

MenuItem

MergeOptions

NoteContainer

NoteLayoutCollection

NoteLayout

Numbering

NumericFormat

NumericFormatSubset

OleObjectCollection

OleObject

Options

OutlineSeqCollection

OutlineSeqItemCollection

OutlineStyleSequence

OutSeqItem

PageContainer

PageLayoutCollection

PageLayout

ParagraphBorder

ParagraphStyleCollection

ParagraphStyle

ParallelColsCollection

ParallelColsContainer

ParallelColumns

PowerFieldCollection

PowerField

Preferences

Presentation

PrintManager

PrintSettings

RelativeIndent

ReviewVersions

RevisionDisplay

Revision

RowContainer

RowLayoutCollection

RowLayout

RubyContainer

RubyLayoutCollection

RubyLayout

RubyMarker

Ruler

ScriptDataSet

Script

SectionCollection

Section

SectionTabs

SetTabsDialog

Shadow

SilverBulletCollection

SilverBullet

SmartCorrect

SortKey

SortOptions

Spacing

StatusBarButtonCollection

StatusBarButton

StatusBar

StringCollection

SubPageContainer

SuperPageContainer

SuperTableCollection

SuperTableContainer

SuperTableGroupLayout

SuperTable

SuperTableLayoutCollection

SuperTableLayout

TableCollection

TableContainer

TableFill

Table

TableHeadingCollection

TableHeading

TableHeadingLayoutCollection

TableHeadingLayout

TableLayoutCollection

TableLayout

TableLine

TableMarkerCollection

TableMarker

TableOnlyCollection

TableOnlyCont

TabRack

TextCollection

TextDocument

Text

TextMarkerCollection

TextMarker

TextStyleCollection

TOCSuperTableLayout

UserInterfacePrefs

UseWhen

VersionCollection

Version

VersionManager

Window

WinViewPrefs

WPApplication

WPDataSetCollection

WPDataSet

Contained by

BaseObject in the Parent Property

Usage

BaseObject is one of the shared Lotus Object Interface (LOI) classes. The BaseObject class exists solely as a means of providing a common set of class members to all other classes in Word Pro and other Lotus applications. Word Pro never instantiates an object from the BaseObject class alone, and you cannot instantiate an object from the BaseObject class. The properties defined in the BaseObject class are inherited, directly or indirectly, by every class in the Word Pro object model. However, not every class implements these inherited properties. For example, every Word Pro class inherits the Description property, but only the DocInfo class implements the property for you to use in your scripts.

Another feature of deriving Word Pro classes from the BaseObject class is the ability to store any Word Pro object in a variable of type BaseObject. When you store an object in this manner, you can access only those class members which the object inherited from the BaseObject class and implemented for your use. For Word Pro, the BaseObject class defines only six class members, all of them properties. With this basic set of properties, you can get basic information about any object in the Word Pro object model, including the object's base application, parent, version, and whether or not the object is available for your use in a specific context. For more information on which classes implement the BaseObject properties, see the individual property descriptions.


Word Pro: BaseTable class

An abstract class acting as the parent class for several types of tables, glossaries, and parallel columns. This class is used as the data type for the BaseTable property so that property can contain any object created from one of BaseTable's derived classes.

Base Classes

BaseObject\Content

Derived Classes

FootnoteTable

Glossary

ParallelColumns

Table

TableHeading

Contained by

WPApplication in the BaseTable Property

Usage

This abstract class describes the behavior that is common to FootnoteTables, Tables, TableHeadings, Glossaries, and ParallelColumns, all of which are derived from BaseTable. Note that the BaseTable class is derived from the Content class. This allows the objects created from classes derived from BaseTable to provide the content for other objects. These objects typically contain RowLayouts, ColumnLayouts, and CellLayouts. Each CellLayout has its own content which may be any of the following Content types: Text, Graphic, OleObject.


Word Pro: BookmarkCollection class

A collection of bookmark objects in the BookmarkManager class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

BookmarkManager in the Bookmarks Property

BookmarkManager in the BookmarksByMarkerName Property

Usage

Use this collection to access any of the bookmark objects in the BookmarkManager class.

Word Pro automatically creates and maintains one BookmarkCollection object for each division of a document. The BookmarkCollection object and its contents are stored with the document.


Word Pro: BookmarkManager class

A tool for managing bookmarks in a document. Keeps and manages the list of bookmarks in the document. You must go through the BookmarkManager before using the Bookmark property.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the BookmarkManager Property

TextDocument in the BookmarkManager Property

Usage

Used in conjunction with Bookmark and BookmarkCollection objects. You can use the BookmarkManager to select, find, add, or remove a bookmark. Word Pro keeps a list of each document's bookmarks in the BookmarkCollection object.


Word Pro: Bookmark class

A bookmark in a Word Pro document. Word Pro instantiates (creates an instance of) a Bookmark object each time you create a bookmark in a document. Once created, the bookmark name will display in the Bookmarks dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage

You can move easily through a set of bookmarks in a document to find the one you want and use the properties of the Bookmark class to set and retrieve a specific bookmark's attributes. Word Pro keeps a list of each document's bookmarks in the BookmarkCollection object.


Word Pro: BorderLines class

The lines which comprise the border of an object.

Base Classes

BaseObject

Derived Classes

Gutter

Contained by

CharacterBorder in the BorderLines Property

FootnoteSepOpt in the BorderLines Property

Layout in the BorderLines Property

ParagraphBorder in the BorderLines Property

TableLine in the BorderLines Property

TableLine in the OutlineBorderLines Property

Usage

Most of the properties in BorderLines contain instances of the Border class. You can use the contents of these properties to effect changes to the lines around an object. The complete syntax will depend on the containing object but will always follow this standard:

.objectname.BorderLines.AllBorders.property/method

The same syntax applies to BottomBorder, LeftBorder, RightBorder, and TopBorder. Each of these properties has a data type of Border, and therefore contains a Border object which has its own set of properties that you must use to achieve your desired results.


Word Pro: Border class

The attributes of a border including the border's width, color, and pattern.

Base Classes

BaseObject

Derived Classes

None

Contained by

BorderLines in the AllBorders Property

BorderLines in the BottomBorder Property

BorderLines in the RightBorder Property

BorderLines in the TopBorder Property

BorderLines in the LeftBorder Property

Usage

Nearly every object in Word Pro has a border of some sort. You can use this object in any object which contains an instance of the BorderLines class. The complete syntax will depend on the containing object but will always follow this standard:

.objectname.BorderLines.AllBorders.Color.Red=0

.objectname.BorderLines.AllBorders.Color.Green=0

.objectname.BorderLines.AllBorders.Color.Blue=255

.objectname.BorderLines.AllBorders.Pattern=1

.objectname.BorderLines.AllBorders.Width=200

The same syntax applies to BottomBorder, LeftBorder, RightBorder, and TopBorder. Each of these properties has a data type of Border and contains a Border object which comprises the top, bottom, left, right, and all border properties of the larger BorderLines object.


Word Pro: Breaks class

Break options as seen in the Advanced panel of the Text Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Breaks Property

ParagraphStyle in the Breaks Property

Text in the Breaks Property

TextMarker in the Breaks Property

Usage

Use the properties of this class to set the Break options for an object. Use the RevertBreaksToStyle method to return all the break options to the options selected in the object's style.


Word Pro: Bullet class

Bullet options as seen in the Bullet panel of the Text Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Bullet Property

ParagraphStyle in the Bullet Property

Text in the Bullet Property

TextMarker in the Bullet Property

Usage

Use the properties of this class to set the Bullet options for an object. Use the RevertBulletToStyle method to return all the bullet options to the options selected in the object's style.


Word Pro: CellCollection class

A collection of cell objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the CellEngines Property

Usage

Use this collection to access any of the cell objects in the foundry of a specific division.


Word Pro: CellContainer class

The container object for table cells. This object only exists for one table cell at a time and only when there is a table cell within the focus. When a CellContainer object is present, it is stored in the Cell property on the WPApplication object.

Base Classes

BaseObject\BaseContainer

Derived Classes

None

Contained by

WPApplication in the Cell Property

Usage

The primary use for a CellContainer object is to provide quick and easy access to the CellLayout object for the currently active cell. A CellContainer object always represents the cell that currently has the focus. Thus, if you assign a CellContainer object to a variable, you can use that variable to access the currently active cell. However, you must remember that the cell referenced by the variable will change as the focus moves from one cell to another. This is because the variable references the CellContainer object, and the CellContainer object always represents the cell that has the focus. If there is no cell within the focus, there is no CellContainer object. Thus, a variable that stores a CellContainer object will have a null value whenever the focus does not contain a cell. There is never more than one CellContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: CellEngine class

This class allows you to access formulas within a table.

Base Classes

BaseObject

Derived Classes

None

Contained by

Table in the CellEngine Property

Usage


Word Pro: CellGroupLayout class

The cell group layout for a cell group.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

WPApplication in the CurrentCell property

Usage

The CellGroupLayout class provides you with a way to access and modify the format and appearance of CellGroupLayout objects within your document. When more than one table cell is selected, the combined layout object is a CellGroupLayout object.

Since the CellGroupLayout class is derived from the Layout class, CellGroupLayout objects can be stored within properties of the Layout type. For instance, the Layout property within the BaseContainer class is of the Layout type. However, this property often stores objects of the CellGroupLayout type. The Layout property is implemented in this way so that objects of other derived layout class types can be stored there as well. The Layout property within the FrameContainer class, for instance, may also contain objects of the NoteLayout type.

At many locations within your document, multiple layouts are available. For instance, you may have multiple cells selected within a table. In this case, the cells and the table both have associated layout objects. These layout objects may be combined with other objects into related groups known as containers. For more information on containers and  their associated layouts, see the help topic titled Word Pro: BaseContainer class.


Word Pro: CellLayoutCollection class

A collection of cell layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the CellLayouts Property

Foundry in the CellLayoutStyles Property

Usage

Use this collection to access any of the cell layout objects in the foundry of a specific division.


Word Pro: CellLayout class

The cell layout for a CellContainer object. This class inherits most of its members from the Layout class.

Base Classes

BaseObject\Layout

Derived Classes

ConnectedLayout

Contained by

BaseTable in the CurrentCell Property

CellContainer in the CellLayout Property

WPApplication in the CurrentCell Property

Usage

The layout object of a single cell is a CellLayout object. The layout object of a connected cell is a CellGroupLayout object.


Word Pro: CharacterBorder class

The border around a character in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the CharacterBorder Property

ClickHere in the CharacterBorder Property

ParagraphStyle in the CharacterBorder Property

Text in the CharacterBorder Property

TextMarker in the CharacterBorder Property

Usage


Word Pro: CharacterSet class

A set of characters used in Find and Replace.

Base Classes

BaseObject

Derived Classes

None

Contained by

FindAndReplace in the CharacterSet Property

Preferences in the CharacterSet Property

Usage


Word Pro: CharacterStyleCollection class

A collection of character style objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the CharacterStyles Property

Usage

Use this collection to access any of the character style objects in the foundry of a specific division.


Word Pro: CharacterStyle class

Contains the style used to create a character in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the CharacterStyle Property

Text in the CharacterStyle Property

TextMarker in the CharacterStyle Property

Usage


Word Pro: ClickHereCollection class

A collection of ClickHere objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ClickHeres Property

Usage

Use this collection to access any of the ClickHere objects in the foundry of a specific division application.


Word Pro: ClickHere class

A ClickHere block in a document.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage

ClickHere objects have many of the same properties and methods as Text objects. Note, however, that the events available on a ClickHere object are limited to EnterClickHere and ExitClickHere. Use these events to trigger scripts written for a ClickHere object.


Word Pro: Color class

Defines the color that is applied to a specific object.

Base Classes

BaseObject

Derived Classes

None

Contained by

AppViewPrefs in the MarginColor Property

AppViewPrefs in the PaneColor Property

AppViewPrefs in the SelectionBorderColor1 Property

AppViewPrefs in the SelectionBorderColor2 Property

AppViewPrefs in the SelectionBorderColor3 Property

AppViewPrefs in the SpellColor Property

AppViewPrefs in the SpellFocusedColor Property

Background in the BackColor Property

Background in the Color Property

Border in the Color Property

DivisionInfo in the Color Property

Editor in the HiLiteColor Property

Font in the FontColor Property

Font in the BackColor Property

NoteLayout in the Color Property

NumericFormatSubset in the Color Property

Preferences in the HiLiteColor Property

Script in the ErrorColor Property

Script in the IdentifierColor Property

Script in the DirectiveColor Property

Script in the KeywordColor Property

Script in the CommentColor Property

Section in the Color Property

Shadow in the Color Property

UserInterfacePrefs in the NoteColor Property

Usage

You can set a color for an object that has a color property. For example, objects such as text, shadows, frames, and lines have color contexts associated with them. You can select a color context associated with an object and use that context to change the object's color. You can set a color for an object in three ways:

•	Use the SetRGB method to simultaneously assign the red, green, and blue color components to an object.

•	Set the red, green, and blue color component values independently. Each one of the RGB values is a property of the Color class.

•	Set the Override property to use predefined Word Pro colors (red, green, blue, black, white, light gray, dark gray, and transparent). When you use the Override property value, Word Pro does not recognize previously set RGB values.


Word Pro: ColumnGroupLayout class

The layout for a column group in a table object.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage

When multiple cells are selected within a table, the CurrentColumn property of the table object contains a ColumnGroupLayout object.


Word Pro: Column class

Newspaper columns in a page, frame, header, or footer object. This class is not implemented in Word Pro '97.

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout

Usage

This class provides access to column width and column gap information for a column within a layout object.


Word Pro: ConnectedLayoutCollection class

A collection of connected layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ConnectedLayouts Property

Usage

When two or more cells are connected, the resulting layout is a ConnectedLayout object. Use the ConnectedLayoutCollection to access any of the ConnectedLayout objects in the foundry of a specific division.

ConnectedLayout objects must be accessed through a ConnectedLayoutCollection object.


Word Pro: ConnectedLayout class

The connected layout for a connected cell object.

Base Classes

BaseObject\Layout\CellLayout

Derived Classes

None

Contained by

Usage

The layout object that results from connecting two or more cells is a ConnectedLayout object. A ConnectedLayout object can only be accessed through the collection of ConnectedLayout objects. For more information on the collection of ConnectedLayout objects, see the ConnectedLayouts property.


Word Pro: ContentCollection class

A collection of content objects in the foundry of a specific division. Content can include FootnoteTable objects, Formula objects, Graphic objects, GraphicOleObjects, OleObjects, ParallelColumns objects, SuperTable objects, BaseTable objects,TableHeading objects,Table objects, and Text objects.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Contents Property

Usage

Use this collection to access any of the content objects in the foundry of a specific division.


Word Pro: Content class

Content is an abstract class which provides the basic functionality that is common to all content-related objects. Each content object represents the contents of a particular type of object. For example, a Formula object represents the content of a Cell object; a Text object might represent the contents of a page or the prompt in a ClickHere block; a Graphic object might represent the contents of a frame.

In essence, while each content object is tailored to represent the contents of a particular type of object, all content objects share a few common traits. The Content class defines those common traits and each class derived from the Content class inherits those traits as properties.

Base Classes

BaseObject

Derived Classes

BaseTable

FootnoteTable

Formula

Glossary

Graphic

GraphicOleObject

OleObject

ParallelColumns

SuperTable

Table

TableHeading

Text

Contained by

Footnote in the Content Property

WPApplication in the Content Property

Usage

While no object is ever instantiated from this class, two properties use this class as their data type. By using the abstract Content class as the data type for a property, Word Pro can store any content object in that property. Note that WPApplication provides a current context property called Content, which uses the abstract class as its data type. This allows Word Pro to give you access to the content object for whatever object has the focus. By using the same technique in the Footnote class, Word Pro ensures that you can place any type of content object you like in your footnotes.


Word Pro: ContextMenuOptions class

Controls the display of context sensitive menus in a cell, frame, graphic, parallel columns or text.

Base Classes

None

Derived Classes

None

Contained by

ApplicationWindow in the ContextMenuOptions Property

Usage


Word Pro: DdeLinkCollection class

A collection of DdeLink objects in the DdeLinkManager class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

DdeLinkManager in the DdeLinks Property

DdeLinkManager in the DdeLinksFromMarker Property

Usage

Use this collection to access any of the DdeLink objects in the DdeLinkManager class.


Word Pro: DdeLinkManager class

A tool that creates and maintains DDE links in a document. DDE links can be created in script via the DDELinkManager. There are also DDE functions (outside the WordPro object model) for maintaining DDE links. The DDELinkManager maintains a collection of DDE link objects.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DdeLinkManager Property

TextDocument in the DdeLinkManager Property

Usage

Used in conjunction with DdeLink and DdeLinkCollection objects. DdeLinkManager allows you to perform a variety of tasks such as finding, adding, and removing Dde links between parts or all of a document. You can use the Paste Special dialog box to paste data that uses different formats. DDE link is used only if OLE fails.


Word Pro: DdeLink class

Represents a DDE link in a document. DDE links can be created in script via the DDELinkManager. There are also DDE functions (outside the WordPro object model) for maintaining DDE links. The DDELinkManager maintains a collection of DDE link objects.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage

Places a DDE marker around a section of text or a range in a document in order to link it to another application. Sets up the appropriate name, format, range, and other properties.

You can link objects to a document in two ways: by DDE link or OLE link. DDE link is used only if OLE fails. You can determine if a link is an OLE link or DDE link by double-clicking on it. If the linked object remains in the background, it is a DDE link; if the linked object comes to the foreground, it is an OLE link.

You can add and remove links between parts or all of a document and use the Paste Special dialog box to paste data in different formats.


Word Pro: DivisionCollection class

A collection of division objects in a document or division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Division in the Divisions Property

TextDocument in the Divisions Property

WPApplication in the Divisions Property

Usage

Use this collection to access any of the division objects in the TextDocument or Division class.


Word Pro: DivisionInfo class

Information about a division in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseContainer in the DivisionInfo Property

Division in the DivisionInfo Property

Marker in the DivisionInfo Property

TextDocument in the DivisionInfo Property

Usage


Word Pro: DivisionOptions class

Division options displayed in the Division Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DivisionOptions Property

TextDocument in the DivisionOptions Property

Usage


Word Pro: Division class

A division in a document. A division can contain text, frames, text marked as sections, other divisions with different properties from each other, external files linked to a document, or OLE objects.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the Division Property

Usage


Word Pro: DocControl class

The DocControl class allows you to access a document, assign editing rights, enable password protection, select or change colors that show editor markups, make insertions and deletions, and enable document protection in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DocControl Property

TextDocument in the DocControl Property

Usage

DocControl is the same as TeamSecurity in the Word Pro user interface. Therefore, setting properties for DocControl is the same as choosing File - TeamSecurity and doing one of the following: opening a specific file, assigning editing rights, verifying editing rights, creating a password, disabling version review, disabling Notes/FX fields, editing ClickHere Blocks, initiating startup scripts, revealing hidden text, editing protected text, protecting frames and table cells, or displaying all division tabs.


Word Pro: DocInfoFieldCollection class

A collection of DocInfoField objects in the DocInfoFieldManager class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

DocInfoFieldManager in the Fields Property

Usage

Use this collection to access any of the DocInfoField objects in the DocInfoFieldManager class.


Word Pro: DocInfoFieldManager class

A tool for managing DocInfo fields in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

DocInfo in the FieldManager Property

Usage

Use the DocInfoFieldManager class to access, add, or delete DocInfo fields in a document.


Word Pro: DocInfoField class

Represents the information in a specific DocInfo field.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage

You can use this class to access information about a DocInfo field, such as its name or its contents.


Word Pro: DocInfo class

The class that holds all the statistics associated with a document, such as document/version editing information or field name descriptions.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DocInfo Property

TextDocument in the DocInfo Property

Usage

The DocInfo class is the container for all DocInfo fields. As a result, you can obtain any general information about a document by using this class.

Setting the properties and methods of this class is equivalent to choosing File - Document Properties, choosing Document, and clicking the Fields panel.


Word Pro: Documents class

A collection of text document objects in the Word Pro application.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Application in the Documents Property

Usage

Use this collection to access any open documents in a WordPro session.


Word Pro: Document class

An abstract class that describes the basic top-level container for data in a Lotus application. Each Lotus application defines its own subclass for Document. In Word Pro, the subclass is TextDocument. You should use TextDocument and its class members when working with Word Pro documents.

Base Classes

BaseObject

Derived Classes

TextDocument

Contained by

Usage

In Word Pro you can open documents and create new documents using the OpenDocument and CreateDocument methods found in the WPApplication class.


Word Pro: DocWindowCollection class

A collection of DocWindow objects in the ApplicationWindow class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

ApplicationWindow in the DocWindows Property

Usage

Use this collection to access any of the DocWindow objects in the ApplicationWindow class.


Word Pro: DocWindow class

DocWindow is the class of the document window.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

Application in the ActiveDocWindow Property

Usage


Word Pro: EditorCollection class

A collection of editor objects in the EditorManager class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

EditorManager in the Editors Property

Usage

Use this collection to access any of the editor objects in the EditorManager class.


Word Pro: EditorManager class

A tool for managing editor objects in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the EditorManager Property

TextDocument in the EditorManager Property

Usage

The EditorManager class allows you to add, remove, or access editors in a document.


Word Pro: Editor class

Represents the information associated with a specific editor of a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

EditorManager in the CurrentEditor Property

Usage

While writing a script, be careful how you change editing options for yourself as the current editor. Carelessly changing access options for the current editor could cause you to accidentally lock yourself out of the document.


Word Pro: EndnoteDivisionGroupNum class

Controls the way endnote numbers display at the end of a division group.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the EndnoteDivisionGroupNum Property

Usage

You can set endnote numbers at the end of a division group by assigning the Reset OptionEachDivisiongroup value to the ResetWhen property. This value increases endnote numbers through a division group and resets with the first endnote in the next division group. For information, see ResetWhen property.


Word Pro: EndnoteDivisionNum class

Controls the way endnote numbers display at the end of a current division.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the EndnoteDivisionNum Property

Usage

You can set endnote numbers at the end of a current division by assigning the ResetWhenOptionEachDivision value to the ResetWhen property. This value increases endnote numbers throughout the division and resets with the first endnote in the next division. For information, see ResetWhen property.


Word Pro: EndnoteDocNum class

Controls the way endnote numbers display at the end of a document.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the EndnoteDocNum Property

Usage

You can set endnote numbers at the end of a document by assigning the ResetWhenOptionEachDoc value to the ResetWhen property. This value increases endnote numbers each time you add a new endnote and continues increasing throughout the document. For information, see ResetWhen property.


Word Pro: EndnoteLayoutCollection class

A collection of endnote layouts in the foundry of a specfic division, document, or application.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Endnotes Property

Usage

Use this collection to access any of the endnote objects in th foundry of a specfic division, document, or application.


Word Pro: EndnoteLayout class

The layout for an endnote object.

Base Classes

BaseObject\Layout\TableLayout

Derived Classes

FootnoteLayout

Contained by

Usage

The default property settings should remain as they are. Changing any endnote layout properties will cause a script not to work properly.


Word Pro: FilterHelper class

Helps a filter convert non-Word Pro file formats to Word Pro file formats.

Base Classes

BaseObject

Derived Classes

None

Contained by

Filter in the FilterHelper Property

Usage


Word Pro: Filter class

Converts non-Word Pro file formats to a Word Pro file format.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Filter Property

Usage


Word Pro: FindAndReplace class

The Find & Replace tool in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the FindAndReplace Property

WPApplication in the TempFindAndReplace Property

Usage

You can use the Find & Replace feature to find and replace text, paragraph styles and special characters in a document. Always runs in a default state in the Word Pro application.


Word Pro: FontMetrics class

Base Classes

BaseObject

Derived Classes

None

Contained by

Font in the FontMetrics Property

Usage


Word Pro: Font class

All of the font and text style properties associated with an object that has text.

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the Font Property

ClickHere in the Font Property

Editor in the InsertFont Property

Editor in the DeleteFont Property

FindAndReplace in the FindFont Property

FindAndReplace in the ReplaceFont Property

FormatPreferences in the Font Property

Formula in the Font Property

Graphic in the Font Property

ParagraphStyle in the Font Property

RevisionDisplay in the InsertFont Property

RevisionDisplay in the DeleteFont Property

Text in the Font Property

TextMarker in the Font Property

Usage


Word Pro: FooterLayoutCollection class

A collection of footer layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Footers Property

Usage

Use this collection to access any of the footer layout objects in the foundry of a specific division.


Word Pro: FooterLayout class

The layout for a footer object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: FootnoteCollection class

A collection of footnote objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Footnotes Property

Usage

Use this collection to access any of the footnote objects in the foundry of a specific division.


Word Pro: Footnote class

A footnote object in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: Accelerators class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddAccelerators

DeleteMacroAccelerator

RemovePersistentAccelerators

Events

None


Word Pro: Alignment class members

Properties

AlignmentChar AS Integer

AlignmentType AS AlignmentType

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Position AS Long (measured in Twips)

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: Amikake class members

Properties

AmikakeType AS Integer

Application AS WPApplication

Background AS Background

Description AS String

IsAmikake AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: ApplicationWindow class members

Properties

Accelerators AS Accelerators

Active AS Integer (Boolean)

ActiveDocument AS TextDocument

Application AS WPApplication

Caption AS String

ContextMenuOptions AS ContextMenuOptions

CurrentRunningScriptName AS String

CurrentRunningScriptPath AS String

Description AS String

DocWindows AS DocWindowCollection

Filter AS Filter

FreeMenus AS MenuItem

Height AS Long (measured in Twips)

HorzRuler AS Ruler

Hwnd AS Long

IconBarManager AS IconBarManager

IsValid AS Integer (Boolean)

Left AS Long (measured in Twips)

LwpMenuBar AS MenuItem

Macro AS Macro

Name AS String

Parent AS BaseObject

ReviewVersions AS ReviewVersions

RightMouseMenus AS MenuItem

Script AS Script

SectionTabs AS SectionTabs

SetTabsDialog AS SetTabsDialog

StatusBar AS StatusBar

StatusBarVisible AS Integer (Boolean)

TitleBarVisible AS Integer (Boolean)

Top AS Long (measured in Twips)

UserInterfacePrefs AS UserInterfacePrefs

VersionID AS Long

VertRuler AS Ruler

Visible AS Integer (Boolean)

Width AS Long (measured in Twips)

Methods

Cascade

Close

DarkMode

InternetExtraFile

Maximize

Minimize

Move

Open

Play

Resize

Restore

SaveUserDefaults

Tile

Update

Events

Moved


Word Pro: Application class members

Properties

AppFoundry AS Foundry

Application AS WPApplication

AppViewPrefs AS AppViewPrefs

BaseTable AS Variant

Cell AS CellContainer

Container AS Variant

Content AS Variant

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

Description AS String

Division AS Division

Divisions AS DivisionCollection

FindAndReplace AS FindAndReplace

Format AS FormatPreferences

FormatCheckPreferences AS FormatCheckPref

Foundry AS Foundry

Frame AS FrameContainer

GetHomeDirectory AS String

Graphic AS Graphic

GraphicOleObject AS Variant

IsValid AS Integer (Boolean)

KeyboardLanguage AS Languages

Layout AS Layout

Name AS String

OleObject AS OleObject

Page AS PageContainer

ParallelColumns AS ParallelColumns

Parent AS BaseObject

Preferences AS Preferences

ReleaseNumber AS Integer

SmartCorrect AS SmartCorrect

SmartCorrects AS SmartCorrectCollection

SmartFill AS SmartFillCollection

SuperTableContainer AS SuperTableContainer

Table AS Table

TableContainer AS Variant

TableOnlyContainer AS TableOnlyCont

TempFindAndReplace AS FindAndReplace

TempFoundry AS Foundry

Text AS Text

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

AddIndexEntry

AddTOCEntry

AnswerMsgBox

BeginChange

Bold

BringFrameToFront

BringFrameToFrontOne

CalculateSmartLevels

CascadeWindow

CellRevert

ChangeSmartMaster

CheckFieldEntries

ClearParaRevisionTags

ClearTempFoundry

Close

CloseAll

CloseDocWindow

CloseMergeDataFile

CombineDivisions

CombineSections

CompareFiles

ConnectCells

ConnectContainer

ConnectRows

ContractOutlineLevel

CopySelection

CreateDataFile

CreateDivision

CreateDropCap

CreateExternalDivision

CreateFrame

CreateGlossary

CreateGlossaryEntry

CreateGraphic

CreateOleEmbeddedFile

CreateOleLinkedFile

CreateOleNew

CreateParallelColumns

CreateTable

CutSelection

DblUnderline

DeleteDivision

DeleteKey

DeleteParallelColumns

DeleteSection

DeleteTable

DemoteOutlineLevel

Deselect

Disconnect

DisconnectCells

EditClickHereLink

Embed

EndChange

EnvelopeBarCode

EnvelopePrint

ExpandOutlineLevel

FastFormat

Find

FrameRevert

GetCopyFormatCategories

GetCurrentMarkerName

GetInternetFile

GetPasteFormatCategories

GetProfileString

GlossaryInsert

GlossaryOpen

GoToBookmark

GoToClickHere

GoToLayout

GotoNextParallelColumn

GoToObject

GoToPage

GroupDivision

HandsOffStorage

Help

Hide

HighlightToggle

HourGlass

ImportGraphic

InitFindAndReplace

InsertBullet

InsertClickHere

InsertClickHereLink

InsertColumnBreak

InsertDate

InsertDocInfo

InsertDocument

InsertField

InsertFootnote

InsertFrame

InsertIndex

InsertNote

InsertOleDivision

InsertPageBreak

InsertPageLayout

InsertPageNumber

InsertRuby

InsertSection

InsertTOC

InternalCopy

InternalCut

InternalPaste

IsWMCommandValid

Italic

LabelCreate

LabelMerge

LowerCase

MacroEndRecord

MacroPlay

MacroRecord

MailDocument

MakeTableFromText

ManualFrame

ManualLinkFrames

ManualTable

Mark

MarkRevisionInsert

Merge

MergeAddDataRecord

MergeSetDataFile

MergeStart

Messages

MoveDivision

NewDivision

NewFrame

NewWindow

NextCycleAlign

NextCycleAttribute

NextCycleBullet

NextCycleFont

NextCycleFontSize

NextCycleIndent

NextCycleNumber

NextCycleStyle

NormalText

OpenDataFile

OpenDocumentFromNotes

OpenFromStorage

OutlineMoveTextDown

OutlineMoveTextUp

PageDown

PageUp

Paste

PasteLink

PasteSpecial

PColConnectCells

PColConnectRows

PColDisconnectCells

PColSelectColumn

PColSelectRow

PColSelectTable

Print

PrintOut

PromoteOutlineLevel

QueryDrop

QuickAlignFrame

QuickAlignTable

Redo

RegisterWPDataSet

RemoveDepOnDocFile

RemoveIndexEntry

RemoveTOCEntry

Render

Replace

ReplaceAll

ReplaceCmd

ResetFindAndReplace

ResetNumberOpts

RetrieveInternetFile

RetrieveInternetFileAndOpen

RevertToSaved

RevertToStyle

ReviseAcceptAll

ReviseCancelAll

RunScript

Save

SaveAs

SaveAsToNotes

SaveEnvelopeMaster

SaveGlossary

SaveMergeDataFile

SaveThumbnailBitmap

SaveToStorage

SaveToStorageComplete

SaveVersion

Select

SelectCell

SelectColumn

SelectDoc

SelectEntireCellRange

SelectEntireColumn

SelectEntirePCol

SelectEntirePColCellRange

SelectEntirePColColumn

SelectEntirePColRow

SelectEntireRow

SelectEntireTable

SelectParagraph

SelectPColCell

SelectRow

SelectSection

SelectSentence

SelectTable

SelectWord

SendFrameToBack

SendFrameToBackOne

SendMailAndAttach

SendMailSelectedText

SetCustomNumber

SetIndexInfo

SetJapanIndexInfo

SetNumberingLevelInfo

SetPageBottomMargin

SetPageTopMargin

SetStorage

SetStyle

SetTOCLevelContent

SetTOCLevelPageInfo

SetUpEnvelopeMerge

ShowAnyGreeting

SmallCaps

SmartSumColumn

SmartSumRow

SortParagraphs

SpecialView

SpellAddToUserDict

SpellClearSkippedWords

SpellMarkSkippedWords

SpellSkipAll

SplitDivision

SplitWindow

StartEditMergeData

StartEnvelopeDiv

StartFieldInsert

StoreInternetFile

StrikeThru

SubScript

SuperScript

TeamMail

TileWindowHorz

TileWindowVert

TimedSave

ToggleCleanScreen

ToggleIconBar

Type

Underline

Undo

UnregisterWPDataSet

UpdateFootersText

UpdateHeadersText

UpdateIndexSection

UpdateOle

UpdateTOC

UpdateUI

UpperCase

WMCommand

WordCount

WordUnderline

WriteProfileString

Events

DocumentClose

DocumentClosed

DocumentCreate

DocumentExport

DocumentExported

DocumentImport

DocumentImported

DocumentInsert

DocumentInserted

DocumentPrint

DocumentPrinted

DocumentSave

DocumentSaveAs

DocumentSaved

DocumentSavedAs

EnterClickHere

EnterLayout

ExitClickHere

ImportInsert

ImportInserted

KeyStroke

MouseDown

MouseUp

WMCommand


Word Pro: AppViewPrefs class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

MarginColor AS Color

Name AS String

PaneColor AS Color

Parent AS BaseObject

SelectionBorderColor1 AS Color

SelectionBorderColor2 AS Color

SelectionBorderColor3 AS Color

SpellColor AS Color

SpellFocusedColor AS Color

VersionID AS Long

Methods

None

Events

None


Word Pro: Attributes class members

Properties

Application AS WPApplication

BaselineOffset AS Long (measured in Twips)

Description AS String

HideOutlineLevels AS Integer

HighLightMode AS Integer (Boolean)

IsDoubleWordError AS Integer (Boolean)

IsGrammarError AS Integer (Boolean)

IsHiddenMark AS Integer (Boolean)

IsMisspelled AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

NoHyphenate AS Integer (Boolean)

Parent AS BaseObject

ProtectedMode AS Integer (Boolean)

SkipWordMode AS Integer (Boolean)

VersionID AS Long

Methods

Clear

RevertToStyle

Events

None


Word Pro: AutoRunMacro class members

Properties

Application AS WPApplication

CloseDocMacroName AS String

Description AS String

IsValid AS Integer (Boolean)

Name AS String

NewDocMacroName AS String

OpenDocMacroName AS String

Parent AS BaseObject

RunOnCloseDoc AS Integer (Boolean)

RunOnNewDoc AS Integer (Boolean)

RunOnOpenDoc AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: Background class members

Properties

Application AS WPApplication

BackColor AS Color

BackColorIndex AS Integer

Color AS Color

Description AS String

ForeColorIndex AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Pattern AS Fill

Shape AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: BagCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: Bag class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Length AS Long

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

Clear

DeleteBag

Read

Reset

Write

Events

None


Word Pro: BaseCollection class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

Item

Events

None


Word Pro: BaseContainer class members

Properties

Application AS WPApplication

CellLayout AS CellLayout

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

RevertToStyle

SetStyle

Events

None


Word Pro: BaseObject class members

Properties

Enabled AS Integer

hWnd AS Long

ID AS Integer

Text AS String

Value AS Long

Visible AS Integer

Methods

SetFocus

Events

GotFocus

LostFocus


Word Pro: BaseTable class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

ContentType AS ContentType

Description AS String

IsEmpty AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: BookmarkCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: BookmarkManager class members

Properties

Application AS WPApplication

Bookmarks AS BookmarkCollection

BookmarksByMarkerName AS BookmarkCollection

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddBookmark

Find

GetUniqueName

RemoveBookmark

Events

None


Word Pro: Bookmark class members

Properties

Application AS WPApplication

Description AS String

IsExportedToNotesFX AS Integer (Boolean)

IsExportedToOldNotesFX AS Integer (Boolean)

IsLinked AS Integer (Boolean)

IsOnClipBoard AS Integer (Boolean)

IsValid AS Integer (Boolean)

MarkerName AS String

Name AS String

Parent AS BaseObject

VersionID AS Long

WasPasted AS Integer (Boolean)

Methods

None

Events

None


Word Pro: BorderLines class members

Properties

AllBorders AS Border

Application AS WPApplication

BottomBorder AS Border

Description AS String

IsValid AS Integer (Boolean)

LeftBorder AS Border

LinePlacement AS LinePlacement

LineValid AS LinePlacement

Name AS String

Parent AS BaseObject

RightBorder AS Border

TopBorder AS Border

VersionID AS Long

Methods

None

Events

None


Word Pro: Border class members

Properties

Application AS WPApplication

BackColorIndex AS Integer

Color AS Color

Description AS String

ForeColorIndex AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Pattern AS BorderPattern

Style AS Integer

VersionID AS Long

Width AS Integer

WidthInLongtwips AS Long (measured in Twips)

Methods

None

Events

None


Word Pro: Breaks class members

Properties

Application AS WPApplication

Description AS String

IsColumnBreakAfter AS Integer (Boolean)

IsColumnBreakBefore AS Integer (Boolean)

IsPageBreakAfter AS Integer (Boolean)

IsPageBreakBefore AS Integer (Boolean)

IsPageBreakWithin AS Integer (Boolean)

IsValid AS Integer (Boolean)

KeepWithNext AS Integer (Boolean)

KeepWithPrev AS Integer (Boolean)

Name AS String

NextStyleName AS String

Parent AS BaseObject

UseNextStyle AS Integer (Boolean)

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: Bullet class members

Properties

Application AS WPApplication

Description AS String

Editable AS CommandState

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

RightAlign AS CommandState

SilverBullet AS SilverBullet

Skipped AS CommandState

Text AS Text

Valid AS CommandState

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: CellCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: CellContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

CellLayout AS CellLayout

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: CellEngine class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

GetFormula

SetFormula

Events

None


Word Pro: CellGroupLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: CellLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: CellLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

Formula AS String

GetValue AS String

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBadReference AS Integer (Boolean)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

ValidateValue

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: CharacterBorder class members

Properties

Application AS WPApplication

BorderLines AS BorderLines

Description AS String

IsBorder AS Integer (Boolean)

IsValid AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

Name AS String

Parent AS BaseObject

VersionID AS Long

WidthAbove AS Long (measured in Twips)

WidthBelow AS Long (measured in Twips)

Methods

RevertToStyle

Events

None


Word Pro: CharacterSet class members

Properties

Application AS WPApplication

CharSet AS CharSet

Description AS String

IsValid AS Integer (Boolean)

LeaderDotDashChar AS Integer

LeaderDotDotChar AS Integer

LeaderDotUnderscoreChar AS Integer

Name AS String

ParagraphSymbolChar AS Integer

Parent AS BaseObject

TabSymbolChar AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: CharacterStyleCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: CharacterStyle class members

Properties

Amikake AS Amikake

Application AS WPApplication

AttrStyleName AS String

CharacterBorder AS CharacterBorder

Definition AS Long

Description AS String

FaceStyleName AS String

Font AS Font

FontStyleName AS String

IsLocal AS Integer (Boolean)

IsPrivate AS Integer (Boolean)

IsTemp AS Integer (Boolean)

IsValid AS Integer (Boolean)

Language AS Language

Name AS String

Parent AS BaseObject

SizeStyleName AS String

StyleName AS String

TextAttributes AS Attributes

Type AS CharStyleType

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

GetNamedProperty

HasProperty

IsTemporary

RegisterWPDataSet

RemoveProperty

SetNamedProperty

UnregisterWPDataSet

Update

Events

None


Word Pro: ClickHereCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: ClickHere class members

Properties

Action AS Integer

Alignment AS Alignment

AllowListEdit AS Integer (Boolean)

AllowListMultiValues AS Integer (Boolean)

Amikake AS Amikake

Application AS WPApplication

AtBeginning AS Integer (Boolean)

AtBeginningOfLine AS Integer (Boolean)

AtBeginningOfObject AS Integer (Boolean)

AtBeginningOfParagraph AS Integer (Boolean)

AtBeginningOfWord AS Integer (Boolean)

AtEnd AS Integer (Boolean)

AtEndOfLine AS Integer (Boolean)

AtEndOfObject AS Integer (Boolean)

AtEndOfParagraph AS Integer (Boolean)

AtEndOfWord AS Integer (Boolean)

Attributes AS Attributes

Breaks AS Breaks

Bullet AS Bullet

CharacterBorder AS CharacterBorder

CharacterStyle AS CharacterStyle

CharacterStyleName AS String

CodePage AS Integer

ColumnNumber AS Integer

ColumnWidth AS Long (measured in Twips)

CurrentLanguage AS Languages

Description AS String

DivisionInfo AS DivisionInfo

EffectiveColumnWidth AS Long (measured in Twips)

FieldType AS String

First AS String

Font AS Font

HasLocalTabs AS CommandResponse

HelpText AS String

Indent AS Indent

IsChanged AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsInBulletEditMode AS Integer (Boolean)

IsMarkerValid AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsParagraphParent AS Integer (Boolean)

IsPrompting AS Integer (Boolean)

IsRegistered AS Integer (Boolean)

IsRevisionMark AS Integer (Boolean)

IsValid AS Integer (Boolean)

Kinsoku AS Kinsoku

Language AS Language

Last AS String

LastEditorName AS String

Layout AS Layout

LayoutName AS String

MaintainEditor AS Integer

MarkerClass AS MarkerType

MultiCompareParaTag AS String

MultiCompareParaTagSet AS Integer (Boolean)

Name AS String

NextClickHere AS String

NextText AS String

NormalParagraph AS Integer (Boolean)

Numbering AS Numbering

NumberOfCharacters AS Long

NumberOfRevisions AS Integer

NumCharsInParagraph AS Long

NumCols AS Integer

NumRows AS Integer

ObjectType AS String

PageNumber AS Integer

PageNumberAsText AS String

ParagraphBorder AS ParagraphBorder

ParagraphHasDropCap AS Integer (Boolean)

ParagraphHasText AS Integer (Boolean)

ParagraphStyle AS ParagraphStyle

ParagraphStyleName AS String

Parent AS BaseObject

Partial AS Integer (Boolean)

PositionXInContainer AS Long (measured in Twips)

PositionXOnPage AS Long (measured in Twips)

PositionYInContainer AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

PreviousClickHere AS String

Prompt AS Text

PromptHidden AS Integer (Boolean)

RelativeIndent AS RelativeIndent

RenderedPageNumber AS String

RevisionMark AS Revision

SectionName AS String

SelectionHidden AS Integer (Boolean)

SelectionType AS SelectionType

Spacing AS Spacing

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

StyleExceptions AS Long

TabExits AS Integer (Boolean)

TabOrder AS Long

TabRack AS TabRack

TextViewAttributes AS TextView

UsesHelp AS Integer (Boolean)

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

Add

AdjustShade

Backspace

Backward

CalculateSmartLevels

Clear

CloseObject

ContractOutlineLevel

DeleteChars

DeleteContents

DeleteMarker

Demote

Deselect

Embed

ExpandOutline

Find

Forward

GetContents

GetCopyFormatCategories

GetCount

GetCurrentMarkerName

GetMarkedText

GetMispelledWord

GetNamedProperty

GetParagraphNumber

GetParagraphNumberString

GetParaNumber

GetPasteFormatCategories

GetPosition

GetSpellStatus

GetSpellUserDictStatus

GetText

GetWordMisspelled

GoTo

HasNamedProperty

HideCaretAndSelection

IndexAll

InsertBreak

InsertDocInfo

InsertHardSpace

InsertMarker

InsertNumber

InsertPageNumber

InsertSpecialTab

InsertTab

InsertText

InternalCopy

InternalCut

InternalPaste

IsMarkerEqualToSelection

IsPointWithin

Mark

MorphSelectionToTable

MoveDown

MoveParagraph

MoveToEnd

MoveToStart

MoveUp

Next

NextToObject

OpenObject

Previous

Promote

RegisterWPDataSet

Remove

RemoveNamedProperty

Replace

ReplaceContents

RevertToStyle

RevisionAccept

RevisionCancel

Select

SetNamedProperty

SetStyle

Shade

ShowCaretAndSelection

ShowCursor

Skip

SortParagraphs

SpellWord

SplitParagraph

SRReplace

UnregisterWPDataSet

Events

EnterClickHere

ExitClickHere


Word Pro: Color class members

Properties

Application AS WPApplication

Blue AS Integer

Description AS String

Green AS Integer

IsValid AS Integer (Boolean)

Name AS String

Override AS ColorOverride

Parent AS BaseObject

Red AS Integer

VersionID AS Long

Methods

GetRGB

RevertToStyle

SetRGB

Events

None


Word Pro: ColumnGroupLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: Column class members

Properties

Application AS WPApplication

ColumnGap AS Long (measured in Twips)

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

WidthOfColumn AS Long (measured in Twips)

Methods

None

Events

None


Word Pro: ConnectedLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: ConnectedLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

Formula AS String

GetValue AS String

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBadReference AS Integer (Boolean)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

ValidateValue

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: ContentCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: Content class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

ContentType AS ContentType

Description AS String

IsEmpty AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: ContextMenuOptions class members

Properties

Application AS WPApplication

Description AS String

IsCellMenuEnabled AS Integer (Boolean)

IsFrameMenuEnabled AS Integer (Boolean)

IsGraphicMenuEnabled AS Integer (Boolean)

IsParallelColumnsMenuEnabled AS Integer (Boolean)

IsTextMenuEnabled AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: DdeLinkCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: DdeLinkManager class members

Properties

Application AS WPApplication

DdeLinks AS DdeLinkCollection

DdeLinksFromMarker AS DdeLinkCollection

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddDdeLink

GetMarkerName

InsertLink

MakeUniqueLinkName

RemoveDdeLink

RequestAndProcessData

Events

None


Word Pro: DdeLink class members

Properties

Application AS WPApplication

Description AS String

GetConversationHandle AS Long

GetFormatName AS String

GetItemName AS String

GetServerName AS String

GetStatus AS Integer

GetTopicName AS String

IsExportedToNotesFX AS Integer (Boolean)

IsUpdateAutomatic AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

UserLinkName AS String

VersionID AS Long

Methods

EditLinkInfo

Events

None


Word Pro: Division class members

Properties

Application AS WPApplication

BookmarkManager AS BookmarkManager

CanCreatePreviewBitmap AS Integer (Boolean)

CreatePreviewBitmap AS Integer (Boolean)

DdeLinkManager AS DdeLinkManager

DdeOutboundInfo AS Long

DemandLoad AS ReservedParam

Description AS String

DivisionInfo AS DivisionInfo

DivisionNames AS StringCollection

DivisionOptions AS DivisionOptions

Divisions AS DivisionCollection

DocControl AS DocControl

DocInfo AS DocInfo

DocOptions AS Options

EditorManager AS EditorManager

EditorName AS String

Epoch AS String

FinishedSpellChecking AS Integer

FirstChild AS String

FirstDivision AS String

FirstName AS String

FirstPage AS Integer

FootnoteOptions AS FootnoteOptions

Foundry AS Foundry

HasIndex AS Integer (Boolean)

HasTOC AS Integer (Boolean)

IsChanged AS Integer (Boolean)

IsChangedOtherThanLinkTo AS Integer (Boolean)

IsChangedSinceTimeSave AS Integer (Boolean)

IsChangedToLinkTo AS Integer (Boolean)

IsDivisionExternal AS Integer (Boolean)

IsDocLoading AS Integer (Boolean)

IsEmptyDoc AS Integer (Boolean)

IsEndnoteDivision AS Integer (Boolean)

IsLockedForRevisions AS Integer (Boolean)

IsProtected AS Integer

IsSpellBarUp AS Integer (Boolean)

IsStyleSheet AS Integer (Boolean)

IsUndoOn AS Integer (Boolean)

IsValid AS Integer (Boolean)

LastChild AS String

LastDivision AS String

LastName AS String

LastPage AS Integer

LineNumberOptions AS LineNumberOptions

Locked AS Integer

Master AS TextDocument

Name AS String

NextName AS String

NextNeighbor AS String

NonUserDocument AS Integer (Boolean)

NumPagesInDoc AS Integer

NumWindowsViewingDoc AS Integer

Parent AS BaseObject

ParentName AS String

PathName AS String

PreviousName AS String

PreviousNeighbor AS String

ReadCompressed AS Integer (Boolean)

RevisionMarkMode AS Integer

SelectionType AS SelectionType

SortOptions AS SortOptions

StateID AS Long

TabSpacing AS Long (measured in Twips)

UseContents AS Integer

UsedFirstPageHeight AS Long (measured in Twips)

VersionID AS Long

VersionManager AS VersionManager

WPDataSets AS WPDataSetCollection

Methods

AddDivision

AnyEdits

BeginChange

ChangeAllEditsToEditor

Clear

ConsistencyCheck

Copy

EndChange

ForceDocToLoad

FXGetNotesString

FXGetNotesWriteHandle

FXSetNotesString

GetActiveList

GetNamedProperty

GetNameFromPage

GetPageRange

HasNamedProperty

Hit

Link

Localize

Move

Purge

RegisterWPDataSet

RemoveDivision

RemoveNamedProperty

SaveDivision

SetDocumentEpoch

SetNamedProperty

Unlink

UnregisterWPDataSet

UpdatePowerFields

UpdatePowerFieldsOnNew

Events

EnterClickHere

EnterLayout

ExitClickHere

KeyStroke

MouseDown

MouseUp


Word Pro: Accelerators property

 See list of classes

 See example

(Read-only) An instance of the Accelerators class which is a short-cut key assignment for any Word Pro script or Ami Pro macro.

Data Type

Accelerators

Syntax

acceleratorsvalue = [objectreference].Accelerators

Legal values

Always contains an instance of the Accelerators class.

Usage

With the methods in this class, you can add or remove any accelerator key assignment.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: ActiveDocument property

 See list of classes

 See example

(Read-only) Returns the TextDocument object which is active when this property is read. Its contents depend on which document is active at the time. You can use the global variable, CurrentDocument, instead of this property.

This is a current context property in the WPApplication class.

Data Type

TextDocument

Syntax

activedocumentvalue = [objectreference].ActiveDocument

Legal values

Always contains an instance of the TextDocument class.

Usage

WPApplication - Use this property from the WPApplication object when you want to access the active Word Pro document.

ApplicationWindow - Use this property from the ApplicationWindow object when you want to access the active Word Pro document.


Topics Found:

Word Pro: Application class

Word Pro: ApplicationWindow class

Word Pro: WPApplication class


Word Pro: ActiveDocWindow property

 See list of classes

 See example

(Read-only) Returns the currently active DocWindow object. The DocWindow object provides access to the most basic functions of a document window, including the position, size, and appearance of a particular document's window. This is a current context property. Its contents depend on which document is active at the time.

Data Type

DocWindow

Syntax

activedocwindowvalue = [objectreference].ActiveDocWindow

Legal values

Always contains an instance of the DocWindow class.

Usage

Use this property when you want to access the currently active Word Pro document's window.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: Afid property

 See list of classes

 See example

(Read-only)

Data Type

Variant

Syntax

afid = [objectreference].Afid

Legal values

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: Alignment property

 See list of classes

 See example

(Read-only) An Alignment object used for controlling the aligment attributes of a paragraph within a Text, TextMarker, or ClickHere object.

Data Type

Alignment

Syntax

alignmentvalue = [objectreference].Alignment

Legal values

Always contains an instance of the Alignment class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AllBorders property

 See list of classes

 See example

(Read-only) Allows you to simultaneously access all of an object's border objects.

Data Type

Border

Syntax

allbordersvalue = [objectreference].AllBorders

Legal values

Always contains an instance of the Border class.

Usage

Use this property in order to simultaneously access an object's BottomBorder, LeftBorder, RightBorder, and TopBorder objects.


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: Amikake property

 See list of classes

 See example

(Read-only) Holds a text background object for the Asian language versions of Word Pro. If you are using an English language version of Word Pro, this property is not available.

Data Type

Amikake

Syntax

amikakevalue = [objectreference].Amikake

Legal values

Always contains an instance of the Amikake class.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AnyNumber property

 See list of classes

 See example

(Read-only) Allows you to modify the "Any number" condition of the current number format.

Data Type

NumericFormatSubset

Syntax

anynumbervalue = [objectreference].AnyNumber

Legal values

Always contains an instance of the NumericFormatSubset class.

Usage

Equivalent to the "Any number" condition, which can be accessed through the Edit Format dialog. The Edit Format dialog can be opened by clicking the Format Options button, which is located in the Number Format tab of the InfoBox for cell layout objects.

By accessing the "Any number" condition of a number format, you can modify how most values will appear within table cells, and whether you would like prefix or suffix text.


Topics Found:

Word Pro: NumericFormat class


Word Pro: AppFoundry property

 See list of classes

 See example

(Read-only) A Foundry object which contains all the objects located in the Word Pro Clipboard.

Data Type

Foundry

Syntax

appfoundryvalue = [objectreference].AppFoundry

Legal values

Always contains an instance of the Foundry class.

Usage

AppFoundry is a property on the WPApplication object (always stored in the CurrentApplication variable). It contains a Foundry object which Word Pro uses as the Clipboard. This is the same Clipboard you use when you copy or cut items in a Word Pro document. When you cut or copy a selection, Word Pro takes all the objects from your selection and places them in their respective collection objects in the Foundry object stored in the AppFoundry property.

For example, if you select some text and a table and choose Edit - Copy, Word Pro places all the objects that comprise that text and table into their respective collection objects in AppFoundry. This means that all the Layout objects are stored in the corresponding layout collection objects. All CharacterStyle objects are stored in the CharacterStyleCollection object. All CellEngine objects are stored in the CellCollection object. The text objects are stored in the TextCollection object. When you choose Edit - Paste, all of these objects are reassembled in their original form and displayed in the document at the insertion point.

Because Word Pro uses the Foundry object in AppFoundry as its Clipboard, you must exercise caution when working with AppFoundry. Any objects you place in AppFoundry will be included in the next Paste operation. Any objects you remove from AppFoundry will be excluded from the next Paste operation and may adversely affect the user's ability to paste from the Clipboard.

You can get an object from AppFoundry and store it in a variable, using the following statement:

myobject = CurrentApplication.AppFoundry.collectionpropertyname(itemreference)

In this statement, myobject is the variable in which you want to store the object; CurrentApplication is a global variable that always contains the WPApplication object; collectionpropertyname is the name of the property that contains the collection object where the object you want is stored; itemreference is the index that specifies the object you want.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.

Note	While you may retrieve objects from AppFoundry, you should not use LotusScript to place objects in the AppFoundry collections. This could interfere with normal user operations such as Cut and Copy. When creating and storing your own Word Pro objects, use the Foundry object in the TempFoundry property.


Topics Found:

Word Pro: WPApplication class


Word Pro: ApplicationWindow property

 See list of classes

 See example

(Read-only) An instance of the ApplicationWindow class. The object in this property represents the Word Pro application window that acts as the container for all of your document windows. Also known as the application workspace, this is the window that remains after you close all of your documents and leave Word Pro running.

Data Type

ApplicationWindow

Syntax

applicationwindowvalue = [objectreference].ApplicationWindow

Legal values

Always contains an instance of the ApplicationWindow class.

Usage

The ApplicationWindow object allows you to control the size, position, and appearance of the Word Pro application window. See the definition of the ApplicationWindow class for more information on how to make use of this property.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: Application property

 See list of classes

 See example

(Read-only) An instance of the WPApplication object. The Application property is inherited from BaseObject and provides universal access to the WPApplication object.

Data Type

WPApplication

Syntax

applicationvalue = [objectreference].Application

Legal values

Always contains an instance of the WPApplication class.

Usage

This property always contains a pointer to the WPApplication object so you can reach the WPApplication object, regardless of where your focus is. In most cases, you will simply use the leading dot feature to gain access to the WPApplication object. However, if you are controlling a Word Pro object from another application, you cannot use the leading dot notation to get the WPApplication object. In that circumstance, you can use the Application property on the object to access the WPApplication object and thereby all of Word Pro.


Topics Found:

Word Pro: BaseObject class


Word Pro: AppViewPrefs property

 See list of classes

 See example

(Read-only) An instance of the AppViewPrefs class. The object in this property represents the view preferences for a session of Word Pro.

Data Type

AppViewPrefs

Syntax

appviewprefsvalue = [objectreference].AppViewPrefs

Legal values

Always contains an instance of the AppViewPrefs class.

Usage

Use the object in this property to manipulate the color of margins, window panes, selection borders, spelling errors, and the currently selected spelling error.


Topics Found:

Word Pro: WPApplication class


Word Pro: Attributes property

 See list of classes

 See example

(Read-only)

Data Type

Attributes

Syntax

attributesvalue = [objectreference].Attributes

Legal values

Always contains an instance of the Attributes class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: FormatPreferences class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AutoRunMacro property

 See list of classes

 See example

(Read-only)

Data Type

AutoRunMacro

Syntax

autorunmacrovalue = [objectreference].AutoRunMacro

Legal values

Always contains an instance of the AutoRunMacro class.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: BackColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

backcolorvalue = [objectreference].Backcolor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Background class

Word Pro: Font class


Word Pro: Background property

 See list of classes

 See example

(Read-only) Indicates the current background settings for a specific layout object.

[TableFill]

(Read-write) Alllows you to set the foreground color, background color and pattern of a specific table object.

[Layout]

Alllows you to set the foreground color, background color and pattern of a specific layout object.

Data Type

Background

Syntax

backgroundvalue = [objectreference].Background

[objectreference].Background = backgroundvalue

Legal values

Always contains an instance of the Background class.

Usage

Amikake - If you are using an English language version of Word Pro, this property as a member of Amikake is not available.

TableFill - Equivalent to choosing Table - Table Properties, selecting Table cell in the "Properties for" box, clicking Options on the Table Cell Lines & Colors panel, and selecting the desired options from the "Fill," "Background color," "Pattern," and "Pattern color" boxes.

Layout - Equivalent to opening the layout object InfoBox and selecting the desired options from the "Background color," "Pattern," and "Pattern color" boxes in the Lines & Colors panel.


Topics Found:

Word Pro: Amikake class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableFill class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: BackupPaths property

 See list of classes

 See example

(Read-only) Stores multiple backup paths (drive and directory) for Word Pro documents.

Data Type

StringCollection

Syntax

backuppathsvalue = [objectreference].BackupPaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "Backups" field on the Locations panel of the Word Pro Preferences dialog box. Although a user can enter multiple paths in this field, Word Pro only uses the first one listed. The first path listed corresponds to the BackupPath property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Bags property

 See list of classes

 See example

(Read-only) An object created from the BagCollection class. This object provides access to Bag objects.

Data Type

BagCollection

Syntax

bagsvalue = [objectreference].Bags

Legal values

Always contains an instance of the BagCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Bag objects contained in that Division object. When accessed through the AppFoundry property on the WPApplication object, the collection object in this property provides access to all the Bag objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, the collection object in this property provides access to all the Bag objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, the collection object in this property provides access to all the Bag objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes

H_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: BaseTable property

 See list of classes

 See example

(Read-only)

An instance of one of the following classes:

FootnoteTable

Glossary

ParallelColumns

TableHeading

Table

This is a current context property. The content of this property is determined by context of the Word Pro focus.

Data Type

BaseTable

Syntax

basetablevalue = [objectreference].BaseTable

Legal values

This property has a data type of BaseTable. This data type allows this property to contain any object created from one of BaseTable's derived classes, including FootnoteTable, Glossary, ParallelColumns, TableHeading, and Table.

Usage

In Word Pro, tables take many different forms and have many different uses. In addition to the standard Table object, there are Glossary objects, TableHeading objects, FootnoteTable objects, and ParallelColumns objects. Each of these objects is unique and serves a different purpose. But the classes for these objects are all derived from the same BaseTable class. By using that BaseTable class as the data type for the BaseTable property, Word Pro allows the BaseTable property to contain any object that is created from one of BaseTable's derived classes.

Whatever object is stored in BaseTable is determined by the context of Word Pro's focus. If you have a document that has a table, a footnote, a glossary, and a table heading, Word Pro gives you access to all of those objects through the BaseTable property. However, only one of those objects can be found in BaseTable at any given time. If the focus (usually your cursor) is on the Table object, that Table object will be contained in the BaseTable property. Similarly, if the focus is on a FootnoteTable object, then the BaseTable property contains that FootnoteTable object. When your focus is on a page and not in a table, this property contains the currently active ParallelColumns object.


Topics Found:

Word Pro: WPApplication class


Word Pro: BinNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

binnamesvalue = [objectreference].BinNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: BookmarkManager property

 See list of classes

 See example

(Read-only)

Data Type

BookmarkManager

Syntax

bookmarkmanagervalue = [objectreference].BookmarkManager

Legal values

Always contains an instance of the BookmarkManager class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: BookmarksByMarkerName property

 See list of classes

 See example

(Read-only) Enumerates bookmarks by their internal (hexidecimal) names which cannot be changed; for internal use only.

Data Type

BookmarkCollection

Syntax

bookmarksbymarkernamevalue = [objectreference].BoomarksByMarkerName

Legal values

Always contains an instance of the BookmarkCollection class.

Usage

Enumerates bookmarks by their internal (hexidecimal) names which cannot be changed. This property contains objects created from the BookmarkCollection class.


Topics Found:

Word Pro: BookmarkManager class


Word Pro: Bookmarks property

 See list of classes

 See example

(Read-only) Enumerates bookmarks in a document and lists them by their user-assigned names.

Data Type

BookmarkCollection

Syntax

bookmarksvalue = [objectreference].Bookmarks

Legal values

Always contains an instance of the BookmarkCollection class.

Usage

As String. Provides the user-assigned names of all bookmarks in a document. This is the same list that displays in the Bookmarks dialog box.


Topics Found:

Word Pro: BookmarkManager class


Word Pro: BorderLines property

 See list of classes

 See example

(Read-Only) Allows you to access the border line information for a specific layout or table object.

Data Type

BorderLines

Syntax

borderlinesvalue = [objectreference].BorderLines

Legal values

Always contains an instance of the BorderLines class.

Usage

You can use this property to access the type, color, or width of the border lines in a specific layout or table object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterBorder class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteContSep class

Word Pro: FootnoteLayout class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableLine class

Word Pro: TOCSuperTableLayout class


Word Pro: BottomBorder property

 See list of classes

 See example

(Read-only) Allows you to access an object's bottom border object.

Data Type

Border

Syntax

bottombordervalue = [objectreference].BottomBorder

Legal values

Always contains an instance of the Border class.

Usage

You can also use the AllBorders property in order to simultaneously access an object's BottomBorder, LeftBorder, RightBorder, and TopBorder objects.


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: Breaks property

 See list of classes

 See example

(Read-only)

Data Type

Breaks

Syntax

breaksvalue = [objectreference].Breaks

Legal values

Always contains an instance of the Breaks class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Bullet property

 See list of classes

 See example

(Read-only)

Data Type

Bullet

Syntax

bulletvalue = [objectreference].Bullet

Legal values

Always contains an instance of the Bullet class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: CellEngines property

 See list of classes

 See example

(Read-only) An object created from the CellCollection class. This object provides access to CellEngine objects.

Data Type

CellCollection

Syntax

cellenginesvalue = [objectreference].CellEngines

Legal values

Always contains an instance of the CellCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the CellEngine objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, the collection object in this property provides access to all the CellEngine objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, the collection object in this property provides access to all the CellEngine objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, the collection object in this property provides access to all the CellEngine objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: CellEngine property

 See list of classes

 See example

(Read-only) Allows you to access the CellEngine object within a table.

Data Type

CellEngine

Syntax

cellenginevalue = [objectreference].Cell Engine

Legal values

Always contains an instance of the CellEngine class.

Usage


Topics Found:

Word Pro: Table class


Word Pro: CellLayoutStyles property

 See list of classes

 See example

(Read-only) An object created from the CellLayoutCollection class. This object provides access to CellLayout objects that are used as cell styles. If there are no cell styles defined for a document, the collection object in this property will be empty.

Data Type

CellLayoutCollection

Syntax

celllayoutstylesvalue = [objectreference].CellLayoutStyles

Legal values

Always contains an instance of the CellLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the CellLayout objects used as cell styles in that Division object.

When accessed through the AppFoundry property on the WPApplication object, the collection object in this property provides access to all the CellLayout objects used as styles contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, the collection object in this property provides access to all the CellLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, the collection object in this property provides access to all the CellLayout objects used as cell styles in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: CellLayouts property

 See list of classes

 See example

(Read-only) An object created from the CellLayoutCollection class. This object provides access to all CellLayout objects including those used as cell styles.

Data Type

CellLayoutCollection

Syntax

celllayoutsvalue = [objectreference].CellLayouts

Legal values

Always contains an instance of the CellLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the CellLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, the collection object in this property provides access to all the CellLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, the collection object in this property provides access to all the CellLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, the collection object in this property provides access to all the CellLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

Classes.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Foundry class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: CellLayout property

 See list of classes

 See example

(Read-only) Returns the cell layout object from a cell container.

Data Type

CellLayout

Syntax

celllayoutvalue = [objectreference].CellLayout

Legal values

Always contains an instance of the CellLayout class.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: CellContainer class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: Cell property

 See list of classes

 See example

(Read-only) An instance of the CellContainer class. This is a current context property that only contains an object when the focus of Word Pro includes a cell in a table. If there is no cell in the focus, this property is empty.

Data Type

CellContainer

Syntax

propertycellvalue = [objectreference].Cell

Legal values

An instance of the CellContainer class.

Usage

When the focus includes a cell in a table, this property contains the CellContainer object that groups together the objects that comprise the cell with the focus. You can use this property to access the Layout or other objects related to that cell.


Topics Found:

Word Pro: WPApplication class


Word Pro: CharacterBorder property

 See list of classes

 See example

(Read-only)

Data Type

CharacterBorder

Syntax

characterbordervalue = [objectreference].CharacterBorder

Legal values

Always contains an instance of the CharacterBorder class.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: CharacterSet property

 See list of classes

 See example

(Read-only) Enables the user to use special characters to expand a find and replace search. Depends on the language set in Word Pro Preferences.

Data Type

CharacterSet

Syntax

charactersetvalue = [objectreference].CharacterSet

Legal values

Always contains an instance of the CharacterSet class.

Usage

Data type is String in the specific language. Equivalent to choosing Edit - Find & Replace Text, clicking Options, and selecting an option in the "Special characters help" list box. You can then enter these values in the "Find" and "Replace with" boxes on the Find & Replace bar. The values are:

^? Any one character	Finds and replaces any one character. Can be used with other text to find and replace variations of a word.
^* Any characters	Finds and replaces zero or more characters in a word. Can be used with other text to find and replace variations of a word.
^+ Phrase	Finds and replaces zero or more characters across multiple words. Can be used with other text to find and replace phrases.
^p To end of paragraph	Finds and replaces zero or more characters across multiple words to the end of a paragraph.
^t Tab character	Finds and replaces spaces with a tab character.
^r Return character	Finds and replaces a hard return.
^^ ^character	Finds and replaces the ^ character.


Topics Found:

Word Pro: FindAndReplace class

Word Pro: Preferences class


Word Pro: CharacterStyles property

 See list of classes

 See example

(Read-only) An object created from the CharacterStyleCollection class. This object provides access to CharacterStyle objects.

Data Type

CharacterStyleCollection

Syntax

characterstylesvalue = [objectreference].CharacterStyles

Legal values

Always contains an instance of the CharacterStyleCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the CharacterStyle objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, the collection object in this property provides access to all the CharacterStyle objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, the collection object in this property provides access to all the CharacterStyle objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, the collection object in this property provides access to all the CharacterStyle objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: CharacterStyle property

 See list of classes

 See example

(Read-only)

Data Type

CharacterStyle

Syntax

characterstylevalue = [objectreference].CharacterStyle

Legal values

Always contains an instance of the CharacterStyle class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ChildLayouts property

 See list of classes

 See example

(Read-only) Returns a collection of a layout object's children.

Data Type

LayoutCollection

Syntax

childlayoutsvalue = [objectreference].ChildLayouts

Legal values

Always contains an instance of the LayoutCollection class.

Usage

This method returns a collection of a layout object's children. For instance, a page layout object's children could include header and footer layout objects, as well as certain frames or tables.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ClickHeres property

 See list of classes

 See example

(Read-only) An object created from the ClickHereCollection class. This object provides access to ClickHere objects.

Data Type

ClickHereCollection

Syntax

clickheresvalue = [objectreference].ClickHeres

Legal values

Always contains an instance of the ClickHereCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the ClickHere objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, the collection object in this property provides access to all the ClickHere objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, the collection object in this property provides access to all the ClickHere objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, the collection object in this property provides access to all the ClickHere objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Color property

 See list of classes

 See example

[NumericFormatSubset]

(Read-Only) The numeric format color of a numeric value within a table cell.

[Shadow]

(Read-Only) Sets the color of a shadow for text, frames, headers, footers, and pages in a document.

Data Type

Color

Syntax

colorvalue = [objectreference].Color

[objectreference].Color = colorvalue

Legal values

Always contains an instance of the Color class.

Usage

[NumericFormatSubset]

Use the color property to change the color of numeric values in a table cell. When used, this color overrides the font color assigned to text within a table cell.

[Shadow]

You can set the Color property for text, frames, tables, headers, footers, and pages in a document. Equivalent to:

•	Clicking the right mouse button anywhere in the text, choosing Text Properties, clicking the Lines & Colors tab, and selecting an option in the "Shadow" box.

•	Clicking the right mouse button anywhere in the frame, choosing Frame Properties, clicking the Lines & Colors tab, and selecting an option in the "Shadow" box.

•	Clicking the right mouse button anywhere in the table, choosing Table Properties, clicking the Lines & Colors tab, and selecting an option in the "Shadow" box.

•	Clicking the right mouse button anywhere in the header, choosing Header Properties, clicking the Lines & Colors panel, and selecting an option in the "Shadow" box.

•	Clicking the right mouse button anywhere in the footer, choosing Footer Properties, clicking the Lines & Colors tab, and selecting an option in the "Shadow" box.

•	Clicking the right mouse button anywhere in the page, choosing Page Properties, clicking the Lines & Colors tab, and selecting an option in the "Shadow" box.


Topics Found:

Word Pro: Background class

Word Pro: Border class

Word Pro: DivisionInfo class

Word Pro: IndexSection class

Word Pro: NoteLayout class

Word Pro: NumericFormatSubset class

Word Pro: Section class

Word Pro: Shadow class


Word Pro: ColumnLayouts property

 See list of classes

 See example

(Read-only) This object provides the names of any column layout objects within a table.

Data Type

StringCollection

Syntax

columnlayoutsvalue = [objectreference].ColumnLayouts

Legal values

Always contains an instance of the StringCollection class.

Usage

Column layout objects are created when the layout of a column is modified. For example, if you modify the width of the first column in a table, a column layout object will be created for only that column. The name of the column layout object will then be stored in the ColumnLayouts property. Column layout objects do not exist for columns which have never been modified.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: CommentColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

commentcolorvalue = [objectreference].CommentColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Script class


Word Pro: ConnectedLayouts property

 See list of classes

 See example

(Read-only) An object created from the ConnectedLayoutCollection class. This object provides access to ConnectedLayoutCollection objects.

Data Type

ConnectedLayoutCollection

Syntax

connectedlayoutsvalue = [objectreference].ConnectedLayouts

Legal values

Always contains an instance of the ConnectedLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the CellLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the CellLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the CellLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the CellLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Container property

 See list of classes

 See example

(Read-only) A "catch all" container property that always contains the topmost container object in the focus. Container uses the abstract class, BaseContainer, as its data type, which allows Container to store any kind of container object.

Data Type

BaseContainer

Syntax

containervalue = [objectreference].Container

Legal values

An instance of the BaseContainer class.

Usage

Use this property to access the topmost container object's layout, regardless of that container object's contents. For example, you might write a script which allows the user to select an object whose background he wants to turn red. After the user selects the object (thus setting the focus on that object), you can issue this statement:

.Container.Layout.Background.Color.SetRGB 255, 0, 0

This statement sets the color of the layout's background to red, regardless of the kind of layout or the kind of container object the user selected.


Topics Found:

Word Pro: WPApplication class


Word Pro: Content property

 See list of classes

 See example

(Read-only) An instance of one of the content classes. A content class is any class derived from the abstract class called Content. Each content class describes a different kind of content, such as text, a graphic, or a cell formula. This property uses Content as its data type so it can store any object created from one of these content classes.

For more details on the Content class, content classes, and content objects, click the data type below.

Data Type

Content

Syntax

contentvalue = [objectreference].Content

Legal values

This property can contain an instance of one of the following classes:

FootnoteTable

Formula

Glossary

Graphic

OleObjects

ParallelColumns

SuperTable

TableHeading

Table

Text

Usage

The type of content object you find in this property depends on the object you call the property from, and what objects are in the focus when you call the Content property.

WPApplication.Content

If you call the Content property on the WPApplication object, you will get the uppermost content object within the focus. Thus, the content object in this property changes as the focus changes in your document. This content object can be any of the types listed above, under Legal values.

Footnote.Content

If you call the Content property on a Footnote object, you will get the content object for that footnote. Again, this content object can be any of the types listed above, under Legal values.

layoutobject.Content

The Layout class has a Content property which is inherited by each layout class. A layout class is any class derived from the Layout class. A layout object is any object created from one of the layout classes. If you call the Content property on a layout object, you get the content object of that layout object. Usually, the type of content object found in the Content property corresponds to the type of object represented by that layout.

For example, the Content property on a CellLayout object may contain a Formula content object. But the Content property on a PageLayout object will most likely be a Text content object. However, you must keep in mind that a cell or a page can also contain a graphic or an OLE object, and this will affect the type of content object stored in the Content property. The types of layout objects that have a Content property are:

CellGroupLayout

CellLayout

ConnectedLayout

EndnoteLayout

FooterLayout

FootnoteLayout

FrameLayout

GroupLayout

HeaderLayout

NoteLayout

PageLayout

RowLayout

RubyLayout

SuperTableGroupLayout

SuperTableLayout

TableHeadingLayout

TableLayout

TOCSuperTableLayout

Note that some of these layout objects are stored in properties of other objects, such as CellLayout, which can be found in the CurrentCell property on WPApplication, and the CellLayout property on CellContainer. Other layout objects listed above may not be stored in a property, but can still be accessed through the appropriate collection object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: Footnote class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: ContextMenuOptions property

 See list of classes

 See example

(Read-only) An instance of the ContextMenuOptions class which is menu options in a context sensitive dialog box or bar.

Data Type

ContextMenuOptions

Syntax

contextmenuoptionsvalue = [objectreference].ContextMenuOptions

Legal values

Always contains an instance of the ContextMenuOptions class.

Usage

Use this property to see if menus or menu items are grayed.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: Controls property

 See list of classes

 See example

(Read-only)

Data Type

LwpControls

Syntax

controlsvalue = [objectreference].Controls

Legal values

Always contains an instance of the LwpControls class.

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: CurrentCell property

 See list of classes

 See example

(Read-only) The CellLayout object for the table cell which is uppermost in the focus. If no cell is in the focus, this property is empty.

Data Type

CellLayout

Syntax

currentcellvalue = [objectreference].CurrentCell

Legal values

Always contains an instance of the CellLayout class.

Usage

In most cases, you can use this property to access the cell in which the insertion point is located. If the insertion point is in a frame that is in a table cell, this property contains the CellLayout object for the cell containing the frame.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: CurrentColumn property

 See list of classes

 See example

(Read-only) Returns the layout object for the column or columns uppermost in the focus.

Data Type

Layout

Syntax

currentcolumnvalue = [objectreference].CurrentColumn

Legal values

This property can contain an instance of the Layout class or any of its derived classes.

Usage

If there is no table in the focus, this property is empty.

If only one cell is selected, this property contains the CellLayout object for that cell.

If more than one cell in the table is selected, this property contains a ColumnGroupLayout object representing the selected cells.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: CurrentEditor property

 See list of classes

 See example

(Read-only) The editor object for the current editor of a document.

Data Type

Editor

Syntax

currenteditorvalue = [objectreference].CurrentEditor

Legal values

Always contains an instance of the Editor class.

Usage

This property gives you access to the editor object for the current editor. Therefore, you can use the CurrentEditor property to find out the name of the current editor of a document.


Topics Found:

Word Pro: EditorManager class


Word Pro: CurrentRow property

 See list of classes

 See example

(Read-only) Returns the layout object for the row(s) uppermost in the focus.

Data Type

RowLayout

Syntax

currentrowvalue = [objectreference].CurrentRow

Legal values

This property can contain an instance of the Layout class or any of its derived classes.

Usage

If there is no table in the focus, this property is empty.

If only one cell is selected, this property contains the CellLayout object for that cell.

If more than one cell in the same row is selected, this property contains a CellGroupLayout object representing the cells selected in that row.

If more than one cell is selected across multiple rows, this property contains a CellGroupLayout object representing the cells selected in that row.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: CurrentRunningScriptName property

 See list of classes

 See example

This method has not yet been defined.

Data Type

Syntax

Legal values

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: CurrentRunningScriptPath property

 See list of classes

 See example

This method has not yet been defined.

Data Type

Syntax

Legal values

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: CurrentVersion property

 See list of classes

 See example

(Read-only)

Data Type

Version

Syntax

currentversionvalue = [objectreference].CurrentVision

Legal values

Always contains an instance of the Version class.

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: DataNames property

 See list of classes

 See example

(Read-only) All the variable names in a data set.

Data Type

StringCollection

Syntax

datanamesvalue = [objectreference].DataNames

Legal values

Always contains an instance of the StringCollection class.

Usage

You can use the DataNames property to return all the existing variable names in a specific data set.


Topics Found:

Word Pro: ScriptDataSet class

Word Pro: WPDataSet class


Word Pro: DdeLinkManager property

 See list of classes

 See example

(Read-only)

Data Type

DdeLinkManager

Syntax

ddelinkmanagervalue = [objectreference].DdeLinkManager

Legal values

Always contains an instance of the DdeLinkManager class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DdeLinksFromMarker property

 See list of classes

 See example

(Read-only) Enumerates Dde links by their internal (hexidecimal) names which cannot be changed; for internal use only.

Data Type

DdeLinkCollection

Syntax

ddelinkssfrommarkervalue = [objectreference].DdeLinksFromMarker

Legal values

Always contains an instance of the DdeLinkCollection class.

Usage

Enumerates Dde links by their internal (hexidecimal) names which cannot be changed.


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: DdeLinks property

 See list of classes

 See example

(Read-only) Enumerates DdeLinks in a document and lists them by their readable names.

Data Type

DdeLinkCollection

Syntax

ddelinksvalue = [objectreference].DdeLinks

Legal values

As String (name). Always contains an instance of the DdeLinkCollection class.

Usage

Provides the readable names of all DdeLinks in a document.


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: DelayedGreeting property

 See list of classes

 See example

Indicates whether or not a document's greeting message will display when the document is opened.

Data Type

Integer

Syntax

delayedgreeting = [objectreference].DelayedGreeting

[objectreference].DelayedGreeting = delayedgreeting

Legal values

The legal values for this property are -1 and 0 but you may use the LotusScript constants of True (-1) and False (0) instead of the integer values. The default value for this property is False.

Usage

Setting this property to True causes a document to open without displaying its greeting message. Word Pro sets this property internally when a document is opened hidden. For example, when a Word Pro document is launched via OLE automation, this property is set to True so that the document's greeting does not display. Later, if the document is made visible, Word Pro sets this property to False, and the greeting is allowed to display.


Topics Found:

Word Pro: Editor class

Word Pro: RevisionDisplay class


Word Pro: DeleteFont property

 See list of classes

 See example

(Read-only) The collection of attributes associated with a font object that marks deleted text in a document.

Data Type

Font

Syntax

deletefontvalue = [objectreference].DeleteFont

Legal values

Always contains an instance of the Font class.

Usage

[Editor]

This property is equivalent to the "Markup for deletions" option, which is located in the Markup Options dialog. The Markup Options dialog can be opened by pressing the Markup Options button, which is located in the General panel of the Word Pro Preferences dialog.


Topics Found:

Word Pro: Editor class

Word Pro: RevisionDisplay class


Word Pro: DirectiveColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

directivecolorvalue = [objectreference].DirectiveColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Script class


Word Pro: DivisionInfo property

 See list of classes

 See example

(Read-only) Returns the division info object from any container.

Data Type

DivisionInfo

Syntax

divisioninfovalue = [objectreference].DivisionInfo

Legal values

Always contains an instance of the DivisionInfo class.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: Marker class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: PowerField class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: RubyMarker class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableMarker class

Word Pro: TableOnlyCont class

Word Pro: TextDocument class

Word Pro: TextMarker class


Word Pro: DivisionNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

divisionnamesvalue = [objectreference].DivisionNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DivisionOptions property

 See list of classes

 See example

(Read-only)

Data Type

DivisionOptions

Syntax

divisionoptionsvalue = [objectreference].DivisionOptions

Legal values

Always contains an instance of the DivisionOptions class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Divisions property

 See list of classes

 See example

(Read-only) Contains a DivisionCollection object. This DivisionCollection object contains Division objects.

Data Type

DivisionCollection

Syntax

divisionsvalue = [objectreference].Divisions

Legal values

Always contains an instance of the DivisionCollection class.

Usage

When you call this property from the WPApplication object, the DivisionCollection object contains all the divisions in the currently active document.


Topics Found:

Word Pro: Division class

Word Pro: PrintSettings class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: Division property

 See list of classes

 See example

(Read-only) Contains the currently active Division object.

Data Type

Division

Syntax

divsionvalue = [objectreference].Division

Legal values

Always contains an instance of the Division class.

Usage

Use this property to access the currently active Division object and any of its members.


Topics Found:

Word Pro: WPApplication class


Word Pro: DocControl property

 See list of classes

 See example

(Read-only)

Data Type

DocControl

Syntax

doccontrolvalue = [objectreference].DocControl

Legal values

Always contains an instance of the DocControl class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DocInfo property

 See list of classes

 See example

(Read-only)

Data Type

DocInfo

Syntax

docinfovalue = [objectreference].DocInfo

Legal values

Always contains an instance of the DocInfo class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DocOptions property

 See list of classes

 See example

(Read-only)

Data Type

Options

Syntax

docoptionsvalue = [objectreference].DocOptions

Legal values

Always contains an instance of the Options class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DocumentPaths property

 See list of classes

 See example

(Read-only) Stores multiple paths (drive and directory) where Word Pro looks for documents to open.

Data Type

StringCollection

Syntax

documentpathsvalue = [objectreference].DocumentPaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "Documents" field on the Locations panel of the Word Pro Preferences dialog box. The "Documents" field can contain multiple document paths. You can use this property to read these multiple document paths, including the primary (default) document path which is stored in the DocPath property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Documents property

 See list of classes

 See example

(Read-only) Contains a Documents object. This Documents object is a collection object that contains all the currently open TextDocument objects.

Data Type

Documents

Syntax

documentsvalue = [objectreference].Documents

Legal values

Always contains an instance of the Documents class.

Usage

Use this property when you want to access a TextDocument object which is open but not currently active. For more information about accessing objects in a collection, choose Help - Word Pro Objects. Click the Find tab and search for "collection."


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: Document property

 See list of classes

 See example

(Read-only)

Data Type

TextDocument

Syntax

documentvalue = [objectreference].Document

Legal values

Always contains an instance of the TextDocument class.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: DocWindows property

 See list of classes

 See example

(Read-only) An instance of the DocWindowCollection class that is a collection of all open document  windows in an application.

Data Type

DocWindowCollection

Syntax

docwindowsvalue = [objectreference].DocWindows

Legal values

Always contains an instance of the DocWindowCollection class.

Usage

Use this property to get a list of all open document windows in the currently active application window.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: EditorManager property

 See list of classes

 See example

(Read-only)

Data Type

EditorManager

Syntax

editormanagervalue = [objectreference].EditorManager

Legal values

Always contains an instance of the EditorManager class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Editors property

 See list of classes

 See example

(Read-only) The collection or array of editors assigned to a document.

Data Type

EditorCollection

Syntax

editorsvalue = [objectreference].Editors

Legal values

Always contains an instance of the EditorCollection class.

Usage


Topics Found:

Word Pro: EditorManager class

Word Pro: Version class


Word Pro: EndnoteDivisionGroupNum property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteDivisionGroupNum

Syntax

endnotedivisiongroupnumvalue = [objectreference].EndnoteDivisionGroupNum

Legal values

Always contains an instance of the EndnoteDivisionGroupNum class.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: EndnoteDivisionNum property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteDivisionNum

Syntax

endnotedivisionnumvalue = [objectreference].EndnoteDivisionNum

Legal values

Always contains an instance of the EndnoteDivisionNum class.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: EndnoteDocNum property

 See list of classes

 See example

(Read-only)

Data Type

EndnoteDocNum

Syntax

endnotedocnumvalue = [objectreference].EndnoteDocNum

Legal values

Always contains an instance of the EndnoteDocNum class.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: Endnotes property

 See list of classes

 See example

(Read-only) An object created from the EndnoteLayoutCollection class. This object provides access to EndnoteLayoutCollection objects.

Data Type

EndnoteLayoutCollection

Syntax

endnotesvalue = [objectreference].Endnotes

Legal values

Always contains an instance of the EndnoteLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the EndnoteLayoutCollection objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the EndnoteLayoutCollection objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the EndnoteLayoutCollection objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the EndnoteLayoutCollection objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: ErrorColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

errorcolorvalue = [objectreference].ErrorColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Script class


Word Pro: FaceNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

facenamesvalue = [objectreference].FaceNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: FieldManager property

 See list of classes

 See example

(Read-only) The DocInfoFieldManager object for a document.

Data Type

DocInfoFieldManager

Syntax

fieldmanagervalue = [objectreference].FieldManager

Legal values

Always contains an instance of the DocInfoFieldManager class.

Usage

You can use this property to access any DocInfo fields in a document.


Topics Found:

Word Pro: DocInfo class


Word Pro: Fields property

 See list of classes

 See example

(Read-only) A collection of document fields.

Data Type

DocInfoFieldCollection

Syntax

fieldsvalue = [objectreference].Fields

Legal values

Always contains an instance of the DocInfoFieldCollection class.

Usage

In Word Pro, document fields are created in the Fields panel of the Document Properties dialog box.


Topics Found:

Word Pro: DocInfoFieldManager class


Word Pro: FillerPageText property

 See list of classes

 See example

(Read-only)

Data Type

Text

Syntax

fillerpagetextvalue = [objectreference].FillerPageText

Legal values

Always contains an instance of the Text class.

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: FilterHelper property

 See list of classes

 See example

(Read-only)

Data Type

FilterHelper

Syntax

filterhelpervalue = [objectreference].FilterHelper

Legal values

Always contains an instance of the FilterHelper class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: Filter property

 See list of classes

 See example

(Read-only) An instance of the filter class which converts non-Word Pro file formats to a Word Pro file format.

Data Type

Filter

Syntax

filtervalue = [objectreference].Filter

Legal values

Always contains an instance of the Filter class.

Usage

Use this property to get to filter objects without having a document open.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: FindAndReplace property

 See list of classes

 See example

(Read-only) Contains the FindAndReplace object for the currently active session of Word Pro. The settings stored in this object are used by all documents opened within the active session.

Data Type

FindAndReplace

Syntax

findandreplacevalue = [objectreference].FindAndReplace

Legal values

Always contains an instance of the FindAndReplace class.

Usage

Use this property to access the FindAndReplace object, and to check and manipulate the settings for find and replace operations.


Topics Found:

Word Pro: WPApplication class


Word Pro: FindFont property

 See list of classes

 See example

(Read-only) Enables the user to find a text font in Find & Replace.

Data Type

Font

Syntax

findfontvalue = [objectreference].FindFont

Legal values

Always contains an instance of the Font class. The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to find a font in Find & Replace. If True, finds the font that matches the user setting. Equivalent to choosing Edit - Find & Replace Text, clicking Options, clicking the Font button in the "Find options" box, and selecting a font in the "Font name" list box on the Find panel.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: FontColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

fontcolorvalue = [objectreference].FontColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Font class


Word Pro: FontMetrics property

 See list of classes

 See example

(Read-only)

Data Type

FontMetrics

Syntax

fontmetricsvalue = [objectreference].FontMetrics

Legal values

Always contains an instance of the FontMetrics class.

Usage


Topics Found:

Word Pro: Font class


Word Pro: Font property

 See list of classes

 See example

(Read-only)

Data Type

Font

Syntax

fontvalue = [objectreference].Font

Legal values

Always contains an instance of the Font class.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: FormatPreferences class

Word Pro: Formula class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Footers property

 See list of classes

 See example

(Read-only) An object created from the FooterLayoutCollection class. This object provides access to FooterLayout objects.

Data Type

FooterLayoutCollection

Syntax

footersvalue = [objectreference].Footers

Legal values

Always contains an instance of the FooterLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the FooterLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the FooterLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the FooterLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the FooterLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Footer property

 See list of classes

 See example

(Read-only) Returns a footer object in a layout object.

Data Type

Layout

Syntax

footervalue = [objectreference].Footer

Legal values

Always contains an instance of the Layout class.

Usage

Use this property to access the footer layout object of a specific layout. Not all layout objects have footer layout objects. You can check the UseFooter property of a layout object to see if there is a footer layout object currently available for that layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: FootnoteContSep property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteContSep

Syntax

footnotecontsepvalue = [objectreference].FootnoteContSep

Legal values

Always contains an instance of the FootnoteContSep class.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: FootnoteLayouts property

 See list of classes

 See example

(Read-only) An object created from the FootnoteLayoutCollection class. This object provides access to FootnoteLayout objects.

Data Type

FootnoteLayoutCollection

Syntax

footnotelayoutsvalue = [objectreference].FootnoteLayouts

Legal values

Always contains an instance of the FootnoteLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the FootnoteLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the FootnoteLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the FootnoteLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the FootnoteLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: FootnoteNumbering property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteNumbering

Syntax

footnotenumberingvalue = [objectreference].FootnoteNumbering

Legal values

Always contains an instance of the FootnoteNumbering class.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: FootnoteOptions property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteOptions

Syntax

footnoteoptionsvalue = [objectreference].FootnoteOptions

Legal values

Always contains an instance of the FootnoteOptions class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FootnoteSeparator property

 See list of classes

 See example

(Read-only)

Data Type

FootnoteSeparator

Syntax

footnoteseparatorvalue = [objectreference].FootnoteSeparator

Legal values

Always contains an instance of the FootnoteSeparator class.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: Footnotes property

 See list of classes

 See example

(Read-only) An object created from the FootnoteCollection class. This object provides access to Footnote objects.

Data Type

FootnoteCollection

Syntax

footnotesvalue = [objectreference].Footnotes

Legal values

Always contains an instance of the FootnoteCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Footnote objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Footnote objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Footnote objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Footnote objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: FormatCheckPreferences property

 See list of classes

 See example

(Read-only) An instance of the FormatCheckPref class which represents the options for the Format Check tool.

Data Type

FormatCheckPref

Syntax

formatcheckpreferencesvalue = [objectreference].FormatCheckPreferences

Legal values

Always contains an instance of the FormatCheckPref class.

Usage

Setting the properties in the FormatCheckPref object is equivalent  to selecting options in the Format Check Options dialog box. To open this dialog box, choose Edit - Check Format and leave the Format Check bar open. Click Options on the Format Check bar.


Topics Found:

Word Pro: WPApplication class


Word Pro: Format property

 See list of classes

 See example

(Read-only)

Data Type

FormatPreferences

Syntax

formatvalue = [objectreference].Format

Legal values

Always contains an instance of the FormatPreferences class.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Action property (defining classes)
Word Pro: Action property

This property is defined in the following classes:

ClickHere

MenuItem


Word Pro: Contents property

This property is defined in the following classes:

DocInfoField

Foundry


Word Pro: Foundry property (defining classes)
Word Pro: Foundry property

This property is defined in the following classes:

Division

TextDocument

WPApplication


Word Pro: Hwnd property (defining classes)
Word Pro: Hwnd property

This property is defined in the following classes:

ApplicationWindow

DocWindow

LwpBaseCtrl

LwpCustomDialog


Word Pro: Shadow property (defining classes)
Word Pro: Shadow property

This property is defined in the following classes:

FontMetrics

Layout

ParagraphBorder


Example: ActivateAs method

'This example script has not yet been created.


Example: AddACondition method

'This example script has not yet been created.


Example: AddNewSectionTabs method

'This example script has not yet been created.


Example: BinNameFromNumber method

'This example script has not yet been created.


Example: CheckFieldEntries method

'This example script has not yet been created.


Example: ConvertTo method

'This example script has not yet been created.


Example: CreateDropCap method

'This example script has not yet been created.


Example: CreateEmptyList method

'This example script has not yet been created.


Example: CreateLayer method

'This example script has not yet been created.


Example: DeleteBag method

' This example creates a bag in the active division and then writes some data

' to the bag.  The data from the created bag is read and printed to the Lotus

' Script Output panel.  Next, data from all bags in the Bag Collection is

' printed and then each bag is deleted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim BagName As String

Dim  MyBag As Bag

Dim BagData As String

BagData = "This is data for the bag."

LenBagData = Len(BagData)

BagName = .Division.Foundry.Create($LwpFoundryCreateTypeBag)

Set MyBag = .Division.Foundry.Bags.Item(BagName)

Stat = MyBag.Write(BagData, LenBagData)

If Stat = True Then

Print "BagData= " & MyBag.Read(LenBagData)

End If

Forall ThisBag In .Division.Foundry.Bags

ThisBag.Reset

Print "Name = " ThisBag.Name

Print "Length = " ThisBag.Length

Print ThisBag.Read(ThisBag.Length)

ThisBag.DeleteBag

End Forall


Example: DeleteItemByPosition method

'This example script has not yet been created.


Example: EndPrinting method

'This example script has not yet been created.


Example: EnvelopeBarCode method

'This example script has not yet been created.


Example: GetAspectMetafilePict method

'This example script has not yet been created.


Example: GetListName method

'This example script has not yet been created.


Example: GetPageRange method

'This example script has not yet been created.


Example: GetParagraphNumberString method

'This example script has not yet been created.


Example: GetParagraphNumber method

'This example script has not yet been created.


Example: GetString method

'This example script has not yet been created.


Example: GoToClickHere method

'This example script has not yet been created.


Example: HasProperty method

'This example script has not yet been created.


Example: ImportWatermarkGraphic method

'This example script has not yet been created.


Example: InternetExtraFile method

'This example script has not yet been created.


Example: IsCaseExact method

'This example script has not yet been created.


Example: LeastRecentVersion method

'This example script has not yet been created.


Example: LinkContainers method

'This example script has not yet been created.


Example: NewItemByPosition method

'This example script has not yet been created.


Example: NextCycleAlign method

'This example script has not yet been created.


Example: NextCycleAttribute method

'This example script has not yet been created.


Example: NextCycleBullet method

'This example script has not yet been created.


Example: NextCycleFontSize method

'This example script has not yet been created.


Example: NextCycleFont method

'This example script has not yet been created.


Example: NextCycleIndent method

'This example script has not yet been created.


Example: NextCycleNumber method

'This example script has not yet been created.


Example: NextCycleStyle method

'This example script has not yet been created.


Example: OpenDocumentFromNotes method

'This example script has not yet been created.


Example: RemoveIndexEntry method

'This example script has not yet been created.


Example: RemoveList method

'This example script has not yet been created.


Example: RemoveTOCEntry method

'This example script has not yet been created.


Example: Repaint method

'This example script has not yet been created.


Example: ReplaceContents method

'This example script has not yet been created.


Example: ResetNumberOpts method

'This example script has not yet been created.


Example: ResetPrinting method

'This example script has not yet been created.


Example: RestorePreviousView method

'This example script has not yet been created.


Example: RestoreWindowFromCleanScreen method

'This example script has not yet been created.


Example: SanityCheck method

'This example script has not yet been created.


Example: SaveMergeDataFile method

'This example script has not yet been created.


Example: SetAllMargins method

'This example script has not yet been created.


Example: SetCustomNumber method

'This example script has not yet been created.


Example: SetIndexInfo method

'This example script has not yet been created.


Example: SetJapanIndexInfo method

'This example script has not yet been created.


Example: SetNoFields method

'This example script has not yet been created.


Example: SetNumberingLevelInfo method

'This example script has not yet been created.


Example: SetTOCLevelContent method

'This example script has not yet been created.


Example: SetTOCLevelPageInfo method

'This example script has not yet been created.


Example: SpecialView method

'This example script has not yet been created.


Example: SplitDivision method

'This example script has not yet been created.


Example: SplitWindow method

'This example script has not yet been created.


Example: UnLinkContainers method

'This example script has not yet been created.


Example: Unlink method

'This example script has not yet been created.


Example: UpdatePowerFieldsOnNew method

'This example script has not yet been created.


Example: UpdatePrinterBins method

'This example script has not yet been created.


Example: UpdateTabs method

'This example script has not yet been created.


Example: UpdateUI method

'This example script has not yet been created.


Example: WordCount method

'This example script has not yet been created.


Word Pro: ActivateAs method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: AddACondition method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: AddNewSectionTabs method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SectionTabs class


Word Pro: AddStringToList method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: BinNameFromNumber method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: CheckFieldEntries method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ConvertTo method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: CreateEmptyList method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: CreateLayer method

 See list of classes

 See example

Creates a watermark layer within the layout object.

Syntax

[objectreference].createlayer

Parameters

Return value

The return value for this method will always be -1.

Usage

When you call the CreateLayer method, a watermark layer is created for the specified layout object.

Because the return value of CreateLayer is always -1, you will not be able to tell if a watermark layer is created successfully when you call the method. Use the LayerName property of a layout object to determine if its layer property actually contains a watermark layer object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DeleteBag method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: Bag class


Word Pro: DeleteItemByPosition method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: MenuItem class


Word Pro: EndPrinting method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: EnvelopeBarCode method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GetAspectMetafilePict method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: GetListName method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: GetPageRange method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: GetParagraphNumberString method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: GetParagraphNumber method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: GetString method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: GoToClickHere method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: HasProperty method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: CharacterStyle class


Word Pro: ImportWatermarkGraphic method

 See list of classes

 See example

Imports a graphic into the watermark layer of a layout object.

Syntax

[objectreference].ImportWatermarkGraphic(FilePath, FileFormat, Link, ScratchOutFrame, [FrameStyle], [ShowPipesWhenDone])

Parameters

FilePath

A String expression which specifies the directory path and name of the file which is the source of the imported graphic.

FileFormat
A String expression which specifies the file format for the graphic you are importing. The string expression for each file format is unique and registered with Microsoft Windows 95. The values listed in the table below were valid at the time of publication.

If you are importing this type of graphic:	Use this value for the FileFormat parameter:
WordProWMF	.wmf
WordProEPS	.eps
WordProPaint	.bmp
WordProImage	.tif
WordProDraw	.sdw
Boxes	.box
WordProEqn	.tex
WordProPCX	.pcx
WordProGIF	.gif
CGM	.cgm
HPGL	.plt
PCD	.pcd
DRW	.drw
CDR	.cdr
PIC	.pic
ImpWPG	.wpg
ExpSDW2WPG	.sdw
ExpWMF2WPG	.wmf
ExpBMP2WPG	.bmp
ImpWP2	.wp2
ExpSDW2WP2	.sdw
ExpWMF2WP2	.wmf
ExpBMP2WP2	.bmp
ImpJPG	.jpg
ExpJPG	.bmp

Link
An Integer value of -1 or 0 indicating whether the imported graphic will be receive updates from the original (-1) or will remain independent of the original (0). You can use the LotusScript constants of True (-1) and False (0) as the value for this parameter.

ScratchOutFrame
An Integer value which indicates whether you want to draw the new graphic frame by hand or let Word Pro draw the frame based on a frame style. If you want to draw the frame yourself, use the value of True (-1) for this parameter. If you want Word Pro to draw the frame based on an existing style, use a value of False (0) for this parameter.

FrameStyle
A String expression which specifies the frame style you want to use for the imported graphic's frame. Optional parameter. If the imported graphic is an equation and you do not specify a frame style, Word Pro will use the default equation frame style. All other imported graphics will be placed in the default GraphicOle frame style, unless you specify another frame style using this parameter.

ShowPipesWhenDone

An Integer value which determines what object will have the focus after the method is called. This applies only to graphics imported into watermark layers of frame layout objects. If you want the frame to be selected after the method is called, use a value of True in this parameter. If you want the content of the frame to have the focus, use a value of False in this parameter. Optional parameter. Default is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: InternetExtraFile method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: IsCaseExact method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: LeastRecentVersion method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: LinkContainers method

 See list of classes

 See example

Links the contents of selected container objects.

Syntax

[objectreference].LinkContainers()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing Frame - Link Frame Contents. The LinkContainers method is only valid when being called from frame container objects.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: NewItemByPosition method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: MenuItem class


Word Pro: NextCycleAlign method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleAttribute method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleBullet method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleFontSize method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleFont method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleIndent method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleNumber method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextCycleStyle method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: OpenDocumentFromNotes method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: RemoveIndexEntry method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: RemoveList method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: RemoveTOCEntry method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Repaint method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ReplaceContents method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: ResetNumberOpts method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ResetPrinting method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: RestorePreviousView method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: RestoreWindowFromCleanScreen method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: SanityCheck method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: SaveMergeDataFile method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetAllMargins method

 See list of classes

 See example

Allows you to simultaneously set all margin and external margin values for a Layout object.

Syntax

[objectreference].SetAllMargins(flag, [l], [r], [t], [b], [lx], [rv], [tx], [bx])

Parameters

flag

The value of this Variant parameter must be one of the hexadecimal values below or a combination of the values.

Value	Effect
&H01	Allows you to set the left margin value.
&H02	Allows you to set the right margin value.
&H04	Allows you to set the top margin value.
&H08	Allows you to set the bottom margin value.
&H10	Allows you to set the left external margin value.
&H20	Allows you to set the right external margin value.
&H40	Allows you to set the top external margin value.
&H80	Allows you to set the bottom external margin value.

l

Data type is Long. Optional parameter which specifies the left margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

r

Data type is Long. Optional parameter which specifies the right margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

t

Data type is Long. Optional parameter which specifies the top margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

b

Data type is Long. Optional parameter which specifies the bottom margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

lx

Data type is Long. Optional parameter which specifies the left external margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

rx

Data type is Long. Optional parameter which specifies the right external margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

tx

Data type is Long. Optional parameter which specifies the top external margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

bx

Data type is Long. Optional parameter which specifies the bottom external margin value. The unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You must provide values for any margins which are selected by the flag parameter. For example, if you set the flag parameter to &H01, then you must provide a value in the left margin parameter or the method will fail. However, since the l parameter is optional, no run-time error will occur.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: SetCustomNumber method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetIndexInfo method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetJapanIndexInfo method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetNoFields method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: SetNumberingLevelInfo method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetTOCLevelContent method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetTOCLevelPageInfo method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SpecialView method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SplitDivision method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SplitWindow method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: UnLinkContainers method

 See list of classes

 See example

Unlinks the contents of the selecetd frame container objects.

Syntax

[objectreference].UnLinkContainers()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing Frame - Unlink. The UnlinkContainers method is only valid when called from frame container objects.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: Unlink method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: UpdatePowerFieldsOnNew method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: UpdatePrinterBins method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: UpdateTabs method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: SectionTabs class


Word Pro: UpdateUI method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: WordCount method

 See list of classes

 See example

This language element is not yet defined.

Syntax

Unknown

Parameters

Unknown

Return value

Unknown

Usage


Topics Found:

Word Pro: WPApplication class


Example: Hwnd property
'Example: Hwnd property

'This example script has not yet been created.


Example: GetProfileString method
'Example: GetProfileString method

' This example prints the last 6 open files names to the Lotus Script Output

' panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Key  = "LastOpen1"

Section = "WordProUser"

DefstringO   = ""

IniFileTypeO = $LwpIniUserPrefs

WhichIniLocationO = ""

IniNameO = "lwpuser.ini"

For x = 1 To 6

Key = "LastOpen" & x

Msgbox  .GetProfileString(Section,  Key,  DefstringO,  IniFileTypeO, WhichIniLocationO,IniNameO)

Next


Example: GetSource method
'Example: GetSource method

'This example script has not yet been created.


Example: GetSpellStatus method
'Example: GetSpellStatus method

'This example script has not yet been created.


Example: GetSpellUserDictStatus method
'Example: GetSpellUserDictStatus method

'This example script has not yet been created.


Example: GetStandardButtonId method
'Example: GetStandardButtonId method

' This example simulates clicking on the font status bar button.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim StatBar As StatusBar

Dim ButtonId as Integer

Set StatBar = .ApplicationWindow.StatusBar

Forall Button In StatBar.StatusBarButtons

ButtonId =  Button.GetButtonId

If (ButtonId = StatBar.GetStandardButtonId($LwpStandButtFontButton)) Then

Button.SimulateButtonClick

End If

End Forall


Example: GetStatus property
'Example: GetStatus property

'This example script has not yet been created.


Example: GetText method
'Example: GetText method

' This example prints the current word, sentence and paragraph as well as

' each word of the current paragraph to the Script Editor Output panel.

' RUNTIME DEPENDENCIES: You must have a document open with the cursor

' positioned on a line with text for this script to work.

Print .Text.GetText($LwpGetObjectTypeWord, False)

Print .Text.GetText($LwpGetObjectTypeSentence, False)

Print .Text.GetText($LwpGetObjectTypeParagraph, False)

While Not .Text.AtEndOfParagraph

Print .Text.GetText($LwpGetObjectTypeWord,True)

Wend


Example: GetTOCProperties method
'Example: GetTOCProperties method

'This example script has not yet been created.


Example: GetTopicName property
'Example: GetTopicName property

'This example script has not yet been created.


Example: GetUndoWhatDesc property
'Example: GetUndoWhatDesc property

'This example script has not yet been created.


Example: GetUniqueName method
'Example: GetUniqueName method

' This example prints a unique name for a bookmark to the Lotus Script Output  panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .Division.BookMarkManager.GetUniqueName


Example: GetUserClassNameFull method
'Example: GetUserClassNameFull method

'This example script has not yet been created.


Example: GetUserClassNameShort method
'Example: GetUserClassNameShort method

'This example script has not yet been created.


Example: GetValue property
'Example: GetValue property

'This example script has not yet been created.


Example: GetWordMisspelled method
'Example: GetWordMisspelled method

' This example inserts a sentence of text into the current document. Each word

' starting with the first is then selected and checked for misspelling.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "This is a Sentence of text."

.Text.MoveToStart $LwpLocationTypeLine

Do

.SelectWord

Stat =  .Text.GetWordMisspelled

If Stat =  False Then

Msgbox "Mispelled "  & .Text.GetText($LwpGetObjectTypeWord, False)

End If

NextWord = .Text.Forward ($LwpNavigateObjectTypeWord, 1)

Loop Until (.Text.AtBeginningOfParagraph = True) Or (NextWord = False)


Example: Get method
'Example: Get method

'This example script has not yet been created.


Example: Glossarize method
'Example: Glossarize method

'This example script has not yet been created.


Example: GlossaryDataFileName property
'Example: GlossaryDataFileName property

'This example script has not yet been created.


Example: GlossaryDataFiles property
'Example: GlossaryDataFiles property

'This example script has not yet been created.


Example: GlossaryDataPaths property
'Example: GlossaryDataPaths property

'This example script has not yet been created.


Example: GlossaryInsert method
'Example: GlossaryInsert method

'This example script has not yet been created.


Example: GlossaryOpen method
'Example: GlossaryOpen method

' This example opens the glossary file named GLOSSARY.GLS and prints all of

' the glossary entries to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = False

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = True

.GlossaryOpen "GLOSSARY.GLS", "Lotus Word Pro"

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = True

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = False

Forall Gloss In .Division.Foundry.Glossarys

Count% = Gloss.NumRows

For Item% = 1 To (Count% - 1)

GlossItem$ = Gloss.EnumerateTerm(Item%)

GlossText$ = Gloss.ExtractText(GlossItem$)

Print GlossText$	Next

End Forall

.Documents("GLOSSARY.GLS").Close


Example: GlossaryPath property
'Example: GlossaryPath property

'This example script has not yet been created.


Example: Glossarys property
'Example: Glossarys property

'This example script has not yet been created.


Example: GotFocus event
'Example: GotFocus event

'This example script has not yet been created.


Example: GoToBookmark method
'Example: GoToBookmark method

' This example first creates a bookmark in the current document, then moves

' the cursor out of the bookmark by splitting the paragraph, and then displays

' a message.

' When you click OK, the cursor goes back to the bookmark.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkerName as String

MarkerName = .Mark($LwpMarkerTypeBookmark)

.Division.BookmarkManager.AddBookmark "ExampleBookmark", MarkerName

.Text.SplitParagraph

Messagebox "Click OK to go to the bookmark.",MB_OK,"Example Script"

.GoToBookmark("ExampleBookmark")


Example: GoToContainer method
'Example: GoToContainer method

' This example selects the first frame in the current division.

' RUNTIME DEPENDENCIES: You must have a document open which contains a frame

' for this script to work.

.Page.GoToContainer $LwpGoToLocationFrame


Example: GoToLayout method
'Example: GoToLayout method

' This example creates a table with 5 rows and 5 columns into the current

' document.  The cursor is then positioned to row 1, col 1.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MyTable As Table

.CreateTable False, "Default Table", 5,5

Set MyTable = .Table

MyTable.CellLayout(1,1).GotoLayout


Example: GotoNextParallelColumn method
'Example: GotoNextParallelColumn method

' This example creates a parallel column and navigate to the second column.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.GotoNextParallelColumn


Example: GoToObject method
'Example: GoToObject method

' This example moves the insertion point to document header.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.GoToObject ("Header", 1)


Example: GoToPage method
'Example: GoToPage method

' This example goes to the second page of the current document.

' RUNTIME DEPENDENCIES: You must have a document open with two or more pages

' for this script to work.

.GoToPage 2


Example: GoToSection method
'Example: GoToSection method

' This example inserts two sections and then goes to each one while selecting

' the sections' contents.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

Forall Section In .Division.Foundry.Sections

Section.GoToSection

.SelectSection

End Forall


Example: GoToTableCell method
'Example: GoToTableCell method

'  This example creates a table with 5 rows and 5 columns into the current  document.  The cursor is then advanced to

'  the next cell.

'  RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MyTable As Table

.CreateTable False, "Default Table", 5,5

Set MyTable = .Table

MyTable.GoToTableCell $LwpCellObjectType,True


Example: GoTo method
'Example: GoTo method

' This examples illustrates how to validate the contents of a Click Here

' Block.  After the Click Here Block looses focus, the Exitclickhere event is

' called. If more than 15 characters have been entered, a message box is

' displayed and the Click Here Block is then re-selected.

' RUNTIME DEPENDENCIES: You must have a document open and a Click Here Block

' for this script to work.

Sub Exitclickhere(Source As Clickhere, Clickherename As String)

Dim Temp as String

Const MaximumLen = 15

Temp = Source.GetMarkedText

If Len(Temp) > MaximumLen Then

Messagebox "Please Enter less than 15 characters."

Source.Goto(True)

End If

End Sub


Example: GrammarFormalityLevel property
'Example: GrammarFormalityLevel property

'This example script has not yet been created.


Example: GrammarOptions property
'Example: GrammarOptions property

'This example script has not yet been created.


Example: GrammarProofLevel property
'Example: GrammarProofLevel property

'This example script has not yet been created.


Example: GrammarSetName property
'Example: GrammarSetName property

'This example script has not yet been created.


Example: GraphicExports property
'Example: GraphicExports property

'This example script has not yet been created.


Example: GraphicImports property
'Example: GraphicImports property

'This example script has not yet been created.


Example: GraphicOleObject property
'Example: GraphicOleObject property

'This example script has not yet been created.


Example: Graphics property
'Example: Graphics property

'This example script has not yet been created.


Example: Graphic property
'Example: Graphic property

'This example script has not yet been created.


Example: Green property
'Example: Green property

'This example script has not yet been created.


Example: Greeting property
'Example: Greeting property

'This example script has not yet been created.


Example: GridDistance property
'Example: GridDistance property

'This example script has not yet been created.


Example: GridType property
'Example: GridType property

'This example script has not yet been created.


Example: GroupDivision method
'Example: GroupDivision method

'This example script has not yet been created.


Example: Groups property
'Example: Groups property

'This example script has not yet been created.


Example: Gutter property
'Example: Gutter property

'This example script has not yet been created.


Example: HandsOffStorage method
'Example: HandsOffStorage method

'This example script has not yet been created.


Example: Hang property
'Example: Hang property

'This example script has not yet been created.


Example: HasContents property
'Example: HasContents property

'This example script has not yet been created.


Example: HasFocus property
'Example: HasFocus property

'This example script has not yet been created.


Example: HasLocalTabs property
'Example: HasLocalTabs property

'This example script has not yet been created.


Example: HasNamedProperty method
'Example: HasNamedProperty method

' This example creates a named property,'ExampleProp' on the active document

' and assigns it a value. The value is then printed to the Lotus Script Output

' panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim stat as Integer

stat = .ActiveDocument.HasNamedProperty("ExampleProp")

If 	stat = False Then

.ActiveDocument.SetNamedProperty "ExampleProp", "Here is some data."

End If

Print .ActiveDocument.GetNamedProperty ("ExampleProp")


Example: HasTabs property
'Example: HasTabs property

'This example script has not yet been created.


Example: Headers property
'Example: Headers property

'This example script has not yet been created.


Example: Header property
'Example: Header property

'This example script has not yet been created.


Example: Heading property
'Example: Heading property

'This example script has not yet been created.


Example: Height property
'Example: Height property

Dim CR As String*1

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

CR = Chr(10)

Set IcnMgr = .ApplicationWindow.IconBarManager

With IcnMgr.IconBars(IcnPallet)

MsgStr = "Height = " & .Height & CR

MsgStr = MsgStr & "IconBarPositionState = " & .IconBarPositionState & CR

MsgStr = MsgStr & "PositionType = " & .PositionType & CR

MsgStr = MsgStr & "ScreenPositionX = " & .ScreenPositionX & CR

MsgStr = MsgStr & "ScreenPositionY = " & .ScreenPositionY

Messagebox MsgStr, 64, "Script Example - " & .Name

End With


Example: HelpText property
'Example: HelpText property

'This example script has not yet been created.


Example: Help method
'Example: Help method

' This example display the Word Pro 97 Lotus Script Object Model help.

.Help "C:\Lotus\WordPro\Wp0n71en.hlp"


Example: HideCaretAndSelection method
'Example: HideCaretAndSelection method

'This example script has not yet been created.


Example: HideControl method
'Example: HideControl method

'This example script has not yet been created.


Example: HideFormula property
'Example: HideFormula property

'This example script has not yet been created.


Example: HideIconBars method
'Example: HideIconBars method

' This example hides all SmartIcon bars the redisplays them after the message

' box is closed.

.ApplicationWindow.IconBarManager.HideIconBars

Messagebox "Click OK to show SmartIcon bars.",MB_OK,"Example Script"

.ApplicationWindow.IconBarManager.ShowIconBars


Example: HideIconBar method
'Example: HideIconBar method

' This example displays and then hides the "Comment Tools" SmartIcon bar

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

Set IcnMgr = .ApplicationWindow.IconBarManager

' Set the context and show the bar

IcnMgr.IconBars(IcnPallet).ShowInContext = True

IcnMgr.IconBars(IcnPallet).Show

MsgStr = |"| & IcnPallet

MsgStr = MsgStr & |" pallet is now displayed, click OK to hide this pallet"|

Messagebox  MsgStr, 48, "Example Script"

' Reset the context and hide the bar.

IcnMgr.IconBars(IcnPallet).ShowInContext = False

IcnMgr.IconBars(IcnPallet).HideIconBar


Example: HideOutlineLevels property
'Example: HideOutlineLevels property

'This example script has not yet been created.


Example: HideStatusBar method
'Example: HideStatusBar method

' This example hides the status bar if it is visible, and shows it if it is

' hidden.

If .ApplicationWindow.StatusBar.Visible = True Then

.ApplicationWindow.StatusBar.HideStatusBar

Else

.ApplicationWindow.StatusBar.ShowStatusBar

End If


Example: Hide method
'Example: Hide method

'This example script has not yet been created.


Example: HighLightMode property
'Example: HighLightMode property

'This example script has not yet been created.


Example: HighlightToggle method
'Example: HighlightToggle method

' This example toggles the Review & Comment tools highlighter on or off.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.HighlightToggle


Example: HiLiteColor property
'Example: HiLiteColor property

'This example script has not yet been created.


Example: Hit method
'Example: Hit method

'This example script has not yet been created.


Example: HorizontalSplitWindow property
'Example: HorizontalSplitWindow property

'This example script has not yet been created.


Example: HorizScrollBarVisible property
'Example: HorizScrollBarVisible property

'This example script has not yet been created.


Example: HorzRuler property
'Example: HorzRuler property

'This example script has not yet been created.


Example: HourGlass method
'Example: HourGlass method

' This example displays an hourglass mouse pointer while counting to 50000

' after which the original pointer is restored.

' RUNTIME DEPENDENCIES: This method is only available in the

' 32-bit (WINDOWS95) version of Word Pro.

.HourGlass(True)

For i = 1 to 50000

Next

.HourGlass(False)


Example: HyphenateLastWordInColumnOrPage property
'Example: HyphenateLastWordInColumnOrPage property

'This example script has not yet been created.


Example: HyphenateLastWordInPara property
'Example: HyphenateLastWordInPara property

'This example script has not yet been created.


Example: HyphenationOptions property
'Example: HyphenationOptions property

'This example script has not yet been created.


Example: HyphZoneAfter property
'Example: HyphZoneAfter property

'This example script has not yet been created.


Example: HyphZoneBefore property
'Example: HyphZoneBefore property

'This example script has not yet been created.


Example: IconBarManager property
'Example: IconBarManager property

'This example script has not yet been created.


Example: IconBarPositionState property
'Example: IconBarPositionState property

Dim CR As String*1

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

CR = Chr(10)

Set IcnMgr = .ApplicationWindow.IconBarManager

With IcnMgr.IconBars(IcnPallet)

MsgStr = "Height = " & .Height & CR

MsgStr = MsgStr & "IconBarPositionState = " & .IconBarPositionState & CR

MsgStr = MsgStr & "PositionType = " & .PositionType & CR

MsgStr = MsgStr & "ScreenPositionX = " & .ScreenPositionX & CR

MsgStr = MsgStr & "ScreenPositionY = " & .ScreenPositionY

Messagebox MsgStr, 64, "Script Example - " & .Name

End With


Example: IconBarSets property
'Example: IconBarSets property

'This example script has not yet been created.


Example: IconBars property
'Example: IconBars property

'This example script has not yet been created.


Example: IconHelpText property
'Example: IconHelpText property

'This example script has not yet been created.


Example: IconPaths property
'Example: IconPaths property

'This example script has not yet been created.


Example: IconPath property
'Example: IconPath property

'This example script has not yet been created.


Example: IconScript property
'Example: IconScript property

'This example script has not yet been created.


Example: IconSetName property
'Example: IconSetName property

'This example script has not yet been created.


Example: IconShowingBeforeCleanScreen property
'Example: IconShowingBeforeCleanScreen property

'This example script has not yet been created.


Example: Hwnd property
'Example: Hwnd property

'This example script has not yet been created.


Example: ShowCaretAndSelection method
'Example: ShowCaretAndSelection method

'This example script has not yet been created.


Word Pro: Hwnd property

 See list of classes

 See example

(Read) The Windows handle for the current application window.

Data Type

Long

Syntax

hwndvalue = [objectreference].Hwnd

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Use this property to send script calls to the application window. For example, you can use this property to send .DLL files to the application window.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class


Word Pro: ExternalName property

 See list of classes

 See example

(Read-write) The user assigned name that displays on a section or division tab.

Data Type

String

Syntax

externalnamevalue = [objectreference].ExternalName

[objectreference].ExternalName = externalnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

You cannot change the name of a section or division tab by using this LotusScript property. You can change the section or division tab name by double clicking the section or division tab, typing a name, and clicking outside the tab or pressing ENTER.


Topics Found:

Word Pro: DivisionInfo class

Word Pro: SectionTabs class


Word Pro: ExternalType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

externaltypevalue = [objectreference].ExternalType

[objectreference].ExternalType = externaltypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: FaceStyleName property

 See list of classes

 See example

(Read-write) The name of the style of

Data Type

String

Syntax

[objectreference].FaceStyleName()

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ParagraphStyle class


Word Pro: FastFormatType property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

FastFormatType

Syntax

fastformattypevalue = [objectreference].FastFormatType

[objectreference].FastFormatType = fastformattypevalue

Legal values

$LwpFastFormatTypeHighlight (253)

$LwpFastFormatTypeNone (250)

$LwpFastFormatTypeStyle (252)

$LwpFastFormatTypeText (251)

Usage


Topics Found:

Word Pro: FormatPreferences class


Word Pro: FaxNumber property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

faxnumbervalue = [objectreference].FaxNumber

[objectreference].FaxNumber = faxnumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: FieldDelimiterText property

 See list of classes

 See example

(Read-write) Allows you to specify the string character used to delimit sort fields in a document.

Data Type

String

Syntax

fielddelimitertextvalue = [objectreference].FieldDelimiterText

[objectreference].FieldDelimiterText = fielddelimitertextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Text - Sort, selecting "Text" and entering a string character in the box next to it.


Topics Found:

Word Pro: SortOptions class


Word Pro: FieldDelimiter property

 See list of classes

 See example

(Read-write) Allows you to indicate whether a string character or a tab is used to find sort fields in a document.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

fielddelimitervalue = [objectreference].FieldDelimiter

[objectreference].FieldDelimiter = fielddelimitervalue

Legal values

Value	Effect
$LwpDelimiterTypeTabdelimited (180)	Setting this value indicates that a tab is being used to find sort fields in a document.
$LwpDelimiterTypeTextdelimited (181)	Setting this value indicates that a string character is being used to find sort fields in a document.
Usage

Equivalent to choosing Text - Sort and selecting "Tab" or "Text" under "Field delimiter."


Topics Found:

Word Pro: SortOptions class


Word Pro: FieldNumber property

 See list of classes

 See example

(Read-write) Specifies the field or column number on which you want to sort.

Data Type

Integer

Syntax

fieldnumbervalue = [objectreference].FieldNumber

[objectreference].FieldNumber = fieldnumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Fields can be separated by tabs or a character that is not used elsewhere within the text. If the data to be sorted is in a table, the column numbers represent field numbers. For example, the first column within a table would represent field number one.

This property is equivalent to choosing Text - Sort and selecting a number from the "Field/col." box in either Level 1 "First sort by," Level 2 "Then by," or Level 3 "Then by:"


Topics Found:

Word Pro: SortKey class


Word Pro: FieldType property

 See list of classes

 See example

(Read-only) The name of the Powerfield at the insertion point.

Data Type

String

Syntax

fieldtypevariablevalue = [objectreference].FieldType

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: FileProtectionType property

 See list of classes

 See example

(Read-only)

[DocControl]

Restricts access to a specific file.

[FileProtection]

Stores the type of protection assigned to a document.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

fileprotectiontypevalue = [objectreference].FileProtectionType

Legal values

Value	Effect
$LwpFileProtectTypeEditors (261)	Only those listed as editors on the Editing Rights panel can open the document.
$LwpFileProtectTypeNone (260)	Anyone with access to the folder where the document is stored can open the document.
$LwpFileProtectTypeOrigAuthor (262)	Only the person who created the document can open it.
$LwpFileProtectTypePassword (263)	Anyone who knows the document password can open the document.
$LwpFileProtectTypeReserved (264)	Word Pro uses this type internally whenever the file protection type stored within the document is not recognized. For example, an existing file protection type is not recognized in a corrupted file or in a file created with a later version of Word Pro that added new verification types. Because Word Pro uses this property type internally, a user would never assign this property type.
Usage

[DocControl]

Equivalent to choosing File - TeamSecurity and selecting one of the options in the "Who can open (access) this file" section on the Access panel.

[FileProtection]

Use this property to track the type of protection assigned to a document. If a TeamSecurity option is selected, this property is equivalent to options available in the "Who can access this document field" on the Access panel of the TeamSecurity dialog box.


Topics Found:

Word Pro: DocControl class


Word Pro: FilesToCompare property

 See list of classes

 See example

(WriteOnly)

Data Type

String

Syntax

[objectreference].FilesToCompare = filestocomparevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ReviewVersions class


Word Pro: FileType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

filetypevalue = [objectreference].FileType

[objectreference].FileType = filetypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: FillStyle property

 See list of classes

 See example

(Read-write) Allows you to specify whether or not the background color and pattern fills the entire table, every other column, or every other row. You can specify more than one type of fill style.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

fillstylevalue = [objectreference].FillStyle

[objectreference].FillStyle = fillstylevalue

Legal values

Value	Effect
$LwpTableFillStyleAll (1870)	Allows you to set a fill style for an entire table object
$LwpTableFillStyleEveryothercol (1872)	Allows you to set a fill style for every other column in a table object.
$LwpTableFillStyleEveryotherrow (1871)	Allows you to set a fill style for every other row in a table object.
$LwpTableFillStyleMixed (1873)	Allows you to set more than one type of fill style for a table cell object.
$LwpTableFillStyleNone (1874)	Indicates that no fill style is set for a table cell object.
Usage

You can use this property to return the current fill style value stored in the Background property of a specific table object. You can then use this value to specify whether or not the background color and pattern fills the entire table, every other column, or every other row. You can also specify more than one type of fill style. After you set fill style property for a specific table object, it is stored in the Background property of that table object.

For more information, see Background property.


Topics Found:

Word Pro: TableFill class


Word Pro: FilterIndex property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

filterindexvalue = [objectreference].FilterIndex

[objectreference].FilterIndex = filterindexvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpCommonDialog class


Word Pro: FilterName property

 See list of classes

 See example

(Read-write) The field names provided by an external data file.

Data Type

String

Syntax

filternamevalue = [objectreference].FilterName

[objectreference].FilterName = filternamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: FindExactCase property

 See list of classes

 See example

(Read-write) Enables a user to find the exact case of a word or phrase in Find & Replace.

Data Type

Integer

Syntax

findexactcasevalue = [objectreference].FindExactCase

[objectreference].FindExactCase = findexactcasevalue

Legal values

Always contains an instance of the Text class. The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to check and manipulate the setting for finding the exact case of a word or phrase in Find & Replace. If True, finds the word that matches the user setting. Equivalent to choosing Edit - Find & Replace Text, clicking Options, and selecting "Match case" in the "Find options" section.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: FindForwardDirection property

 See list of classes

 See example

(Read-write) Enables the user to set a forward or backward direction for a search in Find & Replace.

Data Type

Integer

Syntax

findforwarddirectionvalue = [objectreference].FindForwardDirection

[objectreference].FindForwardDirection = findforwarddirectionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You should set the forward or backward direction before using Find & Replace. If True, sets Find & Replace to go forward in the document. If False, sets Find & Replace to go backward in the document.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: FindString property

 See list of classes

 See example

(Read-write) Enables the user to type what to search for in Find & Replace.

Data Type

String

Syntax

findstringvalue = [objectreference].FindString

[objectreference].FindString = findstringvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to chooseing Edit - Find & Replace Text and typing a text or character string in the "Find" box.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: FindStyleName property

 See list of classes

 See example

(Read-write) Enables the user to find a paragraph style in Find & Replace.

Data Type

String

Syntax

findstylenamevalue = [objectreference].FindStyleName

[objectreference].FindStyleName = findstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Edit - Find & Replace Text, typing the character, ^p, in the "Find" box, clicking Options, clicking the Font button in the "Find options" section, and choosing a paragraph style in the "Style" list box.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: FindWithProperties property

 See list of classes

 See example

(Read-write) Enables the user to find font properties in Find & Replace.

Data Type

Integer

Syntax

findwithpropertiesvalue = [objectreference].FindWithProperties

[objectreference].FindWithProperties = findwithpropertiesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to find font properties in Find & Replace. If True, finds the font properties that match the user setting. Equivalent to choosing Edit - Find & Replace Text, clicking Options, selecting "Include properties," clicking the Font button in the "Find options" section, and selecting properties.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: FirstChild property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

firstchildvalue = [objectreference].FirstChild

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FirstName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

firstnamevalue = [objectreference].FirstName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FirstPage property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

firstpagevalue = [objectreference].FirstPage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: First property

 See list of classes

 See example

(Read-write) The name of the first ClickHere block in the division (uses Tab order).

Data Type

Long

Syntax

firstvalue = [objectreference].First

[objectreference].First = firstvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: FitType property

 See list of classes

 See example

(Read-write)

Data Type

Integer (Enumerated Bitmask)

FitType

Syntax

fittypevalue = [objectreference].FitType

[objectreference].FitType = fittypevalue

Legal values

LwpFitHorz (&H2)

LwpFitHorzmargin (&H4)

LwpFitVertical (&H1)

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: FixAcronymns property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

fixacronymnsvalue = [objectreference].FixAcronymns

[objectreference].FixAcronymns = fixacronymnsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: FixBullets property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

fixbulletsvalue = [objectreference].FixBullets

[objectreference].FixBullets = fixbulletsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: FixMargins property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

fixmarginsvalue = [objectreference].FixMargins

[objectreference].FixMargins = fixmarginsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: Flags property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

flagsvalue = [objectreference].Flags

[objectreference].Flags = flagsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpCommonDialog class


Word Pro: FontName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

fontnamevalue = [objectreference].FontName

[objectreference].FontName = fontnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class

Word Pro: FontMetrics class

Word Pro: Preferences class

Word Pro: Script class


Word Pro: FontSize property

 See list of classes

 See example

(Read-write)

Data Type

Points

Syntax

fontsizevalue = [objectreference].FontSize

[objectreference].FontSize = fontsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Script class


Word Pro: FontStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

fontstylenamevalue = [objectreference].FontStyleName

[objectreference].FontStyleName = fontstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ParagraphStyle class


Word Pro: FontUnitName property

 See list of classes

 See example

(Read-only) Stores the name of the unit of measurement used for displaying and setting font size.

Data Type

String

Syntax

fontunitnamevalue = [objectreference].FontUnitName

Legal values

Usage

To actually work with the unit of measurement for fonts, use the FontUnits property. Although the FontUnits property is independent of this property, its value will correspond with the value of this property. For example, if the value of FontUnits is $LtsScaleModeCentimeter (1056964840), then the value of this property is "centimeters."


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: FontUnits property

 See list of classes

 See example

(Read-write) Stores the unit of measurement used for displaying and setting font size.

Data Type

Variant (Enumerated)

ScaleMode

Syntax

fontunitsvalue = [objectreference].FontUnits

[objectreference].FontUnits = fontunitsvalue

Legal values

$LtsScaleModeCentimeter (1056964840)

$LtsScaleModeInch (1056964838)

$LtsScaleModePoint (1056964837)

$LwpScaleModePica (1728)

Usage

Equivalent to the FontUnitName property. Default is "points." Changes are only valid during the current session.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: FormatType property

 See list of classes

 See example

(Read-write) Allows you to access the format of numeric values within table cells.

Data Type

Variant (Enumerated)

NumberFormat

Syntax

formattypevalue = [objectreference].FormatType

[objectreference].FormatType = formattypevalue

Legal values

$LtsNumberFormatComma (1056964626)

$LtsNumberFormatFixed (1056964623)

$LtsNumberFormatGeneral (1056964622)

$LtsNumberFormatPercent (1056964627)

$LtsNumberFormatScientific (1056964624)

$LwpNumberFormatArgentineanpeso (1532)

$LwpNumberFormatAustraliandollar (1533)

$LwpNumberFormatAustrianschilling (1534)

$LwpNumberFormatBelgianfranc (1535)

$LwpNumberFormatBraziliancruzeiro (1536)

$LwpNumberFormatBritishpound (1537)

$LwpNumberFormatCanadiandollar (1538)

$LwpNumberFormatChineseyuan (1539)

$LwpNumberFormatCzechkoruna (1540)

$LwpNumberFormatDanishkrone (1541)

$LwpNumberFormatDefault (1576)

$LwpNumberFormatEcu (1542)

$LwpNumberFormatFinnishmarkka (1543)

$LwpNumberFormatFrenchfranc (1544)

$LwpNumberFormatGermanmark (1545)

$LwpNumberFormatGreekdrachma (1546)

$LwpNumberFormatHongkongdollar (1547)

$LwpNumberFormatHungarianforint (1548)

$LwpNumberFormatIndianrupee (1549)

$LwpNumberFormatIndonesianrupiah (1550)

$LwpNumberFormatIrishpunt (1551)

$LwpNumberFormatItalianlira (1552)

$LwpNumberFormatJapaneseyen (1553)

$LwpNumberFormatLabel (1582)

$LwpNumberFormatLuxembourgfranc (1554)

$LwpNumberFormatMalaysianringgit (1555)

$LwpNumberFormatMexicanpeso (1556)

$LwpNumberFormatNetherlandsguilder (1557)

$LwpNumberFormatNewzealanddollar (1558)

$LwpNumberFormatNone (1531)

$LwpNumberFormatNorwegiankrone (1559)

$LwpNumberFormatOthercurrency (1575)

$LwpNumberFormatPolishzloty (1560)

$LwpNumberFormatPortugueseescudo (1561)

$LwpNumberFormatRomanianlei (1562)

$LwpNumberFormatRussianruble (1563)

$LwpNumberFormatSingaporedollar (1564)

$LwpNumberFormatSlovakiankoruna (1565)

$LwpNumberFormatSloveniantholar (1566)

$LwpNumberFormatSouthafricanrand (1567)

$LwpNumberFormatSouthkoreanwon (1568)

$LwpNumberFormatSpanishpeseta (1569)

$LwpNumberFormatSwedishkrona (1570)

$LwpNumberFormatSwissfranc (1571)

$LwpNumberFormatTaiwandollar (1572)

$LwpNumberFormatThaibaht (1573)

$LwpNumberFormatUsdollar (1574)

$LwpNumberLtsNumberFormatComma (1579)

$LwpNumberLtsNumberFormatFixed (1578)

$LwpNumberLtsNumberFormatGeneral (1577)

$LwpNumberLtsNumberFormatPercent (1580)

$LwpNumberLtsNumberFormatScientific (1581)

Usage

This property is equivalent to the "Current format" setting, which is located in the Number Format panel of the InfoBox for cell layout objects.


Topics Found:

Word Pro: NumericFormat class


Word Pro: Formula property

 See list of classes

 See example

(Read-write) Allows you to set or return the formula in a table cell.

Data Type

String

Syntax

formulavalue = [objectreference].Formula

[objectreference].Formula = formulavalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

If there is no formula in the specified cell, the Formula property will contain an empty string.


Topics Found:

Word Pro: CellLayout class

Word Pro: ConnectedLayout class

Word Pro: Formula class

Word Pro: PowerField class


Word Pro: FrameStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

framestylenamevalue = [objectreference].FrameStyleName

[objectreference].FrameStyleName = framestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: FullName property

 See list of classes

 See example

(Read-only) The full name and path of the currently active Word Pro session or document.

Data Type

String

Syntax

fullnamevalue = [objectreference].FullName

Legal values

The value of this property cannot be set by a script.

Usage

Use this property to retrieve the full name and path of the application or a document for OLE automation or any other use. Call this property from the WPApplication object to get the full directory path and executable name of the application which is running the currently active session of Word Pro. Call this property from a TextDocument object to get the full directory path and name of that document.


Topics Found:

Word Pro: Application class

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: GapBetweenPanes property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

gapbetweenpanesvalue = [objectreference].GapBetweenPanes

[objectreference].GapBetweenPanes = gapbetweenpanesvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: GetAfidHelpFileName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getafidhelpfilenamevalue = [objectreference].GetAfidHelpFileName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetAfidHelpInfo property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

getafidhelpinfovalue = [objectreference].GetAfidHelpInfo

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetButtonType property

 See list of classes

 See example

(Read-only) Returns the type of status bar button (text, graphic, or popup). The button type can correspond to one or more of the parameters found in the GetStandardButtonId method (StatusBar class).

Data Type

Long

Syntax

getbuttontypevalue = [objectreference].GetButtonType

Legal values

The legal values for this property are determined by the following ButtonType parameters in the CreateNewButton method (StatusBar class):

LwpButtonBehaviorClickable (&H8) A value that allows the button to be left-clicked.

LwpButtonBehaviorCollapsible (&H10)  A value that allows the button to shrink or grow so that the status bar can fill up the window. Only one is allowed per status bar. Word Pro's collapsible button is the date/time button.

LwpButtonBehaviorContainer (&H20) A value that allows the button to contain child buttons.

LwpButtonBehaviorLeftclick (&H8)  A value that allows the button to be left-clicked.

LwpButtonBehaviorPopup (&H4) A value that allows the button to pop up a list of alternatives.

LwpButtonBehaviorThermometer (&H80000) A value that allows the button to display a thermometer graphic with percentages.

LwpButtonCanBeDepressed (&H40000) A value that allows the button to stay depressed.

LwpButtonContentsCenterAligned (&H80) A value that allows the button contents to be center-aligned.

LwpButtonContentsGray (&H200) A value that allows the button contents to be grayed.

LwpButtonContentsHilited (&H400) A value that allows the button contents to be highlighted (red in Word Pro).

LwpButtonContentsLeftAligned (&H40) A value that allows the button contents to be left-aligned.

LwpButtonContentsRightAligned (&H100) A value that allows the button contents to be right-aligned.

LwpButtonHasAutorepeat (&H4000) A value that allows the button to repeat a command.

LwpButtonHasUpdownCtrl (&H20000) A value that allows the button to have up/down control.

LwpButtonNoTextFromHost (&H800) A value that allows the button to keep its user-defined text without changing; in other words, the text on this button is never going to require text from a host.

LwpButtonReserved (&H8000)

LwpButtonSpacer (&H10000) A spacer status bar button.

LwpButtonSupportDblClick (&H2000) A value that allows the button to respond to a double-click .

LwpButtonSupportRightClick (&H1000) A value that allows the button to support a right mouse click.

LwpButtonTypeGraphics (&H2) A value that allows the button to display a graphic.

LwpButtonTypeText (&H1) A value that allows the button to display text.

Usage

This property lets you determine the properties for the selected button.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: GetConversationHandle property

 See list of classes

 See example

(Read-write) This property is used internally and cannot be changed.

Data Type

Long

Syntax

getconversationhandlevalue = [objectreference].GetConversationHandle

[objectreference].GetConversationHandle = getconversationhandlevalue

Legal values

Usage

This property is used internally and cannot be changed.


Topics Found:

Word Pro: DdeLink class


Word Pro: GetFilterExtension property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getfilterextensionvalue = [objectreference].GetFilterExtension

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FilterHelper class


Word Pro: GetFilterExtForDialogBox property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getfilterextfordialogboxvalue = [objectreference].GetFilterExtForDialogBox

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FilterHelper class


Word Pro: GetFilterId property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

getfilteridvalue = [objectreference].GetFilterId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FilterHelper class


Word Pro: GetFormatName property

 See list of classes

 See example

(Read-only) Specifies the format of the data (for example, CF_TEXT, CF_BITMAP, and so on).

Data Type

String

Syntax

getformatnamevalue = [objectreference].GetFormatName

Legal values

Usage

Allows you to inquire about the format of the data.


Topics Found:

Word Pro: DdeLink class


Word Pro: GetHomeDirectory property

 See list of classes

 See example

(Read-only) Contains the name of the home directory for the Windows operating system.

Data Type

String

Syntax

gethomedirectoryvalue = [objectreference].GetHomeDirectory

Legal values

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GetItemName property

 See list of classes

 See example

(Read-write) ItemName is the name of a Dde link to another application. For example, if you link to Lotus 1-2-3 and paste link a range into a Word Pro document, the name of the range is the ItemName. If you do not name the range, Word Pro names it for you.

Data Type

String

Syntax

getitemnamevalue = [objectreference].GetItemName

[objectreference].GetItemName = getitemnamevalue

Legal values

Usage

You can inquire about the ItemName or change the ItemName. If you change the ItemName and update the link, you will get different data.


Topics Found:

Word Pro: DdeLink class


Word Pro: GetRedoWhatDesc property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getredowhatdescvalue = [objectreference].GetRedoWhatDesc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: GetServerName property

 See list of classes

 See example

(Read-only) The actual executable name of the server (for example, "1-2-3.EXE").

Data Type

String

Syntax

getservernamevalue = [objectreference].GetServerName

Legal values

Usage

You can inquire about the server name if you paste link an object. If you create the object manually, you must provide the name of the server, the topic name (usually the file name), and the item name (for example, a range, a bookmark, and so on).


Topics Found:

Word Pro: DdeLink class


Word Pro: GetStatus property

 See list of classes

 See example

(Read-write) Indicates whether or not a DdeLink is active or inactive.

Data Type

Integer

Syntax

getstatusvalue = [objectreference].GetStatus

[objectreference].GetStatus = getstatusvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

DdeLinks can be active or inactive. If the update flag is set, you automatically get an update when changes are made to a DdeLink. For example, if you paste link a range from Lotus 1-2-3 into a Word Pro document and make changes to the range in 1-2-3, the Word Pro document is automatically updated when you save, if the update flag is set,.


Topics Found:

Word Pro: DdeLink class


Word Pro: GetTopicName property

 See list of classes

 See example

(Read-write) The topic name (usually the file name) of the DdeLink.

Data Type

String

Syntax

gettopicnamevalue = [objectreference].GetTopicName

[objectreference].GetTopicName = gettopicnamevalue

Legal values

Usage

This property tells you the file name of the DdeLink. You can use it for listing linked files.


Topics Found:

Word Pro: DdeLink class


Word Pro: GetUndoWhatDesc property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

getundowhatdescvalue = [objectreference].GetUndoWhatDesc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: VersionManager class


Word Pro: GetValue property

 See list of classes

 See example

(Read-only) Returns a string representing the numeric content of a cell.

Data Type

String

Syntax

getvaluevalue = [objectreference].GetValue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The value returned by this property is rounded to two decimal places. If a cell's content is not numeric, the GetValue property will contain an empty string.


Topics Found:

Word Pro: CellLayout class

Word Pro: ConnectedLayout class


Word Pro: GlossaryDataFileName property

 See list of classes

 See example

(Read-write) The name of the default (first) Glossary file.

Data Type

String

Syntax

glossarydatafilenamevalue = [objectreference].GlossaryDataFileName

[objectreference].GlossaryDataFileName = glossarydatafilenamevalue

Legal values

Usage

Equivalent to the "Default glossary file(s)" field on the Default files panel of the Word Pro Preferences dialog box. In the Word Pro interface, the "Default glossary file(s)" field can contain multiple file names. You can use this property to change or read the default or first Glossary file name, or you can use the property, GlossaryDataFiles, to set all the files to one file.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: GlossaryPath property

 See list of classes

 See example

(Read-only) The default path (drive and directory) where Word Pro looks for the Glossary file.

Data Type

String

Syntax

glossarypathvalue = [objectreference].GlossaryPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the "Glossaries" field on the Locations panel of the Word Pro Preferences dialog box. In the Word Pro interface, the "Glossaries" field can contain multiple paths. You can use this property to clear all paths and set the default or first glossary path, or you can use the property, GlossaryDataPaths, to read multiple paths entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: GrammarFormalityLevel property

 See list of classes

 See example

(Read-write) Indicates the formality level when Grammar Check reviews a document.

Data Type

Integer

Syntax

grammarformalitylevelvalue = [objectreference].GrammarFormalityLevel

[objectreference].GrammarFormalityLevel = grammarformalitylevelvalue

Legal values

The legal values for this property are the enum values of 0 (Informal), 1 (Standard), and 2 (Formal). Default is 1.

Usage

Use this property when you want to set the formality level for proofing a document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the formality level in the "Formality" field on the Rules panel. There are three formality levels: informal, standard and formal.


Topics Found:

Word Pro: Grammar class


Word Pro: GrammarProofLevel property

 See list of classes

 See example

(Read-write) Indicates the level of proofing when Grammar Check reviews a document.

Data Type

Integer

Syntax

grammarprooflevelvalue = [objectreference].GrammarProofLevel

[objectreference].GrammarProofLevel = grammarprooflevelvalue

Legal values

The legal values for this property are 0 (full proof) and 1 (quick proof). Default is 1.

Usage

Use this property when you are choosing the proofing level for a document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the proofing level in the "Grammar Check level" field on the Rules panel. There are two proofing levels: full proof and quick proof.


Topics Found:

Word Pro: Grammar class


Word Pro: GrammarSetName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

grammarsetnamevalue = [objectreference].GrammarSetName

[objectreference].GrammarSetName = grammarsetnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: Green property

 See list of classes

 See example

(Read-write) The green component of a color.

Data Type

Integer

Syntax

greenvalue = [objectreference].Green

[objectreference].Green = greenvalue

Legal values

The value of the Green property can range from 0 - 255.

Usage

Use the Green property to access the current level of green in a specific object's color.


Topics Found:

Word Pro: Color class


Word Pro: Greeting property

 See list of classes

 See example

(Read-write) The text that displays after Greeting option is set.

Data Type

String

Syntax

greetingvalue = [objectreference].Greeting

[objectreference].Greeting = greetingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing File - TeamSecurity and entering text in the "Display Greeting with this text" box on the Editing Rights panel.  You must set the UseGreeting property which tells Word Pro to display a Greeting box before you can enter text to display in the Greeting box.


Topics Found:

Word Pro: DocControl class


Word Pro: GridDistance property

 See list of classes

 See example

(Read-write) Allows you to set the grid spacing for layout objects.

Data Type

Long

Syntax

griddistancevalue = [objectreference].GridDistance

[objectreference].GridDistance = griddistancevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Equivalent to the "Grid settings" value that is located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: GridType property

 See list of classes

 See example

(Read-write) Allows you to set the type of grid that is displayed in a layout object.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

gridtypevalue = [objectreference].GridType

[objectreference].GridType = gridtypevalue

Legal values

Value	Effect
$LwpGridTypeDots (2061)	Setting this value displays a specific type of dotted grid in the layout object.
$LwpGridTypeLines (2060)	Setting this value displays a specifc type of lined grid in the layout object.
$LwpGridTypeNone (2059)	Setting this value prevents a grid from showing in the layout object.
Usage

Equivalent to the "Grid settings" value which is located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Hang property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hangvalue = [objectreference].Hang

[objectreference].Hang = hangvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: HasContents property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hascontentsvalue = [objectreference].HasContents

[objectreference].HasContents = hascontentsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: HasFocus property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

hasfocusvalue = [objectreference].HasFocus

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: HasLocalTabs property

 See list of classes

 See example

(Read-only) Indicates whether or not the current paragraph has local tab settings, as opposed to tab settings found in the paragraph style.

Data Type

Variant (Enumerated)

Syntax

haslocaltabsvalue = [objectreference].HasLocalTabs

Legal values

$LwpCommandResponseNo (148)

$LwpCommandResponseYes (149)

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: HasTabs property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

hastabsvalue = [objectreference].HasTabs

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: Heading property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

headingvalue = [objectreference].Heading

[objectreference].Heading = headingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Numbering class

Word Pro: OutlineStyleSequence class

Word Pro: ParagraphStyle class


Word Pro: Height property

 See list of classes

 See example

(Read-write) The distance in Twips from the top border of an object to the bottom border of an object. The actual returned height of the entire object.

[ApplicationWindow]

The actual height of the application window.

[IconBar]

The actual height of an icon bar object.

[StatusBar]

The returned actual height of the status bar window.

[Layout]

Allows you to set or return the actual height of a layout object.

(Read-Only) [Container]

Allows you to return the actual height of a container object.

Data Type

Long

Syntax

heightvalue = [objectreference].Height

[objectreference].Height = heightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property is not valid for IconBarManager.

Used to represent the actual returned height of an object, such as the status bar or the application window.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DocWindow class

Word Pro: DropCapContainer class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: Font class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameContainer class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: IconBar class

Word Pro: Layout class

Word Pro: NoteContainer class

Word Pro: NoteLayout class

Word Pro: OleObject class

Word Pro: PageContainer class

Word Pro: PageLayout class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyContainer class

Word Pro: RubyLayout class

Word Pro: StatusBar class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableContainer class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableOnlyCont class

Word Pro: TOCSuperTableLayout class

Word Pro: Window class


Word Pro: HelpText property

 See list of classes

 See example

(Read-write) The string that goes in the bubble help for a ClickHere block.

Data Type

String

Syntax

helptextvalue = [objectreference].HelpText

[objectreference].HelpText = helptextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: HideFormula property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hideformulavalue = [objectreference].HideFormula

[objectreference].HideFormula =hideformulavalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: HideOutlineLevels property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hideoutlinelevelsvalue = [objectreference].HideOutlineLevels

[objectreference].HideOutlineLevels = hideoutlinelevelsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: HighLightMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

highlightmodevalue = [objectreference].HighLightMode

[objectreference].HighLightMode = highlightmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: HorizontalSplitWindow property

 See list of classes

 See example

(Read-write) Indicates if Word Pro will split the .MDI window horizontally when the NewWindow method is called.

Data Type

Integer (Bool)

Syntax

horizontalsplitWindowvalue = [objectreference].HorizontalSplitWindow

[objectreference].HorizontalSplitWindow = horizontalsplitWindowvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default value is False (0).

Usage

Equivalent to the Split Top-Bottom option on the View menu.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: HorizScrollBarVisible property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

horizscrollbarvisiblevalue = [objectreference].HorizScrollBarVisible

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: HyphenateLastWordInColumnOrPage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hyphenatelastwordincolumnorpagevalue = [objectreference].HyphenateLastWordInColumnOrPage

[objectreference].HyphenateLastWordInColumnOrPage = hyphenatelastwordincolumnorpagevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: HyphenateLastWordInPara property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

HyphenateLastWordInParavalue = [objectreference].HyphenateLastWordInPara

[objectreference].HyphenateLastWordInPara = HyphenateLastWordInParavalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: HyphZoneAfter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

hyphzoneaftervalue = [objectreference].HyphZoneAfter

[objectreference].HyphZoneAfter = hyphzoneaftervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: HyphZoneBefore property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

HyphZoneBeforevalue = [objectreference].HyphZoneBefore

[objectreference].HyphZoneBefore = [objectreference].HyphZoneBefore

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: IconBarPositionState property

 See list of classes

 See example

(Read-only) Tells you whether or not the icon bar object is fixed or floating on the workspace.

Data Type

Variant (Enumerated)

Syntax

iconbarpositionstatevalue = [objectreference].IconBarPositionState

Legal values

$LwpIconBarPositionStateFixed (392) Displays a set of SmartIcons at the sides of the  workspace in a fixed position (left, right, top, or bottom). If you drag a SmartIcons bar to an edge, it will snap to and stay with that edge, even when the workspace window is moved.

$LwpIconBarPositionStateFloating (393) Displays a set of SmartIcons in a floating position anywhere inside or outside the workspace. Dragging SmartIcons to a place other than an edge creates a floating palette. You can also drag one palette of SmartIcons over another.

Usage

Tells you whether or not the icon bar object is fixed or floating. A fixed icon bar object will be attached on the left, right, top, or bottom of the workspace. A icon bar object floats anywhere except at an edge, inside or outside the workspace


Topics Found:

Word Pro: IconBar class


Word Pro: IconHelpText property

 See list of classes

 See example

(Read-write) Allows you to inquire about or change the text that appears in the bubble help when the cursor hovers over an icon.

Data Type

String

Syntax

iconhelptextvalue = [objectreference].IconHelpText

[objectreference].IconHelpText = iconhelptextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

If you change the IconHelpText for a specific icon using this property, your changes will display the next time the cursor hovers over the icon. You must first select the icon using either the SelectStandardIcon or SelectCustomIcon method for this property to function.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IconPath property

 See list of classes

 See example

(Read-write) Stores the default path (drive and directory) for SmartIcons.

Data Type

String

Syntax

iconpathvalue = [objectreference].IconPath

[objectreference].IconPath = iconpathvalue

Legal values

A valid path including drive and directory.

Usage

Equivalent to the "SmartIcons" field on the Locations panel of the Word Pro Preferences dialog box. In the Word Pro interface, the "SmartIcons" field can contain multiple paths. You can use this property to clear all paths before setting the default or first icon path, or you can use the property, IconsPaths, to read multiple paths entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: IconSetName property

 See list of classes

 See example

(Read-only) An indicator that tells you the name of the icon bar object. Found in the "Bar name" field in the SmartIcons Setup dialog box.

Data Type

String

Syntax

iconsetnamevalue = [objectreference].IconSetName

Legal values

Usage

A read-only indicator that returns the icon bar object name. For example, you can enumerate the names in the IconBarManager. In order to get into the Icon Bar class, you can select the icon bar you want from the IconBarManager and confirm its name to make sure it is the bar you want.


Topics Found:

Word Pro: IconBar class


Word Pro: IconShowingBeforeCleanScreen property

 See list of classes

 See example

(Read-write) Indicates whether or not any SmartIcons were displayed before Clean Screen was enabled.

Data Type

Integer (Bool)

Syntax

iconshowingbeforecleanscreenvalue = [objectreference].IconShowingBeforeCleanScreen

[objectreference].IconShowingBeforeCleanScreen = iconshowingbeforecleanscreenvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is dependent upon the default value for showing icons.

Usage

Use this property to indicate if Word Pro should display SmartIcons when the user leaves Clean Screen mode.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Action property

 See list of classes

 See example

(Read-write) The Action property is either the name of the script function that executes when you select a menu item or another menu ID.

Data Type

String

Syntax

actionvalue = [objectreference].Action

[objectreference].Action = actionvalue

Legal values

Usage

When you select a menu item, Word Pro executes the Action property for the item. The Action property can be the name of a script function that you create, or it can be the name of a predefined Word Pro WMCommand. WMCommands are unique IDs that Word Pro uses to differentiate each menu item.

When you use the Action property as another menu ID, it allows you to emulate the actions of a predefined Word Pro menu item and apply them to your customized menu item.


Topics Found:

Word Pro: MenuItem class


Word Pro: Foundry property

 See list of classes

 See example

(Read-only) This property is not used in this version of LotusScript. Use the Foundry property on the Division object or one of the WPApplication Foundry objects.

Data Type

Foundry

Syntax

foundryvalue = [objectreference].Foundry

Legal values

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Example: ApplyDerogatory property
'Example: ApplyDerogatory property

'This example script has not yet been created.


Example: ApplyDifferentPrep property
'Example: ApplyDifferentPrep property

'This example script has not yet been created.


Example: ApplyDoubleNegative property
'Example: ApplyDoubleNegative property

'This example script has not yet been created.


Example: ApplyDoublePlural property
'Example: ApplyDoublePlural property

'This example script has not yet been created.


Example: ApplyDoubleWordCheck property
'Example: ApplyDoubleWordCheck property

'This example script has not yet been created.


Example: ApplyElision property
'Example: ApplyElision property

'This example script has not yet been created.


Example: ApplyEnglishDerived property
'Example: ApplyEnglishDerived property

'This example script has not yet been created.


Example: ApplyEnglishWords property
'Example: ApplyEnglishWords property

'This example script has not yet been created.


Example: ApplyExotic property
'Example: ApplyExotic property

'This example script has not yet been created.


Example: ApplyExtraPrepositionCheck property
'Example: ApplyExtraPrepositionCheck property

'This example script has not yet been created.


Example: ApplyFalseFriend property
'Example: ApplyFalseFriend property

'This example script has not yet been created.


Example: ApplyFemaleOccupation property
'Example: ApplyFemaleOccupation property

'This example script has not yet been created.


Example: ApplyFixedExpression property
'Example: ApplyFixedExpression property

'This example script has not yet been created.


Example: ApplyForeignWord property
'Example: ApplyForeignWord property

'This example script has not yet been created.


Example: ApplyFormalTerms property
'Example: ApplyFormalTerms property

'This example script has not yet been created.


Example: ApplyFormatErrors property
'Example: ApplyFormatErrors property

'This example script has not yet been created.


Example: ApplyGallicisms property
'Example: ApplyGallicisms property

'This example script has not yet been created.


Example: ApplyGenderExpressions property
'Example: ApplyGenderExpressions property

'This example script has not yet been created.


Example: ApplyGermanisms property
'Example: ApplyGermanisms property

'This example script has not yet been created.


Example: ApplyHomoGraphs property
'Example: ApplyHomoGraphs property

'This example script has not yet been created.


Example: ApplyHomonymsEasy property
'Example: ApplyHomonymsEasy property

'This example script has not yet been created.


Example: ApplyHomonymsHard property
'Example: ApplyHomonymsHard property

'This example script has not yet been created.


Example: ApplyHomonyms property
'Example: ApplyHomonyms property

'This example script has not yet been created.


Example: ApplyHomoPhone1 property
'Example: ApplyHomoPhone1 property

'This example script has not yet been created.


Example: ApplyHomoPhone2 property
'Example: ApplyHomoPhone2 property

'This example script has not yet been created.


Example: ApplyHomoPhones property
'Example: ApplyHomoPhones property

'This example script has not yet been created.


Example: ApplyIncorrectPlural property
'Example: ApplyIncorrectPlural property

'This example script has not yet been created.


Example: ApplyInformalExpressions property
'Example: ApplyInformalExpressions property

'This example script has not yet been created.


Example: ApplyJargonWords property
'Example: ApplyJargonWords property

'This example script has not yet been created.


Example: ApplyLowercaseAdjective property
'Example: ApplyLowercaseAdjective property

'This example script has not yet been created.


Example: ApplyLowercaseColor property
'Example: ApplyLowercaseColor property

'This example script has not yet been created.


Example: ApplyLowercaseNumbers property
'Example: ApplyLowercaseNumbers property

'This example script has not yet been created.


Example: ApplyLowercasePhrases property
'Example: ApplyLowercasePhrases property

'This example script has not yet been created.


Example: ApplyLowercasePronouns property
'Example: ApplyLowercasePronouns property

'This example script has not yet been created.


Example: ApplyMassVsCount property
'Example: ApplyMassVsCount property

'This example script has not yet been created.


Example: ApplyMisspelledExpressions property
'Example: ApplyMisspelledExpressions property

'This example script has not yet been created.


Example: ApplyMisspelledForeignExpressions property
'Example: ApplyMisspelledForeignExpressions property

'This example script has not yet been created.


Example: ApplyMisspelledItalian property
'Example: ApplyMisspelledItalian property

'This example script has not yet been created.


Example: ApplyMisspelledWords property
'Example: ApplyMisspelledWords property

'This example script has not yet been created.


Example: ApplyMisusedWords property
'Example: ApplyMisusedWords property

'This example script has not yet been created.


Example: ApplyNonStandardExpression property
'Example: ApplyNonStandardExpression property

'This example script has not yet been created.


Example: ApplyNonStandardModifiers property
'Example: ApplyNonStandardModifiers property

'This example script has not yet been created.


Example: ApplyNoudModifierOrderCheck property
'Example: ApplyNoudModifierOrderCheck property

'This example script has not yet been created.


Example: ApplyNounConsistency property
'Example: ApplyNounConsistency property

'This example script has not yet been created.


Example: ApplyNSContract property
'Example: ApplyNSContract property

'This example script has not yet been created.


Example: ApplyNSNegation property
'Example: ApplyNSNegation property

'This example script has not yet been created.


Example: ApplyNSPrep property
'Example: ApplyNSPrep property

'This example script has not yet been created.


Example: ApplyNSSpell property
'Example: ApplyNSSpell property

'This example script has not yet been created.


Example: ApplyOpenClosedSpelling property
'Example: ApplyOpenClosedSpelling property

'This example script has not yet been created.


Example: ApplyPrepositionalPhrases property
'Example: ApplyPrepositionalPhrases property

'This example script has not yet been created.


Example: ApplyPretentiousWords property
'Example: ApplyPretentiousWords property

'This example script has not yet been created.


Example: ApplyPronounErrors property
'Example: ApplyPronounErrors property

'This example script has not yet been created.


Example: ApplyRedundantExpressions property
'Example: ApplyRedundantExpressions property

'This example script has not yet been created.


Example: ApplyRegionalExpression property
'Example: ApplyRegionalExpression property

'This example script has not yet been created.


Example: ApplyRelatedWord property
'Example: ApplyRelatedWord property

'This example script has not yet been created.


Example: ApplySexistExpressions property
'Example: ApplySexistExpressions property

'This example script has not yet been created.


Example: ApplySpellStandard property
'Example: ApplySpellStandard property

'This example script has not yet been created.


Example: ApplySubjectVerbAgreement property
'Example: ApplySubjectVerbAgreement property

'This example script has not yet been created.


Example: ApplyTwoGender property
'Example: ApplyTwoGender property

'This example script has not yet been created.


Example: ApplyTypicalMisspell property
'Example: ApplyTypicalMisspell property

'This example script has not yet been created.


Example: ApplyVagueQuantifiers property
'Example: ApplyVagueQuantifiers property

'This example script has not yet been created.


Example: ApplyVerbGroupConsistency property
'Example: ApplyVerbGroupConsistency property

'This example script has not yet been created.


Example: ApplyWeakModifiers property
'Example: ApplyWeakModifiers property

'This example script has not yet been created.


Example: AppViewPrefs property
'Example: AppViewPrefs property

''This example changes the color of the application window by

manipulating the PaneColor property.

'You should close all must have a document open for this script

to work.

'Paste this script into Sub Main in the Globals section.

Print .ApplicationWindow.Height

.ApplicationWindow.Height = (.5 * .ApplicationWindow.Height)

Print .ApplicationWindow.Height


Example: Archive property
'Example: Archive property

'This example script has not yet been created.


Example: AreDisabledIconsGrayed property
'Example: AreDisabledIconsGrayed property

'This example script has not yet been created.


Example: Ascent property
'Example: Ascent property

'This example script has not yet been created.


Example: AsciiCRLFType property
'Example: AsciiCRLFType property

'This example script has not yet been created.


Example: AtBeginningOfLine property
'Example: AtBeginningOfLine property

'This example script has not yet been created.


Example: AtBeginningOfObject property
'Example: AtBeginningOfObject property

'This example script has not yet been created.


Example: AtBeginningOfParagraph property
'Example: AtBeginningOfParagraph property

'This example script has not yet been created.


Example: AtBeginningOfStream property
'Example: AtBeginningOfStream property

'This example script has not yet been created.


Example: AtBeginningOfWord property
'Example: AtBeginningOfWord property

'This example script has not yet been created.


Example: AtBeginning property
'Example: AtBeginning property

'This example script has not yet been created.


Example: AtEndOfLine property
'Example: AtEndOfLine property

'This example script has not yet been created.


Example: AtEndOfObject property
'Example: AtEndOfObject property

'This example script has not yet been created.


Example: AtEndOfParagraph property
'Example: AtEndOfParagraph property

'This example script has not yet been created.


Example: AtEndOfStream property
'Example: AtEndOfStream property

'This example script has not yet been created.


Example: AtEndOfWord property
'Example: AtEndOfWord property

'This example script has not yet been created.


Example: AtEnd property
'Example: AtEnd property

'This example script has not yet been created.


Example: Attributes property
'Example: Attributes property

'This example script has not yet been created.


Example: AttrStyleName property
'Example: AttrStyleName property

'This example script has not yet been created.


Example: AuthorName property
'Example: AuthorName property

With WordPro.ActiveDocument

MsgTxt = "Current Word Pro Doc is " & .FullName

MsgTxt = MsgTxt & ", the author is " & .Docinfo.AuthorName

Msgbox MsgTxt,64,"Word Pro Information"

MsgTxt = "It was created on " & .DocInfo.CreationDateString & " at " & .DocInfo.CreationTimeString

Msgbox MsgTxt,64,"Word Pro Information"

End With


Example: AutoBackup property
'Example: AutoBackup property

'This example script has not yet been created.


Example: AutoHyphenate property
'Example: AutoHyphenate property

'This example script has not yet been created.


Example: AutomaticLink property
'Example: AutomaticLink property

'This example script has not yet been created.


Example: AutoRunMacro property
'Example: AutoRunMacro property

'This example script has not yet been created.


Example: AutoSaveMinutes property
'Example: AutoSaveMinutes property

'This example script has not yet been created.


Example: AutoSave property
'Example: AutoSave property

'This example script has not yet been created.


Example: AutoVersion property
'Example: AutoVersion property

'This example script has not yet been created.


Example: BackColor property
'Example: BackColor property

'This example script has not yet been created.


Example: BackgroundPrintingOn property
'Example: BackgroundPrintingOn property

'This example script has not yet been created.


Example: Background property
'Example: Background property

'This example script has not yet been created.


Example: Backspace method
'Example: Backspace method

' This example inserts 5 words into the current document and then backspaces

' 5 characters.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim WordNumber as Integer

For WordNumber = 1 To 5

.Text.InsertText "Word" & Format$(WordNumber) & " "

Next

 MessageBox "Click OK to backspace 5 characters.",MB_OK,"Example Script"

.Text.BackSpace (5)


Example: BackupPaths property
'Example: BackupPaths property

'This example script has not yet been created.


Example: BackupPath property
'Example: BackupPath property

'This example script has not yet been created.


Example: Backward method
'Example: Backward method

' This example inserts 5 sentences with 5 words each into the current

' document.  The cursor location is then moved backward 2 sentences and then

' moved forward one word.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceNumber as Integer

Dim WordNumber as Integer

For SentenceNumber = 1 To 5

For WordNumber = 1 To 5

.Text.InsertText "Word" & Format$(WordNumber) & " "

Next

.Type (". ")

Next

 MessageBox "Click OK to backup 2 senteces.",MB_OK,"Example Script"

.Text.Backward $LwpNavigateObjectTypeSentence, 2

 MessageBox "Click OK to go forward 1 word.",MB_OK,"Example Script"

.Text.Forward $LwpNavigateObjectTypeWord, 1


Example: Bags property
'Example: Bags property

'This example script has not yet been created.


Example: BarSide property
'Example: BarSide property

'This example script has not yet been created.


Word Pro: ApplyNSContract property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynscontractvalue = [objectreference].ApplyNSContract

[objectreference].ApplyNSContract = applynscontractvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSGeography property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsgeographyvalue = [objectreference].ApplyNSGeography

[objectreference].ApplyNSGeography = applynsgeographyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSInflection property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsinflectionvalue = [objectreference].ApplyNSInflection

[objectreference].ApplyNSInflection = applynsinflectionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSNegation property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsnegationvalue = [objectreference].ApplyNSNegation

[objectreference].ApplyNSNegation = applynsnegationvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSPrep property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsprepvalue = [objectreference].ApplyNSPrep

[objectreference].ApplyNSPrep = applynsprepvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSPronoun property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynspronounvalue = [objectreference].ApplyNSPronoun

[objectreference].ApplyNSPronoun = applynspronounvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSSpell property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsspellvalue = [objectreference].ApplyNSSpell

[objectreference].ApplyNSSpell = applynsspellvalu

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSUsage property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsusagevalue = [objectreference].ApplyNSUsage

[objectreference].ApplyNSUsage = applynsusagevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyNSVerbForm property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applynsverbformvalue = [objectreference].ApplyNSVerbForm

[objectreference].ApplyNSVerbForm = applynsverbformvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyOpenClosedSpelling property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking incorrect use of spaces in words or phrases.

Data Type

Integer

Syntax

applyopenclosedspellingvalue = [objectreference].ApplyOpenClosedSpelling

[objectreference].ApplyOpenClosedSpelling = applyopenclosedspellingvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Open vs. closed spelling" in the "Rule type" field on the Rules panel.

This rule flags spelling errors that result from incorrect use of spaces. The correct spelling is offered as an alternative (for example, "in a while" to "in awhile").

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyOpenUsage property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyopenusagevalue = [objectreference].ApplyOpenUsage

[objectreference].ApplyOpenUsage = applyopenusagevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyOverusedPhrases property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking overused phrases.

Data Type

Integer

Syntax

applyoverusedphrasesvalue = [objectreference].ApplyOverusedPhrases

[objectreference].ApplyOverusedPhrases = applyoverusedphrasesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Overused phrases" in the "Rule type" field on the Rules panel.

This rule flags overused expressions that have lost their original impact. In a spoken context, they might be acceptable, but in writing, the phrases are too casual and should be replaced with expressions that are less colloquial and more precise. In some cases, the sentence must be rephrased to avoid an overused expression. For example, the phrase, "blissful ignorance" might be replaced by just the word, "ignorance."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPassiveVerbErrors property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking the use of passive voice.

Data Type

Integer

Syntax

applypassiveverberrorsvalue = [objectreference].ApplyPassiveVerbErrors

[objectreference].ApplyPassiveVerbErrors = applypassiveverberrorsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Passive voice usage" in the "Rule type" field on the Rules panel.

This rule flags using the passive voice where the subject is acted upon but completes no action, as in "Our proposal was accepted by the board." The counterpart in active voice is, "The board accepted our proposal."

Sentences written in the passive voice can sound weak and indirect; it is often better to rephrase them as active. Occasionally, a sentence makes sense only in the passive voice, but most sentences are more coherent when the subject completes the action.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPostClitAgree property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applypostclitagreevalue = [objectreference].ApplyPostClitAgree

[objectreference].ApplyPostClitAgree = applypostclitagreevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, Italian.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPrepExpression property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyprepexpressionvalue = [objectreference].ApplyPrepExpression

[objectreference].ApplyPrepExpression = applyprepexpressionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPrepositionalPhrases property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking prepositional phrases.

Data Type

Integer

Syntax

applyprepositionalphrasesvalue = [objectreference].ApplyPrepositionalPhrases

[objectreference].ApplyPrepositionalPhrases = applyprepositionalphrasesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Unnecessary prepositions" in the "Rule type" field on the Rules panel.

This rule flags expressions that include an unnecessary preposition and suggests deleting it to make the expression more concise. For example, in the sentence, "I sat down on the lawn," the preposition "down" is superfluous since it is implied by "sat."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPretentiousWords property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking pretentious words.

Data Type

Integer

Syntax

applypretentiouswordsvalue = [objectreference].ApplyPretentiousWords [objectreference].ApplyPretentiousWords = applypretentiouswordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Pretentious words" in the "Rule type" field on the Rules panel.

This rule flags unnecessarily complex words and offers simple, straightforward alternatives. For example, the word, "eventuate," can usually be replaced with the expression, "takes place," or "happens."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPronounErrors property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking pronoun errors.

Data Type

Integer

Syntax

applypronounerrorsvalue = [objectreference].ApplyPronounErrors

[objectreference].ApplyPronounErrors = applypronounerrorsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Pronoun errors" in the "Rule type" field on the Rules panel.

This rule checks pronouns for errors in case and order. For example, one rule flags the sentence, "They are baking a cake for my sister and I," and notes the pronoun "I" is incorrect. The error message explains that because "I" is the object of a preposition, it should be the objective case (me). This rule will also flag the relative pronoun, "which," when used in a restrictive clause and recommends using "that."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyPunctuationErrors property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking punctuation errors.

Data Type

Integer

Syntax

applypunctuationerrorsvalue = [objectreference].ApplyPunctuationErrors

[objectreference].ApplyPunctuationErrors = applypunctuationerrorsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Punctuation errors" in the "Rule type" field on the Rules panel.

This rule flags punctuation errors, such as the incorrect placement of commas in specific expressions and inappropriate punctuation of parenthetical or quoted material. It also flags doubled punctuation.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyRedundantExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking redundant expressions.

Data Type

Integer

Syntax

applyredundantexpressionsvalue = [objectreference].ApplyRedundantExpressions

[objectreference].ApplyRedundantExpressions = applyredundantexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Redundant expressions" in the "Rule type" field on the Rules panel.

This rule flags expressions containing multiple words that mean or imply the same thing. Redundancy can often be eliminated by deleting part of the expression. For example, "sufficient enough" might become either "sufficient" or "enough."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyRegionalExpression property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyregionalexpressionvalue = [objectreference].ApplyRegionalExpression

[objectreference].ApplyRegionalExpression = applyregionalexpressionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyRelatedWord property

 See list of classes

 See example

(Read-write) A flag thaty turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyrelatedwordvalue = [objectreference].ApplyRelatedWord

[objectreference].ApplyRelatedWord = applyrelatedwordvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySensitiveExp property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applysensitiveexpvalue = [objectreference].ApplySensitiveExp

[objectreference].ApplySensitiveExp = applysensitiveexpvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySexistExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking sexist expressions.

Data Type

Integer

Syntax

applysexistexpressionsvalue = [objectreference].ApplySexistExpressions

[objectreference].ApplySexistExpressions = applysexistexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Sexist expressions" in the "Rule type" field on the Rules panel.

This rule flags expressions that are considered to be sexist or stereotypical, based on gender. The error messages may offer alternatives or suggest rephrasing the sentence. For example, the rule will flag the sentence, "Say hello to the little woman," and suggest the words, "wife," "partner," or "spouse," as alternatives.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySpellStandard property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyspellstandardvalue = [objectreference].ApplySpellStandard

[objectreference].ApplySpellStandard = applyspellstandardvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. This property can only be found in specific language versions of Word Pro, for example, French.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyStockPhrase property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking commonly used phrases.

Data Type

Integer

Syntax

applystockphrasevalue = [objectreference].ApplyStockPhrase

[objectreference].ApplyStockPhrase = applystockphrasevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Stock phrases" in the "Rule type" field on the Rules panel.

This rule flags stock phrases that may often be deleted without changing the meaning or emphasis of a sentence. Unlike clichés, these expressions are not worn-out metaphors or conventional descriptive phrases. They are introductory or parenthetical expressions often used as filler (for example, "it goes without saying that.." or "in fact").

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyStyleParameters property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applystyleparametersvalue = [objectreference].ApplyStyleParameters

[objectreference].ApplyStyleParameters = applystyleparametersvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySubjectVerbAgreement property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking agreement between subjects and verbs.

Data Type

Integer

Syntax

applysubjectverbagreementvalue = [objectreference].ApplySubjectVerbAgreement

[objectreference].ApplySubjectVerbAgreement = applysubjectverbagreementvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Subject-verb agreement errors" in the "Rule type" field on the Rules panel.

This rule flags errors of agreement between verbs and their subjects. The rule checks to see whether verbs contain the right number (singular or plural) and the right person (first, second, or third) to agree with their subjects. For example, the rule will flag the sentence, "The index are full of errors," because the subject, "index," is singular and does not agree with the plural verb, "are."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySwedishGender property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyswedishgendervalue = [objectreference].ApplySwedishGender

[objectreference].ApplySwedishGender = applyswedishgendervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySwedishNegation property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyswedishnegationvalue = [objectreference].ApplySwedishNegation

[objectreference].ApplySwedishNegation = applyswedishnegationvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplySwedishUsage property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applyswedishusagevalue = [objectreference].ApplySwedishUsage

[objectreference].ApplSwedishUsage = applyswedishusagevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyTrite property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applytritevalue = [objectreference].ApplyTrite

[objectreference].ApplyTrite = applytritevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyTwoGender property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applytwogendervalue = [objectreference].ApplyTwoGender

[objectreference].ApplyTwoGender = applytwogendervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.every language.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyTypicalMisspell property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applytypicalmisspellvalue = [objectreference].ApplyTypicalMisspell

[objectreference].ApplyTypicalMisspell = applytypicalmisspellvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyUnGrammaticalExpressions property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking nongrammatical words and expressions.

Data Type

Integer

Syntax

applyungrammaticalexpressionsvalue = [objectreference].ApplyUnGrammaticalExpressions

[objectreference].ApplyUnGrammaticalExpressions = applyungrammaticalexpressionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Ungrammatical expressions" in the "Rule type" field on the Rules panel.

This rule flags phrases considered ungrammatical in standard English, although they may occur in regional dialects (for example, "seeing as how" instead of "since").

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyVagueQuantifiers property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule for checking vague quantifiers on or off .

Data Type

Integer

Syntax

applyvaguequantifiersvalue = [objectreference].ApplyVagueQuantifiers [objectreference].ApplyVagueQuantifiers = applyvaguequantifiersvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Vague quantifiers" in the "Rule type" field on the Rules panel.

This rule flags vague, wordy, or informal quantifiers (words or phrases that specify number or amount).  For example, the expression, "lots of," can be replaced by a less colloquial term, such as "much," or "many," or a more precise indication of the amount.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyVerbGroupConsistency property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking verb group consistency.

Data Type

Integer

Syntax

applyverbgroupconsistencyvalue = [objectreference].ApplyVerbGroupConsistency

[objectreference].ApplyVerbGroupConsistency = applyverbgroupconsistencyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Verb group consistency errors" in the "Rule type" field on the Rules panel.

This rule checks the forms of verbs. It identifies errors in the use of the present, the past, and the past participle, as well as errors in the choice of helping verbs. For example, the rule will flag the sentence, "We could not have drove home that night." It notes that "drove" is the simple past form of the verb and explains that "have" should be followed by the past participle, "driven."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWeakModifiers property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking weak modifiers.

Data Type

Integer

Syntax

applyweakmodifiersvalue = [objectreference].ApplyWeakModifiers

[objectreference].ApplyWeakModifiers = applyweakmodifiersvaluev

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Weak modifiers" in the "Rule type" field on the Rules panel.

This rule flags overused or colloquial modifiers (adjectives or adverbs that limit or modify the sense of another word). Expressions, such as "funny," "pretty well," or "nice," can often be replaced by more specific expressions.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWordChoice property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applywordchoicevalue = [objectreference].ApplyWordChoice

[objectreference].ApplyWordChoice = applywordchoicevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWordCompoundingCheck property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking word compounding errors.

Data Type

Integer

Syntax

applywordcompoundingcheckvalue = [objectreference].ApplyWordCompoundingCheck

[objectreference].ApplyWordCompoundingCheck = applywordcompoundingcheckvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Compounding errors" in the "Rule type" field on the Rules panel.

This rule flags compounds with a missing or superfluous linking element or hyphen (for example, words such as "blue-print" that should be written as one word, "blueprint").

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWordConfusion property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applywordconfusionvalue = [objectreference].ApplyWordConfusion

[objectreference].ApplyWordConfusion = applywordconfusionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWordGender property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applywordgendervalue = [objectreference].ApplyWordGender

[objectreference].ApplyWordGender = applywordgendervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWordParts property

 See list of classes

 See example

(Read-write) A flag that turns the specific Grammar Check rule on or off.

Data Type

Integer

Syntax

applywordpartsvalue = [objectreference].ApplyWordParts

[objectreference].ApplyWordParts = applywordpartsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting the appropriate rule in the "Rule type" field on the Rules panel.

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: ApplyWordyPhraseCheck property

 See list of classes

 See example

(Read-write) A flag that turns the Grammar Check rule on or off for checking phrases that may be wordy and/or awkward.

Data Type

Integer

Syntax

applywordyphrasecheckvalue = [objectreference].ApplyWordyPhraseCheck

[objectreference].ApplyWordyPhraseCheck = applywordyphrasecheckvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property when you are setting the corresponding rule for proofing the document in Grammar Check. Equivalent to choosing Edit - Check Grammar, clicking Options, and selecting "Wordy expressions" in the "Rule type" field on the Rules panel.

This rule flags vague or wordy expressions that can be replaced by simpler, more direct expressions to make the writing clearer. For example, the phrase, "in all probability," might be replaced by the adverb, "probably."

Note	This rule is not applicable in every language. Some Apply properties can only be found in specific language versions of Word Pro.


Topics Found:

Word Pro: Grammar class


Word Pro: Archive property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

archivevalue = [objectreference].Archive

[objectreference].Archive = archivevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpFileListBox class


Word Pro: AreDisabledIconsGrayed property

 See list of classes

 See example

(WriteOnly) Indicates whether an icon is enabled or disabled. If disabled, the icon will appear grayed. Before an icon can be enabled or disabled, you must first select it, using either the SelectStandardIcon or SelectCustomIcon method.

Data Type

Integer

Syntax

[objectreference].AreDisabledIconsGrayed = aredisablediconsgrayedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If the constant is True (-1), the icon is enabled and will not be grayed. If the constant is False (0), the icon is disabled and is grayed.


Topics Found:

Word Pro: IconBarManager class


Word Pro: Ascent property

 See list of classes

 See example

(Read-only)

Data Type

Points

Syntax

ascentvalue = [objectreference].Ascent

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: AsciiCRLFType property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

AsciiLineEnding

Syntax

asciicrlftypsvalue = [objectreference].AsciiCRLFType

[objectreference].AsciiCRLFType = asciicrlftypevalue

Legal values

$LwpAsciiLineEndingCharset7bit (16)

$LwpAsciiLineEndingCharset8bit (17)

$LwpAsciiLineEndingCharsetPlatform (18)

Usage


Topics Found:

Word Pro: Filter class

Word Pro: TextDocument class


Word Pro: AtBeginningOfLine property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atbeginningoflinevalue = [objectreference].AtBeginningOfLine

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtBeginningOfObject property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atbeginningofobjectvalue = [objectreference].AtBeginningOfObject

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtBeginningOfParagraph property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atbeginningofparagraphvalue = [objectreference].AtBeginningOfParagraph

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtBeginningOfStream property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atbeginningofstreamvalue = [objectreference].AtBeginningOfStream

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: AtBeginningOfWord property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atbeginningofwordvalue = [objectreference].AtBeginningOfWord

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtBeginning property

 See list of classes

 See example

(Read-only) Indicates whether or not the insertion point is at the beginning of a text stream.

Data Type

Integer

Syntax

atbeginningvalue = [objectreference].AtBeginning

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtEndOfLine property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atendoflinevalue = [objectreference].AtEndOfLine

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtEndOfObject property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atendofobjectvalue = [objectreference].AtEndOfObject

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtEndOfParagraph property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atendofparagraphvalue = [objectreference].AtEndOfParagraph

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtEndOfStream property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atendofstreamvalue = [objectreference].AtEndOfStream()

Legal values

True False

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: AtEndOfWord property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atendofwordvalue = [objectreference].AtEndOfWord

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AtEnd property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

atendvalue = [objectreference].AtEnd

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: AttrStyleName property

 See list of classes

 See example

(Read-write) The name of the attribute style from which you get the attribute information for a font. Word Pro uses the same style name for attributes as for a character or group of characters. Bold, Italic, Underline, and so on, are part of this style.

Data Type

String

Syntax

attrstylenamevalue = [objectreference].AttrStyleName

[objectreference].AttrStyleName = attrstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ParagraphStyle class


Word Pro: AuthorName property

 See list of classes

 See example

(Read-only)

[DocInfo]

Returns the name of the assigned editor who created the document.

[Version]

Data Type

String

Syntax

authornamevalue = [objectreference].AuthorName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the User name value, which is located in the Personal panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: DocInfo class

Word Pro: Version class


Word Pro: AutoBackup property

 See list of classes

 See example

(Read-write) Indicates if automatic backup of documents is enabled.

Data Type

Integer(bool)

Syntax

autobackupvalue = [objectreference].AutoBackup

[objectreference].AutoBackup = autobackupvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the "File saving options" on the General panel of the Word Pro Preferences dialog box. If the legal value for this property is False, Word Pro does not automatically back up documents.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: AutoHyphenate property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

autohyphenatevalue = [objectreference].AutoHyphenate

[objectreference].AutoHyphenate = autohyphenatevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: AutomaticLink property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

automaticlinkvalue = [objectreference].AutomaticLink

[objectreference].AutomaticLink = automaticlinkvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: OleObject class


Word Pro: AutoSaveMinutes property

 See list of classes

 See example

(Read-write) Stores the automatic time save interval in minutes.

Data Type

Integer

Syntax

autosaveminuesvalue = [objectreference].AutoSaveMinutes

[objectreference].AutoSaveMinutes = autosaveminutesvalue

Legal values

Default is 10 minutes.

Usage

Only use this property if the legal value of the AutoSave is True. Equivalent to the "minutes" edit box on the General panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: AutoSave property

 See list of classes

 See example

(Read-write) Indicates if automatic time save is enabled.

Data Type

Integer(bool)

Syntax

autosavevalue = [objectreference].AutoSave

[objectreference].AutoSave = autosavevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "File saving options" on the General panel of the Word Pro Preferences dialog box. If the legal value for this property is False, Word Pro does not automatically time save documents.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: AutoVersion property

 See list of classes

 See example

(Read-write) Determines when a version is automatically created. This property is usually set to occur when the file opens.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

autoversionvalue = [objectreference].AutoVersion

[objectreference].AutoVersion = autoversionvalue

Legal values

Value	Effect
$LwpAutoVersionEveryday (29)	Creates a new version and reuses that version until the file is opened on the following day. If you leave a file open until the next day, Word Pro does not create a new version until you close and reopen the file.
$LwpAutoVersionEveryweek (30)	Creates a new version and reuses that version until the file is opened after the following Monday. If you leave a file open until Monday, Word Pro does not create a new version until you close and reopen the file. In Word Pro, Monday is the first day of the week.
$LwpAutoVersionNone (27)	Turns off the AutoVersion property.
$LwpAutoVersionOnfileopen (28)	Creates a new version every time someone opens the file.
$LwpAutoVersionOnfilesave (31)	Creates a new version every time someone saves the file.
Usage

Equivalent to choosing File - Versions, selecting "Auto versioning," and specifying when auto versioning should occur (every day, every week, and so on).


Topics Found:

Word Pro: DocControl class


Word Pro: BackgroundPrintingOn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

backgroundprintingonvalue = [objectreference].BackgroundPrintingOn

[objectreference].BackgroundPrintingOn = backgroundprintingonvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: BackupPath property

 See list of classes

 See example

(Read-write) Stores the default backup path (drive and directory) for Word Pro documents.

Data Type

String

Syntax

backuppathvalue = [objectreference].BackupPath

[objectreference].BackupPath = backuppathvalue

Legal values

Usage

Equivalent to the "Backups" field on the Locations panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: BarSide property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

barsidevalue = [objectreference].BarSide

[objectreference].BarSide = barsidevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: BarType property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

bartypevalue = [objectreference].BarType

[objectreference].BarType = bartypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: BaseLineOffset property

 See list of classes

 See example

(Read-write) Allows you to set or retrieve a layout object's position, relative to the text baseline.

Data Type

Long

Syntax

baselineoffsetvalue = [objectreference].BaseLineOffset

[objectreference].BaseLineOffset = baselineoffsetvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

[FrameLayout]

Use this property when the frame layout object's placement is set to "In Text".


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: BinName property

 See list of classes

 See example

(Read-write) The name of the bin from which the paper should be taken when printing a page layout.

Data Type

String

Syntax

binnamevalue = [objectreference].BinName

[objectreference].BinName = binnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The BinName property is used only for page layouts. It corresponds to the "Printer bin" setting on the Size & Margins panel of the Page layout InfoBox.

If you assign this property an invalid printer bin name, Word Pro will use the current printer's default bin selection. You can check for valid BinName values by accessing the BinNames collection.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: BlockPaint property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].BlockPaint = blockpaintvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: Blue property

 See list of classes

 See example

(Read-write) The blue component of a color.

Data Type

Integer

Syntax

bluevalue = [objectreference].Blue

[objectreference].Blue = bluevalue

Legal values

The value of the Blue property can range from 0 - 255.

Usage

Use the Blue property to access the current level of blue in a specific object's color.


Topics Found:

Word Pro: Color class


Word Pro: BodyOnly property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

bodyonlyvalue = [objectreference].BodyOnly

[objectreference].BodyOnly = bodyonlyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: Bold property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

boldvalue = [objectreference].Bold

[objectreference].Bold = boldvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: BorderOffset property

 See list of classes

 See example

(Read-write) Allows you to change the settings to the origin of a border in a layout object.

Data Type

Long

Syntax

borderoffsetvalue = [objectreference].BorderOffset

[objectreference].BorderOffset = borderoffsetvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: BorderStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

borderstylenamevalue = [objectreference].BorderStyleName

[objectreference].BorderStyleName = borderstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: BottomExternalMargin property

 See list of classes

 See example

(Read-write) Allows you to set the amount of margin space that is present beneath a layout object.

Data Type

Long

Syntax

bottomexternalmarginvalue = [objectreference].BottomExternalMargin

[objectreference].BottomExternalMargin = bottomexternalmarginvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

[FrameLayout]

This property cannot be set individually for frame layout objects within Word Pro. It is combined with all external margin values in the "Padding around border" setting, located on the Size & Margins panel of the InfoBox.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: BreaksStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

breaksstylenamevalue = [objectreference].BreaksStyleName

[objectreference].BreaksStyleName = breaksstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: BulletFonts property

 See list of classes

 See example

(Read-write) Stores a list of decorative fonts (separated by commas) that are used to identify possible bullets during Format Check.

Data Type

String

Syntax

bulletfontsvalue = [objectreference].BulletFonts

[objectreference].BulletFonts = bulletfontsvalue

Legal values

Usage

When a user runs Format Check on a document and Word Pro finds a single character surrounded by white space, Word Pro tests to see if the character is a possible bullet. If the character is in this list, Word Pro assumes that it could be a bullet and runs further tests to confirm. You can use the SetArrayProp to add or delete fonts from the list, or you can use the GetArrayProp to read the fonts in the list.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: BulletStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

bulletstylenamevalue = [objectreference].BulletStyleName

[objectreference].BulletStyleName = bulletstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: CanEditProperty property

 See list of classes

 See example

(Read-only) An internal flag that indicates if the route can be edited.

Data Type

Integer

Syntax

caneditpropertyvalue = [objectreference].CanEditProperty

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

The document must be in the middle of the route at a preordained stop for this property to function.


Topics Found:

Word Pro: MailRouting class


Word Pro: CanEmbed property

 See list of classes

 See example

(Read-only) Indicates whether or not another object can be embedded into the current object.

Data Type

Integer

Syntax

canembedvalue = [objectreference].CanEmbed

Legal values

The legal values for this property are -1 and 0. If you prefer, you may use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A graphic object, for instance, will always contain a value of 0 in its CanEmbed property.


Topics Found:

Word Pro: BaseTable class

Word Pro: Content class

Word Pro: FootnoteTable class

Word Pro: Formula class

Word Pro: Glossary class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class

Word Pro: ParallelColumns class

Word Pro: SuperTable class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: Text class


Word Pro: CanWePrint property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

canweprintvalue = [objectreference].CanWePrint

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: Caption property

 See list of classes

 See example

(Read-write)

[MenuItem]

The name of a menu item that displays on a Word Pro menu.

[Window]

Text that displays on the title bar of a window.

[ApplicationWindow]

The name of the application window that displays in the title bar.

Data Type

String

Syntax

captionvalue = [objectreference].Caption

[objectreference].Caption = captionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property is not valid for IconBarManager or StatusBar.

[MenuItem]

Use this property to alter the name of a menu item that displays on a Word Pro menu. For example, you can write a script that changes a menu item's caption when a user triggers an event in Word Pro.

To display an accelerator key stroke caption, such as the Ctrl+S accelerator key stroke for Save, you must manually create a string. You can right-align the accelerator key stroke caption in the menu with a special tab character that you create by using this right alignment variable: Spacer$ = Chr$(8).

You can see how to use this variable in the following example that shows how to write a Word Pro Save menu caption and its accelerator key stroke caption (Ctrl+S):

MyMenuName$ = "&Save" & Spacer$ & "Ctrl+S"

[ApplicationWindow]

Use this property to set or get the caption of the active application window. This property is not implemented for this class in Word Pro 97.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: MenuItem class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: Case property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

Case

Syntax

casevalue = [objectreference].Case

[objectreference].Case = casevalue

Legal values

$LtsCaseLower (1056964842)

$LtsCaseMixed (1056964843)

$LtsCaseUpper (1056964841)

$LwpCaseDontcare (114)

$LwpCaseInitcaps (115)

$LwpCaseStyle (116)

Usage


Topics Found:

Word Pro: Font class


Word Pro: CellStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

cellstylenamevalue = [objectreference].CellStyleName

[objectreference].CellStyleName = cellstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: Changed property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

changedvalue = [objectreference].Changed

[objectreference].Changed = changedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionInfo class

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: CharacterBorderName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

characterbordernamevalue = [objectreference].CharacterBorderName

[objectreference].CharacterBorderName = characterbordernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: CharacterSetName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

charactersetnamevalue = [objectreference].CharacterSetName

[objectreference].CharacterSetName = charactersetnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: CharacterStyleName property

 See list of classes

 See example

(Read-write) The name of the character style at the insertion point.

Data Type

String

Syntax

characterstylenamevalue = [objectreference].CharacterStyleName

[objectreference].CharacterStyleName = characterstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: CharSet property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

CharSet

Syntax

charsetvalue = [objectreference].CharSet

[objectreference].CharSet = charsetvalue

Legal values

$LwpCharSetAnsi (119)

$LwpCharSetAnsi1250 (120)

$LwpCharSetAnsi1251 (121)

$LwpCharSetAnsi1252 (122)

$LwpCharSetAnsi1253 (123)

$LwpCharSetAnsi1254 (124)

$LwpCharSetArabic (134)

$LwpCharSetAscii (118)

$LwpCharSetBig5 (126)

$LwpCharSetCp850 (139)

$LwpCharSetCp932 (125)

$LwpCharSetCp949 (127)

$LwpCharSetCyrillic (133)

$LwpCharSetGreek (135)

$LwpCharSetHebrew (136)

$LwpCharSetIsolatin1 (129)

$LwpCharSetIsolatin2 (130)

$LwpCharSetIsolatin3 (131)

$LwpCharSetIsolatin4 (132)

$LwpCharSetIsolatin5 (137)

$LwpCharSetIsolatin6 (138)

$LwpCharSetUnicode (128)

Usage


Topics Found:

Word Pro: CharacterSet class


Word Pro: Checked property

 See list of classes

 See example

(Read-write) Indicates if a menu item is checked or not checked.

Data Type

Integer

Syntax

checkedvalue = [objectreference].Checked

[objectreference].Checked = checkedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

To check a menu item, set the Checked property value to True. To uncheck a menu item, set the Checked property value to False.

Setting the Checked property is available only for custom created menu items. You cannot set the Checked property for predefined Word Pro menu items, because Word Pro dynamically sets the Checked property for predefined Word Pro menu items based on the current context.


Topics Found:

Word Pro: MenuItem class


Word Pro: CheckForScriptEnumError property

 See list of classes

 See example

(Read-write) This property is not implemented. Indicates if the Script Editor is set to check enumeration values.

Data Type

Integer (Bool)

Syntax

checkforscriptenumerrorvalue = [objectreference].CheckForScriptEnumError

[objectreference].CheckForScriptEnumError = checkforscriptenumerrorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Provides a script writer with an additional level of error checking while developing a script. Default is False (0), which causes the Script Editor to check the validity of property values beyond checking for data type. If the value for the property is changed to True (-1), the Script Editor generates an error if the value of a property does not match one of the enumerated legal values defined for that property. Enumerated legal values always begin with "$" and always have a numeric equivalent.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: CheckForScriptPropertyError property

 See list of classes

 See example

(Read-write) Indicates if the Script Editor is set to check property values.

Data Type

Integer (Bool)

Syntax

checkforscriptpropertyerrorvalue = [objectreference].CheckForScriptPropertyError

[objectreference].CheckForScriptPropertyError = checkforscriptpropertyerrorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Provides a script writer with an additional level of error checking while developing a script. Default is False (0), which causes Word Pro not to check the value of a property after it is set. If the value for the property is changed to True (-1), the Script Editor checks the value of a property after the property is set. It does this in order to confirm that the property value matches the value called for in the script. If, for some reason the value of the property does not match the value in the script statement, the Script Editor raises the error, 7009 LWPERR SetPropFailed. You can include an OnError routine in your script to handle this error, or simply use this extra level of checking as a debugging tool.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: CityState property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

citystatevalue = [objectreference].CityState

[objectreference].CityState = citystatevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: CleanScreenMode property

 See list of classes

 See example

(Read-write) Stores the value to indicate if the current window is in Clean Screen mode.

Data Type

Integer(Bool)

Syntax

cleanscreenmodevalue = [objectreference].CleanScreenMode

[objectreference].CleanScreenMode = cleanscreenmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If the legal value for this property is False, Word Pro is not in Clean Screen mode.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: CleanScreenOnStartUp property

 See list of classes

 See example

(Read-write) Indicates if Clean Screen mode is enabled when starting Word Pro.

Data Type

Integer(Bool)

Syntax

cleanscreenonstartupvalue = [objectreference].CleanScreenOnStartUp

[objectreference].CleanScreenOnStartUp = cleanscreenonstartupvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the "Load in clean screen view" option on the General panel of the Word Pro Preferences dialog box. If the legal value for this property is False, Word Pro does not automatically load in clean screen view.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: ClickHerePrompts property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

clickherepromptsvalue = [objectreference].ClickHerePrompts

[objectreference].ClickHerePrompts = clickherepromptsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: Action property

 See list of classes

 See example

(Read-write) Indicates how a ClickHere block behaves.

Data Type

Integer

Syntax

actionvalue = [objectreference].Action

[objectreference].Action = actionvalue

Legal values

Must be an integer from 1 to 10.

1 = Text - plain text block

2 = Table - create table dialog

3 = Picture - Import Picture dialog

4 = OleObject - Insert OLE Object dialog

5 = Chart - creates a chart

6 = Drawing - creates a drawing

7 = File - Insert File dialog

8 = Glossary - Insert glossary Item dialog

9 = Equation - creates an equation frame

10 = InternetLink - Stores a URL which is opened when the user clicks on the ClickHere block

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: MenuItem class


Word Pro: ClientHeight property

 See list of classes

 See example

(Read-only) Returns the height of the content area within the margins of a container.

Data Type

Long

Syntax

clientheightvalue = [objectreference].ClientHeight

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: ClientWidth property

 See list of classes

 See example

(Read-only) Returns the width of the content area within the margins of a container.

Data Type

Long

Syntax

clientwidthvalue = [objectreference].ClientWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: ClientWndHeight property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

clientwndheightvalue = [objectreference].ClientWndHeight

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ClientWndWidth property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

clientwndwidthvalue = [objectreference].ClientWndWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: CloseDocMacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

closedocmacronamevalue = [objectreference].CloseDocMacroName

[objectreference].CloseDocMacroName = closedocmacronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: AutoRunMacro class


Word Pro: CodePage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

codepagevalue = [objectreference].CodePage

[objectreference].CodePage = codepagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Collapsible property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

collapsiblevalue = [objectreference].Collapsible

[objectreference].Collapsible = collapsiblevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextMarker class


Word Pro: Collate property

 See list of classes

 See example

(Read-write) Prints an entire copy of the document before printing the next copy. You can only use this property if the document contains multiple pages.

Data Type

Integer

Syntax

collatevalue = [objectreference].Collate

[objectreference].Collate = collatevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property determines whether or not a the print job for a document is collated.


Topics Found:

Word Pro: PrintSettings class


Word Pro: ColorOverride property

 See list of classes

 See example

(Read-write) Indicates whether or not to override the font color with the color specified in the appropriate NumericFormatSubset object.

Data Type

Integer

Syntax

coloroverridevalue = [objectreference].ColorOverride

[objectreference].ColorOverride = coloroverridevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Number color" checkbox, which can be accessed through the Edit Format dialog. The Edit Format dialog can be opened by clicking the Format Options button, which is located in the Number Format tab of the InfoBox for cell layout objects.

If the ColorOverride property is set to true, the font color of a numeric value will be overridden with the specified NumericFormatSubset color.


Topics Found:

Word Pro: NumericFormatSubset class


Word Pro: ColumnBalance property

 See list of classes

 See example

(Read-Write) Indicates whether or not text is balanced in each column of certain layout objects.

Data Type

Integer

Syntax

columnbalancevalue = [objectreference].ColumnBalance

[objectreference].ColumnBalance = columnbalancevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

In Word Pro, this property is represented by the "Column balance" setting on the Columns panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ColumnGap property

 See list of classes

 See example

(Read-write) The distance between one newspaper column and the next newspaper column to the right.

Data Type

Long

Syntax

columngapvalue = [objectreference].ColumnGap

[objectreference].ColumnGap = columngapvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Equivalent to the "Space between columns" setting, located on the Columns panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: Column class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ColumnNumber property

 See list of classes

 See example

(Read-only) The number of the page column in which the insertion point is located.

Data Type

Integer

Syntax

columnnumbervariable = [objectreference].ColumnNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property does not refer to table columns or parallel columns. Instead, it refers to the standard columns, such as those found in a page layout.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ColumnWidth property

 See list of classes

 See example

(Read-only) The width of the column in which the insertion point is located. Does not refer to a parallel or table column.

Data Type

Long

Syntax

columnwidthvalue = [objectreference].ColumnWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Company property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

companyvalue = [objectreference].Company

[objectreference].Company = companyvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: ConditionType property

 See list of classes

 See example

(Read-write) Determines when a specific layout object is used.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

[objectreference].ConditionType = conditiontypevalue

conditiontypevalue = [objectreference].ConditionType

Legal values

Value	Effect
$LwpConditionTypeAllbutspecificpage (156)	Setting this value inserts a certain layout object in all pages, except a specific page in a document.
$LwpConditionTypeAllpages (154)	Setting this value inserts a certain layout object in all pages of a document.
$LwpConditionTypeOnlyevenpages (157)	Setting this value inserts a certain layout object in even pages of a document.
$LwpConditionTypeOnlyoddpages (158)	Setting this value inserts a certain layout object in odd pages of a document.
$LwpConditionTypeOnlyspecificpage (155)	Setting this value inserts a certain layout object in specific pages of a document.
$LwpConditionTypeStartatpage (159)	Setting this value specifies on which page to insert a certain layout object.
Usage

Use this property in conjunction with other properties, such as PageToUseLayoutOn. If the parent layout is not a page, then a layout uses the parent's ConditionType.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Condition property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

ConditionType

Syntax

conditionvalue = [objectreference].Condition

[objectreference].Condition = conditionvalue

Legal values

$LwpConditionTypeAllbutspecificpage (156)

$LwpConditionTypeAllpages (154)

$LwpConditionTypeOnlyevenpages (157)

$LwpConditionTypeOnlyoddpages (158)

$LwpConditionTypeOnlyspecificpage (155)

$LwpConditionTypeStartatpage (159)

Usage


Topics Found:

Word Pro: UseWhen class


Word Pro: ContentHeight property

 See list of classes

 See example

(Read-only) Returns the height of the content based on its rotation within a container.

Data Type

Long

Syntax

contentheightvalue = [objectreference].ContentHeight

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Example: BarType property
'Example: BarType property

'This example script has not yet been created.


Example: BaseLineOffset property
'Example: BaseLineOffset property

'This example script has not yet been created.


Example: BaseTable property
'Example: BaseTable property

'This example script has not yet been created.


Example: BeginChange method
'Example: BeginChange method

' This example creates a table with 5 columns and 5 rows. Several background

' table cell properties are changed all at one using the BeginChange and

' EndChange methods.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ExampleTable As Table

Dim ExampleCell As CellLayout

.CreateTable False, "Default Table", 5,5

Set ExampleTable = .Table

ExampleTable.CellLayout(1,0).GotoLayout

Set ExampleCell = ExampleTable.CellLayout(1,0)

.BeginChange

ExampleCell.Content.InsertText "Hello"

With ExampleCell.BackGround

.Pattern = $LtsFillSolid

.Color.Red = 255

.Color.Blue = 194

.Color.Green = 255

.Color.Override = $LwpColorOverrideRgb

.BackColor.Red = 65

.BackColor.Blue = 176

.BackColor.Green = 0

End With

.EndChange


Example: BeginCustomLines method
'Example: BeginCustomLines method

'This example script has not yet been created.


Example: BinNames property
'Example: BinNames property

'This example script has not yet been created.


Example: BinName property
'Example: BinName property

'This example script has not yet been created.


Example: Bisect method
'Example: Bisect method

'This example script has not yet been created.


Example: BlockPaint property
'Example: BlockPaint property

'This example script has not yet been created.


Example: Blue property
'Example: Blue property

'This example script has not yet been created.


Example: BodyOnly property
'Example: BodyOnly property

'This example script has not yet been created.


Example: Bold method
'Example: Bold method

' This example first inserts sample text in the current document and selects

' the paragraph. The script then uses the Bold method to toggle the bold

' attribute.

' RUNTIME DEPENDENCIES: You must have a document open with selected text

' for this script to work.

.Text.InsertText "This is some sample text."

.SelectParagraph

.Bold


Example: Bold property
'Example: Bold property

'This example script has not yet been created.


Example: BookmarkManager property
'Example: BookmarkManager property

'This example script has not yet been created.


Example: BookmarksByMarkerName property
'Example: BookmarksByMarkerName property

'This example script has not yet been created.


Example: Bookmarks property
'Example: Bookmarks property

'This example script has not yet been created.


Example: BorderLines property
'Example: BorderLines property

'This example script has not yet been created.


Example: BorderOffset property
'Example: BorderOffset property

'This example script has not yet been created.


Example: BorderStyleName property
'Example: BorderStyleName property

'This example script has not yet been created.


Example: BottomBorder property
'Example: BottomBorder property

'This example script has not yet been created.


Example: BottomExternalMargin property
'Example: BottomExternalMargin property

'This example script has not yet been created.


Example: BreakLink method
'Example: BreakLink method

'This example script has not yet been created.


Example: BreaksStyleName property
'Example: BreaksStyleName property

'This example script has not yet been created.


Example: Breaks property
'Example: Breaks property

'This example script has not yet been created.


Example: BringFrameToFrontOne method
'Example: BringFrameToFrontOne method

' This example creates two frames and changes the order of the layering

' for the two frames.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewFrame 3285, 1200, 1575, 1830

.Frame.Layout.Background.Color.Red = 82

.Frame.Layout.Background.Color.Blue = 239

.Frame.Layout.Background.Color.Green = 145

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Deselect

.NewFrame 5285, 2200, 1575, 1830

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Frame.Layout.Background.Color.Red = 182

.Frame.Layout.Background.Color.Blue = 139

.Frame.Layout.Background.Color.Green = 45

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

Messagebox "Click OK to send frame to back. ",MB_OK,"Example Script"

.SendFrameToBack

Messagebox "Click OK to bring frame to front. ",MB_OK,"Example Script"

.BringFrameToFrontOne


Example: BringFrameToFront method
'Example: BringFrameToFront method

' This example creates two frames and changes the order of the layering

' for the two frames.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewFrame 3285, 1200, 1575, 1830

.Frame.Layout.Background.Color.Red = 82

.Frame.Layout.Background.Color.Blue = 239

.Frame.Layout.Background.Color.Green = 145

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Deselect

.NewFrame 5285, 2200, 1575, 1830

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Frame.Layout.Background.Color.Red = 182

.Frame.Layout.Background.Color.Blue = 139

.Frame.Layout.Background.Color.Green = 45

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

Messagebox "Click OK to send frame to back. ",MB_OK,"Example Script"

.SendFrameToBack

Messagebox "Click OK to bring frame to front. ",MB_OK,"Example Script"

.BringFrameToFront


Example: BulletFonts property
'Example: BulletFonts property

'This example script has not yet been created.


Example: BulletStyleName property
'Example: BulletStyleName property

'This example script has not yet been created.


Example: Bullet property
'Example: Bullet property

'This example script has not yet been created.


Example: Buttons method
'Example: Buttons method

'This example script has not yet been created.


Example: CalculateSmartLevels method
'Example: CalculateSmartLevels method

' This example updates the SmartLevels for the currently active division.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CalculateSmartLevels


Example: CanEditProperty property
'Example: CanEditProperty property

'This example script has not yet been created.


Example: CanEmbed property
'Example: CanEmbed property

'This example script has not yet been created.


Example: CanHaveFootnotes method
'Example: CanHaveFootnotes method

' This example determines whether the current table cell can contain

' footnotes.

' The result is printed to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: A table cell must be selected for this script to work.

Print .Cell.CanHaveFootNotes


Example: CanWePrint property
'Example: CanWePrint property

'This example script has not yet been created.


Example: Caption property
'Example: Caption property

Dim FileMenu As MenuItem

Set FileMenu = .ApplicationWindow.LWPMenuBar.Items("&File")

' Set a counter

Count% = 1

' Cycle through all options on the File menu

Forall Item In FileMenu.Items

' Display some info on each menu option

Print Count% , "Name -", Item.Caption

Print , "Action -", Item.Action

Count% = Count% + 1

End Forall


Example: CascadeWindow method
'Example: CascadeWindow method

' This example creates two new documents based on the 'DEFAULT.MWP'

' SmartMaster.

' The script then prompts you to cascade the new windows.

.NewDocument , ,"DEFAULT.MWP", ,

.NewDocument , ,"DEFAULT.MWP", ,

Messagebox "Click OK to cascade the new windows.",MB_OK,"Example Script"

.CascadeWindow


Example: Cascade method
'Example: Cascade method

' This example cascades any document windows.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

' Restore will restore the main Word Pro window

' Cascade the open document windows within Word Pro

.ApplicationWindow.Cascade


Example: Case property
'Example: Case property

'This example script has not yet been created.


Example: CellEngines property
'Example: CellEngines property

'This example script has not yet been created.


Example: CellEngine property
'Example: CellEngine property

'This example script has not yet been created.


Example: CellLayoutStyles property
'Example: CellLayoutStyles property

'This example script has not yet been created.


Example: CellLayouts property
'Example: CellLayouts property

'This example script has not yet been created.


Example: CellLayout method
'Example: CellLayout method

' This example creates a table with 5 columns and 5 rows then inserts text and

' changes the background color for row 1, column 0.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ExampleTable As Table

Dim ExampleCell As CellLayout

.CreateTable False, "Default Table", 5,5

Set ExampleTable = .Table

ExampleTable.CellLayout(1,0).GotoLayout

Set ExampleCell = ExampleTable.CellLayout(1,0)

ExampleCell.Content.InsertText "Hello"

With ExampleCell.BackGround

.Pattern = $LtsFillSolid

.Color.Red = 255

.Color.Blue = 194

.Color.Green = 255

.Color.Override = $LwpColorOverrideRgb

.BackColor.Red = 65

.BackColor.Blue = 176

.BackColor.Green = 0

End With


Example: CellLayout property
'Example: CellLayout property

'This example script has not yet been created.


Example: CellRevert method
'Example: CellRevert method

' This example creates a table with 5 columns and 5 rows then inserts text and

' changes the background color for row 1, column 0.  The background color is

' then reverted after the message box is closed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ExampleTable As Table

Dim ExampleCell As CellLayout

.CreateTable False, "Default Table", 5,5

Set ExampleTable = .Table

ExampleTable.CellLayout(1,0).GotoLayout

Set ExampleCell = ExampleTable.CellLayout(1,0)

ExampleCell.Content.InsertText "Hello"

With ExampleCell.BackGround

.Pattern = $LtsFillSolid

.Color.Red = 255

.Color.Blue = 194

.Color.Green = 255

.Color.Override = $LwpColorOverrideRgb

.BackColor.Red = 65

.BackColor.Blue = 176

.BackColor.Green = 0

End With

Messagebox "Click OK to revert cell color change." ,MB_OK,"Example Script"

.CellRevert


Example: CellStyleName property
'Example: CellStyleName property

'This example script has not yet been created.


Example: Cell property
'Example: Cell property

'This example script has not yet been created.


Example: ChangeAllEditsToEditor method
'Example: ChangeAllEditsToEditor method

' This example changes all document edits and editing rights to the current

' editor.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim CurrentEditor As String

CurrentEditor = .Application.Preferences.UserName

.ActiveDocument.ChangeAllEditsToEditor CurrentEditor

'restrict editing of this document to the current editor

.ActiveDocument.DocControl.DocControlRestrictedToEditor = CurrentEditor

.ActiveDocument.DocControl.FileProtectionType = $LwpFileProtectTypeOrigAuthor


Example: Changed event
'Example: Changed event

'


Example: Changed property
'Example: Changed property

'This example script has not yet been created.


Example: ChangeSmartMaster method
'Example: ChangeSmartMaster method

' This example changes the current division's SmartMaster to BUSPLAN.MWP.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

SmartMasterPath = .ApplicationWindow.UserInterfacePrefs.StylePath

SmartMaster =  SmartMasterPath & "\" & "BUSPLAN.MWP"

.ChangeSmartMaster SmartMaster, "Lotus Word Pro", ""


Example: CharacterBorderName property
'Example: CharacterBorderName property

'This example script has not yet been created.


Example: CharacterBorder property
'Example: CharacterBorder property

'This example script has not yet been created.


Example: CharacterSetName property
'Example: CharacterSetName property

'This example script has not yet been created.


Example: CharacterSet property
'Example: CharacterSet property

'This example script has not yet been created.


Example: CharacterStyleName property
'Example: CharacterStyleName property

'This example script has not yet been created.


Example: CharacterStyles property
'Example: CharacterStyles property

'This example script has not yet been created.


Example: CharacterStyle property
'Example: CharacterStyle property

'This example script has not yet been created.


Example: CharSet property
'Example: CharSet property

'This example script has not yet been created.


Example: CheckBoxes method
'Example: CheckBoxes method

'This example script has not yet been created.


Example: Checked property
'Example: Checked property

' This example toggles whether or not 'Example Menu' item is checked

' or unchecked. This script run from the 'NewItem' example and is not

' intended to be run stand-alone.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewMenu As MenuItem

Dim MenuName as String

MenuName = "&Example Menu"

Set NewMenu =.ApplicationWindow.LwpMenuBar.Items.Item("&File")

If NewMenu.Items(MenuName).Checked Then

NewMenu.Items(MenuName).Checked = False

Else

NewMenu.Items(MenuName).Checked = True

End If


Example: CheckForScriptEnumError property
'Example: CheckForScriptEnumError property

'This example script has not yet been created.


Example: CheckForScriptPropertyError property
'Example: CheckForScriptPropertyError property

'This example script has not yet been created.


Example: ChgLineStyle method
'Example: ChgLineStyle method

'This example script has not yet been created.


Example: ChildLayouts property
'Example: ChildLayouts property

'This example script has not yet been created.


Example: CityState property
'Example: CityState property

'This example script has not yet been created.


Example: CleanScreenMode property
'Example: CleanScreenMode property

'This example script has not yet been created.


Example: CleanScreenOnStartUp property
'Example: CleanScreenOnStartUp property

'This example script has not yet been created.


Example: ClearAll method
'Example: ClearAll method

' This example inserts 10 right aligned tabs with leader dots which are spaced

' one half inch apart.  After the message box is closed all of the tabs are

' removed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim TabNumber As Integer

For TabNumber = 1 To 10

stat = .Text.TabRack.InsertOne(720 * TabNumber, $LwpTabTypeLeft, $LwpTabLeaderDot, $LwpTabRelativeLeft, 32)

.Type TabNumber & "[Tab]"

Next

.Text.TabRack.ClearAll


Example: ClearDivisionList method
'Example: ClearDivisionList method

'This example script has not yet been created.


Example: ClearParaRevisionTags method
'Example: ClearParaRevisionTags method

' This example removes paragraph revision tags from the active document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ClearParaRevisionTags


Example: ClearSplits method
'Example: ClearSplits method

' This example sets a split view. It displays the same document in two

' windows.  In the top window it displays the document at page width.

' In the bottom window, it displays the document in a multi-page view showing

' the first seven pages.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

' clear any current splits

.ActiveDocWindow.WinViewPrefs.ClearSplits

 'the first window will display seven pages left to right

.ActiveDocWindow.WinViewPrefs.NumCols = 7

.ActiveDocWindow.WinViewPrefs.IsInDraft = False

.ActiveDocWindow.WinViewPrefs.ViewType = &H40

' now set a new window that will take 66% of the doc window

.ApplicationWindow.UserInterfacePrefs.VerticalSplitWindow = True

.ApplicationWindow.UserInterfacePrefs.SplitPercentage = 66

' open the new window

.NewWindow

' change the new window to display page width

.ApplicationWindow.UserInterfacePrefs.VerticalSplitWindow = False

.ActiveDocWindow.WinViewPrefs.IsInDraft = False

.ActiveDocWindow.WinViewPrefs.ViewType = &H100


Example: ClearTempFoundry method
'Example: ClearTempFoundry method

' This example script has not yet been created.


Example: ClearUpdate method
'Example: ClearUpdate method

'This example script has not yet been created.


Example: Clear method
'Example: Clear method

' This example insert some text into the current document. After the message

' box is closed all text is cleared.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim x as Integer

For x = 1 To 5

.Text.InsertText "Some Text " & x

Next

 MessageBox "Click OK to remove all text.",MB_OK,"Example Script"

.Text.Clear $LwpClearWhatDefault


Example: Clicked event
'Example: Clicked event

'This example script has not yet been created.


Example: Clickers method
'Example: Clickers method

'This example script has not yet been created.


Example: ClickHerePrompts property
'Example: ClickHerePrompts property

'This example script has not yet been created.


Example: ClickHeres property
'Example: ClickHeres property

'This example script has not yet been created.


Example: ClientHeight property
'Example: ClientHeight property

'This example script has not yet been created.


Example: ClientWidth property
'Example: ClientWidth property

'This example script has not yet been created.


Example: ClientWndHeight property
'Example: ClientWndHeight property

'This example script has not yet been created.


Example: ClientWndWidth property
'Example: ClientWndWidth property

'This example script has not yet been created.


Example: CloseAll method
'Example: CloseAll method

' This example closes all open files including untitled files.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CloseAll $LwpCloseFileIfLastdocOpenUntitled


Example: CloseDocMacroName property
'Example: CloseDocMacroName property

'This example script has not yet been created.


Example: CloseDocWindow method
'Example: CloseDocWindow method

' This example creates a new document window based upon the current document

' and displays a message box prompting you to close the window.

' After you click OK, the script closes the new document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewWindow

Messagebox "Click OK to close the current window.",MB_OK,"Example Script"

.CloseDocWindow


Example: CloseMergeDataFile method
'Example: CloseMergeDataFile method

' This example merges data for the current merge document.

' RUNTIME DEPENDENCIES: You must have a document open which has been assigned

' to a merge data file has inserted merge fields for this script to work.

Dim stat As Integer

' Set up to merge and view

.ApplicationWindow.ActiveDocument.MergeOptions.Options = &H2

.ApplicationWindow.ActiveDocument.MergeOptions.MergeStepNumber =

   $LwpMergeStepNumber3

.MergeStart

Do

stat = .Merge($LwpMergeActionNextRecord)

.Merge $LwpMergeActionMergeOne

Loop Until stat = False

.Merge $LwpMergeActionClose

.CloseMergeDataFile


Example: CloseObject method
'Example: CloseObject method

'This example script has not yet been created.


Example: Close method
'Example: Close method

' This example completely shuts down Word Pro while asking to save any changes.

.ApplicationWindow.Close


Example: CodePage property
'Example: CodePage property

'This example script has not yet been created.


Example: Collapsible property
'Example: Collapsible property

'This example script has not yet been created.


Example: Collate property
'Example: Collate property

'This example script has not yet been created.


Word Pro: Changed event

 See list of classes

 See example

Arguments

Test information for formatting macros.

Parameters

Changed(LwpCustomDialog Parent)

Changed(LwpCustomDialog Parent)

Changed(LwpCustomDialog Parent)

Changed(LwpCustomDialog Parent)

Changed(LwpCustomDialog Parent)

Usage


Topics Found:

Word Pro: LwpCheckBox class

Word Pro: LwpComboBox class

Word Pro: LwpEditBox class

Word Pro: LwpListBox class

Word Pro: LwpRadioButton class


Word Pro: Clicked event

 See list of classes

 See example

Arguments

Parameters

Clicked(LwpCustomDialog Parent)

Clicked(LwpCustomDialog Parent)

Clicked(LwpCustomDialog Parent)

Usage


Topics Found:

Word Pro: LwpButton class

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: Created event

 See list of classes

 See example

Arguments

Parameters

Created(String StyleSheet)

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Decrement event

 See list of classes

 See example

Arguments

Parameters

Decrement(LwpCustomDialog Parent)

Usage


Topics Found:

Word Pro: LwpClicker class


Word Pro: DialogEvent event

 See list of classes

 See example

Arguments

Parameters

DialogEvent(Integer controlid, Integer why)

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: DocumentClosed event

 See list of classes

 See example

Raised by Word Pro each time Word Pro closes a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro closed.

Usage

You can write a script for this event which checks the name of the document and performs a set of actions after Word Pro has closed the document. This event is useful for cleaning up the application workspace.


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentClose event

 See list of classes

 See example

Raised by Word Pro each time Word Pro receives an instruction to close an open document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to close.

Usage

You can write a script for this event that checks the name of the document and performs a set of actions before allowing Word Pro to close the document. You can also use the object in the Source argument to access the WPApplication object.This event is also useful for error-checking, prompting for saves, and cleaning up the application workspace.


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentCreated event

 See list of classes

 See example

Raised each time Word Pro completes the creation of a new Word Pro document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

StyleSheet
A String representing the name of the SmartMaster used in creating the new document.

Usage

Use this event to detect the completion of the creation of a new document in Word Pro. You can write a script for this event which checks the name of the SmartMaster and performs a set of actions after Word Pro has created the document. This event is also useful for error-checking, prompting for optional actions, and preparing the application workspace.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: DocumentCreate event

 See list of classes

 See example

Raised by Word Pro each time Word Pro recieves an instruction to create a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

StyleSheet
A String expression which specifies the name of the SmartMaster which Word Pro has been instructed to use in creating the new document.

Usage

You can write a script for this event which checks the name of the SmartMaster and performs a set of actions before allowing Word Pro to create the document. This event is also useful for error-checking, prompting for optional actions, and preparing the application workspace.


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentExported event

 See list of classes

 See example

Raised each time Word Pro exports a document. Equivalent to choosing File - Import/Export and exporting a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro exported.

DocType
A String expression which specifies the file type of the exported document.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentExport event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to export a document. Equivalent to choosing File - Import/Export and exporting a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to export.

DocType
A String expression which specifies the file type which Word Pro will use for the exported document.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentImported event

 See list of classes

 See example

Raised each time Word Pro imports a document. Equivalent to choosing File - Import/Export and importing a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro imported.

DocType
A String expression which specifies the file type of the imported document.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentImport event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to import a document. Equivalent to choosing File - Import/Export and importing a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to import.

DocType
A String expression which specifies the file type of the document which Word Pro is supposed to import.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentInserted event

 See list of classes

 See example

Raised each time Word Pro inserts a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has inserted.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: DocumentInsert event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to insert a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to insert.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: DocumentOpened event

 See list of classes

 See example

Raised each time Word Pro opens a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro opened.

Usage

Use this event to detect when Word Pro opens a document. You can use the DocName argument to check the name of the document Word Pro opened.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: DocumentOpen event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to open a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to open.

Usage

Use this event to detect when Word Pro receives a command to open a document.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: DocumentPrinted event

 See list of classes

 See example

Raised each time Word Pro prints a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro printed.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentPrint event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to print a document.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to print.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentSaveAs event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to save a document as another type of document or under another name. Equivalent to choosing File - Save As.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to save as another type of document or under another name.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentSavedAs event

 See list of classes

 See example

Raised each time Word Pro saves a document as another type of document or under another name. Equivalent to choosing File - Save As.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has saved in another file type or under another name.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentSaved event

 See list of classes

 See example

Raised each time Word Pro saves a document. Equivalent to choosing File - Save.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro saved.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DocumentSave event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to save a document. Equivalent to choosing File - Save.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document which Word Pro has been instructed to save.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DoubleClicked event

 See list of classes

 See example

Arguments

Parameters

DoubleClicked(LwpCustomDialog Parent)

DoubleClicked(LwpCustomDialog Parent)

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: EnterClickHere event

 See list of classes

 See example

Raised each time the insertion point is moved from somewhere in the document into a ClickHere block.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

ClickHereName
A String expression which specifies the name of the ClickHere block that was entered.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: EnterLayout event

 See list of classes

 See example

Raised each time the insertion point is moved into a layout.

Arguments

Source
The object which raised this event. This could be WPApplication or the layout itself. Use this argument to determine which object raised this event.

LayoutEntered
A String expression which specifies the name of the layout which was entered.

Usage

Each part of a document has its own layout. For example, a page, header, footer, and frame each has its own layout, even though they are all on the same page. When you move the insertion point from one of these layouts to another by clicking in the header, the footer, or some other part of the document, Word Pro raises an EnterLayout event. You can check the Source argument to determine which object is responsible for raising this event.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: ExitClickHere event

 See list of classes

 See example

Raised each time the insertion point is moved out of a ClickHere block.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

ClickHereName
A String expression which specifies the name of the exited ClickHere block.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: GotFocus event

 See list of classes

 See example

Arguments

Parameters

GotFocus(LwpCustomDialog parent)

Usage


Topics Found:

Word Pro: LwpBaseCtrl class


Word Pro: ImportInserted event

 See list of classes

 See example

Raised each time Word Pro imports a document and inserts the contents at the current insertion point. Equivalent to choosing File - Import/Export and specifying the option, "Import at the current insertion point."

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document that Word Pro inserted.

DocType
A String expression which specifies the file type of the document that Word Pro inserted.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: ImportInsert event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to import a document and insert the contents at the current insertion point. Equivalent to choosing File - Import/Export and specifying the option, "Import at the current insertion point."

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

DocName
A String expression which specifies the name of the document that Word Pro has been instructed to import.

DocType
A String expression which specifies the file type of the document that Word Pro is supposed to import.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: Increment event

 See list of classes

 See example

Arguments

Parameters

Increment(LwpCustomDialog Parent)

Usage


Topics Found:

Word Pro: LwpClicker class


Word Pro: KeyStroke event

 See list of classes

 See example

Raised each time a user presses and releases a key.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event. You can use Source to retrieve information about or change the properties of the object in which the keystroke occurred. When you write a script for a keystroke event in a Layout object, this argument returns the Layout object in which the keystroke event was raised. When you write a script for a keystroke event in the WPApplication object, this argument returns the WPApplication object.

Key
An Integer which specifies the ASCII value of the key that was pressed. This code can be translated into a character, using the Chr function.

Modifier
An Integer which specifies the ASCII value of the modifier key that was pressed.

ReceivingLayout
A String expression representing the name of the layout object in which the Keystroke event was raised.

Usage

Word Pro can detect a Keystroke event in four different types of objects: WPApplication, TextDocument, Division, and Layout. This means that you can write a script that will run every time a keystroke is detected anywhere within Word Pro (WPApplication), anywhere within a particular document (TextDocument), anywhere within a particular division (Division), or anywhere within a particular layout (Layout). By placing your script in the Keystroke event section for a particular object, you allow the script to run only when a Keystroke event is detected within that object. You can also use the End statement to limit the number of events that Word Pro will raise for a single keystroke.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: LostFocus event

 See list of classes

 See example

Arguments

Parameters

LostFocus(LwpCustomDialog parent)

Usage


Topics Found:

Word Pro: LwpBaseCtrl class


Word Pro: MouseDown event

 See list of classes

 See example

Raised each time the user presses down on a mouse button.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

GeneralModifier
The key or keys which were pressed when the mouse button was pressed down. Data type is Variant which allows the value of the argument to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

LwpGeneralModifierNone (&H0) No keys were down.

LwpGeneralModifierShift (&H1) The SHIFT key was down.

LwpGeneralModifierAlt (&H2) The ALT key was down.

LwpGeneralModifierCtrl (&H4) The CTRL key was down.

LwpGeneralModifierCommand (&H8) The COMMAND key was down.

LwpGeneralModifierOption (&H10) The OPTION key was down.

LwpGeneralModifierSys (&H20) The SYSRQ key was down.

LwpGeneralModifierCapslock (&H40) The CAPS LOCK key was down.

LwpGeneralModifierNumlock (&H80) The NUM LOCK key was down.

LwpGeneralModifierScrolllock (&H100) The SCROLL LOCK key was down.

LwpGeneralModifierHelp (&H200) The HELP key was down.

SpecificModifier
Specifies which mouse button was pressed. Data type is Variant which allows the value of the argument to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

LwpSpecificModifierNone (&H0)

LwpSpecificModifierMbutton1 (&H1)

LwpSpecificModifierMbutton2 (&H2)

LwpSpecificModifierMbutton3 (&H4)

LwpSpecificModifierMbuttonmask (&H7)

LwpSpecificModifierMbuttondown (&H8)

LwpSpecificModifierMbuttonup (&H10)

LwpSpecificModifierDoublebyte (&H1)

LwpSpecificModifierGoingdown (&H2)

LwpSpecificModifierComingup (&H4)

LwpSpecificModifierVirtual (&H8)

LwpSpecificModifierClicked (&H2)

LwpSpecificModifierNomove (&H4)

LwpSpecificModifierNovolatile (&H8)

LwpSpecificModifierReset (&H10)

LwpPopcheckpoint (&H20)

ReceivingLayout
A String expression which specifies the name of the layout over which the mouse button was pressed.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: MouseUp event

 See list of classes

 See example

Raised each time the user releases a mouse button after pressing it.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

GeneralModifier
The key or keys which were pressed when the mouse button was released. Data type is Variant which allows the value of the argument to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

LwpGeneralModifierNone (&H0) No keys were down.

LwpGeneralModifierShift (&H1) The SHIFT key was down.

LwpGeneralModifierAlt (&H2) The ALT key was down.

LwpGeneralModifierCtrl (&H4) The CTRL key was down.

LwpGeneralModifierCommand (&H8) The COMMAND key was down.

LwpGeneralModifierOption (&H10) The OPTION key was down.

LwpGeneralModifierSys (&H20) The SYSRQ key was down.

LwpGeneralModifierCapslock (&H40) The CAPS LOCK key was down.

LwpGeneralModifierNumlock (&H80) The NUM LOCK key was down.

LwpGeneralModifierScrolllock (&H100) The SCROLL LOCK key was down.

LwpGeneralModifierHelp (&H200) The HELP key was down.

SpecificModifier
Specifies which mouse button was released. Data type is Variant which allows the value of the argument to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

LwpSpecificModifierNone (&H0)

LwpSpecificModifierMbutton1 (&H1)

LwpSpecificModifierMbutton2 (&H2)

LwpSpecificModifierMbutton3 (&H4)

LwpSpecificModifierMbuttonmask (&H7)

LwpSpecificModifierMbuttondown (&H8)

LwpSpecificModifierMbuttonup (&H10)

LwpSpecificModifierDoublebyte (&H1)

LwpSpecificModifierGoingdown (&H2)

LwpSpecificModifierComingup (&H4)

LwpSpecificModifierVirtual (&H8)

LwpSpecificModifierClicked (&H2)

LwpSpecificModifierNomove (&H4)

LwpSpecificModifierNovolatile (&H8)

LwpSpecificModifierReset (&H10)

LwpPopcheckpoint (&H20)

ReceivingLayout
A String expression which specifies the name of the layout over which the mouse button was released.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: Moved event

 See list of classes

 See example

Arguments

Parameters

Moved()

Usage

This event has not been implemented for Word Pro '97.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: Opened event

 See list of classes

 See example

Arguments

Parameters

Opened(String DocName)

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: PreClose event

 See list of classes

 See example

Arguments

Parameters

PreClose(String DocName)

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: PrePrint event

 See list of classes

 See example

Arguments

Parameters

PrePrint(String DocName)

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Printed event

 See list of classes

 See example

Arguments

Parameters

Printed(String DocName)

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Quit event

 See list of classes

 See example

Raised each time Word Pro receives an instruction to exit the Word Pro application. The event handler in the Script Editor processes this event and any related scripts before Word Pro closes.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

Usage

Use this event to run a script any time you exit Word Pro. The document that contains the Quit event script must be open when you exit Word Pro.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: SaveAs event

 See list of classes

 See example

Arguments

Parameters

SaveAs(String DocName)

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: SavedAs event

 See list of classes

 See example

Arguments

Parameters

SavedAs(String DocName)

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: Saved event

 See list of classes

 See example

Arguments

Parameters

Saved(String DocName)

DocName
A String representing the name of the saved document.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: Save event

 See list of classes

 See example

Arguments

Parameters

Save(String DocName)

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: StatusBarButtonClicked event

 See list of classes

 See example

This event is emitted when a button is clicked on or when following the SimulateButtonClick method..

If you choose the status bar object in the LotusScript window, you will see the emitted events assigned to it. If you choose one event and write a routine within it, and, if any value other than False (0) is returned, that event will be handled by LotusScript, not Word Pro.

Arguments

ButtonName = name of button that is clicked.

Parameters

StatusBarButtonClicked(String ButtonName)

Usage

This event applies only to buttons of type clickable. Popup type buttons receive the StatusBarButtonFillPopupList event instead.

In the script for this event, you should write the code that you want executed in response to the button click. You can determine which button was clicked by looking at the ButtonName parameter.


Topics Found:

Word Pro: StatusBar class

Word Pro: StatusBarButton class


Word Pro: StatusBarButtonFillPopupList event

 See list of classes

 See example

This event is emitted when a button of type popup is clicked. You can write instructions in this event to fill up the popup list.

If you choose the status bar object in the LotusScript window, you will see the emitted events assigned to it. If you choose one event and write a routine within it, and, if any value other than False (0) is returned, that event will be handled by LotusScript, not Word Pro.

Arguments

Parameters

StatusBarButtonFillPopupList(String ButtonName)

Usage

The list is always empty when this event is emitted. There are several methods that you can call when responding to this event:

AddPopupGraphicItem - only used for graphic buttons; can be called multiple times, once for each graphic in the list.

AddPopupTextItem - only used for text popup buttons; can be called multiple times, once for each string in the list.

SetPopupAlignment - lets you align the button's contents.

SetPopupIndex - lets you select which item in the button's list will be highlighted by default.

SetPopupWidth - lets you set a width for the popup list.

SetPopupWidthType - lets you specify how the width of the popup list will be calculated.

If you want Word Pro to do its normal processing for a button property, this event should return False. To prevent Word Pro from doing its normal processing, this event should return True.


Topics Found:

Word Pro: StatusBar class

Word Pro: StatusBarButton class


Word Pro: StatusBarButtonItemSelected event

 See list of classes

 See example

This event is emitted when an item is selected from a popup list in the button.

If you choose the status bar object in the LotusScript window, you will see the emitted events assigned to it. If you choose one event and write a routine within it, and, if any value other than False (0) is returned, that event will be handled by LotusScript, not Word Pro.

Arguments

Button name - Name of the button selected.

Index (0 based) - Indicates the item number selected.

String - The text of the selected item.

Parameters

StatusBarButtonItemSelected(String ButtonName, Integer Index, String SelectedItem)

Usage

This event applies only to buttons of type clickable. Popup type buttons receive the StatusBarButtonFillPopupList event instead.

In the script for this event, you should write the code that you want executed in response to the button click. You can determine which button was clicked by looking at the ButtonName parameter.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: StatusBarButtonOverrideGraphic event

 See list of classes

 See example

This event is emitted when a graphic button must be refreshed.

If you choose the status bar object in the LotusScript window, you will see the emitted events assigned to it. If you choose one event and write a routine within it, and, if any value other than False (0) is returned, that event will be handled by LotusScript, not Word Pro.

Arguments

Parameters

StatusBarButtonOverrideGraphic(String ButtonName)

Usage

You are responsible for providing the graphic in this event. Otherwise, the button will appear blank. The SetOverrideGraphic method must be called.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: StatusBarButtonOverrideTextAndGraphic event

 See list of classes

 See example

This event is emitted when a text and graphic button must be updated.

If you choose the status bar object in the LotusScript window, you will see the emitted events assigned to it. If you choose one event and write a routine within it, and, if any value other than False (0) is returned, that event will be handled by LotusScript, not Word Pro.

Arguments

Parameters

StatusBarButtonOverrideTextAndGraphic(String ButtonName)

Usage

You are responsible for providing the graphic and the text in this event. Otherwise, the button will appear blank. The SetOverrideGraphic and/or the SetOverrideText method must be called.

Note	If the text on the status bar button is never going to change, you can use the LwpButtonNoTextFromHost (&H800) parameter when the button is created.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: StatusBarButtonOverrideText event

 See list of classes

 See example

This event is emitted when a text button must be updated.

If you choose the status bar object in the LotusScript window, you will see the emitted events assigned to it. If you choose one event and write a routine within it, and, if any value other than False (0) is returned, that event will be handled by LotusScript, not Word Pro.

Arguments

Parameters

StatusBarButtonOverrideText(StatusBarButton Source, String ButtonName)

Usage

You are responsible for providing the text in this event. Otherwise, the button will appear blank. The SetOverrideText method must be called.

Note	If the text on the status bar button is never going to change, you can use the LwpButtonNoTextFromHost (&H800) parameter when the button is created.


Topics Found:

Word Pro: StatusBar class

Word Pro: StatusBarButton class


Word Pro: TimerTick event

 See list of classes

 See example

Arguments

Parameters

TimerTick()

Usage


Topics Found:

Word Pro: LWPTimer class


Word Pro: WMCommand event

 See list of classes

 See example

Raised each time a WMCommand is issued in Word Pro. This happens when a user chooses a menu or menu item and when a script calls the WMCommand method.

Arguments

Source
The object which raised this event. Use this argument to determine which object raised this event.

cmd
An Integer expression which specifies which menu item or WMCommand was chosen or called. You can find the WMCommands and their corresponding integers in the file named WPBITMSK.LSS, which came with Word Pro.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Class, defined

A special data construct which corresponds to a specific type of item in an application and defines what aspects of that item you can access through LotusScript and what you can do with that item. For example, the TextDocument class in Word Pro corresponds to a Word Pro document. The class definition includes variables for storing the name of the document and other information. The class definition also includes methods for performing specific tasks with a document. In short, the TextDocument class defines exactly how much of a Word Pro document you can access and what you can do with it.

When you open a document in Word Pro, Word Pro creates an instance of the TextDocument class. That instance of the TextDocument class is an object. You use that object to control the document you opened.


LotusScript for Word Pro Contents

Word Pro LotusScript A-Z

By Category

Overview: Using LotusScript in Word Pro

Overview: The LotusScript Language


Word Pro LotusScript Elements By Category
By Category

Classes

Properties

Methods

Events


Overview: Division names in LotusScript

In LotusScript, each division has two names: an external name and an internal name.

External division names

The external name is the name you see displayed in the divider tab on your screen. This external name is read-write and does not have to be unique. While the external name is usually for display purposes only, you can use the external name to retrieve the internal name as described below. The external name is stored in the Name property on the DivisionInfo object.

This statement returns the external name for the current division:

.Division.DivisionInfo.Name

Internal division names

The internal name is read-only and is unique for each division. It allows you to uniquely identify a division when you use methods to access and control that division. The internal name is stored in the Name property on each Division object.

This statement returns the internal name for the current division:

.Division.Name

Getting the internal name of a division

Every method which allows you to control a division requires that you identify a division by it's unique internal name. Getting the internal name for the currently active division is done with the following statement:

.Division.Name

However, to get the internal name of a division when you are not in that division, you first need to gain access to that division.  You can gain access to any division by assigning that division to a variable, using the Bind statement.

The Bind statement allows you to assign an object to a variable using that object's name. In the case of a division, the Bind statement allows you to use the division's external name as shown in the following statements:

Dim mydivision As Division

Dim divisionname As String

Set mydivision = Bind("!Body")

divisionname = mydivision.Name

This example declares two variables (mydivision and divisionname). It then binds the division named "Body" to the mydivision variable. Then it assigns the value of the Name property on mydivision to the other variable (divisionname). You can then use the divisionname variable as the value for any parameter which refers to the Body division. For example, if you use the CombineDivisions method, you could use the divisionname variable as the value for either the StartName or EndName parameters.


Event, defined

An action, defined as part of a class, which returns specific information about an object. An event can be a keystroke, entering a layout, or any other action which Word Pro can detect. When an event occurs in Word Pro, we say the event was raised and the object involved in that event is said to have raised the event.

For example, the EnterLayout event is raised each time you move the insertion point to a different layout. You can write a script that will run each time this event is raised. If more than one object has a layout, you must attach the script to the EnterLayout event for each object.


Method, defined

A function, defined as part of a class, which performs a specific task with any object created from that class. Once an object is instantiated from a class, you can use that class' methods to access and manipulate the object.

For example, you can use the AddDivision method in a TextDocument object to add a division to a Word Pro document.


Object, defined

Acts as a link between your script and a specific part of an application or a document. All objects are created from class descriptions. The class acts as a blueprint or template for the object itself. You can create more than one object from the same class. If you create more than one object from the same class, you can access and control them independently of one another. Each object created from a class is said to be an instance of that class. When an object is created, we say the object has been "instantiated."


Property, defined

A kind of variable which is defined as part of a class. Once an object is instantiated from a class, these variables store information about the object, such as the object's name or location. Properties can also contain other objects instantiated from other classes.

For example, the TextDocument class defines a FullName property and a LineNumberOptions property. When you open a Word Pro document, Word Pro creates an object based on the TextDocument class. In addition to filling some properties with strings and numbers, Word Pro must create all the objects which are parts of the TextDocument object, such as LineNumberOptions, PrintSettings, and SortOptions. Each object is stored in one of the TextDocument object's properties, just as if it were a string or a number.


Overview: The Word Pro LotusScript Object Model

Word Pro provides its own set of LotusScript language tools called classes. These classes define which parts of Word Pro you can access with LotusScript and what you can do with them. Each Lotus application that uses LotusScript has its own set of these "product-defined classes."

Each Word Pro class corresponds to a type of object in Word Pro, such as windows, frames, and pieces of text. Each type of object has its own Word Pro class. The class itself is like a blueprint for one type of object. The class only defines the parts of an object (called the properties), and the tools for manipulating or interacting with that type of object (called methods and events). When you run Word Pro, Word Pro automatically keeps track of all its active objects. Many objects, such as frames, are created from the same class. But every object has unique qualities, such as name and location, which allow you to control it independently of other objects created from the same class.

When you look at all the LotusScript classes defined in Word Pro, you see a kind of model of the Word Pro application and all its parts. Everything from the application window, to the individual documents, to the divisions and pages of those documents and the information they contain, is represented in LotusScript by an object. Every object has a corresponding class which defines what the object is and how you can interact with it. We call these classes the Word Pro object model because, when seen as a whole, the classes form a model of the objects which comprise Word Pro, its features and documents. When you write a script, you can access and control any part of Word Pro that is represented by a class in the Word Pro object model.


Overview: Using LotusScript in Word Pro

The LotusScript language works the same way in all Lotus applications. However,  Word Pro gives you its own access to LotusScript, dialog boxes, and a script recorder. The following topics explain some of the basic concepts of how to use LotusScript effectively in Word Pro:

Overview: Word Pro scripts

Overview: Startup scripts

Overview: Recording a script

Playing a script

Playing an Ami Pro 3.x macro

Displaying the Script Editor

Attaching a script to an icon

Attaching a script to a ClickHere block

Creating custom dialog boxes

While using the Word Pro Reference Help, you may encounter terminology with which you are not familiar. For your convenience, many of these terms are defined and explained in the following topics:

Overview: Word Pro LotusScript Object Model

Overview: Word Pro LotusScript Object References

Overview: Word Pro LotusScript Units Of Measurement

Overview: Word Pro LotusScript Collection Classes

Overview: Word Pro LotusScript Enumerated Values

Overview: Word Pro LotusScript Abstract Classes

Overview: Word Pro LotusScript Object Containment

Overview: Word Pro LotusScript Class Hierarchy and Inheritance


Overview: Word Pro LotusScript Abstract Classes

Word Pro uses a number of classes, such as BaseObject, Application, and Layout, as a starting point for a group of similar classes, or as a means of passing class members onto an entire group of classes. For example, the BaseObject class serves only one purpose in the Word Pro object model. It provides a set of six basic properties which are then inherited by every single class in the Word Pro object model. The Application class is an abstract class which provides a basic set of properties, methods, and events, which are shared by all Lotus applications. The Layout class provides a basic set of class members which is shared by all its derived classes, including PageLayout, FooterLayout, HeaderLayout, TableLayout, and FrameLayout.

The concept of using one class as the basis for a group of other classes is known as inheritance. When a class gets a set of class members from another class, it is said to inherit those class members. You can tell the origin of class members by looking at the Base Classes and Derived Classes headings in a class definition.


Overview: Word Pro LotusScript Class Hierarchy and Inheritance

Classes based on other classes are said to be derived from the original class.


Overview: Word Pro LotusScript Collection Classes

Word Pro helps you keep track of objects by grouping those objects together in collection objects. Each collection object in Word Pro corresponds to one of the Word Pro object classes. Each object in a collection is said to be an item of that collection. For example, the TextDocumentCollection object contains all objects instantiated from the TextDocument class. Each TextDocument object is said to be an item of the TextDocumentCollection object. Grouping objects together in this fashion makes it easier to locate and access one or more objects of a particular class.

The Scope of Collections

Each collection object has a fixed scope which determines where the collection object derives its items. Most collections are limited to a particular division. For example, the FrameLayoutCollection object contains all the FrameLayout objects in a particular division in a document. Thus, if the document has three divisions, Word Pro maintains one FrameLayoutCollection for each division that contains a FrameLayout object.

To access an object through its collection, you must know which collection object contains the object(s) for which you are looking.

Accessing objects in a collection

You can access objects in a collection in one of two ways:

Iteration - Using the ForAll statement to access every object in turn by stepping through the entire collection.

Indexing - Using the Item method or the indexing syntax to access one specific object in a collection.

In both iteration and indexing, you access the object(s) through the corresponding collection object.


Overview: Word Pro LotusScript Enumerated Values

Many properties and methods in Word Pro make use of enumerated lists of values. These lists of values serve two purposes:

•	They define the legal values for a property or method parameter.

•	They provide textual and numeric constants for those legal values.

For example, the AlignmentType property has only nine legal values. They are represented in LotusScript by the following constants:

$LtsAlignmentSmart

$LtsAlignmentLeft

$LtsAlignmentRight

$LtsAlignmentHorizCenter

$LtsAlignmentJustify

$LwpAlignmentTypeJustifyall

$LwpAlignmentTypeNumericleft

$LwpAlignmentTypeNumericright

$LwpAlignmentTypeAlignRevert

Each constant corresponds to a different alignment setting for the AlignmentType property. However, these constants can only be used within the confines of LotusScript and they require more keystrokes than their numeric equivalents (which are seen in parentheses below):

$LtsAlignmentSmart (1056964612)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

$LwpAlignmentTypeAlignRevert (8)

Depending on your needs and your preference, you can use either the textual constant or its numeric equivalent. If you call the property or method from a non-Lotus application, you must use the numeric constant.

The data type for a property or parameter which has an enumerated list of values is always Variant. This allows you to use either the textual constant or its numeric equivalent.

Note	Many properties, method parameters, and method return values in the Word Pro LotusScript object model are limited to -1 or 0, and will accept the LotusScript constants, True and False, in place of the integers, -1 and 0. These are not enumerated values. They are Boolean expressions that have a data type of Integer. The constants, True and False, can be used anywhere to take the place of -1 and 0. In contrast, enumerated constants can only be used as values in those properties and parameters which list them as legal values.

Bitmasks

Word Pro also employs a second kind of enumerated constant, called a "bitmask." Like the enumerated value described above, a bitmask limits the number of legal values for a property or a parameter. A bitmask also provides both a textual and a numeric constant that you can use interchangeably. However, in a bitmask, you can often combine the constants as a means of achieving a combined result in the property or parameter.

For example, a property might use a bitmask which defined four constants as seen below:

LwpStartOnNewPage (&H0)

LwpStartOnCurrentPage (&H1)

LwpIncludePrevHeader (&H20)

LwpIncludePrevFooter (&H10)

You could use one of these constants to achieve one of the effects, or you could combine constants to get a combined result. For example, the following combination would start something on a new page and would include the previous header and footer:

LwpStartOnNewPage OR LwpIncludePrevHeader OR LwpIncludePrevFooter

We use the OR operator to combine bitmask constants. This combination of the hexadecimal equivalents can do the same thing:

&H0 OR &H20 OR &H10

Some bitmasks have constants which are mutually exclusive. This means they cannot be combined. In the example above, the first two constants would be mutually exclusive because the first constant starts something on a new page, while the second constant starts the same thing on the current page.

You cannot use the textual constants unless you include the contents of the file named "WPBITMSK.LSS" in the Declarations section of your script. WPBITMSK.LSS provides the link between the hexidecimal bitmask constant and its textual equivalent. Even if you include this file in the Declarations section, you cannot use the textual constant from another application through OLE automation. OLE automation always requires the use of the hexadecimal constant. Word Pro always returns the hexidecimal constant from properties that employ bitmasks.

To include the wpbitmask.lss file, place the following statement in the Declarations script of the !Globals object.

%include "wpbitmsk.lss"


Overview: Word Pro LotusScript Object Containment

In Word Pro, you will encounter many objects that are contained in the properties of other objects. For example, when you create a frame in Word Pro, that frame is represented in LotusScript by a FrameLayout object. That FrameLayout object has a number of properties. Some of those properties contain strings, or integers. Thus, when you want to set the name of the frame, you can use the following statement:

.Frame.Layout.Name = "BlueFrame"

But other properties on that FrameLayout object contain smaller objects which are part of the frame you created. For example, the Background property on your FrameLayout object contains a Background object. When you want to manipulate the background of your frame, you use that Background object. Thus, you can set the fill pattern for the background of the frame to a horizontal bar pattern, as follows:

.Frame.Layout.Background.Pattern = "$LtsFillHorizBar"

But the chain of containment doesn't end there. The Background object also has the Color and BackColor properties which contain Color objects. The Color object in the Color property lets you control the color of the fill pattern in the background of the frame. The Color object in the BackColor property lets you control the color of the null space behind the fill pattern. Thus, if you wanted to set the color of the horizontal bars to red and the space behind them to white, you can use the following code:

.Frame.Layout.Background.Color.SetRGB(255,0,0)

.Frame.Layout.Background.BackColor.SetRGB(0,0,0)

The Word Pro object model is structured so that many objects are comprised of smaller objects that are contained in the properties of the larger object. This containment of objects gives you much finer control over Word Pro and all its parts.

The focus in contained objects

When an object has the focus, the object (or objects) which contain that object share the focus with that object. For example, when the insertion point is in a table cell, the cell has the focus. But the cell shares the focus with the table that contains the cell, and the WordPro object shares the focus with the Table object. This can affect which properties and methods will be available to you at any given time. Thus, you must bear in mind both the focus and the containment of an object when using leading dot notation to reference an object.

For example, if you use the leading dot to call the Parent property while the CellLayout object has the focus, you get the CellContainer object for that CellLayout. However, if you changed the focus by selecting the table and used the same statement, the leading dot would return the WPApplication object because the Parent property for the Table contains a reference to WPApplication.


Overview: Word Pro LotusScript Object References

Each time Word Pro creates a LotusScript object, it uses that object's class to define exactly how much access you have to an object. How much of an object you can see and what you can do with that object is all determined by the class definition. The class defines properties to give you access to an object's attributes, methods to give you special tools for manipulating the object, and events which allow you to run certain scripts when an event occurs in a specific object. When you use LotusScript to access and manipulate the object, your actions are passed on to the part of the application represented by that object.

The syntax descriptions for properties and methods include "[objectreference.]" at the beginning of the syntax. When you use a property or method in a script statement, you must replace "[objectreference.]" with a reference to the object that contains or defines the property or method you are using.

For example, the syntax for the AlignmentType property is described as follows:

[objectreference].AlignmentType

The AlignmentType property is defined as part of the Alignment class. Therefore, the AlignmentType property is always part of an Alignment object. When you use the AlignmentType property in a statement, you must include a reference to its Alignment object as seen in the following statement.

.Text.Alignment.AlignmentType

The Alignment object is always contained by another object (such as Text). Therefore, you must include the containing object as part of your object reference. The amount of information required in an object reference depends on two factors:

•	the object or objects which have focus

•	the number of objects within the focus which match the object reference

How the focus affects the object reference

The focus is usually defined as the place in an application which is currently active. For example, when your cursor is in a Word Pro document and that document is active, we say the document has the focus. When you save the document and the Save dialog box opens, we say the dialog box has the focus. There are even more subtle differences in focus. For example, when you move your cursor from the page of your document into a frame, you again change the focus. When you move from the frame to a table, you change the focus again. In each case, you may notice that the menus, SmartIcons, status bar, and even the cursor itself change, depending on what part of Word Pro has the focus. The same holds true when you are runnning a script.

If you try to use a Text object method while a picture has the focus, you may get an error. If your focus is on a table and you try to check a property on a frame, you will get an error. That is why you must always provide enough of an object reference to specify exactly what object you are trying to access. While it is difficult to define exactly how much of an object reference is required in every situation, there are a few simple rules to keep in mind when referencing an object in a script.

•	If the object you are referencing will have the focus when you run the script, you can simply precede the property or method name with a dot (.). Word Pro always interprets a leading dot as the object with the current focus. For example, when a Text object has the focus, you can select the word which has the focus by using the Select method, without explicitly referencing the text object itself:

.Select(1749)

You can use a property using the same reference:

.SelectionHidden = True

•	If you want to access an object that is contained as a part of another object which has the focus (such as a Font object on a Text object), you must provide the name of the property which contains the object before calling the property or method. For example, while a Text object has the focus, you can reference the Font object in the Font property in this way:

.Font.FontName = "Helvetica"

Once again, Word Pro sees the leading dot and uses the focus to determine the object reference. Note that the focus in an application can only be placed in certain areas. You cannot place the focus on a Font object; thus you must provide an object reference to the Font object as seen in the example above.

Note	When an object is stored in the property of another object, we say the first object is contained by the second object. For more information about object containment, see Overview: Word Pro LotusScript Object Containment.

•	Another means of accessing objects which don't have the focus is through the WordPro object (created from WPApplication class). The WordPro object provides direct or indirect access to nearly every part of  the Word Pro application. Even when your focus is on a Text object, you can use the Application property on that Text object to access the WordPro object, and thus the rest of the objects in Word Pro. For example, you can get to the background color of a frame even while the focus remains in a Text object, using the following syntax.

.Application.Divisions(itemreference).Foundry.Frames(itemreference).Background.BackColor.SetRGB (255,255,255)

Note the use of the properties, Divisions and Frames, in the example above. These properties contain collection objects, each of which serves as a storage area for a particular class of objects. Divisions has a data type of DivisionCollection and contains all the Division class objects in the active document. Frames has a data type of FrameLayoutCollection and contains all the FrameLayout class objects per division. See Overview: Word Pro LotusScript Collection Classes for more information on collections.


Overview: Word Pro LotusScript Units Of Measurement

Word Pro uses a number of different units of measurement in its LotusScript object model. Some properties and methods accept inches, while others may accept points or twips or units.

The following list of equivalent values may be useful in determining the appropriate value to use.

Inch equivalents

1 inch = 72 points

1 inch = 1440 twips

1 inch = 4718592 units

Point equivalents

1 point = 1/72"

1 point = 20 twips

1 point = 65536 units

Twip equivalents

1 twip = 1/1440"

1 twip = 1/20 point

1 twip = 3276.8 units

Unit equivalents

1 unit = 1/4718592"

1 unit = 1/65536 point

1 unit = 1/3276.8 twips


Overview: Word Pro Menu Command IDs

Below is the list of constants for the Word Pro menu command IDs. You can use either the text constant or the hexadecimal constant to identify a spceific Word Pro menu command.

LwpMenuFilemenu	&H64	LwpMenuMlFieldauto	&HE0
LwpMenuMfNew	&H65	LwpMenuMlFieldshowrlt	&HE1
LwpMenuMfOpen	&H66	LwpMenuMlFielddoauto	&HE2
LwpMenuMfSave	&H67	LwpMenuMlFieldremove	&HE3
LwpMenuMfSaveas	&H68	LwpMenuMlExechand	&H23E
LwpMenuMfRevert	&H69	LwpMenuMlIndexopts	&HE4
LwpMenuMfAppendtext	&H6A	LwpMenuHelpmenu	&H226
LwpMenuMfImport	&H6B	LwpMenuMhIdxhelp	&H227
LwpMenuMfFilemanage	&H6C	LwpMenuMhAbout	&H228
LwpMenuMfDocdesc	&H6D	LwpMenuMhMacrohelp	&H229
LwpMenuMfCreatedatafile	&H6E	LwpMenuMhCompatible	&H22B
LwpMenuMfPrint	&H6F	LwpMenuMhUsingHelp	&H33E
LwpMenuMfChgprinter	&H70	LwpMenuMhKeyboard	&H33F
LwpMenuMfExit	&H71	LwpMenuMhHowDoI	&H340
LwpMenuMfPrintreset	&H72	LwpMenuMhDoHelp	&H341
LwpMenuMfDde	&H73	LwpMenuMhForUpgraders	&H342
LwpMenuMfMergeaction	&H74	LwpMenuMhTutorial	&H345
LwpMenuMfJustprint	&H75	LwpMenuMhSearch	&H36F
LwpMenuMfStandalonep	&H147	LwpMenuMsControl	&H259
LwpMenuMfAllfldsrename	&H76	LwpMenuMsFileman	&H25A
LwpMenuMfPrintwrongpaper	&H77	LwpMenuMtTbllayout	&H272
LwpMenuMfPrintcancel	&H78	LwpMenuMtInscolrow	&H273
LwpMenuMfDummymrgsel	&H79	LwpMenuMtDelcolrow	&H274
LwpMenuMfDummymrgext	&H7A	LwpMenuMtEditfrmla	&H275
LwpMenuMfAsciiopts	&H7B	LwpMenuMtTbladd	&H276
LwpMenuMfCanprint	&H7C	LwpMenuMtHeading	&H277
LwpMenuMfFldrename	&H7D	LwpMenuMtTableinfobox	&H279
LwpMenuMfPrintopt	&H7E	LwpMenuMtSizecolrow	&H27A
LwpMenuMfSaveasnw	&H7F	LwpMenuMtConnect	&H27B
LwpMenuMfImportnw	&H80	LwpMenuMtSavefrmla	&H27D
LwpMenuMfDocdescnw	&H81	LwpMenuMtQuickaddrow	&H283
LwpMenuMfMasternw	&H82	LwpMenuMtQuickaddcol	&H284
LwpMenuMfNwimport	&H83	LwpMenuMtDelcolumn	&H285
LwpMenuMfMergeviewprint	&H84	LwpMenuMtDelrow	&H286
LwpMenuMfLastopen1	&H85	LwpMenuMtInsertrow	&H287
LwpMenuMfLastopen2	&H86	LwpMenuMtInsertcol	&H288
LwpMenuMfLastopen3	&H87	LwpMenuMtInsertaccel	&H289
LwpMenuMfLastopen4	&H88	LwpMenuMtDeleteaccel	&H28A
LwpMenuMfLastopen5	&H89	LwpMenuMtDeltable	&H28B
LwpMenuMfOpennostyle	&H8A	LwpMenuMtSelectcolumn	&H28C
LwpMenuMfMergelabels	&H8B	LwpMenuMtSelectrow	&H28D
LwpMenuMfOtherflds	&H8C	LwpMenuMtSelecttable	&H28E
LwpMenuMfImportpicture	&H8D	LwpMenuMtChgiconsize	&H28F
LwpMenuMfExport	&H8E	LwpMenuMtDisconnect	&H290
LwpMenuMfAttribnw	&H8F	LwpMenuMtSplitcells	&H291
LwpMenuMfCanmergeprint	&H92	LwpMenuMtSplittable	&H292
LwpMenuMfImporttext	&H98	LwpMenuMtPcolinscolrow	&H293
LwpMenuMfMergeprintopts	&H235	LwpMenuMtPcolinsertrow	&H294
LwpMenuMfClose	&H90	LwpMenuMtPcolinsertcol	&H295
LwpMenuMfCloseall	&H2DB	LwpMenuMtPcoldeltable	&H296
LwpMenuMfCloseallreplacelast	&H2DC	LwpMenuMtPcoldelcolumn	&H297
LwpMenuMfPassword	&H91	LwpMenuMtPcoldelrow	&H298
LwpMenuMfPassword2	&H122	LwpMenuMtPcolconnect	&H299
LwpMenuMfMasterdocument	&H2E0	LwpMenuMtPcoldisconnect	&H29A
LwpMenuMfClosefile	&H93	LwpMenuMtPcolsplitcells	&H29B
LwpMenuMfLock	&H94	LwpMenuMtPcolselectcolumn	&H29C
LwpMenuMfNextmdiwindow	&H2D7	LwpMenuMtPcolselectrow	&H29D
LwpMenuMfMail	&HE5	LwpMenuMtPcolselecttable	&H29E
LwpMenuMfMailNew	&H2E1	LwpMenuMtPcoldelcolrow	&H29F
LwpMenuMfMailread	&HE6	LwpMenuMtPcolheading	&H2A0
LwpMenuMfQuickopen	&HE7	LwpMenuMtCellinfobox	&H2A1
LwpMenuMfFilesep	&HEB	LwpMenuMtShowtablelineinfobox	&H2A2
LwpMenuMfSavecopyas	&H124	LwpMenuMtShowtablesizeinfobox	&H2A3
LwpMenuMfUpdateobject	&H125	LwpMenuMtCreatetablewithgrid	&H2A4
LwpMenuMfEditorgreet	&H2DD	LwpMenuMtShowpcollineinfobox	&H2A5
LwpMenuMfNewdivision	&H2DE	LwpMenuMtShowpcolsizeinfobox	&H2A6
LwpMenuMfOpendivision	&H2DF	LwpMenuMtSplitpcol	&H2A7
LwpMenuMfSaContinueRoute	&H2E2	LwpMenuMtPcolselectentiretable	&H2A8
LwpMenuMfSaRoute	&H2E3	LwpMenuMtSelectentiretable	&H2A9
LwpMenuMfSeldatafile	&H30C	LwpMenuMtSelectentirecellrange	&H2AA
LwpMenuMfMrgdelimit	&H30C	LwpMenuMtSelectentirepcolcellrange	&H2AB
LwpMenuMfMrgletter	&H30D	LwpMenuMtTabletopalign	&H2AC
LwpMenuMfMrgenvelope	&H312	LwpMenuMtTablecenteralign	&H2AD
LwpMenuMfMrggotorecord	&H30E	LwpMenuMtTablebottomalign	&H2AE
LwpMenuMfCreatedesc	&H30F	LwpMenuMtConnectrow	&H2AF
LwpMenuMfMrgsort	&H310	LwpMenuMtPcolconnectrow	&H2B0
LwpMenuMfCreatemerge	&H311	LwpMenuMtGotonextblock	&H2B1
LwpMenuMfEditdatafile	&H313	LwpMenuMtCellinfoboxmouse	&H2B2
LwpMenuMfUsecurasmrgdoc	&H314	LwpMenuMtTableinfoboxmouse	&H2B3
LwpMenuMfOpenandeditdatafile	&H315	LwpMenuMxRunrexx	&H2BB
LwpMenuMfOpenpreview	&H316	LwpMenuMxRunontime	&H2BC
LwpMenuMfNewpreview	&H317	LwpMenuMxHourglass	&H2D0
LwpMenuMxMergemacro	&H318	LwpMenuMxMacpause	&H2D1
LwpMenuMfMergeprintall	&H319	LwpMenuMxMacresume	&H2D2
LwpMenuMfMergeopen	&H31A	LwpMenuMxTimedelay	&H2D3
LwpMenuMlsRunscript	&H31B	LwpMenuMxTestforcancel	&H2D4
LwpMenuMlsCreatescript	&H35F	LwpMenuMxMacmessages	&H2D5
LwpMenuMlsCreatedialog	&H360	LwpMenuMxPreanswermsgbox	&H2D6
LwpMenuMlsCompile	&H365	LwpMenuMxMaccancel	&H2D8
LwpMenuMlsAutoapp	&H369	LwpMenuMxMaccontinue	&H2D9
LwpMenuMlsIdeStepIn	&H3C0	LwpMenuMxMacrovariables	&H2DA
LwpMenuMlsIdeStepOver	&H3C1	LwpMenuMxRunautonew	&H31E
LwpMenuMlsIdeStepExit	&H3C2	LwpMenuMxRunautoopen	&H31F
LwpMenuMlsIdeContinue	&H3C3	LwpMenuOutlinemenu	&H2EE
LwpMenuMlsIdeStop	&H3C4	LwpMenuMolPromote	&H2EF
LwpMenuMlsIdeSetBp	&H3C5	LwpMenuMolDemote	&H2F0
LwpMenuMlsIdeDisBp	&H3C6	LwpMenuMolMoveup	&H2F1
LwpMenuMlsIdeClearAll	&H3C7	LwpMenuMolMovedown	&H2F2
LwpMenuMlsIdeDisAll	&H3C8	LwpMenuMolExpand	&H2F3
LwpMenuMlsIdeBreakpoints	&H3C9	LwpMenuMolContract	&H2F4
LwpMenuMlsIdeBrowser	&H3CA	LwpMenuMolShowlevels	&H2F5
LwpMenuMlsIdeOutput	&H3CB	LwpMenuMolExpandsingle	&H2F6
LwpMenuMlsIdeVariables	&H3CC	LwpMenuMolContractsingle	&H2F7
LwpMenuMlsIdeCheckScript	&H3CD	LwpMenuMolUseoutlinestyle	&H2F8
LwpMenuMlsIdeNewSub	&H3CE	LwpMenuMolSetshowlevel1	&H2F9
LwpMenuMlsIdeNewFun	&H3CF	LwpMenuMolSetshowlevel2	&H2FA
LwpMenuMlsIdeDebug	&H3D0	LwpMenuMolSetshowlevel3	&H2FB
LwpMenuMlsIdeRedo	&H3D1	LwpMenuMolSetshowlevel4	&H2FC
LwpMenuMlsShowide	&H3D2	LwpMenuMolSetshowlevel5	&H2FD
LwpMenuMlsIdeImport	&H3D3	LwpMenuMolSetshowlevel6	&H2FE
LwpMenuMlsIdeExport	&H3D4	LwpMenuMolSetshowlevel7	&H2FF
LwpMenuMlsIdeScriptPref	&H3D5	LwpMenuMolSetshowlevel8	&H300
LwpMenuMlsIdeCloseWin	&H3D6	LwpMenuMolSetshowlevel9	&H301
LwpMenuMlsIdeToggle	&H3D7	LwpMenuMolSetshowlevel10	&H302
LwpMenuMlsIdePrevSub	&H3D8	LwpMenuMolOutstylesequence	&H2ED
LwpMenuMlsIdeNextSub	&H3D9	LwpMenuMtTabkey	&H320
LwpMenuMlsIdeTogglebp	&H3DA	LwpMenuMeDefpathsnw	&H324
LwpMenuMlsIdeCodeWindow	&H3DB	LwpMenuMvHidepicts	&H325
LwpMenuMlsIdeCheckAll	&H3DC	LwpMenuMvHidemarks	&H326
LwpMenuMlsIdeSaveLso	&H3DD	LwpMenuMvHidetabrack	&H327
LwpMenuMlsIdeShowicon	&H3E0	LwpMenuMvColguide	&H328
LwpMenuMlsIdeRuncursub	&H3E1	LwpMenuMvShowcleanscreen	&H348
LwpMenuMlsIdeHelpLs	&H3E2	LwpMenuMvFixediconbar	&H34A
LwpMenuMlsIdeHelpWp	&H3E3	LwpMenuMvViewlevel	&H34B
LwpMenuMlsIdeHelpSe	&H3E4	LwpMenuMtbChange	&H32A
LwpMenuMlsIdeHelpAbout	&H3E5	LwpMenuMtbTabbox	&H32B
LwpMenuMlsIdeInsertLso	&H3E6	LwpMenuMvVertruler	&H32E
LwpMenuMlRenumnotes	&H95	LwpMenuMvShownotes	&H330
LwpMenuEditmenu	&H96	LwpMenuMvShowtabsandreturns	&H332
LwpMenuMeUndo	&H97	LwpMenuMvOut2lay	&H334
LwpMenuMeCut	&H99	LwpMenuMfImportdraw	&H335
LwpMenuMeCopy	&H9A	LwpMenuMlMacroendrecord	&H336
LwpMenuMePaste	&H9B	LwpMenuMvLay2out	&H337
LwpMenuMeUndoredo	&H9C	LwpMenuMvSetpreferences	&H338
LwpMenuMePastelinks	&H9D	LwpMenuMrCreatelastframe	&H339
LwpMenuMeInsvariable	&H9E	LwpMenuMlQuickendrecord	&H33A
LwpMenuMeFootnotes	&HA0	LwpMenuMrUngroupframes	&H33B
LwpMenuMeNotes	&HA1	LwpMenuMlRevmarkingoff	&H33C
LwpMenuMeNotes20	&H11A	LwpMenuMlFieldhide	&H33D
LwpMenuMeDefaults	&HA2	LwpMenuMcExtracton	&H346
LwpMenuMeTypeover	&HA3	LwpMenuMdivDivisionproperties	&H34C
LwpMenuMeNbDefaults	&HA4	LwpMenuMdivNewdivision	&H34D
LwpMenuMeInsertdate	&HA5	LwpMenuMdivCombinedivisions	&H34E
LwpMenuMeAddmergevar	&HA6	LwpMenuMdivDeletedivision	&H34F
LwpMenuMeAdddocdescvar	&HA7	LwpMenuMdivExpanddivision	&H350
LwpMenuMxMdiswitch	&HA8	LwpMenuMdivGroupdivision	&H356
LwpMenuMeSeclevaction	&HA9	LwpMenuMsecSectionproperties	&H351
LwpMenuMeDefpaths	&HAA	LwpMenuMsecNewsection	&H352
LwpMenuMeFootopts	&HAB	LwpMenuMsecCombinesections	&H353
LwpMenuMeRedo	&HAC	LwpMenuMsecSelectsection	&H354
LwpMenuMeDocoptions	&HAD	LwpMenuMsecExpandsection	&H355
LwpMenuMeDefpath	&HAE	LwpMenuMtabSettabs	&H357
LwpMenuMeDefsty	&HAF	LwpMenuMtabCleartabs	&H358
LwpMenuMeDefback	&HB0	LwpMenuMtabLefttab	&H359
LwpMenuMeFootnoteinsert	&HB1	LwpMenuMtabRighttab	&H35A
LwpMenuMeInsertnote	&HB2	LwpMenuMtabCentertab	&H35B
LwpMenuMeDelete	&HB3	LwpMenuMtabNumerictab	&H35E
LwpMenuMeIndexentry	&HB4	LwpMenuMtabDefaulttabs	&H361
LwpMenuMeAddnote	&HB5	LwpMenuMtabRemoveruler	&H362
LwpMenuMeMergevar	&HB6	LwpMenuMtabHideruler	&H363
LwpMenuMeDescvar	&HB7	LwpMenuMtabQuickright	&H3DE
LwpMenuMeFormatcheckbar	&HB8	LwpMenuMtabQuickcenter	&H3DF
LwpMenuMePageup	&HB9	LwpMenuMrSetmarginsinfobox	&H366
LwpMenuMePagedown	&HBA	LwpMenuMfToggleinfobox	&H367
LwpMenuMeRevinsertion	&HBB	LwpMenuMfCreateversion	&H368
LwpMenuMeProtected	&HBC	LwpMenuMfCreateversionDivision	&H389
LwpMenuMeNohyphen	&HBD	LwpMenuMvViewversion	&H370
LwpMenuMeGetglosname	&HC6	LwpMenuMafidHelp	&H384
LwpMenuMeMacpath	&H11E	LwpMenuMafidNotfound	&H385
LwpMenuMeTocentry	&H343	LwpMenuMfMailNextstop	&H386
LwpMenuMeBullet	&H344	LwpMenuMfMailEditroute	&H387
LwpMenuMeMergedatafile	&H232	LwpMenuMergeScriptNotify	&H38E
LwpMenuMeMergeextdesc	&H234	LwpMenuFirstpopupid	&H39D
LwpMenuMeMergevarsdatafile	&H236	LwpMenuRenderformat	&H35C
LwpMenuMePastespecial	&H24C	LwpMenuRenderallformats	&H35D
LwpMenuMeInsertobject	&H24D	LwpMenuMcCommenttoolsOn	&H379
LwpMenuMeChangelink	&H24E	LwpMenuMnDeletenote	&H37A
LwpMenuMeUseworkpath	&H24F	LwpMenuMnClosenote	&H37B
LwpMenuMeSelectword	&H253	LwpMenuMnNextnote	&H37C
LwpMenuMeSelectsentence	&H254	LwpMenuMnPrevnote	&H37D
LwpMenuMeSelectparagraph	&H255	LwpMenuMcCommenttools	&H37E
LwpMenuMeSelectfile	&H256	LwpMenuMcHighnote	&H37F
LwpMenuMeRevisionmode	&H257	LwpMenuMnCloseall	&H380
LwpMenuMlDoccontrol	&H258	LwpMenuMnOpenall	&H381
LwpMenuMfSharedoccontrol	&H25A	LwpMenuMnDeleteall	&H382
LwpMenuMlDoccontrolEditorpanel	&H25B	LwpMenuMnShowinitials	&H383
LwpMenuMlDoccontrolExternal	&H25C	LwpMenuMnNumbernotes	&H384
LwpMenuMvViewversionExternal	&H25D	LwpMenuMfQuickprint	&H3B2
LwpMenuMfDocdescExternal	&H25E	LwpMenuMdDebugger	&H3E8
LwpMenuMfMrglabel	&H25F	LwpMenuMdDebugDoc	&H3E9
LwpMenuMfMrglettersetup	&H260	LwpMenuMdDebugPres	&H3EA
LwpMenuMfMrgenvelopesetup	&H261	LwpMenuMdDebugDivinfo	&H3EB
LwpMenuMfMrgviewprint	&H264	LwpMenuMdDebugCont	&H3EC
LwpMenuNwobjects	&HBE	LwpMenuMdDebugCol	&H3ED
LwpMenuMoOpennw	&HBF	LwpMenuMdDebugLine	&H3EE
LwpMenuMoCreatenw	&HC0	LwpMenuMdDebugVobj	&H3EF
LwpMenuMoListnw	&HC1	LwpMenuMdDebugHeap	&H3F0
LwpMenuMoLinksnw	&HC2	LwpMenuMdDebugMain	&H3F1
LwpMenuMoAttribnw	&HC3	LwpMenuMdDebugProf	&H3F2
LwpMenuViewmenu	&HC8	LwpMenuMdDebugVcnt	&H3F3
LwpMenuMvFit	&HC9	LwpMenuMdDebugDivision	&H3F4
LwpMenuMvWorking	&HCA	LwpMenuMdDebugLay	&H3F5
LwpMenuMv75	&H31C	LwpMenuMdDebugVermgr	&H3F6
LwpMenuMv150	&H31D	LwpMenuMdDebugVerctrl	&H3F7
LwpMenuMv100	&HCB	LwpMenuMdDebugDoclay	&H3F8
LwpMenuMv200	&HCC	LwpMenuMdDebugPara	&H3FA
LwpMenuMvSwitchiconstate	&HCD	LwpMenuMdDebugInfo	&H3FB
LwpMenuMvPagesort	&H303	LwpMenuMdDebugAtom	&H3FC
LwpMenuMvZoomoptions	&H304	LwpMenuMdDebugWrdarg	&H3FD
LwpMenuMvComment	&H306	LwpMenuMdDebugDwrdarg	&H3FE
LwpMenuMvShowheadfoot	&H307	LwpMenuMdDebugStrarg	&H3FF
LwpMenuMvCustom	&H305	LwpMenuMdDebugSline	&H400
LwpMenuMvFacingpages	&H308	LwpMenuMdDebugPhint	&H401
LwpMenuMvMultiplepages	&H309	LwpMenuMdDebugChint	&H402
LwpMenuMvPagemargin	&H30A	LwpMenuMdDebugMsgtrace	&H403
LwpMenuMvPagewidth	&H30B	LwpMenuMdDebugFoundry	&H404
LwpMenuMvSpecialview	&H323	LwpMenuMdDebugCounts	&H405
LwpMenuMvClearspecialview	&H371	LwpMenuMdDebugPresinfo	&H406
LwpMenuMvSynchronizeviews	&H364	LwpMenuMdDebugMeter	&H407
LwpMenuMvClearhighlight	&H36A	LwpMenuMdDebugStack	&H408
LwpMenuMvPreferences	&HCE	LwpMenuMdDebugPtrholder	&H409
LwpMenuMvTabrack	&HCF	LwpMenuMdDebugMemory	&H40A
LwpMenuMvFunctionbar	&HD0	LwpMenuMdDebugMemorydump	&H40B
LwpMenuMvChgsidebar	&HD1	LwpMenuMdDebugContent	&H40C
LwpMenuMvLayout	&HD2	LwpMenuMdDebugSilver	&H40D
LwpMenuMvDraft	&HD3	LwpMenuMdDebugVernode	&H40E
LwpMenuMvFacing	&HD4	LwpMenuMdDebugCheckpoint	&H40F
LwpMenuMvFacecancel	&HD6	LwpMenuMdDebugSocket	&H410
LwpMenuMvShowpicts	&HD7	LwpMenuMdDebugSfb	&H411
LwpMenuMvShowmarks	&HD8	LwpMenuMdDebugDemandload	&H412
LwpMenuMvPreferdefaults	&HD9	LwpMenuMdDebugNumberhint	&H413
LwpMenuMvOutline	&HDA	LwpMenuMdDebugDialog	&H414
LwpMenuMvFloatingicon	&HDB	LwpMenuMdDebugBack	&H415
LwpMenuMvLefticon	&HDC	LwpMenuMdDebugHeadtailholder	&H416
LwpMenuMvRighticon	&HDD	LwpMenuMdDebugNotifypersistent	&H417
LwpMenuMvTopicon	&HDE	LwpMenuMdDebugObjectholder	&H418
LwpMenuMvBottomicon	&HDF	LwpMenuMdDebugEnumobjhead	&H419
LwpMenuMvSmarticons	&HE8	LwpMenuMdDebugNotify	&H41A
LwpMenuMvFullscreen	&HE9	LwpMenuMdDebugNamedobjectholder	&H41B
LwpMenuMvFullscreenoptions	&HEA	LwpMenuMdDebugSection	&H41C
LwpMenuMvEditicon	&HEC	LwpMenuMdDebugFontmgr	&H41D
LwpMenuMfPrintenvelope	&HED	LwpMenuMdDebugSanity	&H41E
LwpMenuMvNexticonset	&HEF	LwpMenuMdDebugAtomWatch	&H41F
LwpMenuMvSaveicon	&HF0	LwpMenuMdDebugAtomCount	&H420
LwpMenuMvCreateicon	&HF1	LwpMenuMdDebugPieceCount	&H421
LwpMenuMvFullscreenstartup	&HF2	LwpMenuMdDebugObjectSizes	&H422
LwpMenuMvSectiontabs	&HF4	LwpMenuMdDebugTextstyle	&H423
LwpMenuCharmenu	&HFA	LwpMenuMdDebugEnd	&H44B
LwpMenuMcTextinfobox	&H11B	LwpMenuMkPageup	&H44C
LwpMenuMcTextinfoboxmouse	&H262	LwpMenuMkPagedown	&H44D
LwpMenuMcDrawinfoboxmouse	&H263	LwpMenuMcDooledragdrop	&H44E
LwpMenuMcFont	&HFB	LwpMenuMsMplMargins	&H514
LwpMenuMcNormal	&HFD	LwpMenuMsMplPage	&H515
LwpMenuMcBold	&HFE	LwpMenuMsMplFooter	&H516
LwpMenuMcItalic	&HFF	LwpMenuMsMplHeader	&H517
LwpMenuMcUnderline	&H100	LwpMenuMsMplLines	&H518
LwpMenuMcWordunder	&H101	LwpMenuMrMflType	&H578
LwpMenuMcLeft	&H103	LwpMenuMrMflSizepos	&H579
LwpMenuMcCenter	&H104	LwpMenuMrMflLines	&H57A
LwpMenuMcRight	&H105	LwpMenuMrMflColumnstabs	&H57B
LwpMenuMcJustify	&H106	LwpMenuMlSetmacrofile	&H5DC
LwpMenuMcAlignment	&H107	LwpMenuMlCompilemacro	&H5DD
LwpMenuMcCaps	&H108	LwpMenuMlMacrorun	&H5DE
LwpMenuMcIndentall	&HF7	LwpMenuMlMacroappend	&H5DF
LwpMenuMcIndentfirst	&HF8	LwpMenuMlPrototype	&H5E0
LwpMenuMcIndentrest	&HF9	LwpMenuMeSmartcorrect	&H5E1
LwpMenuMcExtract	&HF6	LwpMenuMrChart	&H5E2
LwpMenuMcMacrofastformat	&HEE	LwpMenuMrCharttodraw	&H5E3
LwpMenuMcFontrevert	&HF3	LwpMenuMmCascades	&H640
LwpMenuMcEnlargetext	&HFC	LwpMenuSubmenuInsert	&H640
LwpMenuMcReducetext	&HF5	LwpMenuMmFields	&H641
LwpMenuMcIndent	&H102	LwpMenuSubmenuMarktextas	&H642
LwpMenuMcOutdent	&H11C	LwpMenuSubmenuAlignment	&H643
LwpMenuMcBulletpanel	&H11D	LwpMenuMmCaps	&H644
LwpMenuMcNextfacename	&H3B6	LwpMenuMmMacros	&H647
LwpMenuMcNextalignment	&H3B7	LwpMenuSubmenuInsertsmartsum	&H649
LwpMenuMcNextattribute	&H3B8	LwpMenuMMailmemo	&H64A
LwpMenuMcNextbullet	&H3B9	LwpMenuMPrinttofile	&H64B
LwpMenuMcNextnumbering	&H3BA	LwpMenuSubmenuUsersetup	&H64C
LwpMenuMcNextstyle	&H3BB	LwpMenuSubmenuScripts	&H64D
LwpMenuMcDoubleunder	&H10E	LwpMenuMmShowoptions	&H64E
LwpMenuMcSuperscript	&H10F	LwpMenuSubmenuQuickdemo	&H64F
LwpMenuMcSubscript	&H110	LwpMenuSubmenuOtherhelpstuff	&H650
LwpMenuMcAllcaps	&H111	LwpMenuMmOtherframe	&H651
LwpMenuMfEnvelopeprint	&H112	LwpMenuMmOthertable	&H652
LwpMenuMcAlllower	&H11F	LwpMenuSubmenuOthertextstuff	&H653
LwpMenuMcInitcaps	&H120	LwpMenuSubmenuPriority	&H654
LwpMenuMcSmallcaps	&H121	LwpMenuMmOtherstuff	&H655
LwpMenuMcJustfont	&H116	LwpMenuSubmenuSelect	&H656
LwpMenuMcJustpointsize	&H117	LwpMenuSubmenuOtherdocpart	&H657
LwpMenuMcStrikethru	&H118	LwpMenuSubmenuAttributes	&H658
LwpMenuMcFastformat	&H123	LwpMenuSubmenuOutline	&H659
LwpMenuMcHighlight	&H126	LwpMenuSubmenuCollapse	&H65A
LwpMenuStylemenu	&H12C	LwpMenuSubmenuEdit	&H65B
LwpMenuMsCreate	&H12D	LwpMenuSubmenuDebug	&H65C
LwpMenuMsStylemanage	&H12F	LwpMenuSubmenuDocprops	&H65D
LwpMenuMsChgstyle	&H130	LwpMenuSubmenuZoomto	&H65E
LwpMenuMsSavestyle	&H131	LwpMenuSubmenuShowhide	&H65F
LwpMenuMsSelectstyle	&H132	LwpMenuSubmenuOtherviewstuff	&H660
LwpMenuMsOutlinestyle	&H140	LwpMenuSubmenuNamedstyles	&H661
LwpMenuMsStylemanageinit	&H141	LwpMenuSubmenuDelete	&H662
LwpMenuMsStylemanageaction	&H142	LwpMenuSubmenuFile	&H663
LwpMenuMsChangestylename	&H143	LwpMenuSubmenuView	&H664
LwpMenuMsDefinestyle	&H144	LwpMenuSubmenuTeammail	&H665
LwpMenuMsModcreatestyle	&H145	LwpMenuSubmenuEditmodemenu	&H666
LwpMenuMsStylemanagefinish	&H146	LwpMenuSubmenuDebugmodemenu	&H667
LwpMenuMsRedefinestyle	&H150	LwpMenuSubmenuHelp	&H668
LwpMenuMsMargins	&H148	LwpMenuCreatemenu	&H672
LwpMenuMsPagesettings	&H149	LwpMenuParallelstylemenu	&H67A
LwpMenuMsApply	&H14A	LwpMenuEnvAddress	&H67D
LwpMenuMsStylemru1	&H14B	LwpMenuEnvSave	&H681
LwpMenuMsStylemru2	&H14C	LwpMenuEnvPrint	&H682
LwpMenuMsStylemru3	&H14D	LwpMenuMfCreatetabdivision	&H686
LwpMenuMsStylemru4	&H14E	LwpMenuMfCreatedivision	&H683
LwpMenuMrManualtable	&H14F	LwpMenuMeTocassist	&H684
LwpMenuMrFrameanchorinfobox	&H187	LwpMenuMpNewsection	&H685
LwpMenuMrFramelineinfobox	&H188	LwpMenuMtInsertclickhere	&H687
LwpMenuMrFramebackinfobox	&H189	LwpMenuMcTextlinepanel	&H688
LwpMenuMrFramegfxinfobox	&H18A	LwpMenuMvOtherviewstuff	&H689
LwpMenuMrFrametopalign	&H18B	LwpMenuMoApplystyle	&H68A
LwpMenuMrFramecenteralign	&H18C	LwpMenuMsFramecreate	&H68B
LwpMenuMrFramebottomalign	&H18D	LwpMenuMsFrameredefinestyle	&H68C
LwpMenuMrDeleteframe	&H18F	LwpMenuMsTablecreate	&H68D
LwpMenuPagemenu	&H15E	LwpMenuMsTableredefinestyle	&H68E
LwpMenuMpCreatelayout	&H15F	LwpMenuMsTablecellcreate	&H68F
LwpMenuMpModifylayout	&H160	LwpMenuMsTablecellredefinestyle	&H690
LwpMenuMpTabs	&H163	LwpMenuMvShowmisspelled	&H691
LwpMenuMpPagenum	&H164	LwpMenuMtDelrowacc	&H692
LwpMenuMpPagebreak	&H166	LwpMenuMtCtrlretacc	&H693
LwpMenuMpLinenumber	&H167	LwpMenuMsQuickredefinestyle	&H694
LwpMenuMpHeadfoot	&H168	LwpMenuMtInsertrowacc	&H695
LwpMenuMpModlayoutinit	&H169	LwpMenuMrOleconvert	&H696
LwpMenuMpModlaypagesettings	&H16A	LwpMenuMrOleconvertandactivate	&H697
LwpMenuMpModlayrightfacepage	&H16B	LwpMenuMrFrameleft	&H698
LwpMenuMpModlayrightheaderfacepage	&H16C	LwpMenuMrFramecenter	&H699
LwpMenuMpModlayrightfooterfacepage	&H16D	LwpMenuMrFrameright	&H69A
LwpMenuMpModlayrightlines	&H16E	LwpMenuMrFramehorzspan	&H69B
LwpMenuMpModlayleftfacepage	&H16F	LwpMenuMrFramevertspan	&H69C
LwpMenuMpModlayleftheaderfacepage	&H170	LwpMenuMfNewanytab	&H69D
LwpMenuMpModlayleftfooterfacepage	&H171	LwpMenuMfOdmaopen	&H69E
LwpMenuMpModlayleftlines	&H172	LwpMenuMfOdmainsert	&H69F
LwpMenuMpDellayout	&H175	LwpMenuMfOdmaconvert	&H6A0
LwpMenuMpRevertlayout	&H176	LwpMenuMfOdmasaveas	&H6A1
LwpMenuMpInslayout	&H177	LwpMenuMfOdmaexternalize	&H6A2
LwpMenuMpModlayoutfinish	&H178	LwpMenuMfOdmaexport	&H6A3
LwpMenuMpHeaderfootergoto	&H179	LwpMenuMrOleverb	&H6A4
LwpMenuMpMacinslayout	&H17A	LwpMenuMrOleverbmax	&H707
LwpMenuMpParallel	&H17B	LwpMenuMrOledivtabverb	&H708
LwpMenuMpPcolinfobox	&H17C	LwpMenuMrOledivtabverbmax	&H76B
LwpMenuMpPageproperties	&H17D	LwpMenuMtSelectcell	&H76C
LwpMenuMpCreate	&H17E	LwpMenuMtPcolselectcell	&H76D
LwpMenuMpNewpagestyle	&H17F	LwpMenuMpColumnbreak	&H76E
LwpMenuMpHeaderproperties	&H180	LwpMenuMeViewtablegrid	&H76F
LwpMenuMpFooterproperties	&H181	LwpMenuMeViewtableheading	&H770
LwpMenuMpPagepropertiesmouse	&H182	LwpMenuMeViewpcolguides	&H771
LwpMenuMpFooterpropertiesmouse	&H183	LwpMenuMeViewmarginguides	&H772
LwpMenuMpHeaderpropertiesmouse	&H184	LwpMenuMeViewpagegauge	&H773
LwpMenuMpPcolinfoboxmouse	&H185	LwpMenuMeViewshowallmarks	&H774
LwpMenuFramemenu	&H190	LwpMenuMeViewhideallmarks	&H775
LwpMenuMrFrametext	&H192	LwpMenuMtTableleft	&H776
LwpMenuMrScale	&H193	LwpMenuMtTablecenter	&H777
LwpMenuMrGroupframes	&H194	LwpMenuMtTableright	&H778
LwpMenuMrFrameinfobox	&H195	LwpMenuMtTablehorzspan	&H779
LwpMenuMrBringtofront	&H197	LwpMenuMtGotoinfobox	&H77A
LwpMenuMrSendtoback	&H198	LwpMenuMhTour	&H77B
LwpMenuMrAdd	&H199	LwpMenuMfCreateoledivision	&H77D
LwpMenuMrSendbackone	&H19A	LwpMenuMfToggleclickhereprompts	&H77E
LwpMenuMrDrawingicon	&H19B	LwpMenuMcToggleskipbullet	&H77F
LwpMenuMrChartingicon	&H19C	LwpMenuMlSkipmisspelledword	&H780
LwpMenuMrCreateframe	&H19D	LwpMenuMlSkipallmisspelledword	&H781
LwpMenuMrAddframewithdlg	&H19E	LwpMenuMlAddtouserdictionary	&H782
LwpMenuMrFramedefaults	&H19F	LwpMenuMlTogglebubblehelp	&H783
LwpMenuMrFramelines	&H1A0	LwpMenuMfPlainnew	&H784
LwpMenuMrFrametype	&H1A1	LwpMenuMvToggleshowanchors	&H785
LwpMenuMrFrameborders	&H1A2	LwpMenuMvNextnewestversion	&H786
LwpMenuMrFramecolumns	&H1A3	LwpMenuMvMostrecentversion	&H787
LwpMenuMrModframereflow	&H1A4	LwpMenuMvOldestversion	&H788
LwpMenuMrModframeinit	&H1A5	LwpMenuMcJustifyall	&H789
LwpMenuMrBringfrontone	&H186	LwpMenuMcClosegraphicole	&H78A
LwpMenuMrSelectframe	&H18E	LwpMenuMfFramerevert	&H78B
LwpMenuMrEquationsicon	&H1A7	LwpMenuMtCellrevert	&H78C
LwpMenuMrImageprocessing	&H1A8	LwpMenuMfOpentabdivision	&H78D
LwpMenuMrFrameinfoboxmouse	&H26C	LwpMenuMfNewtabdivision	&H78E
LwpMenuMrFramelineinfoboxmouse	&H26D	LwpMenuMtInsertclickherelink	&H78F
LwpMenuMrFramebackinfoboxmouse	&H26E	LwpMenuMtEditclickherelink	&H790
LwpMenuMrFramegfxinfoboxmouse	&H26F	LwpMenuMsecDeletesection	&H79D
LwpMenuMrFrameanchorinfoboxmouse	&H270	LwpMenuMfExternalfileexit	&H79E
LwpMenuMrExpert	&H38F	LwpMenuMfExternalfilesavedivision	&H79F
LwpMenuMrExpertmax	&H39C	LwpMenuMfFtpopen	&H7A0
LwpMenuMrWppack	&H15D	LwpMenuMfFtpinsert	&H7A1
LwpMenuMrAfid	&H1A9	LwpMenuMfFtpconvert	&H7A2
LwpMenuMrAfidmax	&H1C1	LwpMenuMfFtpsaveas	&H7A3
LwpMenuToolmenu	&H1C2	LwpMenuMfFtpexternalize	&H7A4
LwpMenuMlSearch	&H1C3	LwpMenuSubmenuInternet	&H7A5
LwpMenuMlGoto	&H1C4	LwpMenuMfFtpoptions	&H7A6
LwpMenuMlSpellopts	&H1C5	LwpMenuMfOdmashowattributes	&H7A7
LwpMenuMlUserdict	&H1C6	LwpMenuMrRuby	&H7A8
LwpMenuMlThesaurus	&H1C7	LwpMenuMfFtpopendivision	&H7A9
LwpMenuMlSort	&H1C8	LwpMenuMfFtpopenurl	&H7AA
LwpMenuMlTables	&H1C9	LwpMenuIbShowfrommenu	&H7AB
LwpMenuMlGotolast	&H1CA	LwpMenuMoHideinfobox	&H7AC
LwpMenuMlSpellopts2	&H1CB	LwpMenuMfWelcome	&H7AD
LwpMenuMlRevmarkoptions	&H1CD	LwpMenuWp5Expert	&H7AE
LwpMenuMlToc	&H1CE	LwpMenuWp6Expert	&H7AF
LwpMenuMlAssignmacro	&H1CF	LwpMenuWpWelcome	&H7B0
LwpMenuMlMacros	&H1D0	LwpMenuMsQuickredefineframestyle	&H7B1
LwpMenuMlMacroaccel	&H1A6	LwpMenuMsQuickredefinetablestyle	&H7B2
LwpMenuMlGeneratetoc	&H1D1	LwpMenuMsQuickredefinecellstyle	&H7B3
LwpMenuMlIndexnextfile	&H119	LwpMenuMsQuickredefinetextstyle	&H7B4
LwpMenuMlBookmark	&H1D2	LwpMenuMeInsertsymbol	&H7B5
LwpMenuMlGlossary	&H1D3	LwpMenuMeWordcount	&H7B6
LwpMenuMlGlosset	&H1D4	LwpMenuMeDropcaps	&H7B7
LwpMenuMlMacpause	&H1D5	LwpMenuMfOdmaimportpicture	&H7B8
LwpMenuMlGenerateindex	&H1D6	LwpMenuMrOleobjectinfobox	&H7B9
LwpMenuMlSpelladddict	&H1D7	LwpMenuMcInternettoolson	&H7BA
LwpMenuMlSpellskipall	&H1D8	LwpMenuMcInternettools	&H7BB
LwpMenuMlSpellreplace	&H1DA	LwpMenuMhLotushomepage	&H7BC
LwpMenuMlSpell	&H1DB	LwpMenuMhLotussupport	&H7BD
LwpMenuMlSpellinit	&H1DC	LwpMenuMhLotusftpsite	&H7BE
LwpMenuMlSpellcheck	&H1DD	LwpMenuMrLinkframes	&H7BF
LwpMenuMlSpellcancel	&H1DE	LwpMenuMrUnlinkframes	&H7C0
LwpMenuMlSpellskip	&H1DF	LwpMenuMfMrgwelcome	&H7C1
LwpMenuMlReplace	&H1E0	LwpMenuMfHtmloptions	&H7C2
LwpMenuMlChglang	&H1E1	LwpMenuMcUpdateindex	&H7C3
LwpMenuMlRenumseq	&H1E2	LwpMenuMcUpdatetoc	&H7C4
LwpMenuMlSrattrs	&H1E5	LwpMenuMvDesignmode	&H7C5
LwpMenuMlRepopts	&H1E6	LwpMenuMfNosopen	&H7C6
LwpMenuMlSropts	&H1E7	LwpMenuMfNossaveas	&H7C7
LwpMenuMlSearchonly	&H1E8	LwpMenuMfMailSendmessage	&H7C8
LwpMenuMlMacplay	&H1E9	LwpMenuMcInsertdefnumber	&H7C9
LwpMenuMlMacassign	&H1EA	LwpMenuMcInsertdefbullet	&H7CA
LwpMenuMlMacdde	&H1EB	LwpMenuMeTogglesmartselect	&H7CB
LwpMenuMlMactype	&H1EC	LwpMenuMcCreateobjectviewer	&H7CC
LwpMenuMlCall	&H1ED	LwpMenuMcCreateobjectcomment	&H7CD
LwpMenuMlSammy2	&H1EE	LwpMenuMcCreateobjectdraw	&H7CE
LwpMenuMlTocopts	&H1EF	LwpMenuMcCreateobjectschedule	&H7CF
LwpMenuMlSrfindmatch	&H1F0	LwpMenuMcCreateobjectspreadsheet	&H7D0
LwpMenuMlSrreplacethenfind	&H1F1	LwpMenuMcCreateobjectchart	&H7D1
LwpMenuMlSrcancel	&H1F2	LwpMenuMhInternetsearch	&H7D2
LwpMenuMlSrinit	&H1F3	LwpMenuMhLotussmartsuite	&H7D3
LwpMenuMlDoccompare	&H1F4	LwpMenuMcClickherekeyword	&H7D4
LwpMenuMlMacroedit	&H1F5	LwpMenuMfPublishweb	&H7D5
LwpMenuMlMacroplay	&H1F6	LwpMenuMlCrossreference	&H7D6
LwpMenuMlMacrorecord	&H1F7	LwpMenuMtabHidevertruler	&H7D7
LwpMenuMlMacrooptions	&H1F8	LwpMenuMpUpdateheaders	&H7D8
LwpMenuMlQuickrec	&H1F9	LwpMenuMpUpdatefooters	&H7D9
LwpMenuMlQuickplay	&H1FA	LwpMenuMrRubyAbove	&HBB8
LwpMenuMlGrammar	&H1FB	LwpMenuMrRubyBelow	&HBB9
LwpMenuMlGrammaropts	&H1FC	LwpMenuMrRubyDelete	&HBBA
LwpMenuMlGrammarstart	&H1FD	LwpMenuMxMinmacromenu	&H2328
LwpMenuMlGrammarinit	&H1FE	LwpMenuMxMaxmacromenu	&H238B
LwpMenuMlModcreaterule	&H1FF	LwpMenuMrAfidmenu	&H2710
LwpMenuMlGrammarnext	&H200	LwpMenuMrAfidmenumax	&H3E80
LwpMenuMlGrammarcancel	&H201	LwpMenuMaNotesflow	&H3E81
LwpMenuMlGrammarsugtext	&H202	LwpMenuMaNotesflowmax	&H3F48
LwpMenuMlGrammaroptionstext	&H203	LwpMenuFcsTextmenu	&H0
LwpMenuMlGrammarchange	&H204	LwpMenuFcsFramemenu	&H1
LwpMenuMlGrammarstats	&H205	LwpMenuFcsFrametextmenu	&H2
LwpMenuMlIconpath	&H206	LwpMenuFcsTabletextmenu	&H3
LwpMenuMlCyclekeysetup	&H207	LwpMenuFcsFramegraphicmenu	&H4
LwpMenuMlSmartfill	&H208	LwpMenuFcsPowerfieldmenu	&H5
LwpMenuMlNewspell	&H209	LwpMenuFcsParallelcoltextmenu	&H6
LwpMenuMlRevisionbar	&H20A	LwpMenuFcsDivisionmenu	&H7
LwpMenuMlToa	&H20B	LwpMenuFcsSectionmenu	&H8
LwpMenuWindowmenu	&H4	LwpMenuFcsTablemenu	&H9
LwpMenuMwNewwindow	&H20D	LwpMenuFcsParallelcolmenu	&HA
LwpMenuMwTilewindow	&H20E	LwpMenuFcsTablegraphicmenu	&HB
LwpMenuMwCascadewindow	&H20F	LwpMenuFcsParallelcolgraphicmenu	&HC
LwpMenuMwStartoffiles	&H210	LwpMenuFcsHeadermenu	&HD
LwpMenuMwTilewindowhorz	&H246	LwpMenuFcsFootermenu	&HE
LwpMenuMwSplitvertwindow	&H251	LwpMenuFcsRulermenu	&HF
LwpMenuMwSplithorzwindow	&H252	LwpMenuFcsNotemenu	&H10
LwpMenuMwEndoffiles	&H224	LwpMenuFcsOutlinemenu	&H11
LwpMenuMwFilesseparator	&H225	LwpMenuFcsOledivisionmenu	&H12
LwpMenuMlMacresume	&H22A	LwpMenuFcsFramechartmenu	&H13
LwpMenuMlReviewrevs	&H22D	LwpMenuFcsTablechartmenu	&H14
LwpMenuMlRevacceptall	&H36B	LwpMenuFcsParallelcolchartmenu	&H15
LwpMenuMlRevcancelall	&H36C	LwpMenuFcsTablecornermenu	&H16
LwpMenuMlRevaccept	&H36D	LwpMenuFcsTablerowmenu	&H17
LwpMenuMlRevcancel	&H36E	LwpMenuFcsTablecolumnmenu	&H18
LwpMenuMlField	&H238	LwpMenuFcsVertrulermenu	&H19
LwpMenuMlFieldnext	&H239	LwpMenuFcsRubymenu	&H1A
LwpMenuMlFieldprev	&H23A	LwpMenuFcsFootnotetextmenu	&H28
LwpMenuMlFieldeval	&H23B	LwpMenuFcsIndextextmenu	&H29
LwpMenuMlFieldadd	&H23C	LwpMenuFcsToctextmenu	&H2A
LwpMenuMlFieldupdate	&H23D	LwpMenuFcsTablecornermenu	&H2B
LwpMenuMlFieldtog	&H10A	LwpMenuFcsTabletextmenu	&H2C
LwpMenuMlFieldupall	&H10B	LwpMenuFcsFrametextmenudropcap	&H2D
LwpMenuMlFieldlock	&H10C	LwpMenuFcsFramemenudropcap	&H2E
LwpMenuMlFieldsave	&H10D


Overview: Word Pro Text Subobjects

In Word Pro, text can appear in many places and in many forms including the text which flows from page to page or the text within a table cell or a frame. Each of these text streams is seen as a separate Text object. However, a Text object can be comprised of much more than simple ASCII text characters. A Text object may contain smaller items known as text subobjects.

such as paragraph markers, tabs, frames, tables, Comment Notes and much more. In fact, Word Pro can discern up to 25 distinct types of Text subobjects which are not classified as ASCII text. The total number of Text subobjects including ASCII text is 26.

You can detect the presence of any of these text subobjects when you call one of the following methods from a Text object:

GetText
Returns the Subobject Name for the subobject located at the cursor.

Next
Moves the caret to the next instance of the specified type of subobject.

Previous
Moves the caret to the previous instance of the specified type of subobject.

The Different Types of ASCII Text

While most of the Text subobjects represent special characters or markers, there is one subobject which represents ASCII text characters. This subobject is called Text and Word Pro uses the name Text to refer to any group of adjacent ASCII text characters which share the same attributes.

For example, the following sentence is a single Text object.

My summer vacation:[TAB]What a trip![EOP]

However, it is comprised of four distinct Text subobjects as seen in this table:

Subobject	Subobject Type
"My summer vacation:"	Text (plain)
[TAB]	Tab
"What a trip!"	Text (plain)
[EOP]	EOP (or End Of Paragraph)
Note the ASCII characters in the phrase "My summer vacation:". All the characters share the same attributes so Word Pro sees them as a single Text subobject of type Text. Word Pro is capable of detecting even the most subtle differences in ASCII text attributes. For example, if you apply the Bold attribute to a word, Word Pro sees that word as a distinct Text subobject which is separate from any adjacent subobjects. Therefore, the same sentence with different attributes would yield an entirely different result. For example:

My summer vacation:[TAB]What a trip![EOP]

This sentence would yield two more subobjects of type Text as seen in this table:

Subobject	Subobject Type
"My"	Text (bold)
" summer vacation:"	Text (plain)
[TAB]	Tab
"What"	Text (italic)
" a trip!"	Text (plain)
[EOP]	EOP (or End Of Paragraph)
In this example, Word Pro sees the words "My" and "What" as separate Text subobjects because one is Bold and the other is Italic. But that is only the beginning. There are many attributes which cannot be seen on the page. For example, if Word Pro does not recognize a word, it will mark that word as misspelled. That mark would cause Word Pro to see the word as a separate subobject of type Text.

The table below lists the many attributes which can be applied to ASCII text characters. When any combination of these attributes is applied to a group of adjacent ASCII text characters, Word Pro sees those characters as a separate Text subobject of type Text.

Attribute	Description
skipped
misspelled
hidden
grammar error
protected
no hyphen
double-word
highlighted
revision
language
font size
font face
color
character style
attributes
code page

The table below provides descriptions of each of these Text subobjects.

Subobject Name	Description
AnchoredFrame	A Frame which is placed "In Text", "In Text - Vertical", or "With Paragraph Above".
Bookmark	The Marker for either the Start or End of a Bookmark range.
ClickHereBlock	The Marker for either the Start or End of a ClickHereBlock.
ColumnBreak	A hard column break within a multi-column page layout. This is created by choosing Text - Insert Other and then Column Break.
DDE	The Marker for either the Start or End of a DDE link.
DocVariable	A DocInfo field
EOP	The marker at the End Of a Paragraph created by pressing ENTER.
FootnoteMark	The Marker for either the Start or End of a Footnote.
HardSpace	A non-breaking space created by pressing CTRL+Spacebar.
HKatakana	A special Asian language character. Seen in Asian language versions only.
Kanji	A special Asian language character. Seen in Asian language versions only.
LineBreak	A soft line break created by pressing SHIFT+ENTER.
Note	A Comment Note created by choosing Create - Comment Note.
PageBreak	A hard page break created by pressing CTRL+ENTER.
PageNumber	A page number created by choosing Text - Insert Page Number.
ParaNumber	The outline style sequence position number for a paragraph.
PowerField	The Marker for either the Start or End of a PowerField.
RubyFrame*	Available only in the Asian language version of Word Pro.
RubyMarker*	Available only in the Asian language version of Word Pro.
Section	A Section marker which defines the separation of two sections within a Word Pro document.
SoftHyphen	A hyphen which does not appear unless the hyphenated word flows to the end of a line where it would break naturally.
SpecialTab	SpecialTabs contain their own tab stop and alignment information. Normal Tab markers derive their tab stop and alignment information from the Ruler. SpecialTab markers are created in two ways: the InsertSpecialTab method or by importing a document from a file format which uses SpecialTabs (such as WordPerfect).
Tab	A normal Tab marker created by pressing TAB.
Table	A Table which is placed "In Text", "In Text - Vertical", or "With Paragraph Above".
Text	ASCII text characters. For details, see The Different Types of ASCII Text below.
Tombstone	A revision marker which displays the initials of the author of a particular revision.
UniCode	A special foreign-language type of character used in multi-language documents.
While most text subobjects are not represented in the Word Pro object model, there are eleven subobjects which have their own corresponding LotusScript classes. The table below lists these eleven subobjects and names the LotusScript classes which represent these subobjects:

Subobject Name	Class Name of Corresponding LotusScript Object
Table	TableLayout, SuperTableLayout
AnchoredFrame	FrameLayout
FootnoteMark	FootnoteLayout
Section	Section
Note	NoteLayout
Bookmark	BookMark
DDE	DdeLink
PowerField	PowerField
ClickHereBlock	ClickHere
RubyMarker	RubyMarker (Asian language versions only)
RubyFrame	RubyLayout (Asian language versions only)
If a subobject is represented by its own LotusScript class, you can control that subobject directly without going through the Text object. However, if the Text subobject does not have its own LotusScript class, the only way to manipulate the subobject is to go through the Text object which contains that subobject.

For example, In a sentence which contains ASCII text, a soft hyphen, and a Bookmark, you would use the Bookmark class to manipulate the Bookmark. However, there is no class for the soft hyphen so you would manipulate the soft hyphen by going through the Text object which contains that soft hyphen.


Overview: Word Pro Scalar Data Types

LotusScript recognizes the following scalar (numeric and string) data types:

Data type	Suffix	Value range	Size
Integer	%	-32,768 to 32,767Initial value: 0	2 bytes
Long	&	-2,147,483,648 to 2,147,483,647Initial value: 0	4 bytes
Single	!	-3.402823E+38 to 3.402823E+38Initial value: 0	4 bytes
Double	#	-1.7976931348623158+308 to 1.7976931348623158+308Initial value: 0	8 bytes
Currency	@	-922,337,203,685,477.5807 to 922,337,203,685,477.5807Initial value: 0	8 bytes
String	$	(String length ranges from 0 to 32K characters)Initial value: "" (empty string)	(2 bytes/character)

Besides these scalar data types, LotusScript supports the following additional data types and data structures:

Data type or structure	Description	Size
Array	An aggregate set of elements having  the same data type. An array can comprise up to 8 dimensions whose subscript bounds can range from -32768 to 32767. Initial value: Each element in a fixed array has an initial value appropriate to its data type.	Up to 64K bytes
List	A one-dimensional aggregate set whose elements have the same data type and are referred to by name rather than by subscript.	Up to 64K bytes
Variant	A special data type that can contain any scalar value, array, list, or object reference. Initial value: EMPTY	16 bytes
User-defined data type	An aggregate set of elements of possibly disparate data types. Comparable to a record in Pascal or a structure in C. Initial value: Member variables have initial values appropriate to their data type.	Up to 64K bytes
Class	An aggregate set of elements of possibly disparate data types together with procedures that operate on them. Initial value: When you create an instance of a class, LotusScript initializes its member variables to values appropriate to their data types, and generates an object reference to it.
Object reference	A pointer to an OLE Automation object or an instance of a product class or user-defined class. Initial value: NOTHING.	4 bytes
In each of the preceding tables, the specified storage size is platform-independent.


StrField Function

 See example

Extracts a string from within another string. Use this function to extract a string from a source string that contains two or more strings separated by a common character, such as a comma or a space.

Syntax

StrField(SourceString, FieldNum, Separator)

Elements

SourceString
A String containing two or more strings separated by the same character. The string "Seattle, WA;Atlanta, GA;Cambridge, MA;USA, All cities" contains four or more strings, depending on which separator character you use.

FieldNum
An Integer indicating the position of the string to be extracted. String positions are determined by the separator character specified in the Separator element. In the string "Seattle, WA;Atlanta, GA;Cambridge, MA;USA, All cities," a semicolon separator puts "Atlanta, GA" at position 2. Alternatively, a comma separator puts " WA;Atlanta" at position 2.

Separator
The character which separates the strings in the SourceString. In the string "Seattle, WA;Atlanta, GA;Cambridge, MA;USA, All cities," a semi-colon separator creates four strings and a comma separator creates five strings.

Return value

StrField returns a string.


Example: StrField Function

'This example script has not yet been created.


Overview: The LotusScript Language

LotusScript is an object-oriented programming language which is shared by most Lotus applications, including Lotus Word Pro. You can use LotusScript as you would a macro language, to automate tasks, gather information, and change the appearance and functionality of Word Pro. What makes LotusScript a better tool than a macro language is the fact that you can use it with most LotusSuite applications, including the latest releases of Word Pro, Lotus 1-2-3, Notes, Approach, and Freelance Graphics.

The LotusScript language is comprised of two kinds of language elements. To access and control a Lotus application and its documents or files, you must use both of these language elements:

•	Common elements which are shared by all Lotus applications:

These elements form the core of the LotusScript language. They provide the basic tools for constructing scripts, such as variables, syntax, statements, keywords, and standard data types. For more information on the core LotusScript language elements, see the LotusScript Language Reference or the complete on-line listing of core LotusScript language elements.

•	Product-defined classes which are specific to one Lotus application:

These classes are defined as part of a Lotus application. For more information on Lotus Word Pro's product-defined classes, see Overview: The Word Pro LotusScript Object Model.


Example: ColorOverride property
'Example: ColorOverride property

'This example script has not yet been created.


Example: Color property
'Example: Color property

'This example script has not yet been created.


Example: ColumnBalance property
'Example: ColumnBalance property

'This example script has not yet been created.


Example: ColumnGap property
'Example: ColumnGap property

'This example script has not yet been created.


Example: ColumnLayouts property
'Example: ColumnLayouts property

'This example script has not yet been created.


Example: ColumnNumber property
'Example: ColumnNumber property

'This example script has not yet been created.


Example: ColumnWidth property
'Example: ColumnWidth property

'This example script has not yet been created.


Example: CombineDivisions method
'Example: CombineDivisions method

' This example combines two divisions names 'Body' and 'Division' into one

' division.

' RUNTIME DEPENDENCIES: You must have a document open containing these two

' divisions for this script to work.

Dim DivIdName As String

Dim DivInfoName As String

Dim DivId1 As String

Dim DivId2 As String

'Get the hexadecimal id for the 'Body' division

DivInfoName = "Body"

Gosub GetDivId

DivId1 = DivIdName

'Get the hexadecimal id for the 'Division' division

DivInfoName = "Division"

Gosub GetDivId

DivId2 = DivIdName

'combine these two divisions into one using their hexadecimal ids.

.CombineDivisions DivId1, DivId2

Exit Sub

GetDivId:

Forall Div In   .ActiveDocument.Divisions

If (Ucase$(Div.Divisioninfo.Name) = Ucase$(DivInfoName)) Then

DivIdName = Div.Name

End If

End Forall

Return


Example: CombineSections method
'Example: CombineSections method

' This example inserts two sections and then combines them into the into the

' current division.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

Forall Section In .Division.Foundry.Sections

.CombineSections Section.Name

End Forall


Example: ComboBoxes method
'Example: ComboBoxes method

'This example script has not yet been created.


Example: CommentColor property
'Example: CommentColor property

'This example script has not yet been created.


Example: Company property
'Example: Company property

'This example script has not yet been created.


Example: CompareFiles method
'Example: CompareFiles method

' This example compares the current file with the filed named 'COMPARE.LWP'.

' RUNTIME DEPENDENCIES: You must have a document open and have a file named

' COMPARE.LWP located in the Word Pro default document directory.

FilePath = .ApplicationWindow.UserInterfacePrefs.DocPath & "\COMPARE.LWP"

Print FilePath

FileType = "Lotus Word Pro"

IsMultiDocs = False

IndexOfMultiDocToCompare = 0

.CompareFiles FilePath, FileType, IsMultiDocs, IndexOfMultiDocToCompare


Example: ConditionType property
'Example: ConditionType property

'This example script has not yet been created.


Example: Condition property
'Example: Condition property

'This example script has not yet been created.


Example: Configure method
'Example: Configure method

' This example displays the SmartIcon configuration dialog.

' RUNTIME DEPENDENCIES: None.

.ApplicationWindow.IconBarManager.Configure


Example: ConnectCells method
'Example: ConnectCells method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table style, selects the first column, and connects the cells.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.SelectColumn

.ConnectCells


Example: ConnectContainer method
'Example: ConnectContainer method

'This example script has not yet been created.


Example: ConnectedLayouts property
'Example: ConnectedLayouts property

'This example script has not yet been created.


Example: ConnectRows method
'Example: ConnectRows method

' This example creates a table with 4 rows and 5 columns, selects the first

' row, and connects the cells in that row.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.SelectRow

.ConnectRows


Example: ConnectSectionTabs method
'Example: ConnectSectionTabs method

' This example insert two section into the current division and then connects

' the section tabs which creates a new division making the currently selected

' division the child of the new division.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

.ApplicationWindow.SectionTabs.ConnectSectionTabs


Example: Connect method
'Example: Connect method

' This example creates a table with 4 rows and 5 columns, selects the entire

' table, and connects the cells.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.SelectTable

.Table.Connect


Example: ConsistencyCheck method
'Example: ConsistencyCheck method

' This example script has not yet been created.


Example: Container property
'Example: Container property

'This example script has not yet been created.


Example: ContentHeight property
'Example: ContentHeight property

'This example script has not yet been created.


Example: ContentName property
'Example: ContentName property

'This example script has not yet been created.


Example: ContentStyleName property
'Example: ContentStyleName property

'This example script has not yet been created.


Example: ContentType property
'Example: ContentType property

'This example script has not yet been created.


Example: ContentWidth property
'Example: ContentWidth property

'This example script has not yet been created.


Example: Content property
'Example: Content property

'This example script has not yet been created.


Example: ContextMenuOptions property
'Example: ContextMenuOptions property

'This example script has not yet been created.


Example: ContinuedFromAlignment property
'Example: ContinuedFromAlignment property

'This example script has not yet been created.


Example: ContinuedFromMessage property
'Example: ContinuedFromMessage property

'This example script has not yet been created.


Example: ContinuedFromStory property
'Example: ContinuedFromStory property

'This example script has not yet been created.


Example: ContinuedOnAlignment property
'Example: ContinuedOnAlignment property

'This example script has not yet been created.


Example: ContinuedOnMessage property
'Example: ContinuedOnMessage property

'This example script has not yet been created.


Example: ContinuedOnStory property
'Example: ContinuedOnStory property

'This example script has not yet been created.


Example: ContractOutlineLevel method
'Example: ContractOutlineLevel method

'This example script has not yet been created.


Example: Contract method
'Example: Contract method

' This example creates two child divisions and then contracts and expands the

' divider tabs.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocWindow.WinViewPrefs.IsViewSectionTabs = True

.ApplicationWindow.SectionTabs.ConnectSectionTabs

.ApplicationWindow.SectionTabs.ConnectSectionTabs

.ApplicationWindow.SectionTabs.Contract

.ApplicationWindow.SectionTabs.Expand

.ApplicationWindow.SectionTabs.Contract


Example: Controls property
'Example: Controls property

'This example script has not yet been created.


Example: ConvertOnNew property
'Example: ConvertOnNew property

'This example script has not yet been created.


Example: ConvertToClass method
'Example: ConvertToClass method

'This example script has not yet been created.


Example: Copies property
'Example: Copies property

'This example script has not yet been created.


Example: CopyItem method
'Example: CopyItem method

' This example adds a new menu item name 'New Edit' to the File menu just

' below the Save item.  All items from the Edit menu are then copied to

' 'New Menu'

' RUNTIME DEPENDENCIES: You must have not deleted the Edit or File menus

' for this script to work.

Dim MenuName as String

Dim SourceMenu As MenuItem

Dim DestinationMenu As MenuItem

Dim MenuSpacer as String

MenuSpacer = Chr$(8)

MenuName = "&New Edit"

' Set DestinationMenu to the File menu

Set DestinationMenu=.Applicationwindow.LwpMenuBar.Items.Item("&File")

' Set SourceMenu to the Edit Menu

Set SourceMenu = .ApplicationWindow.LwpMenuBar.Items.Item("&Edit")

' Create a new Edit Menu

DestinationMenu.DeleteItem "My Edit"

DestinationMenu.NewItem MenuName,,0,"&Save" & MenuSpacer & "Ctrl+S"

' Copy all the items from the Edit Menu to My new Menu

Forall Items In SourceMenu.Items

DestinationMenu.Items(MenuName).CopyItem Items, True, ,

End Forall


Example: CopyMeaning method
'Example: CopyMeaning method

'This example script has not yet been created.


Example: CopySelection method
'Example: CopySelection method

' This example copies the current selection to the clipboard.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocument.CopySelection


Example: Copy method
'Example: Copy method

' This example copies the current division.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim Div As Division

Set Div = Bind("!Body")

.Division.Copy Div.Name


Example: CountBlankLines property
'Example: CountBlankLines property

'This example script has not yet been created.


Example: Count property
'Example: Count property

'This example script has not yet been created.


Example: CreateDataFile method
'Example: CreateDataFile method

' This example creates a data file for the current document.  Two records are

' added and the Merge bar is opened so to insert fields for merging.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateDataFile "~|", "Name~Address~City~State~Zip|", False, "C:\mergedat.lwp"

.MergeAddDataRecord "Jane Doe~100 Main St.~ Atlanta~ GA~30319|"

.MergeAddDataRecord "John Doe~100 Main St.~ Atlanta~ GA~30319|"

.StartFieldInsert


Example: CreateDivision method
'Example: CreateDivision method

' This example creates a new division based on the "DEFAULT.MWP" Smart Master.

' It is placed after the current division in the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SmartMaster as String

Dim NewDivId as String

SmartMaster = .ApplicationWindow.UserInterfacePrefs.StylePath & "\DEFAULT.MWP"

.CreateDivision SmartMaster, "", $LWPDivLocInsertAfterCurrentDiv, "", ""


Example: Created event
'Example: Created event

'This example script has not yet been created.


Example: CreateExternalDivision method
'Example: CreateExternalDivision method

' This example creates an external divsion based on the README95.LWP file.

' It is placed after the current division.

' RUNTIME DEPENDENCIES: The README95.LWP file must be located in the WordPro

' documents path.

Dim ExternalFilename as String

ExternalFilename = "README95.LWP"

.CreateExternalDivision ExternalFilename, "", $LwpDivLocInsertAfterCurrentdiv, "", ""


Example: CreateFrame method
'Example: CreateFrame method

' This example inserts a 1 inch by 1 inch frame into the current document.

' The "Default Frame" style is used which places the upper left corner of the

' frame 1 inch down and 1 inch to the left of the page's upper left corner.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateFrame False, "Default Frame",1440, 1440


Example: CreateFromBitmap method
'Example: CreateFromBitmap method

'This example script has not yet been created.


Example: CreateFromClipBrd method
'Example: CreateFromClipBrd method

'This example script has not yet been created.


Example: CreateFromDataObject method
'Example: CreateFromDataObject method

'This example script has not yet been created.


Example: CreateFromMetafile method
'Example: CreateFromMetafile method

'This example script has not yet been created.


Example: CreateGlossaryEntry method
'Example: CreateGlossaryEntry method

' This example inserts a glossary entry named NewGlossaryItem for the current

' selection in the specified Glossary file.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "Some stuff for the glossary."

.SelectSentence

.CreateGlossaryEntry "GLOSSARY.GLS", "NewGlossaryItem"


Example: CreateGlossary method
'Example: CreateGlossary method

' This example stores a file name in the variable GlossFileName, hides the

' open documents, opens the default Word Pro glossary file, creates and saves

' a glossary file named "GLOSTST.GLS" in the User Setup glossary directory,

' then closes the glossary files and resets the default values user interface

' preferences.

' RUNTIME DEPENDENCIES: You must have create file rights in the specified

' glossary directory for this script to work.

Dim GlossFileName As String

GlossFileName = "GLOSTST.GLS"

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = False

.GlossaryOpen GlossFileName, "Lotus Word Pro"

.CreateGlossary

.SaveGlossary GlossFileName, "Lotus Word Pro", False

.Close

.ApplicationWindow.UserInterfacePrefs.IsReplacement = False

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = True

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = False


Example: CreateGraphic method
'Example: CreateGraphic method

' This example creates a Word Pro Drawing frame.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateGraphic "WordProDraw", False


Example: CreateNewButton method
'Example: CreateNewButton method

' This example creates a new button to the status bar and then adds text to

' the button.  The STATUSBARBUTTONOVERRIDETEXT is then bound to the

' SetTheButtonText subroutine to set the button text during needs repainting.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ButtonName As String

Dim NewButton As StatusBarButton

With .ApplicationWindow.StatusBar

ButtonName = .CreateNewbutton (0,0,100,&H1)	'create the new button

Set NewButton = .StatusBarButtons(ButtonName)

With .StatusBarButtons(ButtonName)

.SetOverRideText("New Button...")

Call .SetButtonText("Button",True)

.InvalidateButton

On Event STATUSBARBUTTONOVERRIDETEXT From NewButton Call

SetTheButtonText

End With

.InvalidateWholeBar ' Force the bar to repaint

End With

End Sub

Sub SetTheButtonText (Source As StatusBarButton, ButtonName As String)

'Add the the button text each time the status bar needs repainting.

Source.SetOverRideText("New Button...")

End 2

End Sub


Example: CreateNew method
'Example: CreateNew method

'This example script has not yet been created.


Example: CreateOleEmbeddedFile method
'Example: CreateOleEmbeddedFile method

' This example creates an embedded Word Pro OLE object from the file named

' 'README95.LWP'.

' RUNTIME DEPENDENCIES: You must have a document open and a file named

' 'README95.LWP' located in the default document directory for this script to

' work.

Dim FilePath As String

Dim ClassID As String

Dim IconMetaFilePictHandle As Integer

FilePath = .ApplicationWindow.UserInterfacePrefs.DocPath & "\README95.LWP"

ClassID = "{00000000-0000-0000-0000-000000000000}"

IconMetaFilePictHandle = 0

.CreateOleEmbeddedFile ClassID, FilePath, IconMetaFilePictHandle


Example: CreateOleLinkedFile method
'Example: CreateOleLinkedFile method

' This example creates an embedded Word Pro OLE object from the file named

' 'README95.LWP'.

' RUNTIME DEPENDENCIES: You must have a document open and a file named

' 'README95.LWP' located in the default document directory for this script to

' work.

Dim FilePath As String

Dim ClassID As String

Dim IconMetaFilePictHandle As Integer

FilePath = .ApplicationWindow.UserInterfacePrefs.DocPath & "\README95.LWP"

ClassID = "{00000000-0000-0000-0000-000000000000}"

IconMetaFilePictHandle = 0

.CreateOleLinkedFile FilePath, IconMetaFilePictHandle


Example: CreateOleNew method
'Example: CreateOleNew method

' This example creates a new Lotus Approach OLE object in the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open and have Lotus Approach

' installed for this script to work.

Dim ClassID As String

ClassID = "{00028703-0000-0000-c000-000000000046}"

.CreateOleNew(ClassID)


Example: CreateParallelColumns method
'Example: CreateParallelColumns method

' This example creates a parallel column table with 3 columns.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter


Example: CreateRemark method
'Example: CreateRemark method

' This example inserts an editorial remark in a version of the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .Division.VersionManager.CurrentVersion.CreateRemark("Test Remark",835302017,"LOT")


Example: CreateTable method
'Example: CreateTable method

' This example creates a table with 4 rows and 5 columns.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4


Example: CreateVersion method
'Example: CreateVersion method

' This example creates a version for the current document then deletes the

' version.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Division.VersionManager.CreateVersion  "NewVersion"

Forall Version In .ActiveDocument.VersionManager.Versions

If	Version.name = "NewVersion" Then

.ActiveDocument.VersionManager.DeleteVersion Version.DocVersionId	End If

End Forall


Example: Create method
'Example: Create method

' This example creates a new character style.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim StyleName as String

StyleName = "My New Char Style"

Style = .Division.Foundry.Create($LwpFoundryCreateTypeStyle, StyleName, 39)

With .Division.Foundry.CharacterStyles(Style)

.Font.Underline = True

.Font.FontColor.Blue = 128

.Font.FontColor.Red = 128

.Font.FontColor.Green = 0

End With


Example: CreationDateString property
'Example: CreationDateString property

With .ActiveDocument

MsgTxt = "Current Word Pro Doc is " & .FullName

MsgTxt = MsgTxt & ", the author is " & .Docinfo.AuthorName

Msgbox MsgTxt,64,"Word Pro Information"

MsgTxt = "It was created on " & .DocInfo.CreationDateString & " at " & .DocInfo.CreationTimeString

Msgbox MsgTxt,64,"Word Pro Information"

End With


Example: CreationTimeString property
'Example: CreationTimeString property

'With .ActiveDocument

MsgTxt = "Current Word Pro Doc is " & .FullName

MsgTxt = MsgTxt & ", the author is " & .Docinfo.AuthorName

Msgbox MsgTxt,64,"Word Pro Information"

MsgTxt = "It was created on " & .DocInfo.CreationDateString & " at " & .DocInfo.CreationTimeString

Msgbox MsgTxt,64,"Word Pro Information"

End With


Example: CreationTimeValue property
'Example: CreationTimeValue property

'This example script has not yet been created.


Example: Crop property
'Example: Crop property

'This example script has not yet been created.


Example: CurrentCell property
'Example: CurrentCell property

'This example script has not yet been created.


Example: CurrentColumn property
'Example: CurrentColumn property

'This example script has not yet been created.


Example: CurrentEditor property
'Example: CurrentEditor property

'This example script has not yet been created.


Example: CurrentLanguage property
'Example: CurrentLanguage property

'This example script has not yet been created.


Example: CurrentRow property
'Example: CurrentRow property

'This example script has not yet been created.


Example: CurrentRunningScriptName property
'Example: CurrentRunningScriptName property

' This example script has not yet been created.


Example: CurrentRunningScriptPath property
'Example: CurrentRunningScriptPath property

' This example script has not yet been created.


Example: CurrentVersion property
'Example: CurrentVersion property

'This example script has not yet been created.


Example: CustomLength property
'Example: CustomLength property

'This example script has not yet been created.


Example: CustomViewLevel property
'Example: CustomViewLevel property

'This example script has not yet been created.


Example: CutSelection method
'Example: CutSelection method

' This example inserts some text into the current document.  The text is then

' selected and cut to the clipboard.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "This is some sample text."

.Text.Select $LwpSelectObjectTypeParagraph

.CutSelection


Example: DarkMode method
'Example: DarkMode method

' This example turns on DarkMode which prevents the screen from updating.

' Some text is inserted, a table is created and then DarkMode is turned off.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.Darkmode True

For t =1 To 5

.Type ("Hello world [Enter]")

Next

.CreateTable False, "Default Table", 4, 2

.ApplicationWindow.DarkMode False


Example: DataFileFieldNames property
'Example: DataFileFieldNames property

'This example script has not yet been created.


Example: DataFileName property
'Example: DataFileName property

'This example script has not yet been created.


Example: DataNames property
'Example: DataNames property

'This example script has not yet been created.


Example: DataObjectGetDataHere method
'Example: DataObjectGetDataHere method

'This example script has not yet been created.


Example: DataObjectGetData method
'Example: DataObjectGetData method

'This example script has not yet been created.


Example: DateCreatedValue property
'Example: DateCreatedValue property

'This example script has not yet been created.


Example: DateRevisedValue property
'Example: DateRevisedValue property

'This example script has not yet been created.


Example: DblUnderline method
'Example: DblUnderline method

' This example toggles the double underline attribute of the selected text.

' RUNTIME DEPENDENCIES: You must have a document open and some text selected

' for this script to work.

.DblUnderline

Messagebox "Click OK undo double underline change.",MB_OK,"Example Script"

.DblUnderline


Example: DdeLinkManager property
'Example: DdeLinkManager property

'This example script has not yet been created.


Example: DdeLinksFromMarker property
'Example: DdeLinksFromMarker property

'This example script has not yet been created.


Example: DdeLinks property
'Example: DdeLinks property

'This example script has not yet been created.


Example: DdeOutboundInfo property
'Example: DdeOutboundInfo property

'This example script has not yet been created.


Example: Contents property
'Example: Contents property

'This example script has not yet been created.


Example: Contents property
'Example: Contents property

'This example script has not yet been created.


Word Pro: ContentName property

 See list of classes

 See example

(Read-only)  Returns the name of the content object in any container.

Data Type

String

Syntax

contentnamevalue = [objectreference].ContentName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DivisionInfo class

Word Pro: DropCapContainer class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameContainer class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteContainer class

Word Pro: NoteLayout class

Word Pro: PageContainer class

Word Pro: PageLayout class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyContainer class

Word Pro: RubyLayout class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableContainer class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableOnlyCont class

Word Pro: TOCSuperTableLayout class


Word Pro: ContentStyleName property

 See list of classes

 See example

(Read-write) The name of the initial paragraph style used by certain layout objects.

Data Type

String

Syntax

contentstylenamevalue = [objectreference].ContentStyleName

[objectreference].ContentStyleName = contentstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property stores the name of the initial paragraph style used by a layout object. This is not the same as the paragraph style assigned to the currently active text object. To access the name of the paragraph style assigned to the current text object, check the text object's ParagraphStyleName property.

The ContentStyleName property is equivalent to the "Initial paragraph style" setting located in the Miscellaneous panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ContentType property

 See list of classes

 See example

(Read-only) Indicates the type of content object in which the insertion point is located.

Data Type

Variant

Syntax

contenttypevariable = [objectreference].ContentType

Legal values

Value	Effect
$LwpContentTypeText (161)	Indicates that the content type is a Text object.
$LwpContentTypeTableonly (162)	Indicates that the content type is a TableOnly object.
$LwpContentTypeGraphic (163)	Indicates that the content type is a Graphic object.
$LwpContentTypeOleobject (164)	Indicates that the content type is a OleObject.
$LwpContentTypeParallelcolumns (165)	Indicates that the content type is a ParallelColumns object.
$LwpContentTypeFootnotetable (166)	Indicates that the content type is a FootnoteTable object.
$LwpConttentTypeFormula (167)	Indicates that the content type is a Formula object.
$LwpContentTypeFormula (2056)	Indicates that the content type is a Formula object.
Usage

Using this property allows you to verify a specific type of content object in a layout. For example, you can use this property to determine whether or not a certain frame contains a graphic object.


Topics Found:

Word Pro: BaseTable class

Word Pro: Content class

Word Pro: FootnoteTable class

Word Pro: Formula class

Word Pro: Glossary class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class

Word Pro: ParallelColumns class

Word Pro: SuperTable class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: Text class


Word Pro: ContentWidth property

 See list of classes

 See example

(Read-only) Returns the width of the content based on its rotation within a container.

Data Type

Long

Syntax

contentwidthvalue = [objectreference].ContentWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: ContinuedFromAlignment property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

AlignmentType

Syntax

continuedfromalignmentvalue = [objectreference].ContinuedFromAlignment

[objectreference].ContinuedFromAlignment = continuedfromalignmentvalue

Legal values

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: ContinuedFromMessage property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

continuedfrommessagevalue = [objectreference].ContinuedFromMessage

[objectreference].ContinuedFromMessage = continuedfrommessagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: ContinuedFromStory property

 See list of classes

 See example

(Read-only) The name of the Text object that contains the "Continued from" message for a Division object.

Data Type

String

Syntax

continuedfromstoryvalue = [objectreference].ContinuedFromStory

Legal values

Usage

When a footnote is too large to fit in the footnote space provided, Word Pro automatically flows the footnote to the footnote space on the next page. Word Pro also adds a "Continued on" message to the first page and a "Continued from" message on the next page. These messages do not vary within a division, but can vary from one division to the next. Each "Continued from" message is a Text object that you can manipulate in a script. This ContinuedFromStory property stores the name of the Continued From Text object for the specified Division object.

Word Pro does not use this property in the WPApplication.AppFoundry, WPApplication.TempFoundry, or TextDocument.Foundry properties.


Topics Found:

Word Pro: Foundry class


Word Pro: ContinuedOnAlignment property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

AlignmentType

Syntax

continuedonalignmentvalue = [objectreference].ContinuedOnAlignment

[objectreference].ContinuedOnAlignment = continuedonalignmentvalue

Legal values

$LtsAlignmentHorizCenter (1056964611)

$LtsAlignmentJustify (1056964613)

$LtsAlignmentLeft (1056964609)

$LtsAlignmentRight (1056964610)

$LtsAlignmentSmart (1056964612)

$LwpAlignmentTypeAlignRevert (8)

$LwpAlignmentTypeJustifyall (5)

$LwpAlignmentTypeNumericleft (6)

$LwpAlignmentTypeNumericright (7)

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: ContinuedOnMessage property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

continuedonmessagevalue = [objectreference].ContinuedOnMessage

[objectreference].ContinuedOnMessage = continuedonmessagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: ContinuedOnStory property

 See list of classes

 See example

(Read-only) The name of the Text object that contains the "Continued on" message for a Division object.

Data Type

String

Syntax

continuedonstoryvalue = [objectreference].ContinuedOnStory

Legal values

Usage

When a footnote is too large to fit in the footnote space provided, Word Pro automatically flows the footnote to the footnote space on the next page. Word Pro also adds a "Continued on" message to the first page and a "Continued from" message on the next page. These messages do not vary within a division, but can vary from one division to the next. Each "Continued on" message is a Text object that you can manipulate in a script. This ContinuedOnStory property stores the name of the Continued On Text object for the specified Division object.

Word Pro does not use this property in the WPApplication.AppFoundry, WPApplication.TempFoundry, or TextDocument.Foundry properties.


Topics Found:

Word Pro: Foundry class


Word Pro: ConvertOnNew property

 See list of classes

 See example

()

Data Type

String

Syntax

Legal values

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: Copies property

 See list of classes

 See example

(Read-write) Allows you to set the number of copies you want to print.

Data Type

Integer

Syntax

copiesvalue = [objectreference].Copies

[objectreference].Copies = copiesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing File - Print and selecting a number from the "Number of copies" box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: CountBlankLines property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

countblanklinesvalue = [objectreference].CountBlankLines

[objectreference].CountBlankLines = countblanklinesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: LineNumberOptions class


Word Pro: Count property

 See list of classes

 See example

(Read-only) Returns the number of items in the specified collection.

Data Type

Long

Syntax

countvalue = [objectreference].Count

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The Count property indicates the number of items in the specified collection object. For example, the Documents collection object stores all documents that are currently open. In order to determine how many documents are being stored within the Documents collection, you could use the following statement:

numdocsopen = .Documents.count


Topics Found:

Word Pro: BagCollection class

Word Pro: BaseCollection class

Word Pro: BookmarkCollection class

Word Pro: CellCollection class

Word Pro: CellLayoutCollection class

Word Pro: CharacterStyleCollection class

Word Pro: ClickHereCollection class

Word Pro: ConnectedLayoutCollection class

Word Pro: ContentCollection class

Word Pro: DdeLinkCollection class

Word Pro: DivisionCollection class

Word Pro: DocInfoFieldCollection class

Word Pro: Documents class

Word Pro: DocWindowCollection class

Word Pro: DropCapLayoutCollection class

Word Pro: EditorCollection class

Word Pro: EndnoteLayoutCollection class

Word Pro: FooterLayoutCollection class

Word Pro: FootnoteCollection class

Word Pro: FootnoteLayoutCollection class

Word Pro: FrameLayoutCollection class

Word Pro: GlossaryCollection class

Word Pro: GraphicCollection class

Word Pro: GraphicOleObjectCollection class

Word Pro: GroupLayoutCollection class

Word Pro: HeaderLayoutCollection class

Word Pro: IconBarCollection class

Word Pro: LayoutCollection class

Word Pro: MarkerCollection class

Word Pro: MenuItemCollection class

Word Pro: NoteLayoutCollection class

Word Pro: OleObjectCollection class

Word Pro: OutlineSeqCollection class

Word Pro: OutlineSeqItemCollection class

Word Pro: PageLayoutCollection class

Word Pro: ParagraphStyleCollection class

Word Pro: ParallelColsCollection class

Word Pro: PowerFieldCollection class

Word Pro: RowLayoutCollection class

Word Pro: RubyLayoutCollection class

Word Pro: SectionCollection class

Word Pro: SilverBulletCollection class

Word Pro: SmartCorrectCollection class

Word Pro: SmartFillCollection class

Word Pro: StatusBarButtonCollection class

Word Pro: StringCollection class

Word Pro: SuperTableCollection class

Word Pro: SuperTableLayoutCollection class

Word Pro: TableCollection class

Word Pro: TableHeadingCollection class

Word Pro: TableHeadingLayoutCollection class

Word Pro: TableLayoutCollection class

Word Pro: TableMarkerCollection class

Word Pro: TableOnlyCollection class

Word Pro: TextCollection class

Word Pro: TextMarkerCollection class

Word Pro: TextStyleCollection class

Word Pro: VersionCollection class

Word Pro: WPDataSetCollection class


Word Pro: CreationDateString property

 See list of classes

 See example

(Read-only) Returns the date the document was created as a String value.

Data Type

String

Syntax

creationdatestringvalue = [objectreference].CreationDateString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The format of the CreationDateString property is determined by the Windows Short date style.


Topics Found:

Word Pro: DocInfo class

Word Pro: Version class


Word Pro: CreationTimeString property

 See list of classes

 See example

(Read-only) Returns the time the document was created as a String value.

Data Type

String

Syntax

creationtimestringvalue = [objectreference].CreationTimeString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The format of the CreationTimeString property is determined by the Windows Time style.


Topics Found:

Word Pro: DocInfo class

Word Pro: Version class


Word Pro: CreationTimeValue property

 See list of classes

 See example

(Read only) Returns the time the document was created as a Long data type.

Data Type

Long

Syntax

creationtimevaluevalue = [objectreference].CreationTimeValue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The value that this property returns represents the number of seconds that have elapsed since midnight on January 1, 1970.


Topics Found:

Word Pro: DocInfo class


Word Pro: Crop property

 See list of classes

 See example

(Read-write) Prints fine lines that indicate the corners of the page.

Data Type

Integer

Syntax

cropvalue = [objectreference].Crop

[objectreference].Crop = cropvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property enables you to crop any page you specify in a document. Crop marks print offset .5 inches from the top left corner of the physical page. Equivalent to choosing File - Print, clicking Options, and selecting "Crop marks."


Topics Found:

Word Pro: PrintSettings class


Word Pro: CurrentLanguage property

 See list of classes

 See example

(Read-only) Indicates the text's language at the insertion point. If text is selected and more than one language is assigned to the selected text, Word Pro returns the language for the text nearest the insertion point.

Data Type

Variant (Enumerated)

Syntax

currentlanguagevariable = [objectreference].CurrentLanguage

Legal values

$LwpLanguagesAfrikaans (474)

$LwpLanguagesAlbanian (475)

$LwpLanguagesAmerican (442)

$LwpLanguagesArabic (1025)

$LwpLanguagesArabicAlgeria (5121)

$LwpLanguagesArabicBahrain (15361)

$LwpLanguagesArabicEgypt (3073)

$LwpLanguagesArabicIraq (2049)

$LwpLanguagesArabicJordan (11265)

$LwpLanguagesArabicKuwait (13313)

$LwpLanguagesArabicLebanon (12289)

$LwpLanguagesArabicLibya (4097)

$LwpLanguagesArabicMorocco (6145)

$LwpLanguagesArabicOman (8193)

$LwpLanguagesArabicQatar (16385)

$LwpLanguagesArabicSyria (10241)

$LwpLanguagesArabicTunisia (7169)

$LwpLanguagesArabicUAE (14337)

$LwpLanguagesArabicYemen (9217)

$LwpLanguagesAustralian (444)

$LwpLanguagesBasque (1069)

$LwpLanguagesBrazilian (468)

$LwpLanguagesBritish (443)

$LwpLanguagesBritishize (12297)

$LwpLanguagesBritishmedize (13321)

$LwpLanguagesBrmedical (11273)

$LwpLanguagesBulgarian (478)

$LwpLanguagesByelorussian (1059)

$LwpLanguagesCatalan (436)

$LwpLanguagesChineseHongKong (3076)

$LwpLanguagesChinesePRChina (481)

$LwpLanguagesChineseSingapore (4100)

$LwpLanguagesChineseTraditional (479)

$LwpLanguagesCroatian (1050)

$LwpLanguagesCroatianCyrillic (2074)

$LwpLanguagesCroatianLatin (1050)

$LwpLanguagesCroatianSerbian (3098)

$LwpLanguagesCzech (437)

$LwpLanguagesDanish (438)

$LwpLanguagesDutch (439)

$LwpLanguagesDutchBelgian (440)

$LwpLanguagesEnglishCanadian (445)

$LwpLanguagesEnglishCarribean (9225)

$LwpLanguagesEnglishIreland (447)

$LwpLanguagesEnglishJamaica (8201)

$LwpLanguagesEnglishNewzealand (446)

$LwpLanguagesEnglishSAfrica (7177)

$LwpLanguagesEstonian (1061)

$LwpLanguagesFaeroese (1080)

$LwpLanguagesFarsi (1081)

$LwpLanguagesFinnish (452)

$LwpLanguagesFrench (453)

$LwpLanguagesFrenchBelgian (454)

$LwpLanguagesFrenchCanadian (455)

$LwpLanguagesFrenchLuxembourg (5132)

$LwpLanguagesFrenchSwiss (456)

$LwpLanguagesGerman (457)

$LwpLanguagesGermanAustrian (459)

$LwpLanguagesGermanLiechtenstein (5127)

$LwpLanguagesGermanLuxembourg (4103)

$LwpLanguagesGermanSwiss (458)

$LwpLanguagesGreek (460)

$LwpLanguagesHebrew (483)

$LwpLanguagesHungarian (461)

$LwpLanguagesIcelandic (484)

$LwpLanguagesIndonesian (1057)

$LwpLanguagesItalian (462)

$LwpLanguagesItalianSwiss (463)

$LwpLanguagesJapanese (485)

$LwpLanguagesKorean (486)

$LwpLanguagesKoreanJohab (2066)

$LwpLanguagesLatvian (1062)

$LwpLanguagesLithuanian (1063)

$LwpLanguagesMedical (448)

$LwpLanguagesNorwegian (464)

$LwpLanguagesNynorsk (465)

$LwpLanguagesPolish (466)

$LwpLanguagesPortuguese (467)

$LwpLanguagesRhaetoRoman (487)

$LwpLanguagesRomanian (488)

$LwpLanguagesRussian (469)

$LwpLanguagesRussianio (470)

$LwpLanguagesSlovak (492)

$LwpLanguagesSlovene (493)

$LwpLanguagesSorbian (1070)

$LwpLanguagesSpanish (471)

$LwpLanguagesSpanishArgentina (11274)

$LwpLanguagesSpanishBolivia (16394)

$LwpLanguagesSpanishChile (13222)

$LwpLanguagesSpanishColombia (9226)

$LwpLanguagesSpanishCostaRica (5130)

$LwpLanguagesSpanishDominican (7178)

$LwpLanguagesSpanishEcuador (12298)

$LwpLanguagesSpanishGuatemala (4106)

$LwpLanguagesSpanishMexican (2058)

$LwpLanguagesSpanishPanama (6154)

$LwpLanguagesSpanishParaguay (15370)

$LwpLanguagesSpanishPeru (10250)

$LwpLanguagesSpanishUruguay (14346)

$LwpLanguagesSpanishVenezuela (8202)

$LwpLanguagesSwedish (473)

$LwpLanguagesSystem (434)

$LwpLanguagesThai (494)

$LwpLanguagesTurkish (495)

$LwpLanguagesUkrainian (496)

$LwpLanguagesUniversal (435)

$LwpLanguagesUrdu (497)

$LwpLanguagesVoorkeur (441)

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: CustomLength property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

customlengthvalue = [objectreference].CustomLength

[objectreference].CustomLength = customlengthvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: FootnoteContSep class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class


Word Pro: CustomViewLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

customviewlevelvalue = [objectreference].CustomViewLevel

[objectreference].CustomViewLevel = customviewlevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: DataFileFieldNames property

 See list of classes

 See example

(Read-only) The names of merge fields in the Merge data file.

Data Type

String

Syntax

datafilefieldnamesvalue = [objectreference].DataFileFieldNames

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the field names on a new or existing Merge data file.


Topics Found:

Word Pro: MergeOptions class


Word Pro: DataFileName property

 See list of classes

 See example

(Read-write) The path and name of the Merge data file.

Data Type

String

Syntax

datafilenamevalue = [objectreference].DataFileName

[objectreference].DataFileName = datafilenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the path and file name of a new or existing Merge data file.


Topics Found:

Word Pro: MergeOptions class


Word Pro: DateCreatedValue property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

datecreatedvaluevalue = [objectreference].DateCreatedValue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Version class


Word Pro: DateRevisedValue property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

daterevisedvaluevalue = [objectreference].DateRevisedValue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Version class


Word Pro: DdeOutboundInfo property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

ddeoutboundinfovalue = [objectreference].DdeOutboundInfo

[objectreference].DdeOutboundInfo = ddeoutboundinfovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: DebugVariable property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

debugvariablevalue = [objectreference].DebugVariable

[objectreference].DebugVariable = debugvariablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Macro class


Word Pro: DefaultBinName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

defaultbinnamevalue = [objectreference].DefaultBinName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: DefaultCellStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultcellstyledescriptionvalue = [objectreference].DefaultCellStyleDescription

[objectreference].DefaultCellStyleDescription = defaultcellstyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultColumnStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultcolumnstylenamevalue = [objectreference].DefaultColumnStyleName

[objectreference].DefaultColumnStyleName = defaultcolumnstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultFilePath property

 See list of classes

 See example

(Read-only) Returns the path for the current working directory for Word Pro. Identical to the Location property on WPApplication.

Data Type

String

Syntax

defaultfilepathvalue = [objectreference].DefaultFilePath

Legal values

The value of this property cannot be set by a script.

Usage

If you use LotusScript to create a file without specifying a directory for that file, Word Pro will store that file in the current working directory.

Note	The working directory is usually the same as the directory in which the Word Pro executable is installed. However, you can change the working directory by specifying the path to the directory in the Properties dialog box for the Word Pro executable (WORDPRO.EXE). In Windows 3.1, select the WORDPRO.EXE file within the Windows Program Manager, choose File - Properties and specify the path in the "Working Directory" box. In Windows 95, right-click the WORDPRO.EXE file, choose Properties, then specify the path in the "Start In" box.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: DefaultFrameStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultframestyledescriptionvalue = [objectreference].DefaultFrameStyleDescription

[objectreference].DefaultFrameStyleDescription = defaultframestyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultLatinFont property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultlatinfontvalue = [objectreference].DefaultLatinFont

[objectreference].DefaultLatinFont = defaultlatinfontvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultLeftColumnStyleName property

 See list of classes

 See example

(Read-write) The name of the default style for the left column of a parallel column.

Data Type

String

Syntax

defaultleftcolumnstylenamevalue = [objectreference].DefaultLeftColumnStyleName

[objectreference].DefaultLeftColumnStyleName = defaultleftcolumnstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Preferences class


Word Pro: DefaultNonLatinFont property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultnonlatinfontvalue = [objectreference].DefaultNonLatinFont

[objectreference].DefaultNonLatinFont = defaultnonlatinfontvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultPageHeight property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

defaultpageheightvalue = [objectreference].DefaultPageHeight

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: DefaultPageStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaultpagestyledescriptionvalue = [objectreference].DefaultPageStyleDescription

[objectreference].DefaultPageStyleDescription = defaultpagestyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultPageWidth property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

defaultpagewidthvalue = [objectreference].DefaultPageWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: DefaultPitch property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

defaultpitchvalue = [objectreference].DefaultPitch

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: DefaultRightColumnStyleName property

 See list of classes

 See example

(Read-write) The name of the default style for the right column of a parallel column.

Data Type

String

Syntax

defaultrightcolumnstylenamevalue = [objectreference].DefaultRightColumnStyleName

[objectreference].DefaultRightColumnStyleName = defaultrightcolumnstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Preferences class


Word Pro: DefaultTableStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaulttablestyledescriptionvalue = [objectreference].DefaultTableStyleDescription

[objectreference].DefaultTableStyleDescription = defaulttablestyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefaultTextStyleDescription property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

defaulttextstyledescriptionvalue = [objectreference].DefaultTextStyleDescription

[objectreference].DefaultTextStyleDescription = defaulttextstyledescriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DefCellStyleName property

 See list of classes

 See example

(Read-write) The default style layout assigned to a cell object.

Data Type

String

Syntax

defcellstylenamevalue = [objectreference].DefCellStyleName

[objectreference].DefCellStyleName = defcellstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Allows you to specify the layout style of cell layout objects which are created after you set this property. For example, if you create a table, the "Default Cell" style will be assigned to all cells within the table. If you modify the DefCellStyleName property of the table, any new cell layout objects that are created will use the cell layout style that you specify.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: DefColWidth property

 See list of classes

 See example

(Read-write) The default width of column objects inserted within a table object.

Data Type

Long

Syntax

defcolwidthvalue = [objectreference].DefColWidth

[objectreference].DefColWidth = defcolwidthvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Use this property to determine the default width, or to reset the default width of a column object.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: Definition property

 See list of classes

 See example

(Read-only)

CharacterStyle includes attributes, facename, size info, and so on (look in hierarchy box when creating a character style).

ParagraphStyle includes attributes and things that comprise the style (look in hierarchy box when creating a paragraph style).

[Layout]

This property indicates which style properties are being received from another style, based on the style hierarchy.

Data Type

The data type for this parameter is Long which allows the value of this parameter to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

Syntax

definitionvalue = [objectreference].Definition

Legal values

[Layout]

LwpLayStyOverSize (&H1)

LwpLayStyOverPlacement (&H2)

LwpLayStyOverMargins (&H4)

LwpLayStyOverBorders (&H8)

LwpLayStyOverBackground (&H10)

LwpLayStyOverJoins (&H20)

LwpLayStyOverShadow (&H40)

LwpLayStyOverChildren (&H10000)

LwpLayStyOverColumns (&H400)

LwpLayStyOverContents (&H20000)

LwpLayStyOverLeaders (&H2000)

LwpLayStyOverMisc (&H8000)

LwpLayStyOverNumerics (&H200)

LwpLayStyOverOrientation (&H4000)

LwpLayStyOverRotation (&H1000)

LwpLayStyOverScaling (&H800)

LwpLayStyOverScript (&H100)

LwpLayStyOverSizeAndPlacement (&H3)

LwpLayStyOverTabs (&H80)

Usage

[Layout]

Layout objects such as frames, table cells, and pages are based on styles. For example, when you create a frame in Word Pro, it is usually based on a style called "Default Frame." When you create a table in Word Pro, the table is usually based on a style called "Default Table," and the table cells are usually based on a style called "Default Cell."

When you create a style in Word Pro, it is always based on an existing style. This is known as style hierarchy. Style hierarchy is represented in Word Pro in the style panel of the InfoBox for layout objects. If you choose Create Style from the Style panel, then choose Hierarchy, you'll see the list of available style properties.

The Definition property of a layout object represents all of the style properties which come from a style that is higher up in the style hierarchy. In the Style Hierarchy Definition dialog, these are represented as unchecked style properties.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DefRowHeight property

 See list of classes

 See example

(Read-write) The default height of row objects inserted within a table object.

Data Type

Long

Syntax

defrowheightvalue = [objectreference].DefRowHeight

[objectreference].DefRowHeight = defrowheightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Use this property to determine the default height, or to reset the default height of a row object.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: DemandLoad property

 See list of classes

 See example

(WriteOnly)

Data Type

Variant (Enumerated)

ReservedParam

Syntax

[objectreference].DemandLoad = demandloadvalue

Legal values

$LwpReservedParamDefault (1707)

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Descent property

 See list of classes

 See example

(Read-only)

Data Type

Points

Syntax

descentvalue = [objectreference].Descent

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: DescriptionFileName property

 See list of classes

 See example

(Read-write) If you choose DescriptionFile when opening an external data file from another application, Word Pro stores the field names and separator of that file in a separate description file. The name of that file is stored in this property.

Data Type

String

Syntax

descriptionfilenamevalue = [objectreference].DescriptionFileName

[objectreference].DescriptionFileName = descriptionfilenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Not required. Word Pro uses the DescriptionFile to get the separator and field names for an external data file.


Topics Found:

Word Pro: MergeOptions class


Word Pro: Description property

 See list of classes

 See example

(Read-write) The description of an object. This property is defined in the BaseObject class and inherited by all Word Pro objects. It is not, however, used by all Word Pro objects. Objects that make use of this property usually use it to store a description of the object.

Data Type

String

Syntax

descriptionvalue = [objectreference].Description

[objectreference].Description = descriptionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

You will most likely use this property in a TextDocument object. When you call this property from a TextDocument object, it returns the value of the Description field for the document represented by that object. When you call this property from the WPApplication object, it returns the value of the Description field for the currently active document. Most other objects do not use this description property.


Topics Found:

Word Pro: BaseObject class


Word Pro: DirControl property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

dircontrolvalue = [objectreference].DirControl

[objectreference].DirControl = dircontrolvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpFileListBox class


Word Pro: DirectionDown property

 See list of classes

 See example

(Read-write) Specifies whether a layout will autogrow or autosize in a downward direction.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

Syntax

directiondownvalue = [objectreference].DirectionDown

[objectreference].DirectionDown = directiondownvalue

Legal values

Value	Effect
LwpLayoutDirectionUseDirection (&H1)	Setting this value specifies that a layout object will adhere to the other bit values set for this property.
LwpLayoutDirectionAutoGrow (&H2)	Setting this value specifies that a layout object autogrows in a downward direction.
LwpLayoutDirectionAutoSize (&H4)	Setting this value specifies that a layout object autosizes in a downward direction.
LwpLayoutDirectionTocontainer (&H8)	Setting this value specifies that a layout object autogrows or autosizes to the bottom edge of its container.
LwpLayoutDirectionAllDirections (&HF)	Setting this value simultaneously autogrows or autosizes a layout object in all directions (down, up, left, and right).
Usage

Make sure to set the &H1 bit value if you want to enable any of the grow or size options for a layout object. For example, if you want to specify that a layout object should automatically grow, it would not be sufficient to set the property value to &H2. You must also set the &H1 bit in order for the other bit settings to be valid. An example statement is shown below:

[objectreference].DirectionDown = &H1 OR &H2


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DirectionLeft property

 See list of classes

 See example

(Read-write) Indicates whether a layout will autogrow or autosize toward the left.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

Syntax

directionleftvalue = [objectreference].DirectionLeft

[objectreference].DirectionLeft = directionleftvalue

Legal values

Value	Effect
LwpLayoutDirectionUseDirection (&H1)	Setting this value specifies that a layout object will adhere to the other bit values set for this property.
LwpLayoutDirectionAutoGrow (&H2)	Setting this value specifies that a layout object autogrows toward the left.
LwpLayoutDirectionAutoSize (&H4)	Setting this value specifies that a layout object autosizes toward the left.
LwpLayoutDirectionTocontainer (&H8)	Setting this value specifies that a layout object autogrows or autosizes to the left edge of its container.
LwpLayoutDirectionAllDirections (&HF)	Setting this value simultaneously autogrows or autosizes a layout object in all directions (down, up, left, and right).
Usage

Make sure to set the &H1 bit value if you want to enable any of the grow or size options for a layout object. For example, if you want to specify that a layout object should automatically grow, it would not be sufficient to set the property value to &H2. You must also set the &H1 bit in order for the other bit settings to be valid. An example statement is shown below:

[objectreference].DirectionLeft = &H1 OR &H2


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DirectionRight property

 See list of classes

 See example

(Read-write) Indicates whether a layout will autogrow or autosize toward the right.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

Syntax

directionrightvalue = [objectreference].DirectionRight

[objectreference].DirectionRight = directionrightvalue

Legal values

Value	Effect
LwpLayoutDirectionUseDirection (&H1)	Setting this value specifies that a layout object will adhere to the other bit values set for this property.
LwpLayoutDirectionAutoGrow (&H2)	Setting this value specifies that a layout object autogrows toward the right.
LwpLayoutDirectionAutoSize (&H4)	Setting this value specifies that a layout object autosizes toward the right.
LwpLayoutDirectionTocontainer (&H8)	Setting this value specifies that a layout object autogrows or autosizes to the right edge of its container.
LwpLayoutDirectionAllDirections (&HF)	Setting this value simultaneously autogrows or autosizes a layout object in all directions (down, up, left, and right).
Usage

Make sure to set the &H1 bit value if you want to enable any of the grow or size options for a layout object. For example, if you want to specify that a layout object should automatically grow, it would not be sufficient to set the property value to &H2. You must also set the &H1 bit in order for the other bit settings to be valid. An example statement is shown below:

[objectreference].DirectionRight = &H1 OR &H2


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DirectionUp property

 See list of classes

 See example

(Read-write) Indicates whether a layout will autogrow or autosize in an upward direction.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

Syntax

directionupvalue = [objectreference].DirectionUp

[objectreference].DirectionUp = directionupvalue

Legal values

Value	Effect
LwpLayoutDirectionUseDirection (&H1)	Setting this value specifies that a layout object will adhere to the other bit values set for this property.
LwpLayoutDirectionAutoGrow (&H2)	Setting this value specifies that a layout object autogrows in a upward direction.
LwpLayoutDirectionAutoSize (&H4)	Setting this value specifies that a layout object autosizes in a upward direction.
LwpLayoutDirectionTocontainer (&H8)	Setting this value specifies that a layout object autogrows or autosizes to the top edge of its container.
LwpLayoutDirectionAllDirections (&HF)	Setting this value simultaneously autogrows or autosizes a layout object in all directions (down, up, left, and right).
Usage

Make sure to set the &H1 bit value if you want to enable any of the grow or size options for a layout object. For example, if you want to specify that a layout object should automatically grow, it would not be sufficient to set the property value to &H2. You must also set the &H1 bit in order for the other bit settings to be valid. An example statement is shown below:

[objectreference].DirectionUp = &H1 OR &H2


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DisableClickHeres property

 See list of classes

 See example

(Read-write) Allows you to edit Click Here prompt text on-screen.

Data Type

Integer

Syntax

disableclickheresvalue = [objectreference].DisableClickHeres

[objectreference].DisableClickHeres = disableclickheresvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - TeamSecurity, and selecting "Edit Click Here Block prompts on-screen" on the Other Protection panel.


Topics Found:

Word Pro: DocControl class


Word Pro: DisableConsistencyCheck property

 See list of classes

 See example

This property has not yet been defined.

Data Type

Syntax

Legal values

Usage


Topics Found:

Word Pro: DocControl class


Word Pro: DisableExportToNotes property

 See list of classes

 See example

(Read-write) Prevents information in a document from being exported to Notes.

Data Type

Integer

Syntax

disableexporttonotesvalue = [objectreference].DisableExportToNotes

[objectreference].DisableExportToNotes = disableexporttonotesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - TeamSecurity, and selecting "Disable Notes/FX of TeamSecurity fields" on the Other Protection panel.


Topics Found:

Word Pro: DocControl class


Word Pro: DisableVersionReview property

 See list of classes

 See example

(Read-write) Prevents a user from viewing versions other than the current version of the document.

Data Type

Integer

Syntax

disableversionreviewvalue = [objectreference].DisableVersionReview

[objectreference].DisableVersionReview = disableversionreviewvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A Word Pro document can have multiple editors who can view each other's version of a document. However, you can set DisableVersionReview to restrict an editor to a specific version of the document.

Equivalent to choosing File - TeamSecurity, and selecting "Disable version review" on the Other Protection panel.


Topics Found:

Word Pro: DocControl class


Word Pro: DistanceFromLeftMargin property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

distancefromleftmarginvalue = [objectreference].DistanceFromLeftMargin

[objectreference].DistanceFromLeftMargin = distancefromleftmarginvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: LineNumberOptions class


Word Pro: DivisionName property

 See list of classes

 See example

(Read-only) Returns the external user name for a division object.

Data Type

String

Syntax

divisionnamevalue = [objectreference].DivisionName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Use this property to return the division name that displays on a division tab.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: TOCSuperTableLayout class


Word Pro: DivisionsRequired property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

divisionsrequiredvalue = [objectreference].DivisionsRequired

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Foundry property

 See list of classes

 See example

(Read-only) The Foundry object which you use for accessing objects in a Division. In Word Pro, there is always one Foundry object for each Division object. The Foundry property on the WPApplication object (always named WordPro) always contains the Foundry object for the currently active division.

Data Type

Foundry

Syntax

foundryvalue = [objectreference].Foundry

Legal values

Usage

Division.Foundry

The Division Foundry provides access to all the objects in that division, including Layouts, Text, Graphics, Markers, Tables, Footnotes, and so on. You can access all the objects in a division through the appropriate collection in the Division Foundry.

WordPro.Foundry

The Foundry property on WordPro provides a shortcut to the currently active division's Foundry object. The Foundry object in WordPro.Foundry changes as the focus changes from one Division object to another. For example, if you had a document with one division named "Overview" and another division named "Summary," the contents of the Foundry property on WordPro would change as you moved the focus from Overview to Summary. While the focus is on the Overview division, this property contains the Foundry object for the Division object named Overview. When the focus is changed to the Summary division, the contents of this property changes to the Foundry object for the Division object named Summary.


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: DocControlRestrictedToEditor property

 See list of classes

 See example

(Read-only) Allows only a specific editor to set or modify document control options for a document.

Data Type

String

Syntax

doccontrolrestrictedtoeditorvalue = [objectreference].DocControlRestrictedToEditor

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing File - TeamSecurity, selecting "Only" and then the editor's name in the "Only" box on the Access panel.


Topics Found:

Word Pro: DocControl class


Word Pro: Contents property

 See list of classes

 See example

(Read-write) Assigns a string value to a DocInfo field.

Data Type

String

Syntax

contentsvalue = [objectreference].Contents

[objectreference].Contents = contentsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

When you add a DocInfo field, you assign a name and a value to it. The content is the value of a DocInfo field and the content is always a String value. For example, if you add a DocInfo field and assign the name "Client" and the value "Active," then the contents would be "Active." To change the value of the "Client" DocInfo field from "Active" to "Inactive," you would assign the string value "Inactive" to the Contents property.


Topics Found:

Word Pro: DocInfoField class

Word Pro: Foundry class


Word Pro: DocPath property

 See list of classes

 See example

(Read-write) Stores the default path (drive and directory) where Word Pro looks for documents to open.

Data Type

String

Syntax

docpathvalue = [objectreference].DocPath

[objectreference].DocPath = docpathvalue

Legal values

A valid path including drive and decrectory.

Usage

Equivalent to the "Documents" field on the Locations panel of the Word Pro Preferences dialog box. In the Word Pro interface, the "Documents" field can contain multiple paths. You can use this property to clear all paths before setting the default or first document path, or you can use the property, DocumentPaths, to read multiple paths entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: DocSize property

 See list of classes

 See example

(Read only) Returns the size of a document in bytes.

Data Type

Long

Syntax

docsizevalue = [objectreference].DocSize

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: DocumentLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

documentlevelvalue = [objectreference].DocumentLevel

[objectreference].DocumentLevel = documentlevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: DocVersionID property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

docversionidvalue = [objectreference].DocVersionID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Version class

Word Pro: VersionManager class


Word Pro: DoInitialCaps property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

doinitialcapsvalue = [objectreference].DoInitialCaps

[objectreference].DoInitialCaps = doinitialcapsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: SmartCorrect class


Word Pro: DoSmartQuotes property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

dosmartquotesvalue = [objectreference].DoSmartQuotes

[objectreference].DoSmartQuotes = dosmartquotesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: SmartCorrect class


Word Pro: DoubleUnderline property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

doubleunderlinevalue = [objectreference].DoubleUnderline

[objectreference].DoubleUnderline = doubleunderlinevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class


Word Pro: DragDropOn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

dragdroponvalue = [objectreference].DragDropOn

[objectreference].DragDropOn = dragdroponvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: DuplexType property

 See list of classes

 See example

(Read-write) Prints information on the front and back of the same page.

Data Type

Variant (Enumerated)

DuplexType

Syntax

duplextypevalue = [objectreference].DuplexType

[objectreference].DuplexType = duplextypevalue

Legal values

$LwpDuplexTypePrintHorzDuplex (219) Prints information across the width of the front and back of a  printed page.

$LwpDuplexTypePrintNoDuplex (217) Prevents information from being printed on the front and back of a page.

$LwpDuplexTypePrintVertDuplex (218) ) Prints information across the length of the front and back of a  printed page.

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: Editable property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

CommandState

Syntax

editablevalue = [objectreference].Editable

[objectreference].Editable = editablevalue

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Topics Found:

Word Pro: Bullet class


Word Pro: EditorInitials property

 See list of classes

 See example

(Read-only) Returns the initials of the editor assigned to a document.

Data Type

String

Syntax

editorinitialsvalue = [objectreference].EditorInitials

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Editor class


Word Pro: EditorName property

 See list of classes

 See example

(Read-only) Returns the user name of the person who created a particular layout object.

Data Type

String

Syntax

editornamevalue = [objectreference].EditorName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property stores the name of the person who created a layout object. In Word Pro, the editor name value can be accessed in the Personal panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class

Word Pro: Version class


Word Pro: EditorVerificationType property

 See list of classes

 See example

(Read-only) Verifies how an editor gains access to a document by using either E-mail login, operating system login, or user name.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

editorverificationtypevalue = [objectreference].EditorVerificationType

Legal values

Value	Effect
$LwpEditorVerifyTypeByEmailLogin (236)	An editor must use an  E-mail login to access a document.
$LwpEditorVerifyTypeByOpsysLogin (235)	An editor must use an operating system login to access a document.
$LwpEditorVerifyTypeByUserName (234)	An editor must use a user name to access a document.
Usage

Equivalent to choosing File - TeamSecurity and selecting a verification type (E-mail login, operating system login, Word Pro user name) in the "Verify editors using" box on the Access panel.


Topics Found:

Word Pro: DocControl class


Word Pro: EffectiveColumnWidth property

 See list of classes

 See example

(Read-only) The column width less any indention for the paragraph in which the insertion point is located.

Data Type

Long

Syntax

effectivecolumnwidthvalue = [objectreference].EffectiveColumnWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: EMail property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

emailvalue = [objectreference].EMail

[objectreference].EMail = emailvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: Embedded property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

embeddedvalue = [objectreference].Embedded

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: EmbedFonts property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

embedfontsvalue = [objectreference].EmbedFonts

[objectreference].EmbedFonts = embedfontsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: Enabled property

 See list of classes

 See example

(Read-write)

[MenuItem]

Indicates if a menu item is active (grayed) or not active (not grayed).

Data Type

Integer

Syntax

enabledvalue = [objectreference].Enabled

[objectreference].Enabled = enabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

To gray a menu item, set the Checked property value to True. To ungray a menu item, set the Checked property value to False.

Setting this property is available only for custom created menu items. You cannot set the Enabled property for predefined Word Pro menu items, because Word Pro dynamically sets the Enabled property for predefined Word Pro menu items, based on the current context.


Topics Found:

Word Pro: LWPTimer class

Word Pro: MenuItem class


Word Pro: EncryptPassword2 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

encryptpassword2value = [objectreference].EncryptPassword2

[objectreference].EncryptPassword2 = encryptpassword2value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: EncryptPassword property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

encryptpasswordvalue = [objectreference].EncryptPassword

[objectreference].EncryptPassword = encryptpasswordvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: EndingColOfSelection property

 See list of classes

 See example

(Read-only) Returns the number of the last column included in a selection of table cells.

Data Type

Integer

Syntax

endingcolofselectionvalue = [objectreference].EndingColOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The column ID is a zero based value, which means that the first column in a table has an ID value of zero.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: EndingRowOfSelection property

 See list of classes

 See example

(Read-only) Returns the number of the last row included in a selection of table cells.

Data Type

Integer

Syntax

endingrowofselectionvalue = [objectreference].EndingRowOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The row ID is a zero based value, which means that the first row in a table has an ID value of zero.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: Enumeration property

 See list of classes

 See example

(Read-write) Tells Word Pro which objects to include in the specified Foundry's collection objects.

Data Type

Variant (Enumerated)

EnumScope

Syntax

enumerationvalue = [objectreference].Enumeration

[objectreference].Enumeration = enumerationvalue

Legal values

$LwpEnumScopeAll (237) Include both types of objects in this Foundry's collection objects.

$LwpEnumScopeLocal (238) Include only those objects which are not part of a SmartMaster.

$LwpEnumScopeStyle (239) Include on those objects which are part of a SmartMaster.

Do not use quotation marks around the string values above. You can also use the numeric equivalents for these values (shown in parentheses).

Usage

Each Word Pro document is first created from a SmartMaster. All the objects that comprise the SmartMaster are known as "style" objects. These objects might include ParagraphStyle, CharacterStyle, PageLayout, TableLayout, FrameLayout, and so on. When you add new objects to your document, such as a new paragraph of text, a new paragraph style or a new page layout that were not part of the original SmartMaster, Word Pro sees that object as a "local" object. Both "style" objects and "local" objects can be instantiated from the same class, but Word Pro sees them as either a part of the SmartMaster or not part of the SmartMaster.

For example, when you create a document whose SmartMaster contains a division with a paragraph style named "Body Text," you could create a new paragraph style called "Title." When you looked into the ParagraphStyleCollection object for that division, you would see two ParagraphStyle objects. Word Pro differentiates automatically between the "style" objects and the "local" objects. However, it treats them the same within the context of LotusScript.

You may find it useful to exclude the objects which originated with the SmartMaster from your collections. Setting the value of the Enumeration property to "$LwpEnumScopeLocal" hides the SmartMaster objects from the Script Editor. By default, Word Pro stores both the "style" objects and the "local" objects in their appropriate collection objects.


Topics Found:

Word Pro: Foundry class


Word Pro: Epoch property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

epochvalue = [objectreference].Epoch

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: EqnFontHeight property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

eqnfontheightvalue = [objectreference].EqnFontHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: ExcludeRectBottom property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

excluderectbottomvalue = [objectreference].ExcludeRectBottom

[objectreference].ExcludeRectBottom = excluderectbottomvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ExcludeRectLeft property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

excluderectleftvalue = [objectreference].ExcludeRectLeft

[objectreference].ExcludeRectLeft = excluderectleftvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ExcludeRectRight property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

excluderectrightvalue = [objectreference].ExcludeRectRight

[objectreference].ExcludeRectRight = excluderectrightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ExcludeRectTop property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

excluderecttopvalue = [objectreference].ExcludeRectTop

[objectreference].ExcludeRectTop = excluderecttopvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: Expandable property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

expandablevalue = [objectreference].Expandable

[objectreference].Expandable = expandablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextMarker class


Word Pro: ExportToNotesFX property

 See list of classes

 See example

(Read-write) Indicates whether or not a DocInfo field should be exported to Notes.

Data Type

Integer

Syntax

exporttonotesFXvalue = [objectreference].ExportToNotesFX

[objectreference].ExportToNotesFX = exporttonotesFXvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

For example, if you have a DocInfo field named "Client" and you want to export that field to Notes, you can set the ExportToNotesFX property to True. Notes would then export the "Client" field with its contents from the document to Notes.


Topics Found:

Word Pro: DocInfoField class


Word Pro: ExternalFileID property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

externalfileidvalue = [objectreference].ExternalFileID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DivisionInfo class

Word Pro: Graphic class


Word Pro: ExternalFileName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

externalfilenamevalue = [objectreference].ExternalFileName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DivisionInfo class

Word Pro: Graphic class


Word Pro: Contents property

 See list of classes

 See example

(Read-only)

An object created from the ContentCollection class. This collection object provides access to a variety of Content objects.

Data Type

ContentCollection

Syntax

contentsvalue = [objectreference].Contents

[objectreference].Contents = contentsvalue

Legal values

When this property is populated, it contains an instance of the ContentCollection class. You cannot set the value of this property but you can access the objects contained within this collection object.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Content objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Content objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Content objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Content objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: WordPro LotusScript CollectionClasses.


Topics Found:

Word Pro: DocInfoField class

Word Pro: Foundry class


Word Pro: CreateOleEmbeddedFile method

 See list of classes

 See example

Creates an embedded OLE object from an existing file. Equivalent to choosing Create - Object, selecting "Create an object from a file" and specifying a file to embed.

Syntax

[objectreference].CreateOleEmbeddedFile(sClassID,FilePath,IconMetaFilePictHandle)

Parameters

sClassID
A String expression which specifies, in the form of a ClassID or a ProgID, the server application for the file you are embedding. For the purposes of this method, you can let Word Pro determine the proper file type by using the following value:

"{00000000-0000-0000-0000-000000000000}"

FilePath
A String expression indicating the path and name of the file you are embedding.

IconMetaFilePictHandle
An optional Numeric expression that allows you to specify which icon to use in representing the embedded object in the Word Pro file. Using any value other than 0 automatically tells Word Pro to display the embedded object as an icon. This value serves as a numeric handle (known as the HGLOBAL) to the metafile pict for an icon. You can get the HGLOBAL for a specific metafile pict by using the appropriate Windows API calls. This value must be of type Long. Default is 0, which indicates that you want the contents of the embedded OLE object to be displayed in the Word Pro document.

Caution	If you record the process of choosing Create - Object and embedding a file to be displayed as an icon, Word Pro records a value for IconMetaFilePict which is valid only during the recording. When you play back the recorded script, the IconMetaFilePict value will be invalid and Word Pro will treat the value as if you passed a 0.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateOleLinkedFile method

 See list of classes

 See example

Creates a linked OLE object from an external file. Equivalent to choosing Create - Object, selecting "Create an object from a file", selecting "Link to file", and specifying a file to link.

Syntax

[objectreference].CreateOleLinkedFile(FilePath,[IconMetaFilePictHandle])

Parameters

FilePath
A String expression which specifies the file path and name of the file you are linking.

IconMetaFilePictHandle
An optional Numeric expression which allows you to specify which icon to use in representing the linked object in the Word Pro file. Using any value other than 0 automatically tells Word Pro to display the linked object as an icon. This value serves as a numeric handle (known as the HGLOBAL) to the metafile pict for that icon. You can get the HGLOBAL for a specific metafile pict by using the appropriate Windows API calls. This value must be of type Long. Default is 0 which indicates that you want the contents of the linked OLE object to be displayed in the Word Pro document.

Caution	If you record the process of choosing Create - Object and linking a file to be displayed as icon, Word Pro records a value for IconMetaFilePict which is valid only during the recording. When you play back the recorded script, the IconMetaFilePict value will be invalid and Word Pro will treat the value as if you passed a 0.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateOleNew method

 See list of classes

 See example

Creates a new OLE object and launches the server application. Equivalent to choosing Create - Object, selecting "Create a new object" and specifying type of object to create.

Syntax

[objectreference].CreateOleNew(sClassID, IconMetaFilePictHandle)

Parameters

sClassID
A String expression which specifies the type of object you are creating. The type of object is expressed as the ClassID or ProgID for the application which creates that type of object. (The application used to create an OLE object is often referred to as the server application.) For example, a Lotus Freelance 96 Presentation has a ClassID of "{CF746000-94FB-101B-8C12-02608C454BFF}" and a ProgID of  "FLW3Presentation."

Here are the server application IDs for some other SmartSuite application objects:

1-2-3 Worksheet

ClassID = {00045295-0000-0000-C000-000000000046}

ProgID = 123Worksheet

Launches 1-2-3 and opens an untitled worksheet.

Lotus Approach 96 Report

ClassID = {00028703-0000-0000-C000-000000000046}

ProgID = ApproachReport

Launches Approach 96 and prompts the user to select an existing database from which to create the report. Once the database is open, the Report Assistant opens and waits for the user to create the report.

Lotus Approach 96 Application

ClassID = {00028701-0000-0000-C000-000000000046}

ProgID = ApproachApplication

Launches Approach 96 and prompts the user to select an existing database.

Lotus Freelance 96 Presentation

ClassID = {CF746000-94FB-101B-8C12-02608C454BFF}

ProgID = FLW3Presentation

Launches Freelance 96 and prompts the user with the New Presentation dialog box.

Lotus Freelance 96 Drawing

ClassID = {CF746001-94FB-101B-8C12-02608C454BFF}

ProgID = FLW3Drawing

Launches Freelance 96 and opens a new presentation with one blank page.

Lotus ScreenCam Movie 2.1

ClassID = {00041920-0000-0000-C000-000000000046}

ProgID = ScreenCamMoviev2

Launches ScreenCam 2.1 and displays the ScreenCam control panel for the user to start a recording.

You can find the ClassIDs and ProgIDs for other server applications in the Windows Registry for Windows 3.1 and Windows 95.

IconMetaFilePictHandle
An optional Numeric expression which allows you to specify which icon to use in representing the new OLE object. Using any value other than 0 automatically tells Word Pro to display the new object as an icon. This value serves as a numeric handle (known as the HGLOBAL) to the metafile pict for that icon. You can get the HGLOBAL for a specific metafile pict by using the appropriate Windows API calls. This value must be of type Long. Default is 0, which indicates that you want Word Pro to display the contents of the new OLE object.

Caution	If you record the process of creating a new OLE object to be displayed as an icon, Word Pro records a value for IconMetaFilePict which is valid only during the recording. When you play back the recorded script, the IconMetaFilePict value will be invalid and Word Pro will treat the value as if you passed a 0.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateParallelColumns method

 See list of classes

 See example

Creates parallel columns at the insertion point in the currently active document. Equivalent to choosing Create - Parallel Columns.

Syntax

[objectreference].CreateParallelColumns(NumCols, [AlignmentType])

Parameters

NumCols
An Integer value which specifies the number of parallel columns you want to create.

AlignmentType
Allows you to specify what type of alignment you want to use for the data in your parallel columns. Data type is Variant which allows the value of this parameter to be one of the nine string values listed below or their numeric equivalents (in parentheses). Default is $LtsAlignmentHorizCenter.

$LtsAlignmentHorizCenter (1056964611) Centers all data horizontally.

$LtsAlignmentJustify (1056964613) Justifies the alignment of all data with the left and right boundaries of the columns.

$LtsAlignmentLeft (1056964609) Aligns all data with the left side of the column.

$LtsAlignmentRight (1056964610 Aligns all data with the right side of the column.

$LtsAlignmentSmart (1056964612) Aligns data according to the type of data. Numbers are right-aligned, text is left-aligned, and so on.

$LwpAlignmentTypeAlignRevert (8) Reverts the alignment of all data to the alignment of provided by the paragraph style.

$LwpAlignmentTypeJustifyall (5) Justifies the alignment of all data with the left and right boundaries of the columns.

$LwpAlignmentTypeNumericleft (6) Aligns all data to the left-most decimal (or period if text is present).

$LwpAlignmentTypeNumericright (7) Aligns all data to the right-most decimal (or period if text is present).

Return value

None

Usage

The data in parallel columns flows from the top to the bottom of the left column and then into the next column to the right. Once the data reaches the bottom of the right parallel column on a page, it then flows to the top of the left parallel column on the next page.

When created, you can access and manipulate the currently active ParallelColumns object through the ParallelColumns property on WPApplication.


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateRemark method

 See list of classes

 See example

Allows you to insert an editorial remark in a version of a document. Equivalent to choosing File - Versions, selecting the desired version, and clicking New Remark.

Syntax

[objectreference].CreateRemark[(Remarks, Time, EditorInitials)

Parameters

Remarks
Data type is String.

Time
Data type is Long.

EditorInitials
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Version class


Word Pro: CreateTable method

 See list of classes

 See example

Creates a table at the insertion point in the currently active document. Equivalent to choosing Create - Table.

Syntax

[objectreference].CreateTable([UseDefault,][FrameStyle,][Columns,][Rows]

Parameters

UseDefault
Allows you to use or bypass the default table style. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True which tells Word Pro to use the default table style.

FrameStyle
A String expression which specifies the name of the table style you want Word Pro to use in creating the new table. Use this parameter when you set the UseDefault parameter to False.

Columns
An Integer value indicating the number of columns you want to have in the new table. Data type is Long. You must provide a value for this parameter if you set UseDefault to False.

Rows
An Integer value indicating the number of rows you want to have in the new table. Data type is Long. You must provide a value for this parameter if you set UseDefault to False.

Return value

None

Usage

Issued without parameters, this method creates a table based on the default table style.


Topics Found:

Word Pro: WPApplication class


Word Pro: CreateVersion method

 See list of classes

 See example

Allows you to create a version of a document for editing. Equivalent to File - Versions.

Syntax

[objectreference].CreateVersion(Name)

Parameters

Name
Data type is String.

Return value

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: Create method

 See list of classes

 See example

Creates the specified type of object in the Foundry object from which you call this method.

Syntax

[objectreference].Create(CreateType [,P2] [,P3])

Parameters

CreateType
Indicates which type of object you want to create. The need for parameters P2 and P3 is determined by the value of the CreateType parameter. Most of the values listed below do not require you to include the P2 or P3 parameters.

Choose one of the string values below or its numeric equivalent (indicated in parentheses):

$LwpFoundryCreateTypeStyle (2028)

Creates an object from the one of the following classes: CellLayout, CharacterStyle, FrameLayout, PageLayout, ParagraphStyle, TableLayout. When you use this value for CreateType, you must also include values for P2 and P3.

$LwpFoundryCreateTypeLayout (2029)

Creates a Layout object from one of the following classes: FrameLayout, NoteLayout, PageLayout, RubyLayout. When you use this value for CreateType, you must also include a value for P2 but no value is needed for P3.

$LwpFoundryCreateTypeText (2030)

Creates a Text object from the Text class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeSupertable (2031)

Creates a SuperTable object from the SuperTable class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeToc (2032)

Creates a TOCSuperTable object from the TOCSuperTable class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeParallelcols (2033)

Creates a ParallelColumns object from the ParallelColumns class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeGraphic (2034)

Creates a Graphic object from the Graphic class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeOle (2035)

Creates an OLEObject object from the OLEObject class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeFootnote (2036)

Creates a Footnote object from the Footnote class. When you use this value for CreateType, you need a value for P2 but you do not need a value for P3.

$LwpFoundryCreateTypeField (2037)

Creates a DocInfoField object from the DocInfoField class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeSilverbullet (2038)

Creates a SilverBullet object from the SilverBullet class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeSection (2039)

Creates a Section object from the Section class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeIndexsection (2040)

Creates an IndexSection object from the IndexSection class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeBag (2041)

Creates a Bag object from the Bag class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeOutlineseq (2042)

Creates an OutSeqItem object from the OutSeqItem class. When you use this value for CreateType, you do not need values for P2 and P3.

$LwpFoundryCreateTypeClickhere (2043)

Creates a ClickHere object from the ClickHere class. When you use this value for CreateType, you do not need values for P2 and P3.

P2

Data type for P2 is Variant which allows P2 to accept values of any data type. There is no default value for P2. Use P2 only when the CreateType parameter has one of the following three values:

$LwpFoundryCreateTypeStyle (2028)

If CreateType has a value of "$LwpFoundryCreateTypeStyle" (or 2028), then the P2 parameter value must be a String which specifies the name of the new style object you are creating. You must also include a value for P3.

$LwpFoundryCreateTypeLayout (2029)

If CreateType has a value of "$LwpFoundryCreateTypeLayout" (or 2029), you must use one of the following values for P2:

Value	Layout Object Created
7	PageLayout
17	NoteLayout
662	FrameLayout
628	RubyLayout
$LwpFoundryCreateTypeFootnote (2036)

If CreateType has a value of "$LwpFoundryCreateTypeFootnote" (or 2036), the value of the P2 parameter must be one of the following strings or its numeric equivalent (indicated in parentheses):

$LwpFnTypeAnyposition (289)

$LwpFnTypeAtBottomOfPage (290)

$LwpFnTypeAtEndOfDoc (291)

$LwpFnTypeAtEndOfDocSepDiv (292)

$LwpFnTypeAtEndOfDiv (293)

$LwpFnTypeAtEndOfDivisionSepDiv (294)

$LwpFnTypeAtEndOfDivisionGroup (295)

$LwpFnTypeAtEndOfDivGroupSepDiv (296)

P3

An Integer expression which specifies which type of style object you want to create. Use this parameter only when you set the vale of the CreateType parameter to "$LwpFoundryCreateTypeStyle" (or 2028). You must use one of the integers below:

Value	Style Object Created
7	Page
8	Frame
23	Table
25	Cell
35	Paragraph
39	Character
107	Header
108	Footer
676	DropCap
Return value

A string representing the name of the object created.

Usage

In order to create an object which you can see in your document, you must call this method from the Foundry object found in the Foundry property on WPApplication or a Division. DO NOT use the Foundry object stored in WPAPplication.AppFoundry or TextDocument.Foundry.


Topics Found:

Word Pro: Foundry class


Word Pro: CutSelection method

 See list of classes

 See example

Deletes the current selection and places a copy in the Clipboard and the Foundry object located in the AppFoundry property on WPApplication. Equivalent to choosing Edit - Cut.

Syntax

[objectreference].CutSelection()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: DarkMode method

 See list of classes

 See example

This method is used to turn off the updating of the Word Pro screen during execution of a script.

Syntax

[Objectreference].ApplicationWindow.DarkMode (Integer) Integer

Parameters

Integer
Data type is Integer. The legal values for this parameter are -1 or 0 but you may use the LotusScript constants of True (-1) and False (0).

Return value

The return values for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When DarkMode is turned on, the screen display in the current MDI window is frozen. The screen is not updated until DarkMode is turned off. Make sure that you turn DarkMode off before the script finishes or the user will never see the screen repaint.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class


Word Pro: DataObjectGetDataHere method

 See list of classes

 See example

Syntax

[objectreference].DataObjectGetDataHere(pFormatEtc,pStgMedium)

Parameters

pFormatEtc
Data type is Long.

pStgMedium
Data type is Long.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: DataObjectGetData method

 See list of classes

 See example

Syntax

[objectreference].DataObjectGetData(pFormatEtc,pStgMedium)

Parameters

pFormatEtc
Data type is Long.

pStgMedium
Data type is Long.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: DblUnderline method

 See list of classes

 See example

Sets the double underline attribute for selected text, or all following text if no text is selected. Acts as a toggle, turning the attribute off if it is on and on if it is off. Equivalent to choosing Text - Attributes - Other and then choosing "Dbl Underline" from the Attributes box.

Syntax

[objectreference].DblUnderline()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DeleteButton method

 See list of classes

 See example

Deletes a button from the status bar.

Syntax

[objectreference].DeleteButton()

Parameters

None

Return value

Integer. Always returns True.

Usage

Use this method when you want to delete a selected button from the status bar. Once you delete a button, you can no longer access it.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: DeleteChars method

 See list of classes

 See example

Deletes the specified number of characters following the insertion point.

Syntax

[objectreference].DeleteChars(Count)

Parameters

Count
An Integer expression which specifies the number of characters you want to delete.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Similar to the forward delete (DEL or Delete) key on most keyboards.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: DeleteContainer method

 See list of classes

 See example

Deletes a container object.

Syntax

[objectreference].DeleteContainer()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: DeleteContents method

 See list of classes

 See example

Deletes the contents from an object.

Syntax

[objectreference].DeleteContents()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: DeleteContent method

 See list of classes

 See example

Deletes the content in a GraphicOleObject.

Syntax

[objectreference].DeleteContent()

Parameters

None

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: DeleteDivision method

 See list of classes

 See example

Deletes the currently active division object, its contents, and any child divisions. Equivalent to clicking the right mouse button on the division divider tab and choosing Delete Division.

Syntax

[objectreference].DeleteDivision([DivisionName])

Parameters

DivisionName
Data type is String. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Every document must have at least one division, so you cannot delete the last remaining division in a document.


Topics Found:

Word Pro: WPApplication class


Word Pro: DeleteField method

 See list of classes

 See example

Removes a document field from a document.

Syntax

[objectreference].DeleteField(FieldName)

Parameters

FieldName
The name of the field you want to delete. Data type is String.

Return value

Returns True if the specified document field is deleted. Returns False if the specified document field is not deleted or if the document field does not exist.

Usage

Use this method to delete a specific document field and its contents.


Topics Found:

Word Pro: DocInfoFieldManager class


Word Pro: DeleteItem method

 See list of classes

 See example

Deletes a menu item from a menu item object.

Syntax

[objectreference].DeleteItem(MenuText)

Parameters

MenuText
The String name of the menu item you want to delete from a menu.

Return value

String

Usage

You call the DeleteItem method from the parent menu and specify which item you want to delete from the Items property of the parent.

If you delete an existing Word Pro menu item, Word Pro regenerates the menu item when you terminate the current Word Pro session and launch Word Pro again. To disable a Word Pro menu item, you must create a startup script to remove the item each time you start Word Pro. Creating a startup script to remove an item is often used to prevent duplicate menu items on the Word Pro menu. By calling DeleteItem with the text you intend to use in the NewItem method, Word Pro does not add a second item if that item already exists.


Topics Found:

Word Pro: MenuItem class


Word Pro: DeleteKey method

 See list of classes

 See example

Deletes the current selection. If nothing is selected, this method deletes the object in front of the insertion point. Equivalent to pressing the Delete key one time.

Syntax

[objectreference].DeleteKey()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DeleteLayout method

 See list of classes

 See example

Deletes a specified layout object and its contents.

Syntax

[objectreference].DeleteLayout()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Word Pro does not delete the contents of a layout object if another object is using those contents. For example, if cell A1 is referenced in a formula, you can use the DeleteLayout method to delete the celllayout object of cell A1. However, the content of that celllayout object will still be included in the calculation of the formula. The result of the formula will not change until the content of cell A1 is deleted as well.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DeleteMacroAccelerator method

 See list of classes

 See example

Deletes the macro acceletator key.

Syntax

[objectreference].DeleteMacroAccelerator(MacroName)

Parameters

MacroName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Accelerators class


Word Pro: DeleteMarker method

 See list of classes

 See example

Deletes a marker from a document.

Syntax

[objectreference].DeleteMarker()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: DeleteParallelColumns method

 See list of classes

 See example

Deletes a parallel column from a document. Equivalent to choosing Columns - Delete - All Columns.

Syntax

[objectreference].DeleteParallelColumns()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: DeleteSection method

 See list of classes

 See example

Deletes a section object from a division. Equivalent to clicking the right mouse button on the section divider tab and choosing Delete Section.

Syntax

[objectreference].DeleteSection()

Parameters

Return value

Usage


Topics Found:

Word Pro: IndexSection class

Word Pro: Section class

Word Pro: WPApplication class


Word Pro: DeleteSmartCorrect method

 See list of classes

 See example

Turns off the SmartCorrect tool in a document.

Syntax

[objectreference].DeleteSmartCorrect(Entry)

Parameters

Entry
Data type is String.

Return value

Usage


Topics Found:

Word Pro: SmartCorrect class


Word Pro: DeleteTable method

 See list of classes

 See example

[WPApplication]

Deletes the table object which has the focus. If no table object is in the focus, nothing is deleted.

[BaseTable]

Deletes an entire table or specified components of a table.

Syntax

[objectreference].DeleteTable()

[objectreference.DeleteTable(TableDelType, Start, Count)

Parameters

[WPApplication]

None

[BaseTable]

TableDelType

Indicates which type of item is to be deleted. The value of this Variant parameter must be one of the string constants below or its numeric equivalent.

Value	Effect
$LwpTableDelTypeRow (1867)	Deletes any rows that are included in the current selection, unless you specify values for the Start and Count parameters.
$LwpTableDelTypeColumn (1868)	Deletes any columns that are included in the current selection, unless you specify values for the Start and Count parameters.
$LwpTableDelTypeWholetable (1869)	Deletes the entire table.
Start

An Integer parameter which indicates the beginning column or row ID to be deleted. The ID is zero based, which means that the first row and column within a table have an ID of 0. The Start parameter must be used in combination with the Count parameter. This parameter has no effect when the TableDelType parameter value is 1869.

Count

An Integer parameter which indicates the number of rows or columns to be deleted. The Count parameter must be used in conjunction with the Start parameter. This parameter has no effect when the TableDelType parameter value is 1869.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

[WPApplication]

Equivalent to choosing Table - Delete - Entire Table.

[BaseTable]

Equivalent to choosing Table - Delete and choosing the object to be deleted.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: DeleteTab method

 See list of classes

 See example

Deletes a tab setting from the horizontal ruler. Equivalent to choosing View - Show/Hide - Ruler to display the horizontal ruler, then dragging a tab off the ruler and releasing the mouse button. Also equivalent to clicking the right mouse button anywhere over the ruler and choosing Clear All Tabs.

Syntax

[objectreference].DeleteTab(Index)

Parameters

Index
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: TabRack class


Word Pro: DeleteVersion method

 See list of classes

 See example

Deletes a version of a document. Equivalent to choosing File - Versions and clicking Delete Version on the version you want to delete.

Syntax

[objectreference].DeleteVersion(VersionID)

Parameters

VersionID
Data type is Long.

Return value

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: DemoteOutlineLevel method

 See list of classes

 See example

Demotes the current paragraph to the next lower outline level. Equivalent to choosing Text - Outline - Demote.

Syntax

[objectreference].DemoteOutlineLevel()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

This method affects the paragraph which has the focus or the paragraphs which are selected when you call the method from WPApplication.


Topics Found:

Word Pro: WPApplication class


Word Pro: Demote method

 See list of classes

 See example

Demotes a paragraph to the next lower outline level. Equivalent to choosing Text - Outline - Demote.

Syntax

[objectreference].Demote()

Parameters

None

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method affects the paragraph or paragraphs in the object from which you call the method. You can call this method from a Text, TextMarker or ClickHere object.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: DeselectRuler method

 See list of classes

 See example

Word Pro calls this method when the ruler is hidden, and deselects a ruler mouse filter context on the context stack that intercepts mouse messages.

Syntax

[objectreference].DeselectRuler()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When the ruler is present, the mouse filter context filters mouse move messages and checks to see if a frame is currently being dragged. If a frame is being dragged, Word Pro displays special guides on the ruler.


Topics Found:

Word Pro: Ruler class


Word Pro: Deselect method

 See list of classes

 See example

Deselects the current selection in a document. Equivalent to deselecting by clicking outside the current selection or by pressing Esc.

Syntax

[objectreference].Deselect()

Parameters

None

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: DestroyDocWindow method

 See list of classes

 See example

Syntax

[objectreference].DestroyDocWindow()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: Destroy method

 See list of classes

 See example

Syntax

[objectreference].Destroy()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: DisconnectCells method

 See list of classes

 See example

Disconnects table cells which have been connected using the Table menu commands, the ConnectCells method, or the ConnectRows method.

Syntax

[objectreference].DisconnectCells()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Equivalent to choosing Table - Disconnect Cell.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: WPApplication class


Word Pro: Disconnect method

 See list of classes

 See example

Disconnects grouped container objects.

Syntax

[objectreference].Disconnect()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: WPApplication class


Word Pro: DoesMarkerNameMatch method

 See list of classes

 See example

Passes the name of the marker to determine whether the current object is marked by that marker name.

Syntax

[objectreference].DoesMarkerNameMatch(MarkerName)

Parameters

MarkerName

A String expression that represents the name assigned to the marker that is passed to determine whether the current object is marked by that marker name.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FootnoteTable class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Glossary class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParallelColumns class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: DoneWithRightMouseMenu method

 See list of classes

 See example

Indicates that the right mouse menu was used to create a graphic.

Syntax

[objectreference].DoneWithRightMouseMenu(MenuHandle)

Parameters

MenuHandle
Data type is Long.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: EditBoxes method

 See list of classes

 See example

Provides access to the collection of EditBoxes for a specified custom dialogbox. This will return the EditBox object specified by the ControlId parameter.

Syntax

[objectreference].EditBoxes(ControlId)

Parameters

ControlID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: EditClickHereLink method

 See list of classes

 See example

Opens the Edit Link dialog box so the user can edit a ClickHere link.

Syntax

[objectreference].EditClickHereLink()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

For this method to work, the insertion point must be in the ClickHereLink text or the ClickHereLink text must be selected. If the insertion point is not in the ClickHereLink text or other text is selected, this method will not function.


Topics Found:

Word Pro: WPApplication class


Word Pro: EditLinkInfo method

 See list of classes

 See example

Allows you to update whatever you are linked to. Equivalent to choosing Edit - Manage Links..

Syntax

[objectreference].EditLinkInfo(LinkInfo)

Parameters

LinkInfo
Data type is String.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When you choose Edit - Manage Links, you can change DdeLink information by editing it, changing the name of the link, opening the link source, or breaking the link.


Topics Found:

Word Pro: DdeLink class


Word Pro: EmbedFormula method

 See list of classes

 See example

Embeds a formula in a table object.

Syntax

[objectreference].EmbedFormula(ObjectName)

Parameters

ObjectName
A String expression representing the name of the object.

Return value

Usage


Topics Found:

Word Pro: Formula class


Word Pro: Embed method

 See list of classes

 See example

Inserts the named object into the layout of the object from which you call this method: PageLayout, SuperTableLayout, FrameLayout.

Syntax

When called from the WPApplication object:

[objectreference].Embed(ContentName, [Advance])

When called frrom a Text, TextMarker, or ClickHere object:

[objectreference].Embed(Objectname, [Advance])

Parameters

ContentName
The Data type String.

Objectname
Data type is String.

Advance
Indicates whether or not the insertion point is left at the beginning of the embedded object or is advanced to the end of the object. Data type is Boolean. Optional parameter. Default is True.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: EnableControl method

 See list of classes

 See example

Syntax

[objectreference].EnableControl(Control_ID, Enable)

Parameters

Control_ID
Data type is Variant.

Enable
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: EndChange method

 See list of classes

 See example

Ends any changes made to the Word Pro application, a document window, a division, or a text document. This method is defined in the following classes: WPApplication, Division, TextDocument, DocWindow.

Syntax

[objectreference].WPApplication.EndChange([MarkChanges])

[objectreference].Division.EndChange([MarkChanges])

[objectreference].Text.DocumentEndChange([MarkChanges])

[objectreference].DocWindow.EndChange()

Parameters

MarkChanges
Data type is Boolean. Optional parameter. Default is False.

Return value

Boolean

Usage


Topics Found:

Word Pro: Division class

Word Pro: DocWindow class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: EndCustomLines method

 See list of classes

 See example

This method is used by Word Pro when recording a script, in order to reflect the end of a customized table line style selection.

Syntax

[objectreference].EndCustomLines()

Parameters

Return value

This method always returns 0.

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: Ending method

 See list of classes

 See example

In any container this method moves the insertion point from its current position to the end of the document.

Syntax

[objectreference].Ending (ContainerEndEndOfDocument)

Parameters

ContainerEnd

The end of a specific container. Data type is Boolean. The value of this parameter must be "$LwpContainerEndEndOfDocument" or its code equivalent (160).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: EnumerateChartLinks method

 See list of classes

 See example

Syntax

[objectreference].EnumerateChartLinks(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

Long

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: EnumerateTerm method

 See list of classes

 See example

Enumerates all the entries in a glossary.

Syntax

[objectreference].EnumerateTerm(KeyNumber)

Parameters

KeyNumber

The number associated with each entry in a glossary.  Word Pro uses this number to enumerate the entries in the glossary.

Return value

String

Usage


Topics Found:

Word Pro: Glossary class


Word Pro: EnvelopePrint method

 See list of classes

 See example

Syntax

[objectreference].EnvelopePrint()

Parameters

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ExchangeItem method

 See list of classes

 See example

Switches one menu item with another menu item in the same or different parent menu item.

Syntax

[objectreference].ExchangeItem(WithItem)

Parameters

WithItem
Specifies the menu from which you are moving the item.

Return value

Usage

This method allows you to switch the position of two menu items in any menu. For example, you could switch the location of two items anywhere on the Word Pro menu.


Topics Found:

Word Pro: MenuItem class


Word Pro: ExpandOutline method

 See list of classes

 See example

Expands the highest level contracted heading(s) which are subordinate to the paragraph for which you are calling the method. For example, when you call this method for a Level 1 heading, it will expand the highest level contracted heading(s) which are subordinate to that Level 1 heading.

Syntax

[objectreference].ExpandOutline([All[)

Parameters

All
Allows you to expand all the subordinate headings under the heading from which you call this method. Data type is Integer but the legal values for this parameter are -1 and 0. You may use the LotusScript constants True (-1) and False (0). A value of True causes all subordinate headings to be expanded, regardless of their level. Optional parameter. Default is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Expand method

 See list of classes

 See example

Displays divider tabs that are the children of a parent division tab in a document.

Syntax

[objectreference].Expand()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to clicking the plus sign on the parent division tab to show all the children divider tabs.


Topics Found:

Word Pro: SectionTabs class


Example: DebugVariable property
'Example: DebugVariable property

'This example script has not yet been created.


Example: Decrement event
'Example: Decrement event

'This example script has not yet been created.


Example: DefaultBinName property
'Example: DefaultBinName property

'This example script has not yet been created.


Example: DefaultCellStyleDescription property
'Example: DefaultCellStyleDescription property

'This example script has not yet been created.


Example: DefaultColumnStyleName property
'Example: DefaultColumnStyleName property

'This example script has not yet been created.


Example: DefaultFilePath property
'Example: DefaultFilePath property

'This example script has not yet been created.


Example: DefaultFrameStyleDescription property
'Example: DefaultFrameStyleDescription property

'This example script has not yet been created.


Example: DefaultLatinFont property
'Example: DefaultLatinFont property

'This example script has not yet been created.


Example: DefaultLeftColumnStyleName property
'Example: DefaultLeftColumnStyleName property

'This example script has not yet been created.


Example: DefaultNonLatinFont property
'Example: DefaultNonLatinFont property

'This example script has not yet been created.


Example: DefaultPageHeight property
'Example: DefaultPageHeight property

'This example script has not yet been created.


Example: DefaultPageStyleDescription property
'Example: DefaultPageStyleDescription property

'This example script has not yet been created.


Example: DefaultPageWidth property
'Example: DefaultPageWidth property

'This example script has not yet been created.


Example: DefaultPitch property
'Example: DefaultPitch property

'This example script has not yet been created.


Example: DefaultRightColumnStyleName property
'Example: DefaultRightColumnStyleName property

'This example script has not yet been created.


Example: DefaultTableStyleDescription property
'Example: DefaultTableStyleDescription property

'This example script has not yet been created.


Example: DefaultTextStyleDescription property
'Example: DefaultTextStyleDescription property

'This example script has not yet been created.


Example: DefCellStyleName property
'Example: DefCellStyleName property

'This example script has not yet been created.


Example: DefColWidth property
'Example: DefColWidth property

'This example script has not yet been created.


Example: Definition property
'Example: Definition property

'This example script has not yet been created.


Example: DefRowHeight property
'Example: DefRowHeight property

'This example script has not yet been created.


Example: DelayedGreeting property
'Example: DelayedGreeting property

'This example script has not yet been created.


Example: DeleteButton method
'Example: DeleteButton method

' This example removes all custom statusbar buttons and repaints the

' statusbar.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim StatBar As StatusBar

Set StatBar = .ApplicationWindow.StatusBar

Forall Button In StatBar.StatusBarButtons

ButtonId =  Button.GetButtonId

If Button.GetButtonType = 153 Then

Print Button.DeleteButton()

End If

End Forall

StatBar.InvalidateWholeBar


Example: DeleteChars method
'Example: DeleteChars method

' This example inserts two words into the current document.  After the

' message box is closed, the first five characters are deleted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "Some text."

 MessageBox "Click OK to delete the first 5 characters.",MB_OK,"Example Script"

.Text.Backward $LwpNavigateObjectTypeWord, 2

.Text.DeleteChars 5


Example: DeleteContainer method
'Example: DeleteContainer method

'This example script has not yet been created.


Example: DeleteContents method
'Example: DeleteContents method

' This example deletes the contents of a Click Here Block.

' RUNTIME DEPENDENCIES: You must have a document open  and a click here

' named 'ClickHere1' for this script to work.

.Division.Foundry.ClickHeres.Item("ClickHere1").DeleteContents


Example: DeleteContent method
'Example: DeleteContent method

'This example script has not yet been created.


Example: DeleteDivision method
'Example: DeleteDivision method

'  This example creates a new division based on the "DEFAULT.MWP" Smart Master.  It is placed after the current

'  division. After the division is created it is deleted.

'  RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SmartMaster as String

Dim NewDivId as String

SmartMaster = .ApplicationWindow.UserInterfacePrefs.StylePath & "\DEFAULT.MWP"

.CreateDivision SmartMaster, "", $LWPDivLocInsertAfterCurrentDiv, "", ""

NewDivId = .Division.Name

.DeleteDivision(NewDivId)


Example: DeleteField method
'Example: DeleteField method

' This example adds a new field named 'ExampleField' for the current document.

' The field's contents are inserted and the field is then deleted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocument.DocInfo.FieldManager.AddField "ExampleField", "Some data for ExampleField ", 1

.InsertDocInfo $LwpDocVarField, "ExampleField"

.ActiveDocument.DocInfo.FieldManager.DeleteField "ExampleField"


Example: DeleteFont property
'Example: DeleteFont property

'This example script has not yet been created.


Example: DeleteItem method
'Example: DeleteItem method

' This example creates a new menu item named 'Example Menu' to the File

' menu. The mnuMenuSub subroutine is assigned to run each time the new

' menu item is selected

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewMenu As MenuItem

Dim MenuName as String

Dim MenuSpacer as String

MenuName = "&Example Menu"

MenuSpacer = Chr$(8)

' Set menu object

Set NewMenu =.ApplicationWindow.LwpMenuBar.Items.Item("&File")

' Create a new menu off of the File Menu and before the Save option

' Delete it first to prevent duplicates

NewMenu.DeleteItem MenuName

NewMenu.NewItem MenuName,"!mnuMenuSub",0,"&Save" & MenuSpacer & "Ctrl+S"

End Sub


Example: DeleteKey method
'Example: DeleteKey method

' This example positions the insertion point at the beginning of the current

' paragraph.  Some text is inserted and then each character is deleted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim Message  As String

Dim LenMessage As Integer

Dim x As Integer

Message = "This is some text"

LenMessage = Len(Message)

.Text.MoveToStart $LwpLocationTypeParagraph

.Type Message

.Text.MoveToStart $LwpLocationTypeParagraph

For x = 1 To LenMessage

.DeleteKey

Next


Example: DeleteLayout method
'Example: DeleteLayout method

'This example script has not yet been created.


Example: DeleteMacroAccelerator method
'Example: DeleteMacroAccelerator method

'This example script has not yet been created.


Example: DeleteMarker method
'Example: DeleteMarker method

'This example script has not yet been created.


Example: DeleteParallelColumns method
'Example: DeleteParallelColumns method

' This example creates then deleletes a parallel column for the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.DeleteParallelColumns


Example: DeleteSection method
'Example: DeleteSection method

' This example inserts several sections in the active division and then

' deletes all sections.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True

Forall Section In .Division.Foundry.Sections

Section.DeleteSection

End Forall


Example: DeleteSmartCorrect method
'Example: DeleteSmartCorrect method

' This example deletes an entry in the SmartCorrect list.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Language = "English (United States)"

.Application.SmartCorrects(Language).DeleteSmartCorrect "lts"


Example: DeleteTable method
'Example: DeleteTable method

' This example creates a table with 4 rows and 5 columns, then deletes the

' table when you click OK in the message box.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

Messagebox "Click OK to delete the current table.",MB_OK,"Example Script"

.DeleteTable


Example: DeleteTab method
'Example: DeleteTab method

'This example script has not yet been created.


Example: DeleteVersion method
'Example: DeleteVersion method

' This example creates a version for the current document then deletes the

' version.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Division.VersionManager.CreateVersion  "NewVersion"

Forall Version In .ActiveDocument.VersionManager.Versions

If	Version.name = "NewVersion" Then

.ActiveDocument.VersionManager.DeleteVersion Version.DocVersionId	End If

End Forall


Example: DemandLoad property
'Example: DemandLoad property

'This example script has not yet been created.


Example: DemoteOutlineLevel method
'Example: DemoteOutlineLevel method

'This example script has not yet been created.


Example: Demote method
'Example: Demote method

'This example script has not yet been created.


Example: Descent property
'Example: Descent property

'This example script has not yet been created.


Example: DescriptionFileName property
'Example: DescriptionFileName property

'This example script has not yet been created.


Example: Description property
'Example: Description property

'This example script has not yet been created.


Example: DeselectRuler method
'Example: DeselectRuler method

'This example script has not yet been created.


Example: Deselect method
'Example: Deselect method

' This example inserts some text into the current document which is then

' selected. After the message box is closed, the text is deselected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "This is some text."

 MessageBox "Click OK to select the text.",MB_OK,"Example Script"

.Select $LwpSelectObjectTypeParagraph

 MessageBox "Click OK to deselect the text.",MB_OK,"Example Script"

.Text.Deselect


Example: DestroyDocWindow method
'Example: DestroyDocWindow method

'This example script has not yet been created.


Example: Destroy method
'Example: Destroy method

'This example script has not yet been created.


Example: DialogEvent event
'Example: DialogEvent event

'This example script has not yet been created.


Example: DirControl property
'Example: DirControl property

'This example script has not yet been created.


Example: DirectionDown property
'Example: DirectionDown property

'This example script has not yet been created.


Example: DirectionLeft property
'Example: DirectionLeft property

'This example script has not yet been created.


Example: DirectionRight property
'Example: DirectionRight property

'This example script has not yet been created.


Example: DirectionUp property
'Example: DirectionUp property

'This example script has not yet been created.


Example: DirectiveColor property
'Example: DirectiveColor property

'This example script has not yet been created.


Example: DisableClickHeres property
'Example: DisableClickHeres property

'This example script has not yet been created.


Example: DisableConsistencyCheck property
'Example: DisableConsistencyCheck property

'This example script has not yet been created.


Example: DisableExportToNotes property
'Example: DisableExportToNotes property

'This example script has not yet been created.


Example: DisableVersionReview property
'Example: DisableVersionReview property

'This example script has not yet been created.


Example: DisconnectCells method
'Example: DisconnectCells method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table style, selects the first column, and connects the cells.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.SelectColumn

.ConnectCells

Messagebox "Click OK to disconnect cells .",MB_OK,"Example Script"

.DisconnectCells


Example: Disconnect method
'Example: Disconnect method

' This example creates a table and connects the first row of cells.  After the

' message box is closed, the table cells are disconnected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.SelectRow

.ConnectCells

Messagebox "Click OK to disconnect cells. ", MB_OK, "Example Script"

.TableContainer.Disconnect


Example: DistanceFromLeftMargin property
'Example: DistanceFromLeftMargin property

'This example script has not yet been created.


Example: DivisionInfo property
'Example: DivisionInfo property

'This example script has not yet been created.


Example: DivisionNames property
'Example: DivisionNames property

'This example script has not yet been created.


Example: DivisionName property
'Example: DivisionName property

'This example script has not yet been created.


Example: DivisionOptions property
'Example: DivisionOptions property

'This example script has not yet been created.


Example: DivisionsRequired property
'Example: DivisionsRequired property

'This example script has not yet been created.


Example: Divisions property
'Example: Divisions property

'This example script has not yet been created.


Example: Division property
'Example: Division property

'This example script has not yet been created.


Example: DocControlRestrictedToEditor property
'Example: DocControlRestrictedToEditor property

'This example script has not yet been created.


Example: DocControl property
'Example: DocControl property

'This example script has not yet been created.


Example: DocInfo property
'Example: DocInfo property

'This example script has not yet been created.


Example: DocOptions property
'Example: DocOptions property

'This example script has not yet been created.


Example: DocPath property
'Example: DocPath property

'This example script has not yet been created.


Example: DocSize property
'Example: DocSize property

'This example script has not yet been created.


Example: DocumentClosed event
'Example: DocumentClosed event

'This example script has not yet been created.


Example: DocumentClose event
'Example: DocumentClose event

'This example script has not yet been created.


Example: DocumentCreated event
'Example: DocumentCreated event

'


Example: DocumentCreate event
'Example: DocumentCreate event

'This example script has not yet been created.


Example: DocumentExported event
'Example: DocumentExported event

'This example script has not yet been created.


Example: DocumentExport event
'Example: DocumentExport event

'This example script has not yet been created.


Example: DocumentImported event
'Example: DocumentImported event

'This example script has not yet been created.


Example: DocumentImport event
'Example: DocumentImport event

'This example script has not yet been created.


Example: DocumentInserted event
'Example: DocumentInserted event

'This example script has not yet been created.


Example: DocumentInsert event
'Example: DocumentInsert event

'This example script has not yet been created.


Example: DocumentLevel property
'Example: DocumentLevel property

'This example script has not yet been created.


Example: DocumentOpened event
'Example: DocumentOpened event

'


Example: DocumentOpen event
'Example: DocumentOpen event

'


Example: DocumentPaths property
'Example: DocumentPaths property

'This example script has not yet been created.


Example: DocumentPrinted event
'Example: DocumentPrinted event

'This example script has not yet been created.


Example: DocumentPrint event
'Example: DocumentPrint event

'This example script has not yet been created.


Example: DocumentSaveAs event
'Example: DocumentSaveAs event

'This example script has not yet been created.


Example: DocumentSaved event
'Example: DocumentSaved event

'This example script has not yet been created.


Example: DocumentSave event
'Example: DocumentSave event

'This example script has not yet been created.


Example: Documents property
'Example: Documents property

'This example script has not yet been created.


Example: Document property
'Example: Document property

'This example script has not yet been created.


Word Pro: DivisionCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: DivisionInfo class members

Properties

AnyOLEDDELinks AS Integer (Boolean)

Application AS WPApplication

Changed AS Integer (Boolean)

ClassName AS String

Color AS Color

ContentName AS String

Description AS String

ExternalFileID AS String

ExternalFileName AS String

ExternalName AS String

ExternalType AS String

FillerPageText AS Text

HasContents AS Integer (Boolean)

IgnoreTab AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExternalFile AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsValid AS Integer (Boolean)

LayoutName AS String

LayoutOverride AS LayoutOverride

Name AS String

PageNumberStyle AS NumberingStyle

Parent AS BaseObject

ShowTabs AS Integer (Boolean)

SuppressHeaders AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: DivisionOptions class members

Properties

Application AS WPApplication

Description AS String

HyphenationOptions AS HyphenationOptions

IsTextLocked AS Integer (Boolean)

IsValid AS Integer (Boolean)

Language AS Language

Name AS String

Parent AS BaseObject

ShowHiddenText AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: DocControl class members

Properties

AllowAlternateVerification AS Integer (Boolean)

Application AS WPApplication

AutoVersion AS AutoVersion

DelayedGreeting AS Integer (Boolean)

Description AS String

DisableClickHeres AS Integer (Boolean)

DisableExportToNotes AS Integer (Boolean)

DisableVersionReview AS Integer (Boolean)

DocControlRestrictedToEditor AS String

EditorVerificationType AS EditorVerifyType

FileProtectionType AS FileProtectType

Greeting AS String

IsValid AS Integer (Boolean)

Name AS String

NotesFlow AS Integer (Boolean)

OCXDesignMode AS Integer (Boolean)

Parent AS BaseObject

RequestRemarkOnClose AS Integer (Boolean)

RequireStartupScripts AS Integer (Boolean)

ShowDivisionTabs AS Integer (Boolean)

UseGreeting AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: DocInfoFieldCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: DocInfoFieldManager class members

Properties

Application AS WPApplication

Description AS String

Fields AS DocInfoFieldCollection

IsValid AS Integer (Boolean)

Name AS String

NumFields AS Integer

Parent AS BaseObject

VersionID AS Long

Methods

AddField

DeleteField

Events

None


Word Pro: DocInfoField class members

Properties

Application AS WPApplication

Contents AS String

Description AS String

ExportToNotesFX AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: DocInfo class members

Properties

Application AS WPApplication

AuthorName AS String

CreationDateString AS String

CreationTimeString AS String

CreationTimeValue AS Long

Description AS String

DocSize AS Long

FieldManager AS DocInfoFieldManager

IsValid AS Integer (Boolean)

Keywords AS String

LockForNotesUserName AS String

ModifiedDateString AS String

ModifiedTimeString AS String

ModifiedTimeValue AS Long

Name AS String

NumCharsInDoc AS Long

NumPagesInDoc AS Long

NumWordsInDoc AS Long

Parent AS BaseObject

TotalEditingTime AS Long

VersionID AS Long

Methods

ExportAllAsNotesFX

ExportAsNotesFX

IsExportedAsNotesFX

UpdateSelectedFields

Events

None


Word Pro: Documents class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: Document class members

Properties

Application AS WPApplication

Changed AS Integer (Boolean)

Description AS String

Embedded AS Integer (Boolean)

FullName AS String

IsOpen AS Integer (Boolean)

IsValid AS Integer (Boolean)

Location AS String

Name AS String

Parent AS BaseObject

Path AS String

PrintSettings AS PrintSettings

ReadOnly AS Integer (Boolean)

Saved AS Integer (Boolean)

VersionID AS Long

Methods

Activate

Close

CopySelection

CutSelection

Paste

Print

PrintOut

Save

SaveAs

Events

PreClose

Save

SaveAs

Saved

SavedAs


Word Pro: DocWindowCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: DocWindow class members

Properties

Active AS Integer (Boolean)

Application AS WPApplication

BlockPaint AS Integer (Boolean)

Caption AS String

ClientWndHeight AS Long (measured in Twips)

ClientWndWidth AS Long (measured in Twips)

Description AS String

Document AS TextDocument

ExcludeRectBottom AS Long (measured in Twips)

ExcludeRectLeft AS Long (measured in Twips)

ExcludeRectRight AS Long (measured in Twips)

ExcludeRectTop AS Long (measured in Twips)

FitType AS FitType

GapBetweenPanes AS Long (measured in Twips)

HasFocus AS Integer (Boolean)

Height AS Long (measured in Twips)

HorizScrollBarVisible AS Integer (Boolean)

Hwnd AS Long

IsCentered AS Integer (Boolean)

IsValid AS Integer (Boolean)

Left AS Long (measured in Twips)

MaxHorzPaneDistance AS Long (measured in Twips)

MaxVertPaneDistance AS Long (measured in Twips)

Name AS String

NumCols AS Integer

NumRowsThatFit AS Integer

PageNumFirstPageShowing AS Integer

PageNumLastPageShowing AS Integer

Parent AS BaseObject

TileWindow AS TileType

Top AS Long (measured in Twips)

UseExcludeRect AS Integer (Boolean)

UsesPalette AS Integer (Boolean)

VersionID AS Long

VertScrollBarVisible AS Integer (Boolean)

ViewLevel AS Integer

ViewType AS PresentationType

Visible AS Integer (Boolean)

Width AS Long (measured in Twips)

WindowId AS Long

WinViewPrefs AS WinViewPrefs

XOffset AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

Methods

Close

DarkMode

DestroyDocWindow

EndChange

Hide

Invalidate

Maximize

Minimize

Move

Open

RenderClipBitmap

RenderClipDIB

RenderClipMetafile

RenderClipPalette

Repaint

Resize

Restore

SetFocus

Show

ShowScrollBars

Update

Events

Moved

Moved


Word Pro: DropCapContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: DropCapLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: DropCapLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: EditorCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: EditorManager class members

Properties

Application AS WPApplication

CurrentEditor AS Editor

Description AS String

Editors AS EditorCollection

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddEditorManager

RemoveEditor

Events

None


Word Pro: Editor class members

Properties

Abilities AS EditAbil

Application AS WPApplication

DeleteFont AS Font

Description AS String

EditorInitials AS String

HiLiteColor AS Color

InsertFont AS Font

IsValid AS Integer (Boolean)

Locks AS EditLocks

Name AS String

Parent AS BaseObject

Suggestions AS EditSugg

TextAttributes AS Attributes

VersionID AS Long

Methods

None

Events

None


Word Pro: EndnoteDivisionGroupNum class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

LeadingText AS String

Name AS String

Parent AS BaseObject

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: EndnoteDivisionNum class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

LeadingText AS String

Name AS String

Parent AS BaseObject

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: EndnoteDocNum class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

LeadingText AS String

Name AS String

Parent AS BaseObject

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: EndnoteLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: EndnoteLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FilterHelper class members

Properties

Application AS WPApplication

Description AS String

GetFilterExtension AS String

GetFilterExtForDialogBox AS String

GetFilterId AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: Filter class members

Properties

Application AS WPApplication

AsciiCodePage AS Integer

AsciiCRLFType AS AsciiLineEnding

Description AS String

FilterHelper AS FilterHelper

GraphicExports AS StringCollection

GraphicImports AS StringCollection

IsAsciiCRLF AS Integer (Boolean)

IsAsciiKeepStyle AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

TableExports AS StringCollection

TableImports AS StringCollection

TextandTableExports AS StringCollection

TextandTableImports AS StringCollection

VersionID AS Long

Methods

GetDisplayableFilterName

GetFileDescription

GetLastUsedFilter

IsFilterTypePresent

SetLastUsedFilter

Events

None


Word Pro: FindAndReplace class members

Properties

Application AS WPApplication

CharacterSet AS CharacterSet

Description AS String

FindExactCase AS Integer (Boolean)

FindFont AS Font

FindForwardDirection AS Integer (Boolean)

FindString AS String

FindStyleName AS String

FindWithProperties AS Integer (Boolean)

IncludeList AS IncludeList

IsValid AS Integer (Boolean)

MatchType AS FindMatch

Name AS String

NumberFound AS Long

NumberOfReplacements AS Long

Parent AS BaseObject

ReplaceAttributes AS Attributes

ReplaceExactCase AS Integer (Boolean)

ReplaceFont AS Font

ReplaceLanguage AS Language

ReplaceString AS String

ReplaceStyleName AS String

ReplaceWithProperties AS Integer (Boolean)

SearchAttributes AS Attributes

SearchLanguage AS Language

UseFindStyle AS Integer

UseReplaceStyle AS Integer

VersionID AS Long

Where AS LookWhere

Methods

Reset

Events

None


Word Pro: FontMetrics class members

Properties

Application AS WPApplication

Description AS String

FontName AS String

IsSymbolic AS Integer (Boolean)

IsTrueType AS Integer (Boolean)

IsValid AS Integer (Boolean)

Italic AS Integer (Boolean)

Name AS String

Oblique AS Integer (Boolean)

Outline AS Integer (Boolean)

Parent AS BaseObject

PitchAndFamily AS Integer

Shadow AS Integer (Boolean)

SmallCaps AS Integer (Boolean)

VersionID AS Long

Weight AS Integer

Methods

None

Events

None


Word Pro: Font class members

Properties

ActualEnumName AS String

ActualName AS String

Align AS Integer

AlternateName AS String

Application AS WPApplication

Ascent AS Points

BackColor AS Color

BackColorIndex AS Integer

Bold AS Integer (Boolean)

Case AS Case

DefaultPitch AS Integer

Descent AS Points

Description AS String

DoubleUnderline AS Integer (Boolean)

FaceName AS String

FontColor AS Color

FontMetrics AS FontMetrics

FontName AS String

ForeColorIndex AS Integer

Height AS Points

IsTrueType AS Integer (Boolean)

IsValid AS Integer (Boolean)

Italic AS Integer (Boolean)

LowerCase AS Integer (Boolean)

LowerCaseAscent AS Points

Name AS String

Normal AS Integer (Boolean)

Overstrike AS Integer (Boolean)

OverstrikeCharacter AS Long

Parent AS BaseObject

Plain AS Integer

Size AS Points

SmallCaps AS Integer (Boolean)

StrikeThrough AS Integer

Subscript AS Integer (Boolean)

Superscript AS Integer (Boolean)

TextTightness AS Integer

Underline AS Integer (Boolean)

UpperCase AS Integer (Boolean)

VersionID AS Long

Width AS Points

WindowsName AS String

WordDoubleUnderline AS Integer (Boolean)

WordUnderline AS Integer (Boolean)

Methods

Clear

RevertToStyle

Events

None


Word Pro: FooterLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: FooterLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FootnoteCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: FootnoteContSep class members

Properties

Application AS WPApplication

BorderLines AS BorderLines

CustomLength AS Long (measured in Twips)

Description AS String

IndentFromLeft AS Long (measured in Twips)

IsFixedLength AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

SpaceAbove AS Long (measured in Twips)

SpaceBelow AS Long (measured in Twips)

UseSeparatorLine AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: FootnoteLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: FootnoteLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FootnoteNumbering class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

LeadingText AS String

Name AS String

Parent AS BaseObject

ResetWhen AS ResetOption

StartingNumber AS Integer

TrailingText AS String

UseSuperscriptReferenceNum AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: FootnoteNumOpt class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: FootnoteOptions class members

Properties

Application AS WPApplication

ContinuedFromAlignment AS AlignmentType

ContinuedFromMessage AS String

ContinuedOnAlignment AS AlignmentType

ContinuedOnMessage AS String

Description AS String

EndnoteDivisionGroupNum AS EndnoteDivisionGroupNum

EndnoteDivisionNum AS EndnoteDivisionNum

EndnoteDocNum AS EndnoteDocNum

FootnoteContSep AS FootnoteContSep

FootnoteNumbering AS FootnoteNumbering

FootnoteSeparator AS FootnoteSeparator

IsContinuedFrom AS Integer (Boolean)

IsContinuedOn AS Integer (Boolean)

IsRepeat AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: FootnoteSeparator class members

Properties

Application AS WPApplication

BorderLines AS BorderLines

CustomLength AS Long (measured in Twips)

Description AS String

IndentFromLeft AS Long (measured in Twips)

IsFixedLength AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

SpaceAbove AS Long (measured in Twips)

SpaceBelow AS Long (measured in Twips)

UseSeparatorLine AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: FootnoteSepOpt class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: FootnoteTable class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

CellLayouts AS StringCollection

ColumnLayouts AS StringCollection

ContentType AS ContentType

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

DefCellStyleName AS String

DefColWidth AS Long (measured in Twips)

DefRowHeight AS Long (measured in Twips)

Description AS String

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsParagraphNumberingDown AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsResetParagraphNumber AS Integer (Boolean)

IsSizingViaMouse AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MaxBottomBorder AS Long (measured in Twips)

MaxBottomGutter AS Long (measured in Twips)

MaxLeftBorder AS Long (measured in Twips)

MaxLeftGutter AS Long (measured in Twips)

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Long (measured in Twips)

MaxRightGutter AS Long (measured in Twips)

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Long (measured in Twips)

MaxTopGutter AS Long (measured in Twips)

Name AS String

NumCols AS Integer

NumRows AS Integer

Parent AS BaseObject

RowLayouts AS StringCollection

SelectionType AS SelectionType

SingleCellSelected AS Integer (Boolean)

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill

TableLine AS TableLine

VersionID AS Long

Methods

CellLayout

Connect

Copy

DeleteTable

DisconnectCells

DoesMarkerNameMatch

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: Footnote class members

Properties

Application AS WPApplication

Content AS Variant

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Number AS Integer

Parent AS BaseObject

Type AS FnType

VersionID AS Long

Methods

GoTo

Events

None


Word Pro: FormatCheckPref class members

Description AS String

FixAcronymns AS Integer (Boolean)

FixBullets AS Integer (Boolean)

FixMargins AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Options AS FormatCheckOptions

Parent AS BaseObject

Replacements AS ReplacementChoices

Typos AS TypoChoices

UseConsistentSpaceBetweenSentences

 AS Integer (Boolean)

UseTwoSpacesBetweenSentences

 AS Integer (Boolean)

VersionID AS Long

Methods

None

Events

None


Word Pro: FormatPreferences class members

Properties

Application AS WPApplication

Attributes AS Attributes

Description AS String

FastFormatType AS FastFormatType

Font AS Font

IsValid AS Integer (Boolean)

Language AS Language

Name AS String

Parent AS BaseObject

StyleName AS String

VersionID AS Long

Methods

None

Events

None


Word Pro: Formula class members

Properties

Alignment AS Alignment

Application AS WPApplication

CanEmbed AS Integer (Boolean)

ContentType AS ContentType

Description AS String

Font AS Font

Formula AS String

Indent AS Indent

IsEmpty AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsRevisionMark AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

NumberOfRevisions AS Integer

ParagraphStyle AS ParagraphStyle

ParagraphStyleName AS String

Parent AS BaseObject

Spacing AS Spacing

VersionID AS Long

Methods

EmbedFormula

Mark

RevisionAccept

RevisionCancel

Events

None


Word Pro: Foundry class members

Properties

Application AS WPApplication

Bags AS BagCollection

BaseTables AS TableCollection

BookmarkManager AS BookmarkManager

CellEngines AS CellCollection

CellLayouts AS CellLayoutCollection

CellLayoutStyles AS CellLayoutCollection

CharacterStyles AS CharacterStyleCollection

ClickHeres AS ClickHereCollection

ConnectedLayouts AS ConnectedLayoutCollection

Contents AS ContentCollection

ContinuedFromStory AS String

ContinuedOnStory AS String

Description AS String

DropCaps AS DropCapLayoutCollection

DropCapStyles AS DropCapLayoutCollection

Endnotes AS EndnoteLayoutCollection

Enumeration AS EnumScope

Footers AS FooterLayoutCollection

FooterStyles AS FooterLayoutCollection

FootnoteLayouts AS FootnoteLayoutCollection

Footnotes AS FootnoteCollection

Frames AS FrameLayoutCollection

FrameStyles AS FrameLayoutCollection

Glossarys AS GlossaryCollection

Graphics AS GraphicCollection

Groups AS GroupLayoutCollection

Headers AS HeaderLayoutCollection

HeaderStyles AS HeaderLayoutCollection

IsContents AS Integer (Boolean)

IsUndoOn AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layouts AS LayoutCollection

Markers AS MarkerCollection

Name AS String

NoteLayouts AS NoteLayoutCollection

OleObjects AS OleObjectCollection

OutlineStyleSequences AS OutlineSeqCollection

Pages AS PageLayoutCollection

PageStyles AS PageLayoutCollection

ParagraphStyles AS ParagraphStyleCollection

ParallelColumns AS ParallelColsCollection

Parent AS BaseObject

PowerFields AS PowerFieldCollection

Rows AS RowLayoutCollection

RubyLayouts AS RubyLayoutCollection

Sections AS SectionCollection

SilverBullets AS SilverBulletCollection

SuperTableLayouts AS SuperTableLayoutCollection

SuperTables AS SuperTableCollection

TableHeadingLayouts AS TableHeadingLayoutCollection

TableHeadings AS TableHeadingCollection

TableLayouts AS TableLayoutCollection

TableMarkers AS TableMarkerCollection

Tables AS TableOnlyCollection

TableStyles AS TableLayoutCollection

TextMarkers AS TextMarkerCollection

Texts AS TextCollection

TextStyles AS TextStyleCollection

VersionID AS Long

Methods

Clear

Copy

Create

Paste

Purge

Release

Events

None


Word Pro: FrameContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: FrameGroupLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: FrameLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Example: Foundry property
'Example: Foundry property

'


Example: FindWithProperties property
'Example: FindWithProperties property

'This example script has not yet been created.


Example: Find method
'Example: Find method

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script finds the first 'cat'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find


Example: FirstChild property
'Example: FirstChild property

'This example script has not yet been created.


Example: FirstName property
'Example: FirstName property

'This example script has not yet been created.


Example: FirstPage property
'Example: FirstPage property

'This example script has not yet been created.


Example: First property
'Example: First property

'This example script has not yet been created.


Example: FitType property
'Example: FitType property

'This example script has not yet been created.


Example: FixAcronymns property
'Example: FixAcronymns property

'This example script has not yet been created.


Example: FixBullets property
'Example: FixBullets property

'This example script has not yet been created.


Example: FixMargins property
'Example: FixMargins property

'This example script has not yet been created.


Example: Flags property
'Example: Flags property

'This example script has not yet been created.


Example: FontColor property
'Example: FontColor property

'This example script has not yet been created.


Example: FontMetrics property
'Example: FontMetrics property

'This example script has not yet been created.


Example: FontName property
'Example: FontName property

Sub Main

Print "==================="

Forall x In .division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

Forall x In .Division.foundry.paragraphstyles

x.font.FontName = "Arial"

End Forall

Print " --------------------"

Forall x In .Division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

End Sub


Example: FontSize property
'Example: FontSize property

'This example script has not yet been created.


Example: FontStyleName property
'Example: FontStyleName property

'This example script has not yet been created.


Example: FontUnitName property
'Example: FontUnitName property

'This example script has not yet been created.


Example: FontUnits property
'Example: FontUnits property

'This example script has not yet been created.


Example: Font property
'Example: Font property

Sub Main

Print "==================="

Forall x In .division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

Forall x In .Division.foundry.paragraphstyles

x.font.FontName = "Arial"

End Forall

Print " --------------------"

Forall x In .Division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

End Sub


Example: Footers property
'Example: Footers property

'This example script has not yet been created.


Example: Footer property
'Example: Footer property

'This example script has not yet been created.


Example: FootnoteContSep property
'Example: FootnoteContSep property

'This example script has not yet been created.


Example: FootnoteLayouts property
'Example: FootnoteLayouts property

'This example script has not yet been created.


Example: FootnoteNumbering property
'Example: FootnoteNumbering property

'This example script has not yet been created.


Example: FootnoteOptions property
'Example: FootnoteOptions property

'This example script has not yet been created.


Example: FootnoteSeparator property
'Example: FootnoteSeparator property

'This example script has not yet been created.


Example: Footnotes property
'Example: Footnotes property

'This example script has not yet been created.


Example: ForceDocToLoad method
'Example: ForceDocToLoad method

'This example script has not yet been created.


Example: FormatCheckPreferences property
'Example: FormatCheckPreferences property

'This example script has not yet been created.


Example: FormatType property
'Example: FormatType property

'This example script has not yet been created.


Example: Format property
'Example: Format property

'This example script has not yet been created.


Example: Formula property
'Example: Formula property

'This example script has not yet been created.


Example: Forward method
'Example: Forward method

' This example inserts a sentence of text into the current document. Each word

' starting with the first is then selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "This is a Sentence of text."

.Text.MoveToStart $LwpLocationTypeLine

Do

.SelectWord

NextWord = .Text.Forward ($LwpNavigateObjectTypeWord, 1)

Loop Until (.Text.AtBeginningOfParagraph = True) Or (NextWord = False)


Example: FrameRevert method
'Example: FrameRevert method

' This example inserts a frame into the current document and changes the

' frame's backgroung color.  After the message box is closed the frame is

' reverted to the default frame style attributes.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewFrame 3285, 1200, 1575, 1830

.Frame.Layout.Background.Color.Red = 82

.Frame.Layout.Background.Color.Blue = 239

.Frame.Layout.Background.Color.Green = 145

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

Messagebox "Click OK to revert frame to default attributes in frame style. ",MB_OK,"Example Script"

.FrameRevert


Example: FrameStyleName property
'Example: FrameStyleName property

'This example script has not yet been created.


Example: FrameStyles property
'Example: FrameStyles property

'This example script has not yet been created.


Example: Frames property
'Example: Frames property

'This example script has not yet been created.


Example: Frame property
'Example: Frame property

'This example script has not yet been created.


Example: FreeMenus property
'Example: FreeMenus property

'This example script has not yet been created.


Example: FullName property
'Example: FullName property

With WordPro.ActiveDocument

MsgTxt = "Current Word Pro Doc is " & .FullName

MsgTxt = MsgTxt & ", the author is " & .Docinfo.AuthorName

Msgbox MsgTxt,64,"Word Pro Information"

MsgTxt = "It was created on " & .DocInfo.CreationDateString & " at " & .DocInfo.CreationTimeString

Msgbox MsgTxt,64,"Word Pro Information"

End With


Example: FXGetNotesString method
'Example: FXGetNotesString method

'This example script has not yet been created.


Example: FXGetNotesWriteHandle method
'Example: FXGetNotesWriteHandle method

'This example script has not yet been created.


Example: FXSetNotesString method
'Example: FXSetNotesString method

'This example script has not yet been created.


Example: GapBetweenPanes property
'Example: GapBetweenPanes property

'This example script has not yet been created.


Example: GetActiveList method
'Example: GetActiveList method

'This example script has not yet been created.


Example: GetAfidHelpFileName property
'Example: GetAfidHelpFileName property

'This example script has not yet been created.


Example: GetAfidHelpInfo property
'Example: GetAfidHelpInfo property

'This example script has not yet been created.


Example: GetArrayProp method
'Example: GetArrayProp method

'This example script has not yet been created.


Example: GetButtonType property
'Example: GetButtonType property

'This example script has not yet been created.


Example: GetContents method
'Example: GetContents method

'This example script has not yet been created.


Example: GetControlText method
'Example: GetControlText method

'This example script has not yet been created.


Example: GetControlValue method
'Example: GetControlValue method

'This example script has not yet been created.


Example: GetConversationHandle property
'Example: GetConversationHandle property

'This example script has not yet been created.


Example: GetCopyFormatCategories method
'Example: GetCopyFormatCategories method

' This example retrieves the copy format categories and tests whether the	'text category is available.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FormatCategories as Integer

FormatCategories = .Text.GetCopyFormatCategories

If (FormatCategories And &H1) then

MessageBox "Text format available.",MB_OK,"Example Script"

End If

If (FormatCategories And &H2) then

MessageBox "Table format available.",MB_OK,"Example Script"

End If


Example: GetCount method
'Example: GetCount method

' This example has not yet been created.


Example: GetCurrentMarkerName method
'Example: GetCurrentMarkerName method

' This example displays the name of any clickhere or bookmark located

' at the cursor position.  If the cursor position is not located on a

' clickhere or bookmark then no message is displayed.

' RUNTIME DEPENDENCIES: You must have a document open and the cursor

' located on a clickhere or bookmark for this script to work.

Dim MarkerName as string

MarkerName = .Text.GetCurrentMarkerName($LwpMarkerTypeClickhere)

If MarkerName <> "" then

MessageBox "Clickhere found: " & MarkerName

Else

MarkerName = .Text.GetCurrentMarkerName($LwpMarkerTypeBookmark)

If MarkerName <> "" then

Forall Marks In .Division.BookMarkManager.BookMarks

If MarkerName = Marks.MarkerName Then

MessageBox "Bookmark found: " &  Marks.Name

End If

End Forall

End If

End If


Example: GetData method
'Example: GetData method

' This example creates a dataset named 'ExampleDataSet' off of the active

' document. The 'FirstName' and 'LastName' items are created and filled with

' data. Finally the values for the dataset items are printed to the Script

' Editor Output panel.  Since no dataset item named 'Address' was defined, the

' default dataset value will be printed in the last statement.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim DataSetName as String

Dim Defaultvalue as String

Dim DataSet As WPDataSetCollection

Set DataSet = .ActiveDocument.WPDataSets

DataSetName = "ExampleDataSet"

Defaultvalue = "Default"

DataSet(DataSetName).SetData "FirstName","John"

DataSet(DataSetName).SetData "LastName","Doe"

Print DataSet(DataSetName).GetData("FirstName",Defaultvalue)

Print DataSet(DataSetName).GetData("LastName",Defaultvalue)

Print DataSet(DataSetName).GetData("Address",Defaultvalue)


Example: GetDefaultPageSize method
'Example: GetDefaultPageSize method

' This example prints the default page size for the active document to the.

' Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .ActiveDocument.PrintManager.GetDefaultPageSize()


Example: GetDisplayableFilterName method
'Example: GetDisplayableFilterName method

'This example script has not yet been created.


Example: GetEnum method
'Example: GetEnum method

' This example prints the numeric equivalent for the $LwpMergeActionNewfile

' contant to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim Value As Long

Value = .GetEnum("$LwpMergeActionNewfile")

Print Value


Example: GetEnvelopeDefaults method
'Example: GetEnvelopeDefaults method

'This example script has not yet been created.


Example: GetFileDescription method
'Example: GetFileDescription method

'This example script has not yet been created.


Example: GetFilterExtension property
'Example: GetFilterExtension property

'This example script has not yet been created.


Example: GetFilterExtForDialogBox property
'Example: GetFilterExtForDialogBox property

'This example script has not yet been created.


Example: GetFilterId property
'Example: GetFilterId property

'This example script has not yet been created.


Example: GetFormatName property
'Example: GetFormatName property

'This example script has not yet been created.


Example: GetFormula method
'Example: GetFormula method

' This example creates a table and enters a formula. The formula is then

' retrieved and printed to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.Table.CellLayout(4,0).GotoLayout

.Table.CellEngine.SetFormula 4,0,"@SUM(A1:A2)"

Print .Table.CellEngine.GetFormula(4, 0)


Example: GetHomeDirectory property
'Example: GetHomeDirectory property

'This example script has not yet been created.


Example: GetInternetFile method
'Example: GetInternetFile method

' This example script has not yet been created.


Example: GetItemName property
'Example: GetItemName property

'This example script has not yet been created.


Example: GetLastUsedFilter method
'Example: GetLastUsedFilter method

' This example returns the last text filter type used in Word Pro.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .ApplicationWindow.Filter.GetLastUsedFilter($LwpFilterTypeText )


Example: GetLineMix method
'Example: GetLineMix method

'This example script has not yet been created.


Example: GetLineStyle method
'Example: GetLineStyle method

' This example creates a table, changes the line style and then prints

' the line style to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.SelectEntireTable

.Table.TableLine.ChgLineStyle $LwpTableLineStyleAll

Print .Table.TableLine.GetLineStyle()


Example: GetLine method
'Example: GetLine method

'This example script has not yet been created.


Example: GetLinkDisplayNameFileLength method
'Example: GetLinkDisplayNameFileLength method

'This example script has not yet been created.


Example: GetLinkName method
'Example: GetLinkName method

'This example script has not yet been created.


Example: GetLinkSourceName method
'Example: GetLinkSourceName method

'This example script has not yet been created.


Example: GetMarkedText method
'Example: GetMarkedText method

' This example creates a temporary text marker for the selected text and  then messages the text.

' RUNTIME DEPENDENCIES: You must have a document open with selected text

' for this script to work.

Dim MarkerName As String

Dim NewMarker As TextMarker

Dim MarkerText As String

MarkerName = .Mark($LWPMarkerTypeDefault)

Set NewMarker = .Division.Foundry.TextMarkers.Item(MarkerName)

MarkerText =  NewMarker.GetMarkedText


Example: GetMarkerName method
'Example: GetMarkerName method

' This example displays the name of any clickhere or bookmark located

' at the cursor position.  If the cursor position is not located on a

' clickhere or bookmark then no message is displayed.

' RUNTIME DEPENDENCIES: You must have a document open and the cursor

' located on a clickhere or bookmark for this script to work.

Dim MarkerName as string

MarkerName = .Text.GetCurrentMarkerName($LwpMarkerTypeClickhere)

If MarkerName <> "" then

MessageBox "Clickhere found: " & MarkerName

Else

MarkerName = .Text.GetCurrentMarkerName($LwpMarkerTypeBookmark)

If MarkerName <> "" then

Forall Marks In .Division.BookMarkManager.BookMarks

If MarkerName = Marks.MarkerName Then

MsgBox "Bookmark found: " &  Marks.Name

End If

End Forall

End If

End If


Example: GetMispelledWord method
'Example: GetMispelledWord method

' This example sequentally highlights all mispelled words in the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

'move to the start of the document

.Text.MoveToStart $LwpLocationTypeDocument

Do

' get the current insertion point position on the page

XPos1 =  .Text.PositionXOnPage

YPos1 =  .Text.PositionYOnPage

' highlights the nearest mispelled word relative to insertion point

Word = .Text.GetMispelledWord

If (Word <> "")	Then

.Deselect

.Type "[Right]"

End If

' check position again to see if insertion point has moved

XPos2 =  .Text.PositionXOnPage

YPos2 =  .Text.PositionYOnPage

' make sure that don't keep checking the last mispelled word

If 	((XPos1 =  XPos2)  And (YPos1 =  YPos2)) Then

Exit Do

End If

Loop While (Word <> "")


Example: GetNamedProperty method
'Example: GetNamedProperty method

' This example creates a named property, 'ExampleProp' on the active document

' and assigns it a value. The value is then printed to the Lotus Script Output

' panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocument.SetNamedProperty "ExampleProp", "Here is some data."

.ActiveDocument.GetNamedProperty "ExampleProp"


Example: GetNameFromPage method
'Example: GetNameFromPage method

' This example prints the division name on page 1 to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .Division.GetNameFromPage(1)


Example: GetObjectList method
'Example: GetObjectList method

'This example script has not yet been created.


Example: GetOne method
'Example: GetOne method

'This example script has not yet been created.


Example: GetParaNumber method
'Example: GetParaNumber method

'This example script has not yet been created.


Example: GetPasteFormatCategories method
'Example: GetPasteFormatCategories method

' This example retrieves the paste format categories and tests whether several

' categories are available.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FormatCategories As Integer

FormatCategories = .Text.GetPasteFormatCategories

Print FormatCategories

If (FormatCategories And &H1) Then

Messagebox "Text format available.",MB_OK,"Example Script"

End If

If (FormatCategories And &H2) Then

Messagebox "Table format available.",MB_OK,"Example Script"

End If


Example: GetPosition method
'Example: GetPosition method

' This example retrieves the position of the insertion point relative

' to the specified Marker object. A message box is displayed indicating

' the relative position.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkerName As String

Dim NewMarker As TextMarker

.Type "[Enter]"

.Type "Sample Text"

.SelectWord

' Create a new marker for the selected text

MarkerName = .Mark($LWPMarkerTypeDefault)

Set NewMarker = .Division.Foundry.TextMarkers.Item(MarkerName)

' Move the insertion point one line above the new marker

.Text.Deselect

.Text.MoveUp(1)

Position =  .Text.GetPosition(MarkerName)

If Position = 0 Then

Msgbox "Insertion point is located within the marker"

Elseif Position = 1 Then

Msgbox "Insertion point is located after the marker"

Elseif Position = -1 Then

Msgbox "Insertion point is located before the marker"

Elseif Position = -2 Then

Msgbox "Insertion point is located in a different text stream than the marker"

End If


Example: GetPrinterInfo method
'Example: GetPrinterInfo method

' This example prints the printer name for the current document to the Lotus

' Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .ActiveDocument.PrintManager.GetPrinterInfo()


Example: GetRedoWhatDesc property
'Example: GetRedoWhatDesc property

'This example script has not yet been created.


Example: GetRGB method
'Example: GetRGB method

' This example creates a table with 5 rows and 5 columns into the current

' document. The background and pattern colors are changed for the current

' cell and the RGB color value is then printed to Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.Table.TableFill.Background.Pattern = $LtsFillNwToSeGrad

.Table.CurrentCell.Background.BackColor.SetRGB 255,255,255

.Table.TableFill.Background.Color.Override = $LwpColorOverrideRgb

.Table.TableFill.Background.BackColor.Red = 82

.Table.TableFill.Background.BackColor.Blue = 239

.Table.TableFill.Background.BackColor.Green = 145

.Table.TableFill.Background.BackColor.SetRGB 82,239,145

.Table.TableFill.Background.BackColor.Override = $LwpColorOverrideRgb

.Table.TableFill.FillStyle = $LwpTableFillStyleAll

Print  .Table.CurrentCell.Background.BackColor.GetRGB()


Example: GetRightMouseMenu method
'Example: GetRightMouseMenu method

'This example script has not yet been created.


Example: GetServerName property
'Example: GetServerName property

'This example script has not yet been created.


Example: Foundry property
'Example: Foundry property

'


Example: DocumentSavedAs event
'Example: DocumentSavedAs event

'This example script has not yet been created.


Example: DocVersionID property
'Example: DocVersionID property

'This example script has not yet been created.


Example: DocWindows property
'Example: DocWindows property

'This example script has not yet been created.


Example: DoesMarkerNameMatch method
'Example: DoesMarkerNameMatch method

'This example script has not yet been created.


Example: DoInitialCaps property
'Example: DoInitialCaps property

'This example script has not yet been created.


Example: DoneWithRightMouseMenu method
'Example: DoneWithRightMouseMenu method

'This example script has not yet been created.


Example: DoSmartQuotes property
'Example: DoSmartQuotes property

'This example script has not yet been created.


Example: DoubleClicked event
'Example: DoubleClicked event

'This example script has not yet been created.


Example: DoubleUnderline property
'Example: DoubleUnderline property

'This example script has not yet been created.


Example: DragDropOn property
'Example: DragDropOn property

'This example script has not yet been created.


Example: DuplexType property
'Example: DuplexType property

'This example script has not yet been created.


Example: Editable property
'Example: Editable property

'This example script has not yet been created.


Example: EditBoxes method
'Example: EditBoxes method

'This example script has not yet been created.


Example: EditClickHereLink method
'Example: EditClickHereLink method

'This example script has not yet been created.


Example: EditLinkInfo method
'Example: EditLinkInfo method

'This example script has not yet been created.


Example: EditorInitials property
'Example: EditorInitials property

'This example script has not yet been created.


Example: EditorManager property
'Example: EditorManager property

'This example script has not yet been created.


Example: EditorName property
'Example: EditorName property

'This example script has not yet been created.


Example: Editors property
'Example: Editors property

'This example script has not yet been created.


Example: EditorVerificationType property
'Example: EditorVerificationType property

'This example script has not yet been created.


Example: EffectiveColumnWidth property
'Example: EffectiveColumnWidth property

'This example script has not yet been created.


Example: EMail property
'Example: EMail property

'This example script has not yet been created.


Example: Embedded property
'Example: Embedded property

'This example script has not yet been created.


Example: EmbedFonts property
'Example: EmbedFonts property

'This example script has not yet been created.


Example: EmbedFormula method
'Example: EmbedFormula method

'This example script has not yet been created.


Example: Embed method
'Example: Embed method

'This example script has not yet been created.


Example: EnableControl method
'Example: EnableControl method

'This example script has not yet been created.


Example: Enabled property
'Example: Enabled property

'This example script has not yet been created.


Example: EncryptPassword2 property
'Example: EncryptPassword2 property

'This example script has not yet been created.


Example: EncryptPassword property
'Example: EncryptPassword property

'This example script has not yet been created.


Example: EndChange method
'Example: EndChange method

' This example creates a table with 5 columns and 5 rows. Several background

' table cell properties are changed all at one using the BeginChange and

' EndChange methods.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ExampleTable As Table

Dim ExampleCell As CellLayout

.CreateTable False, "Default Table", 5,5

Set ExampleTable = .Table

ExampleTable.CellLayout(1,0).GotoLayout

Set ExampleCell = ExampleTable.CellLayout(1,0)

.BeginChange

ExampleCell.Content.InsertText "Hello"

With ExampleCell.BackGround

.Pattern = $LtsFillSolid

.Color.Red = 255

.Color.Blue = 194

.Color.Green = 255

.Color.Override = $LwpColorOverrideRgb

.BackColor.Red = 65

.BackColor.Blue = 176

.BackColor.Green = 0

End With

.EndChange


Example: EndCustomLines method
'Example: EndCustomLines method

'This example script has not yet been created.


Example: EndingColOfSelection property
'Example: EndingColOfSelection property

'This example script has not yet been created.


Example: EndingRowOfSelection property
'Example: EndingRowOfSelection property

'This example script has not yet been created.


Example: Ending method
'Example: Ending method

' This example moves the insertion point to the end of the document.

' RUNTIME DEPENDENCIES: You must have a document open and the insertion point

' within a frame for this script to work.

.CreateFrame False, "Default Frame",1440, 1440

.Page.Ending $LwpContainerEndEndOfDocument


Example: EndnoteDivisionGroupNum property
'Example: EndnoteDivisionGroupNum property

'This example script has not yet been created.


Example: EndnoteDivisionNum property
'Example: EndnoteDivisionNum property

'This example script has not yet been created.


Example: EndnoteDocNum property
'Example: EndnoteDocNum property

'This example script has not yet been created.


Example: Endnotes property
'Example: Endnotes property

'This example script has not yet been created.


Example: EnterClickHere event
'Example: EnterClickHere event

'This example script has not yet been created.


Example: EnterLayout event
'Example: EnterLayout event

'


Example: EnumerateChartLinks method
'Example: EnumerateChartLinks method

'This example script has not yet been created.


Example: EnumerateTerm method
'Example: EnumerateTerm method

' This example enumerates all the entries in the glossary named GLOSSARY.GLS.

' RUNTIME DEPENDENCIES: You must have a glossary named GLOSSARY.GLS and a

' document open for this script to work.

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = False

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = True

.GlossaryOpen "GLOSSARY.GLS", "Lotus Word Pro"

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = True

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = False

Forall Gloss In .Division.Foundry.Glossarys

Count% = Gloss.NumRows

For Item% = 1 To (Count% - 1)

Print "Item" & Format$(Item%) & "= "  & Gloss.EnumerateTerm(Item%)

Next

End Forall

.Close


Example: Enumeration property
'Example: Enumeration property

'This example sets the value of the Enumeration property to $LwpEnumScopeLocal.

'This script excludes any ParagraphStyle objects which originated

'with the SmartMaster from the ParagraphStyleCollection object in

'the currently active division's Foundry. This script then

'prints the names of any locally created ParagraphStyle objects

'in the Output panel.

'RUNTIME DEPENDENCIES: You must create one or more ParagraphStyle

'objects in addition to those in the SmartMaster. Otherwise, the

'Output panel will remain empty. You must have a document open for

'this script to work.

'Paste this example script into Sub Main and run it.

.Foundry.Enumeration = $LwpEnumScopeLocal

Forall ParagraphStyle In .Foundry.ParagraphStyles

Print ParagraphStyle.Name

End Forall


Example: EnvelopePrint method
'Example: EnvelopePrint method

'This example script has not yet been created.


Example: Epoch property
'Example: Epoch property

'This example script has not yet been created.


Example: EqnFontHeight property
'Example: EqnFontHeight property

'This example script has not yet been created.


Example: ErrorColor property
'Example: ErrorColor property

'This example script has not yet been created.


Example: ExchangeItem method
'Example: ExchangeItem method

' This example exchanges the menu locations for the File and Create menus.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MenuBar As MenuItem

Set MenuBar = .ApplicationWindow.LwpMenuBar

MenuBar.Items("&File").ExchangeItem MenuBar.Items("&Create")


Example: ExcludeRectBottom property
'Example: ExcludeRectBottom property

'This example script has not yet been created.


Example: ExcludeRectLeft property
'Example: ExcludeRectLeft property

'This example script has not yet been created.


Example: ExcludeRectRight property
'Example: ExcludeRectRight property

'This example script has not yet been created.


Example: ExcludeRectTop property
'Example: ExcludeRectTop property

'This example script has not yet been created.


Example: ExitClickHere event
'Example: ExitClickHere event

Sub Exitclickhere(Source As Clickhere, Clickherename As String)

Const Maximum = 15

Temp$ = Source.GetMarkedText

If Len(Temp$) > Maximum Then

Msgbox "Contents is too long, try again"

Source.Goto(True)

'This would notify the user of the problem,

'then put them back in the ClickHere block. The parameter True on the

'Source.Goto line is to actually select the contents of the ClickHere block.

'False would simply put them back in the ClickHere.

End If

End Sub


Example: Expandable property
'Example: Expandable property

'This example script has not yet been created.


Example: ExpandOutlineLevel method
'Example: ExpandOutlineLevel method

'This example script has not yet been created.


Example: ExpandOutline method
'Example: ExpandOutline method

'This example script has not yet been created.


Example: Expand method
'Example: Expand method

' This example creates two child divisions and then contracts and expands the

' divider tabs.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocWindow.WinViewPrefs.IsViewSectionTabs = True

.ApplicationWindow.SectionTabs.ConnectSectionTabs

.ApplicationWindow.SectionTabs.ConnectSectionTabs

.ApplicationWindow.SectionTabs.Contract

.ApplicationWindow.SectionTabs.Expand

.ApplicationWindow.SectionTabs.Contract


Example: ExportAllAsNotesFX method
'Example: ExportAllAsNotesFX method

' This example inserts two docinfo fields and makes them exportable to Lotus

' Notes.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocument.DocInfo.IsExportedAsNotesFX $LwpDocVarVersionnumrevisions

.InsertDocInfo $LwpDocVarCreatedby

.Text.SplitParagraph

.InsertDocInfo $LwpDocVarDatecreated

.ActiveDocument.DocInfo.ExportAllAsNotesFX True

.ActiveDocument.DocInfo.UpdateSelectedFields


Example: ExportAsNotesFX method
'Example: ExportAsNotesFX method

'This example script has not yet been created.


Example: ExportToNotesFX property
'Example: ExportToNotesFX property

'This example script has not yet been created.


Example: ExternalFileID property
'Example: ExternalFileID property

'This example script has not yet been created.


Example: ExternalFileName property
'Example: ExternalFileName property

'This example script has not yet been created.


Example: ExternalName property
'Example: ExternalName property

'This example script has not yet been created.


Example: ExternalType property
'Example: ExternalType property

'This example script has not yet been created.


Example: ExtractText method
'Example: ExtractText method

' This example opens the glossary file named GLOSSARY.GLS and prints all of

' the glossary entries to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = False

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = True

.GlossaryOpen "GLOSSARY.GLS", "Lotus Word Pro"

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = True

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = False

Forall Gloss In .Division.Foundry.Glossarys

Count% = Gloss.NumRows

For Item% = 1 To (Count% - 1)

GlossItem$ = Gloss.EnumerateTerm(Item%)

GlossText$ = Gloss.ExtractText(GlossItem$)

Print GlossText$	Next

End Forall

.Documents("GLOSSARY.GLS").Close


Example: FaceNames property
'Example: FaceNames property

'This example script has not yet been created.


Example: FaceStyleName property
'Example: FaceStyleName property

'This example script has not yet been created.


Example: FastFormatType property
'Example: FastFormatType property

'This example script has not yet been created.


Example: FastFormat method
'Example: FastFormat method

' This example enables Fast Format if it is not enabled and disables it if

' it is enabled. Note that the FormatStatus variable must have a Variant

' data type. This is because the FastFormatType property can return a String

' or an integer.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FormatStatus As Variant

FormatStatus = .Application.Format.FastFormatType

If FormatStatus = $LwpFastFormatTypeNone Then

.FastFormat True

Else

.Application.Format.FastFormatType = $LwpFastFormatTypeNone

End If


Example: FaxNumber property
'Example: FaxNumber property

'This example script has not yet been created.


Example: FieldDelimiterText property
'Example: FieldDelimiterText property

'This example script has not yet been created.


Example: FieldDelimiter property
'Example: FieldDelimiter property

'This example script has not yet been created.


Example: FieldManager property
'Example: FieldManager property

'This example script has not yet been created.


Example: FieldNumber property
'Example: FieldNumber property

'This example script has not yet been created.


Example: Fields property
'Example: Fields property

'This example script has not yet been created.


Example: FieldType property
'Example: FieldType property

'This example script has not yet been created.


Example: FileListBoxes method
'Example: FileListBoxes method

'This example script has not yet been created.


Example: FileProtectionType property
'Example: FileProtectionType property

'This example script has not yet been created.


Example: FilesToCompare property
'Example: FilesToCompare property

'This example script has not yet been created.


Example: FileType property
'Example: FileType property

'This example script has not yet been created.


Example: FillerPageText property
'Example: FillerPageText property

'This example script has not yet been created.


Example: FillStyle property
'Example: FillStyle property

'This example script has not yet been created.


Example: FilterHelper property
'Example: FilterHelper property

'This example script has not yet been created.


Example: FilterIndex property
'Example: FilterIndex property

'This example script has not yet been created.


Example: FilterName property
'Example: FilterName property

'This example script has not yet been created.


Example: Filter property
'Example: Filter property

'This example script has not yet been created.


Example: FindAndReplace property
'Example: FindAndReplace property

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script finds the first 'cat' then replaces it with

' 'dog'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.Application.FindAndReplace.ReplaceString = "dog"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find

.ReplaceCmd


Example: FindCellLayout method
'Example: FindCellLayout method

'This example script has not yet been created.


Example: FindClass method
'Example: FindClass method

' This example obtaines the header class name for the current document and

' uses that name print some header properties to the Lotus Script Output

' panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim HeaderClass As String

HeaderClass =  .Layout.FindClass("Header")

Print .Division.Foundry.Layouts.Item(HeaderClass).ClassName

Print .Division.Foundry.Layouts.Item(HeaderClass).MarginLeft

Print .Division.Foundry.Layouts.Item(HeaderClass).MarginTop

Print .Division.Foundry.Layouts.Item(HeaderClass).Background.Color.GetRGB()

Print .Division.Foundry.Layouts.Item(HeaderClass).Content.GetText($LwpGetObjectTypeParagraph, False)


Example: FindExactCase property
'Example: FindExactCase property

'This example script has not yet been created.


Example: FindFont property
'Example: FindFont property

'This example script has not yet been created.


Example: FindForwardDirection property
'Example: FindForwardDirection property

'This example script has not yet been created.


Example: FindString property
'Example: FindString property

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script finds the first 'cat' then replaces it with

' 'dog'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.Application.FindAndReplace.ReplaceString = "dog"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find

.ReplaceCmd


Example: FindStyleName property
'Example: FindStyleName property

'This example script has not yet been created.


Example: FindTerm method
'Example: FindTerm method

' This example opens the glossary file named 'GLOSSARY.GLS', searches for the

' glossary item named 'TestItem'. If the item is found, its glossary value is

' printed to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = False

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = True

.GlossaryOpen "GLOSSARY.GLS", "Lotus Word Pro"

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = True

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = False

Forall Gloss In .Division.Foundry.Glossarys

GlossItem$ = "TestItem"

Status% = Gloss.FindTerm(GlossItem$)

If Status% = 1 Then

GlossText$ = Gloss.ExtractText(GlossItem$)	Print GlossText$

Exit Forall

End If

End Forall

.Documents("GLOSSARY.GLS").Close


Word Pro: DropCapContainer class

This language element is not yet defined.

Base Classes

unkown

Derived Classes

None

Contained by

None

Usage


Word Pro: DropCapLayoutCollection class

This language element is not yet defined.

Base Classes

unkown

Derived Classes

None

Contained by

None

Usage


Word Pro: DropCapLayout class

The drop cap layout for a DropCapContainer object.

Base Classes

BaseObject\Layout\FrameLayout

Derived Classes

Contained by

DropCapContainer in the Layout Property

Usage


Word Pro: RowGroupLayout class

This language element is not yet defined.

Base Classes

unkown

Derived Classes

None

Contained by

None

Usage


Word Pro: SmartCorrectCollection class

This language element is not yet defined.

Base Classes

unkown

Derived Classes

None

Contained by

None

Usage


Word Pro: SmartFillCollection class

This language element is not yet defined.

Base Classes

unkown

Derived Classes

None

Contained by

None

Usage


Word Pro: SmartFill class

This language element is not yet defined.

Base Classes

unkown

Derived Classes

None

Contained by

None

Usage


Word Pro: ExpandOutlineLevel method

 See list of classes

 See example

Expands the highest level contracted heading(s) which are subordinate to the paragraph for which you are calling the method. For example, when you call this method for a Level 1 heading, it will expand the highest level contracted heading(s) which are subordinate to that Level 1 heading.

Syntax

[objectreference].ExpandOutlineLevel([IsExpandAllLevels[)

Parameters

IsExpandAllLevels
Allows you to expand all the subordinate headings under the heading from which you call this method. Data type is Integer but the legal values for this parameter are -1 and 0. You may use the LotusScript constants True (-1) and False (0). A value of True will cause all subordinate headings to be expanded, regardless of their level. When called from WPApplication, this parameter is optional. Default is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ExportAllAsNotesFX method

 See list of classes

 See example

Exports all DocInfo fields in a document as Notes/FX.

Syntax

[objectreference].ExportAllAsNotesFX(Export)

Parameters

Export

An Integer value indicating whether or not to export all DocInfo fields in a document to Notes. You can use the LotusScript constants of True (-1) and False (0) for this parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: ExportAsNotesFX method

 See list of classes

 See example

Sets or resets a DocInfo field as Notes/FX.

Syntax

[objectreference].ExportAsNotesFX(Type, Export)

Parameters

prexType

You can select and set any one of the DocInfo field data types below to export as Notes FX. The value of this Variant parameter must be one of the strings below or its code equivalent.

Value	Effect
$LwpDocVarAllversionnames (210)	The names of all the versions of a document.
$LwpDocVarCreatedby (2046)	The Word Pro user name of the person who first saved the document.
$LwpDocVarDatecreated (196)	The date and time the document was first created.
$LwpDocVarDatelastrevision (197)	The last time the document was opened, edited, and saved.
$LwpDocVarDescription (195)	Displays a description of the document.
$LwpDocVarDivisionname (203)	The name of a division within the document.
$LwpDocVarDoccategory (212)	The assigned category of the division or document.
$LwpDocVarDocsize (202)	The size of the document in kilobytes.
$LwpDocVarField (191)	Specifies the DocInfo field you want to export as Notes FX.
$LwpDocVarFilename (192)	The file name you specified in the Save As dialog box when you saved the document.
$LwpDocVarKeywords (215)	Displays the assigned keywords for the document.
$LwpDocVarLasteditor (2047)	The initials of the editor who last saved the document.
$LwpDocVarNone (190)	No DocInfo fields are set or reset as Notes FX.
$LwpDocVarNumchars (201)	The number of characters in the document.
$LwpDocVarNumpages (199)	The number of pages in the document.
$LwpDocVarNumversions (209)	The number of versions in the document.
$LwpDocVarNumwords (200)	The number of words in the document.
$LwpDocVarOthereditors (2048)	The Word Pro user names of any other people who saved the document.
$LwpDocVarOtherversionededitors (207)	The Word Pro user names of any other people who saved a version of the document.
$LwpDocVarPath (193)	The drive and folder where the document is located.
$LwpDocVarSectionname (204)	The name of a section in the document.
$LwpDocVarStylesheet (194)	The style sheet used in the document.
$LwpDocVarTotaledittime (198)	The total number of minutes the document was open.
$LwpDocVarVersioncreatedate (206)	The date and time the version was first created.
$LwpDocVarVersioncreatedby (205)	The Word Pro user name of the person who first saved the version of the document.
$LwpDocVarVersionlasteditdate (213)	The date and time that the version was last saved.
$LwpDocVarVersionlasteditedby (214)	The initials of the editor who last saved the version.
$LwpDocVarVersionname (208)	The name of the current version.
$LwpDocVarVersionnumrevisions (2049)	The number of times the version was opened, edited, and saved.
$LwpDocVarVersionremarks (211)	Any remarks written by an editor to be reviewed by any other assigned editors.

prexExport

Indicates whether or not to export a DocInfo field to Notes. Data type is Integer.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this method to True instructs Word Pro to export a DocInfo field to Notes. Setting this method to False instructs Word Pro not to export a DocInfo field to Notes. Equivalent to choosing File - Document Properties, choosing Document, clicking the Fields panel and selecting "Export as Notes/Fx field data."


Topics Found:

Word Pro: DocInfo class


Word Pro: ExtractText method

 See list of classes

 See example

Extracts the text in the meaning of a term and changes that text to a null terminated string.

Syntax

[objectreference].PowerField.ExtractText()

[objectreference].Glossary.ExtractText(Term)

Parameters

[Glossary]

Term

Specifies the string term from which you extract text.

Return value

String

Usage


Topics Found:

Word Pro: Glossary class


Word Pro: FastFormat method

 See list of classes

 See example

Turns on the FastFormat feature, using either the local attributes found at the insertion point or the paragraph style attributes found in the focus.

Syntax

[objectreference].FastFormat(IsUseStyle)

Parameters

IsUseStyle
A Numeric expression which allows you to use the style attributes or the local text attributes for the Fast Format feature. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: FileListBoxes method

 See list of classes

 See example

Provides access to a specified FileListBox within the collection of FileListBoxes for a specific custom dialog box object.

Syntax

[objectreference].FileListBoxes(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: FindCellLayout method

 See list of classes

 See example

Allows you to determine whether or not there is a layout object within the specified cell.

Syntax

[objectreference].FindCellLayout(Row, Column)

Parameters

Row

Data type is Integer. The row ID is zero based, which means that the first row in a table has an ID value of zero.

Column
Data type is Integer. The column ID is zero based, which means that the first column in a table has an ID value of zero.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Cells within a table will not always contain cell layout objects. Cell layout objects are created only when they are required by Word Pro. This is done to conserve system memory.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: FindClass method

 See list of classes

 See example

Finds the first child of a layout object of the class that you specify.

Syntax

[objectreference].FindClass(LayoutClassName)

Parameters

LayoutClassName

The name of the class that contains the layout you want to find. The name of the class must be one of the String values listed below:

Frame

DropCap

SuperTable

Viewport

Footer

TableHeading

Footnote

Endnote

NoteFrame

NoteHeader

NoteText

Cell

FnCell

FnContinueOn

FnContinueFrom

Page

Table

Connected

Hidden

Row

Header

GroupFrame

Return value

Returns a string value representing the name of the layout that matches the class you want to find.

Usage

The LayoutClass name parameter is case sensitive.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: FindTerm method

 See list of classes

 See example

Instructs Word Pro to find the term to be used as a glossary entry.

Syntax

[objectreference].FindTerm(Term)

Parameters

Term

Specifies the String term to be found and used as a glossary entry.

Return value

String.

Usage


Topics Found:

Word Pro: Glossary class


Word Pro: Find method

 See list of classes

 See example

Executes a search for text, styles, or bookmarks. See Usage for details.

Syntax

When called from the WPApplication object:

.Find()

When called from a Text, TextMarker, or ClickHere object:

[objectreference].Find([MarkerName,] [ReplaceAll,] [ UseTempOptions])

When called from a BookmarkManager object:

[objectreference].Find(FindName, Name)

Parameters

MarkerName

The data type for this parameter is String. Required if no Name parameter. A bookmark parameter must have a Name or MarkerName, depending on the first parameter set.

ReplaceAll

Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False (0).

UseTempOptions

Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False (0).

FindName
Indicates whether you want to find a bookmark by its user-defined name or by the internal (hexadecimal) marker name. The value of this parameter must be one of the strings or codes listed below:

$LwpBookmarkFindNameBookmark (31) The user defined name of the bookmark.

$LwpBookmarkFindNameMarker (32) The internal (hexadecimal) name of the bookmark.

$LwpBookmarkFindNameBookmark (2054) The user defined name of the bookmark.

$LwpBookmarkFindNameMarker (2055) The internal (hexadecimal) name of the bookmark.

Name

Data type is String. Contains the name. A bookmark parameter must have a Name or MarkerName, depending on the first parameter set. If the FindName parameter is $LwpBookmarkFindNameBookmark, then the string should be the user-defined name. If the FindName parameter is $LwpBookmarkFindNameMarker, then the string should be the internal (hexadecimal) name.

Return value

When called from a BookmarkManager object the return value is a String respresenting the name of the bookmark found.

When called from WPApplication, Text, TextMarker, or ClickHere this method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

[WPApplication]

Executes a Find based on the values set in the FindAndReplace object. No parameters are required when calling this method from WPApplication.

[BookmarkManager]

Finds a specific bookmark by looking for the user-defined bookmark name or the internal (hexidecimal) marker name.

[ClickHere]

Text, TextMarker, ClickHere

Conducts a Find based on the current Find and Replace options. Equivalent to clicking the Find button in the Find and Replace bar.

[TextMarker]

Text - The Find method in the Text class can be used to initiate a Find, based on the current parameters in the FindAndReplace class off Application. You will generally use this method directly off the Application class where the FindAndReplace class is located.

Note	 Do not execute this method off a text object without parameters and without first setting the parameters in the FindAndReplace class for the current Application object. If you do, it can cause unreliable results.


Topics Found:

Word Pro: BookmarkManager class

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: ForceDocToLoad method

 See list of classes

 See example

Syntax

[objectreference].ForceDocToLoad()

Parameters

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Forward method

 See list of classes

 See example

Moves an object or the insertion point forward. A Backward method is also available.

Syntax

When called from a Layout object:

[objectreference.]Forward()

When called from a container object:

[objectreference.]Forward(Direction)

When called from a Text, TextMarker, or ClickHere object:

[objectreference.]Forward(Unit, N[, Cursoring][, TextOnly])

Parameters

Direction
Specifies whether Word Pro should move the insertion point forward by page or by window. Data type for this parameter is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

Value	Effect
$LwpDirectionPage (182)	The method will move the insertion point forward by one page.
$LwpDirectionWindow (183)	The method will move the insertion point forward by one window.
This parameter is only used when calling this method from a container object. A container object is any object created from a container class. A container class is any class derived from the BaseContainer class including: CellContainer, DropCapContainer, FrameContainer, NoteContainer, PageContainer, ParallelColsContainer, RowContainer, RubyContainer, SubPageContainer, SuperPageContainer, SuperTableContainer, TableContainer, and TableOnlyCont.

Unit
Specifies the unit of measurement you want to use in moving the insertion point. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object. You must also use the N paraeter to indicate how many of these units to move forward. Data type for this parameter is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value for this parameter.

Value	Effect
$LwpNavigateObjectTypeCharacter (1519)	The method will move the insertion point the specified number of characters. Set the Cursoring parameter to True to mimic the use of the arrow keys.
$LwpNavigateObjectTypeChunk (1522)	The method will move the insertion point the specified number of chunks. A chunk is comprised of a single word (a contiguous group of characters with no spaces) and all the spaces following that word. If the insertion point is at the beginning, the end or anywhere within a word, the chuck is comprised of that word and the spaces which follow it. If the insertion point is between two spaces, the chunk is seen as all the spaces following the insertion point to the beginning of the next word. If there is no word between the spaces and the end of the paragraph, the chunk is comprised of all the spaces up to the end of the paragraph.
$LwpNavigateObjectTypeObject (1520)	Any of the objects defined in this list.
$LwpNavigateObjectTypePage (1518)	The method will move the insertion point the specified number of pages, leaving it at the top of the page.
$LwpNavigateObjectTypeParagraph (1524)	The method will move the insertion point the specified number of paragraphs. A paragraph is comprised of all the text and tables between two paragraph markers as well as any frames whose "Place frame" option is set to "With paragraph above."
$LwpNavigateObjectTypeSentence (1523)	The method will move the insertion point the specified number of sentences. A sentence is comprised of all the text between two periods.
$LwpNavigateObjectTypeWord (1521)	The method will move the insertion point the specified number of words. A word is comprised of a contiguous string of alphanumeric characters. Punctuation or a space is seen as the end of a word. If the insertion point is between two spaces, the word is comprised of all the spaces on both sides of the insertion point as well as the word preceding the spaces.
N
An Integer expression which specifies the number of units you want to move the insertion point. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object.

Cursoring
Use this parameter only when the Unit parameter has a value of $LwpNavigateObjectTypeCharacter. This parameter takes an Integer expression which indicates whether or not you want Word Pro to move the insertion point as if you were using the arrow keys to move the cursor through a document. When you use the arrows keys, Word Pro skips over hidden markers such as bookmarks. The default value for this parameter is False (0) which causes Word Pro to include any hidden markers when it moves the insertion point by characters. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. This is an optional parameter. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object.

TextOnly
An Integer expression which indicates whether or not you want Word Pro to exclude tables and frames marked as "With paragraph above" when moving the insertion point. The data type for this parameter is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. This is an optional parameter. Default is False (0) which includes tables and certain frames. A value of True will cause Word Pro to skip over tables and frames when moving the insertion point. Use this parameter only when calling this method from a Text, TextMarker, or ClickHere object.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

What this method moves forward and how is determined, in part or in whole, by the object from which you call the method.

When you call this method from a Layout object, it moves that Layout object forward one level in relation to the other layout objects of the same type.

When you call this method from a container object, Word Pro places the insertion point at the beginning of the next page.

When you call this method from a Text, TextMarker, or ClickHere object, Word Pro moves the insertion point forward the specified number of units.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapContainer class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameContainer class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteContainer class

Word Pro: NoteLayout class

Word Pro: PageContainer class

Word Pro: PageLayout class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyContainer class

Word Pro: RubyLayout class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableContainer class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableOnlyCont class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: FrameRevert method

 See list of classes

 See example

Reverts the attributes of the currently active frame to the attributes specified in the frame style.

Syntax

[objectreference].FrameRevert()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: FXGetNotesString method

 See list of classes

 See example

Returns the string expression representing a FX Notes field.

Syntax

[objectreference].FXGetNotesString(FieldName)

Parameters

FieldName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FXGetNotesWriteHandle method

 See list of classes

 See example

Syntax

[objectreference].FXGetNotesWriteHandle()

Parameters

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: FXSetNotesString method

 See list of classes

 See example

Sets the string expression representing the name and value of a FX Notes field.

Syntax

[objectreference].FXNotesString(FieldName, Value)

Parameters

FieldName
Data type is String.

Value
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: GetActiveList method

 See list of classes

 See example

Syntax

[objectreference].GetActiveList()

Parameters

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: GetArrayProp method

 See list of classes

 See example

Returns the properties of an array. This method is defined in the following classes:

[SilverBullet]

[UserInterfacePrefs]

Syntax

[objectreference].SilverBullet.GetArraryProp(BulletArrayProp, Level)

[objectreference].UserInterfacePrefs.GetArrayProp(PrefPropScope, Index)

Parameters

BulletArrayProp
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpBulletArrayPropCumulative (79)

$LwpBulletArrayPropDivision (81)

$LwpBulletArrayPropLesser (78)

$LwpBulletArrayPropLessserspecific (77)

$LwpBulletArrayPropSection (80)

Level
Data type is Integer.

PrefPropScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpPrefPropScopeFindString (1640). Equivalent to the "Find" box in the Find & Replace bar.

$LwpPrefPropScopeReplaceString (1641) Equivalent to the "Replace with" box in the Find & Replace bar.

Index
Data type is Integer. Legal values are 0, 1, 2, and 3.

Return value

String

Usage

[SilverBullet]

[UserInterfacePrefs]

Use this method to obtain a value indicated in the Find & Replace bar.


Topics Found:

Word Pro: SilverBullet class

Word Pro: UserInterfacePrefs class


Word Pro: GetContents method

 See list of classes

 See example

Displays the contents of a marker in a document.

Syntax

[objectreference].GetContents(IncludeMarkers)

Parameters

IncludeMarkers
Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0).

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: GetControlText method

 See list of classes

 See example

Returns the control text in a custom dialog box.

Syntax

[objectreference].GetControlText(Control_ID)

Parameters

Control_ID
Data type is Variant

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: GetControlValue method

 See list of classes

 See example

Returns the control value of a custom dialog box.

Syntax

[objectreference].GetControlValue(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: GetCopyFormatCategories method

 See list of classes

 See example

Looks at the selection in a Word Pro document and determines which OLE data formats are present within that selection.

Syntax

[objectreference].GetCopyFormatCategories()

Parameters

None

Return value

The return value for this method is always an Integer representing one or more of the values below:

0 - No file types

1 - Text in the selection

2 - A table or any part of a table

4 - A graphic

8 - A linked or embedded OLE object

If more than one of these format categories exists within the selection, the return value is the sum of integers for each format in the selection. For example, if both text and a graphic are in the selection, the return value is 5.

Usage

To make good use of this method's return value, you should have a thorough understanding of OLE data formats, as defined in the OLE2 for Windows specifications.


Topics Found:

Word Pro: ClickHere class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: GetCount method

 See list of classes

 See example

Counts the words or characters in the current selection or object.

Syntax

[objectreference].GetCount(What, Which)

Parameters

What
Allows you to choose between the current selection and the object. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is $LwpGetCountWhatText.

$LwpGetCountWhatSelection (2203)
Counts the words or characters in the current selection.

$LwpGetCountWhatText (2204)
Counts the words or characters in the object from which you call this method.

Which
Allows you to choose between counting characters and counting words. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is $LwpGetCountWhichCharacter.

$LwpGetCountWhichCharacter (2205)
Counts the characters.

$LwpGetCountWhichWord (2206)
Counts the words.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If nothing is selected and you specify $LwpGetCountWhatSelection as the value of the What parameter, this method counts all the words or characters in the Text, TextMarker, or ClickHere object from which you call this method.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetCurrentMarkerName method

 See list of classes

 See example

Returns the name of a marker.

Syntax

[objectreference].GetCurrentMarkerName(MarkerType)

Parameters

MarkerType
Specifies which type of marker Word Pro should look for. If Word Pro find this type of marker in the focus, it returns the name of the marked object. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpMarkerTypeBookmark (590)
Looks for a Bookmark marker.

$LwpMarkerTypeClickhere (593)
Looks for a Click Here marker.

$LwpMarkerTypeDde (591)
Looks for a DDE marker.

$LwpMarkerTypeDefault (589)

$LwpMarkerTypeField (592)
Looks for a Power Field marker.

Return value

Returns the name of the marker which has the focus when the method is called. Data type is String.

Bookmarks return the internal bookmark name which can be used to get the external bookmark name.

ClickHere blocks return the name you provide in the Click Here Block Options dialog box.

Power Fields return the internal power field name which can be used to get the external power field name.

Usage

The focus must include the type of marker you specify in the MarkerType parameter.

The insertion point must be within the text of the Bookmark, ClickHere block, or Power field.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: GetData method

 See list of classes

 See example

Returns the value of a variable in a data set.

Syntax

[objectreference].GetData(DataName,Default)

Parameters

DataName
The variable name of which you want to return the value. DataName is a String expression.

Default
The default value of the variable that you want to return.

Return value

String

Usage

Use this method to return the data associated with a variable. When you return the data, you must specify the variable name and default value. If the variable does not exist, it should return the default value.

Note	In the 16-bit Version of Word Pro, you specify the variable name and a null string default value. If the variable does not exist, it should return the null string default value.


Topics Found:

Word Pro: ScriptDataSet class

Word Pro: WPDataSet class


Word Pro: GetDefaultPageSize method

 See list of classes

 See example

Returns the default size of a page in the current document.

Syntax

[objectreference].GetDefaultPageSize()

Parameters

Return value

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: GetDisplayableFilterName method

 See list of classes

 See example

Returns the name displayable filters, such as Word Pro or Ami Pro filters. Filter names from other applications may not display in Word Pro.

Syntax

[objectreference].GetDisplayableFilterName(FilterId)

Parameters

FilterId
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: Filter class


Word Pro: GetEnum method

 See list of classes

 See example

Returns the numeric equivalent of an enumerated string value.

Syntax

[objectreference].GetEnum(Name)

Parameters

Name
The String value for which you need the numeric equivalent.

Return value

Variant

Usage

In many properties and methods, Word Pro provides an enumerated list of legal values. Each value can be expressed as either a string or a number while working within LotusScript. However, if you need to use one of the values through another programming language such as Visual Basic, you must use the numeric value.

This method returns the numeric equivalent of an enumerated string value.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: GetEnvelopeDefaults method

 See list of classes

 See example

Retrieves the default envelope setting in the current document.

Syntax

[objectreference].GetEnvelopeDefaults()

Parameters

Return value

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: GetFileDescription method

 See list of classes

 See example

Retrieves a description of a file.

Syntax

[objectreference].GetFileDescription(FileName)

Parameters

FileName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Filter class


Word Pro: GetFormula method

 See list of classes

 See example

Returns a string containing the formula that resides in a table cell.

Syntax

[objectreference].GetFormula(Row, Column)

Parameters

Row

This Integer parameter allows you to specify the row ID of the cell from which you want to return a formula.

Column

This Integer parameter allows you to specify the column ID of the cell from which you want to return a formula.

Return value

This method returns a String containing the formula that is stored within a specified cell.

Usage

Row and column ID values are zero based. The first row of a table has a row ID value of 0, and the first column of a table has a column ID value of 0.


Topics Found:

Word Pro: CellEngine class


Word Pro: GetInternetFile method

 See list of classes

 See example

Retrieves the text and HTML code of the specified URL and stores them in a temporary file.

Syntax

[objectreference].GetInternetFile(URL)

Parameters

URL

A String expression which specifies the URL for the Internet file you want to retrieve.

Return value

Returns the name of the temporary file in which the URL contents are stored. Data type is String.

Usage

Graphics and other external files referenced in the HTML code are not retrieved by this method.

To display the Internet file, the user can use the Web browsing features in Word Pro or the RetrieveInternetFileAndOpen method in LotusScript.


Topics Found:

Word Pro: WPApplication class


Word Pro: GetLastUsedFilter method

 See list of classes

 See example

Retrieves the last filter used to import or export the current document.

Syntax

[objectreference].GetLastUsedFilter(FilterType)

Parameters

FilterType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpFilterTypeGraphic (280)

$LwpFilterTypeTable (281)

$LwpFilterTypeText (279)

Return value

Usage


Topics Found:

Word Pro: Filter class


Word Pro: GetLineMix method

 See list of classes

 See example

Returns whether or not all sides of a table have the same type of line style.

Syntax

[objectreference].GetLineMix()

Parameters

Return value

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: GetLineStyle method

 See list of classes

 See example

Returns the borderline, outline, or diagonal line style used in a table in the current document.

Syntax

[objectreference].GetLineStyle()

Parameters

Return value

Returns the legal values found in the ChgLineStyle method. For information, see the ChgLineStyle method.

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: GetLine method

 See list of classes

 See example

Syntax

[objectreference].GetLine(Index)

Parameters

Index
Data type is Long.

Return value

Usage


Topics Found:

Word Pro: LwpEditBox class


Word Pro: GetLinkDisplayNameFileLength method

 See list of classes

 See example

Syntax

[objectreference].GetLinkDisplayNameFileLength(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

Long

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetLinkName method

 See list of classes

 See example

Syntax

[objectreference].GetLinkName(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

String

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetLinkSourceName method

 See list of classes

 See example

Syntax

[objectreference].GetLinkSourceName(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

String

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetMarkedText method

 See list of classes

 See example

Retrieves marked text in the current document.

Syntax

[objectreference].GetMarkedText()

Parameters

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: GetMarkerName method

 See list of classes

 See example

This method is defined in the following classes:

[BaseTable]

Retrieves a list of all the marker names of the specified type associated with a table object layout.

[DdeLinkManager]

Retrieves the name of the Dde marker which you requested.

[Layout]

Retrieves a list of all the marker names of the specified type associated with a layout.

Syntax

[objectreference].DdeLinkManager.GetMarkerName(DdeFind,p2)

[objectreference].Layout.GetMarkerName(MarkerType)

[objectreference].BaseTable.GetMarkerName(MarkerType)

Parameters

DdeFind
Data type is Variant. The value of this parameter must be one of the strings below or its equivalent.

$LwpDdeFindLinknameUsingMarker (173) Returns the user name (you have the internal [hexidecimal] name).

$LwpDdeFindMarkerNameUsingHandle (172) Returns the internal name (you have the conversation handle).

$LwpDdeFindMarkerUsingLinkInfo (174) Returns the internal name (you have the user name).

p2
Data type is Variant.

[Layout] [BaseTable]

MarkerType

The data type of this parameter is Variant, which allows it to be one of the string constants below or its numeric equivalent.

Value	Effect
$LwpMarkerTypeDefault (589)	Returns a positional marker. It is not of any other type and is only used to  mark a spot or position.
$LwpMarkerTypeBookmark (590)	Returns all the specified bookmark markers.
$LwpMarkerTypeDde (591)	Returns all the specified Dde markers.
$LwpMarkerTypeField (592)	Returns all the specified field markers.
$LwpMarkerTypeClickhere (593)	Returns all the specified Click Here markers.
$LwpMarkerTypeRuby (594)	Returns all the specified Ruby markers.
Return value

[DdeLinkManager]

String.

[Layout]

Returns a list of names of all marker objects that are associated with the layout object.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DdeLinkManager class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FootnoteTable class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Glossary class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParallelColumns class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: GetMispelledWord method

 See list of classes

 See example

Finds the next misspelled word in the current text stream.

Syntax

[objectreference].GetMispelledWord([EndMarkerName])

Parameters

EndMarkerName
A String expression which specifies the name of the marked range within which you want to find a misspelled word. Optional parameter. If you provide a name and the insertion point is located within that named range, Word Pro searches the range for the next misspelled word. If the insertion point is not within the named range, Word Pro does nothing.

Return value

Returns a String representing the next misspelled word in the text stream.

Usage

Equivalent to choosing Edit - Check Spelling, with the exception that it does not highlight all mispelled words and it does not open the Spell Check bar.

If the insertion point is within or at the end of a misspelled word when you call this method, Word Pro returns that mispelled word. Otherwise, Word Pro moves to, selects, and returns the next misspelled word in the stream.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetNamedProperty method

 See list of classes

 See example

Retrieves the value of the named property in the current object.

Syntax

[objectreference].GetNamedProperty(PropertyName)

Parameters

PropertyName

A String expression representing the name of the property which you want to retrieve.

Return value

String.

Usage

A named property is a user-defined property assigned to an object. Unlike variables, named properties are persistent. They continue to exist when a script stops executing, and when a document is closed and reopened.

This method returns the String value stored in a specific named property. If you refer to a named property which doesn't exist on an object, the GetNamedProperty method returns an empty string. A run-time error does not occur. Use the HasNamedProperty method to determine whether or not a particular named property exists for an object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: GetNameFromPage method

 See list of classes

 See example

Returns the name of the page of the current division.

Syntax

[objectreference].GetNameFromPage(PageNumber,[IsReturnInternalName])

Parameters

PageNumber
Data type is Integer.

IsReturnInternalName
Data type is Boolean. Optional parameter. Default is False.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: GetObjectList method

 See list of classes

 See example

Returns a value indicating the type of a specific container.

Syntax

[objectreference].GetObjectList()

Parameters

Return value

Value	Effect
7	Indicates that the container is a Page container object.
8	Indicates that the container is a Frame container object.
23	Indicates that the container is a Table container object.
24	Indicates that the container is a Row container object.
25	Indicates that the container is a Cell container object.
550	Indicates that the container is a SuperTable container object.
107	Indicates that the container is a Header container object.
108	Indicates that the container is a Footer container object.p
Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: GetOne method

 See list of classes

 See example

Syntax

[objectreference].GetOne(StartingIndex, Count)

Parameters

StartingIndex
Data type is Integer.

Count
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: TabRack class


Word Pro: GetParaNumber method

 See list of classes

 See example

Returns the number which indicates the count of the current paragraph as it relates to other paragraphs which are in the same position. Position refers to the position of the paragraph as defined by its Outline Sequence level.

Syntax

[objectreference].GetParaNumber(Position)

Parameters

Position
Data type is Integer.

Return value

The number of the paragraph.

Usage

There are nine possible positions available for an outline sequence. You can see these positions displayed in the Set Outline Style Sequence dialog box by choosing Text - Outline - Outline Styles. You can assign one or more paragraph styles to each of these positions.

This method checks the outline style sequence position of the current paragraph. It then returns the total number of paragraphs prior to and including the current paragraph which are at that same position. For example, if the current paragraph is at position 2 in the outline style sequence, and there are five more paragraphs before it which are also at position 2, the GetParaNumber method has a return value of 6. The return value is not affected by any position 2 paragraphs that may appear after the current paragraph.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetPasteFormatCategories method

 See list of classes

 See example

Looks at the focus in a Word Pro document and determines which OLE data formats can be pasted at the insertion point.

Syntax

[objectreference].GetPasteFormatCategories()

Parameters

None

Return value

The return value for this method is always an Integer representing one or more of the values below:

Value	Effect
0	Indicates that no data types can be pasted at the insertion point.
1	Indicates that text can be pasted at the insertion point.
2	Indicates that a table or any part of a table can be pasted at the insertion point.
4	Indicates that a graphic can be pasted at the insertion point.
8	Indicates that a linked or embedded OLE object can be pasted at the insertion point.
15	Indicates that all of the formats listed above can be pasted at the insertion point.
If more than one of these format categories can be pasted in the current context, the return value is the sum of integers for each format that can be pasted. For example, if it is possible to paste all the formats, the return value is 15 (the sum of 1, 2, 4 and 8).

Usage

To make good use of this method's return value, you should have a thorough understanding of OLE data formats, as defined in the OLE2 for Windows specifications.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: Graphic class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: GetPosition method

 See list of classes

 See example

Retrieves the position of the insertion point relative to the specified Marker object.

Syntax

[objectreference].GetPosition(MarkerName)

Parameters

MarkerName
A String expression which specifies the name of the Marker object for which you want the position.

Return value

Returns one of the four integers listed below:

Return Value	Definition
-2	The insertion point is not located in the same text stream as the specified Marker object.
-1	The insertion point is located before the Marker object.
0	The insertion point is located within the Marker object.
1	The insertion point is located after the Marker object.
Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetPrinterInfo method

 See list of classes

 See example

Displays information about the selected printer for the current document.

Syntax

[objectreference].GetPrinterInfo()

Parameters

Return value

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: GetProfileString method

 See list of classes

 See example

Returns the specified profile string from the specified .INI file. You can get a profile string from any of the standard Word Pro .INI files or you can specify another .INI file.

Syntax

[objectreference].GetProfileString(Section, Key[, DefString][, IniFileType][, WhichIniLocation][, IniName])

Parameters

Section
A String expression which specifies a name of a section in the .INI. Word Pro searches only the section you name in this parameter. If the named section does not match a section in the specified INI, this method fails. If you use an empty string ("") Word Pro assumes you are searching the LWPUSER.INI file (IniFileType parameter = "$LwpIniUserPrefs") and looks for the "WordProUser" section. Most .INIs have more than one section. The section name you provide in this parameter must match the section name in the INI exactly.

Key
A String expression which specifies the key name in the section you are searching.

DefString
An optional String expression which allows you to return a default string, if Word Pro fails to find the specified key.

IniFileType
Specifies the .INI from which you want to get the profile string. You can choose one of the standard Word Pro .INI files or choose "$LwpIniCustomFile" to search another .INI file. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). You do not have to provide a value for this parameter. Default is "$LwpIniUserPrefs."

$LwpIniUserPrefs (2101)
Default for this parameter. This is the .INI file used to store Word Pro's user preference information (lwpuser.ini).

$LwpIniConfigPrefs (2102)
The .INI file used to store Word Pro's configuration preference information.

$LwpIniEnvelopeAndMerge (2105)
The .INI file used to store Word Pro's envelope and merge information.

$LwpIniLanguages (2107)
The .INI file used to store some of Word Pro's language information.

$LwpIniSharedLotusInfo (2103)
The .INI file used to store shared information between Word Pro and other Lotus products.

$LwpIniSmartcorrect (2106)
The .INI file used to store Word Pro's SmartCorrect information.

$LwpIniSmartfill (2104)
The .INI file used to store Word Pro's SmartFill lists.

$LwpIniCustomfile (2100)
Allows you to get a profile string from an .INI file which is not one of the standard Word Pro .INI files. If you use this value, you must use the IniName parameter to specify the name of the .INI file (Windows 3.1 or OS/2) or .INI entry (Windows 95) in which the profile string is located.

WhichIniLocation
Tells Word Pro whether to look on the network or the local machine for the specified .INI file. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). You do not have to provide a value for this parameter. Default is "$LwpUserIniLocation."

$LwpNetworkIniLocation (2171)
Searches directory for network .INI files.

$LwpUserIniLocation (2172)
Searches directory for user .INI files.

Note	For Windows 95, in the registry, the user location is HKEY_CURRENT_USER or HKEY_USERS. The network location is HKEY_LOCAL_MACHINE. Within either of these locations, the path below this would be: Software\Lotus\WordPro\96.0.

IniName
An optional String expression that identifies which .INI you want to search. Use this parameter only if you used "$LwpIniCustomFile" as the value of the IniFileType parameter. This .INI must be stored in the same directory as the standard Word Pro .INIs.

Note	If you are using Windows 3.1 or OS/2, this value is an .INI file name. If you are using Windows 95, this value is an .INI entry as seen in the Windows Registry application (REGEDIT.EXE).

Return value

Returns the profile string. Data type is String.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GetRGB method

 See list of classes

 See example

Returns the RGB (red, green, and blue) value of a color.

Syntax

[objectreference].GetRGB()

Parameters

Return value

Returns the RGB values for a specific object. If the color of a specific object is a predefined Word Pro color, then Word Pro returns the RGB value of that predefined color.

Usage

Colors are usually represented by a combination of three separate components. The three components include a red value which can range from 0-255, a green value which can range from 0-255, and a blue value which can range from 0-255. You can combine different amounts of these three component colors to produce any other color. For example, in order to produce yellow, you can set a color object's red value to 255, green value to 255, and blue value to 0. The combination of all three of the component colors appears yellow.

Colors can also be represented by a single numeric value. The GetRGB method returns a single hexadecimal value which represents the values for red, green, and blue components of a color. The table below lists the bit-field values that make up this hexadecimal value.

Value	Effect
Bits 0 - 7	Blue
Bits 8 - 15	Green
Bits 16 - 23	Red
If you use this method on an object that is red, it returns a hexadecimal value of FF0000. The first two digits represent the value of the red component. The hexadecimal value FF equates to a decimal value of 255. The second two digits represent the green component value. The last two digits represent the red component value. Since the object is red, the green and blue component values are 0.

The following table shows some common colors, their hexadecimal values, and their RGB values.

Color	Hexadecimal Value	Red	Green	Blue
White	FFFFFF	255	255	255
25% Gray	C0C0C0	192	192	192
Red	FF0000	255	0	0
Yellow	FFFF00	255	255	0
Neon Green	FF00	0	255	0
Turquoise	FFFF	0	255	255
Blue	FF	0	0	255
Hot Pink	FF00FF	255	0	255
Black	0	0	0	0
50% Gray	808080	128	128	128
Scarlet	800000	128	0	0
Olive	808000	128	128	0
Dark Green	8000	0	128	0
Aztec Blue	8080	0	128	128
Dark Grape	61	0	0	97
Plum Red	800080	128	0	128


Topics Found:

Word Pro: Color class


Word Pro: GetRightMouseMenu method

 See list of classes

 See example

Syntax

[objectreference].GetRightMouseMenu()

Parameters

None.

Return value

Long

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetSource method

 See list of classes

 See example

Syntax

[objectreference].GetSource(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetSpellStatus method

 See list of classes

 See example

Checks the status of the Spell Check utility and forces it to load, if not already loaded.

Syntax

[objectreference].GetSpellStatus([Language])

Parameters

Language
Do not use this parameter. Word Pro sets the value automatically.

Return value

Should always return a value of -1 (True). If the return value is 0, there is a problem loading the Spell Check utility.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetSpellUserDictStatus method

 See list of classes

 See example

Checks to see whether or not there is a user dictionary available for the specified language.

Syntax

[objectreference].GetSpellUserDictStatus([Language])

Parameters

Language
Specifies which dictionary you want to check. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). Default is "$LwpLanguagesSystem" (434).

$LwpLanguagesAfrikaans (474)

$LwpLanguagesAlbanian (475)

$LwpLanguagesAmerican (442)

$LwpLanguagesArabic (476)

$LwpLanguagesArabicAlgeria (2111)

$LwpLanguagesArabicBahrain (2121)

$LwpLanguagesArabicEgypt (2109)

$LwpLanguagesArabicIraq (2108)

$LwpLanguagesArabicJordan (2117)

$LwpLanguagesArabicKuwait (2119)

$LwpLanguagesArabicLebanon (2118)

$LwpLanguagesArabicLibya (2110)

$LwpLanguagesArabicMorocco (2112)

$LwpLanguagesArabicOman (2114)

$LwpLanguagesArabicQatar (2122)

$LwpLanguagesArabicSyria (2116)

$LwpLanguagesArabicTunisia (2113)

$LwpLanguagesArabicUae (2120)

$LwpLanguagesArabicYemen (2115)

$LwpLanguagesAustralian (444)

$LwpLanguagesBasque (2123)

$LwpLanguagesBrazilian (468)

$LwpLanguagesBritish (443)

$LwpLanguagesBritishmedize (451)

$LwpLanguagesBrmedical (449)

$LwpLanguagesBulgarian (478)

$LwpLanguagesByelorussian (2124)

$LwpLanguagesCatalan (436)

$LwpLanguagesChineseHongkong (2126)

$LwpLanguagesChinesePrchina (2125)

$LwpLanguagesChineseSingapore (2127)

$LwpLanguagesChineseTraditional (479)

$LwpLanguagesCroatian (2128)

$LwpLanguagesCroatianCyrillic (2130)

$LwpLanguagesCroatianSerbian (2131)

$LwpLanguagesCzech (437)

$LwpLanguagesDanish (438)

$LwpLanguagesDutch (439)

$LwpLanguagesDutchBelgian (440)

$LwpLanguagesEnglishCanadian (445)

$LwpLanguagesEnglishCarribean (2134)

$LwpLanguagesEnglishIreland (447)

$LwpLanguagesEnglishJamaica (2133)

$LwpLanguagesEnglishNewzealand (446)

$LwpLanguagesEnglishSafrica (2132)

$LwpLanguagesEstonian (2135)

$LwpLanguagesFaeroese (2136)

$LwpLanguagesFarsi (2137)

$LwpLanguagesFinnish (452)

$LwpLanguagesFrench (453)

$LwpLanguagesFrenchBelgian (454)

$LwpLanguagesFrenchCanadian (455)

$LwpLanguagesFrenchLuxembourg (2138)

$LwpLanguagesFrenchSwiss (456)

$LwpLanguagesGerman (457)

$LwpLanguagesGermanAustrian (459)

$LwpLanguagesGermanLiechtenstein (2140)

$LwpLanguagesGermanLuxembourg (2139)

$LwpLanguagesGermanSwiss (458)

$LwpLanguagesGreek (460)

$LwpLanguagesHebrew (483)

$LwpLanguagesHungarian (461)

$LwpLanguagesIcelandic (484)

$LwpLanguagesIndonesian (2141)

$LwpLanguagesItalian (462)

$LwpLanguagesItalianSwiss (463)

$LwpLanguagesJapanese (485)

$LwpLanguagesKorean (486)

$LwpLanguagesKoreanJohab (2142)

$LwpLanguagesLatvian (2143)

$LwpLanguagesLithuanian (2144)

$LwpLanguagesMedical (448)

$LwpLanguagesNorwegian (464)

$LwpLanguagesNynorsk (465)

$LwpLanguagesPolish (466)

$LwpLanguagesPortuguese (467)

$LwpLanguagesRhaetoRoman (2145)

$LwpLanguagesRomanian (488)

$LwpLanguagesRussian (469)

$LwpLanguagesRussianio (470)

$LwpLanguagesSlovak (492)

$LwpLanguagesSlovene (493)

$LwpLanguagesSorbian (2146)

$LwpLanguagesSpanish (471)

$LwpLanguagesSpanishArgentina (2155)

$LwpLanguagesSpanishBolivia (2160)

$LwpLanguagesSpanishChile (2157)

$LwpLanguagesSpanishColombia (2153)

$LwpLanguagesSpanishCostarica (2149)

$LwpLanguagesSpanishDominican (2151)

$LwpLanguagesSpanishEcuador (2156)

$LwpLanguagesSpanishGuatemala (2148)

$LwpLanguagesSpanishMexican (472)

$LwpLanguagesSpanishModern (2147)

$LwpLanguagesSpanishPanama (2150)

$LwpLanguagesSpanishParaguay (2159)

$LwpLanguagesSpanishPeru (2154)

$LwpLanguagesSpanishUruguay (2158)

$LwpLanguagesSpanishVenezuela (2152)

$LwpLanguagesSwedish (473)

$LwpLanguagesSystem (434)

$LwpLanguagesThai (494)

$LwpLanguagesTurkish (495)

$LwpLanguagesUkrainian (496)

$LwpLanguagesUniversal (435)

$LwpLanguagesUrdu (497)

$LwpLanguagesVoorkeur (441)

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetStandardButtonId method

 See list of classes

 See example

Obtains the ID of a standard Word Pro status bar button.

Syntax

[objectreference].GetStandardButtonId(ButtonType)

Parameters

ButtonType
Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default constant.

$LwpStandButtBoldButton (1812) A value that specifies the ID of a bold button.

$LwpStandButtCollapsibleButton (1816) A value that specifies the ID of a collapsible button.

$LwpStandButtColorButton (1811) A value that specifies the ID of a color button.

$LwpStandButtCustomButton (1823) A value that specifies the ID of a custom button.

$LwpStandButtFontButton (1809) A value that specifies the ID of a font button.

$LwpStandButtItalicButton (1813) A value that specifies the ID of an italic button.

$LwpStandButtPagedownButton (1818) A value that specifies the ID of a page down button.

$LwpStandButtPagenumberButton (1819) A value that specifies the ID of a page number button.

$LwpStandButtPageupButton (1817) A value that specifies the ID of a page up button.

$LwpStandButtPointSizeButton (1810) A value that specifies the ID of a point size button.

$LwpStandButtSpacer1Button (1820) A value that specifies the ID of the first spacer button.

$LwpStandButtSpacer2Button (1821) A value that specifies the ID of the second spacer button.

$LwpStandButtSpacer3Button (1822) A value that specifies the ID of the third spacer button.

$LwpStandButtStyleButton (1815) A value that specifies the ID of a style button.

$LwpStandButtUnderlineButton (1814) A value that specifies the ID of an underline button.

Return value

Long.

Usage

Use this method to obtain the ID of a standard Word Pro status bar button. For example, when you are creating a new button, you can use this method to identify the standard button, after which the new button should be inserted.


Topics Found:

Word Pro: StatusBar class


Word Pro: GetText method

 See list of classes

 See example

Returns text from the specified part of a Text, ClickHere, or TextMarker object.

Syntax

[objectreference].GetText(GetObjectType, Advance, 0, 0, [EndMarkerName], [AcrossParagraphs])

Parameters

GetObjectType
Specifies the type of text object you want to return. Each type of object is described below. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpGetObjectTypeChunk (367)
Returns the text chunk at the insertion point. A chunk is comprised of a single word (a group of characters with no spaces) and all the contiguous spaces following that word. If the insertion point is at the beginning, the end, or anywhere within a word, the chunk is comprised of that word and the spaces which follow it. If the insertion point is between two spaces, the chunk is seen as all the spaces following the insertion point to the beginning of the next word. If there is no word between the spaces and the end of the paragraph, the chunk is comprised of all the spaces up to the end of the paragraph.

$LwpGetObjectTypeObject (365)
Returns the specified internal text object located at the insertion point. For more on internal text objects, see Overview: Word Pro Text Subobjects

$LwpGetObjectTypeParagraph (369)
Returns all the text in the current paragraph.

$LwpGetObjectTypeParatag (371)
Returns the text used for the TeamConsolidate/TeamReview marker. This marker only appears on paragraphs that are marked as revisions. This option returns the marker text for the paragraph at the insertion point.

$LwpGetObjectTypeSelection (370)
Returns the selected text. Use this option in conjunction with the Select method when you want to get return bullet text on a bulleted paragraph.

$LwpGetObjectTypeSentence (368)
Returns the text of the sentence at the insertion point.

$LwpGetObjectTypeWord (366)
Returns the text of the word at the insertion point.

Advance
Specifies whether or not Word Pro should move the insertion point to the next instance of the type of object specified in the GetObjectType parameter. For example, if you set the value of this parameter to True, Word Pro will find the first instance of the object type you specify, return the text from that object, and then move the insertion point to the next instance of that object type. This parameter is ignored if you use $LwpGetObjectTypeSelection (370), or $LwpGetObjectTypeParatag (371) as the value for the GetObjectType parameter. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter.

R1
Not used. Default is 0.

R2
Not used. Default is 0.

EndMarkerName
A String expression which specifies the name of the marker at which you want to end the GetText operation. For example, if you have a marked range of text and the marker name is "MyRange," you could use "MyRange" as the value for this parameter and Word Pro would stop the execution of this method, if it encountered the end of the marked range. Optional parameter.

AcrossParagraphs
Allows you to get all the text in a selection instead of stopping at the first paragraph. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False (0).

Return value

String.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: GetTOCProperties method

 See list of classes

 See example

Displays the properties of a table of contents.

Syntax

[objectreference].GetTOCProperties(TOCScope, Index)

Parameters

TOCScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTOCScopeDestPageStyle (1853)

$LwpTOCScopeDestStyle (1854)

$LwpTOCScopeLevelNumber (1851)

$LwpTOCScopeRtAlgnPgNum (1850)

$LwpTOCScopeSearchStyle (1852)

$LwpTOCScopeTypeOfLeader (1846)

$LwpTOCScopeUseLeader (1847)

$LwpTOCScopeUsePageNumber (1849)

$LwpTOCScopeUseText (1848)

Index
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: TOCSuperTableLayout class


Word Pro: GetUniqueName method

 See list of classes

 See example

Returns a unique name for a bookmark.

Syntax

[objectreference].GetUniqueName()

Parameters

None.

Return value

String.

Usage

Returns a unique name for a bookmark.


Topics Found:

Word Pro: BookmarkManager class


Word Pro: GetUserClassNameFull method

 See list of classes

 See example

Syntax

[objectreference].GetUserClassNameFull(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

String.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetUserClassNameShort method

 See list of classes

 See example

Syntax

[objectreference].GetUserClassNameShort(LinkCookie)

Parameters

LinkCookie
Data type is Long.

Return value

String.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: GetWordMisspelled method

 See list of classes

 See example

Finds misspelled words in the current document. Equivalent to choosing Edit - Check Spelling.

Syntax

[objectreference].GetWordMisspelled()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Get method

 See list of classes

 See example

Returns the string expression representing an entry in the SmartCorrect tool.

Syntax

[objectreference].Get(Entry)

Parameters

Entry
Data type is String.

Return value

Usage


Topics Found:

Word Pro: SmartCorrect class


Word Pro: Glossarize method

 See list of classes

 See example

Adds a term to a glossary.

Syntax

[objectreference].Glossarize(Term)

Parameters

Term

Specifies the String term you want to add to the glossary.

Return value

String.

Usage


Topics Found:

Word Pro: Glossary class


Word Pro: GlossaryInsert method

 See list of classes

 See example

Inserts a glossary entry at the insertion point in the currently active document. Equivalent to choosing Edit - Glossary and clicking Insert in the Glossary dialog box.

Syntax

[objectreference].GlossaryInsert(GlossFilePath, Key)

Parameters

GlossFilePath
A String expression specifying the path and name of the Glossary file in which the glossary entry is located.

Key
A String expression specifying the abbreviation for the glossary entry you want to insert into the document.

Return value

None.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GlossaryOpen method

 See list of classes

 See example

Opens a Glossary file for use with the currently active Word Pro document. You may use only one Glossary file for a document at a time.

Syntax

[objectreference].GlossaryOpen([FilePath,] [FileType,] [Password,] [AddToLastFileOpenList,] [Restore])

Parameters

FilePath
A String expression specifying the path and name of the Glossary file you want to open. Optional parameter.

FileType
A String expression indicating the file type of the file you want to use as the glossary. Word Pro automatically recognizes and imports many file types. Optional parameter. Use this parameter only if the file specified in the Path parameter is not one of these file types:

DCA/RFT	Lotus Manuscript 2.x	MS Word for Windows 1.0
DIF	Lotus Organizer 1.x	MS Word for Windows 2.0
DisplayWrite	Lotus Word Pro	MS Word for Windows 6.0
HTML	Lotus Word Pro SmartMaster	MS Word for Windows95 7.0
Lotus 1-2-3	MS Excel	MS WordPad 1.0
Lotus 1-2-3 for OS/2	MS Excel 3.0	OfficeWriter 4,5,6
Lotus 1-2-3 R3	MS Excel 4.0	Rich Text Format(RTF)
Lotus 1-2-3 R4,5	MS Excel 5.0	SAMNA Word
Lotus 1-2-3 R6	MS Excel 7.0	WordPerfect 5.0
Lotus Ami Pro	MS Windows Write 3.x	WordPerfect 5.1
Lotus Ami Pro 3.x Macro	MS Word for DOS 3,4,5,6	WordPerfect 6.x
Lotus Ami Pro 3.x Styles	MS Word for OS/2	WordStar 2000 R3

Password
Use this parameter to provide a a password if the Glossary file is password protected. Data type is String. Optional parameter.

AddToLastFileOpenList
This parameter allows you to show or hide the Glossary file from the last file opened list. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False which hides the Glossary file from the list.

Restore
This parameter is not implemented.

Return value

None.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GoToBookmark method

 See list of classes

 See example

Moves the insertion point to a specified bookmark. If more than one bookmark exists with the name you provide, Word Pro moves the insertion point to the first bookmark it encounters with that name.

Syntax

[objectreference].GoToBookmark(Name)

Parameters

Name
A String expression specifying the name of the bookmark. You can indicate the name of the division that contains the bookmark by using the following statement: divisionname!bookmarkname

Return value

A Boolean value of type Integer which indicates success (True) or failure (False). The constants True and False are returned as -1 and 0 respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GoToContainer method

 See list of classes

 See example

Moves the insertion point to the container within the current context of the document.

Syntax

[objectreference].GoToContainer(GoToLocation, [p2])

Parameters

GoToLocation

The value of this Variant parameter moves the insertion point to any one of the values below and must be one of the strings below or its code equivalent.

Value	Effect
$LwpGoToLocationPage (372)	The method will move the insertion point to a specific page container within the current context of the document.
$LwpGoToLocationHeader (373)	The method will move the insertion point to a specific header container within the current context of the document.
$LwpGoToLocationFooter (374)	The method will move the insertion point to a specific footer container within the current context of the document.
$LwpGoToLocationFrame (375)	The method will move the insertion point to a specific frame container within the current context of the document.
$LwpGoToLocationDivision (376)	The method will move the insertion point to a specific division container within the current context of the document.
$LwpGoToLocationExit (377)	The method will move the insertion point out of a specific container within the current context of the document.
p2

This optional Variant parameter specifies the string name of a page container or a division container.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: GoToLayout method

 See list of classes

 See example

Moves the insertion point to a specific layout object.

Syntax

When called from WPApplication:

[objectreference].GoToLayout(Name)

When called from any other object:

[objectreference].GoToLayout()

Parameters

Name
Only used when you call this method from the WPApplication object. This parameter provides the name of the layout object to which you want to move the insertion point. This name must be the same as that found in the Name property of the layout object. Data type is String.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

This method is available on most objects which are created from the Layout class or one of its child classes. When you call this method from one of these objects, Word Pro moves the insertion point into the object from which you called the method.

When you call this method from the WPApplication object, you must identify the layout you want to go to by providing the layout's name in the Name parameter.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: GotoNextParallelColumn method

 See list of classes

 See example

Moves the insertion point to the beginning of the parallel column to the right of the current parallel column. If the insertion point is already in the last parallel column, nothing happens. Equivalent to choosing Columns - Goto Next Column Block.

Syntax

[objectreference].GotoNextParallelColumn()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GoToObject method

 See list of classes

 See example

Moves the insertion point to the next object of the type you specify.

Syntax

[objectreference].GoToObject(ObjectName, Forward)

Parameters

ObjectName
A String expression which specifies the type of the object to which you want to go. The legal values for this parameter are listed below:

Align	HardSpace	PageNumber
AnchoredFrame	Indent	PowerField
BookMark	Index	RulerMark
ColumnBreak	Layout	SoftHyphen
DDE	LineBreak	Spacing
DocVariable	Note	Table
FootnoteMark	PageBreak	TOC

Forward
A Numeric expression which allows you to specify whether you want to go to an object behind or in front of the insertion point. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GoToPage method

 See list of classes

 See example

Moves the insertion point to the specified page number.

Syntax

[objectreference].GoToPage(PageNumber)

Parameters

PageNumber
An Integer representing the page number.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: GoToSection method

 See list of classes

 See example

Moves the insertion point to a specified section of a division.

Syntax

[objectreference].GoToSection([SectionGoTo])

Parameters

SectionGoTo
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSectionGoToBeforeSectionMarker (1746)

$LwpSectionGoToEndOfSection (1747)

Return value

Usage


Topics Found:

Word Pro: IndexSection class

Word Pro: Section class


Word Pro: GoToTableCell method

 See list of classes

 See example

Moves the insertion point to a specific location within the table.

Syntax

[objectreference].GoToTableCell(CellObjectType, [Next])

Parameters

CellObjectType

Indicates the specific cell to which you want to move the insertion point. Data type is Variant. The value of this parameter must be the string constant below or its numeric equivalent.

Value	Effect
$LwpCellObjectType (117)	The CellObjectType parameter must be this value.
Next

Indicates whether the focus should be moved to the next location within the table. Data type is Integer. The legal values are -1 (True) or 0 (False). This is an optional parameter. The default value of this parameter is True. If Next is set to False, the method will do nothing and return a value of 0.

Return value

This method returns an Integer value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Assuming the Next parameter is set to True, the following table describes possible initial insertion point states and what the result of the GoToTableCell method will be in that situation. If the Next parameter is set to False, the GoToTableCell method will do nothing and return a value of 0.

Cursor located in the last cell of a row	Cursor at the end of the text within the cell	Cursor located in last cell of the table.	Result of the GoToTableCell method
No	Doesn't matter	Doesn't matter	Cursor moves to the next cell.
Yes	No	Doesn't matter	Cursor moves to the end of the text within the cell.
Yes	Yes	No	Cursor moves to the next cell.
Yes	Yes	Yes	New row is appended to the table, and the cursor moves to the first cell of the new row.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: GoTo method

 See list of classes

 See example

Moves the insertion point to the specified footnote object or marker object.

Syntax

[objectreference].GoTo(SelectAll)

[objectreference].GoTo()

[objectreference].GoTo()

Parameters

SelectAll
Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Footnote class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: GroupDivision method

 See list of classes

 See example

Creates a parent division for the division specified in the DivisionName parameter. Equivalent to clicking the right mouse button on a division tab and selecting Group Tabs.

Syntax

[objectreference].GroupDivision([DivisionName])

Parameters

DivisionName
A String expression which specifies the internal name of the division you want to place in the new parent division. If you do not provide a value for this parameter, the currently active division will be placed in the new parent division.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

For more information on division names in LotusScript, see Overview: Division names in LotusScript


Topics Found:

Word Pro: WPApplication class


Word Pro: HandsOffStorage method

 See list of classes

 See example

Causes Word Pro to release all references to an embedded Word Pro object's IStorage.

Syntax

[objectreference].HandsOffStorage()

Parameters

None.

Return value

None.

Usage

This method is typically used internally by Word Pro during an OLE operation. You may need this method if you write a script in which you access a Word Pro document that is stored as an OLE object in another application's document (such as a Word Pro document stored in a 1-2-3 worksheet). In such a script, the HandsOffStorage method instructs Word Pro to release its connection to the IStorage in which the Word Pro OLE object is stored.


Topics Found:

Word Pro: WPApplication class


Word Pro: HasNamedProperty method

 See list of classes

 See example

Checks for the presence of a named property within the object from which this method is called.

Syntax

[objectreference.]HasNamedProperty(PropertyName)

Parameters

PropertyName

The name of the property that you want to check for within an object. Data type is String.

Return value

The return value for this method will always be 1 or 0. A return value of 1 indicates that the specified object does have a named property that matches the PropertyName parameter.

Usage

A named property is a user-defined property assigned to an object. Unlike variables, named properties are persistent. They continue to exist when a script stops executing, and when a document is closed and reopened.

Use this method to determine whether or not a specific named property exists on an object. For example, if you call this method from a ClickHere object, Word Pro checks that ClickHere object for the named property specified in the PropertyName parameter. Use the GetNamedProperty method to actually retrieve the value stored in a named property.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: Help method

 See list of classes

 See example

Launches the specified Help file.

Syntax

[objectreference].Help ([HelpFile][, HelpContextID][, HelpString][, Parent])

Parameters

HelpFile
A String expression which specifies the name of the Help file you want to open. Optional parameter. If you do not provide a value for this parameter, Word Pro will open the Help file which is appropriate in the current context.

HelpContextID
A Numeric expression which allows you specify which topic you want to turn to, by its resource code or Help panel ID number.

HelpString
A String expression which allows you specify which topic you want to turn to by the topic's unique Context ID string. For example, the Context ID for this topic is "H_HELP_METHOD_MEMDEF."

Parent
A Numeric expression of type Long which allows you to specify the parent. Required for use with an OS/2 Help file.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: HideCaretAndSelection method

 See list of classes

 See example

Syntax

[objectreference].HideCaretAndSelection()

Parameters

Intbool HideCaret = True.

Intbool HideSelection = True.

Intbool;Exposed;Text

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: HideControl method

 See list of classes

 See example

Syntax

[objectreference].HideControl(Control_ID, Hide)

Parameters

Control_ID
Data type is Variant.

Hide
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: HideIconBar method

 See list of classes

 See example

Hides an icon bar set temporarily until the next context change. Equivalent to hiding a bar from the drop down menu that appears when you click on the Close box.

Syntax

[objectreference].HideIconBar()

Parameters

Data type is Integer. The legal values for this parameter will always be -1 or 0 but you may use the LotusScript constants of True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

To hide an icon bar object permanently, use the ShowInContext property.


Topics Found:

Word Pro: IconBar class


Word Pro: Hide method

 See list of classes

 See example

Reduces a specific note layout object to an icon.

Syntax

[objectreference].Hide()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method applies only to note container objects.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DocWindow class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: NoteLayout class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: WPApplication class


Example: Shadow property
'Example: Shadow property

'


Example: Shadow property
'Example: Shadow property

'


Example: SendFrameToBackOne method
'Example: SendFrameToBackOne method

' This example creates two frames and changes the order of the layering

' for the two frames.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewFrame 3285, 1200, 1575, 1830

.Frame.Layout.Background.Color.Red = 82

.Frame.Layout.Background.Color.Blue = 239

.Frame.Layout.Background.Color.Green = 145

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Deselect

.NewFrame 5285, 2200, 1575, 1830

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Frame.Layout.Background.Color.Red = 182

.Frame.Layout.Background.Color.Blue = 139

.Frame.Layout.Background.Color.Green = 45

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

Messagebox "Click OK to send frame to back. ",MB_OK,"Example Script"

.SendFrameToBackOne


Example: SendFrameToBack method
'Example: SendFrameToBack method

' This example creates two frames and changes the order of the layering

' for the two frames.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewFrame 3285, 1200, 1575, 1830

.Frame.Layout.Background.Color.Red = 82

.Frame.Layout.Background.Color.Blue = 239

.Frame.Layout.Background.Color.Green = 145

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Deselect

.NewFrame 5285, 2200, 1575, 1830

.Frame.Anchor $LwpAnchorWhereLayout, $LwpConditionTypeOnlyspecificpage, $LwpRelativeTypeLytParent

.Frame.Layout.Background.Color.Red = 182

.Frame.Layout.Background.Color.Blue = 139

.Frame.Layout.Background.Color.Green = 45

.Frame.Layout.Background.Color.Override = $LwpColorOverrideRgb

Messagebox "Click OK to send frame to back. ",MB_OK,"Example Script"

.SendFrameToBack

Messagebox "Click OK to bring frame to front. ",MB_OK,"Example Script"

.BringFrameToFront


Example: SendMailAndAttach method
'Example: SendMailAndAttach method

' This example script has not yet been created.


Example: SendMailSelectedText method
'Example: SendMailSelectedText method

' This example inserts some sample text into the current document, selects the

' text, and then displays the team mail dialog box.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work ' and a VIM compliant mail application must be available.

.Type "This is some sample text to be mailed."

.SelectParagraph

.SendMailSelectedText


Example: ServerFormat property
'Example: ServerFormat property

'This example script has not yet been created.


Example: SetArrayProp method
'Example: SetArrayProp method

'This example script has not yet been created.


Example: SetContextOfBar property
'Example: SetContextOfBar property

'This example script has not yet been created.


Example: SetControlText method
'Example: SetControlText method

'This example script has not yet been created.


Example: SetControlValue method
'Example: SetControlValue method

'This example script has not yet been created.


Example: SetData method
'Example: SetData method

' This example creates a dataset named 'ExampleDataSet' off of the active

' document. The 'FirstName' and 'LastName' items are created and filled with

' data. Finally the values for the dataset items are printed to the Script

' Editor Output panel.  Since no dataset item named 'Address' was defined, the

' default dataset value will be printed in the last statement.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim DataSetName as String

Dim Defaultvalue as String

Dim DataSet As WPDataSetCollection

Set DataSet = .ActiveDocument.WPDataSets

DataSetName = "ExampleDataSet"

Defaultvalue = "Default"

DataSet(DataSetName).SetData "FirstName","John"

DataSet(DataSetName).SetData "LastName","Doe"

Print DataSet(DataSetName).GetData("FirstName",Defaultvalue)

Print DataSet(DataSetName).GetData("LastName",Defaultvalue)

Print DataSet(DataSetName).GetData("Address",Defaultvalue)


Example: SetDocumentEpoch method
'Example: SetDocumentEpoch method

'This example script has not yet been created.


Example: SetFieldFormula method
'Example: SetFieldFormula method

'This example script has not yet been created.


Example: SetFocus method
'Example: SetFocus method

'This example script has not yet been created.


Example: SetFormula method
'Example: SetFormula method

' This example creates a table and enters a formula. The formula is then

' retrieved and printed to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.Table.CellLayout(4,0).GotoLayout

.Table.CellEngine.SetFormula 4,0,"@SUM(A1:A2)"

Print .Table.CellEngine.GetFormula(4, 0)


Example: SetLastUsedFilter method
'Example: SetLastUsedFilter method

' This example inserts the 'TOON1' Word Pro Drawing graphic into the current

' document.  The graphic is placed in a frame based upon the 'Default

' Graphic/OLE' frame style.

' RUNTIME DEPENDENCIES: You must have a document open and have installed the

' the Word Pro clipart into the \\DRAWSYM subdirectory for this script to '

' work.

Dim FileName as String

FileName = .Application.Path & "\DRAWSYM\TOON1.SDW"

.ApplicationWindow.Filter.SetLastUsedFilter $LwpFilterTypeGraphic,"Word Pro draw"

.ApplicationWindow.UserInterfacePrefs.LastGraphicType = "Word Pro Draw"

.ImportGraphic FileName, ".SDW", False, False, "Default Graphic/OLE"


Example: SetLineOneSide method
'Example: SetLineOneSide method

'This example script has not yet been created.


Example: SetLinesAllSides method
'Example: SetLinesAllSides method

'This example script has not yet been created.


Example: SetLinkSource method
'Example: SetLinkSource method

'This example script has not yet been created.


Example: SetMinimumOrigin method
'Example: SetMinimumOrigin method

'This example script has not yet been created.


Example: SetNamedProperty method
'Example: SetNamedProperty method

' This example creates a named property, 'ExampleProp' on the active document

' and assigns it a value. The value is then printed to the Lotus Script Output

' panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ActiveDocument.SetNamedProperty "ExampleProp", "Here is some data."

.ActiveDocument.GetNamedProperty "ExampleProp"


Example: SetOverrideGraphic method
'Example: SetOverrideGraphic method

'This example script has not yet been created.


Example: SetOverrideText method
'Example: SetOverrideText method

' This example creates a new button to the status bar and then adds text to

' the button.  The STATUSBARBUTTONOVERRIDETEXT is then bound to the

' SetTheButtonText subroutine to set the button text during needs repainting.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ButtonName As String

Dim NewButton As StatusBarButton

With .ApplicationWindow.StatusBar

ButtonName = .CreateNewbutton (0,0,100,&H1)	'create the new button

Set NewButton = .StatusBarButtons(ButtonName)

With .StatusBarButtons(ButtonName)

.SetOverRideText("New Button...")

Call .SetButtonText("Button",True)

.InvalidateButton

On Event STATUSBARBUTTONOVERRIDETEXT From NewButton Call

SetTheButtonText

End With

.InvalidateWholeBar ' Force the bar to repaint

End With

End Sub

Sub SetTheButtonText (Source As StatusBarButton, ButtonName As String)

'Add the the button text each time the status bar needs repainting.

Source.SetOverRideText("New Button...")

End 2

End Sub


Example: SetPageBottomMargin method
'Example: SetPageBottomMargin method

' This example script has not yet been created.


Example: SetPageTopMargin method
'Example: SetPageTopMargin method

' This example script has not yet been created.


Example: SetPattern method
'Example: SetPattern method

' This example create a table with 10 colums and 1 row and changes the color

' pattern for every other row.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 1, 10

.SelectEntireTable

BackgroundColor =	92654

PatternColor = 23424

.Table.TableFill.SetPattern  $LwpTableFillStyleEveryotherrow, $LtsFillDottedZigzag  ,BackgroundColor, PatternColor

.Deselect


Example: SetPopupAlignment method
'Example: SetPopupAlignment method

'This example script has not yet been created.


Example: SetPopupIndex method
'Example: SetPopupIndex method

'This example script has not yet been created.


Example: SetPopupWidthType method
'Example: SetPopupWidthType method

'This example script has not yet been created.


Example: SetPopupWidth method
'Example: SetPopupWidth method

'This example script has not yet been created.


Example: SetRGB method
'Example: SetRGB method

' This example creates a table with 5 rows and 5 columns into the current

' document. The background and pattern colors are then changed for the current

' cell.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.Table.TableFill.Background.Pattern = $LtsFillNwToSeGrad

.Table.CurrentCell.Background.BackColor.SetRGB 255,255,255

.Table.TableFill.Background.Color.Override = $LwpColorOverrideRgb

.Table.TableFill.Background.BackColor.Red = 82

.Table.TableFill.Background.BackColor.Blue = 239

.Table.TableFill.Background.BackColor.Green = 145

.Table.TableFill.Background.BackColor.SetRGB 82,239,145

.Table.TableFill.Background.BackColor.Override = $LwpColorOverrideRgb

.Table.TableFill.FillStyle = $LwpTableFillStyleAll


Example: SetStorage method
'Example: SetStorage method

'This example script has not yet been created.


Example: SetStyle method
'Example: SetStyle method

' This example inserts some text into the current document, changes some

' text properties and then creates a new paragraph style based on those

' properties.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

With .Text

.InsertText "This is some sample text."

.Select $LwpSelectObjectTypeParagraph

.Font.Size = 15.00

.Font.Bold = True

.Alignment.AlignmentType = $LtsAlignmentHorizCenter

.SetStyle $LwpStyleTypeParagraph, "New Example Style",

End With


Example: SetTabsDialog property
'Example: SetTabsDialog property

'This example script has not yet been created.


Example: SetTOCProperties method
'Example: SetTOCProperties method

'This example script has not yet been created.


Example: SetUpEnvelopeMerge method
'Example: SetUpEnvelopeMerge method

'This example script has not yet been created.


Example: Shade method
'Example: Shade method

' This example shades the first 8 words the the example sentence inserted

' into the current document.

' RUNTIME DEPENDENCIES: You must have a document open with the cursor

' positioned to the left of some text for this script to work.

.Text.InsertText "The first eight words of this sentence will be shaded."

.Text.Backward $LwpNavigateObjectTypeSentence, 1

.Text.Shade $LwpLocationTypeWord,$LwpNavigateDirectionRight,8


Example: ShowAnyGreeting method
'Example: ShowAnyGreeting method

' This example script has not yet been created.


Example: ShowContainers method
'Example: ShowContainers method

'This example script has not yet been created.


Example: ShowCursor method
'Example: ShowCursor method

'This example script has not yet been created.


Example: ShowDivisionTabs property
'Example: ShowDivisionTabs property

'This example script has not yet been created.


Example: ShowGraphicPreview property
'Example: ShowGraphicPreview property

'This example script has not yet been created.


Example: ShowHiddenText property
'Example: ShowHiddenText property

'This example script has not yet been created.


Example: ShowIconBars method
'Example: ShowIconBars method

' This example hides all SmartIcon bars the redisplays them after the message

' box is closed.

.ApplicationWindow.IconBarManager.HideIconBars

Messagebox "Click OK to show SmartIcon bars.",MB_OK,"Example Script"

.ApplicationWindow.IconBarManager.ShowIconBars


Example: ShowInContext property
'Example: ShowInContext property

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

Set IcnMgr = .ApplicationWindow.IconBarManager

' Set icon pallet to show in its context

IcnMgr.IconBars(IcnPallet).ShowInContext = True

' This will force a redraw of IconBars

IcnMgr.ShowIconBars

MsgStr = |"| & IcnPallet

MsgStr = MsgStr & |" pallet is now displayed, click OK to hide this pallet"|

Messagebox  MsgStr, 48, "Script Example"

' Reset icon pallet not to show in its context

IcnMgr.IconBars(IcnPallet).ShowInContext = False

IcnMgr.ShowIconsBars


Example: ShowMailDisabled property
'Example: ShowMailDisabled property

'This example script has not yet been created.


Example: ShowNoWelcomeBox property
'Example: ShowNoWelcomeBox property

'This example script has not yet been created.


Example: ShowScrollBars method
'Example: ShowScrollBars method

' This example hides the vertical and horizontal scroll bars if the are

' visible and shows them if they are hidden.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ScrollVert as Long

Dim ScrollHorz as Long

Messagebox "Click OK to hide scroll bars ",MB_OK,"Example Script"

ScrollVert = False

ScrollHorz = False

.ActiveDocWindow.ShowScrollBars ScrollVert,ScrollHorz

Messagebox "Click OK to show scroll bars ",MB_OK,"Example Script"

ScrollVert = True

ScrollHorz = True

.ActiveDocWindow.ShowScrollBars ScrollVert,ScrollHorz


Example: ShowStatistics property
'Example: ShowStatistics property

'This example script has not yet been created.


Example: ShowStatusBar method
'Example: ShowStatusBar method

' This example hides the status bar if it is visible, and shows it if it is

' hidden.

If .ApplicationWindow.StatusBar.Visible = True Then

.ApplicationWindow.StatusBar.HideStatusBar

Else

.ApplicationWindow.StatusBar.ShowStatusBar

End If


Example: ShowTabs property
'Example: ShowTabs property

'This example script has not yet been created.


Example: Show method
'Example: Show method

'[DocWindow.Show]

' This example gets the name of the document to activate and then

' cycles through all the documents to find the one requested

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim DocName As String

DocName = InputBox("Enter the name of the document to activate:")

Forall Document In .Documents

If Document.Name = DocName Then

Document.Activate

.ActiveDocWindow.Show

End If

End Forall

'[IconBar.Show]

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

Set IcnMgr = .ApplicationWindow.IconBarManager

' Set the context and show the bar

IcnMgr.IconBars(IcnPallet).ShowInContext = True

IcnMgr.IconBars(IcnPallet).Show

MsgStr = |"| & IcnPallet

MsgStr = MsgStr & |" pallet is now displayed, click OK to hide this pallet"|

Messagebox  MsgStr, 48, "Script Example"

' Reset the context and hide the bar.  You can hide the bar without reseting

' the context first. But the bar will reappear once the context in the

' document returns to the setting for this pallet

IcnMgr.IconBars(IcnPallet).ShowInContext = False

IcnMgr.IconBars(IcnPallet).HideIconBar


Example: SilverBullets property
'Example: SilverBullets property

'This example script has not yet been created.


Example: SilverBullet property
'Example: SilverBullet property

'This example script has not yet been created.


Example: SimulateButtonClick method
'Example: SimulateButtonClick method

' This example simulates clicking on the font status bar button.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim StatBar As StatusBar

Dim ButtonId as Integer

Set StatBar = .ApplicationWindow.StatusBar

Forall Button In StatBar.StatusBarButtons

ButtonId =  Button.GetButtonId

If (ButtonId = StatBar.GetStandardButtonId($LwpStandButtFontButton)) Then

Button.SimulateButtonClick

End If

End Forall


Example: SizeStyleName property
'Example: SizeStyleName property

'This example script has not yet been created.


Example: Size property
'Example: Size property

'Sub Main

Print "==================="

Forall x In .division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

Forall x In .Division.foundry.paragraphstyles

x.font.FontName = "Arial"

End Forall

Print " --------------------"

Forall x In .Division.foundry.paragraphstyles

Print x.font.ActualName & " = " & x.font.size

End Forall

End Sub


Example: SizingUnitName property
'Example: SizingUnitName property

'This example script has not yet been created.


Example: SizingUnits property
'Example: SizingUnits property

'This example script has not yet been created.


Example: Skipped property
'Example: Skipped property

'This example script has not yet been created.


Example: SkipWordMode property
'Example: SkipWordMode property

'This example script has not yet been created.


Example: Skip method
'Example: Skip method

'This example script has not yet been created.


Example: SmallCaps method
'Example: SmallCaps method

' This example displays the popup style menu located on Word Pro's status bar.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "This Is A Test Of Small Caps."

.SelectParagraph

.SmallCaps

Messagebox "Click OK undo the smallcaps change.",MB_OK,"Example Script"

.SmallCaps


Example: SmallCaps property
'Example: SmallCaps property

'This example script has not yet been created.


Example: SmallFileFormat property
'Example: SmallFileFormat property

'This example script has not yet been created.


Example: SmartCorrects property
'Example: SmartCorrects property

'This example script has not yet been created.


Example: SmartCorrect property
'Example: SmartCorrect property

'This example script has not yet been created.


Example: SmartFill property
'Example: SmartFill property

'This example script has not yet been created.


Example: SmartLevel property
'Example: SmartLevel property

'This example script has not yet been created.


Example: SmartSumColumn method
'Example: SmartSumColumn method

' This example creates a table with 5 rows and 5 columns into the current

' document.  Headers are created for the first column and row. Numbers are

' inserted elsewhere and the column and rows are totaled.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MyTable As Table

Dim RowCounter As Integer

Dim ColumnCounter As Integer

.CreateTable False, "Default Table", 5,5

Set MyTable = .Table

For RowCounter = 1 To 3

MyTable.CellLayout(RowCounter,0).GotoLayout

.Text.InsertText "Sales Rep" & Format$(RowCounter)

Next

For ColumnCounter = 1 To 3

MyTable.CellLayout(0,ColumnCounter).GotoLayout

.Text.InsertText "Year" & Format$(ColumnCounter)

Next

For ColumnCounter = 1 To 3

For RowCounter = 1 To 3

MyTable.CellLayout(RowCounter,ColumnCounter).GotoLayout

.Text.InsertText  Format$(RowCounter * ColumnCounter)

Next

Next

For ColumnCounter = 1 To 3

MyTable.CellLayout(4,ColumnCounter).GotoLayout

.SmartSumColumn

Next

For RowCounter = 1 To 4

MyTable.CellLayout(RowCounter,4).GotoLayout

.SmartSumRow

Next


Example: SmartSumRow method
'Example: SmartSumRow method

' This example creates a table with 5 rows and 5 columns into the current

' document.  Headers are created for the first column and row. Numbers are

' inserted elsewhere and the column and rows are totaled.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MyTable As Table

Dim RowCounter As Integer

Dim ColumnCounter As Integer

.CreateTable False, "Default Table", 5,5

Set MyTable = .Table

For RowCounter = 1 To 3

MyTable.CellLayout(RowCounter,0).GotoLayout

.Text.InsertText "Sales Rep" & Format$(RowCounter)

Next

For ColumnCounter = 1 To 3

MyTable.CellLayout(0,ColumnCounter).GotoLayout

.Text.InsertText "Year" & Format$(ColumnCounter)

Next

For ColumnCounter = 1 To 3

For RowCounter = 1 To 3

MyTable.CellLayout(RowCounter,ColumnCounter).GotoLayout

.Text.InsertText  Format$(RowCounter * ColumnCounter)

Next

Next

For ColumnCounter = 1 To 3

MyTable.CellLayout(4,ColumnCounter).GotoLayout

.SmartSumColumn

Next

For RowCounter = 1 To 4

MyTable.CellLayout(RowCounter,4).GotoLayout

.SmartSumRow

Next


Example: SnapshotOffset property
'Example: SnapshotOffset property

'This example script has not yet been created.


Example: SnapshotPath property
'Example: SnapshotPath property

'This example script has not yet been created.


Example: SnapShotSaveOptions property
'Example: SnapShotSaveOptions property

'This example script has not yet been created.


Example: SnapshotSize property
'Example: SnapshotSize property

'This example script has not yet been created.


Example: SortLevel1 property
'Example: SortLevel1 property

'This example script has not yet been created.


Example: SortLevel2 property
'Example: SortLevel2 property

'This example script has not yet been created.


Example: SortLevel3 property
'Example: SortLevel3 property

'This example script has not yet been created.


Example: SortNumbers property
'Example: SortNumbers property

'This example script has not yet been created.


Example: SortOptions property
'Example: SortOptions property

'This example script has not yet been created.


Example: SortOrder property
'Example: SortOrder property

'This example script has not yet been created.


Example: SortParagraphs method
'Example: SortParagraphs method

' This example inserts 5 rows and 5 columns of text into the current document

' where each column is tab delimited and then pause to display a message box.

' When you click OK, the message box closes, the sort options are set, and the

' grid is sorted in descending order relative to the first column.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

'Insert tab-delimited text grid

Dim RowCount as Integer

Dim ColumnCount as Integer

Dim OutputText as string

For RowCount = 1 To 5

For ColumnCount = 1 To 5

OutputText = "r" & RowCount & "c" & ColumnCount

.Text.InsertText  OutputText

.Text.InsertTab

Next

.Text.SplitParagraph

Next

.Text.Shade $LwpLocationTypeParagraph,$LwpNavigateDirectionLeft,5

'Set sort options

MessageBox "Click OK to sort selected text.",MB_OK,"Example Script"

.ActiveDocument.SortOptions.SortLevel1.FieldNumber = 1

.ActiveDocument.SortOptions.SortLevel2.SortWordOption = LwpSortWhichWordAllwords

.ActiveDocument.SortOptions.FieldDelimiter = $LwpDelimiterTypeTabdelimited

.ActiveDocument.SortOptions.SortLevel1.SortOrder = $LtsSortDescending

.ActiveDocument.SortOptions.SortLevel1.SortType = $LwpSortTypeAlphanumeric

'Sort paragraphs

.Text.SortParagraphs


Example: SortType property
'Example: SortType property

'This example script has not yet been created.


Example: SortWordOption property
'Example: SortWordOption property

'This example script has not yet been created.


Example: SortWord property
'Example: SortWord property

'This example script has not yet been created.


Example: SpaceAbove property
'Example: SpaceAbove property

'This example script has not yet been created.


Example: SpaceBelow property
'Example: SpaceBelow property

'This example script has not yet been created.


Example: SpacesBetweenSentences property
'Example: SpacesBetweenSentences property

'This example script has not yet been created.


Example: SpacingStyleName property
'Example: SpacingStyleName property

'This example script has not yet been created.


Example: SpacingUnitName property
'Example: SpacingUnitName property

'This example script has not yet been created.


Example: SpacingUnits property
'Example: SpacingUnits property

'This example script has not yet been created.


Example: Spacing property
'Example: Spacing property

'This example script has not yet been created.


Example: SpellAddToUserDict method
'Example: SpellAddToUserDict method

' This example prompts for a word to be added to the user dictionary. The word

' is inserted into the current document, selected and then added to the user

' dictionary.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewWord as String

NewWord = InputBox ("Enter a word to add to the user dictionary:","Example Script","")

If NewWord <> "" Then

.Type NewWord

.Text.MoveToStart $LwpLocationTypeWord

.SelectWord

.SpellAddToUserDict

MessageBox NewWord & " was added to the user dictionary.",MB_OK,"Example Script"

End If


Example: SpellCheckInitialCaps property
'Example: SpellCheckInitialCaps property

'This example script has not yet been created.


Example: SpellCheckRepeatedWords property
'Example: SpellCheckRepeatedWords property

'This example script has not yet been created.


Example: SpellCheckUserDictAlternatives property
'Example: SpellCheckUserDictAlternatives property

'This example script has not yet been created.


Example: SpellCheckWordsWithNums property
'Example: SpellCheckWordsWithNums property

'This example script has not yet been created.


Example: SpellClearSkippedWords method
'Example: SpellClearSkippedWords method

'This example script has not yet been created.


Example: SpellColor property
'Example: SpellColor property

'This example script has not yet been created.


Example: SpellFocusedColor property
'Example: SpellFocusedColor property

'This example script has not yet been created.


Example: SpellMarkSkippedWords method
'Example: SpellMarkSkippedWords method

' This example marks the selected word as skipped.

' RUNTIME DEPENDENCIES: You must have a document open and a word selected

' for this script to work.

.SpellMarkSkippedWords


Example: SpellSkipAll method
'Example: SpellSkipAll method

' This example inserts a word, and selects it and then

' adds the selected word to Spell Check's skip all list.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "Osborne"

.SelectWord

.SpellSkipAll


Example: SpellWord method
'Example: SpellWord method

'This example script has not yet been created.


Word Pro: Shadow property

 See list of classes

 See example

(Read-write) Turns the shadow effect on for a text object.

Data Type

Boolean

Syntax

[objectreference.]Shadowvalue = Shadowvalue

Shadowvalue = [objectreference.]Shadowvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FontMetrics class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsViewVertRuler property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewvertrulervalue = [objectreference].IsViewVertRuler

[objectreference].IsViewVertRuler = isviewvertrulervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewVertScrollBar property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewvertscrollbarvalue = [objectreference].IsViewVertScrollBar

[objectreference].IsViewVertScrollBar = isviewvertscrollbarvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsWordProChart property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

iswordprochartvalue = [objectreference].IsWordProChart

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IsWorkingDir property

 See list of classes

 See example

(Read-write) Indicates if "Use working directory" is enabled in Word Pro Preferences.

Data Type

Integer (Bool)

Syntax

isworkingdirvalue = [objectreference].IsWorkingDir

[objectreference].IsWorkingDir =isworkingdirvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default value is False (0).

Usage

Equivalent to "Use working directory" on the Locations panel of the Word Pro Preferences dialog box. If the value for this property is True, Word Pro continues to use the folder you chose when opening or saving a document. Word Pro uses this folder when it displays file names in the Open and Save As dialog boxes. If the value is False, Word Pro uses the default document directory.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Italic property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

italicvalue = [objectreference].Italic

[objectreference].Italic = italicvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: FontMetrics class

Word Pro: WPApplication class


Word Pro: JoinCorners property

 See list of classes

 See example

(Read-write) Defines which corner of a page, table layout, or frame container to apply a join type.

Data Type

Variant (Enumerated)

JoinCornerPosition

Syntax

joincornersvalue = [objectreference].JoinCorners

[objectreference].JoinCorners = joincornersvalue

Legal values

$LwpJoinCornerPositionAll (426) Allows you to apply a specific join type to all corners of a page, table layout, or frame container.

$LwpJoinCornerPositionBottomleft (425) Allows you to apply a specific join type to the bottom left corner of a page, table layout, or frame container.

$LwpJoinCornerPositionBottomright (424) Allows you to apply a specific join type to the bottom right corner of a page, table layout, or frame container.

$LwpJoinCornerPositionTopleft (422) Allows you to apply a specific join type to top left corner of a page, table layout, or frame container.

$LwpJoinCornerPositionTopright (423) Allows you to apply a specific join type to top right corner of a page, table layout, or frame container.

Usage


Topics Found:

Word Pro: Join class


Word Pro: JoinHeight property

 See list of classes

 See example

(Read-write) Defines the height of the bounding rectangular box of a scalable join object.

Data Type

Long

Syntax

joinheightvalue = [objectreference].JoinHeight

[objectreference].JoinHeight = joinheightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

A join object can be scalable or fixed.

Scalable join objects

You can set the ScaleMode property of a scaleable join object to scaling or no scaling. Setting the ScaleMode property to scaling for a scaleable join object causes the join object's width and height to be a function of the page, table layout, or frame container's height and width and the Percentage property. (For more information, see ScaleMode property and Percentage property.)

Setting the ScaleMode property to no scaling for a scaleable join object causes the width and height of a join object to be the same as the width and height properties of the join object. The width and height of the join object does not change as the container's width and height changes.

The width and height of a scaleable join with a no scaling setting are fixed. However, you can change the width and height properties of a join object.

Fixed join objects

A fixed join object has predefined Word Pro width and height properties. Therefore, you cannot change the width and height of a fixed join object.


Topics Found:

Word Pro: Join class


Word Pro: JoinType property

 See list of classes

 See example

(Read-write) The ID that defines the type or style of the join object.

Data Type

Variant (Enumerated)

JoinType

Syntax

jointypevalue = [objectreference].JoinType

[objectreference].JoinType = jointypevalue

Legal values

A join type object can be scalable or fixed. For more information on scalable and fixed join type objects, see the Usage section below.

$LwpJoinTypeDeco1 (543) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeDeco2 (544) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeDeco3 (549) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeDesktop (539) Scalable

$LwpJoinTypeDogear (538) Scalable

$LwpJoinTypeNone (530)

$LwpJoinTypePin (546) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeRain (545) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeRect (534)

$LwpJoinTypeRope (542) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeRose (547) Fixed  Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

$LwpJoinTypeRounded (533) Scalable

$LwpJoinTypeSunf (548) Fixed   Word Pro by default sets the join type to no scaling. Setting a scaling property for the value causes it to malfunction.

Usage

Scalable join type objects

You can set the ScaleMode property of a scalable join type object to scaling or no scaling. Setting the ScaleMode property to scaling for a scalable join type object causes the join type object's width and height to be a function of the page, table layout, or frame container's height and width and the Percentage property. (For more information, see ScaleMode property and/or Percentage property.)

Setting the ScaleMode property to no scaling for a scalable join  type object causes the width and height of a join type object to be the same as the width and height properties of the join type object. The width and height of the join type object does not change as the container's width and height changes.

The width and height of a scalable join type object with a no scaling setting are fixed; however, you can change the width and height properties of a join  type object.

Fixed join type objects

A fixed join type object has predefined Word Pro width and height properties. As a result, you cannot change the width and height of a fixed join object.


Topics Found:

Word Pro: Join class


Word Pro: JoinWidth property

 See list of classes

 See example

(Read-write) Defines the width of the bounding rectangular box of a scaleable join object.

Data Type

Long

Syntax

joinwidthvalue = [objectreference].JoinWidth

[objectreference].JoinWidth = joinwidthvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Use the JoinWidth property to define the width of the bounding rectangular box of a scalable join object. A join object can be scalable or fixed.

Scalable join objects

You can set the ScaleMode property of a scaleable join object to scaling or no scaling. Setting the ScaleMode property to scaling for a scaleable join object causes the join object's width and height to be a function of the container's (page, table layout, or frame) height and width and the Percentage property. (For more information, see ScaleMode property and Percentage property.)

Setting the ScaleMode property to no scaling for a scaleable join object causes the width and height of a join object to be the same as the width and height properties of the join object. The width and height of the join object does not change as the container's width and height changes.

The width and height of a scaleable join with a no scaling setting are fixed; however, you can change the  width and height properties of a join object.

Fixed join objects

A fixed join object has predefined Word Pro width and height properties. Therefore, you cannot change the width and height of a fixed join object.


Topics Found:

Word Pro: Join class


Word Pro: Justifiable property

 See list of classes

 See example

(Read-write) Expands the layout object to match the width of the parent content area, not the content itself.

Data Type

Integer

Syntax

justifiablevalue = [objectreference].Justifiable

[objectreference].Justifiable = justifiablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: KeepWithNext property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

keepwithnextvalue = [objectreference].KeepWithNext

[objectreference].KeepWithNext = keepwithnextvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: KeepWithPrev property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

keepwithprevvalue = [objectreference].KeepWithPrev

[objectreference].KeepWithPrev = keepwithprevvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: KeyboardLanguage property

 See list of classes

 See example

(Read-write) The current text language being used by Word Pro. Word Pro uses the language specified in this property to set the language for text you type. The value of this property does not indicate the language setting for text in the focus.

Data Type

Integer

Syntax

keyboardlanguagevalue = [objectreference].KeyboardLanguage

[objectreference].KeyboardLanguage = keyboardlanguagevalue

Legal values

You can change the value of this property but you must use one of the Windows 95 language codes listed in the table below. Note that this table contains the codes twice: first sorted by name on the left and then sorted by code on the right.

Language Codes By Name		Language Codes by Number
AFRIKAANS	1078	0	SYSTEM
ALBANIAN	1052	10241	ARABIC SYRIA
AMERICAN	1033	1025	ARABIC
ARABIC EGYPT	3073	10250	SPANISH PERU
ARABIC MOROCCO	6145	1029	CZECH
ARABIC	1025	1037	HEBREW
ARABIC BAHRAIN	15361	1038	HUNGARIAN
ARABIC JORDAN	11265	1030	DANISH
ARABIC QATAR	16385	1039	ICELANDIC
ARABIC IRAQ	2049	1040	ITALIAN
ARABIC SYRIA	10241	1026	BULGARIAN
ARABIC TUNISIA	7169	1031	GERMAN
ARABIC LEBANON	12289	1032	GREEK
ARABIC LIBYA	4097	1027	CATALAN
ARABIC OMAN	8193	1033	AMERICAN
ARABIC KUWAIT	13313	1034	SPANISH
ARABIC ALGERIA	5121	1028	CHINESE TRADITIONAL
ARABIC YEMEN	9217	1035	FINNISH
ARABIC UAE	14337	1036	FRENCH
AUSTRALIAN	3081	1041	JAPANESE
BASQUE	1069	1042	KOREAN
BRAZILIAN	1046	1043	DUTCH
BRITISH	2057	1044	NORWEGIAN
BRITISHMEDIZE	35849	1045	POLISH
BRMEDICAL	34825	1046	BRAZILIAN
BULGARIAN	1026	1047	RHAETO ROMAN
BYELORUSSIAN	1059	1048	ROMANIAN
CATALAN	1027	1049	RUSSIAN
CHINESE PRCHINA	2052	1053	SWEDISH
CHINESE HONGKONG	3076	1050	CROATIAN
CHINESE SINGAPORE	4100	1051	SLOVAK
CHINESE TRADITIONAL	1028	1052	ALBANIAN
CROATIAN CYRILLIC	2074	1054	THAI
CROATIAN SERBIAN	3098	1055	TURKISH
CROATIAN	1050	1056	URDU
CZECH	1029	1057	INDONESIAN
DANISH	1030	1058	UKRAINIAN
DUTCH BELGIAN	2067	1059	BYELORUSSIAN
DUTCH	1043	1060	SLOVENE
ENGLISH CANADIAN	4105	1061	ESTONIAN
ENGLISH NEWZEALAND	5129	1062	LATVIAN
ENGLISH IRELAND	6153	1063	LITHUANIAN
ENGLISH SAFRICA	7177	1065	FARSI
ENGLISH JAMAICA	8201	1069	BASQUE
ENGLISH CARRIBEAN	9225	1070	SORBIAN
ESTONIAN	1061	1078	AFRIKAANS
FAEROESE	1080	1080	FAEROESE
FARSI	1065	11265	ARABIC JORDAN
FINNISH	1035	11274	SPANISH ARGENTINA
FRENCH BELGIAN	2060	12289	ARABIC LEBANON
FRENCH CANADIAN	3084	12298	SPANISH ECUADOR
FRENCH SWISS	4108	13313	ARABIC KUWAIT
FRENCH LUXEMBOURG	5132	13322	SPANISH CHILE
FRENCH	1036	14337	ARABIC UAE
GERMAN SWISS	2055	16394	SPANISH BOLIVIA
GERMAN AUSTRIAN	3079	14346	SPANISH URUGUAY
GERMAN	1031	15361	ARABIC BAHRAIN
GERMAN LIECHTENSTEIN	5127	15370	SPANISH PARAGUAY
GERMAN LUXEMBOURG	4103	16385	ARABIC QATAR
GREEK	1032	2049	ARABIC IRAQ
HEBREW	1037	2052	CHINESE PRCHINA
HUNGARIAN	1038	2055	GERMAN SWISS
ICELANDIC	1039	2057	BRITISH
INDONESIAN	1057	2058	SPANISH MEXICAN
ITALIAN SWISS	2064	2060	FRENCH BELGIAN
ITALIAN	1040	2064	ITALIAN SWISS
JAPANESE	1041	2066	KOREAN JOHAB
KOREAN	1042	2067	DUTCH BELGIAN
KOREAN JOHAB	2066	2068	NYNORSK
LATVIAN	1062	2070	PORTUGUESE
LITHUANIAN	1063	2074	CROATIAN CYRILLIC
MEDICAL	33801	3073	ARABIC EGYPT
NORWEGIAN	1044	3076	CHINESE HONGKONG
NYNORSK	2068	3079	GERMAN AUSTRIAN
POLISH	1045	3081	AUSTRALIAN
PORTUGUESE	2070	3082	SPANISH MODERN
RHAETO ROMAN	1047	3084	FRENCH CANADIAN
ROMANIAN	1048	3091	VOORKEUR
RUSSIAN	1049	3098	CROATIAN SERBIAN
RUSSIANIO	33817	33801	MEDICAL
SLOVAK	1051	33817	RUSSIANIO
SLOVENE	1060	34825	BRMEDICAL
SORBIAN	1070	35849	BRITISHMEDIZE
SPANISH ECUADOR	12298	4100	CHINESE SINGAPORE
SPANISH DOMINICAN	7178	5130	SPANISH COSTARICA
SPANISH MODERN	3082	4108	FRENCH SWISS
SPANISH ARGENTINA	11274	65535	UNIVERSAL
SPANISH PANAMA	6154	4106	SPANISH GUATEMALA
SPANISH PERU	10250	6154	SPANISH PANAMA
SPANISH VENEZUELA	8202	4103	GERMAN LUXEMBOURG
SPANISH MEXICAN	2058	7169	ARABIC TUNISIA
SPANISH CHILE	13322	4105	ENGLISH CANADIAN
SPANISH COLOMBIA	9226	6145	ARABIC MOROCCO
SPANISH BOLIVIA	16394	5121	ARABIC ALGERIA
SPANISH URUGUAY	14346	4097	ARABIC LIBYA
SPANISH COSTARICA	5130	5127	GERMAN LIECHTENSTEIN
SPANISH	1034	5129	ENGLISH NEWZEALAND
SPANISH GUATEMALA	4106	5132	FRENCH LUXEMBOURG
SPANISH PARAGUAY	15370	6153	ENGLISH IRELAND
SWEDISH	1053	7177	ENGLISH SAFRICA
SYSTEM	0	7178	SPANISH DOMINICAN
THAI	1054	8193	ARABIC OMAN
TURKISH	1055	8201	ENGLISH JAMAICA
UKRAINIAN	1058	8202	SPANISH VENEZUELA
UNIVERSAL	65535	9217	ARABIC YEMEN
URDU	1056	9225	ENGLISH CARRIBEAN
VOORKEUR	3091	9226	SPANISH COLOMBIA
Usage

When you type text in a Word Pro document, Word Pro assigns a language to that text. Any text you type is assigned the language shown in this property. If you change the language code in this property, all text you type is assigned the new language, regardless of where you type the text. When you perform a Spell Check, Word Pro uses the text's language to select the appropriate dictionary.

Word Pro will not use this property for language settings, unless you specify this option in the Word Pro Preferences dialog box by choosing File - User Setup - Word Pro Preferences. In the Word Pro Preferences dialog box, click the General tab and specify "language sets text's language" in the Keyboard options.


Topics Found:

Word Pro: WPApplication class


Word Pro: Keywords property

 See list of classes

 See example

(Read-write) The user-defined keywords associated with a document.

Data Type

String

Syntax

keywordsvalue = [objectreference].Keywords

[objectreference].Keywords = keywordsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: LandscapeMode property

 See list of classes

 See example

(Read-write) Allows you to set the width of the layout object to its height and set the height of the layout object to its width.

Data Type

Integer

Syntax

landscapemodevalue = [objectreference].LandscapeMode

[objectreference].LandscapeMode = landscapemodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: LastChild property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

lastchildvalue = [objectreference].LastChild

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LastDocPath property

 See list of classes

 See example

(Read-write) The path (drive and directory) Word Pro uses if the "Use working directory" option is enabled in Word Pro Preferences.

Data Type

String

Syntax

lastdocpathvalue = [objectreference].LastDocPath

[objectreference].LastDocPath = lastdocpathvalue

Legal values

Usage

This property is only used if the value for the IsWorkingDir property is True. Contains the last path that was saved to or opened from.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: LastEditorName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

lasteditornamevalue = [objectreference].LastEditorName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: LastGraphicPath property

 See list of classes

 See example

(Read-write) The path (drive and directory) that was last chosen when importing a picture.

Data Type

String

Syntax

lastgraphicpathvalue = [objectreference].LastGraphicPath

objectreference].LastGraphicPath = lastgraphicpathvalue

Legal values

Usage

Equivalent to the path in the Import Picture dialog box. Word Pro always displays the last path chosen to import a picture when it opens the Import Picture dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: LastGraphicType property

 See list of classes

 See example

(Read-write) The last type of graphic that Word Pro imported

Data Type

String

Syntax

lastgraphictypevalue = [objectreference].LastGraphicType

[objectreference].LastGraphicType = lastgraphictypevalue

Legal values

Usage

Equivalent to the "Files of type" box in the Import Picture dialog box. Although both the file type and the file extension are listed in this box, this property contains only the file type, not the file extension (for example, GIF or Windows Bitmap, not *.GIF or *.BMP).


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: LastMacroPath property

 See list of classes

 See example

(Read-write) The path (drive and directory) that was last chosen when running a script or setting a startup script.

Data Type

String

Syntax

lastmacropathvalue = [objectreference].LastMacroPath

[objectreference].LastMacroPath = lastmacropathvalue

Legal values

A valid path including drive and directory.

Usage

Equivalent to the path that you use when you choose Edit - Script & Macros, and then either Run - Browse, or Set Startup Scripts - Browse. It is the path that is available in the Lotus Word Pro - Choose Script dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: LastName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

lastnamevalue = [objectreference].LastName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LastPage property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

lastpagevalue = [objectreference].LastPage

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts and Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LastUsedDateFormula property

 See list of classes

 See example

(Read-write) The last format of a date that was inserted into a document.

Data Type

String

Syntax

lastuseddateformulavalue = [objectreference].LastUsedDateFormula

[objectreference].LastUsedDateFormula = lastuseddateformulavalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the Insert Date/Time dialog box and the "Insert current date" icon. When you click the icon, Word Pro inserts today's date at the cursor, using the format that was last used to insert a date.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Last property

 See list of classes

 See example

(Read-only) The name of the ClickHere block which is last in the division (uses Tab order.)

Data Type

String

Syntax

lastvalue = [objectreference].Last

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: LayoutName property

 See list of classes

 See example

(Read-only) The content class of the layout that is associated with the text object.

Data Type

String

Syntax

layoutnamevalue = [objectreference].LayoutName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: DivisionInfo class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: IndexSection class

Word Pro: OleObject class

Word Pro: Section class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: LeaderDotDashChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

leaderdotdashcharvalue = [objectreference].LeaderDotDashChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterSet class


Word Pro: LeaderDotDotChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

leaderdotdotcharvalue = [objectreference].LeaderDotDotChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterSet class


Word Pro: LeaderDotType property

 See list of classes

 See example

(Read-write) The type of dot used as a leader in a layout object.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

leaderdottypevalue = [objectreference].LeaderDotType

[objectreference].LeaderDotType = leaderdottypevalue

Legal values

Value	Effect
$LwpLeaderDotTypeNone (526)	Setting this value prevents leader dots from being inserted in a layout object.
$LwpLeaderDotTypeDots (527)	Setting this value inserts dots as the type of leader dot used in a layout object.
$LwpLeaderDotTypeDashes (528)	Setting this value inserts dashes as the type of leader dot used in a layout object.
$LwpLeaderDotTypeUnderscores (529)	Setting this value inserts underscores as the type of leader dot used in a layout object.
Usage

You can set the value of this property to affect individual layout objects, or you can set the value of this property to act as a default for all layout objects.

To set the type of leader dot in a particular layout object, set the value of this property for that layout object.

To set your default preference for a type of leader dot throughout Word Pro, set the value of the LeaderDotType property on the UserInterfacePrefs object. Equivalent to choosing the "Leader" box in the Set Tabs dialog box.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class

Word Pro: UserInterfacePrefs class


Word Pro: LeaderDotUnderscoreChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

leaderdotunderscorecharvalue = [objectreference].LeaderDotUnderscoreChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterSet class


Word Pro: LeadingText property

 See list of classes

 See example

(Read-write) Adds a string of characters before an endnote reference.

Data Type

String

Syntax

leadingtextvalue = [objectreference].LeadingText

[objectreference].LeadingText = leadingtextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Assigning this property to an endnote object is equivalent to choosing Create - Footnote/Endnote, clicking Options, selecting "Enclosed by text before," and inserting text in the "Text before" box located on the Numbering panel.


Topics Found:

Word Pro: EndnoteDivisionGroupNum class

Word Pro: EndnoteDivisionNum class

Word Pro: EndnoteDocNum class

Word Pro: FootnoteNumbering class

Word Pro: FootnoteNumOpt class


Word Pro: LeftExternalMargin property

 See list of classes

 See example

(Read-write) Allows you to set the width of the left external margin of a layout object.

Data Type

Long

Syntax

leftexternalmarginvalue = [objectreference].LeftExternalMargin

[objectreference].LeftExternalMargin = leftexternalmarginvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property cannot be set individually for FrameLayout objects within Word Pro. It is combined with all external margin values in the "Padding around border" setting, located on the Size & Margins panel of the InfoBox.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: LeftTopCellId property

 See list of classes

 See example

(Read-only) Indicates the column ID of the top left cell when cells are connected in a layout object. In an unconnected cell, this property returns the current cell's column ID.

Data Type

Integer

Syntax

lefttopcellidvalue = [objectreference].LeftTopCellId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The column ID that is returned is zero based, which means that the first column in a table has a column ID value of zero.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Left property

 See list of classes

 See example

(Read-write)

[StatusBar]

The left position of the status bar on the workspace.

[ApplicationWindow]

The position of the window (the origin of the window) relative to the left of the screen.

[Window]

[DocWindow]

Data Type

Long

Syntax

leftvalue = [objectreference].Left

[objectreference].Left = leftvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

[IconBarManager]

This property is not valid for IconBarManager.

[StatusBar]

Use this property to set the left position of the status bar on the workspace.

[ApplicationWindow]

Use this property to set the left position of the application window on the workspace.

[Window]

[DocWindow]


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: Length property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

lengthvalue = [objectreference].Length

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Bag class


Word Pro: Level property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

levelvalue = [objectreference].Level

[objectreference].Level = [objectreference].Level

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Kinsoku class

Word Pro: Numbering class


Word Pro: LineCount property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

linecountvalue = [objectreference].LineCount

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpEditBox class


Word Pro: LineLocation property

 See list of classes

 See example

(Read-write) Allows you to determine the placement of a line around or within a layout object.

Data Type

Integer

Syntax

linelocationvalue = [objectreference].LineLocation

[objectreference].LineLocation = linelocationvalue

Legal values

Value	Effect
0	Setting this value places a line around the margins of a layout object.
1	Setting this value places a line in the middle of a layout object.
2	Setting this value places a line around the edge of a layout object.
3	Setting this value allows you to specify the distance of a line from the edge of a layout object.
Usage

Equivalent to the "Line placement" setting, located on the Lines & Colors panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: LineMix property

 See list of classes

 See example

(Read-Write) Allows you to return or set a variety of line styles to a table cell.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

linemix value = [objectreference].LineMix

[objectreference].LineMix = Linemix value

Legal values

Value	Effect
$LwpTableMixAllmixed (1893)	Setting this value allows you to assign a different line style to each line of a table cell.
$LwpTableMixBottommixed (1890)	Setting this value allows you to assign a line style to the bottom line of a table cell that is different from the line style of the top, right, and left line of a table cell.
$LwpTableMixLeftmixed (1891)	Setting this value allows you to assign a line style to the left line of a table cell that is different from the line style of the top, right, and bottom line of a table cell.
$LwpTableMixRightmixed (1892)	Setting this value allows you to assign a line style to the right line of a table cell that is different from the line style of the top, bottom, and left line of a table cell.
$LwpTableMixTopmixed (1889)	Setting this value allows you to assign a line style to the top line of a table cell that is different from the line style of the bottom, right, and left line of a table cell.
Usage

You can use this property to set more than one type of Word Pro defined styles for lines in a table cell.  For example, you could set the top and bottom lines of a table cell with a double wavy pattern, and set the right and left lines of a table cell with a long dash pattern. You could also set a different line style to each line in a table cell. For example, you could set the top table cell line with a wavy pattern, bottom table cell line with a star pattern, the right table cell line with a long dash pattern, and the left table cell line with a dotted pattern.

You can use this property to return the different  types of line styles assigned to a table cell.


Topics Found:

Word Pro: TableLine class


Word Pro: LinePlacement property

 See list of classes

 See example

(Read-write)

Data Type

Integer (Enumerated Bitmask)

LinePlacement

Syntax

lineplacementvalue = [objectreference].LinePlacement

[objectreference].LinePlacement = lineplacementvalue

Legal values

LwpLinePlacementAllsides (&HF)

LwpLinePlacementBottom (&H8)

LwpLinePlacementLeft (&H1)

LwpLinePlacementRight (&H2)

LwpLinePlacementTop (&H4)

Usage


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: LinesSpacedEveryNthUnit property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

linesspacedeverynthunitvalue = [objectreference].LinesSpacedEveryNthUnit

[objectreference].LinesSpacedEveryNthUnit = linesspacedeverynthunitvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: LineNumberOptions class


Word Pro: LineValid property

 See list of classes

 See example

(Read-write)

Data Type

Integer (Enumerated Bitmask)

LinePlacement

Syntax

linevalidvalue = [objectreference].LineValid

[objectreference].LineValid = linevalidvalue

Legal values

LwpLinePlacementAllsides (&HF)

LwpLinePlacementBottom (&H8)

LwpLinePlacementLeft (&H1)

LwpLinePlacementRight (&H2)

LwpLinePlacementTop (&H4)

Usage


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: LinkAvailable property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

linkavailablevalue = [objectreference].LinkAvailable

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: OleObject class


Word Pro: LinkDisplayNameFileLength property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

linkdisplaynamefilelengthvalue = [objectreference].LinkDisplayNameFileLength

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: LinkDisplayName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

linkdisplaynamevalue = [objectreference].LinkDisplayName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: LinkedFileName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

linkedfilenamevalue = [objectreference].LinkedFileName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: Linked property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

linkedvalue = [objectreference].Linked

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: LinkGraphic property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

linkgraphicvalue = [objectreference].LinkGraphic

[objectreference].LinkGraphic = linkgraphicvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: ListCount property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

listcountvalue = [objectreference].ListCount

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: SmartFill class


Word Pro: LoadFilesMaximized property

 See list of classes

 See example

(Read-write) Indicates if the "Load files maximized" option is enabled in Word Pro Preferences.

Data Type

Integer (Bool)

Syntax

loadfilesmaximizedvalue = [objectreference].LoadFilesMaximized

[objectreference].LoadFilesMaximized = loadfilesmaximizedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "Load files maximized" option on the General panel of the Word Pro Preferences dialog box. If the value is True (-1), Word Pro loads files maximized. If the value is False (0), Word Pro loads files tiled and minimized.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Location property

Microsoft (R) Help Compiler Version 3.10.435 (extended)

Copyright (c) Microsoft Corp 1990 - 1992. All rights reserved.

wp0w71en.hpj

4031: topic...21 contents.RTF Invalid context string ''.

4113: topic...12 clasdef1.RTF Unresolved 'H_LONGCOLLECTION_CLASS'.

4113: topic...12 clasdef1.RTF Unresolved 'H_SCRIPTDATASETCOLLECTION_CLASS'.

4113: topic...12 clasdef1.RTF Unresolved 'H_UNITCOLLECTION_CLASS'.

4113: topic...14 clasdef1.RTF Unresolved 'H_FILEPROTECTION_CLASS'.

4113: topic...46 clasdef1.RTF Unresolved 'H_DIVISIONS_PROPERTY_MEMDEF'.

4113: topic...42 clasdef2.RTF Unresolved 'H_HEADER_PROPERTY_MEMDEF'.

4113: topic...42 clasdef2.RTF Unresolved 'H_FOOTER_PROPERTY_MEMDEF'.

4113: topic...63 clasdef2.RTF Unresolved 'H_LWPMENUBAR_PROPERTY_MEMDEF'.

4113: topic...46 clasdef3.RTF Unresolved 'H_CONTENTLAYOUTS_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_BOTTOMINTAREA_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISBOTTOMALIGNED_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ADDINDEXENTRY_METHOD_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_CALCSMARTLEVELS_METHOD_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_CLEARINTERNALSPELLINFO_METHOD_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_AMTTOROTATECONTENT_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_CENTEREDHORZ_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_RIGHTINTAREA_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISCONTENTREPLACEABLE_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_VALUE_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISREVISION_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ROTATIONANGLE_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISINTERSECTSIBLINGS_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISMIRRORIMAGE_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISSCRIPTING_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_SCRIPTNAME_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_FINDPARENT_METHOD_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_LEFTINTAREA_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_BINNUMBER_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISADOPTED_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ISHONORPROTECTED_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_SETTABLEFILL_METHOD_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_TOPINTAREA_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_ADDITEMINDEX_METHOD_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_CENTEREDVERT_PROPERTY_MEMDEF'.

4113: topic...1 contlsal.RTF Unresolved 'H_FILENAME_PROPERTY_MEMDEF'.

4113: topic...169 methdef1.RTF Unresolved 'H_CREATEDDROPCAP_METHOD_EXSCRIPT'.

4113: topic...87 prpdef02.RTF Unresolved 'H_APPLYWORDYPHRASECHECK_PROPERTY_EXSCRIPT'.

3611 Function parameter type mismatch in macro

topic...100 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...101 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...102 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...103 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...104 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...105 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...106 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...107 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...108 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...109 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...110 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...111 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...112 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...113 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...114 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...115 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...116 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...117 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...118 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...119 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...120 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...121 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...122 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...123 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...16 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...20 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...21 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...23 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...31 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...35 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...37 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...38 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...39 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...57 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...95 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...96 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...97 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...98 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...99 exscr01.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...31 exscr03.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...73 exscr03.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...74 exscr03.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...8 exscr03.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...23 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...51 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...60 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...62 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...82 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...83 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...88 exscr04.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...22 exscr05.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...38 exscr05.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...60 exscr05.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...35 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...4 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...43 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...59 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...66 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...90 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...96 exscr06.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...55 exscr07.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...67 exscr07.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...69 exscr07.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...73 exscr07.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...87 exscr07.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...2 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...23 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...29 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...63 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...64 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...92 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...96 exscr08.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...18 exscr09.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...61 exscr09.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...65 exscr09.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...66 exscr09.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...10 exscr10.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...24 exscr10.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...74 exscr10.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...48 exscr11.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...76 exscr11.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...77 exscr11.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...39 exscr12.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...44 exscr12.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...46 exscr12.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...1 exscr13.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...10 exscr13.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...55 exscr13.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...63 exscr14.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...47 exscr15.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...48 exscr15.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...52 exscr15.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...82 exscr15.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...98 exscr15.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...99 exscr15.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...1 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...2 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...29 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...42 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...45 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...46 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...68 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...70 exscr16.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...102 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...103 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...16 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...25 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...26 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...27 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...39 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...5 exscr17.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...6 exscr18.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...8 exscr18.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...93 exscr18.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...108 exscr19.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...3 exscr19.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...32 exscr19.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...10 impmethx.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...17 impmethx.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...2 impmethx.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...7 impmethx.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...102 imppropx.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.

topic...84 imppropx.RTF 'IfThenElse("LtB",DeleteMark(`LtB'),SaveBackMark(qchPath,lTopicNo));'.


Word Pro: Locked property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

lockedvalue = [objectreference].Locked

[objectreference].Locked = lockedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LockForNotesUserName property

 See list of classes

 See example

(Read-write) Not implemented.

Data Type

String

Syntax

lockfornotesusernamevalue = [objectreference].LockForNotesUserName

[objectreference].LockForNotesUserName = lockfornotesusernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: Locks property

 See list of classes

 See example

(Read-only) Allows or restricts the tasks an editor can perform in a document.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these constants when you want Word Pro to combine the features listed below. Use the OR operator to combine constants.

Syntax

locksvalue = [objectreference].Locks

Legal values

Value	Effect
LwpEditLocksNoCopyAndNoSaveas (&H4)	Prevents an editor from copying any part of the document to the Clipboard, using drag and drop on any part of the document, or using File - Save As to save the document with a new name.
LwpEditLocksNoEditNamedStyles (&H2)	Prevents an editor from modifying any named styles in the document.
LwpEditLocksNoLocks (&H0)	Allows an editor to make any changes to a document.
LwpEditLocksNoPrinting (&H8)	Prevents an editor from printing the document.
LwpEditLocksNoVersionOrReview (&H1)	Prevents an editor from creating new versions or seeing any other versions.
LwpEditLocksRevmarkOnly (&H10)	Allows an editor to edit the document. However, all edits appear as markups. The editor cannot accept or reject edits using the Review bar. For example, when the editor deletes text, it does not disappear from the document, but appears with the editor's deleted text attributes.
Usage

You can use one or a combination of the values above to determine which tasks an editor can perform.


Topics Found:

Word Pro: Editor class


Word Pro: LowerCaseAscent property

 See list of classes

 See example

(Read-only)

Data Type

Points

Syntax

lowercaseascentvalue = [objectreference].LowerCaseAscent

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: LowerCase property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

lowercasevalue = [objectreference].LowerCase

[objectreference].LowerCase = lowercasevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: Hwnd property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

hwndvalue = [objectreference].Hwnd

[objectreference].Hwnd = hwndvalue

Legal values

Usage


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class


Word Pro: MacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

macronamevalue = [objectreference].MacroName

[objectreference].MacroName = macronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Macro class


Word Pro: MacroPath property

 See list of classes

 See example

(Read-write) Stores the default path (drive and directory) for Word Pro scripts

Data Type

String

Syntax

macropathvalue = [objectreference].MacroPath

[objectreference].MacroPath = macropathvalue

Legal values

A valid path including drive and directory.

Usage

Equivalent to the "Scripts" field on the Locations panel in the Word Pro Preferences dialog box. In the Word Pro interface, the "Scripts" field can contain multiple paths. You can use this property to clear all paths before setting the default or first script path, or you can use the property, MacroPaths, to read multiple paths entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: MacroStatus property

 See list of classes

 See example

(Read-only)

Data Type

Integer (Enumerated Bitmask)

MacroStatus

Syntax

macrostatusvalue = [objectreference].MacroStatus

Legal values

LwpMacroStatusIsPaused (&H1)

LwpMacroStatusIsQuickRecord (&H4)

LwpMacroStatusIsRecording (&H2)

LwpMacroStatusIsRunning (&H1)

Usage


Topics Found:

Word Pro: Macro class


Word Pro: MailRoutingPtr property

 See list of classes

 See example

(Read-only) An internal processor that points to the document's internal data structure.

Data Type

Long

Syntax

mailroutingptrvalue = [objectreference].MailRoutingPtr

Legal values

Usage

This property identifies the location in memory.


Topics Found:

Word Pro: MailRouting class


Word Pro: MaintainAspectRatio property

 See list of classes

 See example

(Read-write) Allows you to specify whether an image scales proportionately within a layout object.

Data Type

Integer

Syntax

maintainaspectratiovalue = [objectreference].MaintainAspectRatio

[objectreference].MaintainAspectRatio = maintainaspectratiovalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Scale proportionately" setting, located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MaintainEditor property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].MaintainEditor = maintaineditorvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MarginBottom property

 See list of classes

 See example

(Read-write) Determines the distance from the border to the bottom edge of the contents in a layout object.

Data Type

Long

Syntax

marginbottomvalue = [objectreference].MarginBottom

[objectreference].MarginBottom = marginbottomvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Equivalent to the "Bottom margin" setting, located on the Size & Margins panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterBorder class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MarginLeft property

 See list of classes

 See example

(Read-write) Determines the distance from the border to the left edge of the contents in a layout object.

Data Type

Long

Syntax

marginleftvalue = [objectreference].MarginLeft

[objectreference].MarginLeft = marginleftvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Equivalent to the "Left margin" setting, located on the Size & Margins panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterBorder class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MarginRight property

 See list of classes

 See example

(Read-write) Determines the distance from the border to the right edge of the contents in a layout object.

Data Type

Long

Syntax

marginrightvalue = [objectreference].MarginRight

[objectreference].MarginRight = marginrightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Equivalent to the "Right margin" setting, located on the Size & Margins panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterBorder class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MarginTop property

 See list of classes

 See example

(Read-write) Determines the distance from the border to the top edge of the contents in a layout object.

Data Type

Long

Syntax

margintopvalue = [objectreference].MarginTop

[objectreference].MarginTop = margintopvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Equivalent to the "Top margin" setting, located on the Size & Margins panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterBorder class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MarkCharacter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

markcharactervalue = [objectreference].MarkCharacter

[objectreference].MarkCharacter = markcharactervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: MarkerClass property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MarkerType

Syntax

markerclassvalue = [objectreference].MarkerClass

[objectreference].MarkerClass = markerclassvalue

Legal values

$LwpMarkerTypeBookmark (590)

$LwpMarkerTypeClickhere (593)

$LwpMarkerTypeDde (591)

$LwpMarkerTypeDefault (589)

$LwpMarkerTypeField (592)

$LwpMarkerTypeRuby (594)

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: MarkerName property

 See list of classes

 See example

(Read-only) The internal (hexidecimal) representation of a bookmark name. This value cannot be changed.

Data Type

String

Syntax

markernamevalue = [objectreference].MarkerName

Legal values

Usage

If you don't name the bookmark yourself, Word Pro always assigns an internal (hexidecimal) name to a bookmark. This name cannot be changed.


Topics Found:

Word Pro: Bookmark class


Word Pro: MarkPosition property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MarkPosition

Syntax

markpositionvalue = [objectreference].MarkPosition

[objectreference].MarkPosition = markpositionvalue

Legal values

$LwpMarkPositionBothSides (585)

$LwpMarkPositionLeft (583)

$LwpMarkPositionRight (584)

Usage


Topics Found:

Word Pro: Options class


Word Pro: MarkType property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MarkType

Syntax

marktypevalue = [objectreference].MarkType

[objectreference].MarkType = marktypevalue

Legal values

$LwpMarkTypeBars (587)

$LwpMarkTypeChar (588)

$LwpMarkTypeNone (586)

Usage


Topics Found:

Word Pro: Options class


Word Pro: MasterName property

 See list of classes

 See example

(Read-only) Returns the name of the layout unless the layout is part of a complex layout, in which case, it returns the name of the complex layout object.

Data Type

String

Syntax

masternamevalue = [objectreference].MasterName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

A complex layout is one which uses separate layout objects for left and right pages.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MatchType property

 See list of classes

 See example

(Read-write) Enables the user to narrow a search in Find & Replace.

Data Type

Variant (Enumerated)

FindMatch

Syntax

matchtypevalue = [objectreference].MatchType

[objectreference].MatchType = matchtypevalue

Legal values

$LwpFindMatchOnBeginningOfWord (283) Sets the option to match words beginning with the find text.

$LwpFindMatchOnEndingOfWord (284) Sets the option to match words ending with the find text.

$LwpFindMatchOnWholeWord (282) Sets the option to match the find text to whole words only.

$LwpFindMatchWithinAWord (285) Sets the option to match words containing the find text.

Usage

Equivalent to choosing Edit - Find & Replace Text, and choosing an option in the "Find & Replace" box.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: MaxBottomBorder property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the bottom border of a row in a table object.

Data Type

Long

Syntax

maxbottombordervalue = [objectreference].MaxBottomBorder

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxBottomGutter property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the bottom gutter of a row in a table.

Data Type

Long

Syntax

maxbottomguttervalue = [objectreference].MaxBottomGutter

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxContentHeight property

 See list of classes

 See example

(Read-only) Returns the maximum height to which the content of a container can expand and rotate.

Data Type

Long

Syntax

maxcontentheightvalue = [objectreference].MaxContentHeight

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: MaxContentWidth property

 See list of classes

 See example

(Read-only)  Returns the maximum width to which the content of a container can expand and rotate.

Data Type

Long

Syntax

maxcontentwidthvalue = [objectreference].MaxContentWidth

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: MaxHorzPaneDistance property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

maxhorzpanedistancevalue = [objectreference].MaxHorzPaneDistance

objectreference].MaxHorzPaneDistance = maxhorzpanedistancevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: MaxHyphLines property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

maxhyphlinesvalue = [objectreference].MaxHyphLines

[objectreference].MaxHyphLines = maxhyphlinesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: NumberEveryNthLine property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numbereverynthlinevalue = [objectreference].NumberEveryNthLine

[objectreference].NumberEveryNthLine = numbereverynthlinevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LineNumberOptions class


Word Pro: NumberFound property

 See list of classes

 See example

(Read-write) Enables a count of words found that corresponded to the find text at the completion of Find & Replace.

Data Type

Long

Syntax

numberfoundvalue = [objectreference].NumberFound

[objectreference].NumberFound = numberfoundvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Edit - Find & Replace Text and proceeding with Find & Replace. When finished, Word Pro displays a dialog box with a count of the words found that matched the find text.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: NumberingPosition property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numberingpositionvalue = [objectreference].NumberingPosition

[objectreference].NumberingPosition = numberingpositionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: NumberingStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

numberingstylenamevalue = [objectreference].NumberingStyleName

[objectreference].NumberingStyleName = numberingstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: NumberOfDataFields property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numberofdatafieldsvalue = [objectreference].NumberOfDataFields

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: NumberOfReplacements property

 See list of classes

 See example

(Read-write) Enables a count of words that used the replace with text at the completion of Find & Replace.

Data Type

Long

Syntax

numberofreplacementsvalue = [objectreference].NumberOfReplacements

[objectreference].NumberOfReplacements = numberofreplacementsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Edit - Find & Replace Text and proceeding with Find & Replace. When finished, Word Pro displays a dialog box with a count of the words that used the replace with text.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: NumberOfRevisions property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numberofrevisionsvalue = [objectreference].NumberOfRevisions

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: Version class


Word Pro: NumberSequenceName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

numbersequencenamevalue = [objectreference].NumberSequenceName

[objectreference].NumberSequenceName = numbersequencenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: NumberWhichLines property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

LineNumberOpts

Syntax

numberwhichlinesvalue = [objectreference].NumberWhichLines

[objectreference].NumberWhichLines = numberwhichlinesvalue

Legal values

$LwpLineNumberOptsNone (554)

$LwpLineNumberOptsSpecifiedLines (555)

$LwpLineNumberOptsTextLinesOnly (556)

Usage


Topics Found:

Word Pro: LineNumberOptions class


Word Pro: Number property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numberpropertyvalue = [objectreference].Number

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Footnote class


Word Pro: NumCharsInDoc property

 See list of classes

 See example

(Read only) Returns the number of characters in a document.

Data Type

Long

Syntax

numcharsindocvalue = [objectreference].NumCharsInDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: NumCharsInParagraph property

 See list of classes

 See example

(Read-only) The number of characters in the current paragraph.

Data Type

Long

Syntax

numcharsinpsaragraphvalue = [objectreference].NumCharsInParagraph

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: NumColsSpannedOneCell property

 See list of classes

 See example

(Read-only) The number of table columns spanned by a connected cell.

Data Type

Integer

Syntax

numcolsspannedonecellvalue = [objectreference].NumColsSpannedOneCell

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

In an unconnected cell, this property will contain a value of 1.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: NumCols property

 See list of classes

 See example

[Layout]

(Read-write) Allows you to control the number of columns in a layout object.

[Table]

(Read-Only) Indicates the number of columns in a table.

Data Type

Integer

Syntax

numcolsvalue = [objectreference].NumCols

[objectreference].NumCols = numcolsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

[Layout]

Equivalent to the "Number of newspaper columns" setting, located on the Columns panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: BaseTable class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DocWindow class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FootnoteTable class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Glossary class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParallelColumns class

Word Pro: PowerField class

Word Pro: PrintSettings class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class

Word Pro: WinViewPrefs class


Word Pro: NumContainers property

 See list of classes

 See example

(Read-only) Returns the number of containers currently selected together.

Data Type

Integer

Syntax

numcontainersvalue = [objectreference].NumContainers

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: NumDecimalPlaces property

 See list of classes

 See example

(Read-write) Allows you to access the number of decimal places that are used for numeric values within table cells.

Data Type

Integer

Syntax

numdecimalplacesvalue = [objectreference].NumDecimalPlaces

[objectreference].NumDecimalPlaces = numdecimalplacesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property is equivalent to the "Decimal Places" setting, which is located in the Number Format panel of the InfoBox for cell layout objects.


Topics Found:

Word Pro: NumericFormat class


Word Pro: NumFields property

 See list of classes

 See example

(Read-only) The number of document fields that currently exist in a document.

Data Type

Integer

Syntax

numfieldsvalue = [objectreference].NumFields

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfoFieldManager class


Word Pro: FootnoteContSep class

Refers to a continued footnote separator.

Base Classes

BaseObject\FootnoteSepOpt

Derived Classes

None

Contained by

FootnoteOptions in the FootnoteContSep Property

Usage


Word Pro: FootnoteLayoutCollection class

A collection of footnote layouts objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the FootnoteLayouts Property

Usage

Use this collection to access any of the footnote layout objects in the foundry of a specific division.


Word Pro: FootnoteLayout class

The layout for a footnote object.

Base Classes

BaseObject\Layout\TableLayout\EndnoteLayout

Derived Classes

None

Contained by

Usage


Word Pro: FootnoteNumbering class

Refers to the numbering order for footnote objects in a division.

Base Classes

BaseObject\FootnoteNumOpt

Derived Classes

None

Contained by

FootnoteOptions in the FootnoteNumbering Property

Usage


Word Pro: FootnoteNumOpt class

Refers to the numbering options for a footnote in a division.

Base Classes

BaseObject

Derived Classes

EndnoteDivisionGroupNum

EndnoteDivisionNum

EndnoteDocNum

FootnoteNumbering

Contained by

Usage


Word Pro: FootnoteOptions class

Refers to the footnote options displayed in the Footnote dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the FootnoteOptions Property

TextDocument in the FootnoteOptions Property

Usage


Word Pro: FootnoteSeparator class

Refers to the line that separates the footnote from the body text in the document.

Base Classes

BaseObject\FootnoteSepOpt

Derived Classes

None

Contained by

FootnoteOptions in the FootnoteSeparator Property

Usage


Word Pro: FootnoteSepOpt class

Refers to the footnote separator options displayed in the Separator panel in the Footnote and Endnote Options dialog box.

Base Classes

BaseObject

Derived Classes

FootnoteContSep

FootnoteSeparator

Contained by

Usage

A footnote separator is the line that separates the footnote from the body text.


Word Pro: FootnoteTable class

A footnote in a table object.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

None

Contained by

Usage


Word Pro: FormatCheckPref class

Refers to the format check options displayed in the Format Check Options dialog box which is accessed from the Format Check bar.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the FormatCheckPreferences Property

Usage

You can check your document for consistent use of spacing between sentences, correct bulleted lists, and the appearance of acronyms in a paragraph. The format check also replaces incorrect characters and common typing mistakes.


Word Pro: FormatPreferences class

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the Format Property

Usage


Word Pro: Formula class

The content of a table cell. Whenever a table cell contains text, numbers, or formulas, Word Pro sees the cell contents as a Formula object. If a table cell contains a graphic, Word Pro sees the graphic as a Graphic object.

Base Classes

BaseObject\Content

Derived Classes

None

Contained by

Usage

The Content property in a CellLayout object is defined with the Variant data type so that Word Pro can store text or graphics in a cell. Word Pro treats all text as a Formula object and stores the Formula object in the Content property of the CellLayout object. The Content property always holds either a Formula object or a Graphic object. To access a Formula object in a table cell, use the following statement:

[objectreference.]CellLayout.Content[.memberreference]

Since the Content property contains the Formula object, you would add a Formula class member name to the end of this statement to achieve your desired result. With the members of the Formula class, you can create or change formulas to add, subtract, multiply, and use sums and percents for numbers in a table. You can also set the alignment, font, and other properties of the Formula object.


Word Pro: Foundry class

A place in which Word Pro creates, stores, and provides access to other Word Pro objects. Word Pro maintains several Foundry objects and each one has a special use as described below under Usage. However, in most cases, you will use the Division.Foundry object to access objects in a document and the WPApplication.TempFoundry object to create, store, and move objects from one Division.Foundry to another.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the Foundry Property

WPApplication in the TempFoundry Property

WPApplication in the Foundry Property

WPApplication in the AppFoundry Property

Usage

WPApplication.AppFoundry

AppFoundry is a property on the WPApplication object (always stored in the CurrentApplication variable). It contains a Foundry object which Word Pro uses as the Clipboard. This is the same Clipboard used when you copy or cut items in a Word Pro document. When you cut or copy a selection, Word Pro takes all the objects from your selection and places them in their respective collection objects in the Foundry object stored in the AppFoundry property.

For example, if you select some text and a table and choose Edit - Copy, Word Pro places all the objects which comprise that text and table into their respective collection objects in AppFoundry. This means that all the Layout objects are stored in the corresponding layout collection objects. All CharacterStyle objects are stored in the CharacterStyleCollection object. All CellEngine objects are stored in the CellCollection object. Text objects are stored in the TextCollection object. When you choose Edit - Paste, all of these objects are reassembled in their original form and displayed in the document at the insertion point.

Because Word Pro uses the Foundry object in AppFoundry as its Clipboard, you must exercise caution when working with AppFoundry. Any objects you place in AppFoundry will be included in the next Paste operation. Any objects you remove from AppFoundry will be excluded from the next Paste operation, and may adversely affect your ability to paste from the Clipboard.

You can get an object from AppFoundry and store it in a variable using the following statement:

myobject = CurrentApplication.AppFoundry.collectionpropertyname(itemreference)

In this statement, myobject is the variable in which you want to store the object; CurrentApplication is a global variable that always contains the WPApplication object; collectionpropertyname is the name of the property that contains the collection object where the object you want is stored; itemreference is the index that specifies the object you want. For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.

Note	While you may retrieve objects from AppFoundry, you should not use LotusScript to place objects in the AppFoundry collections. This could interfere with normal user operations, such as Cut and Copy. When creating and storing your own Word Pro objects, use the Foundry object in the TempFoundry property.

WPApplication.TempFoundry

TempFoundry is a property on WPApplication. TempFoundry contains a Foundry object which Word Pro uses to temporarily store objects that are part of a Drag and Drop operation. You can use TempFoundry in much the same way. You can use the collection objects in TempFoundry as a staging area for any Word Pro LotusScript objects you create and manipulate.

For example, when you want to move an object or objects from one document to another, you can store those objects temporarily in the TempFoundry collection objects. The TempFoundry property is always available, regardless of which document is active, so you always have access to the contents of its collections. This makes it an ideal place for temporarily storing items that you want to use or move.

Note	You must clear TempFoundry after each use. Any objects left in any of TempFoundry's collections can reappear during Drag and Drop and other operations, and result in unpredictable behavior.

Division.Foundry

In addition to AppFoundry and TempFoundry, Word Pro maintains one Foundry object for each Division object. These Division foundries are stored in the Foundry property on each Division object. The Foundry object in a division provides access to all the objects in that division, including Layouts, Text, Graphics, Markers, Tables, Footnotes, and so on. As seen in the AppFoundry example above, you can access all the objects in a division through the appropriate collection in the Division foundry.

You can access objects in any division's Foundry property by going through the division collection object storted in the Divisions property on WPApplication, as follows:

myobject = CurrentApplication.Divisions(DivisionName).Foundry.collectionpropertyname (itemreference)

In this example, DivisionName is the name of the division as seen in the Division tab; collectionpropertyname is the name of the Foundry object property in which the collection object you seek is stored; itemreference is a name or reference to a specific object in the collection.

WPApplication.Foundry

The Foundry property in WordPro provides a shortcut to the currently active division's Foundry object. The Foundry object in WordPro.Foundry changes as the focus changes from one Division object to another.

For example, if you had a document with one division named "Overview" and another division named "Summary," the contents of the Foundry property on WordPro would change as you moved the focus from Overview to Summary. While the focus was on the Overview division, this property would contain the Foundry object for the Division object named Overview. When the focus changed to the Summary division, this property would also change to contain the Foundry object for the Division object named Summary.

To access a collection object in the currently active division's Foundry,  you can use the following statement:

myobject = CurrentApplication.Foundry.collectionpropertyname(itemreference)

TextDocument.Foundry

The Foundry object stored in TextDocument.Foundry is not used by Word Pro. Do not use this Foundry object in your scripts.


Word Pro: FrameContainer class

The container object for frames. This object only exists for one frame at a time and only when there is a frame within the focus. When a FrameContainer object is present, it is stored in the Frame property on the WPApplication object.

Base Classes

BaseObject\BaseContainer

Derived Classes

NoteContainer

RubyContainer

Contained by

WPApplication in the Frame Property

Usage

The primary use for a FrameContainer object is to provide quick and easy access to the FrameLayout object for the currently active frame. A FrameContainer object always represents the frame that currently has the focus. Thus, if you assign a FrameContainer object to a variable, you can use that variable to access the currently active frame. However, you must remember that the frame referenced by the variable will change as the focus moves from one frame to another. This is because the variable references the FrameContainer object, and the FrameContainer object always represents the frame that has the focus. If there is no frame within the focus, there is no FrameContainer object. Thus, a variable that stores a FrameContainer object will have a null value whenever the focus does not contain a frame. There is never more than one FrameContainer object at any time.

For more information about container objects, see BaseContainer.


Word Pro: FrameGroupLayout class

The layout for a frame group.

Base Classes

BaseObject\Layout\FrameLayout

Derived Classes

None

Contained by

Usage

When multiple frames are selected, the combined layout is a FrameGroupLayout object.


Word Pro: FrameLayoutCollection class

A collection of frame layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Frames Property

Foundry in the FrameStyles Property

Usage

Use this collection to access any of the frame layout objects in the foundry of a specific division.


Word Pro: FrameLayout class

A frame layout for a frame object. This class inherits most of its members from the Layout class.

Base Classes

BaseObject\Layout

Derived Classes

FrameGroupLayout

Contained by

Usage

The FrameLayout class provides you with a way to access and modify the format and appearance of FrameLayout objects within your document.

Since the FrameLayout class is derived from the Layout class, FrameLayout objects can be stored within properties of the Layout type. For instance, the Layout property within the FrameContainer class is of the Layout type. However, this property often stores objects of the FrameLayout type. The Layout property is implemented in this way so that objects of other derived layout class types can be stored there as well. The Layout property within the FrameContainer class, for instance, may also contain objects of the NoteLayout type.

FrameLayout objects within a division are stored together in a collection. You can use the collection to access all FrameLayout objects in the collection, or you can reference a particular FrameLayout object in the collection. For example, by using the FrameLayouts collection, you could modify each FrameLayout object in the collection to be of a certain height. For more information on how to work with collections, see Overview: Word Pro LotusScript Collection Classes.

At many locations within your document, multiple layouts are available. For instance, your cursor may be within a frame within a page. In this case, the frame and the page both have associated layout objects. These layout objects may be combined with other objects into related groups known as containers. For more information on containers and  their associated layouts, see the help topic titled Word Pro: BaseContainer class.


Word Pro: GlossaryCollection class

A collection of glossary objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Glossarys Property

Usage

Use this collection to access any of the glossary objects in the foundry of a specific division.


Word Pro: Glossary class

A glossary object within a Word Pro glossary file.

Base Classes

BaseObject\Content\BaseTable\ParallelColumns

Derived Classes

None

Contained by

Usage

A glossary file stores frequently used text, tables, frames, and so on, which can be inserted into any document. These frequently used items are contained in a Glossary object which is stored in a Word Pro glossary file.


Word Pro: Grammar class

A grammatical proofing tool that analyzes a document for possible errors, and supplies suggestions and examples for incorrect sentences.

Base Classes

BaseObject

Derived Classes

None

Contained by

UserInterfacePrefs in the GrammarOptions Property

Usage

You can proofread and edit a document for grammar, style, and mechanics. You can also display document and readability statistics for every document you check. Equivalent to choosing Edit - Check Grammar, and then using the default grammar options or customizing grammar options for proofing the document.

The Grammar class uses many Apply properties, some of which will only be found in specific language versions of Word Pro.


Word Pro: GraphicCollection class

A collection of graphic objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Graphics Property

Usage

Use this collection to access any of the graphic objects in the foundry of a specific division.


Word Pro: GraphicOleObjectCollection class

A collection of graphic and OLE objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Usage

Use this collection to access any of the graphic and OLE objects in the foundry of a specific division.


Word Pro: GraphicOleObject class

An OLE graphic object in a document; the virtual base class for a graphic and OLE object.

Base Classes

BaseObject\Content

Derived Classes

Graphic

OleObject

Contained by

WPApplication in the GraphicOleObject Property

Usage


Word Pro: Graphic class

A graphic object in a document.

Base Classes

BaseObject\Content\GraphicOleObject

Derived Classes

None

Contained by

WPApplication in the Graphic Property

Usage


Word Pro: GroupLayoutCollection class

A collection of group layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Groups Property

Usage

Use this collection to access any of the group layout objects in the foundry of a specific division.


Word Pro: GroupLayout class

The layout for a group of objects.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: Gutter class

Allows you to control the appearance of a gutter line. A gutter line is the border which appears in the center of the gap between text columns.

Base Classes

BaseObject\BorderLines

Derived Classes

None

Contained by

Layout in the Gutter Property

Usage

The properties provided by the Gutter class are equivalent to the "Line style," "Line width," and "Line color" settings on the Columns panel of the InfoBox for certain layout objects.


Word Pro: HeaderLayoutCollection class

A collection of header layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Headers Property

Usage

Use this collection to access any of the header layout objects in the foundry of a specific division.


Word Pro: HeaderLayout class

The layout for a header object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: HyphenationOptions class

Hyphenation options displayed in the Options panel of the Document Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

DivisionOptions in the HyphenationOptions Property

Usage


Word Pro: IconBarCollection class

A collection of icon bar objects in the IconBarManager class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

IconBarManager in the IconBars Property

Usage

Use this collection to access any of the icon bar objects in the IconBarManager class.


Word Pro: IconBarManager class

A tool for managing icon bar objects in the application. Keeps and manages the list of icon bar objects in the document. You must go through the IconBarManager before using the IconBar property.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

ApplicationWindow in the IconBarManager Property

Usage

Used in conjunction with IconBar and IconBarCollection objects. You can use the IconBarManager to select, find, add, or remove icon bar objects. Word Pro keeps a list of icon bar sets in the IconBarCollection object.


Word Pro: IconBar class

A bar containing a set of icons (small symbols) that represent shortcuts for Word Pro functions, commands, and scripts.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage

You can use icon objects to represent shortcuts and menu IDs, and add, edit, and change their display. Although you cannot change Word Pro's standard icons, you can create new icon objects and add macros to them.


Word Pro: Indent class

The indention of text from the right or left margins.

Base Classes

BaseObject

Derived Classes

RelativeIndent

Contained by

ClickHere in the Indent Property

Formula in the Indent Property

ParagraphStyle in the Indent Property

Text in the Indent Property

TextMarker in the Indent Property

Usage


Word Pro: IndexSection class

A section that contains the index for a document.

Base Classes

BaseObject\Section

Derived Classes

None

Contained by

Usage


Word Pro: Index class

An index for an entire document, for a section, division, or selected text in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: Join class

The rectangular bounding area that connects lines surrounding a frame, page, or table layout.

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the Join Property

Usage

A join connects line styles at each corner of a page, frame, or table. Page, frame, and table layouts all contain join and line objects. Each line object has a set of join objects it can use. For a list of join objects and the corresponding line objects, see JoinType property.


Word Pro: Kinsoku class

The page layout object for the Asian version of Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Kinsoku Property

ParagraphStyle in the Kinsoku Property

Text in the Kinsoku Property

TextMarker in the Kinsoku Property

Usage


Word Pro: Language class

Base Classes

BaseObject

Derived Classes

None

Contained by

CharacterStyle in the Language Property

ClickHere in the Language Property

DivisionOptions in the Language Property

FindAndReplace in the ReplaceLanguage Property

FindAndReplace in the SearchLanguage Property

FormatPreferences in the Language Property

ParagraphStyle in the Language Property

Text in the Language Property

TextMarker in the Language Property

Usage


Word Pro: LayoutCollection class

A collection of layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Layouts Property

Layout in the ChildLayouts Property

Usage

Use this collection to access any of the layout objects in the foundry of a specific division.


Word Pro: LayoutOverride class

Base Classes

BaseObject

Derived Classes

None

Contained by

DivisionInfo in the LayoutOverride Property

Usage


Word Pro: Layout class

An class which defines properties and methods that are common to all Word Pro layout objects. An explanation of layout objects is provided below under Usage. This information applies to all layout objects in Word Pro, but each layout object may exhibit minor differences. These differences are noted in the documentation of each specific layout class.

Base Classes

BaseObject

Derived Classes

CellGroupLayout

CellLayout

ConnectedLayout

EndnoteLayout

FooterLayout

FootnoteLayout

FrameGroupLayout

FrameLayout

GroupLayout

HeaderLayout

NoteLayout

PageLayout

RowLayout

RubyLayout

SuperTableGroupLayout

SuperTableLayout

TableHeadingLayout

TableLayout

TOCSuperTableLayout

Contained by

BaseContainer in the Layout Property

BaseTable in the Layout Property

BaseTable in the CurrentColumn Property

Layout in the Footer Property

Layout in the Style Property

Layout in the RightPage Property

Layout in the Header Property

Layout in the LeftPage Property

Marker in the Layout Property

WPApplication in the Layout Property

WPApplication in the CurrentColumn Property

Usage

The Layout class also provides the foundation of formatting attributes for a number of derived classes. An object created from Layout or any of these derived layout classes is known as a layout object. A layout object gets its properties, methods, and events from its derived layout class. Very few objects in Word Pro actually use Layout as their data type.

For example, a frame is one type of layout object. It gets its properties, methods, and events from the FrameLayout class. Other layout objects include: Cells (CellLayout), Endnotes (EndnoteLayout), Footers (FooterLayout), Footnotes (FootnoteLayout), Headers (Header Layout), Comment Notes (NoteLayout), Pages (PageLayout), Rows (RowLayout), and Tables (TableLayout). These derived classes allow you to access and modify physical appearance attributes of these layout objects.

Default layouts and the Style property

Each time you create one of these layout objects, Word Pro gets that object's property values from a default layout object. A default layout object is represented by a style in Word Pro. For example, when you look at the Style panel in the InfoBox, you will see a Default Table style for table objects, a Default Frame style for frame objects, and so on. A layout object's default property values are always accessible through the Style property of that layout object.

Layout objects and collections

Layout objects which are created from the same derived layout class are stored together in collections. You can use these collections to access all layout objects in the collection, or you can reference a particular layout object in the collection. For example, by using the FrameLayouts collection, you could modify all FrameLayout objects in the collection to be of a certain height. For more information on working with collections, see Overview: Word Pro LotusScript Collection Classes.

Layout objects and containers

At many locations within your document, the current focus will include multiple layouts. For example, your cursor may be in a cell in a table on a page. In this case, the cell, the table, and the page all have associated layout objects. These layout objects may be combined with other objects into related groups known as containers. For more information on containers and  their associated layouts, see the Help topic titled Word Pro: BaseContainer class.


Word Pro: LineNumberOptions class

The line number options displayed in the Line Numbering dialog box in the Options panel of the Document Properties dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the LineNumberOptions Property

TextDocument in the LineNumberOptions Property

Usage


Word Pro: LwpBaseCtrl class

A virtual class acting as a parent class for control objects (button, clicker, radio button, and so on) in the Lotus Word Pro Dialog Editor.

Base Classes

BaseObject

Derived Classes

LwpButton

LwpCheckBox

LwpClicker

LwpComboBox

LwpEditBox

LwpFileListBox

LwpListBox

LwpRadioButton

Contained by

Usage


Word Pro: LwpButton class

A button in a custom dialog box object in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpCheckBox class

A control in a custom dialog box that is activated upon selection in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpClicker class

The incremental control in a custom dialog box that is used to control the up and down movement in an edit box in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl\LwpEditBox

Derived Classes

None

Contained by

Usage


Word Pro: LwpComboBox class

Combines the features of a ListBox and a TextBox in Lotus Word Pro. The ComboBox allows you to select information from a list box or type information in a text box. The caption property has no visible effect on ComboBox objects.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpCommonDialog class

Contains the features used in a dialog box in Lotus Word Pro.

Base Classes

BaseObject\LwpCustomDialog

Derived Classes

None

Contained by

Usage


Word Pro: LwpControls class

The controls(such as edit boxes, radio buttons, and so on) that are used to operate a custom dialog box object.

Base Classes

BaseObject

Derived Classes

None

Contained by

LwpCustomDialog in the Controls Property

Usage


Word Pro: LwpCustomDialog class

Acts as a base of operations for manipulating the many objects contained within a Word Pro document. Although you will rarely, if ever, name this class in your scripts, Word Pro uses this class each time you manipulate an object's properties.

Base Classes

BaseObject

Derived Classes

LwpCommonDialog

Contained by

LwpBaseCtrl in the Parent Property

Usage


Word Pro: LwpEditBox class

An edit box object used to make changes to a Lotus Word Pro document.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

LwpClicker

Contained by

Usage


Word Pro: LwpFileListBox class

The list box which contains the types of files that can be imported into a division in Lotus Word Pro.

Base Classes

BaseObject\LwpBaseCtrl\LwpListBox

Derived Classes

None

Contained by

Usage


Word Pro: LwpLabel class

A label in the Lotus Word Pro Dialog Editor.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LwpListBox class

A list box in the Lotus Word Pro application.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

LwpFileListBox

Contained by

Usage


Word Pro: LwpRadioButton class

The circular control button found in a Lotus Word Pro dialog box.

Base Classes

BaseObject\LwpBaseCtrl

Derived Classes

None

Contained by

Usage


Word Pro: LWPTimer class

Allows you to schedule a specific event every x number of seconds.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: Macro class

An object that automates tasks in the application.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Macro Property

Usage


Word Pro: MailRouting class

Directs the distribution of e-mail messages in Word Pro. Each document has an internal data structure to which the MailRouting Class points.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the MailRouting Property

Usage

Contains the name of the route and the names of people in the route. The Word Pro document must be open for MailRouting to function. Values are 0 when starting a new route and 1 when editing a route.


Word Pro: MarkerCollection class

A collection of marker objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Markers Property

Usage

Use this collection to access any of the marker objects in the foundry of a specific division.


Word Pro: Marker class

Hidden objects used to attach some data or functionality to a specific location in the document.

Base Classes

BaseObject

Derived Classes

ClickHere

PowerField

RubyMarker

TableMarker

TextMarker

Contained by

Usage


Word Pro: MenuItemCollection class

A collection of menu item objects in the MenuItem class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

MenuItem in the Items Property

Usage

Use this collection to access any of the menu item objects in the MenuItem class.


Word Pro: MenuItem class

Any menu or item on a menu.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the LwpMenuBar Property

ApplicationWindow in the RightMouseMenus Property

ApplicationWindow in the FreeMenus Property

Usage

Allows you to return or set your own menu items. You can get the current values of LWP menu items but you cannot change them. To get control over LWP menu items, you must create your own menu item and replace the LWP menu item with your own. The menu items you create can cause a specific script function to execute, or emulate some other predefined Word Pro menu ID when the item is selected. For more information, see the Action property or the NewItem method.


Word Pro: MergeOptions class

The merge options displayed in the Merge Assistant dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the MergeOptions Property

Usage


Word Pro: NoteContainer class

The container object for notes. This object only exists for one note at a time and only when there is a note within the focus.

Base Classes

BaseObject\BaseContainer\FrameContainer

Derived Classes

None

Contained by

Not contained in a property of any object.

Usage

The primary use for a NoteContainer object is to provide quick and easy access to the NoteLayout object for the currently active note. A NoteContainer object always represents the note that currently has the focus. Thus, if you assign a NoteContainer object to a variable, you can use that variable to access the currently active note. However, you must remember that the note referenced by the variable will change as the focus moves from one note to another. This is because the variable references the NoteContainer object, and the NoteContainer object always represents the note that has the focus. If there is no note within the focus, there is no NoteContainer object. Thus, a variable that stores a NoteContainer object will have a null value whenever the focus does not contain a note. There is never more than one NoteContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: NoteLayoutCollection class

A collection of note layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the NoteLayouts Property

Usage

Use this collection to access any of the note layout objects in the foundry of a specific division.


Word Pro: NoteLayout class

The layout for a note object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: Numbering class

Numbering pages in a document or numbering lines of text or blank lines on a page in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Numbering Property

ParagraphStyle in the Numbering Property

Text in the Numbering Property

TextMarker in the Numbering Property

Usage


Word Pro: NumericFormatSubset class

Allows you to change the formatting of numeric values within table cells.

Base Classes

BaseObject

Derived Classes

None

Contained by

NumericFormat in the AnyNumber Property

NumericFormat in the Negative Property

NumericFormat in the Zero Property

Usage


Word Pro: NumericFormat class

The format of numbers in a table cell object.

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the NumericFormat Property

Usage

The NumericFormat class allows you to format numeric values within table cells. You can modify the way that Word Pro represents values by applying scientific notation, currency formatting, fixed decimal formatting, and so on in the FormatType property. Three additional categories are available for formatting numeric values within table cells. The Negative property allows you to format negative values, the Zero property allows you to format zero values, and the AnyNumber property allows you to modify the format of any other number.


Word Pro: OleObjectCollection class

A collection of Ole objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the OleObjects Property

Usage

Use this collection to access any of the Ole objects in the foundry of a specific division.


Word Pro: OleObject class

An OLE object within the application.

Base Classes

BaseObject\Content\GraphicOleObject

Derived Classes

None

Contained by

WPApplication in the OleObject Property

Usage


Word Pro: Options class

The options displayed in a dialog box in a division or a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the DocOptions Property

TextDocument in the Options Property

TextDocument in the DocOptions Property

Usage


Word Pro: OutlineSeqCollection class

A collection of OutlineStyleSequence objects. The scope of this collection is usually limited to a single Division object.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the OutlineStyleSequences Property

Usage


Word Pro: OutlineSeqItemCollection class

A collection of OutSeqItem objects. The scope of this collection is usually limited to a single TextDocument object.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

OutlineStyleSequence in the OutlineSeqItems Property

Usage


Word Pro: FrameLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: GlossaryCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: Glossary class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

CellLayouts AS StringCollection

ColumnLayouts AS StringCollection

ContentType AS ContentType

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

DefaultLeftColumnStyleName AS String

DefaultRightColumnStyleName AS String

DefCellStyleName AS String

DefColWidth AS Long (measured in Twips)

DefRowHeight AS Long (measured in Twips)

Description AS String

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsParagraphNumberingDown AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsResetParagraphNumber AS Integer (Boolean)

IsSizingViaMouse AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MaxBottomBorder AS Long (measured in Twips)

MaxBottomGutter AS Long (measured in Twips)

MaxLeftBorder AS Long (measured in Twips)

MaxLeftGutter AS Long (measured in Twips)

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Long (measured in Twips)

MaxRightGutter AS Long (measured in Twips)

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Long (measured in Twips)

MaxTopGutter AS Long (measured in Twips)

Name AS String

NumCols AS Integer

NumRows AS Integer

Parent AS BaseObject

RowLayouts AS StringCollection

SelectionType AS SelectionType

SingleCellSelected AS Integer (Boolean)

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill

TableLine AS TableLine

VersionID AS Long

Methods

CellLayout

Connect

Copy

CopyMeaning

DeleteTable

DisconnectCells

DoesMarkerNameMatch

EnumerateTerm

ExtractText

FindCellLayout

FindTerm

GetMarkerName

Glossarize

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: Grammar class members

Application AS WPApplication

ApplyAdjectivePos AS Integer (Boolean)

ApplyAdjectNounPart AS Integer (Boolean)

ApplyAgreementWithHereThere AS Integer (Boolean)

ApplyAnglicisms AS Integer (Boolean)

ApplyArchaicExpressions AS Integer (Boolean)

ApplyArticleAgreement AS Integer (Boolean)

ApplyBadComparatives AS Integer (Boolean)

ApplyBadInflection AS Integer (Boolean)

ApplyBadNoun AS Integer (Boolean)

ApplyBadNounGender AS Integer (Boolean)

ApplyBadPlural AS Integer (Boolean)

ApplyBadPrepositions AS Integer (Boolean)

ApplyBelgianExpression AS Integer (Boolean)

ApplyBorrowedForeign AS Integer (Boolean)

ApplyBureuaJargon AS Integer (Boolean)

ApplyCalque AS Integer (Boolean)

ApplyCapitalizationCheck AS Integer (Boolean)

ApplyClauseErrors AS Integer (Boolean)

ApplyCliches AS Integer (Boolean)

ApplyColloquialExpression AS Integer (Boolean)

ApplyCommonlyConfusedWords AS Integer (Boolean)

ApplyCommonMisspell AS Integer (Boolean)

ApplyComplexWords AS Integer (Boolean)

ApplyConfusedEasy AS Integer (Boolean)

ApplyConfusedEnglish AS Integer (Boolean)

ApplyConfusedHard AS Integer (Boolean)

ApplyConfusedMedium AS Integer (Boolean)

ApplyConfusedVerb AS Integer (Boolean)

ApplyConsecutiveNouns AS Integer

ApplyContractions AS Integer (Boolean)

ApplyDerogatory AS Integer (Boolean)

ApplyDifferentPrep AS Integer (Boolean)

ApplyDoubleNegative AS Integer (Boolean)

ApplyDoublePlural AS Integer (Boolean)

ApplyDoubleWordCheck AS Integer (Boolean)

ApplyElision AS Integer (Boolean)

ApplyEnglishDerived AS Integer (Boolean)

ApplyEnglishWords AS Integer (Boolean)

ApplyExotic AS Integer (Boolean)

ApplyExtraPrepositionCheck AS Integer (Boolean)

ApplyFalseFriend AS Integer (Boolean)

ApplyFemaleOccupation AS Integer (Boolean)

ApplyFixedExpression AS Integer (Boolean)

ApplyForeignWord AS Integer (Boolean)

ApplyFormalTerms AS Integer (Boolean)

ApplyFormatErrors AS Integer (Boolean)

ApplyGallicisms AS Integer (Boolean)

ApplyGenderExpressions AS Integer (Boolean)

ApplyGermanisms AS Integer (Boolean)

ApplyHomoGraphs AS Integer (Boolean)

ApplyHomonyms AS Integer (Boolean)

ApplyHomonymsEasy AS Integer (Boolean)

ApplyHomonymsHard AS Integer (Boolean)

ApplyHomoPhone1 AS Integer (Boolean)

ApplyHomoPhone2 AS Integer (Boolean)

ApplyHomoPhones AS Integer (Boolean)

ApplyIncorrectPlural AS Integer (Boolean)

ApplyInformalExpressions AS Integer (Boolean)

ApplyJargonWords AS Integer (Boolean)

ApplykSplitInfinitives AS Integer

ApplyLowercaseAdjective AS Integer (Boolean)

ApplyLowercaseColor AS Integer (Boolean)

ApplyLowercaseNumbers AS Integer (Boolean)

ApplyLowercasePhrases AS Integer (Boolean)

ApplyLowercasePronouns AS Integer (Boolean)

ApplyMassVsCount AS Integer (Boolean)

ApplyMisspelledExpressions AS Integer (Boolean)

ApplyMisspelledForeignExpressions

 AS Integer (Boolean)

ApplyMisspelledItalian AS Integer (Boolean)

ApplyMisspelledWords AS Integer (Boolean)

ApplyMisusedWords AS Integer (Boolean)

ApplyNonStandardExpression AS Integer (Boolean)

ApplyNonStandardModifiers AS Integer (Boolean)

ApplyNoudModifierOrderCheck AS Integer (Boolean)

ApplyNounConsistency AS Integer (Boolean)

ApplyNounPhraseAgree AS Integer (Boolean)

ApplyNSAdjective AS Integer (Boolean)

ApplyNSClause AS Integer (Boolean)

ApplyNSCompare AS Integer (Boolean)

ApplyNSContract AS Integer (Boolean)

ApplyNSGeography AS Integer (Boolean)

ApplyNSInflection AS Integer (Boolean)

ApplyNSNegation AS Integer (Boolean)

ApplyNSPrep AS Integer (Boolean)

ApplyNSPronoun AS Integer (Boolean)

ApplyNSSpell AS Integer (Boolean)

ApplyNSUsage AS Integer (Boolean)

ApplyNSVerbForm AS Integer (Boolean)

ApplyOpenClosedSpelling AS Integer (Boolean)

ApplyOpenUsage AS Integer (Boolean)

ApplyOverusedPhrases AS Integer (Boolean)

ApplyPassiveVerbErrors AS Integer (Boolean)

ApplyPostClitAgree AS Integer (Boolean)

ApplyPrepExpression AS Integer (Boolean)

ApplyPrepositionalPhrases AS Integer

ApplyPretentiousWords AS Integer (Boolean)

ApplyPronounErrors AS Integer (Boolean)

ApplyPunctuationErrors AS Integer (Boolean)

ApplyRedundantExpressions AS Integer (Boolean)

ApplyRegionalExpression AS Integer (Boolean)

ApplyRelatedWord AS Integer (Boolean)

ApplySensitiveExp AS Integer (Boolean)

ApplySexistExpressions AS Integer (Boolean)

ApplySpellStandard AS Integer (Boolean)

ApplyStockPhrase AS Integer (Boolean)

ApplyStyleParameters AS Integer (Boolean)

ApplySubjectVerbAgreement AS Integer (Boolean)

ApplySwedishGender AS Integer (Boolean)

ApplySwedishNegation AS Integer (Boolean)

ApplySwedishUsage AS Integer (Boolean)

ApplyTrite AS Integer (Boolean)

ApplyTwoGender AS Integer (Boolean)

ApplyTypicalMisspell AS Integer (Boolean)

ApplyUnGrammaticalExpressions AS Integer (Boolean)

ApplyVagueQuantifiers AS Integer (Boolean)

ApplyVerbGroupConsistency AS Integer (Boolean)

ApplyWeakModifiers AS Integer (Boolean)

ApplyWordChoice AS Integer (Boolean)

ApplyWordCompoundingCheck AS Integer (Boolean)

ApplyWordConfusion AS Integer (Boolean)

ApplyWordGender AS Integer (Boolean)

ApplyWordParts AS Integer (Boolean)

ApplyWordyPhraseCheck AS Integer (Boolean)

Description AS String

GrammarFormalityLevel AS Integer

GrammarProofLevel AS Integer

IsValid AS Integer (Boolean)

MaxIdenticalConsecSentOpens AS Integer

MaxIdenticalSentOpensWithin10 AS Integer

MaximumWordsinaSentence AS Integer

Name AS String

Parent AS BaseObject

ShowStatistics AS Integer (Boolean)

SpacesBetweenSentences AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: GraphicCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: GraphicOleObjectCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: GraphicOleObject class members

Properties

Afid AS Variant

AfidClassName AS String

Application AS WPApplication

AtBeginningOfStream AS Integer (Boolean)

AtEndOfStream AS Integer (Boolean)

AutomaticLink AS Integer (Boolean)

CanEmbed AS Integer (Boolean)

ContentType AS ContentType

DataFormat AS String

Description AS String

EqnFontHeight AS Long (measured in Twips)

ExternalFileID AS String

ExternalFileName AS String

ExternallyControlledUndo AS Integer (Boolean)

FirstSpellString AS String

GetAfidHelpFileName AS String

GetAfidHelpInfo AS Integer

GetUndoWhatDesc AS String

InfoBoxSelectionText AS String

IsChartLink AS Integer (Boolean)

IsDraw AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsEquation AS Integer (Boolean)

IsExternalFile AS Integer (Boolean)

IsLotusChart AS Integer (Boolean)

IsNotCopyImage AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsValid AS Integer (Boolean)

IsWordProChart AS Integer (Boolean)

LinkAvailable AS Integer (Boolean)

LinkedFileName AS String

Name AS String

NextSpellString AS String

Parent AS BaseObject

Prompt AS String

RightMousePropId AS Integer

RightMousePropText AS String

ServerFormat AS String

SpellString AS String

VersionID AS Long

WaterMarkName AS String

Methods

BreakLink

ConvertToClass

CreateFromBitmap

CreateFromClipBrd

CreateFromDataObject

CreateFromMetafile

CreateNew

DataObjectGetData

DataObjectGetDataHere

DoneWithRightMouseMenu

EnumerateChartLinks

GetLinkDisplayNameFileLength

GetLinkName

GetLinkSourceName

GetPasteFormatCategories

GetRightMouseMenu

GetSource

GetUserClassNameFull

GetUserClassNameShort

ImportPicture

ProcessAccelKey

SaveData

SaveSnapshot

SetLinkSource

Undo

UpdateLink

Events

None


Word Pro: Graphic class members

Properties

Afid AS Variant

AfidClassName AS String

Alignment AS Alignment

Application AS WPApplication

AtBeginningOfStream AS Integer (Boolean)

AtEndOfStream AS Integer (Boolean)

AutomaticLink AS Integer (Boolean)

CanEmbed AS Integer (Boolean)

ContentType AS ContentType

DataFormat AS String

Description AS String

EqnFontHeight AS Long (measured in Twips)

ExternalFileID AS String

ExternalFileName AS String

ExternallyControlledUndo AS Integer (Boolean)

FirstSpellString AS String

Font AS Font

GetAfidHelpFileName AS String

GetAfidHelpInfo AS Integer

GetUndoWhatDesc AS String

Height AS Long (measured in Twips)

InfoBoxSelectionText AS String

IsActive AS Integer (Boolean)

IsChartLink AS Integer (Boolean)

IsDraw AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsEquation AS Integer (Boolean)

IsExternalFile AS Integer (Boolean)

IsLotusChart AS Integer (Boolean)

IsNotCopyImage AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsScalable AS Integer (Boolean)

IsValid AS Integer (Boolean)

IsWordProChart AS Integer (Boolean)

LayoutName AS String

LinkAvailable AS Integer (Boolean)

LinkedFileName AS String

MetafilePict AS Long

Name AS String

NextSpellString AS String

OrigHeight AS Long (measured in Twips)

OrigWidth AS Long (measured in Twips)

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Prompt AS String

RightMousePropId AS Integer

RightMousePropText AS String

Section AS String

ServerFormat AS String

SpellString AS String

Text AS Text

VersionID AS Long

WaterMarkName AS String

Width AS Long (measured in Twips)

Methods

BreakLink

ConvertToClass

CreateFromBitmap

CreateFromClipBrd

CreateFromDataObject

CreateFromMetafile

CreateNew

DataObjectGetData

DataObjectGetDataHere

DeleteContent

DoneWithRightMouseMenu

EnumerateChartLinks

GetCopyFormatCategories

GetLinkDisplayNameFileLength

GetLinkName

GetLinkSourceName

GetPasteFormatCategories

GetRightMouseMenu

GetSource

GetUserClassNameFull

GetUserClassNameShort

ImportPicture

Mark

ProcessAccelKey

SaveData

SaveSnapshot

SetLinkSource

TheoreticalScaledSize

Undo

UpdateLink

Events

None


Word Pro: GroupLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: GroupLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: Gutter class members

Properties

AllBorders AS Border

Application AS WPApplication

BottomBorder AS Border

Description AS String

IsValid AS Integer (Boolean)

LeftBorder AS Border

LinePlacement AS LinePlacement

LineValid AS LinePlacement

Name AS String

Parent AS BaseObject

RightBorder AS Border

TopBorder AS Border

VersionID AS Long

Methods

None

Events

None


Word Pro: HeaderLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: HeaderLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: HyphenationOptions class members

Application AS WPApplication

AutoHyphenate AS Integer (Boolean)

Description AS String

HyphenateLastWordInColumnOrPage

 AS Integer (Boolean)

HyphenateLastWordInPara AS Integer (Boolean)

HyphZoneAfter AS Integer

HyphZoneBefore AS Integer

IgnoreSoftHyphens AS Integer (Boolean)

IsValid AS Integer (Boolean)

MaxHyphLines AS Integer

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: IconBarCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: IconBarManager class members

Properties

Application AS WPApplication

AreDisabledIconsGrayed AS Integer (Boolean)

Description AS String

IconBars AS IconBarCollection

IconBarSets AS StringCollection

IconHelpText AS String

IconScript AS String

IconSize AS IconSize

IsActionOnButtonDown AS Integer (Boolean)

IsBubbleHelp AS Integer (Boolean)

IsHoverHelp AS Integer (Boolean)

IsIconDepressible AS Integer (Boolean)

IsShowing AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

Configure

HideIconBars

SelectCustomIcon

SelectStandardIcon

ShowIconBars

Events

None


Word Pro: IconBar class members

Properties

Application AS WPApplication

Description AS String

Height AS Long

IconBarPositionState AS IconBarPositionState

IconSetName AS String

ID AS Long

IsEnabled AS Integer (Boolean)

IsGrabBar AS Integer (Boolean)

IsSame AS Integer (Boolean)

IsSave AS Integer (Boolean)

IsScalableBorder AS Integer (Boolean)

IsShowing AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

PositionType AS IconBarPos

ScreenPositionX AS Long

ScreenPositionY AS Long

SetContextOfBar AS Integer

ShowInContext AS Integer (Boolean)

VersionID AS Long

Width AS Long

Methods

AddIcon

Configure

HideIconBar

Show

Events

None


Word Pro: Indent class members

Properties

All AS Long (measured in Twips)

Application AS WPApplication

BodyOnly AS Integer (Boolean)

Description AS String

First AS Long (measured in Twips)

Hang AS Integer

IsBothSidesEqual AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Relative AS IndentProperty

Rest AS Long (measured in Twips)

Right AS Long (measured in Twips)

UseRelative AS Integer (Boolean)

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: IndexSection class members

Properties

Application AS WPApplication

Color AS Color

Description AS String

IndexAlphabeticSeparator AS Integer (Boolean)

IndexDivision AS String

IndexIndentType AS Integer (Boolean)

IndexParent AS String

IndexRange AS String

IndexSection AS String

IndexSource AS GenerateFrom

IsIndex AS Integer (Boolean)

IsValid AS Integer (Boolean)

LayoutName AS String

Name AS String

NextSection AS String

Parent AS BaseObject

ShowTabs AS Integer (Boolean)

UserName AS String

VersionID AS Long

Methods

DeleteSection

GoToSection

Events

None


Word Pro: Index class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Offset AS Long

Parent AS BaseObject

Path AS String

Size AS Long

SnapshotOffset AS Long

SnapshotPath AS String

SnapshotSize AS Long

VersionID AS Long

Methods

None

Events

None


Word Pro: Join class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

JoinCorners AS JoinCornerPosition

JoinHeight AS Long (measured in Twips)

JoinType AS JoinType

JoinWidth AS Long (measured in Twips)

Name AS String

Parent AS BaseObject

Percentage AS Integer

ScaleMode AS JoinScaleType

VersionID AS Long

Methods

None

Events

None


Word Pro: Kinsoku class members

Properties

Application AS WPApplication

Description AS String

IsEnabled AS Integer (Boolean)

IsHangover AS Integer (Boolean)

IsSqueeze AS Integer (Boolean)

IsValid AS Integer (Boolean)

Level AS Integer

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: Language class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Language AS Languages

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: LayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: LayoutOverride class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddLayoutOverride

Events

None


Word Pro: Layout class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: LineNumberOptions class members

This member list has not yet been defined.


Word Pro: LwpBaseCtrl class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

SetFocus

Events

GotFocus

LostFocus


Word Pro: LwpButton class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

SetFocus

Events

Clicked

GotFocus

LostFocus


Word Pro: LwpCheckBox class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

SetFocus

Events

Changed

GotFocus

LostFocus


Word Pro: LwpClicker class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

LineCount AS Integer

MaxLength AS Integer

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

GetLine

SetFocus

Events

Changed

Decrement

GotFocus

Increment

LostFocus


Word Pro: LwpComboBox class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

ListCount AS Integer

Name AS String

Parent AS BaseObject

SelectCount AS Integer

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

AddItem

AddItemIndex

Clear

IsItemSelected

RemoveItem

SelectItem

SelectItemString

SetFocus

Events

Changed

DoubleClicked

GotFocus

LostFocus


Word Pro: LwpCommonDialog class members

Properties

Application AS WPApplication

BarSide AS Integer

BarType AS Integer

Controls AS LwpControls

Description AS String

FileName AS String

Filter AS String

FilterIndex AS Integer

Flags AS Long

hWnd AS Long

InitDir AS String

IsValid AS Integer (Boolean)

Modal AS Integer

Name AS String

Parent AS BaseObject

Text AS String

Type AS Integer

VersionID AS Long

Methods

AddListBoxText

Buttons

CheckBoxes

Clickers

ComboBoxes

EditBoxes

EnableControl

FileListBoxes

GetControlText

GetControlValue

Hide

HideControl

InitControls

Labels

ListBoxes

RadioButtons

SetControlText

SetControlValue

Setfocus

Show

Events

DialogEvent


Word Pro: LwpControls class members

Properties

Application AS WPApplication

Count AS Integer

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: LwpCustomDialog class members

Properties

Application AS WPApplication

Description AS String

FileName AS String

Filter AS String

FilterIndex AS Integer

Flags AS Long

InitDir AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Type AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: LwpEditBox class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

SetFocus

Events

Decrement

GotFocus

Increment

LostFocus


Word Pro: LwpFileListBox class members

Properties

Application AS WPApplication

Archive AS Integer

Description AS String

DirControl AS Integer

Enabled AS Integer

FileName AS String

hWnd AS Long

ID AS Integer

IncludeDirs AS Integer

IncludeDrives AS Integer

IsValid AS Integer (Boolean)

ListCount AS Integer

Name AS String

Normal AS Integer

Parent AS BaseObject

Path AS String

ReadOnly AS Integer

SelectCount AS Integer

System AS Integer

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

AddItem

AddItemIndex

Clear

IsItemSelected

Reload

RemoveItem

SelectItem

SelectItemString

SetFocus

Events

Changed

DoubleClicked

GotFocus

LostFocus


Word Pro: LwpLabel class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

SetFocus

Events

GotFocus

LostFocus


Word Pro: LwpListBox class members

Properties

Application AS WPApplication

Archive AS Integer

Description AS String

DirControl AS Integer

Enabled AS Integer

FileName AS String

hWnd AS Long

ID AS Integer

IncludeDirs AS Integer

IncludeDrives AS Integer

IsValid AS Integer (Boolean)

Name AS String

Normal AS Integer

Parent AS BaseObject

Path AS String

ReadOnly AS Integer

System AS Integer

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

Reload

SetFocus

Events

GotFocus

LostFocus


Word Pro: LwpRadioButton class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer

hWnd AS Long

ID AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Text AS String

Value AS Long

VersionID AS Long

Visible AS Integer

Methods

SetFocus

Events

Changed

GotFocus

LostFocus


Word Pro: LWPTimer class members

Properties

Application AS WPApplication

Description AS String

Enabled AS Integer (Boolean)

Interval AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

TimerTick


Word Pro: Macro class members

Properties

Application AS WPApplication

DebugVariable AS Integer

Description AS String

IsDebug AS Integer (Boolean)

IsValid AS Integer (Boolean)

MacroName AS String

MacroStatus AS MacroStatus

Name AS String

Parent AS BaseObject

ResumePausedMacro AS Integer (Boolean)

VersionID AS Long

Methods

AppendMacro

Run

SaveMacro

Events

None


Word Pro: MailRouting class members

Properties

Application AS WPApplication

CanEditProperty AS Integer (Boolean)

Description AS String

InitalizeRoute AS Integer (Boolean)

Initialize AS Integer (Boolean)

IsDocumentInRoute AS Integer (Boolean)

IsLastStop AS Integer (Boolean)

IsValid AS Integer (Boolean)

MailRoutingPtr AS Long

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: MarkerCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: Marker class members

Properties

Application AS WPApplication

ConvertOnNew AS Integer (Boolean)

Description AS String

Formula AS String

HideFormula AS Integer (Boolean)

IsValid AS Integer (Boolean)

LockResult AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Private AS Integer (Boolean)

Result AS String

Type AS PfType

UpdateOnLoad AS Integer (Boolean)

UpdateOnLoadImmediate AS Integer (Boolean)

VersionID AS Long

Methods

SetFieldFormula

Update

Events

None


Word Pro: MenuItemCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: MenuItem class members

Properties

Action AS String

Application AS WPApplication

Caption AS String

Checked AS Integer (Boolean)

Description AS String

Enabled AS Integer (Boolean)

ID AS Long

IsValid AS Integer (Boolean)

Items AS MenuItemCollection

Name AS String

Parent AS BaseObject

ParentMenuHWND AS Long

VersionID AS Long

Methods

CopyItem

DeleteItem

DeleteItemByPosition

ExchangeItem

MoveItem

NewItem

NewItemByPosition

Events

None


Word Pro: MergeOptions class members

Properties

Application AS WPApplication

DataFileFieldNames AS String

DataFileName AS String

Description AS String

DescriptionFileName AS String

FilterName AS String

IsAmiProTableImport AS Integer

IsValid AS Integer (Boolean)

MergeFileType AS Integer

MergeInfoPtr AS Long

MergeStepNumber AS MergeStepNumber

MergeToFile AS String

Name AS String

NumberOfDataFields AS Integer

NumberOfMergeConditions AS Integer

Options AS MergeOptFlg

Parent AS BaseObject

VersionID AS Long

Methods

AddACondition

Clear

RemoveDataFile

SetNoFields

Events

None


Word Pro: NoteContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: NoteLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: NoteLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

Color AS Color

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

InitialsForFilters AS String

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NameForFilters AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

Text AS Text

TextOrient AS TextOrient

Tile AS Integer (Boolean)

Time AS Long

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

Hide

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

Open

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: Numbering class members

Properties

Application AS WPApplication

Description AS String

Heading AS Integer

IsValid AS Integer (Boolean)

Level AS Integer

Name AS String

Parent AS BaseObject

Position AS Integer

SmartLevel AS CommandState

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: NumericFormatSubset class members

Properties

Application AS WPApplication

Color AS Color

ColorOverride AS Integer (Boolean)

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Prefix AS String

Suffix AS String

VersionID AS Long

Methods

None

Events

None


Word Pro: NumericFormat class members

Properties

AnyNumber AS NumericFormatSubset

Application AS WPApplication

Description AS String

FormatType AS NumberFormat

IsValid AS Integer (Boolean)

Name AS String

Negative AS NumericFormatSubset

NumDecimalPlaces AS Integer

Parent AS BaseObject

VersionID AS Long

Zero AS NumericFormatSubset

Methods

Reset

Events

None


Word Pro: OleObjectCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: OleObject class members

Properties

Alignment AS Alignment

Application AS WPApplication

AutomaticLink AS Integer (Boolean)

CanEmbed AS Integer (Boolean)

ClassId AS String

ContentType AS ContentType

Description AS String

DisplayAsIcon AS Integer (Boolean)

FileFormat AS Long

Font AS Font

Height AS Long (measured in Twips)

IDispatch AS Variant

InDocument AS Integer (Boolean)

IsActive AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsScalable AS Integer (Boolean)

IsValid AS Integer (Boolean)

LayoutName AS String

LinkAvailable AS Integer (Boolean)

LinkDisplayName AS String

LinkDisplayNameFileLength AS Long

Linked AS Integer (Boolean)

MetafilePict AS Long

Name AS String

Object AS Variant

Ole1Object AS Integer (Boolean)

OleObjectSize AS Long

OrigHeight AS Long (measured in Twips)

OrigWidth AS Long (measured in Twips)

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

ProgID AS String

Section AS String

Text AS Text

UserClassNameApp AS String

UserClassNameFull AS String

UserClassNameShort AS String

VersionID AS Long

Width AS Long (measured in Twips)

Methods

ActivateAs

AddVerbMenu

BreakLink

ConvertTo

DeleteContent

GetAspectMetafilePict

GetCopyFormatCategories

Mark

Open

SetLinkSource

TheoreticalScaledSize

UpdateLink

Events

None


Word Pro: Options class members

Properties

Application AS WPApplication

CharacterSetName AS String

ClickHerePrompts AS Integer

Description AS String

EmbedFonts AS Integer

EncryptPassword AS String

EncryptPassword2 AS String

GrammarSetName AS String

IncludeInitialsInNotes AS Integer (Boolean)

IsValid AS Integer (Boolean)

MarkCharacter AS Integer

MarkPosition AS MarkPosition

MarkType AS MarkType

Name AS String

PairKerning AS Integer (Boolean)

Parent AS BaseObject

PowerField AS Integer

UseEncrypt AS Integer (Boolean)

VersionID AS Long

WidowOrphan AS Integer (Boolean)

Methods

None

Events

None


Word Pro: FrameStyles property

 See list of classes

 See example

(Read-only) An object created from the FrameLayoutCollection class. This object provides access to FrameLayout objects which are used as frame styles.

Data Type

FrameLayoutCollection

Syntax

framestylesvalue = [objectreference].FrameStyles

Legal values

Always contains an instance of the FrameLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to the FrameLayout objects contained in that Division object which are used as frame styles.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to the FrameLayout objects contained in the Word Pro Clipboard which are used as frame styles.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to the FrameLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to the FrameLayout objects contained in the currently active Division object which are used as frame styles.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Frames property

 See list of classes

 See example

(Read-only) An object created from the FrameLayoutCollection class. This object provides access to FrameLayout objects including those used as frame styles.

Data Type

FrameLayoutCollection

Syntax

framesvalue = [objectreference].Frames

Legal values

Always contains an instance of the FrameLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the FrameLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the FrameLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the FrameLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the FrameLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Frame property

 See list of classes

 See example

(Read-only) An instance of the FrameContainer class. This is a current context property which only contains an object when the focus of Word Pro includes a frame. If there is no frame in the focus, this property is empty.

Data Type

FrameContainer

Syntax

framevalue = [objectreference].Frame

Legal values

An instance of the FrameContainer class.

Usage

When the focus includes a frame, this property contains the FrameContainer object which groups together the objects that comprise the frame which has the focus. You can use this property to access the layout or other objects related to that frame.


Topics Found:

Word Pro: WPApplication class


Word Pro: FreeMenus property

 See list of classes

 See example

(Read-only) Menuitems object(s) created by the script writer from the MenuItem class.

Data Type

MenuItem

Syntax

freemenusvalue = [objectreference].FreeMenus

Legal values

Always contains an instance of the MenuItem class.

Usage

Use this property as a holding area for menu items until you implement them in Word Pro.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: GlossaryDataFiles property

 See list of classes

 See example

(Read-only) Multiple names for the Word Pro Glossary file.

Data Type

StringCollection

Syntax

glossarydatafilesvalue = [objectreference].GlossaryDataFiles

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "Default glossary file(s)" field on the Default files panel of the Word Pro Preferences dialog box. In the Word Pro interface, the "Default glossary file(s)" field can contain multiple file names. You can use this property to read these multiple file names, including the primary (default) file name stored in the GlossaryDataFileName property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: GlossaryDataPaths property

 See list of classes

 See example

(Read-only) Multiple paths (drive and directory) where Word Pro looks for the Glossary file.

Data Type

StringCollection

Syntax

glossarydatapathsvalue = [objectreference].GlossaryDataPaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "Glossaries" field on the Locations panel of the Word Pro Preferences dialog box. The "Glossaries" field can contain multiple datafile paths. You can use this property to read these multiple paths, including the primary (default) path stored in the GlossaryPath property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Glossarys property

 See list of classes

 See example

(Read-only) An object created from the GlossaryCollection class. This object provides access to Glossary objects.

Data Type

GlossaryCollection

Syntax

glossarysvalue = [objectreference].Glossarys

Legal values

Always contains an instance of the GlossaryCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Glossary objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Glossary objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Glossary objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Glossary objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: GrammarOptions property

 See list of classes

 See example

(Read-only) An object created from the Grammar class. This object holds a pointer to the grammar options available on the Grammar Check bar, Options dialog box.

Data Type

Grammar

Syntax

grammaroptionsvalue = [objectreference].GrammarOptions

Legal values

Always contains an instance of the Grammar class.

Usage

Currently, the Word Pro Grammar Check contains 128 options. These options include on or off for all Grammar Check rules, and the values for other Grammar Check options, such as split infinitives, consecutive nouns, maximum number of words, and so on.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: GraphicExports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

graphicexportsvalue = [objectreference].GraphicExports

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: GraphicImports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

graphicimportsvalue = [objectreference].GraphicImports

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: GraphicOleObject property

 See list of classes

 See example

(Read-only) Contains the Graphic or OleObject object which is uppermost in the focus.

Data Type

GraphicOleObject

Syntax

graphicoleobjectvalue = [objectreference].GraphicOleObject

Legal values

Always contains an instance of the GraphicOleObject class.

Usage

Use this property when you want to access a graphic or OLE object, regardless of whether the object is seen by LotusScript as a Graphic object or an OleObject object.


Topics Found:

Word Pro: WPApplication class


Word Pro: Graphics property

 See list of classes

 See example

(Read-only) An object created from the GraphicCollection class. This object provides access to Graphic objects.

Data Type

GraphicCollection

Syntax

graphicsvalue = [objectreference].Graphics

Legal values

Always contains an instance of the GraphicCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Graphic objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Graphic objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Graphic objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Graphic objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Graphic property

 See list of classes

 See example

(Read-only) Contains the Graphic object which is uppermost in the focus.

Data Type

Graphic

Syntax

graphicvalue = [objectreference].Graphic

Legal values

Always contains an instance of the Graphic class.

Usage

Use this property when you want to access the Graphic object which currently has the focus. If you want to access a graphic that is an OLE object, use the OleObject property on WPApplication. If you are not sure if a graphic is an OLE object, use the GraphicOleObject property that is capable of containing both Graphic objects and OleObject objects.


Topics Found:

Word Pro: WPApplication class


Word Pro: Groups property

 See list of classes

 See example

(Read-only) An object created from the GroupLayoutCollection class. This object provides access to GroupLayout objects.

Data Type

GroupLayoutCollection

Syntax

groupsvalue = [objectreference].Groups

Legal values

Always contains an instance of the GroupLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the GroupLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the GroupLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the GroupLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the GroupLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Gutter property

 See list of classes

 See example

(Read-only) This property contains a Gutter object.

Data Type

Gutter

Syntax

guttervalue = [objectreference].Gutter

[objectreference].Gutter = guttervalue

Legal values

Always contains an instance of the Gutter class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Headers property

 See list of classes

 See example

(Read-only) An object created from the HeaderLayoutCollection class. This object provides access to HeaderLayout objects.

Data Type

HeaderLayoutCollection

Syntax

headersvalue = [objectreference].Headers

Legal values

Always contains an instance of the HeaderLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the HeaderLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the HeaderLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the HeaderLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the HeaderLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Header property

 See list of classes

 See example

(Read-only) Returns a header object in a layout object.

Data Type

Layout

Syntax

headervalue = [objectreference].Header

Legal values

Always contains an instance of the Layout class.

Usage

Use this property to access the header layout object of the current layout. Not all layout objects have header layouts. You can check the UseHeader property of a layout object to see whether there is a header layout object currently available.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: HiLiteColor property

 See list of classes

 See example

(Read-only) The color that is used to highlight text in a document.

Data Type

Color

Syntax

hilitecolorvalue = [objectreference].HiLiteColor

Legal values

Always contains an instance of the Color class.

Usage

[Editor]

This property is equivalent to the "Highlighter/comment color" option, which is located in the Markup Options dialog. The Markup Options dialog can be opened by pressing the Markup Options button, which is located in the General panel of the Word Pro Preferences dialog.


Topics Found:

Word Pro: Editor class

Word Pro: Preferences class


Word Pro: HorzRuler property

 See list of classes

 See example

(Read-only) Contains a ruler object that indicates tab settings, indents, margins, and columns.

Data Type

Ruler

Syntax

horzrulervalue = [objectreference].HorzRuler

Legal values

Always contains an instance of the Ruler class.

Usage

Use this property to display the horizontal ruler when no document is open.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: HyphenationOptions property

 See list of classes

 See example

(Read-only)

Data Type

HyphenationOptions

Syntax

hyphenationoptionsvalue = [objectreference].HyphenationOptions

Legal values

Always contains an instance of the HyphenationOptions class.

Usage


Topics Found:

Word Pro: DivisionOptions class


Word Pro: IconBarManager property

 See list of classes

 See example

(Read-only) The IconBarManager object for the current application window

Data Type

IconBarManager

Syntax

iconbarmanagervalue = [objectreference].IconBarManager

Legal values

Always contains an instance of the IconBarManager class.

Usage

You must go through this property to get to the IconBar for the application window. The application window can have multiple iconbars, but only one IconBarManager. You can use the IconBarManager to select, find, add, or remove icon bar objects.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: IconBarSets property

 See list of classes

 See example

(Read-only) Enumerates all icon bar sets by name, whether or not they are currently showiong. The icon bar sets are listed by icon bar name, not by file name.

Data Type

StringCollection

This field is not used for properties with CLASS data types.

Syntax

iconbarsetsvalue = [objectreference].IconBarSets

Legal values

Always contains an instance of the StringCollection class.

Usage

If you  know the name of the icon bar set, you can select it through the IconBar class. You can then display it, hide it, add and remove icons from the set, and so on.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IconBars property

 See list of classes

 See example

(Read-only) Enumerates all icon bars that are currently showing, by icon bar name. The user interface control is the file button on the solid color bar adjacent to an icon bar object.

Data Type

IconBarCollection

Syntax

iconbarsvalue = [objectreference].IconBars

Legal values

Always contains an instance of the IconBarCollection class.

Usage

If you click the file button adjacent to an icon bar object, a list of icon bar sets that can show in the current context will display. The icon bar names with check marks next to them are the ones currently showing. This property returns a String value.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IconPaths property

 See list of classes

 See example

(Read-only) Contains multiple paths (drive and directory) for SmartIcons.

Data Type

StringCollection

Syntax

iconpathsvalue = [objectreference].IconPaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "SmartIcons" field on the Locations panel of the Word Pro Preferences dialog box. The "SmartIcons" field can contain multiple document paths. You can use this property to read these multiple document paths, including the primary (default) document path that is stored in the IconPath property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: IconScript property

 See list of classes

 See example

(Read-write) Sets a script or macro for a custom icon.

Data Type

StringCollection

This field is not used for properties with CLASS data types.

Syntax

iconscript = [objectreference].IconScript

[objectreference].IconScript = iconscriptvalue

Legal values

String

Usage

Before you can write a script for an icon, you must first select the icon using the SelectCustomIcon method.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IdentifierColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

identifiercolorvalue = [objectreference].IdentifierColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Script class


Word Pro: Indent property

 See list of classes

 See example

(Read-only)

Data Type

Indent

Syntax

indentvalue = [objectreference].Indent

Legal values

Always contains an instance of the Indent class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertFont property

 See list of classes

 See example

(Read-only) The collection of attributes associated with a font object that marks inserted text in a document.

Data Type

Font

Syntax

insertfontvalue = [objectreference].InsertFont

Legal values

Always contains an instance of the Font class.

Usage

[Editor]

This property is equivalent to the "Markup for insertions" option, which is located in the Markup Options dialog. The Markup Options dialog can be opened by pressing the Markup Options button, which is located in the General panel of the Word Pro Preferences dialog.


Topics Found:

Word Pro: Editor class

Word Pro: RevisionDisplay class


Word Pro: Items property

 See list of classes

 See example

(Read-only) A collection item used by the current parent menu item to hold submenu items.

Data Type

MenuItemCollection

Syntax

itemsvalue = [objectreference].Items

Legal values

Always contains an instance of the MenuItemCollection class.

Usage

This property allows you to access submenu items for a specific parent menu item. For example, the Word Pro main menu resides in the LWPMenuBar property in the ApplicationWindow class. If you want to access the Word Pro File menu, you must use the Items property to return the File menu in the LWPMenuBar. Menu items in the Items property are enumerated by their Caption property.


Topics Found:

Word Pro: MenuItem class


Word Pro: Join property

 See list of classes

 See example

(Read-only) Allows you to access the join object for a specific layout object.

Data Type

Join

Syntax

joinvalue = [objectreference].Join

Legal values

Always contains an instance of the Join class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: KeywordColor property

 See list of classes

 See example

(Read-only)

Data Type

Color

Syntax

keywordcolorvalue = [objectreference].KeywordColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: Script class


Word Pro: Kinsoku property

 See list of classes

 See example

(Read-only)

Data Type

Kinsoku

Syntax

kinsokuvalue = [objectreference].Kinsoku

Legal values

Always contains an instance of the Kinsoku class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Language property

 See list of classes

 See example

(Read-only) An instance of the Language class.

Data Type

Language

Syntax

languagevalue = [objectreference].Language

Legal values

Always contains an instance of the Language class.

Usage

This property is available on the following types of objects:

CharacterStyle
ClickHere
DivisionOptions
FormatPreferences
ParagraphStyle
Text
TextMarker

The Language object stored in this property is determined by the object from which you call this property. For example, if you call this property from a ClickHere object, you get the Language object for that ClickHere. The scope and use of the Language object in this property is also determined by the object from which you call this property.


Topics Found:

Word Pro: Application class

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: DivisionOptions class

Word Pro: FormatPreferences class

Word Pro: Language class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: LayoutOverride property

 See list of classes

 See example

(Read-only)

Data Type

LayoutOverride

Syntax

layoutoverridevalue = [objectreference].LayoutOverride

Legal values

Always contains an instance of the LayoutOverride class.

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: Layouts property

 See list of classes

 See example

(Read-only) An object created from the LayoutCollection class. This object provides access to all types of Layout objects. Layout objects are those objects that are created from one of the derived Layout classes listed below:

CellLayout

ConnectedLayout

EndnoteLayout

FooterLayout

FootnoteLayout

FrameLayout

GroupLayout

HeaderLayout

NoteLayout

PageLayout

RowLayout

RubyLayout

SuperTableLayout

TableHeadingLayout

TableLayout

All of these classes are derived from the same Layout class and share the common set of Layout class members. The objects created from these classes are all related through their common parent class, Layout. That is why we say they are Layout objects. One of the benefits of related classes of objects is the ability to store related objects in a variable that has the parent class data type.

For example, a variable of type CellLayout could only hold an object created from the CellLayout class. But a variable of type Layout could hold any object created from one of the Layout-derived classes listed above.

When you use the LayoutCollection object in this property, you have access to all types of Layout objects.

Data Type

LayoutCollection

Syntax

layoutsvalue = [objectreference].Layouts

Legal values

Always contains an instance of the LayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Layout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Layout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Layout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Layout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Shadow property

 See list of classes

 See example

(Read-only) The shadow object for a layout or paragraph border object.

Data Type

Shadow

Syntax

Shadowvalue = [objectreference.]Shadowvalue

Legal values

Always contains an instance of the Shadow class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FontMetrics class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphBorder class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Layout property

 See list of classes

 See example

(Read-only) Returns the layout object of any container.

Data Type

Layout

Syntax

layoutvalue = [objectreference].Layout

Legal values

Always contains an instance of the Layout class or one if its derived classes.

Usage

When called from WPApplication, this property contains the Layout object for the container object that is uppermost in the focus.

When called from a container class, this property contains a layout object which corresponds to the container object's type. For example, the layout property of a frame container object contains a frame layout object. The layout property of a cell container object contains a cell layout object.


Topics Found:

Word Pro: BaseContainer class

Word Pro: BaseTable class

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: DropCapContainer class

Word Pro: FootnoteTable class

Word Pro: FrameContainer class

Word Pro: Glossary class

Word Pro: Marker class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: ParallelColumns class

Word Pro: PowerField class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: RubyMarker class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: Table class

Word Pro: TableContainer class

Word Pro: TableHeading class

Word Pro: TableMarker class

Word Pro: TableOnlyCont class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: LeftBorder property

 See list of classes

 See example

(Read-only) Allows you to access an object's left border object.

Data Type

Border

Syntax

leftbordervalue = [objectreference].LeftBorder

Legal values

Always contains an instance of the Border class.

Usage

You can also use the AllBorders property in order to simultaneously access an object's BottomBorder, LeftBorder, RightBorder, and TopBorder objects.


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: LeftPage property

 See list of classes

 See example

(Read-only) The left page of a complex layout. A complex layout contains separate layouts for left and right pages.

Data Type

PageLayout

Syntax

leftpagevalue = [objectreference].LeftPage

Legal values

Always contains an instance of the PageLayout class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: LineNumberOptions property

 See list of classes

 See example

(Read-only)

Data Type

LineNumberOptions

Syntax

linenumberoptionsvalue = [objectreference].LineNumberOptions

Legal values

Always contains an instance of the LineNumberOptions class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LwpMenuBar property

 See list of classes

 See example

(Read-only) The main Word Pro application menu bar object, created from the MenuItem class.

Data Type

MenuItem

Syntax

lwpmenubarvalue = [objectreference].LwpMenuBar

Legal values

Always contains an instance of the MenuItem class.

Usage

The MenuItem class is used to set and get your own menu items. You can get the current values of LWP menu items, but you cannot change them. To change LWPMenuItems, you must create your own menu item and replace the LWPMenuItem with the new menu items.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: Window class


Word Pro: MacroPaths property

 See list of classes

 See example

(Read-only) Stores multiple paths (drives and directories) for Word Pro scripts.

Data Type

StringCollection

Syntax

macropathsvalue = [objectreference].MacroPaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "Scripts" field on the Locations panel of the Word Pro Preferences dialog box. The "Scripts" field can contain muliple paths. You can use this property to read these muliple paths, including the default or first script path that is also stored in the MacroPath property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Macro property

 See list of classes

 See example

(Read-only) An instance of the macro class for the current application window.

Data Type

Macro

Syntax

macrovalue = [objectreference].Macro

Legal values

Always contains an instance of the Macro class.

Usage

Use this property to run scripts and/or macros saved in another file, or to run scripts and/or macros when you do not have any open documents.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: MailRouting property

 See list of classes

 See example

(Read-only)

Data Type

MailRouting

Syntax

mailroutingvalue = [objectreference].MailRouting

Legal values

Always contains an instance of the MailRouting class.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: MarginColor property

 See list of classes

 See example

(Read-only) Stores the color of a document's margin as seen in Layout view when "Show margin in color" is enabled.

Data Type

Color

Syntax

margincolorvalue = [objectreference].MarginColor

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: Markers property

 See list of classes

 See example

(Read-only) An object created from the MarkerCollection class. This object provides access to Marker objects.

Data Type

MarkerCollection

Syntax

markersvalue = [objectreference].Markers

Legal values

Always contains an instance of the MarkerCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Marker objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Marker objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Marker objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Marker objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Master property

 See list of classes

 See example

(Read-only)

Data Type

TextDocument

Syntax

mastervalue = [objectreference].Master

Legal values

Always contains an instance of the TextDocument class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: MergeOptions property

 See list of classes

 See example

(Read-only)

Data Type

MergeOptions

Syntax

mergeoptionsvalue = [objectreference].MergeOptions

Legal values

Always contains an instance of the MergeOptions class.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Negative property

 See list of classes

 See example

(Read-only) Allows you to modify the "Negative numbers" condition of the current number format.

Data Type

NumericFormatSubset

Syntax

negativevalue = [objectreference].Negative

Legal values

Always contains an instance of the NumericFormatSubset class.

Usage

Equivalent to the "Negative numbers" condition, which can be accessed through the Edit Format dialog. The Edit Format dialog can be opened by clicking the Format Options button, which is located in the Number Format tab of the InfoBox for cell layout objects.

By accessing the "Negative" condition of a number format, you can modify how negative values will appear within table cells, and whether you would like prefix or suffix text.


Topics Found:

Word Pro: NumericFormat class


Word Pro: NoteColor property

 See list of classes

 See example

(Read-only) The default color for comment note marks.

Data Type

Color

Syntax

notecolorvalue = [objectreference].NoteColor

Legal values

Always contains an instance of the Color class.

Usage

Equivalent to the "Highlighter/comment color" box in the Markup Options for current editor dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: NoteLayouts property

 See list of classes

 See example

(Read-only) An object created from the NoteLayoutCollection class. This object provides access to NoteLayout objects.

Data Type

NoteLayoutCollection

Syntax

notelayoutsvalue = [objectreference].NoteLayouts

Legal values

Always contains an instance of the NoteLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the NoteLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the NoteLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the NoteLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the NoteLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Numbering property

 See list of classes

 See example

(Read-only)

Data Type

Numbering

Syntax

numberingvalue = [objectreference].Numbering

Legal values

Always contains an instance of the Numbering class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: NumericFormat property

 See list of classes

 See example

(Read-only) Returns a numeric format object in a specific layout object.

Data Type

NumericFormat

Syntax

numericformatvalue = [objectreference].NumericFormat

Legal values

Always contains an instance of the NumericFormat class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: OleObjects property

 See list of classes

 See example

(Read-only) An object created from the OleObjectCollection class. This object provides access to OleObject objects.

Data Type

OleObjectCollection

Syntax

oleobjectsvalue = [objectreference].OleObjects

Legal values

Always contains an instance of the OleObjectCollection class.

Usage

Use this property to determine if any OLE objects exist in a particular object.

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the OleObject objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the OleObject objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the OleObject objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the OleObject objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: OleObject property

 See list of classes

 See example

(Read-only) The OleObject object which is uppermost in the focus of the currently active document.

Data Type

OleObject

Syntax

oleobjectvalue = [objectreference].OleObject

Legal values

Always contains an instance of the OleObject class.

Usage

Use this property when you want to access the OLE object that currently has the focus. If you want to access a graphic that is not an OLE object, use the Graphic property on WPApplication. If you are not sure if a graphic is an OLE object, use the GraphicOleObject property that is capable of containing both Graphic objects and OleObject objects.


Topics Found:

Word Pro: WPApplication class


Word Pro: OutlineBorderLines property

 See list of classes

 See example

(Read-Write) Allows you to return or set the style of the outside border line of a table object.

Data Type

BorderLines

Syntax

outlineborderlinesvalue = [objectreference].OutlineBorderLines

[objectreference].OutlineBorderLines = outlineborderlinesvalue

Legal values

Always contains an instance of the BorderLines class.

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: OutlineSeqItems property

 See list of classes

 See example

(Read-only)

Data Type

OutlineSeqItemCollection

Syntax

outlineseqitemsvalue = [objectreference].OutlineSeqItems

Legal values

Always contains an instance of the OutlineSeqItemCollection class.

Usage


Topics Found:

Word Pro: OutlineStyleSequence class


Word Pro: OutlineStyleSequences property

 See list of classes

 See example

(Read-only) An object created from the OutlineSeqCollection class. This object provides access to OutlineStyleSequence objects.

Data Type

OutlineSeqCollection

Syntax

outlinestylesequencesvalue = [objectreference].OutlineStyleSequences

Legal values

Always contains an instance of the OutlineSeqCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the OutlineStyleSequence objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the OutlineStyleSequence objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the OutlineStyleSequence objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the OutlineStyleSequence objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: PageStyles property

 See list of classes

 See example

(Read-only) An object created from the PageLayoutCollection class. This object provides access to PageLayout objects which are used as page styles.

Data Type

PageLayoutCollection

Syntax

pagestylesvalue = [objectreference].PageStyles

Legal values

Always contains an instance of the PageLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the PageLayout objects which are used as page styles and contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the PageLayout objects which are used as page styles and contained in the Word Pro Clipboard.

When  accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the PageLayout objects which are used as page styles and placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the PageLayout objects which are used as page styles and contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Pages property

 See list of classes

 See example

(Read-only) An object created from the PageLayoutCollection class. This object provides access to PageLayout objects.

Data Type

PageLayoutCollection

Syntax

pagesvalue = [objectreference].Pages

Legal values

Always contains an instance of the PageLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the PageLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the PageLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the PageLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the PageLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Page property

 See list of classes

 See example

(Read-only) An instance of the PageContainer class. This is a current context property which only contains an object when the focus of Word Pro includes a page. If there is no page in the focus, this property is empty.

Data Type

PageContainer

Syntax

pagevalue = [objectreference].Page

Legal values

An instance of the PageContainer class.

Usage

When the focus includes a page, this property contains the PageContainer object which groups together the objects that comprise the page that has the focus. You can use this property to access the Layout or other objects related to that page.


Topics Found:

Word Pro: WPApplication class


Word Pro: PaneColor property

 See list of classes

 See example

(Read-only) An instance of the Color class which represents the color of the application window's background.

Data Type

Color

Syntax

panecolorvalue = [objectreference].PaneColor

Legal values

Always contains an instance of the Color class.

Usage

Word Pro does not use this property.


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: PaperNames property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

papernamesvalue = [objectreference].PaperNames

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: ParagraphBorder property

 See list of classes

 See example

(Read-only)

Data Type

ParagraphBorder

Syntax

paragraphbordervalue = [objectreference].ParagraphBorder

Legal values

Always contains an instance of the ParagraphBorder class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ParagraphHasDropCap property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

paragraphhasdropcapvalue = [objectreference].ParagraphHasDropCap

Legal values

Boolean

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ParagraphHasText property

 See list of classes

 See example

(Read-only) Indicates whether there are any Text fribs present in the current paragraph.

Data Type

Integer

Syntax

paragraphbordervalue = [objectreference].ParagraphBorder

Legal values

Always contains an instance of the ParagraphBorder class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ParagraphStyles property

 See list of classes

 See example

(Read-only) An object created from the ParagraphStyleCollection class. This object provides access to ParagraphStyle objects.

Data Type

ParagraphStyleCollection

Syntax

paragraphstylesvalue = [objectreference].ParagraphStyles

Legal values

Always contains an instance of the ParagraphStyleCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the ParagraphStyle objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the ParagraphStyle objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the ParagraphStyle objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the ParagraphStyle objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: ParagraphStyle property

 See list of classes

 See example

(Read-only)

Data Type

ParagraphStyle

Syntax

paragraphstylevalue = [objectreference].ParagraphStyle

Legal values

Always contains an instance of the ParagraphStyle class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ParallelColumns property

 See list of classes

 See example

(Read-only) The ParallelColumns object which is uppermost in the focus when this property is called.

Data Type

ParallelColumns

Syntax

parallelcolumnsvalue = [objectreference].ParallelColumns

Legal values

Always contains an instance of the ParallelColumns class.

Usage


Topics Found:

Word Pro: Foundry class

Word Pro: WPApplication class


Word Pro: Parent property

 See list of classes

 See example

(Read-only) The parent (or containing) object for the object from which you are calling the Parent property. The object stored in this property is determined by the object from which you call this property.

Data Type

BaseObject

Syntax

parentvalue = [objectreference].Parent

Legal values

Data type for this property is BaseObject, which allows this property to contain any object derived directly or indirectly from the BaseObject class. However, this also means that you can only make use of the six properties inherited from BaseObject. For example, if the parent object in this property is a Text object, you can only access the six properties that text inherits from BaseObject.

Usage

The Parent property allows you to access an object's parent object. This is useful when you need to get to the object that contains another object as a property.

For example, if you are working with a Color object and you are unsure of where the color object is contained, you can determine what object contains the color object by accessing that Color object's Parent property. Once you have the name of the object in the Parent property, you can assign that object to a variable with the same data type as the object. This will give you complete access to that object and all its members.


Topics Found:

Word Pro: BaseObject class


Word Pro: PowerFields property

 See list of classes

 See example

(Read-only) An object created from the PowerFieldCollection class. This object provides access to PowerField objects.

Data Type

PowerFieldCollection

Syntax

powerfieldsvalue = [objectreference].PowerFields

Legal values

Always contains an instance of the PowerFieldCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the PowerField objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the PowerField objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the PowerField objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the PowerField objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Preferences property

 See list of classes

 See example

(Read-only) The preferences object for the currently active session of Word Pro.

Data Type

Preferences

Syntax

preferencesvalue = [objectreference].Preferences

Legal values

Always contains an instance of the Preferences class.

Usage

The properties in this object contain the settings seen in the Word Pro Preferences dialog box. You can open this dialog box in Word Pro by choosing File - User Setup - Word Pro Preferences.


Topics Found:

Word Pro: WPApplication class


Word Pro: Presentation property

 See list of classes

 See example

(Read-only) Returns the presentation object of any container.

Data Type

Presentation

Syntax

presentationvalue = [objectreference].Presentation

Legal values

Always contains an instance of the Presentation class.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: PrintManager property

 See list of classes

 See example

(Read-only)

Data Type

PrintManager

Syntax

printmanagervalue = [objectreference].PrintManager

Legal values

Always contains an instance of the PrintManager class.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: PrintSettings property

 See list of classes

 See example

(Read-only)

Data Type

PrintSettings

Syntax

printsettingsvalue = [objectreference].PrintSettings

Legal values

Always contains an instance of the PrintSettings class.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: Prompt property

 See list of classes

 See example

(Read-only) The prompt text for a ClickHere object.

Data Type

Text

Syntax

promptvalue = [objectreference].Prompt

Legal values

Always contains an instance of the Text class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Graphic class


Word Pro: RelativeIndent property

 See list of classes

 See example

(Read-only)

Data Type

RelativeIndent

Syntax

relativeindentvalue = [objectreference].RelativeIndent

Legal values

Always contains an instance of the RelativeIndent class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ReplaceAttributes property

 See list of classes

 See example

(Read-only) Enables the user to replace specific text attributes in Find & Replace.

Data Type

Attributes

Syntax

replaceattributesvalue = [objectreference].ReplaceAttributes

Legal values

Always contains an instance of the Attributes class. The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to replace text attributes in Find & Replace. If set to True, replaces the text attributes that match the user setting. Equivalent to choosing Edit - Find & Replace Text, clicking Options, clicking the Font button in the "Replace options" section, and choosing text attributes.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: ReplaceFont property

 See list of classes

 See example

(Read-only) Enables the user to replace a text font in Find & Replace.

Data Type

Font

Syntax

replacefontvalue = [objectreference].ReplaceFont

Legal values

Always contains an instance of the Font class. The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to replace a font in Find & Replace. If True, replaces the font that matches the user setting. Equivalent to choosing Edit - Find & Replace Text, clicking Options, clicking the Font button in the "Replace options" section, and selecting a font in the "Font name" list box on the Replace with panel.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: ReplaceLanguage property

 See list of classes

 See example

(Read-only) Enables the user to replace the language used in Find & Replace.

Data Type

Language

Syntax

replacelanguagevalue = [objectreference].ReplaceLanguage

Legal values

Always contains an instance of the Language class.

Usage


Topics Found:

Word Pro: FindAndReplace class


Word Pro: ReviewVersions property

 See list of classes

 See example

(Read-only) An instance of the ReviewVersions class which allows you to review versions and create new versions.

Data Type

ReviewVersions

Syntax

reviewversionsvalue = [objectreference].ReviewVersions

Legal values

Always contains an instance of the ReviewVersions class.

Usage

Use this property to compare different files and versions when no document is open.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: ReviewVersions class


Word Pro: RevisionDisplay property

 See list of classes

 See example

(Read-only)

Data Type

RevisionDisplay

Syntax

revisiondisplayvalue = [objectreference].RevisionDisplay

Legal values

Always contains an instance of the RevisionDisplay class.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: RevisionMark property

 See list of classes

 See example

(Read-only)

Data Type

Revision

Syntax

revisionmarkvalue = [objectreference].RevisionMark

Legal values

Always contains an instance of the Revision class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: RightBorder property

 See list of classes

 See example

(Read-only) Allows you to access an object's right border object.

Data Type

Border

Syntax

rightbordervalue = [objectreference].RightBorder

Legal values

Always contains an instance of the Border class.

Usage

You can also use the AllBorders property in order to simultaneously access an object's BottomBorder, LeftBorder, RightBorder, and TopBorder objects.


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: RightMouseMenus property

 See list of classes

 See example

(Read-only) Menus the user gets when he right clicks the mouse over a context sensitive area.

Data Type

MenuItem

Syntax

rightmousemenusvalue = [objectreference].RightMouseMenus

Legal values

Always contains an instance of the MenuItem class.

Usage

Use this class to access the right click menus when no document is open.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: RightPage property

 See list of classes

 See example

(Read-only) The right page of a complex layout. A complex layout contains separate layouts for left and right pages.

Data Type

PageLayout

Syntax

rightpagevalue = [objectreference].RightPage

Legal values

Always contains an instance of the PageLayout class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RowLayouts property

 See list of classes

 See example

(Read-only) This object provides the names of all row layout objects within a table.

Data Type

StringCollection

Syntax

rowlayoutsvalue = [objectreference].RowLayouts

Legal values

Always contains an instance of the StringCollection class.

Usage

Row layout objects exist for rows which contain non-virgin cells. A virgin cell is a cell for which a layout object has not yet been created. A cell layout object is created when the layout settings or contents of a cell are modified.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: Rows property

 See list of classes

 See example

(Read-only) An object created from the RowLayoutCollection class. This object provides access to RowLayout objects.

Data Type

RowLayoutCollection

Syntax

rowsvalue = [objectreference].Rows

Legal values

Always contains an instance of the RowLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the RowLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the RowLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the RowLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the RowLayout objects  contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: RubyLayouts property

 See list of classes

 See example

(Read-only) An object created from the RubyLayoutCollection class. This object provides access to RubyLayout objects.

Data Type

RubyLayoutCollection

Syntax

rubylayoutsvalue = [objectreference].RubyLayouts

Legal values

Always contains an instance of the RubyLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the RubyLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the RubyLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the RubyLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the RubyLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Script property

 See list of classes

 See example

(Read-only) An instance of the Script class which is the Script Preferences available in the Script Editor.

Data Type

Script

Syntax

scriptvalue = [objectreference].Script

Legal values

Always contains an instance of the Script class.

Usage

Equivalent to the options available when you choose File - Script Preferences in the Script Editor.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: SearchAttributes property

 See list of classes

 See example

(Read-only)

Data Type

Attributes

Syntax

searchattributesvalue = [objectreference].SearchAttributes

Legal values

Always contains an instance of the Attributes class.

Usage


Topics Found:

Word Pro: FindAndReplace class


Word Pro: SearchLanguage property

 See list of classes

 See example

(Read-only)

Data Type

Language

Syntax

searchlanguagevalue = [objectreference].SearchLanguage

Legal values

Always contains an instance of the Language class.

Usage


Topics Found:

Word Pro: FindAndReplace class


Word Pro: Sections property

 See list of classes

 See example

(Read-only) An object created from the SectionCollection class. This object provides access to Section objects.

Data Type

SectionCollection

Syntax

sectionsvalue = [objectreference].Sections

Legal values

Always contains an instance of the SectionCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Section objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Section objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Section objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Section objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: SectionTabs property

 See list of classes

 See example

(Read-only) An instance of the SectionTabs class which manipulates divider tabs.

Data Type

SectionTabs

Syntax

sectiontabsvalue = [objectreference].SectionTabs

Legal values

Always contains an instance of the SectionTabs class.

Usage

Use this property to manipulate DividerTabs when a document is not open. For example, turn them on and off before you open a document.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: SelectionBorderColor1 property

 See list of classes

 See example

(Read-only) Word Pro places bars and handles around any frame that you select. The bars and handles are made up of three colors that give the frame a shaded effect. SelectionBorderColor1 stores the outermost color.

Data Type

Color

Syntax

selectionbordercolor1value = [objectreference].SelectionBorderColor1

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: SelectionBorderColor2 property

 See list of classes

 See example

(Read-only) Word Pro places bars and handles around any frame that you select. The bars and handles are made up of three colors that give the frame a shaded effect. SelectionBorderColor2 stores the middle color.

Data Type

Color

Syntax

selectionbordercolor2value = [objectreference].SelectionBorderColor2

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: SelectionBorderColor3 property

 See list of classes

 See example

(Read-only) Word Pro places bars and handles around any frame that you select. The bars and handles are made up of three colors that give the frame a shaded effect. SelectionBorderColor3 stores the innermost color.

Data Type

Color

Syntax

selectionbordercolor3value = [objectreference].SelectionBorderColor3

Legal values

Always contains an instance of the Color class.

Usage


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: SetTabsDialog property

 See list of classes

 See example

(Read-only) An instance of the SetTabsDialog class which deals with the dialog box used to set tabs in a document.

Data Type

SetTabsDialog

Syntax

settabsdialogvalue = [objectreference].SetTabsDialog

Legal values

Always contains an instance of the SetTabsDialog class.

Usage

Use this property to manipulate the Set Tabs dialog box in conjuction with the Ruler objects created in HorzRuler and VertRuler. You can use this property to bring up the Set Tabs dialog box and select a tab.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: SilverBullets property

 See list of classes

 See example

(Read-only) An object created from the SilverBulletCollection class. This object provides access to SilverBullet objects.

Data Type

SilverBulletCollection

Syntax

silverbulletsvalue = [objectreference].SilverBullets

Legal values

Always contains an instance of the SilverBulletCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the SilverBullet objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the SilverBullet objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the SilverBullet objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the SilverBullet objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: SilverBullet property

 See list of classes

 See example

(Read-only)

Data Type

SilverBullet

Syntax

silverbulletvalue = [objectreference].SilverBullet

Legal values

Always contains an instance of the SilverBullet class.

Usage


Topics Found:

Word Pro: Bullet class


Word Pro: SmartCorrects property

 See list of classes

 See example

(Read-only) An instance of the SmartCorrectCollection class.

Data Type

SmartCorrectCollection

Syntax

smartcorrectsvalue = [objectreference].SmartCorrects

Legal values

Always contains an instance of the SmartCorrectCollection class.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SmartCorrect property

 See list of classes

 See example

(Read-only) The SmartCorrect object for the currently active session of Word Pro.

Data Type

SmartCorrect

Syntax

smartcorrectvalue = [objectreference].SmartCorrect

Legal values

Always contains an instance of the SmartCorrect class.

Usage

The properties in this SmartCorrect object contain the SmartCorrect settings for Word Pro.


Topics Found:

Word Pro: WPApplication class


Word Pro: SnapShotSaveOptions property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

snapshotsaveoptionsvalue = [objectreference].SnapShotSaveOptions

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: SortLevel1 property

 See list of classes

 See example

(Read-only) Allows you to access options for the primary sort order of a multi-level sort.

Data Type

SortKey

Syntax

[objectreference].SortLevel1 = sortlevel1value

sortlevel1value = [objectreference].SortLevel1

Legal values

Always contains an instance of the SortKey class.

Usage


Topics Found:

Word Pro: SortOptions class


Word Pro: HideIconBars method

 See list of classes

 See example

Temporarily closes/hides all SmartIcons bars that are currently showing, until the context changes.

Syntax

[objectreference].HideIconBars()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

The user interface for closing icon bar objects is found in the list that displays when you click on the file drawer adjacent to an icon bar object.


Topics Found:

Word Pro: IconBarManager class


Word Pro: HideStatusBar method

 See list of classes

 See example

Hides the status bar.

Syntax

[objectreference].HideStatusBar()

Parameters

Return value

The return values for this method will always be -1 and 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: StatusBar class


Word Pro: HighlightToggle method

 See list of classes

 See example

Turns the Review & Comment tools highlighter on or off. Equivalent to clicking the Highlighter icon on the Review & Comment tools icon bar.

Syntax

[objectreference].HighlightToggle()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Hit method

 See list of classes

 See example

Syntax

[objectreference].Hit()

Parameters

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: HourGlass method

 See list of classes

 See example

Allows you to show or hide the Windows hourglass cursor.

Syntax

[objectreference].HourGlass(Show)

Parameters

Show
A Numeric expression which allows you to specify whether or not you want the hourglass cursor to show. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. There is no default value for this parameter. A value of True will show the hourglass.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Typically, you would use this method to hide the hourglass while your script is running.


Topics Found:

Word Pro: WPApplication class


Word Pro: ImportGraphic method

 See list of classes

 See example

Imports a graphic into the current document. Unlike an OLE object, you cannot use the imported graphic to launch the application that created the graphic or edit the graphic in place. However, the graphic will be updated if you change the original file and resave the Word Pro file that contains the imported graphic.

Syntax

[objectreference].ImportGraphic(FilePath, FileFormat, Link, ScratchOutFrame, [FrameStyle])

Parameters

FilePath
A String expression which specifies the directory path and name of the file which is the source of the imported graphic.

FileFormat
A String expression which specifies the file format for the graphic you are importing. The string expression for each file format is unique and registered with Microsoft Windows 95. The values listed in the table below were valid at the time of publication.

If you are importing this type of graphic:	Use this value for the FileFormat parameter:
WordProWMF	.wmf
WordProEPS	.eps
WordProPaint	.bmp
WordProImage	.tif
WordProDraw	.sdw
Boxes	.box
WordProEqn	.tex
WordProPCX	.pcx
WordProGIF	.gif
CGM	.cgm
HPGL	.plt
PCD	.pcd
DRW	.drw
CDR	.cdr
PIC	.pic
ImpWPG	.wpg
ExpSDW2WPG	.sdw
ExpWMF2WPG	.wmf
ExpBMP2WPG	.bmp
ImpWP2	.wp2
ExpSDW2WP2	.sdw
ExpWMF2WP2	.wmf
ExpBMP2WP2	.bmp
ImpJPG	.jpg
ExpJPG	.bmp
Link
An Integer value of -1 or 0 indicating whether the imported graphic will be receive updates from the original (-1) or will remain independent of the original (0). You can use the LotusScript constants of True (-1) and False (0) as the value for this parameter.

ScratchOutFrame
An Integer value which indicates whether you want to draw the new graphic frame by hand or let Word Pro draw the frame based on a frame style. If you want to draw the frame yourself, use the value of True (-1) for this parameter. If you want Word Pro to draw the frame based on an existing style, use a value of False (0) for this parameter.

FrameStyle
A String expression which specifies the frame style you want to use for the imported graphic's frame. Optional parameter. If the imported graphic is an equation and you do not specify a frame style, Word Pro will use the default equation frame style. All other imported graphics will be placed in the default GraphicOle frame style, unless you specify another frame style using this parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ImportPicture method

 See list of classes

 See example

Imports a graphic picture into the current document.

Syntax

[objectreference].ImportPicture(Path, FileFormat, Link)

Parameters

Path
Data type is String.

FileFormat
Data type is String.

Link
Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IndexAll method

 See list of classes

 See example

Syntax

[objectreference].IndexAll()

Parameters

String Formula.

String ViceVersaFormula.

String MarkerName.

Return value

Integer as Boolean.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InitControls method

 See list of classes

 See example

Syntax

[objectreference].InitControls()

Parameters

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: InitFindAndReplace method

 See list of classes

 See example

Initializes the Find & Replace utility by clearing the registers which track the number of finds and replacements. This method also sets the options for the Find & Replace function.

Syntax

[objectreference].InitFindAndReplace(UseUserSettings)

Parameters

UseUserSettings
An Integer expression which allows you to choose between the options which were last set by the user (True) and the standard default options (False). Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False (0).

Return value

None.

Usage

The default Find & Replace options in Word Pro are the options that appear the first time you perform a Find & Replace during any Word Pro session. If you change these options to perform a find or replace, Word Pro sees your new options as "user settings." Your user settings remain in effect until you change them again, at which time, your new settings will take the place of your previous settings. These user settings are discarded each time you exit Word Pro.

If you provide a value of True for the UseUserSettings parameter, you are telling Word Pro to use the last options you set for Find & Replace. A value of False tells Word Pro to use the default Find & Replace settings, regardless of the options you may choose during the current session of Word Pro.


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertBreak method

 See list of classes

 See example

Inserts a break in a ClickHere block, a TextMarker, or Text object.

Syntax

[objectreference].InsertBreak(BreakType)

Parameters

BreakType
Data type is Variant. The value of this parameter must be one of the string values below or its integer equivalent.

$LwpBreakTypeColumn (73)

$LwpBreakTypeLine (74)

$LwpBreakTypePage (72)

$LwpBreakTypeStream (76)

$LwpBreakTypeWord (75)

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertBullet method

 See list of classes

 See example

Inserts the bullet character you specify at the insertion point in the currently active document.

Syntax

[objectreference].InsertBullet(FontName, BulletChar)

Parameters

FontName
A String expression representing the name of the font from which you are getting the bullet character.

BulletChar
A String expression specifying the character used as the bullet.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertClickHereLink method

 See list of classes

 See example

Opens the Create Link dialog box so the user can insert a ClickHereLink. Equivalent to choosing Create - Click Here Block, choosing "Follow a Link" in "Behavior,"and clicking Link.

Syntax

[objectreference].InsertClickHereLink()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertClickHere method

 See list of classes

 See example

Inserts a ClickHere block in a document.

Syntax

[objectreference].InsertClickHere()

Parameters

None

Return value

A String representing the name of the ClickHere object which was inserted.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertColumnBreak method

 See list of classes

 See example

Inserts a column break in a document.

Syntax

[objectreference].InsertColumnBreak()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

A column break breaks a page, a parallel column, or a table across a page.


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertDate method

 See list of classes

 See example

Inserts a date at the insertion point. You can specify the date format with the Date parameter. Equivalent to choosing Text - Insert Other - Date/Time.

Syntax

[objectreference].InsertDate(Date)

Parameters

Date
A String expression representing the date formula. A date formula specifies the contents and format of the date you are inserting. You can use one of the preset date or time formulas (%D or %T), or you can create a custom formula (%FL or %FC). The table below illustrates the general composition of a preset Date formula, a preset Time formula, and two custom date formulas for a document that was first saved on Saturday, January 8, 1997 at 9:01:05 AM.

This formula...	...yields this result
"CreateDate %Da"	1/8/97
"CreateDate %T3"	09:01AM
"CreateDate %FLWeekday, M/D/YY, HH:mm ampm"	Saturday, 1/8/97, 09:01 AM
"CreateDate %FCWeekday, M/D/YY, HH:mm ampm"	SATURDAY, 1/8/97, 09:01 AM
Only one of the preset date formulas uses leading zeros. To get leading zeros on dates, you must create your own formula, using the "%FL" or "%FC." Both preset and custom formulas must begin with a reference to a specific date. The date includes the time.

This date...	...yields this:
Now()	The current system date and time.
CreateDate	The date and time the document was first saved.
EditDate	The date and time the document was last saved.
After choosing a date, you then add the date formula to indicate what parts of the date and time you want to display. You can use one preset date (%D) or one preset time (%T), but you cannot combine them. To display both date and time, you must use a custom date formula (%FL or %FC). When you use a custom date formula (%FC or %FL), you can include as many or as few of the custom elements as you like, in any order you like, and with any additional text or punctuation you want.

Note	All custom formula elements are case-sensitive. Using a different case than that shown in the table above will yield unpredictable results.

All sample dates and times in the table below reflect the CreateDate for a document that was first saved on Saturday, January 8, 1997 at 9:01:05 AM.

Pre-set Formula	Equivalent Custom Formula	Sample
%Da	%FLM/D/YY	1/8/97
%Db	Month D, YYYY	January 8, 1997
%DB	Month D, YYYY	JANUARY 8, 1997
%Dc	D Month YYYY	8 January 1997
%DC	D Month YYYY	8 JANUARY 1997
%Dd	Weekday, Month D, YYYY	Saturday, January 8, 1997
%DD	Weekday, Month D, YYYY	SATURDAY, JANUARY 8, 1997
%De	Month D	January 8
%DE	Month D	JANUARY 8
%Df	Weekday, Month D	Saturday, January 8
%DF	Weekday, Month D	SATURDAY, JANUARY 8
%Dg	M/D	1/8
%Dh	M/D/YYYY	1/8/1997
%Di	D. Month	8. January
%DI	D. Month	8. JANUARY
%Dj	D. Month YYYY	8. January 1997
%DJ	D. Month YYYY	8. JANUARY 1997
%Dk	YYYY Month D	1997 January 8
%DK	YYYY Month D	1997 JANUARY 8
%Dl	Month, YYYY	January, 1997
%DL	Month, YYYY	JANUARY, 1997
%Dm	DD/MM/YYYY	08/01/1997
%T1	HH:mm	09:01 (leading zero on hour)
%T2	H:mm ampm	9:01AM
%T3	HH:mm ampm	09:01AM (leading zero on hour)
%T4	(none)	9:01A
%T5	(none)	09:01A (leading zero on hour)
%T6	H:mm ampm	9:01am
%T7	HH:mm ampm	09:01am (leading zero on hour)
%T8	(none)	9:01a
%T9	(none)	09:01a (leading zero on hour)
Custom formula element	Description	Sample
%FL	Begins a mixed case date formula (after a specific date, such as CreateDate).	Saturday, January 1, 1997
%FC	Begins an uppercase date formula (after a specific date, such as CreateDate).	SATURDAY, JANUARY 1, 1997
SystemShortDate	Returns the date in the Short Date format which is specified in the Date panel of the Regional Settings control panel.	(See the Date panel in your Regional Settings control panel)
SystemLongDate	Returns the date in the Long Date format which is specified in the Date panel of the Regional Settings control panel.	(See the Date panel in your Regional Settings control panel)
ISODate1	Returns the date in the ISODate1 format.	1997/01/08
ISODate2	Returns the date in the ISODate2 format.	1997/01/08 09:01:05
Month	Returns the entire month name.	January
Mn	Returns an abbreviated month name.	Jan
Weekday	Returns the entire weekday name.	Saturday
Wday	Returns an abbreviated weekday name.	Sat
D	Returns the day digit.	8
DD	Returns the day digit with leading zero.	08
M	Returns the month digit.	1
MM	Returns the month digit with leading zero.	01
YY	Returns the abbreviated year.	97
YYYY	Returns the entire year.	1997
H	Returns the hour.	9
HH	Returns the hour with leading zero.	09
m	Returns the minutes.	1
mm	Returns the minutes with leading zero.	01
S	Returns the seconds.	5
SS	Returns the seconds with leading zero.	05
ampm	Uses the 12-hour clock and appends the AM/PM indicator.	AM
Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertDocInfo method

 See list of classes

 See example

Inserts a document information field at the insertion point in the currently active document. This method operates in the same way, regardless of which object you call it from. The document information fields can be seen on the Fields panel of the Document Properties dialog box (choose File - Document Properties - Document).

Syntax

[objectreference].InsertDocInfo(Type,[FieldName])

Parameters

Type
The type of document information field you want to insert. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpDocVarAllversionnames (210) The names of the different versions of the currently active document.

$LwpDocVarCreatedby (2046) The name of the user who created the currently active document.

$LwpDocVarDatecreated (196) The date the currently active document was created.

$LwpDocVarDatelastrevision (197) The date the currently active document was last revised.

$LwpDocVarDescription (195) The contents of the "Description" field for the currently active document.

$LwpDocVarDivisionname (203) The name of the active division in the currently active document.

$LwpDocVarDoccategory (212) The value of the "Document category" field.

$LwpDocVarDocsize (202) The size of the currently active document.

$LwpDocVarField (191) Use this value with the FieldName parameter to insert a custom Doc.Field which you create.

$LwpDocVarFilename (192) The name of the currently active document.

$LwpDocVarKeywords (215) The keywords listed in the "Keywords" field for the currently active document.

$LwpDocVarLasteditor (2047) The initials of the last user who edited the currently active document.

$LwpDocVarNumchars (201) The number of characters stored in the currently active document.

$LwpDocVarNumpages (199) The number of pages in the currently active document.

$LwpDocVarNumversions (209) The number of versions of the currently active document.

$LwpDocVarNumwords (200) The number of words in the currently active document.

$LwpDocVarOthereditors (2048) The initials of all the users who have edited the currently active document.

$LwpDocVarOtherversionededitors (207) The other editors for the currently active version of this document.

$LwpDocVarPath (193) The location of the currently active document.

$LwpDocVarSectionname (204) The name of currently active section. If the insertion point is not in a named section, this value yields no result.

$LwpDocVarStylesheet (194) The name of the SmartMaster used for the currently active document.

$LwpDocVarTotaledittime (198) The total amount of time that the currently active document has been open for editing.

$LwpDocVarVersioncreatedate (206) The date on which this version of the currently active document was created.

$LwpDocVarVersioncreatedby (205) The name of the user who created the currently active version of the active document.

$LwpDocVarVersionlasteditdate (213) The date on which the currently active version was last edited.

$LwpDocVarVersionlasteditedby (214) The name of the user who last edited the currently active version of the active document.

$LwpDocVarVersionname (208) The name of the currently active version of the active document.

$LwpDocVarVersionnumrevisions (2049) The number of revisions made to the currently active version of the active document.

$LwpDocVarVersionremarks (211) The contents of the "Version Remarks" field for the currently active document.

FieldName
An optional String expression representing the name of the custom DocField that you want to insert. To insert a custom DocField, you must use $LwpDocVarField as the value for the Type parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can call this method from the following types of objects:

WPApplication

ClickHere

Text

TextMarker


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: InsertDocument method

 See list of classes

 See example

Inserts a document in the Word Pro application.

Syntax

[objectreference].InsertDocument([FilePath,] [FileType,] [Password,] [AddToLastFileOpenList,] [Restore])

Parameters

FilePath
An optional String expression which specifies the name and location of the document you want to insert.

FileType
An optional String expression representing the file type of the document you want to insert.

Password
An optional String expression representing the password of the document you want to insert.

AddToLastFileOpenList
Allows you to add the inserted document to the list of recently opened files. This list appears in the File menu in Word Pro. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False.

Restore
Allows you to restore the original position of the insertion point. A value of True places your insertion point at the beginning of the inserted document. A value of False leaves insertion point at end of the inserted document. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertField method

 See list of classes

 See example

Inserts a Power Field in a document.

Syntax

[objectreference].InsertField(Formula)

Parameters

Formula
A String expression representing the Power Field instructions.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertFootnote method

 See list of classes

 See example

Inserts a footnote at the insertion point in the currently active document.

Syntax

[objectreference].InsertFootnote([FootnoteType])

Parameters

FootnoteType
Use one of the values listed below to specify which type of footnote you want to insert. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpFnTypeAnyposition (289) Allows the footnote to flow with the footnote anchor.

$LwpFnTypeAtBottomOfPage (290) Places the footnote at the bottom of the page.

$LwpFnTypeAtEndOfDiv (293) Places the footnote at the end of the division which contains the footnote anchor.

$LwpFnTypeAtEndOfDivisionSepDiv (294) Places the footnote in a separate division at the end of the division which contains the footnote anchor.

$LwpFnTypeAtEndOfDivisionGroup (295) Places the footnote at the end of the division group which contains the footnote anchor.

$LwpFnTypeAtEndOfDivGroupSepDiv (296) Places the footnote in a separate division at the end of the division group which contains the footnote anchor.

$LwpFnTypeAtEndOfDoc (291) Places the footnote at the end of the document which contains the footnote anchor.

$LwpFnTypeAtEndOfDocSepDiv (292) Places the footnote in a separate division at the end of the document which contains the footnote anchor.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertFrame method

 See list of classes

 See example

Creates a frame using the dimensions you provide in the parameters.

Syntax

[objectreference].InsertFrame(Width, Height, X, Y)

Parameters

Width
A Numeric expression which specifies the width of the frame in Twips. Data type is Long.

Height
A Numeric expression which specifies the height of the frame in Twips. Data type is Long.

X
The position of the frame's upper left corner on the X (horizontal) axis. Data type is Long; measured in Twips.

Y
The position of the frame's upper left corner on the Y (vertical) axis. Data type of Long; measured in Twips.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertHardSpace method

 See list of classes

 See example

Inserts a hard space in a specified location of the document.

Syntax

[objectreference].InsertHardSpace()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertIndex method

 See list of classes

 See example

Inserts an index in the currently active document. By default, this method inserts an index at the end of the doucment in a separate division, based on the default SmartMaster (default.mwp). The default index derives its entries from the entire document.

Syntax

[objectreference].InsertIndex([IndexGeneration,] [IndexLocation,] [UseSeparateDivision,] [SmartMasterName])

Parameters

IndexGeneration
Specifies the scope of the new index in terms of where the index will look for its index entries. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is $LwpGenerateAcrossEntireDoc, which generates an index for the entire document.

$LwpGenerateAcrossCurrentDiv (414) Generates an index using entries found in the current division.

$LwpGenerateAcrossCurrentSect (415) Generates an index using entries found in the current section.

$LwpGenerateAcrossEntireDoc (412) Generates an index using all the entries in the currently active document.

$LwpGenerateAcrossGroupedDivs (413) Generates an index using entries found in the currently active group of divisions.

$LwpGenerateAcrossSelectedText (416) Generates an index using entries found in the current selection.

IndexLocation

Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is $LwpIndexLocationEndofdoc, which places the new index at the end of the document.

$LwpIndexLocationEndofdivision (418) Places the new index at the end of the currently active division.

$LwpIndexLocationEndofdoc (417) Places the new index at the end of the currently active document.

$LwpIndexLocationEndofgroup (419) Places the new index at the end of the currently active group of divisions.

$LwpIndexLocationEndofsection (421) Places the new index at the end of the currently active section.

$LwpIndexLocationInsertionpoint (420) Places the new index at the insertion point.

UseSeparateDivision
A Numeric expression which allows you to place the new index in a separate division. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is True which places the new index in its own division.

SmartMasterName
An optional String expression representing the name of the SmartMaster used for the index division.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertLink method

 See list of classes

 See example

Inserts a Dde link into a document.

Syntax

[objectreference].InsertLink(MarkerName, Server, Topic, Item)

Parameters

MarkerName
A String expression representing the internal name of the marker designating the link. You must create the marker before using this method. Required parameter.

Server
A String expression representing the specific server where you want to insert the link. Required parameter.

Topic
A String expression representing the link topic. Required parameter.

Item
A String expression representing the name of the item to be linked. Required parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method always uses a rich text format. Update data only  value is always False (0). If you want to insert a link, the AddDdeLink method is recommended instead of this method because the additional parameters found in the Add DdeLink method give you more control.


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: InsertMarker method

 See list of classes

 See example

Inserts an object in a document that displays as a symbol indicating functions such as page break, column break or an inserted page layout.

Syntax

[objectreference].InsertMarker(MarkerName)

[objectreference].InsertMarker(MarkerName)

Parameters

MarkerName
A String expression representing the name of the marker you want to insert.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: InsertNote method

 See list of classes

 See example

Inserts a note at the insertion point. The focus is left inside the note so the user can start typing. Equivalent to choosing Create - Comment Note.

Syntax

[objectreference].InsertNote()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertNumber method

 See list of classes

 See example

Inserts a number (integer) into a document.

Syntax

[objectreference].InsertNumber(NumberingStyle, Char, Level, [Start])

Parameters

NumberingStyle
Data type is Variant which must be one of the following numbering styles listed below. You can use the string or its integer equivalent as the value of this parameter.

$LwpNumberingStyleBasic (1588)

$LwpNumberingStyleChar (1593)

$LwpNumberingStyleFullpitchbasic (1594)

$LwpNumberingStyleFullpitchlowercase (1597)

$LwpNumberingStyleFullpitchuppercase (1596)

$LwpNumberingStyleFullpitchverbasic (1595)

$LwpNumberingStyleLowercaseletters (1590)

$LwpNumberingStyleLowercaseroman (1592)

$LwpNumberingStyleNone (1587)

$LwpNumberingStyleUppercaseletters (1589)

$LwpNumberingStyleUppercaseroman (1591)

Char
A Numeric expression representing the character you want to insert. You can use an integer as the numeric expression.

Level
A Numeric expression indicating which level to assign the page number. You can use an integer as the numeric expression.

Start
An optional Numeric expression that allows you to start numbering from 0. Default is 0. You must use an Integer as the numeric expression.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertOleDivision method

 See list of classes

 See example

Inserts an OLE division in a Word Pro document. Equivalent to choosing Create - Division and clicking Create OLE Division.

Syntax

[objectreference].InsertOleDivision(DivisionLocation, OleAction, ClassName, Path[, Parent][,Neighbor])

Parameters

DivisionLocation
Specifies where the OLE division will be inserted. Data type is Variant so you can use either one of the string values or its numeric equivalent (in parentheses) as the value of this parameter.

$LwpDivLocInsertAfterCurrentdiv (185) Inserts the OLE division before the current division.

$LwpDivLocInsertAtInsertionPt (186) Inserts the OLE division at the insertion point, splitting the current division.

$LwpDivLocInsertBeforeCurrentdiv (184) Inserts the OLE division after the current division.

OleAction
Allows you to specify how you want to create the OLE division contents. Data type is Variant so you can use one of the string expressions listed below or its numeric equivalent (in parentheses) as the value of this parameter.

$LwpOleActionClipboardembedded (1604) Creates an embedded OLE object using the current contents of the Clipboard.

$LwpOleActionClipboardlink (1605) Creates a linked OLE object using the current contents of the Clipboard.

$LwpOleActionCreateembedded (1603) Creates an embedded OLE object using the file you specify in the Path parameter.

$LwpOleActionCreatelink (1602) Creates a linked OLE object using the file you specify in the Path parameter.

$LwpOleActionCreatenew (1601) Creates a new OLE object using the server application you specify in the ClassName parameter.

ClassName
A String expression which specifies the type of OLE object you are creating. You must provide this information so Word Pro knows how to create the OLE object. The type of object is expressed as the ClassID or ProgID for the application which creates that type of object. (The application used to create an OLE object is often referred to as the server application.) For example, a Lotus Freelance 96 Presentation has a ClassID of "{CF746000-94FB-101B-8C12-02608C454BFF}" and a ProgID of  "FLW3Presentation."

Here are the server application IDs for some other SmartSuite application objects:

1-2-3 Worksheet

ClassID = {00045295-0000-0000-C000-000000000046}

ProgID = 123Worksheet

Launches 1-2-3 and opens an untitled worksheet.

Lotus Approach 96 Report

ClassID = {00028703-0000-0000-C000-000000000046}

ProgID = ApproachReport

Launches Approach 96 and prompts the user to select an existing database from which to create the report. Once the database is open, the Report Assistant opens and waits for the user to create the report.

Lotus Approach 96 Application

ClassID = {00028701-0000-0000-C000-000000000046}

ProgID = ApproachApplication

Launches Approach 96 and prompts the user to select an existing database.

Lotus Freelance 96 Presentation

ClassID = {CF746000-94FB-101B-8C12-02608C454BFF}

ProgID = FLW3Presentation

Launches Freelance 96 and prompts the user with the New Presentation dialog box.

Lotus Freelance 96 Drawing

ClassID = {CF746001-94FB-101B-8C12-02608C454BFF}

ProgID = FLW3Drawing

Launches Freelance 96 and opens a new presentation with one blank page.

Lotus ScreenCam Movie 2.1

ClassID = {00041920-0000-0000-C000-000000000046}

ProgID = ScreenCamMoviev2

Launches ScreenCam 2.1 and displays the ScreenCam control panel for the user to start a recording.

You can find the ClassIDs and ProgIDs for other server applications in the Windows Registry for Windows 3.1 and Windows 95.

Path
A String expression which specifies the name and path of the source file you want to use for the OLE division. Use this parameter when you use $LwpOleActionCreateembedded (1603) or $LwpOleActionCreatelink (1602) as the value for the OleAction parameter. If you use any other value for OleAction, you must use a Null string ("")as the value for Path.

Parent
A String expression which allows you to specify the name of the division which you want to be a parent for the OLE division. If you include this parameter, Word Pro inserts the OLE division as a child division to the division you name here.

Neighbor
A String expression which allows you to specify the name of the division which you want to be a neighbor for the OLE division. If you include this parameter, Word Pro inserts the OLE division next to the division you name here.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

An OLE division is seen by Word Pro as a part of the Word Pro document. However, when you click the division tab for an OLE division, Word Pro launches the server application for the division's source file.


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertOne method

 See list of classes

 See example

Inserts a tab in a document and allows you to indicate the following tab properties: twips position, tab type, tab leader, and relative tab type.

Syntax

[objectreference].InsertOne(Position, TabType, LeaderType, RelativeType, AlignChar)

Parameters

Position
Data type is Twips. Position of the tab measured in twips.

TabType
Data type is Variant. One of the four types of tabs listed below. You can use the string or its code as the value of this parameter.

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

LeaderType
Data type is Variant. One of the three tab leader types listed below. You can use the string or its code as the value of this parameter.

$LwpTabLeaderDot (1857)

$LwpTabLeaderHyphen (1856)

$LwpTabLeaderLine (1858)

$LwpTabLeaderNone (1855)

RelativeType
Data type is Variant. One of the three relative tab types listed below. You can use the string or its code as the value of this parameter.

$LwpTabRelativeCenter (1862)

$LwpTabRelativeLeft (1860)

$LwpTabRelativeRight (1861)

AlignChar
A Numeric expression representing the tab alignment character. You must use an integer as the numeric expression.

Return value

Usage


Topics Found:

Word Pro: TabRack class


Word Pro: InsertPageBreak method

 See list of classes

 See example

Inserts a page break in the document.

Syntax

[objectreference].InsertPageBreak()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertPageLayout method

 See list of classes

 See example

Inserts a page layout at the insertion point. Use the LayoutStyleName parameter to specify the page style and the StartType parameter to specify where the new page begins.

Syntax

[objectreference].InsertPageLayout(LayoutStyleName, [UsePrevHeaderText,] [UsePrevFooterText,] [StartType])

Parameters

LayoutStyleName
A String expression representing the name of the page style you want to use for the new page layout.

UsePrevHeaderText
A Numeric expression indicating whether or not you want the new page to use previous header text. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False, which does not use the header text from the previous page layout.

UsePrevFooterText
A Numeric expression indicating whether or not you want the new page to use previous footer text. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False, which does not use the footer text from the previous page layout.

StartType
Specifies where you want to start the new page layout. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is $LwpStartTypeThispage.

$LwpStartTypeNextevenpage (1827) Starts the new page layout on the next even-numbered page.

$LwpStartTypeNextoddpage (1826) Starts the new page layout on the next odd-numbered page.

$LwpStartTypeNextpage (1824) Starts the new page layout on the next page.

$LwpStartTypeThispage (1825) Starts the new page layout on the current page.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertPageNumber method

 See list of classes

 See example

Inserts a page number.

Syntax

When called from the WPApplication class:
[objectreference].InsertPageNumber([NumberingStyle,] [BeforeText,] [AfterText,] [StartingNumber,] [StartOnPage,] [Flags])

When called from the Text class:
[objectreference].InsertPageNumber(NumberingStyle, BeforeText, AfterText, StartingNumber, StartOnPage, Flags)

Parameters

NumberingStyle
Specifies the numbering style for the page number you are inserting. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). When called from the WPApplication object, this is an optional parameter with a default of $LwpNumberingStyleBasic.

$LwpNumberingStyleBasic (1588)

$LwpNumberingStyleChar (1593)

$LwpNumberingStyleFullpitchbasic (1594)

$LwpNumberingStyleFullpitchlowercase (1597)

$LwpNumberingStyleFullpitchuppercase (1596)

$LwpNumberingStyleFullpitchverbasic (1595)

$LwpNumberingStyleLowercaseletters (1590)

$LwpNumberingStyleLowercaseroman (1592)

$LwpNumberingStyleNone (1587)

$LwpNumberingStyleUppercaseletters (1589)

$LwpNumberingStyleUppercaseroman (1591)

BeforeText
The text you want Word Pro to place before the page number. Data type is String. When called from the WPApplication object, this is an optional parameter.

AfterText
The text you want Word Pro to place after the page number. Data type is String. When called from the WPApplication object, this is an optional parameter.

StartingNumber
An Integer which specifies the starting page number. For example, if you use 5 as the value for this parameter, Word Pro will use 5 as the first page number, regardless of the page on which you place the first page number. When called from the WPApplication object, this is an optional parameter with a default of 0.

StartOnPage
An Integer which specifies the page on which the starting page number will appear. For example, if you use 1 as the value for this parameter, Word Pro will place the starting page number (specified in StartingNumber parameter) on the first page in your document. When called from the WPApplication object, this is an optional parameter with a default of 0.

Flags
Data type is Variant which allows the value of this parameter to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these constants when you want Word Pro to combine the features listed below. Use the OR operator to combine constants. When called from the WPApplication object, this is an optional parameter with a default of LwpPageNumberFlagsDefault.

LwpPageNumberFlagsDefault (&H0) Runs the page numbers from the starting page to the end of the document.

LwpPageNumberFlagsIncludebefore (&H4) Runs the page numbers for the entire document, regardless of where the insertion point is.

LwpPageNumberFlagsIncludedivname (&H2) Includes the division name with the page number.

LwpPageNumberFlagsIncludesecname (&H1) Includes the section name with the page number.

LwpPageNumberFlagsResetondivision (&H20) Resets the page numbers at the beginning of each new division.

LwpPageNumberFlagsResetonsection (&H10) Resets the page numbers at the beginning of each new section.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Call this method from the WPApplication object when you want to insert page numbers into the currently active document. If you accept all the default values for the parameters, Word Pro starts the page numbers with 1 on the first page of your document and no text before or after the page number. The page numbers will continue throughout the document.

Call this method from the Text object when you want to insert page numbers into a specific Text object in a specific place.

This method appears on TextMarker and ClickHere objects because these objects inherit the method from the Marker class. Do not call this method from a TextMarker or ClickHere object.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: InsertPath method

 See list of classes

 See example

Inserts path(s) or file(s) in the Word Pro Preferences dialog box.

Syntax

[objectreference].InsertPath(PathSelection, Path, [Path2,][Path3,][Path4,][Path5])

Parameters

PathSelection
Indicates which path or file you are setting. Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSetDocumentsPath = 2081

$LwpSetSmartmasterPath = 2082

$LwpSetScriptPath = 2083

$LwpSetSmarticonPath = 2084

$LwpSetBackupPath = 2085

$LwpSetUserdictPath = 2086

$LwpSetUserdictFile = 2087

$LwpSetGlossaryPath = 2088

$LwpSetGlossaryFile = 2089

Path
A String expression.

Path2
A String expression. Optional parameter.

Path3
A String expression. Optional parameter.

Path4
A String expression. Optional parameter.

Path5
A String expression. Optional parameter.

Return value

Data type is Boolean.

Usage


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: InsertRowOrColumn method

 See list of classes

 See example

Inserts a new row or column into a table object.

Syntax

[objectreference].InsertRowOrColumn(TableInsType, InsertAfter, NumToInsert, [Position,] [CopyCellStyle])

Parameters

TableInsType

The value of this Variant parameter must be one of the strings below or its numeric equivalent.

Value	Effect
$LwpTableInsTypeRow (1875)	Indicates that the method should insert rows.
$LwpTableInsTypeColumn (1876)	Indicates that the method should insert columns.
InsertAfter

A Boolean expression that controls whether the new row or column will be inserted after the row or column specified in the Position parameter. If no value is specified in the Position parameter, the rows or columns will be inserted in relation to the current selection.

NumToInsert

An Integer value which specifies the number of rows or columns to insert.

Position

An optional Integer value which specifies the ID of the row or column next to which new items should be inserted. The default value of this parameter is the current row or column ID.

CopyCellStyle

A Boolean value which specifies whether or not to copy the cell style from the row or column specified in the Position parameter. If no value is specified for the Position parameter, the cell style of the row or column in the current selection will be used. This is an optional parameter, and the default value is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: InsertRuby method

 See list of classes

 See example

This method is implemented only in the Asian-language versions of Word Pro.


Topics Found:

Word Pro: WPApplication class


Word Pro: InsertSection method

 See list of classes

 See example

Inserts a new section marker at the insertion point in the currently active division of a document. When called from a SectionTabs object, this method accepts no parameters.

Syntax

From the WPApplication object:

[objectreference].InsertSection([StyleName,][UsePrevHeaderText,] [UsePrevFooterText,] [StartType,] [IsCreateIndex,][ShowTab])

From a SectionTabs object:

[objectreference].InsertSection()

Parameters

StyleName
A String expression which specifies the name of the page style you want to use for the new section. Optional parameter. If you do not provide a page style name, Word Pro will use the page style on the currently active page.

UsePrevHeaderText
Allows you to use the header text from the previous section or start a new header. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False.

UsePrevFooterText
Allows you to use the footer text from the previous section or start a new footer. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False.

StartType
An optional parameter which allows you to specify how the new section will begin. Default is $LwpStartTypeThispage. Data type is Variant which allows you to use one of the string values below or its numeric equivalent (in parentheses).

$LwpStartTypeNextevenpage (1827) Starts the new section on the next even-numbered page.

$LwpStartTypeNextoddpage (1826) Starts the new section on the next odd-numbered page.

$LwpStartTypeNextpage (1824) Starts the new section on the next page.

$LwpStartTypeThispage (1825) Starts the new section on the currently active page.

IsCreateIndex
Allows you to indicate whether the new section is an index section or a normal section. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False.

ShowTab
Allows you to show or hide the new section's tab. A value of True will show the tab while a value of False will hide the tab. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: SectionTabs class

Word Pro: WPApplication class


Word Pro: InsertSpecialTab method

 See list of classes

 See example

Inserts a tab in the horizontal ruler.

Syntax

[objectreference].InsertSpecialTab([ p1,] [TabType,] [LeaderType,] [RelativeType,] [AlignChar])

Parameters

P1
Data type is Variant. Optional parameter.

TabType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

LeaderType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabLeaderDot (1857)

$LwpTabLeaderHyphen (1856)

$LwpTabLeaderLine (1858)

$LwpTabLeaderNone (1855)

RelativeType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabRelativeCenter (1862)

$LwpTabRelativeLeft (1860)

$LwpTabRelativeRight (1861)

AlignChar
A Numeric expression. Optional parameter. The number must be an integer.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertTab method

 See list of classes

 See example

Inserts a tab in the horizontal ruler.

Syntax

[objectreference].InsertTab([ p1,] [TabType,] [LeaderType,] [RelativeType,] [AlignChar])

Parameters

P1
Data type is Variant. Optional parameter.

TabType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

LeaderType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabLeaderDot (1857)

$LwpTabLeaderHyphen (1856)

$LwpTabLeaderLine (1858)

$LwpTabLeaderNone (1855)

RelativeType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTabRelativeCenter (1862)

$LwpTabRelativeLeft (1860)

$LwpTabRelativeRight (1861)

AlignChar
A Numeric expression. Optional parameter. The number must be an Integer.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertText method

 See list of classes

 See example

Inserts text in a document.

Syntax

[objectreference].InsertText(Text, [Split,] [TextType,])

Parameters

Text
Data type is String.

Split
Allows you to create a new paragraph at the end of the inserted text. Data type is Boolean. Optional parameter. Default is False.

TextType
Data type is Variant. Optional parameter. Default value is "$LwpTextTypeRoman." The value of this parameter must be one of the strings below or its code equivalent.

$LwpTextTypeHkatakana (1939)
Single-byte Japanese.

$LwpTextTypeKanji (1938)
Double-byte kanji Japanese.

$LwpTextTypeNative (2014)
we try to figure out what this is

$LwpTextTypeRawUnicode (1940)
What can be converted to the native Windows.

$LwpTextTypeRoman (1937)
English text.

$LwpTextTypeUnicode (1936)
Unicode.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: InsertTOC method

 See list of classes

 See example

Inserts a Table of Contents (TOC) in the currently active document. By default, this method inserts a TOC at the beginning of the document in a separate division based on the default SmartMaster (default.mwp). The default TOC derives its entries from the entire document.

Syntax

[objectreference].InsertTOC([TOCGeneration,] [TOCPlacement,] [UseSeparateDivision,] [SmartMasterName])

Parameters

TOCGeneration
Specifies the scope of the new TOC in terms of where the TOC will look for its TOC entries. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). Default is $LwpGenerateAcrossEntireDoc, which generates a TOC for the entire document.

$LwpGenerateAcrossCurrentDiv (414) Generates a TOC using entries found in the current division.

$LwpGenerateAcrossCurrentSect (415) Generates a TOC using entries found in the current section.

$LwpGenerateAcrossEntireDoc (412) Generates a TOC using all the entries in the currently active document.

$LwpGenerateAcrossGroupedDivs (413) Generates a TOC using entries found in the currently active group of divisions.

$LwpGenerateAcrossSelectedText (416) Generates a TOC using entries found in the current selection.

TOCPlacement
Data type is Variant. Optional parameter. Default is $LwpTOCPlacementBeginofdoc. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTOCPlacementBeginofdivision (1842) Places the new TOC at the beginning of the currently active division.

$LwpTOCPlacementBeginofdoc (1841) Places the new TOC at the beginning of the currently active document.

$LwpTOCPlacementBeginofgroup (1843) Places the new TOC at the beginning of the currently active group of divisions.

$LwpTOCPlacementBeginofsection (1845) Places the new TOC at the beginning of the currently active section.

$LwpTOCPlacementInsertionpoint (1844) Places the new TOC at the insertion point in the currently active document.

UseSeparateDivision
A Numeric expression which allows you to place the new TOC in a separate division. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is True, which places the new TOC in its own division.

SmartMasterName
An optional String expression representing the name of the SmartMaster used for the TOC division.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: InternalCopy method

 See list of classes

 See example

Copies the selected items into either the AppFoundry or the TempFoundry property on WPApplication. Unlike the Copy command found on the Edit menu, the selected items are not placed in the external Windows Clipboard.

Syntax

[objectreference].InternalCopy(Temporary)

Parameters

Temporary
Optional parameter which uses a Boolean Integer value to indicate whether you want the selected items copied into the temporary Foundry object in the TempFoundry property (True or -1), or the standard application Foundry object, located in the AppFoundry property on WPApplication (False or 0). Default of False (0) sends all the copied items to the AppFoundry property.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

The Foundry object located in the AppFoundry property is the usual place where things are stored during the copy process. Word Pro automatically clears the contents of AppFoundry and TempFoundry each time you use the InternalCopy method.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: InternalCut method

 See list of classes

 See example

Deletes the selected items from the document and places them in the AppFoundry or TempFoundry property on WPApplication. Unlike the Cut command found on the Edit menu, the selected items are not placed in the external Windows Clipboard.

Syntax

[objectreference].InternalCut(Temporary)

Parameters

Temporary
Optional parameter which uses a Boolean integer value to indicate whether you want the selected items copied into the temporary Foundry object in the TempFoundry property (True or -1), or the standard application Foundry object, located in the AppFoundry property on WPApplication (False or 0). Default of False (0) sends all the copied items to the AppFoundry property.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

The Foundry object located in the AppFoundry property is the usual place where things are stored during the copy process. Word Pro automatically clears the contents of AppFoundry and TempFoundry each time you use the InternalCut method.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: InternalPaste method

 See list of classes

 See example

Pastes items from the specified Foundry object into the active document. Unlike the Paste command found on the Edit menu, the pasted items are drawn from the Foundry object, not the external Windows Clipboard.

Syntax

[objectreference].WPApplication.InternalPaste(FoundryType)

[objectreference].ClickHere.InternalPaste([FoundryType])

[objectreference].TextMarker.InternalPaste([FoundryType])

[objectreference].Text.InternalPaste([FoundryType])

Parameters

FoundryType
A String or Integer value used to specify the Foundry object used as the source for the paste operation. Data type is Variant which allows you to use one of the strings below or its numeric equivalent (in parentheses).

$LwpFoundryTypeApplication (346) Specifies the AppFoundry property on WPApplication as the source for the paste.

$LwpFoundryTypeDocument (345) Specifies the Foundry property on Division as the source for the paste.

$LwpFoundryTypeTemporary (347) Specifies the TempFoundry property on WPApplication as the source for the paste.

When you call InternalPaste from WPApplication, there is no default value. You must provide one of the values listed above. However, when you call InternalPaste from a ClickHere, Text, or TextMarker object, this parameter uses the default value of $LwpFoundryTypeApplication. You can override the default if you choose.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: InvalidateButton method

 See list of classes

 See example

Cause the status bar button to be repainted (refreshed). This method forces the repaint by processing the written routine.

Syntax

[objectreference].InvalidateButton()

Parameters

Return value

Integer. Always returns True.

Usage

You can change or update the button. When the button is invalidated, an event is emitted. If it is a text button (LwpButtonTypeText), the StatusBarButtonOverrideText event occurs. If it is a graphic button (LwpButtonTypeGraphics), the StatusBarButtonOverrideGraphic event occurs. If it is a text and graphic button, the StatusBarButtonOverrideTextAndGraphic event occurs.

If you do not respond to the events for a custom button that has been invalidated, it will be blank.

Note	If the text on the status bar button is never going to change, you can use the LwpButtonNoTextFromHost (&H800) parameter when the button is created.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: InvalidateWholeBar method

 See list of classes

 See example

Repaints (refreshes) the entire status bar.

Syntax

[objectreference].InvalidateWholeBar()

Parameters

Return value

The return values for this method will always be -1 and 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this method after you add or delete a button on the status bar to invalidate or refresh the bar, so that the new addition or deletion can display.


Topics Found:

Word Pro: StatusBar class


Word Pro: Invalidate method

 See list of classes

 See example

Syntax

[objectreference].Invalidate()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: IsDataNameUsed method

 See list of classes

 See example

Determines if the data name for an object is being used.

Syntax

[objectreference].IsDataNameUsed(DataName)

Parameters

DataName
A variable name in the data set. DataName is a string expression.

Return value

Integer. This method returns True (-1) if the data name for an object is being used. This method returns False (0) if the data name for an object is not being used.

Usage

This method allows you to see if  the data set is using a particular data name.


Topics Found:

Word Pro: ScriptDataSet class

Word Pro: WPDataSet class


Word Pro: IsEmpty method

 See list of classes

 See example

Indicates whether or not a collection contains any items.

Syntax

[objectreference].IsEmpty()

Parameters

Return value

This method returns a long value of 1 or 0 indicating whether or not the specified collection object contains items.

Usage

Use this method to determine whether or not a specific collection object currently contains any items. If the method returns 1, then the collection object does not contain items. If the method returns 0, then the collection object does contain items.

Collections and layout objects

Collections that store user created layout objects also store default layout objects. A default layout object is represented by a style in Word Pro. For example, when you look at the Style panel in the InfoBox, you will see a Default Frame style for frame objects, a Default Cell style for cell objects, and so on.

Because default layout objects (styles) are stored in collections with user created layout objects, the IsEmpty method of certain collections will always return 0, indicating that the collection always contains items.

To determine whether objects contained within a collection are default layout objects or user created layout objects, refer to the IsStyle property of each collection item.


Topics Found:

Word Pro: BagCollection class

Word Pro: BaseCollection class

Word Pro: BaseTable class

Word Pro: BookmarkCollection class

Word Pro: CellCollection class

Word Pro: CellLayoutCollection class

Word Pro: CharacterStyleCollection class

Word Pro: ClickHere class

Word Pro: ClickHereCollection class

Word Pro: ConnectedLayoutCollection class

Word Pro: Content class

Word Pro: ContentCollection class

Word Pro: DdeLinkCollection class

Word Pro: DivisionCollection class

Word Pro: DocInfoFieldCollection class

Word Pro: Documents class

Word Pro: DocWindowCollection class

Word Pro: DropCapLayoutCollection class

Word Pro: EditorCollection class

Word Pro: EndnoteLayoutCollection class

Word Pro: FooterLayoutCollection class

Word Pro: FootnoteCollection class

Word Pro: FootnoteLayoutCollection class

Word Pro: FootnoteTable class

Word Pro: Formula class

Word Pro: FrameLayoutCollection class

Word Pro: Glossary class

Word Pro: GlossaryCollection class

Word Pro: Graphic class

Word Pro: GraphicCollection class

Word Pro: GraphicOleObject class

Word Pro: GraphicOleObjectCollection class

Word Pro: GroupLayoutCollection class

Word Pro: HeaderLayoutCollection class

Word Pro: IconBarCollection class

Word Pro: LayoutCollection class

Word Pro: MarkerCollection class

Word Pro: MenuItemCollection class

Word Pro: NoteLayoutCollection class

Word Pro: OleObject class

Word Pro: OleObjectCollection class

Word Pro: OutlineSeqCollection class

Word Pro: OutlineSeqItemCollection class

Word Pro: PageLayoutCollection class

Word Pro: ParagraphStyleCollection class

Word Pro: ParallelColsCollection class

Word Pro: ParallelColumns class

Word Pro: PowerFieldCollection class

Word Pro: RowLayoutCollection class

Word Pro: RubyLayoutCollection class

Word Pro: SectionCollection class

Word Pro: SilverBulletCollection class

Word Pro: SmartCorrectCollection class

Word Pro: SmartFillCollection class

Word Pro: StatusBarButtonCollection class

Word Pro: StringCollection class

Word Pro: SuperTable class

Word Pro: SuperTableCollection class

Word Pro: SuperTableLayoutCollection class

Word Pro: Table class

Word Pro: TableCollection class

Word Pro: TableHeading class

Word Pro: TableHeadingCollection class

Word Pro: TableHeadingLayoutCollection class

Word Pro: TableLayoutCollection class

Word Pro: TableMarkerCollection class

Word Pro: TableOnlyCollection class

Word Pro: Text class

Word Pro: TextCollection class

Word Pro: TextMarkerCollection class

Word Pro: TextStyleCollection class

Word Pro: VersionCollection class

Word Pro: WPDataSetCollection class


Word Pro: IsExportedAsNotesFX method

 See list of classes

 See example

Returns whether or not the specified DocInfo field is exported as a Notes FX file.

Syntax

[objectreference].IsExportedAsNotesFX(Type)

Parameters

prexType

You can return one of the Variant data types below to determine if it is a DocInfo field exported as a NotesFX file.The value of this parameter must be one of the strings below or its code equivalent.

Value	Effect
$LwpDocVarAllversionnames (210)	The names of all versions of a document.
$LwpDocVarCreatedby (2046)	The Word Pro user name of the person who first saved the document.
$LwpDocVarDatecreated (196)	The date and time the document was first created.
$LwpDocVarDatelastrevision (197)	The last time the document was opened, edited, and saved.
$LwpDocVarDescription (195)	Displays a description of the document.
$LwpDocVarDivisionname (203)	The name of a division within the document.
$LwpDocVarDoccategory (212)	The assigned category of the division or document.
$LwpDocVarDocsize (202)	The size of the document in kilobytes.
$LwpDocVarField (191)	Specifies the DocInfo field you want to export as Notes FX.
$LwpDocVarFilename (192)	The file name you specified in the Save As dialog box when you saved the document.
$LwpDocVarKeywords (215)	Displays the assigned keywords for the document.
$LwpDocVarLasteditor (2047)	The initials of the editor who last saved the document.
$LwpDocVarNone (190)	No DocInfo fields are set or reset as Notes FX.
$LwpDocVarNumchars (201)	The number of characters in the document.
$LwpDocVarNumpages (199)	The number of pages in the document.
$LwpDocVarNumversions (209)	The number of versions in the document.
$LwpDocVarNumwords (200)	The number of words in the document.
$LwpDocVarOthereditors (2048)	The Word Pro user names of other people who saved the document.
$LwpDocVarOtherversionededitors (207)	The Word Pro user names of other people who saved a version of the document.
$LwpDocVarPath (193)	The drive and folder where the document is located.
$LwpDocVarSectionname (204)	The name of a section in the document.
$LwpDocVarStylesheet (194)	The style sheet used in the document.
$LwpDocVarTotaledittime (198)	The total number of minutes the document was open.
$LwpDocVarVersioncreatedate (206)	The date and time the version was first created.
$LwpDocVarVersioncreatedby (205)	The Word Pro user name of the person who first saved the version of the document.
$LwpDocVarVersionlasteditdate (213)	The date and time that the version was last saved.
$LwpDocVarVersionlasteditedby (214)	The initials of the editor who last saved the version.
$LwpDocVarVersionname (208)	The name of the current version.
$LwpDocVarVersionnumrevisions (2049)	The number of times the version was opened, edited, and saved.
$LwpDocVarVersionremarks (211)	Any remarks written by an editor to be reviewed by other assigned editors.
Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: IsFilterTypePresent method

 See list of classes

 See example

Determine whether or not the specified filter resides in Word Pro.

Syntax

[objectreference].IsFilterTypePresent(Type, Import)

Parameters

Type
A String expression

Import
A Numeric expression. You must use an Integer as the numeric expression.

Return value

Usage


Topics Found:

Word Pro: Filter class


Word Pro: IsItemSelected method

 See list of classes

 See example

Determines whether or not the specified item is selected.

Syntax

[objectreference].IsItemSelected(Index)

Parameters

Index
A Numeric expression. You must use an Integer as the numeric expression.

Return value

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: IsMarkerEqualToSelection method

 See list of classes

 See example

Determines whether or not the current marker matches the current selection.

Syntax

[objectreference].IsMarkerEqualToSelection(Marker)

Parameters

Marker
A string expression

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: IsPointWithin method

 See list of classes

 See example

Determines whether or not the specified point is located within the selection in the object from which this method is called.

Syntax

[objectreference].IsPointWithin( X, Y)

Parameters

X
Data type is Twips. Indicates the position of the point in units of Twips on the X axis.

Y
Data type is Twips. Indicates the position of the point in units of Twips on the Y axis.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: IsTemporary method

 See list of classes

 See example

Retrieves the value of the IsTemp property for an object.

Syntax

[objectreference].IsTemporary()

Parameters

Return value

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ParagraphStyle class


Word Pro: IsWMCommandValid method

 See list of classes

 See example

Determines whether the specified Word Pro menu item is available for use at the time this method is called.

Syntax

[objectreference].IsWMCommandValid(CommandID)

Parameters

CommandID
A Numeric expression (or constant) which specifies the ID for the menu item you are checking. Data type is Integer but you can use the appropriate constant for the menu ID. A complete list of menu ID constants is listed under Word Pro Menu Command IDs

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the menu item is valid or invalid respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Italic method

 See list of classes

 See example

Sets the italic attribute for selected text, or all following text if no text is selected. Acts as a toggle, turning the attribute off if it is on and on if it is off. Equivalent to choosing Text - Attributes - Italic.

Syntax

[objectreference].Italic()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: FontMetrics class

Word Pro: WPApplication class


Word Pro: Item method

 See list of classes

 See example

Returns an item from a collection class. This method is defined as a part of every collection class. In all but a few collection classes, the return value depends on the type of item stored in a particular collection.

Syntax

Item(idx)

Item(Name)

Item(ButtonName)

Parameters

idx

Idx represents index. The index specifies which item in a collection you want to return.

A Long data type index specifies the numeric position of an index item in a collection. For example, items in an array are accessed by number (subscript). Therefore, you would use a Long data type index to return an index item in an array.

A String data type index item returns the string name of an index item in a collection. For example, items in a list are accessed by string name rather than by number (subscript). Therefore, you would use a String data type index to return an index item in a list.

The String idx data type is the parameter used in the Item method for most collection classes, with the exception of six classes.  There are five classes that use the Long idx data type parameter. They are: DddLinkCollection, LongCollection, StringCollection, UnitCollection, VersionCollection. The final exception is the SmartFillCollection class which uses the Integer idx parameter.

Name

This parameter is used in the Item method on the EditorCollection class. Data type is String.

ButtonName

This parameter is used in the Item method on the StatusBarButtonCollection class. Data type is String.

Return value

Each collection class returns a different data type.

BagCollection returns a Bag object.

BookmarkCollection returns a Bookmark object.

CellCollection returns a CellEngine object.

CellLayoutCollection returns a CellLayout object.

CharacterStyleCollection returns a CharacterStyle object.

ClickHereCollection returns a ClickHere object.

ConnectedLayoutCollection returns a ConnectedLayout object.

ContentCollection returns a Variant object.

DdeLinkCollection returns a DdeLink object.

DivisionCollection returns a Division object.

Documents returns a TextDocument object.

EditorCollection returns an Editor object.

EndnoteLayoutCollection returns an EndnoteLayout object.

DocInfoFieldCollection returns a DocInfoField object.

PowerFieldCollection returns a PowerField object.

FooterLayoutCollection returns a FooterLayout object.

FootnoteCollection returns a Footnote object.

FootnoteLayoutCollection returns a FootnoteLayout object.

FrameLayoutCollection returns a FrameLayout object.

GlossaryCollection returns a Glossary object.

GraphicCollection returns a Graphic object.

GraphicOleObjectCollection returns a Variant object.

GroupLayoutCollection returns a GroupLayout object.

HeaderLayoutCollection returns a HeaderLayout object.

IconBarCollection returns an IconBar object.

LayoutCollection returns a Variant object.

MarkerCollection returns a Variant object.

MenuItemCollection returns a MenuItem object.

NoteLayoutCollection returns a NoteLayout object.

OleObjectCollection returns an OleObject object.

OutlineSeqCollection returns an OutlineStyleSequence object.

OutlineSeqItemCollection returns an OutSeqItem object.

PageLayoutCollection returns a PageLayout object.

ParagraphStyleCollection returns a ParagraphStyle object.

ParallelColsCollection returns a ParallelColumns object.

RowLayoutCollection returns a RowLayout object.

RubyLayoutCollection returns a RubyLayout object.

SectionCollection returns a Section object.

SilverBulletCollection returns a SilverBullet object.

StatusBarButtonCollection returns a StatusBarButton object.

StringCollection returns a String object.

SuperTableCollection returns a SuperTable object.

SuperTableLayoutCollection returns a SuperTableLayout object.

TableCollection returns a Variant object.

TableHeadingCollection returns a TableHeading object.

TableHeadingLayoutCollection returns a TableHeadingLayout object.

TableLayoutCollection returns a TableLayout object.

TableMarkerCollection returns a TableMarker object.

TableOnlyCollection returns a Table object.

TextCollection returns a Text object.

TextMarkerCollection returns a TextMarker object.

TextStyleCollection returns a Variant object.

DocWindowCollection returns a DocWindow object.

Usage


Topics Found:

Word Pro: BagCollection class

Word Pro: BookmarkCollection class

Word Pro: CellCollection class

Word Pro: CellLayoutCollection class

Word Pro: CharacterStyleCollection class

Word Pro: ClickHereCollection class

Word Pro: ConnectedLayoutCollection class

Word Pro: ContentCollection class

Word Pro: DdeLinkCollection class

Word Pro: DivisionCollection class

Word Pro: DocInfoFieldCollection class

Word Pro: Documents class

Word Pro: DocWindowCollection class

Word Pro: DropCapLayoutCollection class

Word Pro: EditorCollection class

Word Pro: EndnoteLayoutCollection class

Word Pro: FooterLayoutCollection class

Word Pro: FootnoteCollection class

Word Pro: FootnoteLayoutCollection class

Word Pro: FrameLayoutCollection class

Word Pro: GlossaryCollection class

Word Pro: GraphicCollection class

Word Pro: GraphicOleObjectCollection class

Word Pro: GroupLayoutCollection class

Word Pro: HeaderLayoutCollection class

Word Pro: IconBarCollection class

Word Pro: LayoutCollection class

Word Pro: MarkerCollection class

Word Pro: MenuItemCollection class

Word Pro: NoteLayoutCollection class

Word Pro: OleObjectCollection class

Word Pro: OutlineSeqCollection class

Word Pro: OutlineSeqItemCollection class

Word Pro: PageLayoutCollection class

Word Pro: ParagraphStyleCollection class

Word Pro: ParallelColsCollection class

Word Pro: PowerFieldCollection class

Word Pro: RowLayoutCollection class

Word Pro: RubyLayoutCollection class

Word Pro: SectionCollection class

Word Pro: SilverBulletCollection class

Word Pro: SmartCorrectCollection class

Word Pro: SmartFillCollection class

Word Pro: StatusBarButtonCollection class

Word Pro: StringCollection class

Word Pro: SuperTableCollection class

Word Pro: SuperTableLayoutCollection class

Word Pro: TableCollection class

Word Pro: TableHeadingCollection class

Word Pro: TableHeadingLayoutCollection class

Word Pro: TableLayoutCollection class

Word Pro: TableMarkerCollection class

Word Pro: TableOnlyCollection class

Word Pro: TextCollection class

Word Pro: TextMarkerCollection class

Word Pro: TextStyleCollection class

Word Pro: VersionCollection class

Word Pro: WPDataSetCollection class


Word Pro: LabelCreate method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: LabelMerge method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: Labels method

 See list of classes

 See example

Syntax

[objectreference].Labels(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: Link method

 See list of classes

 See example

Syntax

[objectreference].Link(Path,Type)

Parameters

Path
A String expression.

Type
A String expression.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: ListBoxes method

 See list of classes

 See example

Inserts a list box in a custom dialog box.

Syntax

[objectreference].ListBoxes(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: Localize method

 See list of classes

 See example

Syntax

[objectreference].Localize(SetToLocal)

Parameters

SetToLocal
A Boolean expression, either True or False.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: LowerCase method

 See list of classes

 See example

Sets the lowercase attribute for selected text or all following text, if no text is selected. Acts as a toggle, turning the attribute off if it is on and on if it is off. Equivalent to choosing Text - Attributes - Other and then "Lower Case" in the Attributes box.

Syntax

[objectreference].LowerCase()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: MacroEndRecord method

 See list of classes

 See example

Stops the Script Recorder in Word Pro.

Syntax

[objectreference].MacroEndRecord()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: MacroPlay method

 See list of classes

 See example

Plays a converted Ami Pro macro.

Syntax

[objectreference].MacroPlay(MacroFileName)

Parameters

MacroFileName
A String expression specifying the path and name of the Ami Pro macro file you want to play.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: MailDocument method

 See list of classes

 See example

Saves and mails the current document using the MAPI application specified in your WIN.INI file.

Syntax

[objectreference].MailDocument()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: MakeTableFromText method

 See list of classes

 See example

Converts the selected text into a table. Equivalent to choosing Create - Table when you have text selected.

Syntax

[objectreference].MakeTableFromText()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Word Pro will try to automatically parse the selected text into a table, using tab marks as the cell delimiters and paragraph marks as the row delimiters.


Topics Found:

Word Pro: WPApplication class


Word Pro: MakeUniqueLinkName method

 See list of classes

 See example

This method returns the string name. If the name is not unique, a number sign will be added to the link's name.

Syntax

[objectreference].MakeUniqueLinkName(LinkName)

Parameters

LinkName
A String expression representing the name of the link. Required parameter.

Return value

String.

Usage

If the name of the Dde link is not unique, a number will be added to the end of the name. This is useful when you are creating many links in a division or section, and want to name them by the division or section name (for example, DdeSection1, DdeSection2, and so on).


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: ManualFrame method

 See list of classes

 See example

Turns on the manual frame drawing tool so the user can draw a frame manually. Equivalent to Choosing Create - Frame and clicking Size & Place Frame Manually.

Syntax

[objectreference].ManualFrame([FrameStyle])

Parameters

FrameStyle

A String expression which allows you to specify the frame style you want to use for the frame the user will create. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ManualLinkFrames method

 See list of classes

 See example

Turns on the manual frame linking tool. Equivalent to selecting a frame and choosing Frame - Link Frame Contents.

Syntax

[objectreference].ManualLinkFrames()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

A non-linked frame must be selected when this method is called. The user must click inside another non-selected, non-linked frame to link the contents of the two frames.


Topics Found:

Word Pro: WPApplication class


Word Pro: ManualTable method

 See list of classes

 See example

Turns on the ManualTable drawing tool which allows the user to draw a table manually. Equivalent to choosing Create - Table and clicking Size & Place Table Manually.

Syntax

[objectreference].ManualTable([TableStyle,] [Columns,] [Rows])

Parameters

TableStyle

A String expression which allows you to specify the table style you want to use for the table the user will create. Optional parameter.

Columns
A Numeric expression which allows you to specify the number of columns that will be in the table the user draws. Optional parameter. Data type is Integer.

Rows
A Numeric expression which allows you to specify the number of rows that will be in the table the user draws. Optional parameter. Data type is Integer.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: MarkRevisionInsert method

 See list of classes

 See example

Marks the selected text as text which was a revision insertion.

Syntax

[objectreference].MarkRevisionInsert()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Mark method

 See list of classes

 See example

Inserts a Marker object of the type you specify, or modifes an existing Marker object. This method is defined by several classes and some classes require additional parameters. For a list of parameters, see Syntax. For details on calling the method from a particular class, see Usage.

Syntax

For WPApplication, Graphic, OleObject, and Layout (and all of its derived classes):

[objectreference].Mark(MarkerType)

For Formula:

[objectreference].Mark(MarkerType, [MarkerName])

For ClickHere, Text, and TextMarker:

[objectreference].Mark(MarkerType, [MarkerName,] [RangePart])

For FootnoteTable, ParallelColumns, TableHeading, and Table:

[objectreference].Mark(MarkerType, [StartRow,] [StartCol,] [NumOfRows,] [NumOfCols])

Parameters

MarkerType

Allows you to specify which type of marker you want to insert or modify. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

Value	Effect
$LwpMarkerTypeBookmark (590)	Inserts a bookmark marker.
$LwpMarkerTypeClickhere (593)	Inserts a ClickHere marker.
$LwpMarkerTypeDde (591)	Inserts a DDE marker.
$LwpMarkerTypeDefault (589)	Inserts a positional marker not of any other type and is only used to mark a spot or position.
$LwpMarkerTypeField (592)	Inserts a field marker.
$LwpMarkerTypeRuby (594)	Inserts a Ruby marker. Used only in the Asian-language versions of Word Pro.
MarkerName

Use this parameter to modify an existing Marker object. Do not include a value for this parameter if you are inserting a new Marker object. The value of this parameter must be a String expression representing the name of the Marker object you want to modify. This parameter is only available when you call this method from a Formula, ClickHere, Text, or TextMarker object.

RangePart
Use this parameter to modify an existing Marker object. Do not include a value for this parameter if you are inserting a new Marker object. To use this parameter, you must also provide a value for the MarkerName parameter. Use one of the constants below to tell Word Pro to modify the starting point of the marker, the ending point, or both. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). Default is $LwpRangePartBoth. This parameter is only available when you call this method from a Formula, ClickHere, Text, or TextMarker object.

Value	Effect
$LwpRangePartBoth (1663)	Modifies the starting point and ending point of the named marker to match the position of the insertion point. If something is selected, the starting and ending points match the starting and ending points of the selection.
$LwpRangePartEnd (1665)	Modifies the ending point of the named marker to match the position of the insertion point. If something is selected, the ending point matches the ending point of the selection.
$LwpRangePartStart (1664)	Modifies the starting point of the marker to match the position of the insertion point. If something is selected, the starting point matches the starting point of the selection.
StartRow
Modifies the starting row for the named marker object within a table object. Used only with FootnoteTable, ParallelColumns, TableHeading, and Table objects. This is an optional Integer parameter.

StartCol
Modifies the starting column for the named marker object within a table object. Used only with FootnoteTable, ParallelColumns, TableHeading, and Table objects. This is an optional Integer parameter.

NumOfRows
Modifies the number of rows for the named marker object within a table object. Used only with FootnoteTable, TableHeading, and Table objects. This is an optional Integer parameter.

NumOfCols
Modifies the number of columns for the named marker object within a table object. Used only with FootnoteTable, ParallelColumns, TableHeading, and Table objects. This is an optional Integer parameter.

Return value

A String value representing the name of the marker object you insert or modify.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FootnoteTable class

Word Pro: Formula class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Glossary class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: OleObject class

Word Pro: PageLayout class

Word Pro: ParallelColumns class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: Maximize method

 See list of classes

 See example

Maximizes the Word Pro application window.

Syntax

[objectreference].Maximize()

Parameters

None

Return value

Integer. The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class


Word Pro: MergeAddDataRecord method

 See list of classes

 See example

Adds a new record to the active Merge data file.

Syntax

[objectreference].MergeAddDataRecord(RecordEntry)

Parameters

RecordEntry
A String expression representing data for the record you are adding. This string must include the data for each field, separated by the appropriate field delimiters, and end with the appropriate record delimiter. For example, here is a String for a data file that uses "~" as the field delimiter and "|" as the record delimiter:

Jane~Doe~100 Main St.~Atlanta~GA|

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: MergeSetDataFile method

 See list of classes

 See example

Assigns the specified Merge data file to the currently active document.

Syntax

[objectreference].MergeSetDataFile(DataFilePath, DocWindowHwnd, DataFileType, DataFileTypeId[, DescriptionFile][, Delimiter])

Parameters

DataFilePath
A String expression representing the path and name of the data file you want to use with the current document. Optional parameter.

DocWindowHwnd
A Numeric expression which specifies the window ID for the Merge document to which you want to attach the data file. Data type is Long. Use a value of 0 (zero) to attach the data file to the currently active window.

DataFileType
A String expression which specifies the file type of the data file. Use the null string ("") to have Word Pro automatically detect the file type. If you provide a value for DataFileType, the DataFileTypeId is not necessary.

DataFileTypeID
A String expression which specifies the ID which Windows registers to represent a specific filter. Use the null string ("") to have Word Pro automatically assign the filter to a Windows registry ID.

DescriptionFile
A String expression that tells Word Pro the name of the description file for your Merge data file. In most data files, each line is a single record and the first record contains the names of the Merge fields. However, some data files are exported from databases and do not have the field names or field delimiters. These data files must be accompanied by a separate description file which contains the names of the Merge fields and the field delimiter or field sizes. If you provide no value for this parameter and the data file is not a Word Pro or Ami Pro document, Word Pro prompts you to find out if the first record in the file contains the field names.

Do not use this parameter if you are using an Ami Pro or Word Pro data file. Data files created by Word Pro and Ami Pro do not need a description file. If your data file is in ASCII text or spreadsheet format, and the first line contains the field names, you do not need a description file but you must use a null string ("") for this parameter.

Delimiter
A String expression that identifies the field delimiter for your data file. The value of this parameter should be the single character that acts as the field delimiter. Use a null string ("") to indicate that your data file is tab-delimited. If you provide no value for this field, Word Pro assumes that your data file is formatted in fixed-length ASCII and looks for the description file specified in the DescriptionFile parameter.

Note	The record delimiter is presumed to be a line break (paragraph marker).

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Word Pro first checks to be sure the file named in DataFilePath is a valid Merge data file. If the file is not a data file, this method returns a value of 0 (False), indicating failure.


Topics Found:

Word Pro: WPApplication class


Word Pro: MergeStart method

 See list of classes

 See example

Starts the Merge operation between the Merge document and the Merge data file.

Syntax

[objectreference].MergeStart([MergeAction,] [MergeFilePath])

Parameters

MergeAction

If no Merge document  is active, you can specify which Merge document you want to use in starting the Merge operation. Data type is Variant which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is a null string which causes Word Pro to start the Merge operation, using the currently active Merge document and its assigned data file. If no Merge document is active and no value is included for this parameter, this method returns an error.

$LwpMergeActionNewfile (1492) Opens a new Merge document, based on the SmartMaster specified in the MergeFilePath parameter.

$LwpMergeActionOpenfile (1493) Opens the Merge document specified in MergeFilePath and uses that document's data file for the Merge.

MergeFilePath
A String expression representing the path and name of a Merge document or SmartMaster for a new Merge document. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Use this method with no parameters to start a Merge operation. Then use the Merge method to issue specific instructions about how to carry out the Merge operation, or to switch Merge documents.


Topics Found:

Word Pro: WPApplication class


Word Pro: Merge method

 See list of classes

 See example

Allows you to issue instructions to Word Pro during the Merge operation. You can change Merge documents, end the Merge process, send the Merge job to the printer, and so on.

Syntax

[objectreference].Merge(MergeAction,[MergeFilePath])

Parameters

MergeAction
Indicates what action to take with the currently active Merge document. You can use one of the followings strings or its numeric equivalent (in parentheses) for the value of this parameter:

$LwpMergeActionNewfile (1492) Opens a new Merge document based on the SmartMaster specified in the MergeFilePath parameter. The currently active Merge data file is assigned to the new merge document.

$LwpMergeActionOpenfile (1493) Opens the Merge document specified in MergeFilePath and uses the currently active data file for the Merge.

$LwpMergeActionNextRecord (1494) Moves to the next record in the Merge data file. Each time you use this value, you must use this method again with the value, $LwpMergeActionMergeOne, to get the next record to appear on screen.

$LwpMergeActionMergeOne (1496) Updates the screen to display the latest record merged.

$LwpMergeActionClose (1497) Ends the Merge process. You must set the MSStep value to 0, 1, or 2.

$LwpMergeActionContinue (1498) Sends the entire Merge job to the printer.

MergeFilePath
A String expression representing the path and name of a Merge document or SmartMaster for a new Merge document. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Use this method to prepare a Merge document for a Merge operation, or to issue instructions during a Merge operation. This method is capable of opening a new Merge document (for example, a letter or envelope) based on a SmartMaster, opening an existing Merge document, switching from one data file to another, moving to the next record in the data file, ending the Merge operation, or sending the Merge job to the printer.


Topics Found:

Word Pro: WPApplication class


Word Pro: Messages method

 See list of classes

 See example

Handles message boxes while a script is running.

Syntax

[objectreference].Messages(MsgBoxAction)

Parameters

MsgBoxAction
Specifies whether Word Pro should display a message box and wait for the user's response, or take the default response identified in the message box. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpDisplayMsgboxAndWait (2073)

$LwpTakeDefaultMsgboxAnswer (2074)

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Minimize method

 See list of classes

 See example

Minimizes the Word Pro application window by reducing it to an icon.

Syntax

[objectreference].Minimize()

Parameters

None

Return value

Integer. The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class


Word Pro: MirrorPage method

 See list of classes

 See example

Makes a mirror image of the referenced layout object and sets up a left/right (complex) page.

Syntax

[objectreference].MirrorPage()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You must first create the left/right page layout. You then invoke this method to make one page of that left/right layout a mirror image of the other. This method only works on left/right page layouts.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MorphSelectionToTable method

 See list of classes

 See example

Syntax

[objectreference].MorphSelectionToTable()

Parameters

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MostRecentVersion method

 See list of classes

 See example

Syntax

[objectreference].MostRecentVersion()

Parameters

Return value

Usage


Topics Found:

Word Pro: VersionManager class


Example: IconSize property
'Example: IconSize property

'This example script has not yet been created.


Example: IdentifierColor property
'Example: IdentifierColor property

'This example script has not yet been created.


Example: ID property
'Example: ID property

'This example script has not yet been created.


Example: IgnoreSoftHyphens property
'Example: IgnoreSoftHyphens property

'This example script has not yet been created.


Example: IgnoreTab property
'Example: IgnoreTab property

'This example script has not yet been created.


Example: ImportGraphic method
'Example: ImportGraphic method

' This example inserts the 'TOON1' Word Pro Drawing graphic into the current

' document.  The graphic is placed in a frame based upon the 'Default

' Graphic/OLE' frame style.

' RUNTIME DEPENDENCIES: You must have a document open and have installed the

' the Word Pro clipart into the \\DRAWSYM subdirectory for this script to ork.

Dim FileName as String

FileName = .Application.Path & "\DRAWSYM\TOON1.SDW"

.ApplicationWindow.Filter.SetLastUsedFilter $LwpFilterTypeGraphic,"Word Pro raw"

.ApplicationWindow.UserInterfacePrefs.LastGraphicType = "Word Pro Draw"

.ImportGraphic FileName, ".SDW", False, False, "Default Graphic/OLE"


Example: ImportInserted event
'Example: ImportInserted event

'This example script has not yet been created.


Example: ImportInsert event
'Example: ImportInsert event

'This example script has not yet been created.


Example: ImportPicture method
'Example: ImportPicture method

'This example script has not yet been created.


Example: IncludeDirs property
'Example: IncludeDirs property

'This example script has not yet been created.


Example: IncludeDrives property
'Example: IncludeDrives property

'This example script has not yet been created.


Example: IncludeInitialsInNotes property
'Example: IncludeInitialsInNotes property

'This example script has not yet been created.


Example: IncludeList property
'Example: IncludeList property

'This example script has not yet been created.


Example: Increment event
'Example: Increment event

'This example script has not yet been created.


Example: IndentFromLeft property
'Example: IndentFromLeft property

'This example script has not yet been created.


Example: IndentStyleName property
'Example: IndentStyleName property

'This example script has not yet been created.


Example: Indent property
'Example: Indent property

'This example script has not yet been created.


Example: IndexAll method
'Example: IndexAll method

' This example script has not yet been created.


Example: IndexAlphabeticSeparator property
'Example: IndexAlphabeticSeparator property

'This example script has not yet been created.


Example: IndexDivision property
'Example: IndexDivision property

'This example script has not yet been created.


Example: IndexIndentType property
'Example: IndexIndentType property

'This example script has not yet been created.


Example: IndexParent property
'Example: IndexParent property

'This example script has not yet been created.


Example: IndexPrimaryStyleName property
'Example: IndexPrimaryStyleName property

'This example script has not yet been created.


Example: IndexRange property
'Example: IndexRange property

'This example script has not yet been created.


Example: IndexSecondaryStyleName property
'Example: IndexSecondaryStyleName property

'This example script has not yet been created.


Example: IndexSection property
'Example: IndexSection property

'This example script has not yet been created.


Example: IndexSeparatorStyleName property
'Example: IndexSeparatorStyleName property

'This example script has not yet been created.


Example: IndexSource property
'Example: IndexSource property

'This example script has not yet been created.


Example: InDocument property
'Example: InDocument property

'This example script has not yet been created.


Example: InfoBoxSelectionText property
'Example: InfoBoxSelectionText property

'This example script has not yet been created.


Example: InitalizeRoute property
'Example: InitalizeRoute property

'This example script has not yet been created.


Example: InitControls method
'Example: InitControls method

'This example script has not yet been created.


Example: InitDir property
'Example: InitDir property

'This example script has not yet been created.


Example: InitFindAndReplace method
'Example: InitFindAndReplace method

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and then

' displays a message box. When you click OK, the script finds the first 'cat'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find


Example: Initialize property
'Example: Initialize property

'This example script has not yet been created.


Example: InitialsForFilters property
'Example: InitialsForFilters property

'This example script has not yet been created.


Example: InsertBreak method
'Example: InsertBreak method

' This example inserts three lines of text into the current document.

' Each line is part of the same paragraph.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "First"

.Text.InsertBreak $LwpBreakTypeWord

.Text.InsertText "line of text on paragraph 1."

.Text.InsertBreak $LwpBreakTypeLine

.Text.InsertText "Second line of text on paragraph 1."

.Text.InsertBreak $LwpBreakTypePage

.Text.InsertText "Third line of text on paragraph 1."


Example: InsertBullet method
'Example: InsertBullet method

' This example inserts 4 paragraphs with various bullet styles into the

' current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertBullet "Wingdings", "l"

.Text.SplitParagraph

.InsertBullet "Wingdings", "º"

.Text.SplitParagraph

.InsertBullet "Wingdings", "·"

.Text.SplitParagraph

.InsertBullet "Wingdings", "ó"


Example: InsertClickHereLink method
'Example: InsertClickHereLink method

'This example script has not yet been created.


Example: InsertClickHere method
'Example: InsertClickHere method

' This example inserts a ClickHere block in the current document and assigns

' the return value (the ClickHere ID) to a variable (NewClickHereId).

' The script then stores the new ClickHere in a variable (NewClickHere) and

' inserts some text in it.

' The script then prints the names and values for all ClickHeres in the

' current division to the Script Editor Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewClickHereId as String

Dim NewClickHere as ClickHere

NewClickHereId = .InsertClickHere()

Set NewClickHere = .Division.Foundry.ClickHeres(NewClickHereId)

NewClickHere.InsertText "Some text for the click here."

Forall Clicks in .Division.Foundry.ClickHeres

Print Clicks.Name &" -- " & Clicks.GetText($LWPGetObjectTypeParagraph, False)

End Forall


Example: InsertColumnBreak method
'Example: InsertColumnBreak method

' This example inserts a column break in the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertColumnBreak


Example: InsertDate method
'Example: InsertDate method

' This example inserts the date and time into the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertDate "Now() %FLSystemShortDate"

.Text.InsertHardSpace

.InsertDate "Now() %FLSystemTime"


Example: InsertDocInfo method
'Example: InsertDocInfo method

'

' This example inserts the filename, date created, file size and author name

' predefined document fields, as well as an end-user field named

' 'CustomField1'.

' RUNTIME DEPENDENCIES: You must have a document open and have created

' an end-user field named 'CustomField1' for this script to work.

.InsertDocInfo $LwpDocVarFilename

.InsertDocInfo $LwpDocVarDatecreated

.InsertDocInfo $LwpDocVarDocsize

.InsertDocInfo $LwpDocVarCreatedby

.InsertDocInfo $LwpDocVarField, "CustomField1"


Example: InsertDocument method
'Example: InsertDocument method

' This example uses an input box to get a file name from you and then inserts

' the contents of that document into the currently active document.

' The default file name is "README95.LWP".

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FileName as String

FileName = InputBox$ ("Enter a filename to insert, e.g., README95.LWP:","Example Script","")

.InsertDocument Filename,"", "", False, True


Example: InsertField method
'Example: InsertField method

' This example inserts several power fields into the current document.

' Each field is on a new line and is preceded by its description.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "Create date: "

.InsertField "CreateDate %DB"

.Text.SplitParagraph

.Text.InsertText "Edit date: "

.InsertField "EditDate %DB"

.Text.SplitParagraph

.Text.InsertText "Editing time: "

.InsertField "TotalEditingTime"

.Text.SplitParagraph

.Text.InsertText "Number of words: "

.InsertField "NumWords"


Example: InsertFont property
'Example: InsertFont property

'This example script has not yet been created.


Example: InsertFootnote method
'Example: InsertFootnote method

' This example inserts a footnote into the current document. The footnote

' is placed at the bottom of the page and is numbered 1.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Division.FootnoteOptions.FootnoteNumbering.StartingNumber = 1

.Division.FootnoteOptions.FootnoteNumbering.ResetWhen = LwpResetOptionEachPage

.InsertFootnote $LwpFnTypeAtBottomOfPage


Example: InsertFrame method
'Example: InsertFrame method

' This example inserts a frame based on the default frame style into the

' current document. If the frame is succesfully created, the NumCols

' properties is modified.  After the message box is closed the the frame's

' NumCol property is reverted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FrameWidth as Integer

Dim FrameHeight as Integer

Dim FrameX as Integer

Dim FrameY as Integer

FrameWidth = 2265

FrameHeight = 2595

FrameX = 1410

FrameY = 2160

.InsertFrame FrameWidth, FrameHeight, FrameX, FrameY

If Not (.Frame Is Nothing) Then

With .Frame.Layout

.NumCols = 3

End With

Messagebox "Click OK to revert frame.",MB_OK,"Example Script"

.FrameRevert

End If


Example: InsertHardSpace method
'Example: InsertHardSpace method

' This example inserts 2 words seperated by a hard space into the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "Some"

.Text.InsertHardSpace

.Text.InsertText "text."


Example: InsertIndex method
'Example: InsertIndex method

' This example Inserts an index at the end of the current document in a

' separate division based on the default SmartMaster.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertIndex


Example: InsertionMode property
'Example: InsertionMode property

'This example script has not yet been created.


Example: InsertLink method
'Example: InsertLink method

'This example script has not yet been created.


Example: InsertMarker method
'Example: InsertMarker method

'This example script has not yet been created.


Example: InsertNote method
'Example: InsertNote method

'  This example inserts a note, adds some text to it and then deselects the note.

'  RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertNote

.Text.InsertText "Some text for the note."

.Type("[ESC]")


Example: InsertNumber method
'Example: InsertNumber method

' This example insert the roman numeral 5 into the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertNumber $LwpNumberingStyleUppercaseroman , 0, 0, 5


Example: InsertOleDivision method
'Example: InsertOleDivision method

' This example insert an OLE division based on the bitmap graphic file named

' TEST.BMP

' RUNTIME DEPENDENCIES: You must have a document open and a file named

' TEST.BMP located in the C:\ directory for this script to work.

Dim FilePath As String

Dim ClassID As String

ClassID = "{0003000A-0000-0000-C000-000000000046}"

FilePath = "C:\TEST.BMP"

.InsertOleDivision $LwpDivLocInsertAfterCurrentdiv,$LwpOleActionCreateembedded,ClassID,FilePath


Example: InsertOne method
'Example: InsertOne method

' This example  inserts a right align tab with leader dots one inch from the

' right margin.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.TabRack.InsertOne 1444, $LwpTabTypeRight , $LwpTabLeaderDot , $LwpTabRelativeRight , 32


Example: InsertPageBreak method
'Example: InsertPageBreak method

' This example inserts a page break in the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertPageBreak


Example: InsertPageLayout method
'Example: InsertPageLayout method

' This example inserts a new page layout based on the current page layout.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim StyleName as String

StyleName = .Page.Layout.Style.Name

.InsertPageLayout StyleName , 0, 0, 0


Example: InsertPageNumber method
'Example: InsertPageNumber method

' This example inserts a page number on the current docuement in the

' following format: "Page 1 - Division Name".

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertPageNumber $LwpNumberingStyleBasic, "Page ", " - ", 0, 1, $LwpPageNumberFlagsIncludedivname + $LwpPageNumberFlagsResetondivision


Example: InsertPath method
'Example: InsertPath method

' This example changes Word Pro's default document path.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Application.ApplicationWindow.UserInterfacePrefs.InsertPath $LwpSetDocumentsPath, "C:\dev\lotus"


Example: InsertRowOrColumn method
'Example: InsertRowOrColumn method

' This example creates a parallel column table with 3 columns. A new row is

' inserted.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.BaseTable.InsertRowOrColumn $LwpTableInsTypeRow, True, 1


Example: InsertRuby method
'Example: InsertRuby method

' This example inserts a ruby into the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertRuby


Example: InsertSection method
'Example: InsertSection method

' This example inserts a new section in the active division of the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertSection "Default Page", True, True, $LwpStartTypeNextpage, False, True


Example: InsertSpecialTab method
'Example: InsertSpecialTab method

' This example script has not yet been created.


Example: InsertTab method
'Example: InsertTab method

' This example inserts 5 consecutive tabs.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

rc = .Text.InsertTab(5)


Example: InsertText method
'Example: InsertText method

' This example inserts some text into the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "Some text for the document."


Example: InsertTOC method
'Example: InsertTOC method

' This example inserts a Table of Contents (TOC) at beginning of the active

' document in a separate division based on the default SmartMaster.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.InsertTOC $LwpGenerateAcrossEntireDoc, $LwpTOCPlacementBeginofdoc, True


Example: Interactive property
'Example: Interactive property

'This example script has not yet been created.


Example: InternalCopy method
'Example: InternalCopy method

' This example copies the selected text, creates a new line and then pastes

' the copied text on the new line.

' RUNTIME DEPENDENCIES: You must have a document open and text selected for

' this script to work.

.Text.InternalCopy(True)

.Text.MoveToEnd $LwpLocationTypeLine

.Text.SplitParagraph

.Text.InternalPaste $LwpFoundryTypeTemporary


Example: InternalCut method
'Example: InternalCut method

' This example cuts the selected text, creates a new line and then pastes

' the copied text on the new line.

' RUNTIME DEPENDENCIES: You must have a document open and text selected for

' this script to work.

.Text.InternalCut(True)

.Text.MoveToEnd $LwpLocationTypeLine

.Text.SplitParagraph

.Text.InternalPaste $LwpFoundryTypeTemporary


Example: InternalPaste method
'Example: InternalPaste method

' This example copies the selected text, creates a new line and then pastes

' the copied text on the new line.

' RUNTIME DEPENDENCIES: You must have a document open and text selected for

' this script to work.

.Text.InternalCopy(True)

.Text.MoveToEnd $LwpLocationTypeLine

.Text.SplitParagraph

.Text.InternalPaste $LwpFoundryTypeTemporary


Example: Interval property
'Example: Interval property

'This example script has not yet been created.


Example: InvalidateButton method
'Example: InvalidateButton method

' This example creates a new button to the status bar and then adds text to

' the button.  The STATUSBARBUTTONOVERRIDETEXT is then bound to the

' SetTheButtonText subroutine to set the button text during needs repainting.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ButtonName As String

Dim NewButton As StatusBarButton

With .ApplicationWindow.StatusBar

ButtonName = .CreateNewbutton (0,0,100,&H1)	'create the new button

Set NewButton = .StatusBarButtons(ButtonName)

With .StatusBarButtons(ButtonName)

.SetOverRideText("New Button...")

Call .SetButtonText("Button",True)

.InvalidateButton

On Event STATUSBARBUTTONOVERRIDETEXT From NewButton Call

SetTheButtonText

End With

.InvalidateWholeBar ' Force the bar to repaint

End With

End Sub

Sub SetTheButtonText (Source As StatusBarButton, ButtonName As String)

'Add the the button text each time the status bar needs repainting.

Source.SetOverRideText("New Button...")

End 2

End Sub


Example: InvalidateWholeBar method
'Example: InvalidateWholeBar method

' This example creates a new button to the status bar and then adds text to

' the button.  The STATUSBARBUTTONOVERRIDETEXT is then bound to the

' SetTheButtonText subroutine to set the button text during needs repainting.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim ButtonName As String

Dim NewButton As StatusBarButton

With .ApplicationWindow.StatusBar

ButtonName = .CreateNewbutton (0,0,100,&H1)	'create the new button

Set NewButton = .StatusBarButtons(ButtonName)

With .StatusBarButtons(ButtonName)

.SetOverRideText("New Button...")

Call .SetButtonText("Button",True)

.InvalidateButton

On Event STATUSBARBUTTONOVERRIDETEXT From NewButton Call

SetTheButtonText

End With

.InvalidateWholeBar ' Force the bar to repaint

End With

End Sub

Sub SetTheButtonText (Source As StatusBarButton, ButtonName As String)

'Add the the button text each time the status bar needs repainting.

Source.SetOverRideText("New Button...")

End 2

End Sub


Example: Invalidate method
'Example: Invalidate method

' This example creates a bookmark based on the current marker name and then

' deletes the marker and repaints the active document to clear its bookmark

' identifier.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkerName As String

MarkerName = .Mark($LwpMarkerTypeBookmark)

.Division.BookmarkManager.AddBookmark "ExampleBookmark", MarkerName

Messagebox "Click OK to delete the bookmark.",MB_OK,"Example Script"

rc =.Division.Foundry.Markers.Item(MarkerName).DeleteMarker()

rc = .ActiveDocWindow.Invalidate()


Example: IsActionOnButtonDown property
'Example: IsActionOnButtonDown property

'This example script has not yet been created.


Example: IsActive property
'Example: IsActive property

'This example script has not yet been created.


Example: IsAmiProTableImport property
'Example: IsAmiProTableImport property

'This example script has not yet been created.


Example: IsAsciiCRLF property
'Example: IsAsciiCRLF property

'This example script has not yet been created.


Example: IsAsciiKeepStyle property
'Example: IsAsciiKeepStyle property

'This example script has not yet been created.


Example: IsAutoGrow property
'Example: IsAutoGrow property

'This example script has not yet been created.


Example: IsBadReference property
'Example: IsBadReference property

'This example script has not yet been created.


Example: IsBorder property
'Example: IsBorder property

'This example script has not yet been created.


Example: IsBothSidesEqual property
'Example: IsBothSidesEqual property

'This example script has not yet been created.


Example: IsBreakable property
'Example: IsBreakable property

'This example script has not yet been created.


Example: IsBubbleHelp property
'Example: IsBubbleHelp property

'This example script has not yet been created.


Example: IsCellMenuEnabled property
'Example: IsCellMenuEnabled property

'This example script has not yet been created.


Example: IsCentered property
'Example: IsCentered property

'This example script has not yet been created.


Example: IsChangedSinceTimeSave property
'Example: IsChangedSinceTimeSave property

'This example script has not yet been created.


Example: IsChanged property
'Example: IsChanged property

'This example script has not yet been created.


Example: IsChildSpannable property
'Example: IsChildSpannable property

'This example script has not yet been created.


Example: IsCollapsed property
'Example: IsCollapsed property

'This example script has not yet been created.


Example: IsCollapsible property
'Example: IsCollapsible property

'This example script has not yet been created.


Example: IsColumnBreakable property
'Example: IsColumnBreakable property

'This example script has not yet been created.


Example: IsColumnBreakAfter property
'Example: IsColumnBreakAfter property

'This example script has not yet been created.


Example: IsColumnBreakBefore property
'Example: IsColumnBreakBefore property

'This example script has not yet been created.


Example: IsComplex property
'Example: IsComplex property

'This example script has not yet been created.


Example: IsConnected property
'Example: IsConnected property

'This example script has not yet been created.


Word Pro: IconSize property

 See list of classes

 See example

(Read-write) A flag that indicates the size in which the icons are displayed. Refers to all icons on every bar. You can set the size, either Regular or Large, in the "Icon size" field in the SmartIcons Setup dialog box.

Data Type

Variant (Enumerated)

IconSize

Syntax

iconsizevalue = [objectreference].IconSize

[objectreference].IconSize = iconsizevalue

Legal values

$LwpIconSizeSupervga (395) Sets or changes the size of displayed icons to Large.

$LwpIconSizeVga (394) Sets or changes the size of displayed icons to Regular.

Usage

You can write a script to query or change the size of displayed icons.


Topics Found:

Word Pro: IconBarManager class


Word Pro: ID property

 See list of classes

 See example

(Read-only)

[IconBar]

The ID of the icon bar.

[MenuItem]

The menu ID for the menu item. ID is a read-only property which Word Pro sets each time you create your menu item.

Data Type

Long

Syntax

idvalue = [objectreference].ID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: IconBar class

Word Pro: MenuItem class


Word Pro: IgnoreSoftHyphens property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ignoresofthyphensvalue = [objectreference].IgnoreSoftHyphens

[objectreference].IgnoreSoftHyphens = ignoresofthyphensvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: HyphenationOptions class


Word Pro: IgnoreTab property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ignoretabvalue = [objectreference].IgnoreTab

[objectreference].IgnoreTab = ignoretabvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: IncludeDirs property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

includedirsvalue = [objectreference].IncludeDirs

[objectreference].IncludeDirs = includedirsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpFileListBox class


Word Pro: IncludeDrives property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

includedrivesvalue = [objectreference].IncludeDrives

[objectreference].IncludeDrives = includedrivesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpFileListBox class


Word Pro: IncludeInitialsInNotes property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

includeinitialsinnotesvalue = [objectreference].IncludeInitialsInNotes

[objectreference].IncludeInitialsInNotes = includeinitialsinnotesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Options class


Word Pro: IncludeList property

 See list of classes

 See example

(Read-write) Enables the user to instruct Find & Replace to search for text in different areas in the document.

Data Type

Integer (Enumerated Bitmask)

Variant

Syntax

includelistvalue = [objectreference].IncludeList

[objectreference].IncludeList = includelistvalue

Legal values

LwpIncludeListAllText (&H1) Sets the option to search all text in the document.

LwpIncludeListFootnotes (&H20) Sets the option to search all text in footnotes.

LwpIncludeListFrames (&H10) Sets the option to search all text in frames.

LwpIncludeListHeadersFooters (&H4) Sets the option to search all text in headers and footers.

LwpIncludeListMainDocText (&H2) Sets the option to search text only in the main part of the document.

LwpIncludeListTables (&H8) Sets the option to search all text in tables.

Usage

Equivalent to choosing Edit - Find & Replace Text, clicking Options, and selecting an option in the "Include" box in the "Find & replace scope" section.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: IndentFromLeft property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

indentfromleftvalue = [objectreference].IndentFromLeft

[objectreference].IndentFromLeft = indentfromleftvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: FootnoteContSep class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class


Word Pro: IndentStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indentstylenamevalue = [objectreference].IndentStyleName

[objectreference].IndentStyleName = indentstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: IndexAlphabeticSeparator property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

indexalphabeticseparatorvalue = [objectreference].IndexAlphabeticSeparator

[objectreference].IndexAlphabeticSeparator = indexalphabeticseparatorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: IndexDivision property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexdivisionvalue = [objectreference].IndexDivision

[objectreference].IndexDivision = indexdivisionvalue

Legal values

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: IndexIndentType property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

indexindenttypevalue = [objectreference].IndexIndentType

[objectreference].IndexIndentType = indexindenttypevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: IndexParent property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexparentvalue = [objectreference].IndexParent

[objectreference].IndexParent = indexparentvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: IndexPrimaryStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexprimarystylenamevalue = [objectreference].IndexPrimaryStyleName

[objectreference].IndexPrimaryStyleName = indexprimarystylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: IndexRange property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexrangevalue = [objectreference].IndexRange

[objectreference].IndexRange = indexrangevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: IndexSecondaryStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexsecondarystylenamevalue = [objectreference].IndexSecondaryStyleName

[objectreference].IndexSecondaryStyleName = indexsecondarystylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: IndexSection property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexsectionvalue = [objectreference].IndexSection

[objectreference].IndexSection = indexsectionvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: IndexSeparatorStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

indexseparatorstylenamevalue = [objectreference].IndexSeparatorStyleName

[objectreference].IndexSeparatorStyleName = indexseparatorstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: IndexSource property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

GenerateFrom

Syntax

indexsourcevalue = [objectreference].IndexSource

[objectreference].IndexSource = indexsourcevalue

Legal values

$LwpGenerateFromCurrentdivision (362)

$LwpGenerateFromCurrentleveldivision (361)

$LwpGenerateFromCurrentsection (363)

$LwpGenerateFromEntiredocument (360)

$LwpGenerateFromMarker (364)

Usage


Topics Found:

Word Pro: IndexSection class


Word Pro: InDocument property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

indocumentvalue = [objectreference].InDocument

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: InfoBoxSelectionText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

infoboxselectiontextvalue = [objectreference].InfoBoxSelectionText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: InitalizeRoute property

 See list of classes

 See example

(Read-write) An internal flag that indicates the default state (broadcast vs. route) when you use the Initialize property to set defaults.

Data Type

Integer

Syntax

initalizeroutevalue = [objectreference].InitalizeRoute

[objectreference].InitalizeRoute = initalizeroutevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Used in conjunction with the Initialize property. First, set Initialize to True. Then set the desired value for this property (broadcast or route). If the Initialize property is 0, this property is ignored.


Topics Found:

Word Pro: MailRouting class


Word Pro: InitDir property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

initdirvalue = [objectreference].InitDir

[objectreference].InitDir = initdirvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpCommonDialog class


Word Pro: Initialize property

 See list of classes

 See example

(Read-write) An internal flag that indicates if you can set up defaults in the Mail Routing dialog box.

Data Type

Integer

Syntax

initializevalue = [objectreference].Initialize

[objectreference].Initialize = initializevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A value of 1 indicates user-defined settings.


Topics Found:

Word Pro: MailRouting class


Word Pro: InitialsForFilters property

 See list of classes

 See example

(Read-write)The initials of the user that created a specific comment note.

Data Type

String

Syntax

initialsforfiltersvalue = [objectreference].InitialsForFilters

[objectreference].InitialsForFilters = initialsforfiltersvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The default value for this property is contained in the "Initials" setting, which is located in the Personal panel of the Word Pro Preferences dialog box. Modifying the NameForFilters property of a specific comment note does not change the name setting under Word Pro Preferences.


Topics Found:

Word Pro: NoteLayout class


Word Pro: InsertionMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

insertionmodevalue = [objectreference].InsertionMode

[objectreference].InsertionMode = insertionmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: Interactive property

 See list of classes

 See example

(Read-only) Indicates whether or not Word Pro is in interactive mode. If it is in interactive mode (True), the user can interact with the application using the keyboard, mouse, or other input device.

Data Type

Integer

Syntax

interactivevalue = [objectreference].Interactive

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If you suspect that Word Pro may be engaged in an OLE automation session when your script runs, you can use this property as part of an IF...THEN statement to make sure that Word Pro is available before executing your script.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: Interval property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

intervalvalue = [objectreference].Interval

[objectreference].Interval = intervalvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LWPTimer class


Word Pro: IsActionOnButtonDown property

 See list of classes

 See example

(WriteOnly) A flag that indicates if the action represented by an icon occurs when the icon is pressed down. Typically, the icon action occurs on the WM_LBUTTONUP. Setting this flag causes the action to occur on the WM_LBUTTONDOWN message.

Data Type

Integer

Syntax

[objectreference].IsActionOnButtonDown = isactiononbuttondownvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You must first select an icon using either the SelectStandardIcon or SelectCustomIcon method for this property to function. Default is False. If the flag is set to True, the action occurs when the icon is depressed. If set to False, the action occurs when the icon is let up.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IsActive property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isactivevalue = [objectreference].IsActive

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

UsageUsage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: IsAmiProTableImport property

 See list of classes

 See example

(Read-write) Indicates whether the Merge data file is derived from an Ami Pro table.

Data Type

Integer

Syntax

isamiprotableimportvalue = [objectreference].IsAmiProTableImport

[objectreference].IsAmiProTableImport = isamiprotableimportvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: IsAsciiCRLF property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isasciicrlfvalue = [objectreference].IsAsciiCRLF

[objectreference].IsAsciiCRLF = isasciicrlfvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Filter class

Word Pro: TextDocument class


Word Pro: IsAsciiKeepStyle property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isasciikeepstylevalue = [objectreference].IsAsciiKeepStyle

[objectreference].IsAsciiKeepStyle = isasciikeepstylevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Filter class

Word Pro: TextDocument class


Word Pro: IsAutoGrow property

 See list of classes

 See example

(Read-write) Indicates whether or not the height of a row in a table object increases when text needs to wrap to another line, or when the point or font size of the text changes.

Data Type

Integer

Syntax

isautogrowvalue = [objectreference].IsAutoGrow

[objectreference].IsAutoGrow = isautogrowvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Functionally equivalent to simultaneously modifying the "Automatic row height" setting for all rows within a table.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: IsBadReference property

 See list of classes

 See example

(Read-write) Indicates whether or not a formula in a table cell refers to a cell that does not exist in the table.

Data Type

Integer

Syntax

isbadreferencevalue = [objectreference].IsBadReference

[objectreference].IsBadReference = isbadreferencevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If this property returns True, the formula in the table cell refers to a cell that does not exist in the table. If this property returns False,  the formula in the table cell does not refer to a cell that does not exist in the table.


Topics Found:

Word Pro: CellLayout class

Word Pro: ConnectedLayout class


Word Pro: IsBorder property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isbordervalue = [objectreference].IsBorder

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CharacterBorder class

Word Pro: ParagraphBorder class


Word Pro: IsBothSidesEqual property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isbothsidesequalvalue = [objectreference].IsBothSidesEqual

[objectreference].IsBothSidesEqual = isbothsidesequalvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: IsBreakable property

 See list of classes

 See example

(Read-only) Indicates whether or not a break can be inserted into the content of a layout object.

Data Type

Integer

Syntax

isbreakablevalue = [objectreference].IsBreakable

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsBubbleHelp property

 See list of classes

 See example

(WriteOnly) A flag that indicates whether bubble help for icons will be shown when the cursor hovers over an icon. If set to True, bubble help displays. This flag can be changed through the user interface in the "Show icon descriptions (bubble help)" field in the SmartIcons Setup dialog box.

Data Type

Integer

Syntax

[objectreference].IsBubbleHelp= isbubblehelpvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can write a script that lets bubble help display or not display over all icons. The user interface is found in the "Show icon descriptions (bubble help)" field in the SmartIcons Setup dialog box.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IsCellMenuEnabled property

 See list of classes

 See example

(Read-write) Controls whether or not a cell menu displays in a cell.

Data Type

Integer

Syntax

iscellmenuenabledvalue = [objectreference].IsCellMenuEnabled

[objectreference].IsCellMenuEnabled = iscellmenuenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True allows the cell menu to display when the focus is in a text object. Setting this property to False prevents the display of the cell menu when the focus is in a text object.


Topics Found:

Word Pro: ContextMenuOptions class


Word Pro: IsCentered property

 See list of classes

 See example

(Read-write) Determines whether or not each page of a printed document is centered.

Data Type

Integer

Syntax

iscenteredvalue = [objectreference].IsCentered

[objectreference].IsCentered = iscenteredvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class

Word Pro: PrintSettings class


Word Pro: IsChangedSinceTimeSave property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ischangedsincetimesavevalue = [objectreference].IsChangedSinceTimeSave

[objectreference].IsChangedSinceTimeSave = ischangedsincetimesavevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsChanged property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ischangedvalue = [objectreference].IsChanged

[objectreference].IsChanged = ischangedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextDocument class

Word Pro: TextMarker class


Word Pro: IsChildSpannable property

 See list of classes

 See example

(Read-write) Allows a layout object's children to span across pages.

Data Type

Integer

Syntax

ischildspannablevalue = [objectreference].IsChildSpannable

[objectreference].IsChildSpannable = ischildspannablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsCollapsed property

 See list of classes

 See example

(Read-write) This property is used with the NoteLayout property to determine if a Note is collapsed.

Data Type

Integer

Syntax

iscollapsedvalue = [objectreference].IsCollapsed

[objectreference].IsCollapsed = iscollapsedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When a NoteLayout object is collapsed, it appears in Word Pro as a small colored box.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsCollapsible property

 See list of classes

 See example

(Read-write) Determines whether or not a layout object shrinks to an icon.

Data Type

Integer

Syntax

iscollapsiblevalue = [objectreference].IsCollapsible

[objectreference].IsCollapsible = iscollapsiblevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

May cause unpredictable results if used with layout objects which are not comment note objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsColumnBreakable property

 See list of classes

 See example

(Read-only) Indicates whether or not a column break can be inserted into the content of a layout object.

Data Type

Integer

Syntax

iscolumnbreakablevalue = [objectreference].IsColumnBreakable

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsColumnBreakAfter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

iscolumnbreakaftervalue = [objectreference].IsColumnBreakAfter

[objectreference].IsColumnBreakAfter = iscolumnbreakaftervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: IsColumnBreakBefore property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

iscolumnbreakbeforevalue = [objectreference].IsColumnBreakBefore

[objectreference].IsColumnBreakBefore = iscolumnbreakbeforevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: IsComplex property

 See list of classes

 See example

(Read-write) Indicates whether or not a page layout pertains to all pages, or just odd/even pages.

Data Type

Integer

Syntax

iscomplexvalue = [objectreference].IsComplex

[objectreference].IsComplex = iscomplexvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Settings for" option located on the Size & Margins panel of the Page layout InfoBox for page layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsConnected property

 See list of classes

 See example

(Read-only) This property indicates whether or not a frame is a member of a group.

Data Type

Integer

Syntax

isconnectedvalue = [objectreference].IsConnected

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A frame layout object is a member of a group if it is grouped together with sibling frame layout objects. Equivalent to setting the "Group" option on the Frame menu.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsContents property

 See list of classes

 See example

(Read-write) For internal use only. Do not use this language element in your scripts.

Data Type

Integer

Syntax

Legal values

Usage


Topics Found:

Word Pro: Foundry class

Word Pro: Preferences class


Word Pro: IsContinuedFrom property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

iscontinuedfromvalue = [objectreference].IsContinuedFrom

[objectreference].IsContinuedFrom = iscontinuedfromvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: IsContinuedOn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

iscontinuedonvalue = [objectreference].IsContinuedOn

[objectreference].IsContinuedOn = iscontinuedonvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: IsCumulative property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

iscumulativevalue = [objectreference].IsCumulative

[objectreference].IsCumulative = iscumulativevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: IsDebug property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isdebugvalue = [objectreference].IsDebug

[objectreference].IsDebug = isdebugvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Macro class


Word Pro: IsDisableWarningMessages property

 See list of classes

 See example

(Read-write) Indicates if the Word Pro version warning messages are enabled.

Data Type

Integer (bool)

Syntax

isdisablewarningmessagesvalue = [objectreference].IsDisableWarningMessages

[objectreference].IsDisableWarningMessages = isdisablewarningmessagesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Disable" field on the General panel of the Word Pro Preferences dialog box. If the legal value for this property is False, Word Pro turns off all version warning messages. If the legal value for this property is True, Word Pro warns the user that there is a newer version of the document.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: IsDisplayMisspelled property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isdisplaymisspelledvalue = [objectreference].IsDisplayMisspelled

[objectreference].IsDisplayMisspelled = isdisplaymisspelledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsDivisionExternal property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isdivisionexternalvalue = [objectreference].IsDivisionExternal

[objectreference].IsDivisionExternal = isdivisionexternalvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsDocLoading property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isdocloadingvalue = [objectreference].IsDocLoading

[objectreference].IsDocLoading = isdocloadingvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsDocumentInRoute property

 See list of classes

 See example

(Read-only) An internal flag that indicates a value as to whether a document is in a mail route.

Data Type

Integer

Syntax

isdocumentinroutevalue = [objectreference].IsDocumentInRoute

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: MailRouting class


Word Pro: IsDoubleWordError property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isdoubleworderrorvalue = [objectreference].IsDoubleWordError

[objectreference].IsDoubleWordError = isdoubleworderrorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: IsDraw property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isdrawvalue = [objectreference].IsDraw

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IsEmptyDoc property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isemptydocvalue = [objectreference].IsEmptyDoc

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsEmpty property

 See list of classes

 See example

(Read-only) Indicates whether or not the text stream is empty.

[ClickHere block]

Indicates whether a ClickHere block is in its collapsed state.

[Content][BaseTable]

Indicates whether or not a specific content object is empty.

Data Type

Integer

Syntax

isemptyvalue = [objectreference].IsEmpty

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property returns True only for Text contents that contains no characters. For example, when a default frame is created, it contains an empty Text content.  When the user types some characters into the frame, the Text content is no longer empty.  If the user deletes all those characters, it is empty again.


Topics Found:

Word Pro: BagCollection class

Word Pro: BaseCollection class

Word Pro: BaseTable class

Word Pro: BookmarkCollection class

Word Pro: CellCollection class

Word Pro: CellLayoutCollection class

Word Pro: CharacterStyleCollection class

Word Pro: ClickHere class

Word Pro: ClickHereCollection class

Word Pro: ConnectedLayoutCollection class

Word Pro: Content class

Word Pro: ContentCollection class

Word Pro: DdeLinkCollection class

Word Pro: DivisionCollection class

Word Pro: DocInfoFieldCollection class

Word Pro: Documents class

Word Pro: DocWindowCollection class

Word Pro: DropCapLayoutCollection class

Word Pro: EditorCollection class

Word Pro: EndnoteLayoutCollection class

Word Pro: FooterLayoutCollection class

Word Pro: FootnoteCollection class

Word Pro: FootnoteLayoutCollection class

Word Pro: FootnoteTable class

Word Pro: Formula class

Word Pro: FrameLayoutCollection class

Word Pro: Glossary class

Word Pro: GlossaryCollection class

Word Pro: Graphic class

Word Pro: GraphicCollection class

Word Pro: GraphicOleObject class

Word Pro: GraphicOleObjectCollection class

Word Pro: GroupLayoutCollection class

Word Pro: HeaderLayoutCollection class

Word Pro: IconBarCollection class

Word Pro: LayoutCollection class

Word Pro: MarkerCollection class

Word Pro: MenuItemCollection class

Word Pro: NoteLayoutCollection class

Word Pro: OleObject class

Word Pro: OleObjectCollection class

Word Pro: OutlineSeqCollection class

Word Pro: OutlineSeqItemCollection class

Word Pro: PageLayoutCollection class

Word Pro: ParagraphStyleCollection class

Word Pro: ParallelColsCollection class

Word Pro: ParallelColumns class

Word Pro: PowerFieldCollection class

Word Pro: RowLayoutCollection class

Word Pro: RubyLayoutCollection class

Word Pro: SectionCollection class

Word Pro: SilverBulletCollection class

Word Pro: SmartCorrectCollection class

Word Pro: SmartFillCollection class

Word Pro: StatusBarButtonCollection class

Word Pro: StringCollection class

Word Pro: SuperTable class

Word Pro: SuperTableCollection class

Word Pro: SuperTableLayoutCollection class

Word Pro: Table class

Word Pro: TableCollection class

Word Pro: TableHeading class

Word Pro: TableHeadingCollection class

Word Pro: TableHeadingLayoutCollection class

Word Pro: TableLayoutCollection class

Word Pro: TableMarkerCollection class

Word Pro: TableOnlyCollection class

Word Pro: Text class

Word Pro: TextCollection class

Word Pro: TextMarkerCollection class

Word Pro: TextStyleCollection class

Word Pro: VersionCollection class

Word Pro: WPDataSetCollection class


Word Pro: IsEnabled property

 See list of classes

 See example

(Read-write) A flag that tells you whether or not an icon bar object is enabled and will display, thus allowing you to click on an icon in the set. If an icon bar is disabled, it is also usually hidden.

Data Type

Integer

Syntax

isenabledvalue = [objectreference].IsEnabled

[objectreference].IsEnabled = isenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property allows you to display an icon bar object and click on the icons.


Topics Found:

Word Pro: IconBar class

Word Pro: Kinsoku class


Word Pro: IsEquation property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isequationvalue = [objectreference].IsEquation

Legal values

True False

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IsErrorChecking property

 See list of classes

 See example

(Read-write) Allows you to set error checking to either allow or prevent an invalid operation.

 Data Type

Integer

Syntax

iserrorcheckingvalue = [objectreference].IsErrorChecking

[objectreference].IsErrorChecking = iserrorcheckingvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property allows you to determine whether or not the inherent error checking of a layout object is enabled. Error checking performed on a frame layout object, for example, would prevent an illegal setting for the size or the placement of the frame.

This property can be used by document filters in order to fully control layout objects and their placement within a Word Pro document.

Setting this property to True (-1) prevents an invalid operation. This is the default value. Setting this property to False (0) allows an invalid operation.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsExpandDown property

 See list of classes

 See example

(Read-write) Allows you to expand a layout object to the bottom to accommodate its contents.

Data Type

Integer

Syntax

isexpanddownvalue = [objectreference].IsExpandDown

[objectreference].IsExpandDown = isexpanddownvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsExpandLeft property

 See list of classes

 See example

(Read-write) Allows you to expand a layout object to the left to accommodate its contents.

Data Type

Integer

Syntax

isexpandleftvalue = [objectreference].IsExpandLeft

[objectreference].IsExpandLeft = isexpandleftvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsExpandRight property

 See list of classes

 See example

(Read-write) Allows you to expand a layout object to the right to accommodate its contents.

Data Type

Integer

Syntax

isexpandrightvalue = [objectreference].IsExpandRight

[objectreference].IsExpandRight = isexpandrightvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DivisionInfo class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsExpandUp property

 See list of classes

 See example

(Read-write) Allows you to expand a layout object upward to accommodate its contents.

Data Type

Integer

Syntax

isexpandupvalue = [objectreference].IsExpandUp

[objectreference].IsExpandUp = isexpandupvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsExportedToNotesFX property

 See list of classes

 See example

(Read-write) Indicates whether data will be transmitted from an OLE-linked document in Notes to a link in a Word Pro document.

Data Type

Integer

Syntax

isexportedtonotesfxvalue = [objectreference].IsExportedToNotesFX

[objectreference].IsExportedToNotesFX = isexportedtonotesfxvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property is not used for a DdeLink object.

[Bookmark]

When you are working in an OLE-linked document and the document is opened, Notes can transmit data to enter into a Word Pro bookmark. When you close the Word Pro document, the data retransmits back to Notes.


Topics Found:

Word Pro: Bookmark class

Word Pro: DdeLink class


Word Pro: IsExportedToOldNotesFX property

 See list of classes

 See example

(Read-write) This property does not apply to or appear in Word Pro documents. Indicates whether data will be transmitted from Notes to a bookmark only from an Ami Pro document.

Data Type

Integer

Syntax

isexportedtooldnotesfxvalue = [objectreference].IsExportedToOldNotesFX

[objectreference].IsExportedToOldNotesFX = isexportedtooldnotesfxvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Only marked as Notes FX when you are working in an Ami Pro document. This property does not apply to or appear in Word Pro documents.


Topics Found:

Word Pro: Bookmark class


Word Pro: IsExternalFile property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isexternalfilevalue = [objectreference].IsExternalFile

[objectreference].IsExternalFile = isexternalfilevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionInfo class

Word Pro: Graphic class


Word Pro: IsFixedLength property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isfixedlengthvalue = [objectreference].IsFixedLength

[objectreference].IsFixedLength = isfixedlengthvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FootnoteContSep class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class


Word Pro: IsFooter property

 See list of classes

 See example

(Read-only) Returns whether or not a container has a footer object.

Data Type

Integer

Syntax

isfootervalue = [objectreference].IsFooter

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: IsFrameMenuEnabled property

 See list of classes

 See example

(Read-write) Controls whether or not a frame menu displays in a framel.

Data Type

Integer

Syntax

isframemenuenabledvalue = [objectreference].IsFrameMenuEnabled

[objectreference].IsFrameMenuEnabled = isframemenuenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True allows the frame menu to display when the focus is in a text object. Setting this property to False prevents the display of the frame menu when the focus is in a text object.


Topics Found:

Word Pro: ContextMenuOptions class


Word Pro: IsGrabBar property

 See list of classes

 See example

(WriteOnly) An indicator that tells you if there is a solid color grab bar adjacent to the icons in a set. The grab bar allows you to drag the set to a different position on the workspace. Word Pro displays a hand over the solid color bar that closes when you click.

Data Type

Integer

Syntax

[objectreference].IsGrabBar = isgrabbarvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can write a script to turn this indicator off but, if you do so, the solid color grab bar disappears from the workspace.


Topics Found:

Word Pro: IconBar class


Word Pro: IsGrammarError property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isgrammarerrorvalue = [objectreference].IsGrammarError

[objectreference].IsGrammarError = isgrammarerrorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: IsGraphicMenuEnabled property

 See list of classes

 See example

(Read-write) Controls whether or not a graphic menu displays in a graphic.

Data Type

Integer

Syntax

isgraphicmenuenabledvalue = [objectreference].IsGraphicMenuEnabled

[objectreference].IsGraphicMenuEnabled = isgraphicmenuenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True allows the graphic menu to display when the focus is in a text object. Setting this property to False prevents the display of the graphic menu when the focus is in a text object.


Topics Found:

Word Pro: ContextMenuOptions class


Word Pro: IsHangover property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ishangovervalue = [objectreference].IsHangover [objectreference].IsHangover = ishangovervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Kinsoku class


Word Pro: IsHeader property

 See list of classes

 See example

(Read-only) Indicates whether or not a container has a header object.

Data Type

Integer

Syntax

isheadervalue = [objectreference].IsHeader

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: IsHiddenMark property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ishiddenmarkvalue = [objectreference].IsHiddenMark

[objectreference].IsHiddenMark = ishiddenmarkvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: IsHideHeaderFooter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ishideheaderfootervalue = [objectreference].IsHideHeaderFooter

[objectreference].IsHideHeaderFooter = ishideheaderfootervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsHighlightNote property

 See list of classes

 See example

(Read-write) Indicates if you are in comment note mode.

Data Type

Integer (Bool)

Syntax

ishighlightnotevalue = [objectreference].IsHighlightNote

[objectreference].IsHighlightNote = ishighlightnotevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

If the value for this property is True (-1), then Word Pro is in comment note mode. If the value for this property is False (0), Word Pro is not in comment note mode.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: IsHorizontalScrollBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ishorizontalscrollbarcleanscrnvalue = [objectreference].IsHorizontalScrollBarCleanScrn

[objectreference].IsHorizontalScrollBarCleanScrn = ishorizontalscrollbarcleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsHoverHelp property

 See list of classes

 See example

(Read-write) Indicates whether or not information about the icon displays in the title bar window when the cursor is positioned above the icon. This property does not apply to Word Pro.

Data Type

Integer

Syntax

ishoverhelpvalue = [objectreference].IsHoverHelp

[objectreference].IsHoverHelp = ishoverhelpvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Indicates whether or not information about the icon displays in the title bar window when the cursor is positioned above the icon. This property does not apply to Word Pro.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IsIconDepressible property

 See list of classes

 See example

(WriteOnly) A flag that indicates whether or not an icon will depress if you click down on it.

Data Type

Integer

Syntax

[objectreference].IsIconDepressible = isicondepressiblevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

You must first select an icon using either the SelectStandardIcon or SelectCustomIcon method for this property to function.


Topics Found:

Word Pro: IconBarManager class


Word Pro: IsInBulletEditMode property

 See list of classes

 See example

(Read-write) Indicates whether or not the current paragraph is in bullet edit mode.

Data Type

Integer

Syntax

isinbulleteditmodevalue = [objectreference].IsInBulletEditMode

[objectreference].IsInBulletEditMode = isinbulleteditmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: IsIndex property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isindexvalue = [objectreference].IsIndex

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: IndexSection class

Word Pro: Section class


Word Pro: IsInDraft property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isindraftvalue = [objectreference].IsInDraft

[objectreference].IsInDraft = isindraftvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsInOutline property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isinoutlinevalue = [objectreference].IsInOutline

[objectreference].IsInOutline = isinoutlinevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsInPageSort property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isinpagesortvalue = [objectreference].IsInPageSort

[objectreference].IsInPageSort = isinpagesortvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Example: IsContents property
'Example: IsContents property

'This language element is not available for use.


Example: IsContinuedFrom property
'Example: IsContinuedFrom property

'This example script has not yet been created.


Example: IsContinuedOn property
'Example: IsContinuedOn property

'This example script has not yet been created.


Example: IsCumulative property
'Example: IsCumulative property

'This example script has not yet been created.


Example: IsDataNameUsed method
'Example: IsDataNameUsed method

'This example script has not yet been created.


Example: IsDebug property
'Example: IsDebug property

'This example script has not yet been created.


Example: IsDisableWarningMessages property
'Example: IsDisableWarningMessages property

'This example script has not yet been created.


Example: IsDisplayMisspelled property
'Example: IsDisplayMisspelled property

'This example script has not yet been created.


Example: IsDivisionExternal property
'Example: IsDivisionExternal property

'This example script has not yet been created.


Example: IsDocLoading property
'Example: IsDocLoading property

'This example script has not yet been created.


Example: IsDocumentInRoute property
'Example: IsDocumentInRoute property

'This example script has not yet been created.


Example: IsDoubleWordError property
'Example: IsDoubleWordError property

'This example script has not yet been created.


Example: IsDraw property
'Example: IsDraw property

'This example script has not yet been created.


Example: IsEmptyDoc property
'Example: IsEmptyDoc property

'This example script has not yet been created.


Example: IsEmpty method
'Example: IsEmpty method

'This example script has not yet been created.


Example: IsEmpty property
'Example: IsEmpty property

'This example script has not yet been created.


Example: IsEnabled property
'Example: IsEnabled property

'This example script has not yet been created.


Example: IsEquation property
'Example: IsEquation property

'This example script has not yet been created.


Example: IsErrorChecking property
'Example: IsErrorChecking property

'This example script has not yet been created.


Example: IsExpandDown property
'Example: IsExpandDown property

'This example script has not yet been created.


Example: IsExpandLeft property
'Example: IsExpandLeft property

'This example script has not yet been created.


Example: IsExpandRight property
'Example: IsExpandRight property

'This example script has not yet been created.


Example: IsExpandUp property
'Example: IsExpandUp property

'This example script has not yet been created.


Example: IsExportedAsNotesFX method
'Example: IsExportedAsNotesFX method

' This example determines whether or not the DocInfo fields will be exported

' to Lotus Notes fields for OLE Embedded Word Pro documents.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .ActiveDocument.DocInfo.IsExportedAsNotesFX($LwpDocVarCreatedby )

Print .ActiveDocument.DocInfo.IsExportedAsNotesFX($LwpDocVarDescription )

Print .ActiveDocument.DocInfo.IsExportedAsNotesFX($LwpDocVarDocsize )

' This example inserts the 'created by' docinfo field. The field is made

' Lotus Notes FX aware.

.ActiveDocument.DocInfo.IsExportedAsNotesFX $LwpDocVarCreatedby

.InsertDocInfo $LwpDocVarCreatedby


Example: IsExportedToNotesFX property
'Example: IsExportedToNotesFX property

'This example script has not yet been created.


Example: IsExportedToOldNotesFX property
'Example: IsExportedToOldNotesFX property

'This example script has not yet been created.


Example: IsExternalFile property
'Example: IsExternalFile property

'This example script has not yet been created.


Example: IsFilterTypePresent method
'Example: IsFilterTypePresent method

' This example prints all the text and table filter types to the Lotus Script

' Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Forall TextAndTable In .ApplicationWindow.Filter.TextAndTableImports

FilterType =  TextAndTable

Print FilterType & "  " &

.ApplicationWindow.Filter.IsFilterTypePresent(FilterType,1)

End Forall


Example: IsFixedLength property
'Example: IsFixedLength property

'This example script has not yet been created.


Example: IsFooter property
'Example: IsFooter property

'This example script has not yet been created.


Example: IsFrameMenuEnabled property
'Example: IsFrameMenuEnabled property

'This example script has not yet been created.


Example: IsGrabBar property
'Example: IsGrabBar property

'This example script has not yet been created.


Example: IsGrammarError property
'Example: IsGrammarError property

'This example script has not yet been created.


Example: IsGraphicMenuEnabled property
'Example: IsGraphicMenuEnabled property

'This example script has not yet been created.


Example: IsHangover property
'Example: IsHangover property

'This example script has not yet been created.


Example: IsHeader property
'Example: IsHeader property

'This example script has not yet been created.


Example: IsHiddenMark property
'Example: IsHiddenMark property

'This example script has not yet been created.


Example: IsHideHeaderFooter property
'Example: IsHideHeaderFooter property

'This example script has not yet been created.


Example: IsHighlightNote property
'Example: IsHighlightNote property

'This example script has not yet been created.


Example: IsHorizontalScrollBarCleanScrn property
'Example: IsHorizontalScrollBarCleanScrn property

'This example script has not yet been created.


Example: IsHoverHelp property
'Example: IsHoverHelp property

'This example script has not yet been created.


Example: IsIconDepressible property
'Example: IsIconDepressible property

'This example script has not yet been created.


Example: IsInBulletEditMode property
'Example: IsInBulletEditMode property

'This example script has not yet been created.


Example: IsIndex property
'Example: IsIndex property

'This example script has not yet been created.


Example: IsInDraft property
'Example: IsInDraft property

'This example script has not yet been created.


Example: IsInOutline property
'Example: IsInOutline property

'This example script has not yet been created.


Example: IsInPageSort property
'Example: IsInPageSort property

'This example script has not yet been created.


Example: IsItemSelected method
'Example: IsItemSelected method

'This example script has not yet been created.


Example: IsLastStop property
'Example: IsLastStop property

'This example script has not yet been created.


Example: IsLesser property
'Example: IsLesser property

'This example script has not yet been created.


Example: IsLinked property
'Example: IsLinked property

'This example script has not yet been created.


Example: IsLocal property
'Example: IsLocal property

'This example script has not yet been created.


Example: IsLockedForRevisions property
'Example: IsLockedForRevisions property

'This example script has not yet been created.


Example: IsLotusChart property
'Example: IsLotusChart property

'This example script has not yet been created.


Example: IsMarginSameAsParent property
'Example: IsMarginSameAsParent property

'This example script has not yet been created.


Example: IsMarginsInColor property
'Example: IsMarginsInColor property

'This example script has not yet been created.


Example: IsMarkerEqualToSelection method
'Example: IsMarkerEqualToSelection method

'This example script has not yet been created.


Example: IsMarkerValid property
'Example: IsMarkerValid property

'This example script has not yet been created.


Example: IsMisspelled property
'Example: IsMisspelled property

'This example script has not yet been created.


Example: IsNotCopyable property
'Example: IsNotCopyable property

'This example script has not yet been created.


Example: IsNotCopyImage property
'Example: IsNotCopyImage property

'This example script has not yet been created.


Example: IsNotGroupable property
'Example: IsNotGroupable property

'This example script has not yet been created.


Example: IsNoUICommAllowed property
'Example: IsNoUICommAllowed property

'This example script has not yet been created.


Example: IsOnClipBoard property
'Example: IsOnClipBoard property

'This example script has not yet been created.


Example: IsOpen property
'Example: IsOpen property

'This example script has not yet been created.


Example: IsOverridden property
'Example: IsOverridden property

'This example script has not yet been created.


Example: IsOverride property
'Example: IsOverride property

'This example script has not yet been created.


Example: IsPageBreakAfter property
'Example: IsPageBreakAfter property

'This example script has not yet been created.


Example: IsPageBreakBefore property
'Example: IsPageBreakBefore property

'This example script has not yet been created.


Example: IsPageBreakMarks property
'Example: IsPageBreakMarks property

'This example script has not yet been created.


Example: IsPageBreakWithin property
'Example: IsPageBreakWithin property

'This example script has not yet been created.


Example: IsPageBreak property
'Example: IsPageBreak property

'This example script has not yet been created.


Example: IsParagraphNumberingDown property
'Example: IsParagraphNumberingDown property

'This example script has not yet been created.


Example: IsParagraphParent property
'Example: IsParagraphParent property

'This example script has not yet been created.


Example: IsParallelColumnsMenuEnabled property
'Example: IsParallelColumnsMenuEnabled property

'This example script has not yet been created.


Example: IsPartOfGroup property
'Example: IsPartOfGroup property

'This example script has not yet been created.


Example: IsPersistent property
'Example: IsPersistent property

'This example script has not yet been created.


Example: IsPointWithin method
'Example: IsPointWithin method

'This example script has not yet been created.


Example: IsPrePrintedForm property
'Example: IsPrePrintedForm property

'This example script has not yet been created.


Example: IsPrintable property
'Example: IsPrintable property

'This example script has not yet been created.


Example: IsPrintClickHereBlocks property
'Example: IsPrintClickHereBlocks property

'This example script has not yet been created.


Example: IsProtected property
'Example: IsProtected property

'This example script has not yet been created.


Example: IsRegistered property
'Example: IsRegistered property

'This example script has not yet been created.


Example: IsRepeat property
'Example: IsRepeat property

'This example script has not yet been created.


Example: IsReplaceable property
'Example: IsReplaceable property

'This example script has not yet been created.


Example: IsResetParagraphNumber property
'Example: IsResetParagraphNumber property

'This example script has not yet been created.


Example: IsRevisionMark property
'Example: IsRevisionMark property

'This example script has not yet been created.


Example: IsSame property
'Example: IsSame property

'This example script has not yet been created.


Example: IsSave property
'Example: IsSave property

'This example script has not yet been created.


Example: IsScalableBorder property
'Example: IsScalableBorder property

'This example script has not yet been created.


Example: IsScalable property
'Example: IsScalable property

'This example script has not yet been created.


Example: IsScrollable property
'Example: IsScrollable property

'This example script has not yet been created.


Word Pro: IsLastStop property

 See list of classes

 See example

(Read-only) An internal flag that indicates whether or not the document has reached the last stop on the mail route.

Data Type

Integer

Syntax

islaststopvalue = [objectreference].IsLastStop

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

The flag indicates a True value if the document has reached the last stop on the mail route and a False value for all other stops.


Topics Found:

Word Pro: MailRouting class


Word Pro: IsLesser property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

islesservalue = [objectreference].IsLesser

[objectreference].IsLesser = islesservalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: IsLinked property

 See list of classes

 See example

(Read-write) This property is obsolete and is not used.

Data Type

Integer

Syntax

islinkedvalue = [objectreference].IsLinked

[objectreference].IsLinked = islinkedvalue

Legal values

This property is not used.

Usage

This property is not used.


Topics Found:

Word Pro: Bookmark class


Word Pro: IsLocal property

 See list of classes

 See example

(Read-write) Indicates whether a layout object was derived from the SmartMaster or was created locally.

Data Type

Integer

Syntax

islocalvalue = [objectreference].IsLocal

[objectreference].IsLocal = islocalvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property is used in the same way when using this property from a CharacterStyle or ParagraphStyle object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsLockedForRevisions property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

islockedforrevisionsvalue = [objectreference].IsLockedForRevisions

[objectreference].IsLockedForRevisions = islockedforrevisionsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsLotusChart property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

islotuschartvalue = [objectreference].IsLotusChart

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IsMarginSameAsParent property

 See list of classes

 See example

(Read-write) Determines whether a layout object's margins are to be kept the same as its parent layout.

Data Type

Integer

Syntax

ismarginsameasparentvalue = [objectreference].IsMarginSameAsParent

[objectreference].IsMarginSameAsParent = ismarginsameasparentvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property allows you to control whether a child layout object maintains the same margin settings as its parent. For example, a header layout object usually adheres to its parent's margin values. A header layout object's parent is usually a page layout. If you set the header layout object's IsMarginSameAsParent property to False, the header layout object margins no longer correspond with the page layout object's margins.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsMarginsInColor property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ismarginsincolorvalue = [objectreference].IsMarginsInColor

[objectreference].IsMarginsInColor = ismarginsincolorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsMarkerValid property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

ismarkerValidvalue = [objectreference].IsMarkerValid

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: IsMisspelled property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ismisspelledvalue = [objectreference].IsMisspelled

[objectreference].IsMisspelled = ismisspelledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: IsNotCopyable property

 See list of classes

 See example

(Read-write) Indicates that a layout object cannot be copied.

Data Type

Integer

Syntax

isnotcopyablevalue = [objectreference].IsNotCopyable

[objectreference].IsNotCopyable = isnotcopyablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting a layout object's IsNotCopyable property to True disables the copy icon and the copy menu item while in that layout object. Setting this property to True will not disable the Windows keyboard shortcut commands for copying an item.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsNotCopyImage property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isnotcopyImagevalue = [objectreference].IsNotCopyImage

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: IsNotGroupable property

 See list of classes

 See example

(Read-write) Indicates whether or not a layout can be grouped with any sibling layout objects.

Data Type

Integer

Syntax

isnotgroupablevalue = [objectreference].IsNotGroupable

[objectreference].IsNotGroupable = isnotgroupablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this value to True will prevent a layout object from being grouped with sibling layout objects. For example, if you set this property to True for a certain frame layout object, you will not be able to group that frame with other frame layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsNoUICommAllowed property

 See list of classes

 See example

(Read-write) Indicates whether or not the user is locked out of the user interface for a layout object.

Data Type

Integer

Syntax

isnouicommallowedvalue = [objectreference].IsNoUICommAllowed

[objectreference].IsNoUICommAllowed = isnouicommallowedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If a layout object's IsNoUICommAllowed property is set to True, users will not be able to open the InfoBox directly to the layout object's properties. However, users will be able to access properties for a layout object if the InfoBox is already open when the user enters the layout object.

For example, if a frame layout object's IsNoUICommAllowed property is set to True, the Frame Properties menu option will be unavailable on both the right-click and pull-down menus. However, if the InfoBox is open when the user enters the frame layout, the user will be able to change the focus of the InfoBox to the frame.

This property is not meant to completely restrict access to the properties for a layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsOnClipBoard property

 See list of classes

 See example

(Read-write) This property is obsolete and is not used.

Data Type

Integer

Syntax

isonclipboardvalue = [objectreference].IsOnClipBoard

[objectreference].IsOnClipBoard = isonclipboardvalue

Legal values

This property is not used.

Usage

This property is not used.


Topics Found:

Word Pro: Bookmark class


Word Pro: IsOpen property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isopenvalue = [objectreference].IsOpen

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: IsOverridden property

 See list of classes

 See example

(Read-only) Indicates whether or not the character styles or paragraph styles are overridden by local attributes anywhere in the current paragraph.

Data Type

Integer

Syntax

isoverriddenvalue = [objectreference].IsOverridden

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

[Layout]

If this property indicates that the layout object has been overridden, then the layout object either did not come from a SmartMaster or the layout object was modified afterr the SmartMaster was last loaded.

Check the StyleExceptions property to determine which attributes are overridden.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: IsOverride property

 See list of classes

 See example

(Read-write) Indicates whether or not a layout overrides another layout.

Data Type

Integer

Syntax

isoverridevalue = [objectreference].IsOverride

[objectreference].IsOverride = isoverridevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False.

Usage

This property receives its instructions from the ConditionType property. IsOverride is currently only used when converting Ami Pro documents to Word Pro format.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsPageBreakAfter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ispagebreakaftervalue = [objectreference].IsPageBreakAfter

[objectreference].IsPageBreakAfter = ispagebreakaftervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: IsPageBreakBefore property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ispagebreakbeforevalue = [objectreference].IsPageBreakBefore

[objectreference].IsPageBreakBefore = ispagebreakbeforevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: IsPageBreakMarks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ispagebreakmarksvalue = [objectreference].IsPageBreakMarks

[objectreference].IsPageBreakMarks = ispagebreakmarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsPageBreakWithin property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

ispagebreakwithinvalue = [objectreference].IsPageBreakWithin

[objectreference].IsPageBreakWithin = ispagebreakwithinvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: IsPageBreak property

 See list of classes

 See example

(Read-write) Indicates whether or not a page break will be forced to occur beneath a row layout.

Data Type

Integer

Syntax

ispagebreakvalue = [objectreference].IsPageBreak

[objectreference].IsPageBreak = ispagebreakvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Page break after row" option, which is located in the Misc panel of the InfoBox for cell layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsParagraphNumberingDown property

 See list of classes

 See example

(Read-write) Indicates whether or not paragraph numbering will restart at the top of each table column.

Data Type

Integer

Syntax

isparagraphnumberingdownvalue = [objectreference].IsParagraphNumberingDown

[objectreference].IsParagraphNumberingDown = isparagraphnumberingdownvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Restart paragraph numbers on each column" setting, which is located in the Misc panel of the InfoBox for table objects.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: IsParagraphParent property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isparagraphparentvariable = [objectreference].IsParagraphParent

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: IsParallelColumnsMenuEnabled property

 See list of classes

 See example

(Read-write) Controls whether or not a parallel columns menu displays in a parallel column.

Data Type

Integer

Syntax

isparallelcolumnsmenuenabledvalue = [objectreference].IsParallelColumnsMenuEnabled

objectreference].IsParallelColumnsMenuEnabled = isparallelcolumnsmenuenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True allows the parallel columns menu to display when the focus is in a text object. Setting this property to False prevents the display of the parallel columns menu when the focus is in a text object.


Topics Found:

Word Pro: ContextMenuOptions class


Word Pro: IsPartOfGroup property

 See list of classes

 See example

(Read-only) Indicates whether or not a layout object is part of a group of layout objects.

Data Type

Integer

Syntax

ispartofgroupvalue = [objectreference].IsPartOfGroup

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsPersistent property

 See list of classes

 See example

(Read-only) Indicates whether the data set is saved with the document between sessions.

Data Type

Integer

Syntax

ispersistentvalue = [objectreference].IsPersistent

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

This property returns True if the data set is saved with the document between sessions. This property returns False if the data set is not saved with the document between sessions.

Usage

All WPDataSets contained in a document are saved with the document. WPDataSets in the WPApplication object are not saved with the document.


Topics Found:

Word Pro: ScriptDataSet class

Word Pro: WPDataSet class


Word Pro: IsPrePrintedForm property

 See list of classes

 See example

(Read-write) Prevents protected text from being printed if "Allow editing of protected text" is deselected on the Other Panel of the TeamSecurity dialog box.  This property also prevents lines and background colors/patterns in column blocks, frames, headers/footers, pages, paragraphs, and table cells from being printed.

Data Type

Integer

Syntax

ispreprintedformvalue = [objectreference].IsPrePrintedForm

[objectreference].IsPrePrintedForm = ispreprintedformvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - Print, clicking Options and selecting "On preprinted form."


Topics Found:

Word Pro: PrintSettings class


Word Pro: IsPrintable property

 See list of classes

 See example

(Read-write) Indicates whether or not the layout will be printed.

Data Type

Integer

Syntax

isprintablevalue = [objectreference].IsPrintable

[objectreference].IsPrintable = isprintablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property does not affect the display or the flow of text. When a document is printed, layout objects that have the IsPrintable property set to True leave a blank space equal to the size of the layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsPrintClickHereBlocks property

 See list of classes

 See example

(Read-write) Determines whether or not unfilled ClickHere blocks that contain prompt text are printed.

Data Type

Integer

Syntax

isprintclickhereblocksvalue = [objectreference].IsPrintClickHereBlocks

[objectreference].IsPrintClickHereBlocks = isprintclickhereblocksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - Print, clicking Options, and selecting "With unfilled click here blocks."


Topics Found:

Word Pro: PrintSettings class


Word Pro: IsProtected property

 See list of classes

 See example

(Read-write) Indicates whether or not a layout object is is marked as protected.

Data Type

Integer

Syntax

isprotectedvalue = [objectreference].IsProtected

[objectreference].IsProtected = isprotectedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to protecting a layout object by choosing the option in the "Other options" box, located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class


Word Pro: IsRegistered property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isregisteredvalue = [objectreference].IsRegistered

[objectreference].IsRegistered = isregisteredvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: IsRepeat property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isrepeatvalue = [objectreference].IsRepeat

[objectreference].IsRepeat = isrepeatvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FootnoteOptions class


Word Pro: IsReplaceable property

 See list of classes

 See example

(Read-only) Indicates whether or not you can replace a content object with another content object.

Data Type

Integer

Syntax

isreplaceablevalue = [objectreference].IsReplaceable

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This property is useful for importing content from other documents.  Text is replaceable only if the content object is empty. If content is present, the content object is not replaceable. If only a ClickHere block, the content object can be replaced.


Topics Found:

Word Pro: BaseTable class

Word Pro: Content class

Word Pro: FootnoteTable class

Word Pro: Formula class

Word Pro: Glossary class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class

Word Pro: ParallelColumns class

Word Pro: SuperTable class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: Text class


Word Pro: IsResetParagraphNumber property

 See list of classes

 See example

(Read-write) Indicates whether paragraph numbering is cumulative across cells within a table.

Data Type

Integer

Syntax

isresetparagraphnumbervalue = [objectreference].IsResetParagraphNumber

[objectreference].IsResetParagraphNumber = isresetparagraphnumbervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True will force paragraph numbering to restart between each table cell. Setting this property to false will allow the IsParagraphNumberingDown property to control in which circumstances paragraph numbering will reset.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: IsRevisionMark property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isrevisionmarkvalue = [objectreference].IsRevisionMark

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: IsSame property

 See list of classes

 See example

(WriteOnly) Icon bar objects that have this flag checked are placed in the same location on the workspace where they were on the previous close. Moving just one of the bars with this flag set will cause all bars with this flag set to move.

Data Type

Integer

Syntax

[objectreference].IsSame = issamevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to setting this indicator in the "Bars that will appear in the same location" field in the SmartIcons Setup dialog box. All context icon bar objects have this flag set to True by default (except for the Universal set). For example, if you are working in text and move the Text icon bar object to the bottom of the workspace, and then start to work in a frame, the Frame icon bar object will also display on the bottom of the workspace.


Topics Found:

Word Pro: IconBar class


Word Pro: IsSave property

 See list of classes

 See example

(WriteOnly) An indicator that tells you whether or not an icon bar object will be saved. If you move the icon bar to another location on the workspace or you add an icon to it, the icon bar object must be saved to a file in order to preserve your changes.

Data Type

Integer

Syntax

[objectreference].IsSave = issavevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If this flag is on, when Word Pro closes, icon bar information is saved. If the flag is turned off, no changes made to the icon bar are saved. Therefore, if you moved a bar, or added or removed icons from a bar while Word Pro was active, none of this information would be saved.


Topics Found:

Word Pro: IconBar class


Word Pro: IsScalableBorder property

 See list of classes

 See example

(WriteOnly) An indicator that tells you whether or not you can change (scale) the size of an icon bar object.

Data Type

Integer

Syntax

[objectreference].IsScalableBorder = isscalablebordervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

This flag is set to True by default. If it is not turned on, you cannot drag the icon bar set to a new size.


Topics Found:

Word Pro: IconBar class


Word Pro: IsScalable property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

isscalablevalue = [objectreference].IsScalable

Legal values

True False

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: IsScrollable property

 See list of classes

 See example

(Read-write) Determines whether or not a scroll bar is inserted in a note layout object.

Data Type

Integer

Syntax

isscrollablevalue = [objectreference].IsScrollable

[objectreference].IsScrollable = isscrollablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

This property is only used with note layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DivisionInfo class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsShowing property

 See list of classes

 See example

(Read-write) Indicates whether a specific user interface object is currently visible.

[IconBar}

Indicates whether the icon bar object is currently visible.

[IconBarManager}

A flag that Indicates whether or not any icon bars will be visible.

[Ruler]

Indicates whether or not the ruler object is currently visible.

[SectionTabs]

Indicates whether or not a section or division tab in a document is currently visible.

Data Type

Integer

Syntax

isshowingvalue = [objectreference].IsShowing

[objectreference].IsShowing = isshowingvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

[IconBarManager]

Equivalent to choosing View - Show/Hide - SmartIcons on the menu.

[SectionTabs]

Equivalent to clicking the tab icon at the right of the divider tab area to display or hide divider tabs.


Topics Found:

Word Pro: IconBar class

Word Pro: IconBarManager class

Word Pro: Ruler class

Word Pro: SectionTabs class


Word Pro: IsSingleClickEntry property

 See list of classes

 See example

(Read-only) Indicates whether or not a layout can be entered with a single click.

Data Type

Integer

Syntax

issingleclickentryvalue = [objectreference].IsSingleClickEntry

objectreference].IsSingleClickEntry = issingleclickentryvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsSizable property

 See list of classes

 See example

(Read-write) Allows you to set whether or not sizing handles will function on the layout object.

Data Type

Integer

Syntax

issizablevalue = [objectreference].IsSizable

[objectreference].IsSizable = issizablevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If a layout object's IsSizable property is set to False, users will not be able to size the layout object with the InfoBox or by using the mouse.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsSizingViaMouse property

 See list of classes

 See example

(Read-write) Indicates whether or not you can use the mouse to size table columns.

Data Type

Integer

Syntax

issizingviamousevalue = [objectreference].IsSizingViaMouse

[objectreference].IsSizingViaMouse = issizingviamousevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: IsSmartCorrectEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

issmartcorrectenabledvalue = [objectreference].IsSmartCorrectEnabled

[objectreference].IsSmartCorrectEnabled = issmartcorrectenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: IsSmartShadeEnabled property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

issmartshadeenabledvalue = [objectreference].IsSmartShadeEnabled

[objectreference].IsSmartShadeEnabled = issmartshadeenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: IsSnapTo property

 See list of classes

 See example

(Read-write) Indicates whether or not a child layout snaps to the grid of the current layout.

Data Type

Integer

Syntax

issnaptovalue = [objectreference].IsSnapTo

[objectreference].IsSnapTo = issnaptovalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Snap frames to grid" setting, located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsSortFromEnd property

 See list of classes

 See example

(Read-write) Specifies whether or not words or numbers are used in a sort level based on their relative position from the end of the field.

Data Type

Integer

Syntax

issortfromendvalue = [objectreference].IsSortFromEnd

[objectreference].IsSortFromEnd = issortfromendvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

A True value in this property indicates that the word used for the sort level is selected from the end of the field. A False value indicates that the word being used in the sort level is selected from the beginning of the field.

Usage

Equivalent to choosing Sort - Text, choosing "Other" from the "Word" box, and choosing "From end of field."


Topics Found:

Word Pro: SortKey class


Word Pro: IsSpellBarUp property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isspellbarupvalue = [objectreference].IsSpellBarUp

[objectreference].IsSpellBarUp = isspellbarupvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsSpellMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isspellmodevalue = [objectreference].IsSpellMode

[objectreference].IsSpellMode = isspellmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsSqueeze property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

issqueezevalue = [objectreference].IsSqueeze [objectreference].IsSqueeze = issqueezevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Kinsoku class


Word Pro: IsStyleSheet property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isstylesheetvalue = [objectreference].IsStyleSheet

[objectreference].IsStyleSheet = isstylesheetvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: IsTableHeading property

 See list of classes

 See example

(Read-write) Allows you to make a row layout or row group layout object a table heading.

Data Type

Integer

Syntax

istableheadingvalue = [objectreference].IsTableHeading

[objectreference].IsTableHeading = istableheadingvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing "Mark as Repeated Heading" in the Table menu.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsTemp property

 See list of classes

 See example

(Read-write) A value of True indicates that this style will be removed when the InUseCount property value drops to 0.

Data Type

Integer

Syntax

istempvalue = [objectreference].IsTemp

[objectreference].IsTemp = istempvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ParagraphStyle class


Word Pro: IsTextLocked property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

istextlockedvalue = [objectreference].IsTextLocked

[objectreference].IsTextLocked = istextlockedvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionOptions class


Word Pro: IsTextMenuEnabled property

 See list of classes

 See example

(Read-write) Controls whether or not a text menu displays when you click in a text object.

Data Type

Integer

Syntax

istextmenuenabledvalue = [objectreference].IsTextMenuEnabled

objectreference].IsTextMenuEnabled = istextmenuenabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property to True allows the Text menu to display when the focus is in a text object. Setting this property to False prevents the display of the Text menu when the focus is in a text object.


Topics Found:

Word Pro: ContextMenuOptions class


Word Pro: IsTOC property

 See list of classes

 See example

(Read-only) Indicates whether or not a table is a special TOC table.

Data Type

Integer

Syntax

istocvalue = [objectreference].IsTOC

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: IsTrueType property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

istruetypevalue = [objectreference].IsTrueType

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: FontMetrics class


Word Pro: IsUndoOn property

 See list of classes

 See example

(Read-write) Turns the Undo recorder on (True) or off (False) for the objects in the Foundry object.

Data Type

Integer

Syntax

isundoonvalue = [objectreference].IsUndoOn

[objectreference].IsUndoOn = isundoonvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Word Pro is capable of recording all of your actions and allowing you to undo those actions in succession. Word Pro does this by recording any changes made to an object and keeping track of each object's status before and after each change.

You can use this property to turn the Undo recorder on or off for all the objects in a particular Foundry object. This is particularly useful when you want to run a lengthy script that makes many changes to a document. By turning the Undo recorder off for each active division's Foundry, you will save memory, prevent users from undoing your script's changes, preserve any changes made by the user, and possibly improve the overall performance of your script.


Topics Found:

Word Pro: Division class

Word Pro: Foundry class

Word Pro: TextDocument class


Word Pro: IsUpdateAutomatic property

 See list of classes

 See example

(Read-write) A flag that indicates if updates will automatically be sent to Word Pro.

Data Type

Integer

Syntax

isupdateautomaticvalue = [objectreference].IsUpdateAutomatic

[objectreference].IsUpdateAutomatic = isupdateautomaticvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can turn the "Automatic update" option on and off in the Manage Links dialog box by choosing Edit - Manage Links. You can also choose to update manually.


Topics Found:

Word Pro: DdeLink class


Word Pro: IsUpdateIndex property

 See list of classes

 See example

(Read-write) Determines whether or not Word Pro updates the index while printing a document.

Data Type

Integer

Syntax

isupdateindexvalue = [objectreference].IsUpdateIndex

[objectreference].IsUpdateIndex = isupdateindexvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - Print, clicking Options, and selecting "Index" in the Update section in the Print Options dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: IsUpdateTOC property

 See list of classes

 See example

(Read-write) Determines whether or not Word Pro updates the table of contents while printing a document.

Data Type

Integer

Syntax

isupdatetocvalue = [objectreference].IsUpdateTOC

[objectreference].IsUpdateTOC = isupdatetocvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - Print, clicking Options, and selecting "Table of contents" in the Update section in the Print Options dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: IsValid property

 See list of classes

 See example

(Read-only) Indicates if the object from which you call this property is available to LotusScript at the time the script is run. This is particularly useful when you need to determine if a MenuItem object is available from the current context.

Data Type

Integer

Syntax

isvalidvalue = [objectreference].IsValid

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Word Pro often hides or deactivates certain objects under specific circumstances. For example, the Frame menu and its menu items are marked as invalid (IsValid = 0), unless a frame is active in the focus. Use this property when you want to check to see if an object is available to LotusScript from the current context.

Some objects, such as WPApplication, are always valid.


Topics Found:

Word Pro: BaseObject class


Word Pro: IsVerticalScrollBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isverticalscrollbarcleanscrnvalue = [objectreference].IsVerticalScrollBarCleanScrn

[objectreference].IsVerticalScrollBarCleanScrn = isverticalscrollbarcleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewAnchor property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewanchorvalue = [objectreference].IsViewAnchor

[objectreference].IsViewAnchor = isviewanchorvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewBookmarks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewbookmarksvalue = [objectreference].IsViewBookmarks

[objectreference].IsViewBookmarks = isviewbookmarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewClickHereBlocks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewclickhereblocksvalue = [objectreference].IsViewClickHereBlocks

[objectreference].IsViewClickHereBlocks = isviewclickhereblocksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewColGuides property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewcolguidesvalue = [objectreference].IsViewColGuides

[objectreference].IsViewColGuides = isviewcolguidesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewColumnBreakMarks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewcolumnbreakmarksvalue = [objectreference].IsViewColumnBreakMarks

[objectreference].IsViewColumnBreakMarks = isviewcolumnbreakmarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewDDELinks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewddelinksvalue = [objectreference].IsViewDDELinks

[objectreference].IsViewDDELinks = isviewddelinksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewHorzRuler property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewhorzrulervalue = [objectreference].IsViewHorzRuler

[objectreference].IsViewHorzRuler = isviewhorzrulervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewHorzScrollBar property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewhorzscrollBarvalue = [objectreference].IsViewHorzScrollBar

[objectreference].IsViewHorzScrollBar = isviewhorzscrollBarvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewMenuCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewmenucleanscrnvalue = [objectreference].IsViewMenuCleanScrn

[objectreference].IsViewMenuCleanScrn = isviewmenucleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewNotes property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewnotesvalue = [objectreference].IsViewNotes

[objectreference].IsViewNotes = isviewnotesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewOutlineFlowToScreen property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewoutlineflowtoscreenvalue = [objectreference].IsViewOutlineFlowToScreen

[objectreference].IsViewOutlineFlowToScreen = isviewoutlineflowtoscreenvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewOutlineIndent property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewoutlineindentvalue = [objectreference].IsViewOutlineIndent

[objectreference].IsViewOutlineIndent = isviewoutlineindentvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewPageLayoutMarks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewpagelayoutmarksvalue = [objectreference].IsViewPageLayoutMarks

[objectreference].IsViewPageLayoutMarks = isviewpagelayoutmarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewParallelColumnBorder property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewparallelcolumnbordervalue = [objectreference].IsViewParallelColumnBorder

[objectreference].IsViewParallelColumnBorder = isviewparallelcolumnbordervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewPictures property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewpicturesvalue = [objectreference].IsViewPictures

[objectreference].IsViewPictures = isviewpicturesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewReturnIconCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewreturniconcleanscrnvalue = [objectreference].IsViewReturnIconCleanScrn

[objectreference].IsViewReturnIconCleanScrn = isviewreturniconcleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewReturns property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewreturnsvalue = [objectreference].IsViewReturns

[objectreference].IsViewReturns = isviewreturnsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewRulerMarks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewrulermarksvalue = [objectreference].IsViewRulerMarks

[objectreference].IsViewRulerMarks = isviewrulermarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewSectionBreakMarks property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewsectionbreakmarksvalue = [objectreference].IsViewSectionBreakMarks

[objectreference].IsViewSectionBreakMarks = isviewsectionbreakmarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewSectionTabs property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewsectiontabsvalue = [objectreference].IsViewSectionTabs

[objectreference].IsViewSectionTabs = isviewsectiontabsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewSmartIconsCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewsmarticonscleanscrnvalue = [objectreference].IsViewSmartIconsCleanScrn

[objectreference].IsViewSmartIconsCleanScrn = isviewsmarticonscleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewStatusBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewstatusbarcleanscrnvalue = [objectreference].IsViewStatusBarCleanScrn

[objectreference].IsViewStatusBarCleanScrn = isviewstatusbarcleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewTableCellSelection property

 See list of classes

 See example

This property has not yet been defined.

Data Type

Syntax

Legal values

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewTableGridLines property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewtablegridlinesvalue = [objectreference].IsViewTableGridLines

[objectreference].IsViewTableGridLines = isviewtablegridlinesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewTableHeadings property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewtableheadingsvalue = [objectreference].IsViewTableHeadings

[objectreference].IsViewTableHeadings = isviewtableheadingsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewTabs property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewtabsvalue = [objectreference].IsViewTabs

[objectreference].IsViewTabs = isviewtabsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewThumbBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewthumbbarcleanscrnvalue = [objectreference].IsViewThumbBarCleanScrn

[objectreference].IsViewThumbBarCleanScrn = isviewthumbbarcleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: IsViewTitleBarCleanScrn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

isviewtitlebarcleanscrnvalue = [objectreference].IsViewTitleBarCleanScrn

[objectreference].IsViewTitleBarCleanScrn = isviewtitlebarcleanscrnvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Example: IsShowing property
'Example: IsShowing property

' This example uses IsShowing to test the status of the iconbar

IsShowing = .ApplicationWindow.IconBarManager.IsShowing

If IsShowing = True Then

' if the icons are currently showing then toggle to hide

.ToggleIconBar

End If


Example: IsSingleClickEntry property
'Example: IsSingleClickEntry property

'This example script has not yet been created.


Example: IsSizable property
'Example: IsSizable property

'This example script has not yet been created.


Example: IsSizingViaMouse property
'Example: IsSizingViaMouse property

'This example script has not yet been created.


Example: IsSmartCorrectEnabled property
'Example: IsSmartCorrectEnabled property

'This example script has not yet been created.


Example: IsSmartShadeEnabled property
'Example: IsSmartShadeEnabled property

'This example script has not yet been created.


Example: IsSnapTo property
'Example: IsSnapTo property

'This example script has not yet been created.


Example: IsSortFromEnd property
'Example: IsSortFromEnd property

'This example script has not yet been created.


Example: IsSpellBarUp property
'Example: IsSpellBarUp property

'This example script has not yet been created.


Example: IsSpellMode property
'Example: IsSpellMode property

'This example script has not yet been created.


Example: IsSqueeze property
'Example: IsSqueeze property

'This example script has not yet been created.


Example: IsStyleSheet property
'Example: IsStyleSheet property

'This example script has not yet been created.


Example: IsTableHeading property
'Example: IsTableHeading property

'This example script has not yet been created.


Example: IsTemporary method
'Example: IsTemporary method

'This example script has not yet been created.


Example: IsTemp property
'Example: IsTemp property

'This example script has not yet been created.


Example: IsTextLocked property
'Example: IsTextLocked property

'This example script has not yet been created.


Example: IsTextMenuEnabled property
'Example: IsTextMenuEnabled property

'This example script has not yet been created.


Example: IsTOC property
'Example: IsTOC property

'This example script has not yet been created.


Example: IsTrueType property
'Example: IsTrueType property

'This example script has not yet been created.


Example: IsUndoOn property
'Example: IsUndoOn property

''This example turns the Undo recorder off in the currently

active division and then turns it on again.

'Paste this example in the Sub Main section of your script.

.Foundry.IsUndoOn = False

.Foundry.IsUndoOn = True


Example: IsUpdateAutomatic property
'Example: IsUpdateAutomatic property

'This example script has not yet been created.


Example: IsUpdateIndex property
'Example: IsUpdateIndex property

'This example script has not yet been created.


Example: IsUpdateTOC property
'Example: IsUpdateTOC property

'This example script has not yet been created.


Example: IsValid property
'Example: IsValid property

'This example script has not yet been created.


Example: IsVerticalScrollBarCleanScrn property
'Example: IsVerticalScrollBarCleanScrn property

'This example script has not yet been created.


Example: IsViewAnchor property
'Example: IsViewAnchor property

'This example script has not yet been created.


Example: IsViewBookmarks property
'Example: IsViewBookmarks property

'This example script has not yet been created.


Example: IsViewClickHereBlocks property
'Example: IsViewClickHereBlocks property

'This example script has not yet been created.


Example: IsViewColGuides property
'Example: IsViewColGuides property

'This example script has not yet been created.


Example: IsViewColumnBreakMarks property
'Example: IsViewColumnBreakMarks property

'This example script has not yet been created.


Example: IsViewDDELinks property
'Example: IsViewDDELinks property

'This example script has not yet been created.


Example: IsViewHorzRuler property
'Example: IsViewHorzRuler property

'This example script has not yet been created.


Example: IsViewHorzScrollBar property
'Example: IsViewHorzScrollBar property

'This example script has not yet been created.


Example: IsViewMenuCleanScrn property
'Example: IsViewMenuCleanScrn property

'This example script has not yet been created.


Example: IsViewNotes property
'Example: IsViewNotes property

'This example script has not yet been created.


Example: IsViewOutlineFlowToScreen property
'Example: IsViewOutlineFlowToScreen property

'This example script has not yet been created.


Example: IsViewOutlineIndent property
'Example: IsViewOutlineIndent property

'This example script has not yet been created.


Example: IsViewPageLayoutMarks property
'Example: IsViewPageLayoutMarks property

'This example script has not yet been created.


Example: IsViewParallelColumnBorder property
'Example: IsViewParallelColumnBorder property

'This example script has not yet been created.


Example: IsViewPictures property
'Example: IsViewPictures property

'This example script has not yet been created.


Example: IsViewReturnIconCleanScrn property
'Example: IsViewReturnIconCleanScrn property

'This example script has not yet been created.


Example: IsViewReturns property
'Example: IsViewReturns property

'This example script has not yet been created.


Example: IsViewRulerMarks property
'Example: IsViewRulerMarks property

'This example script has not yet been created.


Example: IsViewSectionBreakMarks property
'Example: IsViewSectionBreakMarks property

'This example script has not yet been created.


Example: IsViewSectionTabs property
'Example: IsViewSectionTabs property

'This example script has not yet been created.


Example: IsViewSmartIconsCleanScrn property
'Example: IsViewSmartIconsCleanScrn property

'This example script has not yet been created.


Example: IsViewStatusBarCleanScrn property
'Example: IsViewStatusBarCleanScrn property

'This example script has not yet been created.


Example: IsViewTableCellSelection property
'Example: IsViewTableCellSelection property

'This example script has not yet been created.


Example: IsViewTableGridLines property
'Example: IsViewTableGridLines property

'This example script has not yet been created.


Example: IsViewTableHeadings property
'Example: IsViewTableHeadings property

'This example script has not yet been created.


Example: IsViewTabs property
'Example: IsViewTabs property

'This example script has not yet been created.


Example: IsViewThumbBarCleanScrn property
'Example: IsViewThumbBarCleanScrn property

'This example script has not yet been created.


Example: IsViewTitleBarCleanScrn property
'Example: IsViewTitleBarCleanScrn property

'This example script has not yet been created.


Example: IsViewVertRuler property
'Example: IsViewVertRuler property

'This example script has not yet been created.


Example: IsViewVertScrollBar property
'Example: IsViewVertScrollBar property

'This example script has not yet been created.


Example: IsWMCommandValid method
'Example: IsWMCommandValid method

' This example uses the IsWmCommandvalid to ensure that a table is selected

' before querying for table information.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

If (.IsWmCommandvalid(633)) Then

Dim MyTable As Table

Set MyTable = .Table

Print "Table Name: " & MyTable.Name

Print "Table Rows:" & Str$(MyTable.NumRows)

Print "Table Cols:" & Str$(MyTable.NumCols)

End If


Example: IsWordProChart property
'Example: IsWordProChart property

'This example script has not yet been created.


Example: IsWorkingDir property
'Example: IsWorkingDir property

'This example script has not yet been created.


Example: Italic method
'Example: Italic method

' This example first inserts sample text in the current document and selects

' the paragraph. The script then uses the Italic method to toggle the Italic

' attribute.

' RUNTIME DEPENDENCIES: You must have a document open with selected text

' for this script to work.

.Text.InsertText "This is some sample text."

.SelectParagraph

.Italic


Example: Italic property
'Example: Italic property

'This example script has not yet been created.


Example: Items property
'Example: Items property

'This example script has not yet been created.


Example: Item method
'Example: Item method

' This example creates a bookmark from the current marker and then prints

' the bookmark's marker name by indexing into the Bookmarks collection using

' the Item method

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkerName As String

MarkerName = .Mark($LwpMarkerTypeBookmark)

.Division.BookmarkManager.AddBookmark "ExampleBookmark", MarkerName

Print .Division.BookmarkManager.Bookmarks.Item("ExampleBookmark").MarkerName


Example: JoinCorners property
'Example: JoinCorners property

'This example script has not yet been created.


Example: JoinHeight property
'Example: JoinHeight property

'This example script has not yet been created.


Example: JoinType property
'Example: JoinType property

'This example script has not yet been created.


Example: JoinWidth property
'Example: JoinWidth property

'This example script has not yet been created.


Example: Join property
'Example: Join property

'This example script has not yet been created.


Example: Justifiable property
'Example: Justifiable property

'This example script has not yet been created.


Example: KeepWithNext property
'Example: KeepWithNext property

'This example script has not yet been created.


Example: KeepWithPrev property
'Example: KeepWithPrev property

'This example script has not yet been created.


Example: KeyboardLanguage property
'Example: KeyboardLanguage property

'This example script has not yet been created.


Example: KeyStroke event
'Example: KeyStroke event

'This example script has not yet been created.


Example: KeywordColor property
'Example: KeywordColor property

'This example script has not yet been created.


Example: Keywords property
'Example: Keywords property

'This example script has not yet been created.


Example: Kinsoku property
'Example: Kinsoku property

'This example script has not yet been created.


Example: LabelCreate method
'Example: LabelCreate method

'This example script has not yet been created.


Example: LabelMerge method
'Example: LabelMerge method

'This example script has not yet been created.


Example: Labels method
'Example: Labels method

'This example script has not yet been created.


Example: LandscapeMode property
'Example: LandscapeMode property

'This example script has not yet been created.


Example: Language property
'Example: Language property

'This example script has not yet been created.


Example: LastChild property
'Example: LastChild property

'This example script has not yet been created.


Example: LastDocPath property
'Example: LastDocPath property

'This example script has not yet been created.


Example: LastEditorName property
'Example: LastEditorName property

'This example script has not yet been created.


Example: LastGraphicPath property
'Example: LastGraphicPath property

'This example script has not yet been created.


Example: LastGraphicType property
'Example: LastGraphicType property

'This example script has not yet been created.


Example: LastMacroPath property
'Example: LastMacroPath property

'This example script has not yet been created.


Example: LastName property
'Example: LastName property

'This example script has not yet been created.


Example: LastPage property
'Example: LastPage property

'This example script has not yet been created.


Example: LastUsedDateFormula property
'Example: LastUsedDateFormula property

'This example script has not yet been created.


Example: Last property
'Example: Last property

'This example script has not yet been created.


Example: LayoutName property
'Example: LayoutName property

'This example script has not yet been created.


Example: LayoutOverride property
'Example: LayoutOverride property

'This example script has not yet been created.


Example: Layouts property
'Example: Layouts property

'This example script has not yet been created.


Example: Layout property
'Example: Layout property

'This example script has not yet been created.


Example: LeaderDotDashChar property
'Example: LeaderDotDashChar property

'This example script has not yet been created.


Example: LeaderDotDotChar property
'Example: LeaderDotDotChar property

'This example script has not yet been created.


Example: LeaderDotType property
'Example: LeaderDotType property

'This example script has not yet been created.


Example: LeaderDotUnderscoreChar property
'Example: LeaderDotUnderscoreChar property

'This example script has not yet been created.


Example: LeadingText property
'Example: LeadingText property

'This example script has not yet been created.


Example: LeftBorder property
'Example: LeftBorder property

'This example script has not yet been created.


Example: LeftExternalMargin property
'Example: LeftExternalMargin property

'This example script has not yet been created.


Example: LeftPage property
'Example: LeftPage property

'This example script has not yet been created.


Example: LeftTopCellId property
'Example: LeftTopCellId property

'This example script has not yet been created.


Example: Left property
'Example: Left property

'This example script has not yet been created.


Example: Length property
'Example: Length property

'This example script has not yet been created.


Example: Level property
'Example: Level property

'This example script has not yet been created.


Example: LineCount property
'Example: LineCount property

'This example script has not yet been created.


Example: LineLocation property
'Example: LineLocation property

'This example script has not yet been created.


Example: LineMix property
'Example: LineMix property

'This example script has not yet been created.


Example: LineNumberOptions property
'Example: LineNumberOptions property

'This example script has not yet been created.


Example: LinePlacement property
'Example: LinePlacement property

'This example script has not yet been created.


Example: LinesSpacedEveryNthUnit property
'Example: LinesSpacedEveryNthUnit property

'This example script has not yet been created.


Example: LineValid property
'Example: LineValid property

'This example script has not yet been created.


Example: LinkAvailable property
'Example: LinkAvailable property

'This example script has not yet been created.


Example: LinkDisplayNameFileLength property
'Example: LinkDisplayNameFileLength property

'This example script has not yet been created.


Example: LinkDisplayName property
'Example: LinkDisplayName property

'This example script has not yet been created.


Example: LinkedFileName property
'Example: LinkedFileName property

'This example script has not yet been created.


Example: Linked property
'Example: Linked property

'This example script has not yet been created.


Example: LinkGraphic property
'Example: LinkGraphic property

'This example script has not yet been created.


Example: Link method
'Example: Link method

' This example copies the current division to the file LINKFILE.LWP.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim DivId as String

Dim LinkFile as String

LinkFile = ..ActiveDocument.Path & "\LINKFILE.LWP"

DivId = .Division.Name

.ActiveDocument.Divisions(DivId).Link LinkFile, "Lotus Word Pro"


Example: ListBoxes method
'Example: ListBoxes method

'This example script has not yet been created.


Example: ListCount property
'Example: ListCount property

'This example script has not yet been created.


Example: LoadFilesMaximized property
'Example: LoadFilesMaximized property

'This example script has not yet been created.


Example: Localize method
'Example: Localize method

'This example script has not yet been created.


Example: Location property
'Example: Location property

'This example script has not yet been created.


Example: Locked property
'Example: Locked property

'This example script has not yet been created.


Example: LockForNotesUserName property
'Example: LockForNotesUserName property

'This example script has not yet been created.


Example: Locks property
'Example: Locks property

'This example script has not yet been created.


Example: LostFocus event
'Example: LostFocus event

'This example script has not yet been created.


Example: LowerCaseAscent property
'Example: LowerCaseAscent property

'This example script has not yet been created.


Example: LowerCase method
'Example: LowerCase method

' This example toggles the lowercase attribute of the selected text, displays

' a message box, then toggles the lowercase again.

' RUNTIME DEPENDENCIES: You must have a document open and some text selected

' for this script to work.

.Lowercase

Messagebox "Click OK undo lowercase change.",MB_OK,"Example Script"

.Lowercase


Example: LowerCase property
'Example: LowerCase property

'This example script has not yet been created.


Example: LwpMenuBar property
'Example: LwpMenuBar property

'This example script has not yet been created.


Example: MacroEndRecord method
'Example: MacroEndRecord method

'This example script has not yet been created.


Example: MacroName property
'Example: MacroName property

'This example script has not yet been created.


Example: MacroPaths property
'Example: MacroPaths property

'This example script has not yet been created.


Example: MacroPath property
'Example: MacroPath property

'This example script has not yet been created.


Example: MacroPlay method
'Example: MacroPlay method

'This example script has not yet been created.


Example: MacroStatus property
'Example: MacroStatus property

'This example script has not yet been created.


Example: Macro property
'Example: Macro property

'This example script has not yet been created.


Example: MailDocument method
'Example: MailDocument method

'This example script has not yet been created.


Example: MailRoutingPtr property
'Example: MailRoutingPtr property

'This example script has not yet been created.


Example: MailRouting property
'Example: MailRouting property

'This example script has not yet been created.


Example: MaintainAspectRatio property
'Example: MaintainAspectRatio property

'This example script has not yet been created.


Example: MaintainEditor property
'Example: MaintainEditor property

'This example script has not yet been created.


Example: MakeTableFromText method
'Example: MakeTableFromText method

' This example inserts 5 rows and 5 columns of text into the current document

' where each column is seperated by a tab and each row by a paragraph break.

' The text is then selected and converted into a table.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim RowCount as Integer

Dim ColumnCount as Integer

Dim OutputText as string

'Insert text in 5 tabbed rows

For RowCount = 1 To 5

For ColumnCount = 1 To 5

OutputText = "r" & RowCount & "c" & ColumnCount

.Text.InsertText  OutputText

.Text.InsertTab

Next

.Text.SplitParagraph

Next

'Select the text

.Text.Shade $LwpLocationTypeParagraph,$LwpNavigateDirectionLeft,5

'Convert to table

.MakeTableFromText


Example: MakeUniqueLinkName method
'Example: MakeUniqueLinkName method

' This example prints a unique DDE link name to the Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .Division.DdeLinkManager.MakeUniqueLinkName("DDELink")


Example: ManualFrame method
'Example: ManualFrame method

' This example opens the Create Frame dialog box so you can create a

' frame manually.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ManualFrame


Example: ManualLinkFrames method
'Example: ManualLinkFrames method

' This example script has not yet been created.


Example: ManualTable method
'Example: ManualTable method

' This example opens the Create Table dialog box so you can create a

' table manually.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ManualTable


Example: MarginBottom property
'Example: MarginBottom property

'This example script has not yet been created.


Example: MarginColor property
'Example: MarginColor property

'This example script has not yet been created.


Example: MarginLeft property
'Example: MarginLeft property

'This example script has not yet been created.


Example: MarginRight property
'Example: MarginRight property

'This example script has not yet been created.


Example: MarginTop property
'Example: MarginTop property

'This example script has not yet been created.


Example: MarkCharacter property
'Example: MarkCharacter property

'This example script has not yet been created.


Example: MarkerClass property
'Example: MarkerClass property

'This example script has not yet been created.


Example: MarkerName property
'Example: MarkerName property

'This example script has not yet been created.


Example: Markers property
'Example: Markers property

'This example script has not yet been created.


Example: MarkPosition property
'Example: MarkPosition property

'This example script has not yet been created.


Example: MarkRevisionInsert method
'Example: MarkRevisionInsert method

'This example script has not yet been created.


Example: MarkType property
'Example: MarkType property

'This example script has not yet been created.


Example: Mark method
'Example: Mark method

' This example creates a bookmark, adds some text to it and then expands it to cover the inserted text.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkerName as String

MarkerName = .Text.Mark($LwpMarkerTypeBookmark)

.Division.BookmarkManager.AddBookmark "NewBookMark" , MarkerName

.Text.InsertText "This is a new bookmark"

.Text.Mark $LwpMarkerTypeBookmark,MarkerName,$LwpRangePartEnd


Example: MasterName property
'Example: MasterName property

'This example script has not yet been created.


Example: Master property
'Example: Master property

'This example script has not yet been created.


Example: MatchType property
'Example: MatchType property

'This example script has not yet been created.


Example: MaxBottomBorder property
'Example: MaxBottomBorder property

'This example script has not yet been created.


Example: MaxBottomGutter property
'Example: MaxBottomGutter property

'This example script has not yet been created.


Example: MaxContentHeight property
'Example: MaxContentHeight property

'This example script has not yet been created.


Example: MaxContentWidth property
'Example: MaxContentWidth property

'This example script has not yet been created.


Example: MaxHorzPaneDistance property
'Example: MaxHorzPaneDistance property

'This example script has not yet been created.


Example: MaxHyphLines property
'Example: MaxHyphLines property

'This example script has not yet been created.


Example: MaxIdenticalConsecSentOpens property
'Example: MaxIdenticalConsecSentOpens property

'This example script has not yet been created.


Example: MaxIdenticalSentOpensWithin10 property
'Example: MaxIdenticalSentOpensWithin10 property

'This example script has not yet been created.


Example: MaximizeOnStartUp property
'Example: MaximizeOnStartUp property

'This example script has not yet been created.


Example: Maximize method
'Example: Maximize method

' This example maximizes the main application window.

.ApplicationWindow.Maximize


Example: MaximumWordsinaSentence property
'Example: MaximumWordsinaSentence property

'This example script has not yet been created.


Example: MaxLeftBorder property
'Example: MaxLeftBorder property

'This example script has not yet been created.


Example: MaxLeftGutter property
'Example: MaxLeftGutter property

'This example script has not yet been created.


Example: MaxLength property
'Example: MaxLength property

'This example script has not yet been created.


Example: MaxNumColsAllowed property
'Example: MaxNumColsAllowed property

'This example script has not yet been created.


Example: MaxNumRowsAllowed property
'Example: MaxNumRowsAllowed property

'This example script has not yet been created.


Example: MaxRightBorder property
'Example: MaxRightBorder property

'This example script has not yet been created.


Example: MaxRightGutter property
'Example: MaxRightGutter property

'This example script has not yet been created.


Example: MaxSplitCols property
'Example: MaxSplitCols property

'This example script has not yet been created.


Example: MaxSplitRows property
'Example: MaxSplitRows property

'This example script has not yet been created.


Example: MaxTopBorder property
'Example: MaxTopBorder property

'This example script has not yet been created.


Example: MaxTopGutter property
'Example: MaxTopGutter property

'This example script has not yet been created.


Example: MaxVertPaneDistance property
'Example: MaxVertPaneDistance property

'This example script has not yet been created.


Example: MergeInfoPtr property
'Example: MergeInfoPtr property

'This example script has not yet been created.


Example: MergeOptions property
'Example: MergeOptions property

'This example script has not yet been created.


Example: MergeSetDataFile method
'Example: MergeSetDataFile method

' This example assigns the merge data file 'DATAFILE.LWP' to the currently

' active document.

' RUNTIME DEPENDENCIES: You must have a document open and a file named

' 'DATAFILE.LWP' located in the Word Pro default documents directory for this

' script to work.

Dim DataFile As String

Dim Status As Integer

DataFile = .ApplicationWindow.UserInterfacePrefs.DocPath

DataFile = DataFile & "\DATAFILE.LWP"

.ApplicationWindow.ActiveDocument.MergeOptions.MergeStepNumber = $LwpMergeStepNumber1

Status = .MergeSetDataFile (DataFile, 0)

If Status = False Then

Exit Sub

End If


Example: MergeStart method
'Example: MergeStart method

' This example merges data for the current merge document.

' RUNTIME DEPENDENCIES: You must have a document open which has been assigned

' to a merge data file has inserted merge fields for this script to work.

Dim stat As Integer

' Set up to merge and view

.ApplicationWindow.ActiveDocument.MergeOptions.Options = &H2

.ApplicationWindow.ActiveDocument.MergeOptions.MergeStepNumber =

   $LwpMergeStepNumber3

.MergeStart

Do

stat = .Merge($LwpMergeActionNextRecord)

.Merge $LwpMergeActionMergeOne

Loop Until stat = False

.Merge $LwpMergeActionClose

.CloseMergeDataFile


Example: MergeStepNumber property
'Example: MergeStepNumber property

'This example script has not yet been created.


Word Pro: MaxIdenticalConsecSentOpens property

 See list of classes

 See example

(Read-write) Indicates how many identical openers for consecutive sentences will be flagged by Grammar Check in a document.

Data Type

Integer

Syntax

maxidenticalconsecsentopensvalue = [objectreference].MaxIdenticalConsecSentOpens

[objectreference].MaxIdenticalConsecSentOpens = maxidenticalconsecsentopensvalue

Legal values

The legal values for this property range from 0 (never flag consecutive sentence openers) to 9 (flag 9 or more consectuive sentence openers). Default is 3.

Usage

Use this property to set a maximum number of identical sentence openers for consecutive sentences in Grammar Check. Choose from 0 to 9. Equivalent to choosing Edit - Check Grammar, clicking Options, and entering a number in the Maximum number of identical sentence openers section, "For consecutive sentences" field, on the Grammatical Style panel.


Topics Found:

Word Pro: Grammar class


Word Pro: MaxIdenticalSentOpensWithin10 property

 See list of classes

 See example

(Read-write) Indicates how many identical sentence openers, within 10 sentences, will be flagged by Grammar Check in a document.

Data Type

Integer

Syntax

maxidenticalsentopenswithin10value = [objectreference].MaxIdenticalSentOpensWithin10

[objectreference].MaxIdenticalSentOpensWithin10 = maxidenticalsentopenswithin10value

Legal values

The legal values for this property range from 0 (never flag consecutive sentence openers) to 9 (flag 9 or more consectuive sentence openers within 10 sentences). Default is 3.

Usage

Use this property to set a maximum number of identical sentence openers within 10 sentences in Grammar Check. Choose from 0 to 9. Equivalent to choosing Edit - Check Grammar, clicking Options, and entering a number in the Maximum number of identical sentence openers section, "Within 10 sentences" field, on the Grammatical Style panel.


Topics Found:

Word Pro: Grammar class


Word Pro: MaximizeOnStartUp property

 See list of classes

 See example

(Read-write) Value to indicate if the "Load Word Pro maximized" option is enabled in Word Pro Preferences.

Data Type

Integer (Bool)

Syntax

maximizeonstartupvalue = [objectreference].MaximizeOnStartUp

[objectreference].MaximizeOnStartUp = maximizeonstartupvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to the "Load Word Pro maximized" option on the General panel of the Word Pro Preferences dialog box. If the value is True (-1), Word Pro loads maximized. If the value is False (0), Word Pro loads in the smaller window.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: MaximumWordsinaSentence property

 See list of classes

 See example

(Read-write) Indicates a maximum number of words that will be allowed in a sentence before Grammar Check alerts you .

Data Type

Integer

Syntax

maximumwordsinasentencevalue = [objectreference].MaximumWordsinaSentence

[objectreference].MaximumWordsinaSentence = maximumwordsinasentencevalue

Legal values

The legal values for this property range from 25 to 75. Default is 35.

Usage

Use this property to set a maximum number of words in a sentence. Choose from 25 to 75. Equivalent to choosing Edit - Check Grammar, clicking Options, and entering a number in the "Maximum number of words per sentence" field on the Grammatical Style panel.


Topics Found:

Word Pro: Grammar class


Word Pro: MaxLeftBorder property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the left border of a row in a table object.

Data Type

Long

Syntax

maxleftbordervalue = [objectreference].MaxLeftBorder

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxLeftGutter property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the left gutter of a row in a table object.

Data Type

Long

Syntax

maxleftguttervalue = [objectreference].MaxLeftGutter

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxLength property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

maxlengthvalue = [objectreference].MaxLength

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpEditBox class


Word Pro: MaxNumColsAllowed property

 See list of classes

 See example

(Read-only) Returns the maximum number of columns that can be inserted without widening the table container. Word Pro uses the default column width to determine the number of columns inserted.

Data Type

Integer

Syntax

maxnumcolsallowedvalue = [objectreference].MaxNumColsAllowed

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxNumRowsAllowed property

 See list of classes

 See example

(Read-only) Returns the maximum number of rows that can be inserted without enlarging the table container.

Data Type

Integer

Syntax

maxnumrowsallowedvalue = [objectreference].MaxNumRowsAllowed

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxRightBorder property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the right border of a row in a table object.

Data Type

Long

Syntax

maxrightbordervalue = [objectreference].MaxRightBorder

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxRightGutter property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the right gutter of a row in a table object.

Data Type

Long

Syntax

maxrightguttervalue = [objectreference].MaxRightGutter

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxSplitCols property

 See list of classes

 See example

(Read-only) Returns the maximum number of columns into which a table cell can be split.

Data Type

Integer

Syntax

maxsplitcolsvalue = [objectreference].MaxSplitCols

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

When table cells are split, Word Pro inserts the number of columns you specify into the current cell, and places the contents of the cell into the upper left cell of the newly created cells.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxSplitRows property

 See list of classes

 See example

(Read-only) Returns the maximum number of rows into which a table cell can be split.

Data Type

Integer

Syntax

maxsplitrowsvalue = [objectreference].MaxSplitRows

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

When table cells are split, Word Pro inserts the number of rows you specify into the current cell, and places the contents of the cell into the upper left cell of the newly created cells.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxTopBorder property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the top border of a row in a table object.

Data Type

Long

Syntax

maxtopbordervalue = [objectreference].MaxTopBorder

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxTopGutter property

 See list of classes

 See example

(Read-only) Returns the specific maximum width that can be set for the top gutter of a row in a table object.

Data Type

Long

Syntax

maxtopguttervalue = [objectreference].MaxTopGutter

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: MaxVertPaneDistance property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

maxvertpanedistancevalue = [objectreference].MaxVertPaneDistance

[objectreference].MaxVertPaneDistance = maxvertpanedistancevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: MergeInfoPtr property

 See list of classes

 See example

(Read-write) Do not write to this property.

Data Type

Long

Syntax

mergeinfoptrvalue = [objectreference].MergeInfoPtr

[objectreference].MergeInfoPtr = mergeinfoptrvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Word Pro uses this property to access other Merge classes that are not available to users.


Topics Found:

Word Pro: MergeOptions class


Word Pro: MergeStepNumber property

 See list of classes

 See example

(Read-write) An indicator which you can use to set the steps involved in the Merge process.

Data Type

Variant (Enumerated)

Syntax

mergestepnumbervalue = [objectreference].MergeStepNumber

[objectreference].MergeStepNumber = mergestepnumbervalue

Legal values

$LwpMergeStepNumber0 (1505) The first step of a Merge (selecting a data file).

$LwpMergeStepNumber1 (1506) Inserts a merge field.

$LwpMergeStepNumber2 (1507) Sets a delimiter.

$LwpMergeStepNumber3 (1508) Prints the Merge data file.

Usage

Set these values before using the WMCommand in order to bring up the dialog box of your choice.


Topics Found:

Word Pro: MergeOptions class


Word Pro: MinBottomMargin property

 See list of classes

 See example

(Read-only) The minimum value to which a layout object's bottom margin is allowed to be set.

Data Type

Long

Syntax

minbottommarginvalue = [objectreference].MinBottomMargin

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MinHeight property

 See list of classes

 See example

(Read-write) The minimum value to which a layout object's height can be set.

Data Type

Long

Syntax

minheightvalue = [objectreference].MinHeight

[objectreference].MinHeight = minheightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Controls the height of a layout object, so that if the content becomes smaller than a specific height, then the layout object does not become smaller than that specific height. The effect of setting this property can be seen in frames which have automatic sizing enabled.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MinLeftMargin property

 See list of classes

 See example

(Read-only) The minimum value to which the left margin can be set.

Data Type

Long

Syntax

minleftmarginvalue = [objectreference].MinLeftMargin

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MinRightMargin property

 See list of classes

 See example

(Read-only) The minimum value to which the right margin can be set.

Data Type

Long

Syntax

minrightmarginvalue = [objectreference].MinRightMargin

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MinTopMargin property

 See list of classes

 See example

(Read-only) The minimum value to which the top margin can be set.

Data Type

Long

Syntax

mintopmarginvalue = [objectreference].MinTopMargin

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Modal property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

modalvalue = [objectreference].Modal

[objectreference].Modal = modalvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: ModifiedDateString property

 See list of classes

 See example

(Read-only) Returns the date the file was last changed as a string.

Data Type

String

Syntax

modifieddatestringvalue = [objectreference].ModifiedDateString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class

Word Pro: Version class


Word Pro: ModifiedTimeString property

 See list of classes

 See example

(Read-only) Returns the time the file was last changed as a string.

Data Type

String

Syntax

modifiedtimestringvalue = [objectreference].ModifiedTimeString

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class

Word Pro: Version class


Word Pro: ModifiedTimeValue property

 See list of classes

 See example

(Read-write) Returns the time the file was last changed as a long data type.

Data Type

Long

Syntax

modifiedtimevaluevalue = [objectreference].ModifiedTimeValue

[objectreference].ModifiedTimeValue = modifiedtimevaluevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The value that this property returns represents the number of seconds that have elapsed since midnight on January 1, 1970.


Topics Found:

Word Pro: DocInfo class


Word Pro: MouseButtonForManipulation property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MouseButton

Syntax

mousebuttonformanipulationvalue = [objectreference].MouseButtonForManipulation

[objectreference].MouseButtonForManipulation = mousebuttonformanipulationvalue

Legal values

$LwpMouseButtonLeft (1509)

$LwpMouseButtonMiddle (1511)

$LwpMouseButtonRight (1510)

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: MouseButtonForSelection property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MouseButton

Syntax

mousebuttonforselectionvalue = [objectreference].MouseButtonForSelection

[objectreference].MouseButtonForSelection = mousebuttonforselectionvalue

Legal values

$LwpMouseButtonLeft (1509)

$LwpMouseButtonMiddle (1511)

$LwpMouseButtonRight (1510)

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: MouseProperty property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MouseButton

Syntax

mousepropertyvalue = [objectreference].MouseProperty

[objectreference].MouseProperty = mousepropertyvalue

Legal values

$LwpMouseButtonLeft (1509)

$LwpMouseButtonMiddle (1511)

$LwpMouseButtonRight (1510)

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: MultiCellPasteOn property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

multicellpasteonvalue = [objectreference].MultiCellPasteOn

[objectreference].MultiCellPasteOn = multicellpasteonvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: MultiCompareParaTagSet property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

multicompareparatagsetvalue = [objectreference].MultiCompareParaTagSet

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MultiCompareParaTag property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

multicompareparatagvalue = [objectreference].MultiCompareParaTag

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: NameBasedOnStyle property

 See list of classes

 See example

(Read-write) The name of the style from which the layout object was created.

Data Type

String

Syntax

namebasedonstylevalue = [objectreference].NameBasedOnStyle

[objectreference].NameBasedOnStyle = namebasedonstylevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

When setting the NameBasedOnStyle property, be sure to use the proper case for the layout style being assigned. For example, "Default Frame" is not equivalent to "default frame."


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: NameForFilters property

 See list of classes

 See example

(Read-write) The name of the user that created a specific comment note.

Data Type

String

Syntax

nameforfiltersvalue = [objectreference].NameForFilters

objectreference].NameForFilters = nameforfiltersvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The default value for this property is contained in the "User Name" setting, which is located in the Personal panel of the Word Pro Preferences dialog box. Modifying the NameForFilters property of a specific comment note does not change the name setting under Word Pro Preferences.


Topics Found:

Word Pro: NoteLayout class


Word Pro: Name property

 See list of classes

 See example

(Read-write) The Name property contains the name of an object. This can be useful when trying to access an object from the object's collection. Some objects allow you to change their names. Other objects are named internally by Word Pro and do not allow you to change their names.

This property is inherited by all Word Pro objects, but not every object makes use of this property.

Data Type

String

Syntax

namevalue = [objectreference].Name

[objectreference].Name = namevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Some of the objects which make use of this property include WPApplication, TextDocument, Division, DivisionInfo, Frame, Table, ClickHere, and Bookmark. The information stored in this property and the proper use of that information is detailed below.

CurrentApplication.Name
The name of the application which, in this case, is always "Lotus Word Pro".

<TextDocumentobject>.Name
The name of the document represented by the TextDocument on which the Name property is located.

<Divisionobject>.Name
The internal division name (a hexadecimal value) which uniquely identifies a division.

<DivisionInfoobject>.Name
The external division name (a string value) which represents the name seen in the division tab.

<Layoutobject>.Name
Returns the name of a frame, a table, or other object that uses a layout, such as FrameLayout or TableLayout.

<ClickHereobject>.Name
The name of the ClickHere object from which you called the Name property. You must use the ClickHereCollection object to access ClickHeres.

<Bookmarkobject>.Name
The name of the Bookmark object from which you called the Name property. You must use the BookmarkCollection object in the BookmarksByMarkerName property of a division to access the bookmarks by name.


Topics Found:

Word Pro: BaseObject class


Word Pro: NewDocMacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

newdocmacronamevalue = [objectreference].NewDocMacroName

[objectreference].NewDocMacroName = newdocmacronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: AutoRunMacro class


Word Pro: NewFile property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].NewFile = newfilevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ReviewVersions class


Word Pro: NewVersion property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].NewVersion = newversionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ReviewVersions class


Word Pro: NextClickHere property

 See list of classes

 See example

(Read-only) The name of the ClickHere bloick which is next in the division (uses Tab order).

Data Type

String

Syntax

nextclickHerevalue = [objectreference].NextClickHere

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: NextName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nextnamevalue = [objectreference].NextName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: NextNeighbor property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nextneighborvalue = [objectreference].NextNeighbor

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: NextSection property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nextsectionvalue = [objectreference].NextSection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: IndexSection class

Word Pro: Section class


Word Pro: NextStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

nextstylenamevalue = [objectreference].NextStyleName

[objectreference].NextStyleName = nextstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: NextText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

nexttextvalue = [objectreference].NextText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: NoHyphenate property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

nohyphenatevalue = [objectreference].NoHyphenate

[objectreference].NoHyphenate = nohyphenatevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: NormalParagraph property

 See list of classes

 See example

(Read-only) Indicates whether or not any local paragraph styles have been set in the current paragraph.

Data Type

Integer

Syntax

normalparagraphvalue = [objectreference].NormalParagraph

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Normal property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

normalvalue = [objectreference].Normal

[objectreference].Normal = normalvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class


Word Pro: NotesFlow property

 See list of classes

 See example

(Read) Indicates whether or not Notes flow is currently active.

Data Type

Integer

Syntax

notesflowvalue = [objectreference].NotesFlow

[objectreference].NotesFlow = notesflowvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can use this property to determine if Notes flow is currently active. You cannot turn the property on or off because it is read-only.


Topics Found:

Word Pro: DocControl class


Example: MergeAddDataRecord method
'Example: MergeAddDataRecord method

' This example script has not yet been created.


Example: Merge method
'Example: Merge method

' This example merges data for the current merge document.

' RUNTIME DEPENDENCIES: You must have a document open which has been assigned

' to a merge data file has inserted merge fields for this script to work.

Dim stat As Integer

' Set up to merge and view

.ApplicationWindow.ActiveDocument.MergeOptions.Options = &H2

.ApplicationWindow.ActiveDocument.MergeOptions.MergeStepNumber =

   $LwpMergeStepNumber3

.MergeStart

Do

stat = .Merge($LwpMergeActionNextRecord)

.Merge $LwpMergeActionMergeOne

Loop Until stat = False


Example: Messages method
'Example: Messages method

' This example shows how to provide a default response to a dialog box.  The

' MessageBox dialog is never displayed here.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Messages $LwpTakeDefaultMsgboxAnswer

MessageBox "Click OK ",MB_OK,"Example Script"


Example: MinBottomMargin property
'Example: MinBottomMargin property

'This example script has not yet been created.


Example: MinHeight property
'Example: MinHeight property

'This example script has not yet been created.


Example: Minimize method
'Example: Minimize method

' This example minimizes the main application window.

.ApplicationWindow.Minimize


Example: MinLeftMargin property
'Example: MinLeftMargin property

'This example script has not yet been created.


Example: MinRightMargin property
'Example: MinRightMargin property

'This example script has not yet been created.


Example: MinTopMargin property
'Example: MinTopMargin property

'This example script has not yet been created.


Example: MirrorPage method
'Example: MirrorPage method

' This example sets up a left/right (complex) page.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Page.Layout.RightPage.MarginLeft = 720

.Page.Layout.IsComplex = True

.Page.Layout.LeftPage.MirrorPage


Example: Modal property
'Example: Modal property

'This example script has not yet been created.


Example: ModifiedDateString property
'Example: ModifiedDateString property

'This example script has not yet been created.


Example: ModifiedTimeString property
'Example: ModifiedTimeString property

'This example script has not yet been created.


Example: ModifiedTimeValue property
'Example: ModifiedTimeValue property

'This example script has not yet been created.


Example: MorphSelectionToTable method
'Example: MorphSelectionToTable method

' This example inserts 5 rows and 5 columns of text into the current document

' where each column is separated by a tab and each row by a paragraph break.

' The text is then selected and morphed into a table.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim RowCount as Integer

Dim ColumnCount as Integer

Dim OutputText as string

For RowCount = 1 To 5

For ColumnCount = 1 To 5

OutputText = "r" & RowCount & "c" & ColumnCount

.Text.InsertText  OutputText

.Text.InsertTab

Next

.Text.SplitParagraph

Next

.Text.Shade $LwpLocationTypeParagraph,$LwpNavigateDirectionLeft,5

.Text.MorphSelectionToTable


Example: MostRecentVersion method
'Example: MostRecentVersion method

'This example script has not yet been created.


Example: MouseButtonForManipulation property
'Example: MouseButtonForManipulation property

'This example script has not yet been created.


Example: MouseButtonForSelection property
'Example: MouseButtonForSelection property

'This example script has not yet been created.


Example: MouseDown event
'Example: MouseDown event

'This example script has not yet been created.


Example: MouseProperty property
'Example: MouseProperty property

'This example script has not yet been created.


Example: MouseUp event
'Example: MouseUp event

'This example script has not yet been created.


Example: MoveDivision method
'Example: MoveDivision method

' This example moves the division named 'Division1' to last division in the

' current document.

' RUNTIME DEPENDENCIES: You must have a document open containing 2 or more

' divisions with one of the divisions named 'Division1' for this script to

' work.

Dim Div As Division

Set Div = Bind("!Division1")

DivName =  Div.Name

.MoveDivision DivName


Example: MoveDown method
'Example: MoveDown method

' This example inserts 5 lines into the current document and then moves the

' cursor up 4 lines and then down 2.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim LineNumber as Integer

For LineNumber = 1 To 5

.Type("Line " & LineNumber )

.Text.SplitParagraph

Next

 MessageBox "Click OK to move up 4 lines.",MB_OK,"Example Script"

.Text.MoveUp(4)

 MessageBox "Click OK to move down 2 lines.",MB_OK,"Example Script"

.Text.MoveDown(2)


Example: Moved event
'Example: Moved event

'This example script has not yet been created.


Example: MoveItem method
'Example: MoveItem method

' This example adds a new menu item name 'New Menu' to the File menu just

' below the Save item.  All items from the Edit menu are then moved to

' 'New Menu'.

' RUNTIME DEPENDENCIES: You must have not deleted the Edit or File menus

' for this script to work.

Dim MenuName as String

Dim SourceMenu As MenuItem

Dim DestinationMenu As MenuItem

Dim MenuSpacer as String

MenuSpacer = Chr$(8)

MenuName = "&New Edit"

' Set DestinationMenu to the File menu

Set DestinationMenu=.Applicationwindow.LwpMenuBar.Items.Item("&File")

' Set SourceMenu to the Edit Menu

Set SourceMenu = .ApplicationWindow.LwpMenuBar.Items.Item("&Edit")

' Create a new Edit Menu

DestinationMenu.DeleteItem "My Edit"

DestinationMenu.NewItem MenuName,,0,"&Save" & MenuSpacer & "Ctrl+S"

' Copy all the items from the Edit Menu to My new Menu

Forall Items In SourceMenu.Items

DestinationMenu.Items(MenuName).MoveItem Items, True, ,

End Forall


Example: MoveParagraph method
'Example: MoveParagraph method

' This example inserts two paragraphs into the current document and then

' moves the second paragraph above the first.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "This is the first paragraph inserted.[Enter]"

.Type "This is the second paragraph inserted.  It "

.Type "will be moved before the first paragraph."

.Text.MoveParagraph $LwpMoveDirectionUp


Example: MoveToBack method
'Example: MoveToBack method

'This example script has not yet been created.


Example: MoveToEnd method
'Example: MoveToEnd method

' This example inserts 5 sentences of text into the current document.

' The cursor is then positioned to the beginning of the paragraph, and then

' then advanced to the next word, sentence, line and paragraph.

' RUNTIME DEPENDENCIES: You must have a document open and the cursor located

' in a mulitline paragraph for this script to work.

Dim SentenceNumber as Integer

Dim WordNumber as Integer

For SentenceNumber = 1 To 5

For WordNumber = 1 To 5

.Text.InsertText "Word" & Format$(WordNumber) & " "

Next

.Type (". ")

Next

.Text.MoveToStart $LwpLocationTypeParagraph

.Text.MoveToEnd $LwpLocationTypeWord

.Text.MoveToEnd $LwpLocationTypeSentence

.Text.MoveToEnd $LwpLocationTypeLine

.Text.MoveToEnd $LwpLocationTypeParagraph


Example: MoveToFront method
'Example: MoveToFront method

'This example script has not yet been created.


Example: MoveToStart method
'Example: MoveToStart method

' This example inserts 5 sentences of text into the current document.

' The cursor is then positioned to the beginning of the paragraph.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceNumber as Integer

Dim WordNumber as Integer

For SentenceNumber = 1 To 5

For WordNumber = 1 To 5

.Text.InsertText "Word" & Format$(WordNumber) & " "

Next

.Type (". ")

Next

.Text.MoveToStart $LwpLocationTypeParagraph


Example: MoveUp method
'Example: MoveUp method

' This example inserts 5 lines into the current document and then moves the

' cursor up 4 lines.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim LineNumber as Integer

For LineNumber = 1 To 5

.Type("Line " & LineNumber )

.Text.SplitParagraph

Next

 MessageBox "Click OK to move up 4 lines.",MB_OK,"Example Script"

.Text.MoveUp(4)


Example: Move method
'Example: Move method

' This example moves the Word Pro's application window.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim XPosition as Long

Dim YPosition as Long

XPosition = 1440

YPosition = 2880

.ApplicationWindow.Move XPosition,YPosition


Example: MultiCellPasteOn property
'Example: MultiCellPasteOn property

'This example script has not yet been created.


Example: MultiCompareParaTagSet property
'Example: MultiCompareParaTagSet property

'This example script has not yet been created.


Example: MultiCompareParaTag property
'Example: MultiCompareParaTag property

'This example script has not yet been created.


Example: NameBasedOnStyle property
'Example: NameBasedOnStyle property

'This example script has not yet been created.


Example: NameForFilters property
'Example: NameForFilters property

'This example script has not yet been created.


Example: Name property
'Example: Name property

'This example script has not yet been created.


Example: Negative property
'Example: Negative property

'This example script has not yet been created.


Example: NewDivision method
'Example: NewDivision method

' This example creates a new division in the active document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewDivision


Example: NewDocMacroName property
'Example: NewDocMacroName property

'This example script has not yet been created.


Example: NewDocument method
'Example: NewDocument method

' This example creates a new document based on the 'DEFAULT.MWP' SmartMaster.

.NewDocument , ,"DEFAULT.MWP", ,


Example: NewFile property
'Example: NewFile property

'This example script has not yet been created.


Example: NewFrame method
'Example: NewFrame method

' This example creates a new frame 2 inches by 2 inches in the current

' document.  The frame's upper left corner is positioned 1 inch from the left

' edge of the page and 2 inches down from the top of the page.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewFrame 2880, 2880, 1440, 2880


Example: NewItem method
'Example: NewItem method

' This example creates a new menu item named 'Example Menu' to the File

' menu. The mnuMenuSub subroutine is assigned to run each time the new

' menu item is selected

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewMenu As MenuItem

Dim MenuName as String

Dim MenuSpacer as String

MenuName = "&Example Menu"

MenuSpacer = Chr$(8)

' Set menu object

Set NewMenu =.ApplicationWindow.LwpMenuBar.Items.Item("&File")

' Create a new menu off of the File Menu and before the Save option

' Delete it first to prevent duplicates

NewMenu.DeleteItem MenuName

NewMenu.NewItem MenuName,"!mnuMenuSub",0,"&Save" & MenuSpacer & "Ctrl+S"

End Sub


Example: NewVersion property
'Example: NewVersion property

'This example script has not yet been created.


Example: NewWindow method
'Example: NewWindow method

' This example creates a new document window based upon the current document.

' A message box then prompts you to close the new window.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.NewWindow

Messagebox "Click OK to close the current window.",MB_OK,"Example Script"

.CloseDocWindow


Example: NextClickHere property
'Example: NextClickHere property

'This example script has not yet been created.


Example: NextItem method
'Example: NextItem method

'This example script has not yet been created.


Example: NextName property
'Example: NextName property

'This example script has not yet been created.


Example: NextNeighbor property
'Example: NextNeighbor property

'This example script has not yet been created.


Example: NextSection property
'Example: NextSection property

'This example script has not yet been created.


Example: NextStyleName property
'Example: NextStyleName property

'This example script has not yet been created.


Example: NextText property
'Example: NextText property

'This example script has not yet been created.


Example: NextToObject method
'Example: NextToObject method

'This example script has not yet been created.


Example: NextVersion method
'Example: NextVersion method

'This example script has not yet been created.


Example: Next method
'Example: Next method

'This example script has not yet been created.


Example: NoHyphenate property
'Example: NoHyphenate property

'This example script has not yet been created.


Example: NormalParagraph property
'Example: NormalParagraph property

'This example script has not yet been created.


Example: NormalText method
'Example: NormalText method

' This example first inserts sample text in the current document, selects

' the paragraph, and makes that paragraph bold. The script then uses the

' NormalText method to return the selected paragraph to the normal attributes

' for that paragraph style.

' RUNTIME DEPENDENCIES: You must have a document open with selected text

' for this script to work.

.Text.InsertText "This is some sample text."

.SelectParagraph

.Bold

.NormalText


Example: Normal property
'Example: Normal property

'This example script has not yet been created.


Example: NoteColor property
'Example: NoteColor property

'This example script has not yet been created.


Example: NoteLayouts property
'Example: NoteLayouts property

'This example script has not yet been created.


Example: NotesFlow property
'Example: NotesFlow property

'This example script has not yet been created.


Example: NumberEveryNthLine property
'Example: NumberEveryNthLine property

'This example script has not yet been created.


Example: NumberFound property
'Example: NumberFound property

'This example script has not yet been created.


Example: NumberingPosition property
'Example: NumberingPosition property

'This example script has not yet been created.


Example: NumberingStyleName property
'Example: NumberingStyleName property

'This example script has not yet been created.


Example: Numbering property
'Example: Numbering property

'This example script has not yet been created.


Example: NumberOfDataFields property
'Example: NumberOfDataFields property

'This example script has not yet been created.


Example: NumberOfReplacements property
'Example: NumberOfReplacements property

'This example script has not yet been created.


Example: NumberOfRevisions property
'Example: NumberOfRevisions property

'This example script has not yet been created.


Example: NumberOfVersions method
'Example: NumberOfVersions method

' This example prints the number of versions for the current document to the

' Lotus Script Output panel.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .ActiveDocument.VersionManager.NumberOfVersions($LwpVersionObjectType)


Example: NumberSequenceName property
'Example: NumberSequenceName property

'This example script has not yet been created.


Example: NumberWhichLines property
'Example: NumberWhichLines property

'This example script has not yet been created.


Example: Number property
'Example: Number property

'This example script has not yet been created.


Example: NumCharsInDoc property
'Example: NumCharsInDoc property

'This example script has not yet been created.


Example: NumCharsInParagraph property
'Example: NumCharsInParagraph property

'This example script has not yet been created.


Example: NumColsSpannedOneCell property
'Example: NumColsSpannedOneCell property

'This example script has not yet been created.


Example: NumCols property
'Example: NumCols property

'This example script has not yet been created.


Example: NumContainers property
'Example: NumContainers property

'This example script has not yet been created.


Example: NumDecimalPlaces property
'Example: NumDecimalPlaces property

'This example script has not yet been created.


Example: NumericFormat property
'Example: NumericFormat property

'This example script has not yet been created.


Example: NumFields property
'Example: NumFields property

'This example script has not yet been created.


Example: NumLinesOfSpaceAbove property
'Example: NumLinesOfSpaceAbove property

'This example script has not yet been created.


Example: NumLinesOfSpaceBelow property
'Example: NumLinesOfSpaceBelow property

'This example script has not yet been created.


Example: NumLinesOfSpace property
'Example: NumLinesOfSpace property

'This example script has not yet been created.


Example: NumOfRecentFiles property
'Example: NumOfRecentFiles property

'This example script has not yet been created.


Example: NumPagesInDoc property
'Example: NumPagesInDoc property

'This example script has not yet been created.


Example: NumParagraphs property
'Example: NumParagraphs property

'This example script has not yet been created.


Example: NumRowsSpannedOneCell property
'Example: NumRowsSpannedOneCell property

'This example script has not yet been created.


Example: NumRowsThatFit property
'Example: NumRowsThatFit property

'This example script has not yet been created.


Example: NumRowsToFit property
'Example: NumRowsToFit property

'This example script has not yet been created.


Example: NumRows property
'Example: NumRows property

'This example script has not yet been created.


Example: NumTabs property
'Example: NumTabs property

'This example script has not yet been created.


Example: NumUndoLevels property
'Example: NumUndoLevels property

'This example script has not yet been created.


Example: NumWindowsViewingDoc property
'Example: NumWindowsViewingDoc property

'This example script has not yet been created.


Example: NumWordsInDoc property
'Example: NumWordsInDoc property

'This example script has not yet been created.


Example: ObjectType property
'Example: ObjectType property

'This example script has not yet been created.


Example: Object property
'Example: Object property

'This example script has not yet been created.


Example: Oblique property
'Example: Oblique property

'This example script has not yet been created.


Example: Offset property
'Example: Offset property

'This example script has not yet been created.


Word Pro: MoveDivision method

 See list of classes

 See example

Moves the specified division to the place specified by the Parent, DivisionLocation, or NeighborName parameters. If you do not specify where the division should be moved, it will be moved inside the current division.

Syntax

[objectreference].MoveDivision(DivisionName,[Parent,] [DivisionLocation,] [NeighborName])

Parameters

DivisionName
A String expression which specifies the internal name of the division you want to move.

Parent
A String expression representing the internal name of the division which you want to become the parent of the division you are moving. Optional parameter.

DivisionLocation
A String or Integer value which indicates where you want the division to be moved in relation to the currently active division. Data type is Variant which allows the value of this parameter to be one of the three division locations listed below or its numeric equivalent (in parentheses). Default is $LwpDivLocInsertAtInsertionPt.

$LwpDivLocInsertBeforeCurrentdiv (184) Moves the division to a position before the currently active division.

$LwpDivLocInsertAfterCurrentdiv (185) Moves the division to a position after the currently active division.

$LwpDivLocInsertAtInsertionPt (186) Moves the division to the insertion point. All items that fall before the insertion point remain part of the active division. All items after the insertion point become part of the moved division.

Note	If the insertion point is in a table cell or a frame, Word Pro splits the contents of the cell or frame, leaving the items before the insertion point intact and moving the items after the insertion point into the moved division. Items outside the cell or frame are not affected and remain in the original division.

NeighborName
A String expression representing the name of the division which you want to become the neighbor of the moved division. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

For more information on division names in LotusScript, see Overview: Division names in LotusScript


Topics Found:

Word Pro: WPApplication class


Word Pro: MoveDown method

 See list of classes

 See example

Moves the insertion point down the specified number of times. Each down movement is equivalent to pressing the Down arrow.

Syntax

[objectreference].MoveDown(Count)

Parameters

Count
An Integer expression which specifies the number of times the insertion point is moved down.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MoveItem method

 See list of classes

 See example

Moves a menu item from one place to another location on the same or different parent menu item.

Syntax

[objectreference].MoveItem(FromItem, [After,][TargetText,][Caption])

Parameters

FromItem
Specifies the menu item you want to move.

After
The default of True places the moved item after the last item in the parent menu item object. Setting the value of After to False places the moved item before the first item in the parent menu item object. Optional Boolean expression. A Boolean expression is either True or False.

TargetText
An optional String expression that allows you to specify any menu item object and place the moved item before or after it.

Caption
The name of the copied menu item that displays on the menu. You can use this optional String parameter to change the caption of a copied menu item.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Call this method to move menu items from one menu item parent object to another, or to reorder menu items within a single menu item parent object.


Topics Found:

Word Pro: MenuItem class


Word Pro: MoveParagraph method

 See list of classes

 See example

Moves the paragraph in up or down.

Syntax

[objectreference].MoveParagraph(MoveDirection)

Parameters

MoveDirection
Data type is Variant. The value of this parameter must be one of the strings velow or its code equivalent.

$LwpMoveDirectionDown (1513)

$LwpMoveDirectionUp (1512)

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MoveToBack method

 See list of classes

 See example

Moves a layout to the back of all its siblings.

Syntax

[objectreference].MoveToBack()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this method to reposition a layout object in relation to its sibling layout objects. For example, if you have a number of overlapping frames on a page, you can use this method on one of the FrameLayout objects to position it behind its sibling frames. Equivalent to changing a frame's priority setting in Word Pro. Note that in this situation, the placement of the frames must be set to "On current page" in order for the priority option to be enabled.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MoveToEnd method

 See list of classes

 See example

Moves the selected Text or TextMarker object to the end of a specified type of location.

Syntax

[objectreference].MoveToEnd(LocationType)

Parameters

LocationType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpLocationTypeDocument (573)

$LwpLocationTypeLine (571)

$LwpLocationTypeParagraph (572)

$LwpLocationTypeSelection (568)

$LwpLocationTypeSentence (570)

$LwpLocationTypeStream (574)

$LwpLocationTypeWord (569)

Return value

Boolean.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MoveToFront method

 See list of classes

 See example

Moves a layout to the front of all its siblings.

Syntax

[objectreference].MoveToFront()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this method to reposition a layout object in relation to its sibling layout objects. For example, if you have a number of overlapping frames on a page, you can use this method on one of the FrameLayout objects to position it in front of its sibling frames. Equivalent to changing a frame's priority setting in Word Pro. Note that in this situation, the placement of the frames must be set to "On current page" in order for the priority option to be enabled.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: MoveToStart method

 See list of classes

 See example

This method is not available in the 16-bit version of Word Pro.

In the 32-bit version of Word Pro, MoveToStart moves the selected Text or TextMarker object to the beginning of a specified type of location.

Syntax

[objectreference].MoveToStart(LocationType)

Parameters

LocationType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpLocationTypeDocument (573)

$LwpLocationTypeLine (571)

$LwpLocationTypeParagraph (572)

$LwpLocationTypeSelection (568)

$LwpLocationTypeSentence (570)

$LwpLocationTypeStream (574)

$LwpLocationTypeWord (569)

Return value

Boolean.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: MoveUp method

 See list of classes

 See example

Syntax

[objectreference].MoveUp(Count)

Parameters

Count
A Numeric expression. You must use an integer as the Numeric expression.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Move method

 See list of classes

 See example

This method is defined in the following classes:

[Division]

Allows you to move a division object.

[StatusBar]

Allows you to move the status bar.

[TextDocument]

Allows you to move a TextDocument object.

[Window]

Allows you to move a window object to the coordinates specified by the XPosition and YPosition parameters.

[Application Window]

Allows you to move the application window to the coordinates specified by the XPosition and YPosition parameters.

Syntax

[objectreference].ActiveDocWindow.Move(Name,[ParentName,] [BeforeNeighbor,] [NeighborName]

[objectreference].Division.Move(XPosition,YPosition)

[objectreference].ActiveDocument.Move(XPosition,YPosition)

[objectreference].IconBarManager.Move(XPosition,YPosition)

[objectreference].StatusBar.Move(XPosition,YPosition)

[objectreference].ApplicationWindow.Move(XPosition,YPosition)

Parameters

XPosition
Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

YPosition
Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

MoveName
Data type is String.

ParentName
Data type is String. Optional parameter.

BeforeNeighbor
Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False (0).

NeighborName
Data type is String. Optional parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method is not valid for IconBarManager.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: Division class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: TextDocument class

Word Pro: Window class


Word Pro: NewDivision method

 See list of classes

 See example

Creates a new division in the active document.

Syntax

[objectreference].NewDivision([ParentName,] [BeforeNeighbor,] [NeighborName,] [Initialize,][Split])

Parameters

ParentName
A String expression which allows you to specify the internal name of the parent for the new division. Optional parameter.

BeforeNeighbor
An Integer expression which allows you to specify whether you want the new division to be placed before the neighbor or after the neighbor. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False.

NeighborName
A String expression which allows you to specify the internal name of the neighbor for the new division. Optional parameter.

Initialize
An Integer expression which allows you to copy all the styles from the neighboring division into the new division. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True, which copies all the styles from the neighboring division.

Split
An Integer expression which allows you to split the current division at the insertion point and place the new division at the split. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False, which does not split the current division.

Return value

A String expression which represents the internal name of the external division.

For more information on division names in LotusScript, see Overview: Division names in LotusScript

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NewDocument method

 See list of classes

 See example

Creates a new Word Pro document, including the DocWindow and TextDocument objects.

Syntax

[objectreference].NewDocument([DocFileName,][DocFilePath,] [SmartMasterName,][SmartMasterDir,] [Password,] [Kind])

Parameters

DocFileName
An optional String expression representing the name of the new file. You can leave this parameter blank if you want to open an untitled document.

DocFilePath
An optional String expression representing the path where you want to store the new file.

SmartMasterName
An optional String expression representing the name of the SmartMaster from which you want to create the new document. To create a plain document, leave this parameter empty.

SmartMasterDir
An optional String expression representing the path where the SmartMaster for the new document is stored. If the SmartMaster you want to use is stored in the default SmartMaster directory, you do not have to include this parameter.

Password
An optional String expression representing the password you want to assign the new document. Providing a value for this parameter activates the password feature for the new document. If you lose or forget the password, the document cannot be opened.

Kind
An optional String expression representing the file format for the new document.

Return value

Long.

Usage

Use this method to create a new document.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: NewFrame method

 See list of classes

 See example

Inserts a new frame into the active Word Pro document.

Syntax

[objectreference].InsertFrame(Width, Height, X, Y[, FrameStyle])

Parameters

Width
The width of the new frame expressed in Twips. Use a null string ("") if you want Word Pro to use the width specified in the frame style.

Height
The height of the new frame expressed in Twips. Use a null string ("") if you want Word Pro to use the height specified in the frame style.

X
The position, expressed in Twips, of the upper left corner of the frame on the X axis. Use a null string ("") if you want Word Pro to use the X coordinate specified in the frame style.

Y
The position, expressed in Twips, of the upper left corner of the frame on the Y axis. Use a null string ("") if you want Word Pro to use the Y coordinate specified in the frame style.

FrameStyle
A String, expressing the name of the style from which the new frame should be created. If you do not specify a frame style, Word Pro uses the default frame style.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If you use the recorder to get the code for creating a new frame, the recorder uses NewFrame when you use the new frame icon and CreateFrame when you choose Create - Frame.


Topics Found:

Word Pro: WPApplication class


Word Pro: NewItem method

 See list of classes

 See example

Adds a new menu item object to a named menu item object.

Syntax

[objectreference].NewItem(Caption, [p2,] [After,] [TargetText])

Parameters

Caption
The name of the new menu item; a String expression.

p2
A optional Variant parameter that initializes the Action property. Default is 0.

prexAfter

An optional Boolean expression that determines where the new item is inserted with the existing items in the parent menu item object. Default of True places the new item after last item in the parent menu item object. If the TargetText property is specified, the new item is inserted after the specified object. Setting the value of After to False places the new item before the first item in the parent menu item object or TargetText property.

prexTargetText

An optional String expression that allows you to specify a menu item object so you can place the new item before or after it. If you are trying to place your new item before or after an existing Word Pro item that displays an accelerator keystroke on the menu, you must build the TargetText string. Use the LotusScript function, Chr$(8), with the text on the menu to attach the accelerator keystroke to an existing item. For example, to attach to the Save menu item accelerator keystroke (in the File menu) you can use:

MyTargetText$ = "&Save" & Chr$(8) & "Ctrl+S"

Return value

MenuItem.

Usage

This method is used to add new options to Word Pro menus. Each time the NewItem method is executed, a new menu item object is created and added to the Items property for the existing menu item.


Topics Found:

Word Pro: MenuItem class


Word Pro: NewWindow method

 See list of classes

 See example

Opens another window for the currently active document. The new window is not a copy or separate version of the document. It is the same document displayed in a different window. Changes made to the document in one window are immediately reflected in the other window(s). Equivalent to choosing Window - New Window.

Syntax

[objectreference].NewWindow()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NextItem method

 See list of classes

 See example

Changes the current item to the next item.

Syntax

[objectreference].NextItem(ObjectType, LayoutObjectType, [MarkerName])

Parameters

ObjectType
Data type is Variant. The value of this parameter must be "$LwpRevisionObjectTypeRevision" or its numeric equivalent (1713).

LayoutObjectType
Data type is Variant. The value of this parameter must be "$LwpLayoutObjectTypeLayout" or its numeric equivalent (523).

MarkerName

An optional String expression that indicates the name of the marker of the next item.

Return value

This method returns an Integer value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: NextToObject method

 See list of classes

 See example

Determines whether or not the insertion point is located next to an object of the specified type.

Syntax

[objectreference].NextToObject(ObjectType)

Parameters

ObjectType

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: NextVersion method

 See list of classes

 See example

Changes the active version to the next version.

Syntax

[objectreference].NextVersion()

Parameters

Return value

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: Next method

 See list of classes

 See example

[Layout]

ClickHere, Text and TextMarker

Returns the next specified object type in a text or text marker object.

Syntax

[objectreference.]Next(ObjectType, LayoutObjectType)

[objectreference.]Next(ObjectType, [SearchObjectType,][p3,][MarkerName,][ClassName,][SubClass,])

[objectreference.]Next(ObjectType, [SearchObjectType,][p3,][MarkerName,][ClassName,][SubClass,])

Parameters

[Layout]

ObjectType

The type of object to be returned next. Data type is Variant. The value of this parameter must be "$LwpRevisionObjectTypeRevision" or its code equivalent (1713).

[Layout]

LayoutObjectType
The type of layout object that contains the object type to be returned next. Data type is Variant. The value of this parameter must be "$LwpLayoutObjectTypeLayout" or its code equivalent (523).

[Text, TextMarker, or ClickHere]

ObjectType
Used with a Text, TextMarker, or ClickHere object, this parameter must have one of the following values:

$LwpNextObjectTypeFormatcheck (1529)

$LwpNextObjectTypeRevision (1527)

$LwpNextObjectTypeSearch (1526)

$LwpNextObjectTypeTombstone (1528)

[Text, TextMarker, or ClickHere]

SearchObjectType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSelectObjectTypeBullet (1757)

$LwpSelectObjectTypeChunk (1750)

$LwpSelectObjectTypeDocument (1754)

$LwpSelectObjectTypeLevel (1756)

$LwpSelectObjectTypeObject (1748)

$LwpSelectObjectTypeParagraph (1753)

$LwpSelectObjectTypeSection (1759)

$LwpSelectObjectTypeSentence (1752)

$LwpSelectObjectTypeStream (1755)

$LwpSelectObjectTypeTombstoneset (1758)

$LwpSelectObjectTypeTuna (1751)

$LwpSelectObjectTypeWord (1749)

p3
Data type is Variant. Optional parameter. Default is True.

MarkerName
Data type is String. Optional parameter.

ClassName
Data type is String. Optional parameter.

SubClass
Data type is String. Optional parameter.

Return value

Integer

[Layout]

Returns one the String values below or its code equivalent.

$LwpRevisionSelectTypeNone (1714)

$LwpRevisionSelectTypeInsert (1715)

$LwpRevisionSelectTypeDelete (1716)

$LwpRevisionSelectTypeDontcare (1717)

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: NormalText method

 See list of classes

 See example

Removes local attributes from text in a document. This reverts the text attributes back to the text attributes defined in the paragraph style. Equivalent to choosing Text - Normal.

Syntax

[objectreference].NormalText()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: NumberOfVersions method

 See list of classes

 See example

Displays the number of versions of a document. Equivalent to choosing File - Versions.

Syntax

[objectreference].NumberOfVersions(VersionObjectType)

Parameters

VersionObjectType
Data type is Variant. The value of this parameter must be "$LwpVersionObjectType" or its code equivalent (1961).

Return value

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: OpenDataFile method

 See list of classes

 See example

Opens the specified Merge data file.

Syntax

[objectreference].OpenDataFile(DataFilePath, DataFileType, [Password])

Parameters

DataFilePath
A String expression specifying the name and file path of the data file you want to open.

DataFileType
A String expression specifying file type of the data file you want to open.

Password
A String expression specifying the password for the data file. Use this parameter only if the data file is password-protected. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: OpenDocument method

 See list of classes

 See example

Opens a document in Word Pro.

Syntax

[objectreference].OpenDocument(DocName, [Location,] [Kind,] [Password,] [OpenRO,] [MakeVisible])

Parameters

DocName
A String expression representing the path and name of the document you want to open.

Location
An optional String expression representing the path of the document you are opening. If the document is not in the current working directory, you must use this parameter.

Kind
An optional String expression representing the file format for the document you are opening. You must provide the file format if the document you are opening is not a Word Pro document.

Password
An optional String expression which provides the password for files which are password-protected.

OpenRO
An optional Boolean expression indicating whether you want to open the file as Read-write (False) or Read-only (True). Default is False.

MakeVisible
An optional Boolean expression indicating whether or not the document will be visible when opened. Optional parameter. Default is True.

Return value

Long.

Usage

Use this method to open an existing document in Word Pro.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: OpenFromStorage method

 See list of classes

 See example

Opens an embedded OLE Word Pro document from a specified IStorage.

Syntax

[objectreference].OpenFromStorage(pIStorage, FileType, [Password])

Parameters

plStorage
A Numeric expression which specifies the Istorage space in which the embedded Word Pro object is stored. Data type is Long.

FileType
A String expression indicating the type of Word Pro or Ami Pro object being opened. The file types include:

Lotus Ami Pro

Lotus Ami Pro 3.x Macro

Lotus Ami Pro 3.x Styles

Lotus Word Pro

Lotus Word Pro SmartMaster

Password
A String expression which specifies the password for the embedded Word Pro document. Required only If the embedded Word Pro document is password protected.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: OpenObject method

 See list of classes

 See example

Opens an object in a selected frame.

Syntax

[objectreference].OpenObject()

Parameters

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Open method

 See list of classes

 See example

[StatusBar]
Opens/displays the status bar.

[ApplicationWindow]
Opens the application window and brings it to the top.

[NoteLayout]

Opens a specific note layout object.

Syntax

[objectreference].NoteLayout.Open()

[objectreference].OleObject.Open(Verb)

[objectreference].Window.Open()

[objectreference].IconBarManager.Open()

[objectreference].StatusBar.Open()

[objectreference].ApplicationWindow.Open()

Parameters

Verb
Data type is Long. Optional parameter. Default is 0.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method is not valid for IconBarManager.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: NoteLayout class

Word Pro: OleObject class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: OutlineMoveTextDown method

 See list of classes

 See example

Moves the currently active paragraph down one paragraph. The paragraph remains at the same outline level.

Syntax

[objectreference].OutlineMoveTextDown()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: OutlineMoveTextUp method

 See list of classes

 See example

Moves the currently active paragraph up one paragraph. The paragraph remains at the same outline level.

Syntax

[objectreference].OutlineMoveTextUp()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: OutlineStyleSequence method

 See list of classes

 See example

Applies paragraph styles to outline sequences.

Syntax

[objectreference].OutlineStyleSequence(ParagraphGetType)

Parameters

ParagraphGetType
Data type is Variant. The value of this parameter must be "$LwpParagraphGetType" or its code equivalent (1628).

Return value

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: PageDown method

 See list of classes

 See example

Moves the insertion point down one page.

Syntax

[objectreference].PageDown()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PageUp method

 See list of classes

 See example

Moves the insertion point up one page.

Syntax

[objectreference].PageUp()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PasteLink method

 See list of classes

 See example

Pastes the contents of the Clipboard into the active Word Pro document as a linked OLE object.

Syntax

[objectreference].PasteLink(PresentationFormat, [UpdateDataOnly,] [IconMetaFilePictHandle]])

Parameters

PresentationFormat
A String expression that indicates the Clipboard format you want to use for presenting the linked object in your Word Pro document. In most circumstances you should use "LWPOLEFormat". However, there may be times when you want to use one of the other formats to ensure that certain features will be available to you. For example, if you are pasting spreadsheet data into a Word Pro table and you want to update data without changing the cell formatting, you must use "Rich Text Format" for this parameter. Presentation formats include the following:

LWPOLEFormat	The normal setting for pasted links.

CF_METAFILEPICT	Windows Metafile

CF_BITMAP	Windows Bitmap

CF_DIB	Device Independent Bitmap

CF_TEXT	Text

Rich Text Format	Rich Text Format

UpdateDataOnly
An optional parameter that indicates whether or not you want the cell format of a linked Word Pro table to be updated along with the data in the cells. This option is only available for spreadsheet data which is pasted into a Word Pro table and linked through OLE to the original spreadsheet. A value of True (-1) will cause OLE to update only the data in the table cells. Any local formatting done to the Word Pro table will remain intact. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. Optional parameter. Default is False (0).

Note	If you use a value of True for this parameter, you must use "Rich Text Format" as the value of the PresentationFormat parameter.

IconMetaFilePictHandle
An optional Numeric expression which allows you to specify which icon to use in representing the linked object in the Word Pro file. Using any value other than 0 automatically tells Word Pro to display the linked object as an icon. This value serves as a numeric handle (known as the HGLOBAL) to the metafile pict for that icon. You can get the HGLOBAL for a specific metafile pict by using the appropriate Windows API calls. Data type must be Long. Default is 0 which indicates that you want the contents of the linked OLE object to be displayed in the Word Pro document.

Caution	If you record the process of choosing Edit - Paste Special and linking a file to be displayed as icon, Word Pro records a value for IconMetaFilePict that is valid only during the recording. When you play back the recorded script, the IconMetaFilePict value will be invalid and Word Pro will treat the value as if you passed a 0.

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PasteSpecial method

 See list of classes

 See example

Pastes an OLE object into a Word Pro document. Equivalent to choosing Edit - Paste Special from the object's source application to the Word Pro application.

Syntax

[objectreference].PasteSpecial(Format, IconMetaFilePictHandle)

Parameters

Format
A String expression indicating the format of the OLE object.

Value	Source of OLE object
CF_TEXT	ASCII text
Rich Text Format	Rich text format
Biff	MS Excel versions earlier than 3
Biff3	MS Excel 3
Biff4	MS Excel 4
LotusChart	LotusChart
CF_METAFILEPICT	Windows Metafile
CF_DIB	Device independent bitmap
CF_BITMAP	Bitmap
WordProDraw	WordProDraw
WordProEquation	WordProEquation
WordProNative	Internal paste from AppFoundry
FileName	OLE file
Embed Source	Creates an OLE embedded object from any object that can become an OLE embedded object.
Embedded Object	Creates an OLE embedded object from an existing OLE embedded object.
Link Source	Creates a linked OLE object.
Link	Creates a DDE link.
IconMetaFilePictHandle
A Numeric expression which allows you to specify which icon to use in representing the new OLE object. Optional parameter. Using any value other than 0 automatically tells Word Pro to display the new object as an icon. This value serves as a numeric handle (known as the HGLOBAL) to the metafile pict for that icon. You can get the HGLOBAL for a specific metafile pict by using the appropriate Windows API calls. Data type must be Long. Default is 0, which indicates that you want Word Pro to display the contents of the new OLE object.

Caution	If you record the process of creating a new OLE object to be displayed as icon, Word Pro records a value for IconMetaFilePict, which is valid only during the recording. When you play back the recorded script, the IconMetaFilePict value will be invalid and Word Pro will treat the value as if you passed 0.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Paste method

 See list of classes

 See example

This method is defined in the following classes:

[WPApplication]

Pastes the contents of the Clipboard into the currently active document at the insertion point.

[Foundry]

Pastes all the object(s) contained in the specified Foundry object into the Foundry object from which the Paste method is called.

Syntax

[objectreference].WPApplication.Paste([MakeVisible])

[objectreference].Document.Paste([MakeVisible])

[objectreference].Foundry.Paste([FoundryType,][Clear])

Parameters

[Document, WPApplication]

MakeVisible
Do not use this parameter. This parameter is not implemented in this release of Word Pro.

FoundryType
Used when calling this method from a Foundry object, this parameter specifies which Foundry object you want to paste from. Data type is Variant, which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). Default is $LwpFoundryTypeDocument.

$LwpFoundryTypeApplication (346)
Indicates the Foundry object found in the AppFoundry property on WPApplication. Pastes all objects currently in WordPro.AppFoundry into the Foundry object from which the script calls the Paste method. For example, if you use this value to call this method from a division called "Summary," all the objects in AppFoundry will be pasted into the Summary division's Foundry.

$LwpFoundryTypeDocument (345)
Indicates the same Foundry object from which the script calls the Paste method. For example, if you use this value to call this method from a division called "Summary," all the objects in the Summary division's Foundry will be pasted into the Summary division's Foundry a second time, thus creating duplicates of each object in the Summary division's Foundry object.

$LwpFoundryTypeTemporary (347)
Indicates the Foundry object found in the TempFoundry property on WPApplication. Pastes all objects currently in WordPro.TempFoundry into the Foundry object from which the script calls the Paste method. For example, if you use this value to call this method from a division called "Summary," all the objects in TempFoundry will be pasted into the Summary division's Foundry.

Clear
Used when calling this method from a Foundry object, this parameter clears the source Foundry of the pasted object(s). For example, if FoundryType has a value of $LwpFoundryTypeApplication (or 346), setting this parameter to False (0) would leave all the AppFoundry objects in place after the Paste method is executed. A value of True (-1) would cause all the objects in AppFoundry to be cleared after the Paste method was executed. Data type is Integer but the legal values are True (-1) and False (0). Default is True (-1).

Return value

When used with WPApplication and Document, this method returns a value of -1 (True) or 0 (False), indicating that the method succeeded or failed respectively.

Foundry objects return a value of type Variant.

Usage


Topics Found:

Word Pro: Document class

Word Pro: Foundry class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: PColConnectCells method

 See list of classes

 See example

Connects the selected parallel column table cells.

Syntax

[objectreference].PColConnectCells()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PColConnectRows method

 See list of classes

 See example

Connects the cells in the parallel column row which has the focus. If cells from more than one row are selected, Word Pro connects the cells in the row which has the focus, and then moves the contents of the selected rows into the connected row. Word Pro leaves the rows which did not have the focus as disconnected rows of empty cells. Equivalent to choosing Columns - Connect Across Row.

Syntax

[objectreference].PColConnectRows()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PColDisconnectCells method

 See list of classes

 See example

Disconnects the selected parallel column table cells. Only works if there are connected cells or rows within the selection. Equivalent to choosing Columns -Disconnect Column Block.

Syntax

[objectreference].PColDisconnectCells()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If you disconnect parallel column cells, the contents of the connected cell remain in a single cell rather than returning to their original separate cells.


Topics Found:

Word Pro: WPApplication class


Word Pro: PColSelectColumn method

 See list of classes

 See example

Selects the parallel column which contains the cell that currently has the focus. If cells from more than one parallel column are in the selection, Word Pro selects all the parallel columns with cells in the selection. The insertion point must be in a parallel column table. Equivalent to choosing Columns - Select - Column Contents.

Syntax

[objectreference].PColSelectColumn()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PColSelectRow method

 See list of classes

 See example

Selects the parallel column row which contains the cell that currently has the focus. If cells from more than one row are in the selection, Word Pro selects all the rows with cells in the selection. The insertion point must be in a parallel column table. Equivalent to choosing Columns - Select - Row Contents.

Syntax

[objectreference].PColSelectRow()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: PColSelectTable method

 See list of classes

 See example

Selects the parallel column table which currently has the focus. The focus must be include a parallel column table cell. Equivalent to choosing Table - Select - All Column Contents.

Syntax

[objectreference].PColSelectTable()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Play method

 See list of classes

 See example

[ApplicationWindow]

Determines what script to play and when to play it..

Syntax

[objectreference].Play(p1)

Parameters

p1
Data type is Variant. Optional parameter. This parameter has two parts:

1.	String - Indicates the script filename (.LSS or .LWP).

2.	Enumerated list - Indicates when the script will play.

$LwpPlayWhenWordproIsExecuted = 1631

$LwpPlayWhenDosIsOpened = 1632

$LwpPlayWhenDosIsClosed = 1633

$LwpPlayWhenNewdoc = 1634

$LwpPlayWhenWordproIsExited = 1635

If this method contains no parameters, the current script will play when the method is called.

Return value

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Use this method to play a script.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: PrepareToDestroy method

 See list of classes

 See example

Syntax

[objectreference].PrepareToDestroy()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Present method

 See list of classes

 See example

Syntax

[objectreference].Present()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: PreviousItem method

 See list of classes

 See example

This method is defined in the following classes:

[Layout]

Internal Use Only.

[BaseTable]

Returns the last selected item in a glossary or base table.

Syntax

[objectreference].BaseTable.PreviousItem(RevisionObjectType,LayoutObjectTyp

Parameters

ObjectType

The type of previously returned type object. Data type is Variant. The value of this parameter must be $LwpRevisionObjectTypeRevision or its code equivalent (1713).

LayoutObjectType
The type of layout object that contains the previously returned object type. Data type is Variant. The value of this parameter must be $LwpLayoutObjectTypeLayout or its code equivalent (523).

MarkerName

An optional String expression that indicates the name of the marker of the next item.

Return value

This method returns an Integer value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FootnoteTable class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Glossary class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParallelColumns class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: PreviousVersion method

 See list of classes

 See example

Syntax

[objectreference].PreviousVersion()

Parameters

Return value

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: Previous method

 See list of classes

 See example

Syntax

[objectreference].Previous(ObjectType,[SearchObjectType,][ p3,] [MarkerName,] [ClassName,] [SubClass])

Parameters

ObjectType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpNextObjectTypeFormatcheck (1529)

$LwpNextObjectTypeRevision (1527)

$LwpNextObjectTypeSearch (1526)

$LwpNextObjectTypeTombstone (1528)

SearchObjectType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent. Default is $LwpSearchObjectTypeObject.

$LwpSearchObjectTypeAlignment (1739)

$LwpSearchObjectTypeIndent (1740)

$LwpSearchObjectTypeObject (1736)

$LwpSearchObjectTypeRevision (1743)

$LwpSearchObjectTypeSpacing (1741)

$LwpSearchObjectTypeStyle (1738)

$LwpSearchObjectTypeTab (1742)

$LwpSearchObjectTypeText (1737)

p3
Data type is Variant. Optional parameter. Default is True.

MarkerName
Data type is String. Optional parameter.

ClassName
Data type is String. Optional parameter.

SubClass
Data type is String. Optional parameter.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: PrintOut method

 See list of classes

 See example

Prints a Word Pro document. This method is defined in several classes. See Usage for details on how this method behaves in each class.

Note	This method is the same as the Print method defined in WPApplication and TextDocument. We provide this alternative because the word "Print" is a reserved word in OLE automation. This reserved status prevents the Print method from working. If you are developing a script for use in OLE automation, you must use the PrintOut method instead of the Print method.

Syntax

[objectreference].Print([From,][To,][Copies,][nodialog])

Parameters

From
An Integer specifying the first page to be printed. Optional parameter. Default is 1.

To
An Integer specifying the last page to be printed. Optional parameter. Default is 9999.

Copies
An Integer specifying the number of copies to be printed. Optional parameter. Default is 1.

nodialog
Allows you to suppress or display the Print dialog box, which normally appears when you choose File - Print. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True, which suppresses the Print dialog box.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

The default values for this method print one copy of the entire document without displaying the Print dialog box.


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: Print method

 See list of classes

 See example

Prints a Word Pro document. This method is defined in several classes. See Usage for details on how this method behaves in each class.

Note	The word "Print" is a reserved word in OLE automation. This reserved status prevents the Print method from working. If you are developing a script for use in OLE automation, you must use the PrintOut method instead of the Print method.

Syntax

[objectreference].WPApplication.Print([From,][To,][Copies,][nodialog])

[objectreference].Document.Print([From,][To,][Copies,][nodialog])

[objectreference].PrintManager.Print(DocName)

Parameters

From
An Integer specifying the first page to be printed. Optional parameter. Default is 1. This parameter is used only when using Print from WPApplication or Document.

To
An Integer specifying the last page to be printed. Optional parameter. Default value is 9999. This parameter is used only when using Print from WPApplication or Document.

Copies
An Integer specifying the number of copies to be printed. Optional parameter. Default is 1. This parameter is used only when using Print from WPApplication or Document.

nodialog
Allows you to suppress or display the Print dialog box, which normally appears when you choose File - Print. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is True, which suppresses the Print dialog box. This parameter is used only when using Print from WPApplication or Document.

DocName
A String expression specifying the name of the document you want to print. Use this parameter when using Print from PrintManager.

Return value

When called from WPApplication and TextDocument objects, this method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed, respectively.

PrintManager returns an Integer.

Usage

When called from WPApplication or a TextDocument, you can take the default values for the parameters that will print one copy of the entire document without displaying the Print dialog box.

When called from the PrintManager object, the Print method requires only the DocName parameter.


Topics Found:

Word Pro: Document class

Word Pro: PrintManager class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: ProcessAccelKey method

 See list of classes

 See example

Syntax

[objectreference].ProcessAccelKey(WParam)

Parameters

WParam
Data type is integer.

Return value

Integer

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: PromoteOutlineLevel method

 See list of classes

 See example

Promotes the current paragraph to the next higher outline level. Equivalent to choosing Text - Outline - Promote.

Syntax

[objectreference].PromoteOutlineLevel()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Promote method

 See list of classes

 See example

Syntax

[objectreference].Promote()

Parameters

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Purge method

 See list of classes

 See example

Gets rid of any objects in a Foundry object which were derived from a SmartMaster. Use this when you want to switch from one SmartMaster to another and get rid of the old objects created by the original SmartMaster.

Syntax

[objectreference].Purge()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Division class

Word Pro: Foundry class

Word Pro: TextDocument class


Word Pro: QueryDrop method

 See list of classes

 See example

Used during drag and drop operations, this method queries the currently active document window to determine if the items being dragged can be dropped at the location of the mouse cursor.

Syntax

[objectreference].QueryDrop(WindowId,GeneralModifier, SpecificModifier, X, Y)

Parameters

WindowId
An Integer which specifies the document window you are querying about the drop. Data type is Long.

GeneralModifier
Indicates which modifier keys are pressed during the drag operation. Data type is Variant. This allows this parameter to accommodate one of the string values below or its hexadecimal equivalent (in parentheses).

LwpGeneralModifierAlt (&H2) Indicates the ALT key is pressed.

LwpGeneralModifierCapslock (&H40) Indicates the CAPS LOCK key is pressed.

LwpGeneralModifierCommand (&H8) Indicates the COMMAND key is pressed. (Macintosh only)

LwpGeneralModifierCtrl (&H4) Indicates the CTRL key is pressed.

LwpGeneralModifierHelp (&H200) Indicates the HELP key is pressed.

LwpGeneralModifierNone (&H0) Indicates that no modifier keys are pressed.

LwpGeneralModifierNumlock (&H80) Indicates the NUMLOCK key is pressed.

LwpGeneralModifierOption (&H10) Indicates the OPTION key is pressed. (Macintosh only)

LwpGeneralModifierScrolllock (&H100) Indicates the SCROLL LOCK key is pressed.

LwpGeneralModifierShift (&H1) Indicates the SHIFT key is pressed.

LwpGeneralModifierSys (&H20) Indicates the SYSRQ key is pressed.

SpecificModifier
The value of this parameter should be zero (0). Data type is Variant. This allows this parameter to accommodate one of the string values below or its hexadecimal equivalent (in parentheses).

LwpSpecificModifierClicked (&H2)

LwpSpecificModifierComingup (&H4)

LwpSpecificModifierDamnit (&H1)

LwpSpecificModifierDoublebyte (&H1)

LwpSpecificModifierGoingdown (&H2)

LwpSpecificModifierMbutton1 (&H1)

LwpSpecificModifierMbutton2 (&H2)

LwpSpecificModifierMbutton3 (&H4)

LwpSpecificModifierMbuttondown (&H8)

LwpSpecificModifierMbuttonmask (&H7)

LwpSpecificModifierMbuttonup (&H10)

LwpSpecificModifierNomove (&H4)

LwpSpecificModifierNone (&H0)

LwpSpecificModifierNovolatile (&H8)

LwpSpecificModifierReset (&H10)

LwpSpecificModifierVirtual (&H8)

X
One of two coordinates indicating the position of the upper left corner of the window being queried. Data type is Long. Position of the X coordinate is expressed in Twips.

Y
One of two coordinates indicating the position of the upper left corner of the window being queried. Data type is Long. Position of the Y coordinate is expressed in Twips.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the dragged items can or cannot be dropped respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Query method

 See list of classes

 See example

Displays a Windows Message box with a specified prompt and an edit box where you can enter string data to be sent back to the macro.

Syntax

[objectreference].Query(??)

Parameters

Return value

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: QuickAlignFrame method

 See list of classes

 See example

Aligns the currently active frame relative to the center or edges of the page on which the frame is located.

Syntax

[objectreference].QuickAlignFrame(QuickLayoutAlign)

Parameters

QuickLayoutAlign
Specifies how you want to align this frame in relation to the page. Data type is Variant, which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpQuickLayoutAlignLeft (1657) Aligns the left edge of the frame with the left edge of the page. This does not affect the vertical position of the frame.

$LwpQuickLayoutAlignRight (1658) Aligns the right edge of the frame with the right edge of the page. This does not affect the vertical position of the frame.

$LwpQuickLayoutAlignVertcenter (1659) Aligns the center point of the frame with the vertical center of the page. This does not affect the horizontal position of the frame.

$LwpQuickLayoutAlignHorzcenter (1660) Aligns the center point of the frame with the horizontal center of the page. This does not affect the vertical position of the frame.

$LwpQuickLayoutAlignTop (1661) Aligns the top of the frame with the bottom edge of the page. This does not affect the horizontal position of the frame.

$LwpQuickLayoutAlignBottom (1662) Aligns the bottom of the frame with the bottom edge of the page. This does not affect the horizontal position of the frame.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

To center a frame on a page, call this method twice, once with the value, $LwpQuickLayoutAlignVertcenter, and a second time with the value, $LwpQuickLayoutAlignHorzcenter.


Topics Found:

Word Pro: WPApplication class


Word Pro: QuickAlignTable method

 See list of classes

 See example

Aligns the currently active table relative to the center or edges of the page(s) on which the table is located.

Syntax

[objectreference].QuickAlignTable(QuickLayoutAlign)

Parameters

QuickLayoutAlign
Specifies how you want to align this table in relation to the page. Data type is Variant, which allows the value of this parameter to be one of the string values listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpQuickLayoutAlignLeft (1657) Aligns the left edge of the table with the left edge of the page. This does not affect the vertical position of the table.

$LwpQuickLayoutAlignRight (1658) Aligns the right edge of the table with the right edge of the page. This does not affect the vertical position of the table.

$LwpQuickLayoutAlignVertcenter (1659) Aligns the center point of the table with the vertical center of the page. This does not affect the horizontal position of the table.

$LwpQuickLayoutAlignHorzcenter (1660) Aligns the center point of the table with the horizontal center of the page. This does not affect the vertical position of the table.

$LwpQuickLayoutAlignTop (1661) Aligns the top of the table with the bottom edge of the page. This does not affect the horizontal position of the table.

$LwpQuickLayoutAlignBottom (1662) Aligns the bottom of the table with the bottom edge of the page. This does not affect the horizontal position of the table.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

To center a table on a page, call this method twice, once with the value, $LwpQuickLayoutAlignVertcenter, and a second time with the value, $LwpQuickLayoutAlignHorzcenter.


Topics Found:

Word Pro: WPApplication class


Word Pro: Quit method

 See list of classes

 See example

Closes the Word Pro application. Equivalent to choosing File - Exit.

Syntax

[objectreference].Quit()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Use this method to exit the Word Pro application.

Note	If Word Pro is acting as an OLE server when this method is executed, Word Pro disappears from the Windows workspace, but remains active in the background until its services are no longer required.


Topics Found:

Word Pro: Application class

Word Pro: WPApplication class


Word Pro: RadioButtons method

 See list of classes

 See example

Syntax

[objectreference].RadioButtons(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: Read method

 See list of classes

 See example

Syntax

[objectreference].Read(Length)

Parameters

Length
Data type is Long.

Return value

Usage


Topics Found:

Word Pro: Bag class


Word Pro: Redo method

 See list of classes

 See example

Reverses an action which has been undone using the Undo command. Equivalent to choosing Edit - Undo/Redo Special and using the Redo feature.

Syntax

[Objectreference].WPApplication.Redo()

[Objectreference].TextDocument.Redo(Count)

Parameters

Count
Used only when calling this method from a TextDocument object. The value of this parameter must be an Integer which specifies the number of undone actions you want to redo. Word Pro can only redo as many actions as have been undone. If this number is greater than the number of undone actions, Word Pro will redo all the undone actions and then stop. Optional parameter. Default is 1.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Use this method any time you want to redo an action listed in the "Edits you can redo" list in the Undo/Redo dialog box.


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: Refresh method

 See list of classes

 See example

Syntax

[objectreference].Refresh()

Parameters

Return value

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: RegisterWPDataSet method

 See list of classes

 See example

Creates a WPDataSet and attaches it to the object from which you call this method.

Syntax

[objectreference].RegisterWPDDataset(GroupName)

Parameters

GroupName
A String expression representing the name given to the WPDataSet.

Return value

Returns the newly created WPDataSet object. Assign this return value to a variable to gain easy access to the WPDataSet object.

Usage

WPDataSet objects are useful tools that store data with a document. When you close a document that has one or more data sets attached to it, Word Pro saves the data set(s) with the document. Any time the document is open, you have access to the data sets created for that document.

When you register or unregister a WPDataSet on a Text object, that WPDataSet is assigned to the currently active paragraph.

This method creates and gives a name to a WPDataSet object. The new data set becomes attached to the object from which you call this method. This method returns the new object so you can assign it to a variable.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: Text class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: Release method

 See list of classes

 See example

Gets rid of a SilverBullet or Style object in the Foundry object from which you call the Release method.

Syntax

[objectreference].Release(FoundryReleaseType, p2, [ObjectName])

Parameters

Type
Indicates whether you want to get rid of a SilverBullet or an object created from one of the following classes: CellLayout, CharacterStyle, FrameLayout, PageLayout, ParagraphStyle, TableLayout. Data type is Variant. The value of this parameter must be one of the strings below or its numeric equivalent (indicated in parentheses):

$LwpFoundryReleaseTypeSilverbullet (344)

$LwpFoundryReleaseTypeStyle (343)

p2
The value of this parameter depends on the value of the Type parameter. Data type is Variant. If the value of the Type parameter is $LwpFoundryReleaseTypeSilverBullet (or 344), this parameter must be a string indicating the name of the SilverBullet object you want to release. If the value of the Type parameter is $LwpFoundryReleaseTypeStyle (or 343), this parameter must be one of the following strings or its numeric equivalent (indicated in parentheses):

$LwpStyleTypeCell (1834) Releases a CellLayout object.

$LwpStyleTypeCharacter (1830) Releases a CharacterStyle object.

$LwpStyleTypeDefault (1828)

$LwpStyleTypeFrame (1832) Releases a FrameLayout object.

$LwpStyleTypePage (1831) Releases a PageLayout object.

$LwpStyleTypeParagraph (1829) Releases a ParagraphStyle object.

$LwpStyleTypeTable (1833) Releases a TableLayout object.

ObjectName
If the value of the Type parameter is $LwpFoundryReleaseTypeStyle (or 343), this parameter must be a string indicating the name of the object you want to release. Data type is String.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Foundry class


Word Pro: Reload method

 See list of classes

 See example

Syntax

[objectreference].Reload()

Parameters

Return value

Usage


Topics Found:

Word Pro: LwpFileListBox class


Word Pro: RemoveBookmark method

 See list of classes

 See example

Removes a bookmark. You must use the internal (hexidecimal) marker name for the bookmark in order to remove it. Any time this method is called, you must also remove the mark from the Markers collection located in the Foundry for the division.

Syntax

[objectreference].RemoveBookmark(MarkerName)

Parameters

MarkerName
Data type is String. Required parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

To obtain an internal (hexidecimal) name, you can enumerate those names, or you can select a bookmark by its user name and ask for its internal name.


Topics Found:

Word Pro: BookmarkManager class


Word Pro: RemoveChildFromLayout method

 See list of classes

 See example

Removes a specific layout object from its parent layout.

Syntax

[objectreference].RemoveChildFromLayout()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Call this method from the child layout that you want to remove from its parent.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RemoveDataFile method

 See list of classes

 See example

Removes a data file from a text document.

[MergeOptions]

Removes a Merge data file from the current document.

Syntax

[objectreference].RemoveDataFile(MergeOptions)

Parameters

Return value

Long

Usage


Topics Found:

Word Pro: MergeOptions class


Word Pro: RemoveDdeLink method

 See list of classes

 See example

Removes a Dde link from a document.

Syntax

[objectreference].RemoveDdeLink(LinkInfo, [DdeNameType])

Parameters

LinkInfo
Data type is String. Required parameter.

DdeNameType
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpDdeNameTypeLinkinfo (176) Default.

$LwpDdeNameTypeMarkername (175)

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: RemoveDepOnDocFile method

 See list of classes

 See example

Syntax

[objectreference].RemoveDepOnDocFile()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: RemoveDivision method

 See list of classes

 See example

Removes a division in a text document.

Syntax

[objectreference].RemoveDivision(Name)

Parameters

Name
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: RemoveEditor method

 See list of classes

 See example

Removes an editor's name from a document.

Syntax

[objectreference].RemoveEditor(EditorName)

Parameters

EditorName
The name of the editor you want to delete. Data type is String.

Return value

The return value for this method is always -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

This method returns True if Word Pro removes the editor's name from the document. This method returns False under the following conditions: the editor field is blank, an editor does not exist, the editor is the "All Others" editor, or the editor owns any edits in the document.

Usage

Do not use the RemoveEditor method to delete "All Others", "Current", or "SmartMaster" editors.


Topics Found:

Word Pro: EditorManager class


Word Pro: RemoveItem method

 See list of classes

 See example

Removes an item from a combo or list box.

Syntax

[objectreference].RemoveItem(p1)

Parameters

p1
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: RemoveNamedProperty method

 See list of classes

 See example

Removes the specified user-defined property from a division, layout, marker, or text document. This method only works on a WPDataSet property.

Syntax

[objectreference].RemoveNamedProperty(PropertyName)

Parameters

PropertyName

A String expression representing the name of the property you want to delete in a layout object.

Return value

The return value for this method will always be -1.

Usage

A named property is a user-defined property assigned to an object. Unlike variables, named properties are persistent. They continue to exist when a script stops executing, and when a document is closed and reopened.

Since the RemoveNamedProperty method always returns -1, you must use the HasNamedProperty method to determine whether or not a specified named property actually exists. You will not receive a run-time error if you attempt to remove a named property that does not exist.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: RemovePersistentAccelerators method

 See list of classes

 See example

Syntax

[objectreference].RemovePersistentAccelerators()

Parameters

Return value

Usage


Topics Found:

Word Pro: Accelerators class


Word Pro: RemoveProperty method

 See list of classes

 See example

Syntax

[objectreference].RemoveProperty(PropertyName)

Parameters

PropertyName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: CharacterStyle class


Word Pro: Remove method

 See list of classes

 See example

Syntax

[objectreference].Remove(RemoveType, [OthersInSet,] [DeleteParaData])

Parameters

RemoveType
Data type is Variant.

$LwpRemoveTypeHideshowprops (1672)

$LwpRemoveTypeMultiParaTag (1673)

OthersInSet
Data type is Boolean. Optional parameter. Default is False.

DeleteParaData
Data type is Boolean. Optional parameter. Default is False.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: RenderClipBitmap method

 See list of classes

 See example

Syntax

[objectreference].RenderClipBitmap()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: RenderClipDIB method

 See list of classes

 See example

Syntax

[objectreference].RenderClipDIB()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: RenderClipMetafile method

 See list of classes

 See example

Syntax

[objectreference].RenderClipMetafile()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: RenderClipPalette method

 See list of classes

 See example

Syntax

[objectreference].RenderClipPalette()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: Render method

 See list of classes

 See example

Syntax

[objectreference].Render(Format)

Parameters

Format)

Data type is String.

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ReplaceAll method

 See list of classes

 See example

Executes a replace all, based on the settings found in the FindAndReplace object.

Syntax

[objectreference].ReplaceAll()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ReplaceCmd method

 See list of classes

 See example

Executes a replace, based on the settings found in the FindAndReplace object.

Syntax

[objectreference].ReplaceCmd()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Replace method

 See list of classes

 See example

Finds and optionally replaces the first occurrence of the target text, special characters, or paragraph styles in a document..

Syntax

[objectreference].Replace(ReplaceObjectType, ReplaceText)

Parameters

ReplaceObjectType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpReplaceObjectTypeCharacter (1674)

$LwpReplaceObjectTypeChunk (1676)

$LwpReplaceObjectTypeSentence (1677)

$LwpReplaceObjectTypeWord (1675)

Replace
Text. Data type is String. On a ClickHere object, this method replaces the existing Content object with the content object (usually a Text object) named in the ReplaceText parameter.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: RequestAndProcessData method

 See list of classes

 See example

Updates a Dde link in Word Pro.

Syntax

[objectreference].RequestAndProcessData(LinkInfo, [DdeSelection])

Parameters

LinkInfo
Data type is String. Required parameter.

DdeSelection
Data type is Variant. Optional parameter. The value of this parameter must be one of the strings below or its code equivalent.

$LwpDdeSelectionDdelinkName (177)

$LwpDdeSelectionMarkerName (178) Default.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DdeLinkManager class


Word Pro: ResetFindAndReplace method

 See list of classes

 See example

Resets the Find & Replace marks from the insertion point forward and allows you to continue the Find & Replace operation.

Syntax

[objectreference].ResetFindAndReplace()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If you begin a Find & Replace operation and interrupt the operation to make changes inside your document, Word Pro dismisses the Find & Replace marks and allows you to make the changes. You can then use this method to reset the Find & Replace marks and continue the operation. The operation will begin at the insertion point and continue to the end of the document. The operation then loops back to the beginning of the document and continues to the location of the insertion point.


Topics Found:

Word Pro: WPApplication class


Word Pro: Reset method

 See list of classes

 See example

[FindAndReplace]

Sets the options back to the default setting (clear) for Find & Replace text.

[NumericFormat]

Removes conditional number format attributes.

Syntax

[objectreference].Reset()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True.

Usage

[FindAndReplace]

Equivalent to choosing Edit - Find & Replace Text, clicking Options and the Font button in either the "Find options" or "Replace options" section. If you choose a font name, attributes, style, or color, and then want to start again, click Clear to reset.

[NumericFormat]

The Reset method removes conditional number format attributes such as leading text for negative numbers. It is equivalent to choosing the Reset button in the Edit Format dialog. You can open the Edit Format dialog by choosing the Format Options button in the Number Format panel of the InfoBox for table cells.


Topics Found:

Word Pro: Bag class

Word Pro: FindAndReplace class

Word Pro: NumericFormat class


Word Pro: Resize method

 See list of classes

 See example

[ApplicationWindow]

Resizes the application window at the current position to the width and height specified by the parameters.

Syntax

[objectreference].IconBarManager.Resize(Width, Height)

[objectreference].StatusBar.Resize(Width, Height)

[objectreference].ApplicationWindow(Width, Height)

Parameters

Width
Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Height
Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method is not valid for IconBarManager and StatusBar.

[ApplicationWindow]

Use this method to change the size of the application window.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: Restore method

 See list of classes

 See example

Restores the Word Pro application window to its previous size.

Syntax

[objectreference].Restore()

Parameters

None

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method corresponds to the Restore button in the upper righthand corner of the Word Pro application window.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class


Word Pro: RetrieveInternetFileAndOpen method

 See list of classes

 See example

Gets a file via WWW or FTP, stores it in your temporary directory, and opens the file for viewing in Word Pro. Equivalent to choosing File - Open and clicking Internet. The parameters for this method correspond to the options available in the Open from Internet dialog box.

Syntax

[objectreference].RetrieveInternetFileAndOpen(URL, UserID, Password, Passive, Proxy, ProxyPort)

Parameters

URL
A String expression specifying the URL for the document you want to open.

UserID
Used when retrieving a file from an FTP site, this parameter takes a String value representing the name of the user who has an account with the FTP server. If you are retrieving a WWW document, the value of this parameter should be a null string ("").

Password
Used when retrieving a file from an FTP site, this parameter takes a String value representing the password for the user named in UserID. If you are retrieving a WWW document, the value of this parameter should be a null string ("").

Passive
Set this value to True when you want to initiate the file transfer. Set it to False to allow the server to repond to your request when it is ready. Some FTP servers do not support this feature. The value of this parameter is usually False. If you are retrieving a WWW document, the value of this parameter should be a null string (""). Data type is Integer, but the value is always 0 (False) or -1 (True). You can use the LotusScript constants of True and False.

Proxy
A String expression specifying the DNS (for example, screen.companyname.com) or IP address (for example, 123.456.78.912). Do not include the "http:\\" in front of the the proxy value.

ProxyPort
An Integer which specifies the port number for the Proxy server. The value of this parameter is usually 8080 for the WWW and 21 for FTP, but you should check with your Internet Service Provider for your settings.

Return value

A String representing the name of the file you retrieved and opened.

Usage

You must have installed the Word Pro HTML filter to access most WWW documents with this method. This method will not work unless your machine is configured for Internet access. A standard Internet access configuration includes a WINSOCK compliant DLL.

The retrieved file will be stored in the directory you marked as your temporary directory. The temporary directory is identified in an environment variable, but most temporary directories are named "TEMP."


Topics Found:

Word Pro: WPApplication class


Word Pro: RetrieveInternetFile method

 See list of classes

 See example

Gets a file via WWW or FTP and stores it in your temporary directory. Equivalent to choosing File - Open and clicking Internet. The parameters for this method correspond to the options available in the Open from Internet dialog box.

Syntax

[objectreference].RetrieveInternetFile()

Parameters

URL
A String expression specifying the URL for the document you want to open.

UserID
Used when retrieving a file from an FTP site, this parameter takes a String value representing the name of the user who has an account with the FTP server. If you are retrieving a WWW document, the value of this parameter should be a null string ("").

Password
Used when retrieving a file from an FTP site, this parameter takes a String value representing the password for the user named in UserID. If you are retrieving a WWW document, the value of this parameter should be a null string ("").

Passive
Set this value to True when you want to initiate the file transfer. Set it to False to allow the server to repond to your request when it is ready. Some FTP servers do not support this feature. The value of this parameter is usually False. If you are retrieving a WWW document, the value of this parameter should be a null string (""). Data type is Integer, but the value is always 0 (False) or -1 (True). You can use the LotusScript constants of True and False.

Proxy
A String expression specifying the DNS (for example, screen.companyname.com) or IP address (for example, 123.456.78.912). Do not include the "http:\\" in front of the the proxy value.

ProxyPort
An Integer which specifies the port number for the Proxy server. The value of this parameter is usually 8080 for the WWW and 21 for FTP, but you should check with your Internet Service Provider for your settings.

Return value

A String representing the name of the file you retrieved.

Usage

This method will not work unless your machine is configured for Internet access. A standard Internet access configuration includes a WINSOCK compliant DLL.

The retrieved file will be stored in the directory you marked as your temporary directory. The temporary directory is identified in an environment variable, but most temporary directories are named "TEMP."


Topics Found:

Word Pro: WPApplication class


Word Pro: RevertToSaved method

 See list of classes

 See example

Cancels changes made to the document since it was last saved and displays the previously saved version of the document. Equivalent to closing a file without saving the changes and then reopening the file.

Syntax

[objectreference].RevertToSaved()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: RevertToStyle method

 See list of classes

 See example

Reverts an object to a style contained within the document's SmartMaster.

Syntax

When called from a Color or a Language object:

[Objectreference].RevertToStyle()

When called from any other object:

[Objectreference].RevertToStyle(RevertType)

Parameters

RevertType
Indicates the type of object which is being reverted to the original style. This parameter always has a data type of Variant, but will accept only one value for each type of object.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

[Color]

Removes the current local color attribute and reverts to the original color attribute set for the associated style.

[Amikake]

If you are using an English language version of Word Pro, this method as a member of Amikake is not available.

[CellContainer, FrameContainer, SuperTableContainer]

Reverts all the properties of the container's layout to its style as indicated by the document's SmartMaster.

RevertToStyle;AlignStyleType RevertType=AlignStyleType;Alignment;Alignment;BaseObject

$LwpAlignStyleType (2095)

RevertToStyle;AttributeProp RevertType=AttributeAll;Attributes;Attributes;BaseObject

$LwpAttributePropAll (19)

$LwpAttributePropBaseline (2200)

$LwpAttributePropHidden (20)

$LwpAttributePropHighlight (23)

$LwpAttributePropHyphen (21)

$LwpAttributePropLevel (26)

$LwpAttributePropMisspelled (24)

$LwpAttributePropProtected (22)

$LwpAttributePropSkipped (25)

RevertToStyle;BreakProp RevertType=AllBreaksProperties;Breaks;Breaks;BaseObject

$LwpBreakPropAllBreaks (59)

$LwpBreakPropColumnBreakAfter (64)

$LwpBreakPropColumnBreakBefor (63)

$LwpBreakPropKeepWithNext (65)

$LwpBreakPropKeepWithPrev (66)

$LwpBreakPropNextStyleName (68)

$LwpBreakPropPageBreakAfter (61)

$LwpBreakPropPageBreakBefore (60)

$LwpBreakPropPageBreakWithin (62)

$LwpBreakPropUseNextStyle (67)

RevertToStyle;BulletProperty RevertType=AllOverrides;Bullet;Bullet;BaseObject

$LwpBulletPropertyAll (82)

$LwpBulletPropertyBullet (83)

$LwpBulletPropertyEditable (86)

$LwpBulletPropertyRightalign (85)

$LwpBulletPropertyValidprop (84)

RevertToStyle;FontProperty RevertType=PropAll;Font;Font;BaseObject

$LwpFontPropertyAll (297)

$LwpFontPropertyAlllower (315)

$LwpFontPropertyAllupper (314)

$LwpFontPropertyBold (303)

$LwpFontPropertyCase (316)

$LwpFontPropertyDoubleunderline (308)

$LwpFontPropertyItalic (304)

$LwpFontPropertyName (298)

$LwpFontPropertyNextname (300)

$LwpFontPropertyOverstrike (312)

$LwpFontPropertySize (301)

$LwpFontPropertySmallcaps (313)

$LwpFontPropertySpacing (302)

$LwpFontPropertyStrikethru (311)

$LwpFontPropertySubscript (306)

$LwpFontPropertySuperscript (305)

$LwpFontPropertyUnderline (307)

$LwpFontPropertyWindowsname (299)

$LwpFontPropertyWorddoubleunderline (310)

$LwpFontPropertyWordunderline (309)

RevertToStyle;IndentProperty RevertType=IndentEvery;Indent;RelativeIndent;Indent, BaseObject

RevertToStyle;IndentProperty RevertType=IndentEvery;Indent;Indent;BaseObject

$LwpIndentPropertyAll (403)

$LwpIndentPropertyBodyonly (409)

$LwpIndentPropertyEnabled (410)

$LwpIndentPropertyEvery (402)

$LwpIndentPropertyFirst (404)

$LwpIndentPropertyHang (407)

$LwpIndentPropertyRelative (411)

$LwpIndentPropertyRest (405)

$LwpIndentPropertyRight (406)

$LwpIndentPropertySidesequal (408)

RevertToStyle;KinsokuProps RevertType=KinsokuAll;Kinsoku;Kinsoku;BaseObject

$LwpKinsokuPropsAll (429)

$LwpKinsokuPropsEnabled (430)

$LwpKinsokuPropsHangover (431)

$LwpKinsokuPropsLevels (433)

$LwpKinsokuPropsSqueeze (432)

RevertToStyle;LineRevert RevertType;CharacterBorder;CharacterBorder;BaseObject

RevertToStyle;LineRevert RevertType=RevertAll;ParagraphBorder;ParagraphBorder;BaseObject

$LwpLineRevertAboveType (565)

$LwpLineRevertAboveWidth (563)

$LwpLineRevertAll (562)

$LwpLineRevertBelowType (566)

$LwpLineRevertBelowWidth (564)

$LwpLineRevertRightType (567)

RevertToStyle;none;Color;Color;BaseObject

RevertToStyle;none;Language;Language;BaseObject

RevertToStyle;NumberingProps RevertType=NumberingRevertAll;Numbering;Numbering;BaseObject

$LwpNumberingPropsRevertAll (1583)

$LwpNumberingPropsRevertHeading (1586)

$LwpNumberingPropsRevertLevel (1584)

$LwpNumberingPropsRevertPosition (1585)

RevertToStyle;RevertAll RevertType=RevertEverything;Amikake;Amikake;BaseObject

$LwpRevertAllEverything (1712)

RevertToStyle;SpacingProperty RevertType=SpacingAll;Spacing;Spacing;BaseObject

$LwpSpacingPropertyAboveamount (1784)

$LwpSpacingPropertyAbovenumber (1785)

$LwpSpacingPropertyAbovetype (1783)

$LwpSpacingPropertyAll (1778)

$LwpSpacingPropertyAlways (1779)

$LwpSpacingPropertyAmount (1787)

$LwpSpacingPropertyBelowamount (1781)

$LwpSpacingPropertyBelownumber (1782)

$LwpSpacingPropertyBelowtype (1780)

$LwpSpacingPropertyNumber (1788)

$LwpSpacingPropertyType (1786)

RevertToStyle;StyleType RevertType;CellContainer;BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;ClickHere;Marker, BaseObject

RevertToStyle;StyleType RevertType;NoteContainer;FrameContainer, BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;DropCapContainer;FrameContainer, BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;RubyContainer;FrameContainer, BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;FrameContainer;BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;PageContainer;BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;SubPageContainer;PageContainer, BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;SuperPageContainer;PageContainer, BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;SuperTableContainer;BaseContainer, BaseObject

RevertToStyle;StyleType RevertType;Text;Content, BaseObject

RevertToStyle;StyleType RevertType;TextMarker;Marker, BaseObject

$LwpStyleTypeCell (1834)

$LwpStyleTypeCharacter (1830)

$LwpStyleTypeDefault (1828)

$LwpStyleTypeFrame (1832)

$LwpStyleTypePage (1831)

$LwpStyleTypeParagraph (1829)

$LwpStyleTypeTable (1833)

RevertToStyle;TabRackProperty RevertType=LwpTabRackPropAll;TabRack;TabRack;BaseObject

$LwpTabRackPropertyAll (1859)

RevertToStyle;Variant RevertType=;WPApplication;WPApplication;Application, BaseObject


Topics Found:

Word Pro: Alignment class

Word Pro: Amikake class

Word Pro: Attributes class

Word Pro: Breaks class

Word Pro: Bullet class

Word Pro: CellContainer class

Word Pro: CharacterBorder class

Word Pro: ClickHere class

Word Pro: Color class

Word Pro: DropCapContainer class

Word Pro: Font class

Word Pro: FrameContainer class

Word Pro: Indent class

Word Pro: Kinsoku class

Word Pro: Language class

Word Pro: NoteContainer class

Word Pro: Numbering class

Word Pro: PageContainer class

Word Pro: ParagraphBorder class

Word Pro: RelativeIndent class

Word Pro: RubyContainer class

Word Pro: Spacing class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TabRack class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: NumLinesOfSpaceAbove property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numlinesofspaceabovevalue = [objectreference].NumLinesOfSpaceAbove

[objectreference].NumLinesOfSpaceAbove = numlinesofspaceabovevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: NumLinesOfSpaceBelow property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numlinesofspacebelowvalue = [objectreference].NumLinesOfSpaceBelow

[objectreference].NumLinesOfSpaceBelow = numlinesofspacebelowvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: NumLinesOfSpace property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

numlinesofspacevalue = [objectreference].NumLinesOfSpace

[objectreference].NumLinesOfSpace = numlinesofspacevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Spacing class


Word Pro: NumOfRecentFiles property

 See list of classes

 See example

(Read-write) The maximum number of files allowed on the File menu.

Data Type

Integer

Syntax

numofrecentfilesvalue = [objectreference].NumOfRecentFiles

[objectreference].NumOfRecentFiles = numofrecentfilesvalue

Legal values

Integer between 0 and 5.

Usage

Equivalent to the "Recent files" option on the General panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: NumPagesInDoc property

 See list of classes

 See example

(Read-only) Returns the number of pages in a document.

Data Type

Integer

Syntax

numpagesindocvalue = [objectreference].NumPagesInDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: DocInfo class

Word Pro: TextDocument class


Word Pro: NumParagraphs property

 See list of classes

 See example

(Read-write) Allows you to specify the number of paragraphs or rows that constitute a record. All records that are to be sorted must contain the same number of paragraphs or rows.

Data Type

Integer

Syntax

numparagraphsvalue = [objectreference].NumParagraphs

[objectreference].NumParagraphs = numparagraphsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Text - Sort and selecting a number in the "Number of paragraphs/row in record" box. If you use this property in a table, it allows you to specify the number of rows you want to sort.


Topics Found:

Word Pro: SortOptions class


Word Pro: NumRowsSpannedOneCell property

 See list of classes

 See example

(Read-only) The number of table rows spanned by a connected cell.

Data Type

Integer

Syntax

numrowsspannedonecellvalue = [objectreference].NumRowsSpannedOneCell

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

In an unconnected cell, this property will contain a value of 1.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: NumRowsThatFit property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numrowsthatfitvalue = [objectreference].NumRowsThatFit

[objectreference].NumRowsThatFit = numrowsthatfitvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: NumRowsToFit property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numrowstofitvalue = [objectreference].NumRowsToFit

[objectreference].NumRowsToFit = numrowstofitvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: NumRows property

 See list of classes

 See example

(Read-only) Indicates the number of rows in a table.

Data Type

Integer

Syntax

numrowsvalue = [objectreference].NumRows

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: ClickHere class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: Marker class

Word Pro: ParallelColumns class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: NumTabs property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numtabsvalue = [objectreference].NumTabs

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TabRack class


Word Pro: NumUndoLevels property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

numundolevelsvalue = [objectreference].NumUndoLevels

[objectreference].NumUndoLevels = numundolevelsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: NumWindowsViewingDoc property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

numwindowsviewingdocvalue = [objectreference].NumWindowsViewingDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: NumWordsInDoc property

 See list of classes

 See example

(Read-only) Returns the number of words in a document.

Data Type

Long

Syntax

numwordsindocvalue = [objectreference].NumWordsInDoc

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class

Word Pro: TextDocument class


Word Pro: ObjectType property

 See list of classes

 See example

(Read-only) Fribtype.

Data Type

String

Syntax

objecttypevalue = [objectreference].ObjectType

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Object property

 See list of classes

 See example

(Read-only)

Data Type

Variant

Syntax

objectvalue = [objectreference].Object

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: Oblique property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

obliquevalue = [objectreference].Oblique

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FontMetrics class


Word Pro: Offset property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

offsetvalue = [objectreference].Offset

[objectreference].Offset = offsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Index class


Word Pro: OleContainerDocName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

olecontainerdocnamevalue = [objectreference].OleContainerDocName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: OpenDocMacroName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

opendocmacronamevalue = [objectreference].OpenDocMacroName

[objectreference].OpenDocMacroName = opendocmacronamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: AutoRunMacro class


Word Pro: OpenDocsVisible property

 See list of classes

 See example

(Read-write) Displays all documents that are opened in the current Word Pro session.

Data Type

Integer

Syntax

opendocsvisiblevalue = [objectreference].OpenDocsVisible

[objectreference].OpenDocsVisible = opendocsvisiblevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is 0.

Usage

For some features, Word Pro creates, opens, modifies, and saves files without the user actually viewing them. An example of this functionality is Merge. When a user does a document merge, Word Pro creates, opens, modifies, and/or saves a Merge data file and the user never sees it.

If the value for this property is -1, the user can see all documents that are opened during the current session. If the value for this property is 0, files are not visible. To be able to see all files, you must set the property to -1.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: OpenExisingFileInWelcomeBox property

 See list of classes

 See example

(Read-write) Determines which panel displays in the Welcome dialog box.

Data Type

Integer

Syntax

openexisingfileinwelcomeboxvalue = [objectreference].OpenExisingFileInWelcomeBox

[objectreference].OpenExisingFileInWelcomeBox = openexisingfileinwelcomeboxvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

In order for you to use this property, the value for the property, ShowNoWelcomeBox, must be False (0).

If the value for this property is True (-1), Word Pro displays the Welcome dialog box with the "Open an Existing Document" panel in the foreground. If the value for this property is False (0), Word Pro displays the Welcome dialog box with the "Create a New Document from a SmartMaster" panel in the foreground.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: OpenReadOnly property

 See list of classes

 See example

(Read-write) Opens a file as read-only.

Data Type

Integer

Syntax

openreadonlyvalue = [objectreference].OpenReadOnly

[objectreference].OpenReadOnly = openreadonlyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Use this property to open any document in read-only mode.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: OpionDeclare property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

opiondeclarevalue = [objectreference].OpionDeclare

[objectreference].OpionDeclare = opiondeclarevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Script class


Word Pro: Options property

 See list of classes

 See example

(Read-write)

[MergeOptions]

A flag that sets various options for a Merge.

Data Type

Long (Enumerated Bitmask)

FormatCheckOptions

MergeOptFlg (Variant)

Syntax

optionsvalue = [objectreference].Options

[objectreference].Options = optionsvalue

Legal values

LwpFormatCheckOptionsAll (&H1F)

LwpFormatCheckOptionsFixacronyms (&H1)

LwpFormatCheckOptionsFixbulletlist (&H4)

LwpFormatCheckOptionsFixmargins (&H8)

LwpFormatCheckOptionsFixspaces (&H2)

LwpFormatCheckOptionsTwospaces (&H10)

LwpMergeOptFlgMergeAndPrint (&H1) Prints the Merge data file. If you set this flag, you cannot view any data records as you merge.

LwpMergeOptFlgMergeViewAndPrint (&H2) Allows you to view each data record in the Merge process.

LwpMergeOptFlgMergeAndSaveAs (&H4)

LwpMergeOptFlgMergeInsertFields (&H8) Indicates you inserted a Merge data field.

LwpMergeOptFlgMergeLabels (&H10)

LwpMergeOptFlgMergeMacro (&H20) Prevents the Merge bar from displaying during the Merge process.

Usage


Topics Found:

Word Pro: FormatCheckPref class

Word Pro: MergeOptions class


Word Pro: OrigFileType property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

origfiletypevalue = [objectreference].OrigFileType

[objectreference].OrigFileType = origfiletypevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: OrigHeight property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

origheightvvalue = [objectreference].OrigHeight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: OrigWidth property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

origwidthvalue = [objectreference].OrigWidth

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: OutlineButtons property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlinebuttonsvalue = [objectreference].OutlineButtons

[objectreference].OutlineButtons = outlinebuttonsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: OutlineHeadingButtonsOnly property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlineheadingbuttonsonlyvalue = [objectreference].OutlineHeadingButtonsOnly

[objectreference].OutlineHeadingButtonsOnly = outlineheadingbuttonsonlyvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: OutlineLevel property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlinelevelvalue = [objectreference].OutlineLevel

objectreference].OutlineLevel = outlinelevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Presentation class


Word Pro: OutlineOnlyHeadingsWhenCollapsed property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

outlineonlyheadingswhencollapsedvalue = [objectreference].OutlineOnlyHeadingsWhenCollapsed

[objectreference].OutlineOnlyHeadingsWhenCollapsed = outlineonlyheadingswhencollapsedvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: WinViewPrefs class


Word Pro: Outline property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

outlinevalue = [objectreference].Outline

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FontMetrics class


Word Pro: OutputToFile property

 See list of classes

 See example

(Read-write) Allows you to print a document from a computer that does not have Word Pro installed.

Data Type

Integer

Syntax

outputtofilevalue = [objectreference].OutputToFile

[objectreference].OutputToFile = outputtofilevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - Print and selecting "Print to file."


Topics Found:

Word Pro: PrintSettings class


Word Pro: Override property

 See list of classes

 See example

(Read-write) Determines what information will be used to define an object's color.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

overridevalue = [objectreference].Override

[objectreference].Override = overridevalue

Legal values

Value	Effect
$LwpColorOverrideBlack (2017)	Assigns the predefined WordPro color black to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideBlue (2024)	Assigns the predefined WordPro color blue to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideDarkGray (2021)	Assigns the predefined WordPro color dark gray to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideGray (2019)	Assigns the predefined WordPro color gray to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideGreen (2023)	Assigns the predefined WordPro color green to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideInvalid (2026)
$LwpColorOverrideLightGray (2020)	Assigns the predefined WordPro color light gray to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideRed (2022)	Assigns the predefined WordPro color red to an object and ignores the red, green, and blue properties of the color object.
$LwpColorOverrideReserved (2025)	This value is not implemented.
$LwpColorOverrideRgb (2016)	Assigns the values in the red, green, and blue properties of the color object.
$LwpColorOverrideWhite (2018)	Assigns the predefined WordPro color white to an object and ignores the red, green, and blue properties of the color object.
Usage

If the Override property value is set to RGB, then the object's color is defined by the values in the red, green, and blue properties of the color object. All other Override values use a predefined WordPro color and ignore the red green, and blue properties of the color object.


Topics Found:

Word Pro: Color class


Word Pro: OverstrikeCharacter property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

overstrikecharactervalue = [objectreference].OverstrikeCharacter

[objectreference].OverstrikeCharacter = overstrikecharactervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: Overstrike property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

overstrikevalue = [objectreference].Overstrike

[objectreference].Overstrike = overstrikevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class


Word Pro: PageNo property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

pagenovalue = [objectreference].PageNo

[objectreference].PageNo = pagenovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: UseWhen class


Word Pro: PageNumberAsText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

pagenumberastextvalue = [objectreference].PageNumberAsText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: PageNumberStyle property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

NumberingStyle

Syntax

pagenumberstylevalue = [objectreference].PageNumberStyle

[objectreference].PageNumberStyle = pagenumberstylevalue

Legal values

$LwpNumberingStyleBasic (1588)

$LwpNumberingStyleChar (1593)

$LwpNumberingStyleFullpitchbasic (1594)

$LwpNumberingStyleFullpitchlowercase (1597)

$LwpNumberingStyleFullpitchuppercase (1596)

$LwpNumberingStyleFullpitchverbasic (1595)

$LwpNumberingStyleLowercaseletters (1590)

$LwpNumberingStyleLowercaseroman (1592)

$LwpNumberingStyleNone (1587)

$LwpNumberingStyleUppercaseletters (1589)

$LwpNumberingStyleUppercaseroman (1591)

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: PageNumber property

 See list of classes

 See example

(Read-only) The number of a page relative to the first page of the document.

Data Type

Integer

Syntax

pagenumbervalue = [objectreference].PageNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: PageNumFirstPageShowing property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pagenumfirstpageshowingvalue = [objectreference].PageNumFirstPageShowing

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: PageNumLastPageShowing property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pagenumlastpageshowingvalue = [objectreference].PageNumLastPageShowing

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: PageNum property

 See list of classes

 See example

(Read-only) Returns the absolute page number on which the current container is located.

Data Type

Integer

Syntax

pagenumvalue = [objectreference].PageNum

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The absolute page number continues sequentially throughout the entire document, regardless of divisions. Relative page numbers usually number pages sequentially within a single division.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: PageOrder property

 See list of classes

 See example

(Read-write) Specifies if a document prints from front to back or from back to front.

Data Type

Variant (Enumerated)

PageOrder

Syntax

pageordervalue = [objectreference].PageOrder

[objectreference].PageOrder = pageordervalue

Legal values

$LtsPageOrderBackToFront (1056964852) Specifies if a document prints from back to front.

$LtsPageOrderFrontToBack (1056964851) Specifies if a document prints from front to back.

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: PageStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

pagestylenamevalue = [objectreference].PageStyleName

[objectreference].PageStyleName = pagestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PageToUseLayoutOn property

 See list of classes

 See example

(Read-write) Allows you to set the page on which a specific layout will be used.

Data Type

Integer

Syntax

pagetouselayoutonvalue = [objectreference].PageToUseLayoutOn

[objectreference].PageToUseLayoutOn = pagetouselayoutonvaluew

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: PairKerning property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

pairkerningvalue = [objectreference].PairKerning

[objectreference].PairKerning = pairkerningvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Options class


Word Pro: ParagraphStyleName property

 See list of classes

 See example

(Read-write) The name of the paragraph style assigned to the current paragraph.

Data Type

String

Syntax

paragraphstylenamevalue = [objectreference].ParagraphStyleName

[objectreference].ParagraphStyleName = paragraphstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ParagraphSymbolChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

paragraphsymbolcharvalue = [objectreference].ParagraphSymbolChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterSet class


Word Pro: ParentMenuHWND property

 See list of classes

 See example

(Read-only) The handle to the parent window for a menu item.

Data Type

Long

Syntax

parentmenuhwndvalue = [objectreference].ParentMenuHWND

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

This property returns the handle of the parent window of a specific menu item. Use this handle to make API calls. This property is rarely used inside Word Pro under normal circumstances.


Topics Found:

Word Pro: MenuItem class


Word Pro: ParentName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

parentnamevalue = [objectreference].ParentName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class

Word Pro: TOCSuperTableLayout class


Word Pro: Partial property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

partialvalue = [objectreference].Partial

[objectreference].Partial = partialvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: PathName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

pathnamevalue = [objectreference].PathName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Path property

 See list of classes

 See example

(Read-only) The path in which the Word Pro executable is installed. Word Pro uses this path to find the .DLLs necessary for launching and running Word Pro.

Data Type

String

Syntax

pathnamevalue = [objectreference].Path

Legal values

The value of this property cannot be set by a script.

Usage

Some Word Pro users may install Word Pro in a path that is different from the default path provided during installation. You can use this property when you need the path to the Word Pro application or its components but you don't know if everyone installed to the same directory.


Topics Found:

Word Pro: Application class

Word Pro: Document class

Word Pro: Index class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: Pattern property

 See list of classes

 See example

(Read-write)

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

patternvalue = [objectreference].Pattern

[objectreference].Pattern = patternvalue

Legal values

[Background]

$LtsFillBarLeftDiag (1056964681)

$LtsFillBarRightDiag (1056964688)

$LtsFillBasket (1056964710)

$LtsFillBigCheck (1056964717)

$LtsFillBottomTopGrad (1056964729)

$LtsFillBrick (1056964712)

$LtsFillBubbles (1056964724)

$LtsFillChevron (1056964708)

$LtsFillCicles (1056964719)

$LtsFillClumpedNarrowDiagHatch (1056964696)

$LtsFillClumpedZs (1056964723)

$LtsFillDarkNarrowDiagHatch (1056964693)

$LtsFillDiagBasket (1056964711)

$LtsFillDiagBrick (1056964713)

$LtsFillDiagHatch (1056964695)

$LtsFillDiamonds (1056964725)

$LtsFillDottedDarkHatch (1056964853)

$LtsFillDottedZigzag (1056964726)

$LtsFillDoubleLeftDiag (1056964684)

$LtsFillDoubleRightDiag (1056964690)

$LtsFillGray1 (1056964669)

$LtsFillGray10 (1056964678)

$LtsFillGray2 (1056964670)

$LtsFillGray3 (1056964671)

$LtsFillGray4 (1056964672)

$LtsFillGray5 (1056964673)

$LtsFillGray6 (1056964674)

$LtsFillGray7 (1056964675)

$LtsFillGray8 (1056964676)

$LtsFillGray9 (1056964677)

$LtsFillHoriz (1056964699)

$LtsFillHorizBar (1056964698)

$LtsFillHorizCheckerboard (1056964716)

$LtsFillIrregularDiagScales (1056964721)

$LtsFillLeftDiag (1056964682)

$LtsFillLeftNarrowDiagHatch (1056964694)

$LtsFillLeftRightGrad (1056964728)

$LtsFillNarrowDoubleLeftDiag (1056964685)

$LtsFillNarrowDoubleRightDiag (1056964854)

$LtsFillNarrowHoriz (1056964697)

$LtsFillNarrowVert (1056964701)

$LtsFillNeToSwDiagStripGrad (1056964738)

$LtsFillNeToSwGrad (1056964730)

$LtsFillNone (1056964667)

$LtsFillNwToSeDiagStripGrad (1056964739)

$LtsFillNwToSeGrad (1056964731)

$LtsFillRandomBar (1056964680)

$LtsFillRandomSquare (1056964679)

$LtsFillRegularCheck (1056964718)

$LtsFillRegularHatch (1056964706)

$LtsFillRightDiag (1056964689)

$LtsFillRtLeftGrad (1056964744)

$LtsFillRunningDash (1056964714)

$LtsFillScalesDown (1056964722)

$LtsFillScalesUp (1056964720)

$LtsFillSolid (1056964668)

$LtsFillSteel (1056964709)

$LtsFillTinyHatch (1056964705)

$LtsFillTopBottomGrad (1056964745)

$LtsFillTripleLeftDiag (1056964686)

$LtsFillTripleRightDiag (1056964691)

$LtsFillVert (1056964703)

$LtsFillVertBar (1056964702)

$LtsFillVertCheckerboard (1056964715)

$LtsFillWideHatch (1056964707)

$LtsFillWideHoriz (1056964700)

$LtsFillWideLeftDiag (1056964687)

$LtsFillWideRightDiag (1056964692)

$LtsFillWideVert (1056964704)

$LwpFillIndian3 (273)

$LwpFillPattern (2000)

$LwpFillPeachpie (274)

[BorderLines]

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42)

$LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54)

$LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

Usage


Topics Found:

Word Pro: Background class

Word Pro: Border class


Word Pro: Percentage property

 See list of classes

 See example

(Read-write) Defines the percentage property used in calculating the width and height of the bounding area of a scalable join object.

Data Type

Integer

Syntax

percentagevalue = [objectreference].Percentage

[objectreference].Percentage = percentagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

A join object can be scalable or fixed.

Scalable join objects

You can set the ScaleMode property of a scalable join object to scaling or no scaling. Setting the ScaleMode property to scaling for a scalable join object causes the join object's width and height to be a function of the page, table layout, or frame container's height and width and the Percentage property. (For more information, see ScaleMode property.) You can only use the Percentage property on join objects whose ScaleMode property is set to scaling.

Setting the ScaleMode property to no scaling for a scalable join object causes the width and height of a join object to be the same as the width and height properties of the join object. The width and height of the join object does not change as the container's width and height changes.

The width and height of a scalable join with a no scaling setting are fixed. However, you can change the width and height properties of a join object.

Fixed join objects

A fixed join object has predefined Word Pro width and height properties. Therefore, you cannot change the width and height of a fixed join object. (For a list of which join objects are scalable or fixed, see JoinType property.)

The width and height of a scalable join object is determined by the following algorithm:

if (join percentage==100)

{

joinwidth=container width/2

joinheight=container height/2

}

else

{

if containerHeight< containerWidth

joinWidth=joinHeight=(containerHeight/200) * percentage

elseif

joinWidth=joinHeight=(containerWidth/200) * percentage

}


Topics Found:

Word Pro: Join class


Word Pro: PersonalData1 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata1value = [objectreference].PersonalData1

[objectreference].PersonalData1 = personaldata1value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PersonalData2 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata2value = [objectreference].PersonalData2

[objectreference].PersonalData2 = personaldata2value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PersonalData3 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata3value = [objectreference].PersonalData3

[objectreference].PersonalData3 = personaldata3value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PersonalData4 property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

personaldata4value = [objectreference].PersonalData4

[objectreference].PersonalData4 = personaldata4value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PhoneNumber property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

phonenumber value = [objectreference].PhoneNumber

[objectreference].PhoneNumber = phonenumber value

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PitchAndFamily property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

pitchandfamilyvalue = [objectreference].PitchAndFamily

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FontMetrics class


Word Pro: PointSize property

 See list of classes

 See example

(Read-write)

Data Type

Points

Syntax

pointsizevalue = [objectreference].PointSize

[objectreference].PointSize = pointsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: PositionType property

 See list of classes

 See example

(Read-write) Indicates whether or not the icon bar object is at the left, right, top, bottom, or floating position on the workspace.

Data Type

Variant (Enumerated)

Syntax

positiontypevalue = [objectreference].PositionType

[objectreference].PositionType = positiontypevalue

Legal values

$LwpIconBarPosBottomOfWindow (390) Indicates if a set of SmartIcons is at the bottom of the workspace in a fixed position.

$LwpIconBarPosFloating (391) Indicates if a set of  SmartIcons is in a floating position anywhere inside or outside the workspace.

$LwpIconBarPosLeftSideOfWindow (388) Indicates if a set of SmartIcons is at the left side of the workspace in a fixed position.

$LwpIconBarPosRightSideOfWindow (389) Indicates if a set of SmartIcons is at the right side of the workspace in a fixed position.

$LwpIconBarPosTopOfWindow (387) Indicates if a set of SmartIcons is at the top of the workspace in a fixed position.

Usage

Allows you to move an icon bar object in the left, right, top, bottom, or floating position on the workspace.


Topics Found:

Word Pro: IconBar class


Word Pro: PositionXInContainer property

 See list of classes

 See example

(Read-only) The X coordinate of the insertion point relative to the top left corner of the container in which the insertion point is located.

Data Type

Long

Syntax

positionxincontainervalue = [objectreference].PositionXInContainer

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

A container can be a comment note, a footer, a page, a cell, a frame, and so on.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: PositionXOnPage property

 See list of classes

 See example

(Read-only) The X coordinate of an object relative to the top left corner of the page.

Data Type

Long

Syntax

positionxonpagevalue = [objectreference].PositionXOnPage

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: NoteContainer class

Word Pro: OleObject class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: PositionYInContainer property

 See list of classes

 See example

(Read-only) The Y coordinate of the insertion point relative to the top left corner of the container in which the insertion point is located.

Data Type

Long

Syntax

positionyincontainervalue = [objectreference].PositionYInContainer

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

A container can be a comment note, a footer, a page, a cell, a frame, and so on.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: PositionYOnPage property

 See list of classes

 See example

(Read-only) The Y coordinate of an object relative to the top left corner of the page.

Data Type

Long

Syntax

positionyonpagevalue = [objectreference].PositionYOnPage

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: NoteContainer class

Word Pro: OleObject class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Position property

 See list of classes

 See example

(Read-write) Indicates the position of an object in units of Twips.

Data Type

Long

Syntax

positionvalue = [objectreference].Position

[objectreference].Position = positionvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Alignment class

Word Pro: Numbering class

Word Pro: OutSeqItem class


Word Pro: PowerField property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

powerfieldvalue = [objectreference].PowerField

[objectreference].PowerField = powerfieldvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Options class


Word Pro: Prefix property

 See list of classes

 See example

(Read-write) Allows you to include prefix text with a specific number format.

Data Type

String

Syntax

prefixvalue = [objectreference].Prefix

[objectreference].Prefix = prefixvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the "Text before" option, which can be accessed through the Edit Format dialog. The Edit Format dialog can be opened by clicking the Format Options button, which is located in the Number Format tab of the InfoBox for cell layout objects.


Topics Found:

Word Pro: NumericFormatSubset class


Word Pro: PrettyPrinting property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

prettyprintingvalue = [objectreference].PrettyPrinting

[objectreference].PrettyPrinting = prettyprintingvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Script class


Word Pro: PreviousClickHere property

 See list of classes

 See example

(Read-only) The name of the ClickHere block which precedes the current ClickHere in the division (uses Tab order.)

Data Type

String

Syntax

previousclickherevalue = [objectreference].PreviousClickHere

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: PreviousName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

previousnamevalue = [objectreference].PreviousName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: PreviousNeighbor property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

previousneighborvalue = [objectreference].PreviousNeighbor

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: PrintDestination property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

printdestinationvalue = [objectreference].PrintDestination

[objectreference].PrintDestination = printdestinationvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: PrintDocDescription property

 See list of classes

 See example

(Read-write) Prints the description of a document.

Data Type

Integer

Syntax

printdocdescriptionvalue = [objectreference].PrintDocDescription

[objectreference].PrintDocDescription = printdocdescriptionvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Setting this property prints the document description that displays in the "Contents" box when you select "Document Description" on the Fields panel in the Document Properties dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: PrinterName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

printernamevalue = [objectreference].PrinterName

[objectreference].PrinterName = printernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: PrintGraphics property

 See list of classes

 See example

(Read-write) Allows you to print a specific graphic in a document.

Data Type

Integer

Syntax

printgraphicsvalue = [objectreference].PrintGraphics

[objectreference].PrintGraphics = printgraphicsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: PrintInBackground property

 See list of classes

 See example

(Read-write) Allows you to perform other Word Pro tasks while a document prints.

Data Type

Integer

Syntax

printinbackgroundvalue = [objectreference].PrintInBackground

[objectreference].PrintInBackground = printinbackgroundvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: PrintPagesFrom property

 See list of classes

 See example

(Read-write) Specifies the last page number within a range of pages that you want to print in a document.

Data Type

Integer

Syntax

printpagesfromvalue = [objectreference].PrintPagesFrom

[objectreference].PrintPagesFrom = printpagesfromvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing File - Print and selecting a number in the "Pages from" box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: PrintPagesTo property

 See list of classes

 See example

(Read-write) Specifies the last page within a range of pages that you want to print in a document.

Data Type

Integer

Syntax

printpagestovalue = [objectreference].PrintPagesTo

[objectreference].PrintPagesTo = printpagestovalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing File - Print and selecting a number in the "Pages to" box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: PrintPageType property

 See list of classes

 See example

(Read-write) Specifies the printing of odd and even pages, only even pages, or only odd pages in a document.

Data Type

Variant (Enumerated)

PrintPage

Syntax

printpagetypevalue = [objectreference].PrintPageType

[objectreference].PrintPageType = printpagetypevalue

Legal values

$LwpPrintPageEvenAndOddPages (1651) Allows you to specify the printing of odd and even pages in a document.

$LwpPrintPageEvenPages (1652) Allows you to specify the printing of only even pages in a document.

$LwpPrintPageOddPages (1653) Allows you to specify the printing of only odd pages in a document.

Usage

Equivalent to choosing File - Print and selecting an option from the "Including" box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: PrintRange property

 See list of classes

 See example

(Read-write) Allows you to specify which pages in a document you want to print. You can print all pages, the current page or division, specific pages or divisions, or a range of pages, such as pages 2 - 10.

Data Type

Variant (Enumerated)

PrintRange

Syntax

printrangevalue = [objectreference].PrintRange

[objectreference].PrintRange = printrangevalue

Legal values

$LtsPrintRangeAllPages (1056964848) Allows you to print all the pages in a document.

$LtsPrintRangeCurrentPage (1056964849) Allows you to print only the current page in a document.

$LtsPrintRangeSelectedPages (1056964850) Allows you to print only selected pages in a document.

$LwpPrintRangeCurrentDivision (1655) Allows you to print only the current division in a document.

$LwpPrintRangeRangeOfPages (1654) Allows you to specify a range of pages to print in a document.

$LwpPrintRangeSelectedDivisions (1656) Allows you to specify a range of divisions to print in a document.

Usage

Equivalent to choosing File - Print and selecting the desired options in the "Print range" section or the "Print" section in the Print dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: Private property

 See list of classes

 See example

Data Type

Integer

Syntax

Legal values

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: PromptHidden property

 See list of classes

 See example

(Read-write) True makes the Prompt text hidden. False makes the Prompt text visible.

Data Type

Integer

Syntax

prompthiddenvalue = [objectreference].PromptHidden

[objectreference].PromptHidden = prompthiddenvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: ProtectedMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

protectedmodevalue = [objectreference].ProtectedMode

[objectreference].ProtectedMode = protectedmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: QueueName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

queuenamevalue = [objectreference].QueueName

[objectreference].QueueName =queuenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: ReadOnly property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

readonly value = [objectreference].Readonly

[objectreference].Readonly = readonlyvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: Red property

 See list of classes

 See example

(Read-write) The red component of a color.

Data Type

Integer

Syntax

redvalue = [objectreference].Red

[objectreference].Red = redvalue

Legal values

The value of the Red property can range from 0 - 255.

Usage

Use the Red property to access the current level of red in a specific object's color.


Topics Found:

Word Pro: Color class


Word Pro: RelativePageNum property

 See list of classes

 See example

(Read-only) The number of a page relative to the beginning of its division.

Data Type

Integer

Syntax

relativepagenumvalue = [objectreference].RelativePageNum

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: RelativeType property

 See list of classes

 See example

(Read-write) Determines where the layout is anchored in the parent layout.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

relativetypevalue = [objectreference].RelativeType

[objectreference].RelativeType = relativetypevalue

Legal values

Value	Effect
$LwpRelativeTypeLytContent (1670)	The layout is anchored relative to the content box of the parent.
$LwpRelativeTypeLytInline (1668)	The layout is anchored to the text flow as a single character and affects the line height accordingly.
$LwpRelativeTypeLytInlineNewline (1669)	Places the layout on a new line by itself.
$LwpRelativeTypeLytInlineVert (1671)	The layout is anchored so that it always moves vertically.
$LwpRelativeTypeLytPara (1667)	The layout is anchored in the text relative to a paragraph.
$LwpRelativeTypeLytParent (1666)	The coordinates of the layout are relative to the parent layout and the anchor position is on the parent container.
Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RelativeXDistance property

 See list of classes

 See example

(Read-write) The horizontal length of the anchor tether from a layout to its anchor point in the parent layout.

Data Type

Long

Syntax

relativexdistancevalue = [objectreference].RelativeXDistance

[objectreference].RelativeXDistance = relativexdistancevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RelativeYDistance property

 See list of classes

 See example

(Read-write) The vertical length of the anchor tether from a layout to its anchor point in the parent layout.

Data Type

Long

Syntax

relativeydistancevalue = [objectreference].RelativeYDistance

[objectreference].RelativeYDistance = relativeydistancevalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Relative property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

IndentProperty

Syntax

relativevalue = [objectreference].Relative

[objectreference].Relative = relativevalue

Legal values

$LwpIndentPropertyAll (403)

$LwpIndentPropertyBodyonly (409)

$LwpInden

tPropertyEnabled (410)

$LwpIndentPropertyEvery (402)

$LwpIndentPropertyFirst (404)

$LwpIndentPropertyHang (407)

$LwpIndentPropertyRelative (411)

$LwpIndentPropertyRest (405)

$LwpIndentPropertyRight (406)

$LwpIndentPropertySidesequal (408)

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: ReleaseNumber property

 See list of classes

 See example

This property has not yet been defined.

Data Type

Syntax

Legal values

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: RenderedPageNumber property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

renderedpagenumbervalue = [objectreference].RenderedPageNumber

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ReplaceExactCase property

 See list of classes

 See example

(Read-write) Enables the user to replace the exact case of a word or phrase in Find & Replace.

Data Type

Integer

Syntax

replaceexactcasevalue = [objectreference].ReplaceExactCase

[objectreference].ReplaceExactCase = replaceexactcasevalue

Legal values

Always contains an instance of the Text class. The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to check and manipulate the setting for replacing the exact case of a word or phrase in Find & Replace. If True, replaces the word that matches the user setting. Equivalent ot choosing Edit - Find & Replace Text, clicking Options, and selecting "Exact case" in the "Replace options" section.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: Replacements property

 See list of classes

 See example

(Read-write)

Data Type

Long (Enumerated Bitmask)

ReplacementChoices

Syntax

replacementsvalue = [objectreference].Replacements

[objectreference].Replacements = replacementsvalue

Legal values

LwpLreplacementChoicesIstbox22 (&H200000)

LwpReplacementChoicesListbox1 (&H1)

LwpReplacementChoicesListbox10 (&H200)

LwpReplacementChoicesListbox11 (&H400)

LwpReplacementChoicesListbox12 (&H800)

LwpReplacementChoicesListbox13 (&H1000)

LwpReplacementChoicesListbox14 (&H2000)

LwpReplacementChoicesListbox15 (&H4000)

LwpReplacementChoicesListbox16 (&H8000)

LwpReplacementChoicesListbox17 (&H10000)

LwpReplacementChoicesListbox18 (&H20000)

LwpReplacementChoicesListbox19 (&H40000)

LwpReplacementChoicesListbox2 (&H2)

LwpReplacementChoicesListbox20 (&H80000)

LwpReplacementChoicesListbox21 (&H100000)

LwpReplacementChoicesListbox22 (&H200000)

LwpReplacementChoicesListbox23 (&H400000)

LwpReplacementChoicesListbox24 (&H800000)

LwpReplacementChoicesListbox25 (&H1000000)

LwpReplacementChoicesListbox26 (&H2000000)

LwpReplacementChoicesListbox3 (&H4)

LwpReplacementChoicesListbox4 (&H8)

LwpReplacementChoicesListbox5 (&H10)

LwpReplacementChoicesListbox6 (&H20)

LwpReplacementChoicesListbox7 (&H40)

LwpReplacementChoicesListbox8 (&H80)

LwpReplacementChoicesListbox9 (&H100)

LwpReplacementChoicesListboxAll (&H3FFFFFF)

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: ReplaceString property

 See list of classes

 See example

(Read-write) Enables the user to type what to replace in Find & Replace.

Data Type

String

Syntax

replacestringvalue = [objectreference].ReplaceString

[objectreference].ReplaceString = replacestringvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Edit - Find & Replace Text and typing a text or character string in the "Replace with" box.


Topics Found:

Word Pro: FindAndReplace class


Example: OleContainerDocName property
'Example: OleContainerDocName property

'This example script has not yet been created.


Example: OleObjects property
'Example: OleObjects property

'This example script has not yet been created.


Example: OleObject property
'Example: OleObject property

'This example script has not yet been created.


Example: OpenDataFile method
'Example: OpenDataFile method

' This example opens the merge data file for the current merge document.

' RUNTIME DEPENDENCIES: You must have a document open that has been assigned a

' merge data file for this script to work.

DataFile = 	.ActiveDocument.MergeOptions.DataFileName

If DataFile <> False Then

Print .OpenDataFile(DataFile,"Lotus Word Pro")

End If


Example: OpenDocMacroName property
'Example: OpenDocMacroName property

'This example script has not yet been created.


Example: OpenDocsVisible property
'Example: OpenDocsVisible property

'This example script has not yet been created.


Example: OpenDocument method
'Example: OpenDocument method

' This example uses an input box to get a file name from you and then opens

' the document with that file name. The default file name is "README95.LWP".

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FileName as String

FileName = InputBox$ ("Enter a filename to open, e.g., README95.LWP:","Example Script","")

.OpenDocument Filename, "", "", "", False, True


Example: Opened event
'Example: Opened event

'This example script has not yet been created.


Example: OpenExisingFileInWelcomeBox property
'Example: OpenExisingFileInWelcomeBox property

'This example script has not yet been created.


Example: OpenFromStorage method
'Example: OpenFromStorage method

'This example script has not yet been created.


Example: OpenObject method
'Example: OpenObject method

'This example script has not yet been created.


Example: OpenReadOnly property
'Example: OpenReadOnly property

'This example script has not yet been created.


Example: Open method
'Example: Open method

'This example script has not yet been created.


Example: OpionDeclare property
'Example: OpionDeclare property

'This example script has not yet been created.


Example: Options property
'Example: Options property

'This example script has not yet been created.


Example: OrigFileType property
'Example: OrigFileType property

'This example script has not yet been created.


Example: OrigHeight property
'Example: OrigHeight property

'This example script has not yet been created.


Example: OrigWidth property
'Example: OrigWidth property

'This example script has not yet been created.


Example: OutlineBorderLines property
'Example: OutlineBorderLines property

'This example script has not yet been created.


Example: OutlineButtons property
'Example: OutlineButtons property

'This example script has not yet been created.


Example: OutlineHeadingButtonsOnly property
'Example: OutlineHeadingButtonsOnly property

'This example script has not yet been created.


Example: OutlineLevel property
'Example: OutlineLevel property

'This example script has not yet been created.


Example: OutlineMoveTextDown method
'Example: OutlineMoveTextDown method

'This example script has not yet been created.


Example: OutlineMoveTextUp method
'Example: OutlineMoveTextUp method

'This example script has not yet been created.


Example: OutlineOnlyHeadingsWhenCollapsed property
'Example: OutlineOnlyHeadingsWhenCollapsed property

'This example script has not yet been created.


Example: OutlineSeqItems property
'Example: OutlineSeqItems property

'This example script has not yet been created.


Example: OutlineStyleSequences property
'Example: OutlineStyleSequences property

'This example script has not yet been created.


Example: OutlineStyleSequence method
'Example: OutlineStyleSequence method

'This example script has not yet been created.


Example: Outline property
'Example: Outline property

'This example script has not yet been created.


Example: OutputToFile property
'Example: OutputToFile property

'This example script has not yet been created.


Example: Override property
'Example: Override property

'This example script has not yet been created.


Example: OverstrikeCharacter property
'Example: OverstrikeCharacter property

'This example script has not yet been created.


Example: Overstrike property
'Example: Overstrike property

'This example script has not yet been created.


Example: PageDown method
'Example: PageDown method

' This example simulates pressing the page down and page up keys in the

' current document;

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.PageDown

Messagebox "Click OK to pageup.",MB_OK,"Example Script"

.PageUp


Example: PageNo property
'Example: PageNo property

'This example script has not yet been created.


Example: PageNumberAsText property
'Example: PageNumberAsText property

'This example script has not yet been created.


Example: PageNumberStyle property
'Example: PageNumberStyle property

'This example script has not yet been created.


Example: PageNumber property
'Example: PageNumber property

'This example script has not yet been created.


Example: PageNumFirstPageShowing property
'Example: PageNumFirstPageShowing property

'This example script has not yet been created.


Example: PageNumLastPageShowing property
'Example: PageNumLastPageShowing property

'This example script has not yet been created.


Example: PageNum property
'Example: PageNum property

'This example script has not yet been created.


Example: PageOrder property
'Example: PageOrder property

'This example script has not yet been created.


Example: PageStyleName property
'Example: PageStyleName property

'This example script has not yet been created.


Example: PageStyles property
'Example: PageStyles property

'This example script has not yet been created.


Example: Pages property
'Example: Pages property

'This example script has not yet been created.


Example: PageToUseLayoutOn property
'Example: PageToUseLayoutOn property

'This example script has not yet been created.


Example: PageUp method
'Example: PageUp method

' This example simulates pressing the page down and page up keys in the

' current document;

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.PageDown

Messagebox "Click OK to pageup.",MB_OK,"Example Script"

.PageUp


Example: Page property
'Example: Page property

'This example script has not yet been created.


Example: PairKerning property
'Example: PairKerning property

'This example script has not yet been created.


Example: PaneColor property
'Example: PaneColor property

''


Example: PaperNames property
'Example: PaperNames property

'This example script has not yet been created.


Example: ParagraphBorder property
'Example: ParagraphBorder property

'This example script has not yet been created.


Example: ParagraphStyleName property
'Example: ParagraphStyleName property

'This example script has not yet been created.


Example: ParagraphStyles property
'Example: ParagraphStyles property

'This example script has not yet been created.


Example: ParagraphStyle property
'Example: ParagraphStyle property

'This example script has not yet been created.


Example: ParagraphSymbolChar property
'Example: ParagraphSymbolChar property

'This example script has not yet been created.


Example: ParallelColumns property
'Example: ParallelColumns property

'This example script has not yet been created.


Example: ParentMenuHWND property
'Example: ParentMenuHWND property

'This example script has not yet been created.


Example: ParentName property
'Example: ParentName property

'This example script has not yet been created.


Example: Parent property
'Example: Parent property

'This example script has not yet been created.


Example: Partial property
'Example: Partial property

'This example script has not yet been created.


Example: PasteLink method
'Example: PasteLink method

' This example pastes an Ole object from its source application and creates

' a linked Ole object.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.PasteLink "LWPOLEFormat", False, 0


Example: PasteSpecial method
'Example: PasteSpecial method

' This example pastes any CF_TEXT data from the clipboard.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

FormatCategories = .Text.GetPasteFormatCategories

If (FormatCategories And &H1) Then

.PasteSpecial "CF_TEXT"

End If


Example: Paste method
'Example: Paste method

' This example inserts some text into the current document.  The text is then

' selected and cut to the clipboard.  After the message box is closed, the

' text is then pasted back into the document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "This is some sample text."

.Text.Select $LwpSelectObjectTypeParagraph

.CutSelection

Messagebox "Click OK paste removed text.",MB_OK,"Example Script"

.Paste


Example: PathName property
'Example: PathName property

'This example script has not yet been created.


Example: Path property
'Example: Path property

'This example script has not yet been created.


Example: Pattern property
'Example: Pattern property

'This example script has not yet been created.


Example: PColConnectCells method
'Example: PColConnectCells method

' This example creates a parallel column table with 3 columns.  The first row

' is then selected and connected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.PColSelectRow

.PColConnectCells


Example: PColConnectRows method
'Example: PColConnectRows method

' This example creates a parallel column table with 3 columns and then

' connects the first row.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.PColConnectRows


Example: PColDisconnectCells method
'Example: PColDisconnectCells method

' This example creates a parallel column table with 3 columns.  The first row

' is then selected and connected.  After the message box is closed the cells

' are then disconnected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.PColSelectRow

.PColConnectCells

Messagebox "Click OK to disconnect cells ",MB_OK,"Example Script"

.PColDisconnectCells


Example: PColSelectColumn method
'Example: PColSelectColumn method

' This example creates a parallel column table with 3 columns and then selects

' the first column.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.PColSelectColumn


Example: PColSelectRow method
'Example: PColSelectRow method

' This example creates a parallel column table with 3 columns and then selects

' the first row.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.PColSelectRow


Example: PColSelectTable method
'Example: PColSelectTable method

' This example creates a parallel column table with 3 columns.  The first row

' is then selected and connected.  Text is typed into the selected row.  A new

' row is inserted and then the entire table is selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.PColSelectRow

.PColConnectCells

.Type "This is a parallel column."

.BaseTable.InsertRowOrColumn $LwpTableInsTypeRow, True, 1

.PColSelectTable


Example: Percentage property
'Example: Percentage property

'This example script has not yet been created.


Example: PersonalData1 property
'Example: PersonalData1 property

'This example script has not yet been created.


Example: PersonalData2 property
'Example: PersonalData2 property

'This example script has not yet been created.


Example: PersonalData3 property
'Example: PersonalData3 property

'This example script has not yet been created.


Example: PersonalData4 property
'Example: PersonalData4 property

'This example script has not yet been created.


Example: PhoneNumber property
'Example: PhoneNumber property

'This example script has not yet been created.


Example: PitchAndFamily property
'Example: PitchAndFamily property

'This example script has not yet been created.


Example: Play method
'Example: Play method

'This example script has not yet been created.


Example: PointSize property
'Example: PointSize property

'This example script has not yet been created.


Example: PositionType property
'Example: PositionType property

Dim CR As String*1

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

CR = Chr(10)

Set IcnMgr = .ApplicationWindow.IconBarManager

With IcnMgr.IconBars(IcnPallet)

MsgStr = "Height = " & .Height & CR

MsgStr = MsgStr & "IconBarPositionState = " & .IconBarPositionState & CR

MsgStr = MsgStr & "PositionType = " & .PositionType & CR

MsgStr = MsgStr & "ScreenPositionX = " & .ScreenPositionX & CR

MsgStr = MsgStr & "ScreenPositionY = " & .ScreenPositionY

Messagebox MsgStr, 64, "Script Example - " & .Name

End With


Example: PositionXInContainer property
'Example: PositionXInContainer property

'This example script has not yet been created.


Example: PositionXOnPage property
'Example: PositionXOnPage property

'This example script has not yet been created.


Example: PositionYInContainer property
'Example: PositionYInContainer property

'This example script has not yet been created.


Example: PositionYOnPage property
'Example: PositionYOnPage property

'This example script has not yet been created.


Example: Position property
'Example: Position property

'This example script has not yet been created.


Example: PowerFields property
'Example: PowerFields property

'This example script has not yet been created.


Example: PowerField property
'Example: PowerField property

'This example script has not yet been created.


Example: PreClose event
'Example: PreClose event

'This example script has not yet been created.


Example: Preferences property
'Example: Preferences property

'This example script has not yet been created.


Example: Prefix property
'Example: Prefix property

'This example script has not yet been created.


Example: PrepareToDestroy method
'Example: PrepareToDestroy method

'This example script has not yet been created.


Example: PrePrint event
'Example: PrePrint event

'This example script has not yet been created.


Example: Presentation property
'Example: Presentation property

'This example script has not yet been created.


Example: Present method
'Example: Present method

'This example script has not yet been created.


Example: PrettyPrinting property
'Example: PrettyPrinting property

'This example script has not yet been created.


Example: PreviousClickHere property
'Example: PreviousClickHere property

'This example script has not yet been created.


Example: PreviousItem method
'Example: PreviousItem method

'This example script has not yet been created.


Word Pro: OutlineSeqCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: OutlineSeqItemCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: OutlineStyleSequence class members

Properties

Application AS WPApplication

Description AS String

Heading AS Integer

IsValid AS Integer (Boolean)

Name AS String

OutlineSeqItems AS OutlineSeqItemCollection

Parent AS BaseObject

VersionID AS Long

Methods

AddOutlineSequenceItem

Clear

Events

None


Word Pro: OutSeqItem class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Position AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: PageContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: PageLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: PageLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: ParagraphBorder class members

Properties

Application AS WPApplication

BorderLines AS BorderLines

Description AS String

IsBorder AS Integer (Boolean)

IsValid AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

Name AS String

Parent AS BaseObject

Shadow AS Shadow

TypeAbove AS ParaBorderWidth

TypeBelow AS ParaBorderWidth

TypeRight AS ParaBorderWidth

VersionID AS Long

WidthAbove AS Long (measured in Twips)

WidthBelow AS Long (measured in Twips)

Methods

RevertToStyle

Events

None


Word Pro: ParagraphStyleCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: ParagraphStyle class members

Properties

Alignment AS Alignment

AlignStyleName AS String

Amikake AS Amikake

AmikakeName AS String

Application AS WPApplication

AttrStyleName AS String

BorderStyleName AS String

Breaks AS Breaks

BreaksStyleName AS String

Bullet AS Bullet

BulletStyleName AS String

CharacterBorder AS CharacterBorder

CharacterBorderName AS String

Definition AS Long

Description AS String

DocumentLevel AS Integer

FaceStyleName AS String

Font AS Font

FontStyleName AS String

HasTabs AS Integer (Boolean)

Heading AS Integer

Indent AS Indent

IndentStyleName AS String

IsCumulative AS Integer (Boolean)

IsLesser AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsPrivate AS Integer (Boolean)

IsTemp AS Integer (Boolean)

IsValid AS Integer (Boolean)

Kinsoku AS Kinsoku

Language AS Language

Name AS String

Numbering AS Numbering

NumberingPosition AS Integer

NumberingStyleName AS String

ParagraphBorder AS ParagraphBorder

Parent AS BaseObject

RelativeIndent AS RelativeIndent

SizeStyleName AS String

Spacing AS Spacing

SpacingStyleName AS String

TabRack AS TabRack

TextAttributes AS Attributes

Type AS ParaStyleType

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

Clear

IsTemporary

OutlineStyleSequence

RegisterWPDataSet

UnregisterWPDataSet

Update

Events

None


Word Pro: ParallelColsCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: ParallelColsContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: ParallelColumns class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

CellLayouts AS StringCollection

ColumnLayouts AS StringCollection

ContentType AS ContentType

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

DefCellStyleName AS String

DefColWidth AS Long (measured in Twips)

DefRowHeight AS Long (measured in Twips)

Description AS String

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsParagraphNumberingDown AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsResetParagraphNumber AS Integer (Boolean)

IsSizingViaMouse AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MaxBottomBorder AS Long (measured in Twips)

MaxBottomGutter AS Long (measured in Twips)

MaxLeftBorder AS Long (measured in Twips)

MaxLeftGutter AS Long (measured in Twips)

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Long (measured in Twips)

MaxRightGutter AS Long (measured in Twips)

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Long (measured in Twips)

MaxTopGutter AS Long (measured in Twips)

Name AS String

NumCols AS Integer

NumRows AS Integer

Parent AS BaseObject

RowLayouts AS StringCollection

SelectionType AS SelectionType

SingleCellSelected AS Integer (Boolean)

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill

TableLine AS TableLine

VersionID AS Long

Methods

CellLayout

Connect

Copy

CopyMeaning

DeleteTable

DisconnectCells

DoesMarkerNameMatch

EnumerateTerm

ExtractText

FindCellLayout

FindTerm

GetMarkerName

Glossarize

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: PowerFieldCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: PowerField class members

Properties

Application AS WPApplication

ConvertOnNew AS Integer (Boolean)

Description AS String

DivisionInfo AS DivisionInfo

Formula AS String

HideFormula AS Integer (Boolean)

IsChanged AS Integer (Boolean)

IsMarkerValid AS Integer (Boolean)

IsRegistered AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

LockResult AS Integer (Boolean)

MarkerClass AS MarkerType

Name AS String

NumCols AS Integer

NumRows AS Integer

PageNumber AS Integer

PageNumberAsText AS String

Parent AS BaseObject

Private AS Integer (Boolean)

Result AS String

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

Type AS PfType

UpdateOnLoad AS Integer (Boolean)

UpdateOnLoadImmediate AS Integer (Boolean)

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GetParagraphNumber

GetParagraphNumberString

GoTo

HasNamedProperty

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetFieldFormula

SetNamedProperty

UnregisterWPDataSet

Update

Events

None


Word Pro: Preferences class members

Properties

Address1 AS String

Address2 AS String

Application AS WPApplication

BackgroundPrintingOn AS Integer (Boolean)

BackgroundSpellingOn AS Integer (Boolean)

CellStyleName AS String

ChangeKeyboardToLanguage AS Integer (Boolean)

ChangeTextToMatchkeyboard AS Integer (Boolean)

CharacterSet AS CharacterSet

CityState AS String

Company AS String

DdeEnabled AS Integer (Boolean)

DefaultCellStyleDescription AS String

DefaultColumnStyleName AS String

DefaultDropCapStyleDescription AS String

DefaultFrameStyleDescription AS String

DefaultLatinFont AS String

DefaultLeftColumnStyleName AS String

DefaultNonLatinFont AS String

DefaultPageStyleDescription AS String

DefaultRightColumnStyleName AS String

DefaultTableStyleDescription AS String

DefaultTextStyleDescription AS String

Description AS String

DragDropOn AS Integer (Boolean)

DropCapStyleName AS String

EMail AS String

FaxNumber AS String

FontMatching AS Integer (Boolean)

FontName AS String

FooterStyleName AS String

FrameStyleName AS String

HeaderStyleName AS String

HiLiteColor AS Color

IndexPrimaryStyleName AS String

IndexSecondaryStyleName AS String

IndexSeparatorStyleName AS String

InsertionMode AS Integer (Boolean)

IsContents AS Integer

IsSmartCorrectEnabled AS Integer (Boolean)

IsSmartEditEnabled AS Integer (Boolean)

IsSmartShadeEnabled AS Integer (Boolean)

IsValid AS Integer (Boolean)

LinkGraphic AS Integer (Boolean)

MouseButtonForManipulation AS MouseButton

MouseButtonForSelection AS MouseButton

MouseProperty AS MouseButton

MultiCellPasteOn AS Integer (Boolean)

Name AS String

NumberSequenceName AS String

NumUndoLevels AS Integer

OLEAutomation AS Integer (Boolean)

OLEEnabled AS Integer (Boolean)

PageStyleName AS String

Parent AS BaseObject

PersonalData1 AS String

PersonalData2 AS String

PersonalData3 AS String

PersonalData4 AS String

PhoneNumber AS String

PointSize AS Points

RevisionDisplay AS RevisionDisplay

SaveSnapShot AS SnapShot

SmallFileFormat AS Integer (Boolean)

SnapShotSaveOptions AS StringCollection

TableStyleName AS String

TextStyleName AS String

Title AS String

UserInitials AS String

UserName AS String

VersionID AS Long

ZipCode AS String

Methods

None

Events

None


Word Pro: Presentation class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

OutlineLevel AS Integer

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: PrintManager class members

Properties

Application AS WPApplication

BinNames AS StringCollection

CanWePrint AS Integer (Boolean)

DefaultBinName AS String

DefaultPageHeight AS Long (measured in Twips)

DefaultPageWidth AS Long (measured in Twips)

Description AS String

DriverName AS String

FaceNames AS StringCollection

IsValid AS Integer (Boolean)

Name AS String

PaperNames AS StringCollection

Parent AS BaseObject

PrintDestination AS String

PrinterName AS String

QueueName AS String

UseDefaultPrinter AS Integer (Boolean)

VersionID AS Long

Methods

BinNameFromNumber

EndPrinting

GetDefaultPageSize

GetEnvelopeDefaults

GetPrinterInfo

Print

Query

ResetPrinting

UpdatePageSizeChange

UpdatePrinterBins

UpdatePrinterChanges

Events

None


Word Pro: PrintSettings class members

Properties

Application AS WPApplication

BookletPrinting AS Integer (Boolean)

Collate AS Integer (Boolean)

Copies AS Integer

Crop AS Integer (Boolean)

Description AS String

Divisions AS StringCollection

DuplexType AS DuplexType

IsCentered AS Integer (Boolean)

IsPrePrintedForm AS Integer (Boolean)

IsPrintClickHereBlocks AS Integer (Boolean)

IsUpdateIndex AS Integer (Boolean)

IsUpdateTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

NumCols AS Integer

NumRowsToFit AS Integer

OutputToFile AS Integer (Boolean)

PageOrder AS PageOrder

Parent AS BaseObject

PrintDocDescription AS Integer (Boolean)

PrintGraphics AS Integer

PrintInBackground AS Integer (Boolean)

PrintPagesFrom AS Integer

PrintPagesTo AS Integer

PrintPageType AS PrintPage

PrintRange AS PrintRange

SelectedPages AS String

UpdateFields AS Integer (Boolean)

VersionID AS Long

VersionRemarks AS Integer (Boolean)

ViewLevel AS Integer

ViewType AS PresentationType

WithComments AS Integer (Boolean)

Methods

AddDivisionToPrint

ClearDivisionList

Events

None


Word Pro: RelativeIndent class members

Properties

All AS Long (measured in Twips)

Application AS WPApplication

BodyOnly AS Integer (Boolean)

Description AS String

First AS Long (measured in Twips)

Hang AS Integer

IsBothSidesEqual AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

Relative AS IndentProperty

Rest AS Long (measured in Twips)

Right AS Long (measured in Twips)

UseRelative AS Integer (Boolean)

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: ReviewVersions class members

Properties

Application AS WPApplication

Description AS String

FilesToCompare AS String

IsValid AS Integer (Boolean)

Name AS String

NewFile AS Integer (Boolean)

NewVersion AS Integer (Boolean)

Parent AS BaseObject

VersionID AS Long

Methods

ReviewVersions

Events

None


Word Pro: RevisionDisplay class members

Properties

Application AS WPApplication

DeleteFont AS Font

Description AS String

InsertFont AS Font

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

RevMarkCharacter AS Integer

RevMarkPosition AS MarkPosition

RevMarkType AS MarkType

TextAttributes AS Attributes

UndoLevels AS StringCollection

VersionID AS Long

Methods

None

Events

None


Word Pro: Revision class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

RevisionType AS RevisionSelectType

VersionID AS Long

Methods

None

Events

None


Word Pro: RowContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: RowGroupLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: RowLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: RowLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: RubyContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: RubyLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: RubyLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

Placement AS Integer

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: RubyMarker class members

Properties

Application AS WPApplication

Description AS String

DivisionInfo AS DivisionInfo

IsChanged AS Integer (Boolean)

IsMarkerValid AS Integer (Boolean)

IsRegistered AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MarkerClass AS MarkerType

Name AS String

NumCols AS Integer

NumRows AS Integer

PageNumber AS Integer

PageNumberAsText AS String

Parent AS BaseObject

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GetParagraphNumber

GetParagraphNumberString

GoTo

HasNamedProperty

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: Ruler class members

This member list has not yet been defined.


Word Pro: ScriptDataSet class members

Properties

Application AS WPApplication

DataNames AS StringCollection

Description AS String

IsPersistent AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

GetData

IsDataNameUsed

SetData

Events

None


Word Pro: Script class members

Properties

Application AS WPApplication

CommentColor AS Color

Description AS String

DirectiveColor AS Color

ErrorColor AS Color

FontName AS String

FontSize AS Points

IdentifierColor AS Color

IsValid AS Integer (Boolean)

KeywordColor AS Color

Name AS String

OpionDeclare AS Integer

Parent AS BaseObject

PrettyPrinting AS Integer

TabWidth AS Integer

UndoEnable AS Integer

UndoLevels AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: SectionCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SectionTabs class members

This member list has not yet been defined.


Word Pro: Section class members

Properties

Application AS WPApplication

Description AS String

IndexAlphabeticSeparator AS Integer (Boolean)

IndexDivision AS String

IndexIndentType AS Integer (Boolean)

IndexParent AS String

IndexRange AS String

IndexSection AS String

IndexSource AS GenerateFrom

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: SetTabsDialog class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

SelectTab AS Integer

VersionID AS Long

Methods

None

Events

None


Word Pro: Shadow class members

Properties

Application AS WPApplication

Color AS Color

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

XPosition AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

None

Events

None


Word Pro: SilverBulletCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SilverBullet class members

Properties

Application AS WPApplication

Description AS String

IsPrivate AS Integer

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

RestartStyleName AS String

Text AS Text

VersionID AS Long

Methods

GetArrayProp

SetArrayProp

Events

None


Word Pro: SmartCorrectCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SmartCorrect class members

Properties

Application AS WPApplication

Description AS String

DoInitialCaps AS Integer (Boolean)

DoSmartQuotes AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddSmartCorrect

DeleteSmartCorrect

Get

Events

None


Word Pro: SmartFillCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SmartFill class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

ListCount AS Integer

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddStringToList

CreateEmptyList

GetListName

GetString

IsCaseExact

RemoveList

Events

None


Word Pro: SortKey class members

Properties

Application AS WPApplication

Description AS String

FieldNumber AS Integer

IsSortFromEnd AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

SortOrder AS Sort

SortType AS SortType

SortWord AS Integer

SortWordOption AS SortWhichWord

VersionID AS Long

Methods

None

Events

None


Word Pro: SortOptions class members

Properties

Application AS WPApplication

Description AS String

FieldDelimiter AS DelimiterType

FieldDelimiterText AS String

IsValid AS Integer (Boolean)

Name AS String

NumParagraphs AS Integer

Parent AS BaseObject

SortLevel1 AS SortKey

SortLevel2 AS SortKey

SortLevel3 AS SortKey

SortNumbers AS SortNumberOrder

VersionID AS Long

Methods

None

Events

None


Word Pro: Spacing class members

Properties

Always AS Integer (Boolean)

Amount AS Long (measured in Twips)

AmountOfSpaceAbove AS Long (measured in Twips)

AmountOfSpaceAboveLine AS Long (measured in Twips)

AmountOfSpaceBelow AS Long (measured in Twips)

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

NumLinesOfSpace AS Long (measured in Twips)

NumLinesOfSpaceAbove AS Long (measured in Twips)

NumLinesOfSpaceAboveLine AS Long (measured in Twips)

NumLinesOfSpaceBelow AS Long (measured in Twips)

Parent AS BaseObject

Type AS SpacingType

TypeAbove AS SpacingType

TypeAboveLine AS SpacingType

TypeBelow AS SpacingType

VersionID AS Long

Methods

RevertToStyle

Events

None


Word Pro: StatusBarButtonCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: StatusBarButton class members

Properties

Application AS WPApplication

Description AS String

GetButtonType AS Long

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

AddPopupGraphicItem

AddPopupPointSizeItem

AddPopupTextItem

DeleteButton

InvalidateButton

SetOverrideGraphic

SetOverrideText

SetPopupAlignment

SetPopupIndex

SetPopupWidth

SetPopupWidthType

SimulateButtonClick

Events

StatusBarButtonClicked

StatusBarButtonFillPopupList

StatusBarButtonItemSelected

StatusBarButtonOverrideGraphic

StatusBarButtonOverrideText

StatusBarButtonOverrideTextAndGraphic


Word Pro: StatusBar class members

Properties

Active AS Integer (Boolean)

Application AS WPApplication

Caption AS String

Description AS String

Height AS Long (measured in Twips)

IsValid AS Integer (Boolean)

Left AS Long (measured in Twips)

Name AS String

Parent AS BaseObject

StatusBarButtons AS StatusBarButtonCollection

Top AS Long (measured in Twips)

VersionID AS Long

Visible AS Integer (Boolean)

Width AS Long (measured in Twips)

Methods

Close

CreateNewButton

GetStandardButtonId

HideStatusBar

InvalidateWholeBar

Move

Open

Resize

ShowStatusBar

Update

Events

Moved

StatusBarButtonClicked

StatusBarButtonFillPopupList

StatusBarButtonOverrideText


Word Pro: StringCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SubPageContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: SuperPageContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: OutlineStyleSequence class

The arrangement of styles in an outline.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: OutSeqItem class

An item in an outline sequence.

Base Classes

BaseObject

Derived Classes

None

Contained by

Usage


Word Pro: PageContainer class

The container object for pages. This object only exists for one page at a time and only when there is a page within the focus. When a PageContainer object is present, it is stored in the Page property on the WPApplication object.

Base Classes

BaseObject\BaseContainer

Derived Classes

SubPageContainer

SuperPageContainer

Contained by

WPApplication in the Page Property

Usage

The primary use for a PageContainer object is to provide quick and easy access to the PageLayout object for the currently active page. A PageContainer object always represents the page that currently has the focus. Thus, if you assign a PageContainer object to a variable, you can use that variable to access the currently active page. However, you must remember that the page referenced by the variable will change as the focus moves from one page to another. This is because the variable references the PageContainer object, and the PageContainer object always represents the page that has the focus. If there is no page within the focus, there is no PageContainer object. Thus, a variable that stores a PageContainer object will have a null value whenever the focus does not contain a page. There is never more than one PageContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: PageLayoutCollection class

A collection of page layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Pages Property

Foundry in the PageStyles Property

Usage

Use this collection to access any of the page layout objects in the foundry of a specific division.


Word Pro: PageLayout class

A page layout for a PageContainer object. This class inherits most of its members from the Layout class.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage

The PageLayout class provides you with a way to access and modify the format and appearance of PageLayout objects within your document.

Since the PageLayout class is derived from the Layout class, PageLayout objects can be stored within properties of the Layout type. For instance, the Layout property within the PageContainer class is of the Layout type. However, this property often stores objects of the PageLayout type The Layout property is implemented in this way so that objects of other derived layout class types can be stored there as well.

PageLayout objects within a division are stored together in a collection. You can use the collection to access all PageLayout objects in the collection, or you can reference a particular PageLayout object in the collection. For example, by using the PageLayouts collection, you could modify each PageLayout object in the collection to have a specific top margin value. For more information on how to work with collections, see Overview: Word Pro LotusScript Collection Classes.

At many locations within your document, multiple layouts are available. For example, your cursor may be in a frame on a page. In this case, the frame and the page both have associated layout objects. These layout objects may be combined with other objects into related groups, known as containers. For more information on containers and  their associated layouts, see the Help topic titled Word Pro: BaseContainer class.


Word Pro: ParagraphBorder class

The border around a paragraph object.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the ParagraphBorder Property

ParagraphStyle in the ParagraphBorder Property

Text in the ParagraphBorder Property

TextMarker in the ParagraphBorder Property

Usage


Word Pro: ParagraphStyleCollection class

A collection of paragraph style objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ParagraphStyles Property

Usage

Use this collection to access any of the paragraph style objects in the foundry of a specific division.


Word Pro: ParagraphStyle class

The style assigned to a paragraph.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the ParagraphStyle Property

Formula in the ParagraphStyle Property

Text in the ParagraphStyle Property

TextMarker in the ParagraphStyle Property

Usage


Word Pro: ParallelColsCollection class

A collection of parallel column objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the ParallelColumns Property

Usage

Use this collection to access any of the parallel column objects in the foundry of a specific division.


Word Pro: ParallelColsContainer class

The container object for parallel columns. This object only exists for one parallel columns object at a time and only when there are parallel columns within the focus. When parallel columns are present, the ParallelColsContainer is stored in the TableContainer property on the WPApplication object.

Base Classes

BaseObject\BaseContainer\TableContainer

Derived Classes

None

Contained by

Not contained in any property.

Usage

The primary use for a ParallelColsContainer object is to provide quick and easy access to the CellLayout object for the currently active parallel columns. A ParallelColsContainer object always represents the parallel columns that currently have the focus. Thus, if you assign a ParallelColsContainer object to a variable, you can use that variable to access the currently active parallel columns. However, you must remember that the parallel columns referenced by the variable will change as the focus moves from one parallel columns object to another. This is because the variable references the ParallelColsContainer object, and the ParallelColsContainer object always represents the parallel columns that have the focus. If there are no parallel columns within the focus, there is no ParallelColsContainer object. Thus, a variable that stores a ParallelColsContainer object will have a null value whenever the focus does not contain parallel columns. There is never more than one ParallelColsContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: ParallelColumns class

A parallel (newspaper) column object in a document.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

Glossary

Contained by

WPApplication in the ParallelColumns Property

Usage


Word Pro: PowerFieldCollection class

A collection of power field objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the PowerFields Property

Usage

Use this collection to access any of the power field objects in the foundry of a specific division.


Word Pro: PowerField class

A power field object in a document.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: Preferences class

Allows you to customize Word Pro by setting various options for file saving, file location, default files, and general and personal options.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the Preferences Property

Usage


Word Pro: Presentation class

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseContainer in the Presentation Property

Usage


Word Pro: PrintManager class

A tool to manage document printing.

Base Classes

BaseObject

Derived Classes

None

Contained by

TextDocument in the PrintManager Property

Usage


Word Pro: PrintSettings class

The print settings displayed in the Print dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Document in the PrintSettings Property

Usage

Use this class to display the current print settings for a specific document.


Word Pro: RelativeIndent class

Base Classes

BaseObject\Indent

Derived Classes

None

Contained by

ClickHere in the RelativeIndent Property

ParagraphStyle in the RelativeIndent Property

Text in the RelativeIndent Property

TextMarker in the RelativeIndent Property

Usage


Word Pro: ReviewVersions class

Allows you to review versions of a Word Pro document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the ReviewVersions Property

Usage


Word Pro: RevisionDisplay class

Allows you to display the Revision tool in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Preferences in the RevisionDisplay Property

Usage


Word Pro: Revision class

The Revision tool in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the RevisionMark Property

Text in the RevisionMark Property

TextMarker in the RevisionMark Property

Usage


Word Pro: RowContainer class

The container object for a table row. This object only exists for one row at a time and only when there is a table within the focus.

Base Classes

BaseObject\BaseContainer

Derived Classes

None

Contained by

Not contained in a property of any object.

Usage

The primary use for a RowContainer object is to provide quick and easy access to the RowLayout object for the currently active row. A RowContainer object always represents the row that currently has the focus. Thus, if you assign a RowContainer object to a variable, you can use that variable to access the currently active row. However, you must remember that the row referenced by the variable will change as the focus moves from one row  to another. This is because the variable references the RowContainer object, and the RowContainer object always represents the row that has the focus. If there is no row within the focus, there is no RowContainer object. Thus, a variable that stores a RowContainer object will have a null value whenever the focus does not contain a row. There is never more than one RowContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: RowLayoutCollection class

A collection of row layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Rows Property

Usage

Use this collection to access any of the row layout objects in the foundry of a specific division.


Word Pro: RowLayout class

The layout for a row in a table object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

BaseTable in the CurrentRow Property

WPApplication in the CurrentRow Property

Usage


Word Pro: RubyContainer class

Not implemented in the US English version of Word Pro.

Base Classes

BaseObject\BaseContainer\FrameContainer

Derived Classes

None

Contained by

Usage


Word Pro: RubyLayoutCollection class

A collection of ruby layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the RubyLayouts Property

Usage

Use this collection to access any of the ruby layout objects in the foundry of a specific division.


Word Pro: RubyLayout class

The ruby layout for a ruby object in a division.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: RubyMarker class

A marker for a ruby object in a division.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: Ruler class

A horizontal or vertical ruler object that indicates tab settings, indents, margins, and columns.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the HorzRuler Property

ApplicationWindow in the VertRuler Property

Usage


Word Pro: ScriptDataSet class

A virtual base class that holds a collection of variables. Each variable has a name and a string value.

Base Classes

BaseObject

Derived Classes

WPDataSet

Contained by

Usage


Word Pro: Script class

The object oriented programming language for Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the Script Property

Usage


Word Pro: SectionCollection class

A collection of section objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Sections Property

Usage

Use this collection to access any of the section objects in the foundry of a specific division.


Word Pro: SectionTabs class

The divider tabs used to indicate a section or a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the SectionTabs Property

Usage

Use the methods and properties of this class to create or modify a section or division object. You cannot use this class to delete a section or division object.


Word Pro: Section class

Sections are areas of text in a document that reside within divisions.

Base Classes

BaseObject

Derived Classes

IndexSection

Contained by

Usage


Word Pro: SetTabsDialog class

A dialog box used to set tabs in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the SetTabsDialog Property

Usage


Word Pro: Shadow class

The setting of shadow depth for text, frames, tables, headers, footers, and pages in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the Shadow Property

ParagraphBorder in the Shadow Property

Usage

You can use the properties in this class to set the color or the depth of a shadow for text, frames, tables, headers, footers, and pages in a document.


Word Pro: SilverBulletCollection class

A collection of silver bullet objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the SilverBullets Property

Usage

Use this collection to access any of the silver bullet objects in the foundry of a specific division.


Word Pro: SilverBullet class

A silver bullet object in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

Bullet in the SilverBullet Property

Usage


Word Pro: SmartCorrect class

SmartCorrect is a feature of Spell Check that instantly corrects errors as you type them.

Base Classes

BaseObject

Derived Classes

None

Contained by

WPApplication in the SmartCorrect Property

Usage


Word Pro: SortKey class

This class allows you to set the sort options for each of the sort levels.

Base Classes

BaseObject

Derived Classes

None

Contained by

SortOptions in the SortLevel1 Property

SortOptions in the SortLevel3 Property

SortOptions in the SortLevel2 Property

Usage

You can use the properties in this class to specify the field or column that you want to sort, and in what order you want the data to sort.


Word Pro: SortOptions class

The sort options displayed in the Sort dialog box.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the SortOptions Property

TextDocument in the SortOptions Property

Usage


Word Pro: Spacing class

The spacing of objects in Word Pro, such as text, tabs, columns, and so on.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the Spacing Property

Formula in the Spacing Property

ParagraphStyle in the Spacing Property

Text in the Spacing Property

TextMarker in the Spacing Property

Usage


Word Pro: StatusBarButtonCollection class

A collection of status bar button objects in the StatusBar class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

StatusBar in the StatusBarButtons Property

Usage

Use this collection to access any of the status bar button objects in the StatusBarButton class.


Word Pro: StatusBarButton class

A button on the status bar object in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the StatusBar Property

Usage

Use this class to set options for individual buttons located on the status bar.


Word Pro: StatusBar class

The status bar object in the Word Pro application, visible at the bottom of the workspace.

Base Classes

BaseObject\Window

Derived Classes

None

Contained by

ApplicationWindow in the StatusBar Property

Usage

When Word Pro is opened, the status bar also opens at the bottom of the workspace. You can view the status bar whenever Word Pro opens, but you cannot use it until you open a document.


Word Pro: StringCollection class

A collection of strings.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

BaseTable in the RowLayouts Property

BaseTable in the ColumnLayouts Property

BaseTable in the CellLayouts Property

Division in the DivisionNames Property

Filter in the TableExports Property

Filter in the TextandTableExports Property

Filter in the GraphicImports Property

Filter in the TextandTableImports Property

Filter in the GraphicExports Property

Filter in the TableImports Property

IconBarManager in the IconBarSets Property

Preferences in the SnapShotSaveOptions Property

PrintManager in the FaceNames Property

PrintManager in the PaperNames Property

PrintManager in the BinNames Property

PrintSettings in the Divisions Property

RevisionDisplay in the UndoLevels Property

ScriptDataSet in the DataNames Property

TextDocument in the DivisionNames Property

UserInterfacePrefs in the StylePaths Property

UserInterfacePrefs in the DocumentPaths Property

UserInterfacePrefs in the UserDictionaryPaths Property

UserInterfacePrefs in the BackupPaths Property

UserInterfacePrefs in the UserDictionaryFiles Property

UserInterfacePrefs in the Units Property

UserInterfacePrefs in the IconPaths Property

UserInterfacePrefs in the MacroPaths Property

UserInterfacePrefs in the GlossaryDataPaths Property

UserInterfacePrefs in the GlossaryDataFiles Property

Version in the Editors Property

Usage

Use this collection to access any of the string objects in the String class.


Word Pro: SubPageContainer class

The container object for sub pages. This object only exists for one sub page at a time and only when there is a page within the focus.

Base Classes

BaseObject\BaseContainer\PageContainer

Derived Classes

None

Contained by

Not contained in the property of any other object.

Usage

The primary use for a SubPageContainer object is to provide quick and easy access to the PageLayout object for the currently active sub page. A SubPageContainer object always represents the sub page that currently has the focus. Thus, if you assign a SubPageContainer object to a variable, you can use that variable to access the currently active sub page. However, you must remember that the sub page referenced by the variable will change as the focus moves from one sub page to another. This is because the variable references the SubPageContainer object, and the SubPageContainer object always represents the sub page that has the focus. If there is no sub page within the focus, there is no SubPageContainer object. Thus, a variable that stores a SubPageContainer object will have a null value whenever the focus does not contain a sub page. There is never more than one SubPageContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: SuperPageContainer class

The container object for super pages. This object only exists for one super page at a time and only when there is a page within the focus.

Base Classes

BaseObject\BaseContainer\PageContainer

Derived Classes

None

Contained by

Not contained in the property of any other object.

Usage

The primary use for a SuperPageContainer object is to provide quick and easy access to the PageLayout object for the currently active super page. A SuperPageContainer object always represents the super page that currently has the focus. Thus, if you assign a SuperPageContainer object to a variable, you can use that variable to access the currently active super page. However, you must remember that the super page referenced by the variable will change as the focus moves from one super page  to another. This is because the variable references the SuperPageContainer object, and the SuperPageContainer object always represents the super page that has the focus. If there is no super page within the focus, there is no SuperPageContainer object. Thus, a variable that stores a SuperPageContainer object will have a null value whenever the focus does not contain a super page. There is never more than one SuperPageContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: SuperTableCollection class

A collection of super table objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the SuperTables Property

Usage

Use this collection to access any of the super table objects in the foundry of a specific division.


Word Pro: SuperTableContainer class

The container object for super tables. This object only exists for one super table at a time and only when there is a table within the focus. When a SuperTableContainer object is present, it is stored in the SuperTableContainer property on the WPApplication object.

To access the container object for a table, use the TableOnlyContainer property on WPApplication.

To access the container object for parallel columns, use the TableContainer property on WPApplication.

Base Classes

BaseObject\BaseContainer

Derived Classes

None

Contained by

WPApplication in the SuperTableContainer Property

Usage

The primary use for a SuperTableContainer object is to provide quick and easy access to the SuperTableLayout object for the currently active super table. A SuperTableContainer object always represents the super table that currently has the focus. Thus, if you assign a SuperTableContainer object to a variable, you can use that variable to access the currently active super table. However, you must remember that the super table referenced by the variable will change as the focus moves from one super table  to another. This is because the variable references the SuperTableContainer object, and the SuperTableContainer object always represents the super table that has the focus. If there is no super table within the focus, there is no SuperTableContainer object. Thus, a variable that stores a SuperTableContainer object will have a null value whenever the focus does not contain a super table. There is never more than one SuperTableContainer object at any given time.

For more information about container objects, see BaseContainer.


Word Pro: SuperTableGroupLayout class

A super table layout for a group of super tables.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: SuperTableLayoutCollection class

A collection of super table layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the SuperTableLayouts Property

Usage

Use this collection to access any of the super table layout objects in the foundry of a specific division.


Word Pro: SuperTableLayout class

The layout for a super table object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage

A table in Word Pro consists of a SuperTableLayout object, which is in turn comprised of one or more TableLayout objects. TableLayout objects contain RowLayout and ColumnLayout objects.

In order to modify attributes of an entire Word Pro table, you must access the SuperTableLayout object of the table. For example, if you want to set the background color of an entire table, you could use the following statements:

.SuperTableContainer.Layout.Background.Pattern = $LtsFillSolid

.SuperTableContainer.Layout.Background.Color.Red = 255

In order to modify attributes of selected cells, you must access the Table object. For example, in order to set the background pattern of cells which are currently selected, you could use the following statements:

.Table.TableFill.Background.Pattern = $LtsFillBubbles

.Table.TableFill.FillStyle = $LwpTableFillStyleAll

Notice that in the previous example, the background color and pattern color of the selected cells will not be modified. Word Pro will use your current settings for these colors, which may include a white pattern on a white background or a black pattern on a black background.

Layout attributes of row and column objects can also be accessed through a Table object. For example, if you want to modify the width of all columns which are currently selected, you could use the following statement:

.Table.CurrentColumn.Width = 720


Word Pro: SuperTable class

A super table object in a document.

Base Classes

BaseObject\Content

Derived Classes

None

Contained by

Usage

A table in Word Pro consists of a SuperTableLayout object, which is in turn comprised of one or more TableLayout objects. TableLayout objects contain RowLayout and ColumnLayout objects.

In order to modify attributes of an entire Word Pro table, you must access the SuperTableLayout object of the table. For example, if you want to set the background color of an entire table, you could use the following statements:

.SuperTableContainer.Layout.Background.Pattern = $LtsFillSolid

.SuperTableContainer.Layout.Background.Color.Red = 255

In order to modify attributes of selected cells, you must access the Table object. For example, in order to set the background pattern of cells which are currently selected, you could use the following statements:

.Table.TableFill.Background.Pattern = $LtsFillBubbles

.Table.TableFill.FillStyle = $LwpTableFillStyleAll

Notice that in the previous example, the background color and pattern color of the selected cells will not be modified. Word Pro will use your current settings for these colors, which may include a white pattern on a white background or a black pattern on a black background.

Layout attributes of row and column objects can also be accessed through a Table object. For example, if you want to modify the width of all columns which are currently selected, you could use the following statement:

.Table.CurrentColumn.Width = 720


Word Pro: TableCollection class

A collection of base table objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Usage

Use this collection to access any of the base table objects in the foundry of a specific division.


Word Pro: TableContainer class

An abstract container class that provides the basis for both the ParallelColsContainer and the TableOnlyCont classes. This class is used as the data type for the TableContainer property on WPApplication. This allows the TableContainer property to contain either TableOnlyCont or ParallelColsContainer objects.

For more information on container classes, see BaseContainer.

To access the container object for a table, use the TableOnlyContainer property on WPApplication.

To access the container object for parallel columns, use the TableContainer property on WPApplication.

Base Classes

BaseObject\BaseContainer

Derived Classes

ParallelColsContainer

TableOnlyCont

Contained by

WPApplication in the TableContainer Property

Usage

Do not use this class for instantiating objects. You may use this class as the data type for a variable in which you wish to store objects created from either of this class' derived classes (TableOnlyCont or ParallelColsContainer).


Word Pro: TableFill class

This class allows you to modify appearance properties of selected cell objects within a table.

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseTable in the TableFill Property

Usage

The TableFill class gives you access to background and fill style information for table cells. It allows you to fill selected cells, or certain


Word Pro: TableHeadingCollection class

A collection of table heading objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableHeadings Property

Usage

Use this collection to access any of the table heading objects in the foundry of a specific division.


Word Pro: TableHeadingLayoutCollection class

A collection of table heading layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableHeadingLayouts Property

Usage

Use this collection to access any of the table heading layout objects in the foundry of a specific division.


Word Pro: TableHeadingLayout class

The layout for a table heading in a division.

Base Classes

BaseObject\Layout\TableLayout

Derived Classes

None

Contained by

Usage


Word Pro: TableHeading class

A heading for a table object.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

None

Contained by

Usage


Word Pro: TableLayoutCollection class

A collection of table layout objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableLayouts Property

Foundry in the TableStyles Property

Usage

Use this collection to access any of the table layout objects within the foundry of a specific division.


Word Pro: TableLayout class

The layout for a table object.

Base Classes

BaseObject\Layout

Derived Classes

EndnoteLayout

FootnoteLayout

TableHeadingLayout

Contained by

Usage


Word Pro: TableLine class

A borderline, outline, or diagonal line in a table object.

Base Classes

BaseObject

Derived Classes

None

Contained by

BaseTable in the TableLine Property

Usage

Use this class to set or modify borderline, outline, or diagonal line styles in a table object.


Word Pro: TableMarkerCollection class

A collection of table marker objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TableMarkers Property

Usage

Use this collection to access any of the table marker objects in the foundry of a specific division.


Word Pro: TableMarker class

A marker for a table object in a division.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: TableOnlyCollection class

A collection of table only objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Tables Property

Usage

Use this collection to access any of the table only objects in the foundry of a specific division.


Word Pro: TableOnlyCont class

The container object for tables. This object only exists for one table at a time and only when there is a table within the focus. When a TableOnlyCont object is present, it is stored in the TableOnlyContainer property on the WPApplication object.

Base Classes

BaseObject\BaseContainer\TableContainer

Derived Classes

None

Contained by

WPApplication in the TableOnlyContainer Property

Usage

The primary use for a TableOnlyCont object is to provide quick and easy access to the TableLayout object for the currently active table. A TableOnlyCont object always represents the table that currently has the focus. Thus, if you assign a TableOnlyCont object to a variable, you can use that variable to access the currently active table. However, you must remember that the table referenced by the variable will change as the focus moves from one table to another. This is because the variable references the TableOnlyCont object, and the TableOnlyCont object always represents the table that has the focus. If there is no table within the focus, there is no TableOnlyCont object. Thus, a variable that stores a TableOnlyCont object will have a null value whenever the focus does not contain a table. There is never more than one TableOnlyCont object at any given time.

The container classes for tables and parallel columns are derived from the same abstract class: TableContainer. However, only the table container object has its own property on WPApplication. The container object for parallel columns, when it is present, is stored in the TableContainer property on WPApplication.

For more information about container objects, see BaseContainer.


Word Pro: Table class

A table object in a document.

Base Classes

BaseObject\Content\BaseTable

Derived Classes

None

Contained by

WPApplication in the Table Property

Usage

A table in Word Pro consists of a SuperTableLayout object, which is in turn comprised of one or more TableLayout objects. TableLayout objects contain RowLayout and ColumnLayout objects.

In order to modify attributes of an entire Word Pro table, you must access the SuperTableLayout object of the table. For example, if you want to set the background color of an entire table, you could use the following statements:

.SuperTableContainer.Layout.Background.Pattern = $LtsFillSolid

.SuperTableContainer.Layout.Background.Color.Red = 255

In order to modify attributes of selected cells, you must access the Table object. For example, in order to set the background pattern of cells which are currently selected, you could use the following statements:

.Table.TableFill.Background.Pattern = $LtsFillBubbles

.Table.TableFill.FillStyle = $LwpTableFillStyleAll

Notice that in the previous example, the background color and pattern color of the selected cells will not be modified. Word Pro will use your current settings for these colors, which may include a white pattern on a white background or a black pattern on a black background.

Layout attributes of row and column objects can also be accessed through a Table object. For example, if you want to modify the width of all columns which are currently selected, you could use the following statement:

.Table.CurrentColumn.Width = 720


Word Pro: TabRack class

Acts as the tab parent class for all tab objects in a document.

Base Classes

BaseObject

Derived Classes

None

Contained by

ClickHere in the TabRack Property

Layout in the TabRack Property

ParagraphStyle in the TabRack Property

Text in the TabRack Property

TextMarker in the TabRack Property

Usage


Word Pro: TextCollection class

A collection of text objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the Texts Property

Usage

Use this collection to access any of the text objects in the foundry of a specific division.


Word Pro: TextDocument class

A Word Pro document, including all its divisions, sections, versions, pages, text objects, frames, tables, styles, print settings, scripts, and so on.

Base Classes

BaseObject\Document

Derived Classes

None

Contained by

Application in the ActiveDocument Property

ApplicationWindow in the ActiveDocument Property

Division in the Master Property

DocWindow in the Document Property

TextDocument in the Master Property

Usage

For each Lotus application that uses document-like objects, there is a corresponding subclass which is derived from the Document class. In Word Pro, the subclass is TextDocument. For Lotus 1-2-3, the subclass is Sheet. For Lotus Notes, the subclass is Note. The OpenDocument method on the WPApplication class enables you to open an existing Word Pro document. WPApplication also provides CreateDocument for creating new objects from the TextDocument class. It is also possible to get a TextDocument object associated with an already open document; use the LotusScript Bind operator. To get an object created by another Lotus application, use the GetObject operation.

The Name property (inherited from BaseObject) returns the file name (without the path) of the Word Pro document.

Properties

Changed As Bool - Has the document changed since the last save?

Embedded As Bool - Is the document OLE embedded?

FullName As String - Name and path of this document.

IsOpen As Bool - Checks to see if a document is open, but since you cannot read a closed document, this value is always True.

Location As String - Path only of this document. In the future, this may be a variant.

Path As String - Path only of this document.

PrintSettings As PrintSettings - Allows you to set different print settings for each document.

ReadOnly As Bool - Allows you to set a document to ReadOnly or ReadWrite.

Saved As Bool - Has the document ever been saved?

Methods

Activate - Makes this document active.

Close - Closes your document. All parameters are ALOI except the CloseFile parameter which  = If closing this and it is the last one, do you want a new untitled document to appear? CloseFile enum.

CopySelection - Copy to Clipboard.

CutSelection - Cut to Clipboard.

Paste - Pastes Clipboard. The MakeVisible parameter allows you to bring what is pasted into view when Paste occurs.

Print - LOI parameters; NoDialog added which inhibits the progress box.

PrintOut - Same as Print but exists for VB users.

Save - Saves the document.

SaveAs - Saves as another file type. Most parameters are LOI. AddToLastFileOpen list (recent files) added. SaveCopyAs allows you to save a copy of an OLE launched object.

Events

PreClose - Raised prior to closing.

Save - Pre-Save event.

SaveAs - Pre-SaveAs.

Saved - After Save.

SavedAs - After SaveAs.

Opened - After opening.

Created - After creating.

PrePrint - Before printing.

Keystroke WMCommand - Raised when a menu item is picked, a pre-defined icon is clicked, or certain push buttons cause another dialog box to display from a dialog box. This event passes the following information to the script event handler:

•	menu ID

•	icon ID

•	ID of the menu command, WPBITMSK.LSS, containing all menu IDs


Word Pro: TextMarkerCollection class

A collection of text marker objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TextMarkers Property

Usage

Use this collection to access any of the text marker objects in the foundry of a specific division.


Word Pro: TextMarker class

Marks an insertion point or a selection of text. Derives from Marker. A hidden object used to attach some data or functionality to text in the document.

Base Classes

BaseObject\Marker

Derived Classes

None

Contained by

Usage


Word Pro: TextStyleCollection class

A collection of paragraph and character style objects in the foundry of a specific division.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

Foundry in the TextStyles Property

Usage

Use this collection to access any of the text style objects in the foundry of a specific division.


Word Pro: Text class

A text object in a document.

Base Classes

BaseObject\Content

Derived Classes

None

Contained by

Bullet in the Text Property

ClickHere in the Prompt Property

DivisionInfo in the FillerPageText Property

Graphic in the Text Property

NoteLayout in the Text Property

SilverBullet in the Text Property

WPApplication in the Text Property

Usage


Word Pro: TOCSuperTableLayout class

A layout for a table of contents super table object.

Base Classes

BaseObject\Layout

Derived Classes

None

Contained by

Usage


Word Pro: UserInterfacePrefs class

The user interface preferences in Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

ApplicationWindow in the UserInterfacePrefs Property

Usage

You can use this class to set options in the Word Pro Preferences dialog boxes, including default paths, default directories, load options, display options, SpellCheck options, and so on.


Word Pro: UseWhen class

Base Classes

BaseObject

Derived Classes

None

Contained by

Layout in the UseWhen Property

Usage


Word Pro: VersionCollection class

A collection of version objects in the VersionManager class.

Base Classes

BaseObject\BaseCollection

Derived Classes

None

Contained by

VersionManager in the Versions Property

Usage

Use this collection to access any of the version objects in the VersionManager class.


Word Pro: VersionManager class

A tool to manage the Version tool in a division.

Base Classes

BaseObject

Derived Classes

None

Contained by

Division in the VersionManager Property

TextDocument in the VersionManager Property

Usage


Word Pro: Version class

The Version tool in the Word Pro application.

Base Classes

BaseObject

Derived Classes

None

Contained by

VersionManager in the CurrentVersion Property

Usage


Word Pro: Window class

A window in the Word Pro application.

Base Classes

BaseObject

Derived Classes

ApplicationWindow

DocWindow

IconBarManager

StatusBar

Contained by

Usage


Word Pro: WinViewPrefs class

The window view preferences in Word Pro.

Base Classes

BaseObject

Derived Classes

None

Contained by

DocWindow in the WinViewPrefs Property

UserInterfacePrefs in the WinViewPrefs Property

Usage


Word Pro: WPApplication class

The whole of the Word Pro application, including the application engine, workspace, and any documents created by the application. You can access any part of Word Pro or a Word Pro document through the members of the WPApplication object.

Base Classes

BaseObject\Application

Derived Classes

None

Contained by

BaseObject in the Application Property

Usage

Each time you launch Word Pro, a single object is instantiated from the WPApplication class. That object represents the Word Pro application. Under normal circumstances, there will be only one WPApplication object active at any given time. WPApplication gives you access to all the Word Pro-specific objects, features, events, and information which exist as part of Word Pro. You will use the WPApplication object to access and control nearly every aspect of Word Pro and its components.

Static and Current Context Properties

WPApplication is unique in that it defines two types of properties: static and current context. The static properties, such as Name and AppViewPrefs, represent things which apply to the Word Pro application as a whole. Their contents are not dependent on which document or other object is active. The contents of static properties remain the same, regardless of which document may be active or where the focus of the application is directed.

The content of current context properties changes as the focus of Word Pro moves from one document or division to another. These properties are called current context properties because their contents depend on the current context of Word Pro. For example, in a document with two divisions named ChapterOne and ChapterTwo, the focus of Word Pro can move from one division to the other. While the focus is in the ChapterOne division, the current context of Word Pro is the ChapterOne Division object, and the Division property on WPApplication contains the ChapterOne Division object, as long as the ChapterOne division is active. However, when you move the focus of Word Pro into the division named ChapterTwo, the current context changes and the contents of the Division property changes to the ChapterTwo Division object. It is important for you to keep current context in mind whenever you access the current context properties on the WPApplication object.

The current context properties include:

ActiveDocument

ActiveDocWindow

ApplicationWindow

BaseTable

Cell

Container

Content

CurrentCell

CurrentColumn

CurrentRow

Division

Divisions

Documents

Foundry

Frame

Graphic

GraphicOleObject

Layout

OleObject

Page

ParallelColumns

SuperTableContainer

Table

TableContainer

TableOnlyContainer

Text

The Abstract Application Class

Each Lotus application is represented in LotusScript by its own unique application object. Each application object is instantiated from a unique application class. But all application classes share a common abstract application class, called Application. This abstract class provides a common fundamental definition for all application objects. However, each Lotus application uses the abstract Application class as a starting point, and then defines additional properties, methods, and events as needed to create its own unique application class. In this way, each Lotus application class shares a common set of class members from the abstract class, while still providing the additional class members needed to represent the unique components of each application. The table below shows the name of each product's application class (each derived from the same abstract Application class), the name of the object instantiated from that application class, and the name of the global variable used for accessing that object.

Product Name	Application Class	Object Name	Global Variable
Word Pro	WPApplication	WordPro	CurrentApplication
Lotus 1-2-3	Application	1-2-3	CurrentApplication
Approach	Application	Approach	CurrentApplication
Freelance	Application	Freelance
When referring to the WPApplication object from within a Word Pro script, you should use the global variable, CurrentApplication.

When referring to the WPApplication object from outside of Word Pro, you should use the GetObject function with the name, "WordPro."

LotusScript and Multiple Sessions Of Word Pro

A single object (named WordPro) is instantiated from the WPApplication class each time you launch the Word Pro application. If you run multiple sessions of Word Pro simultaneously, each session of Word Pro is represented by its own WPApplication object. You can run multiple sessions of Word Pro and use LotusScript to manipulate the different instances of WPApplication. However, the memory requirements for running multiple sessions are quite high and great care must be taken to identify correctly the different WPApplication objects. A single error in managing multiple WPApplication objects could result in the loss of valuable data or unexpected changes in the default settings within Word Pro.

Note	The documentation for the Word Pro LotusScript object model assumes that you never have more than one Word Pro session running at any time. While it is possible to run multiple Word Pro sessions and use LotusScript to manipulate them, it is not recommended.

If you do write scripts to control multiple sessions of Word Pro, you should keep in mind the following:

•	The WPApplication object which is active when your script starts running is the "native" WPApplication object. All other WPApplication objects must be accessed through OLE automation, using the LotusScript GetObject or CreateObject functions.

•	Word Pro reads default settings from .INI files as those default settings are used within a Word Pro session. For example, when the user opens the Set Tabs dialog box, Word Pro checks an .INI file for the current tab settings and displays those settings in the dialog box.

•	Word Pro writes any changes to a default setting into an .INI file when the Word Pro session ends. For example, if the user changes the type of leader dot in the Set Tabs dialog box, that change will be written into an .INI file when the user ends the Word Pro session.

•	Changes made to an .INI file by one Word Pro session may affect other simultaneous Word Pro sessions, if the first session ends and the other sessions make use of the settings changed in the first session. This is due to the fact that the other sessions read from the same .INI file as the first session and will reflect any changes made to the .INI file when the first session ended.

For example, while running two sessions of Word Pro simultaneously, you can change the value of the LeaderDotType property on the AppViewPrefs object in one session of Word Pro. You can then end that session, at which time the appropriate .INI file will be updated with the new LeaderDotType value. You can then open the Set Tabs dialog box from within the second session and see the new LeaderDotType value reflected in the dialog box settings. This could result in some unpredictable behavior in multiple sessions of Word Pro.


Word Pro: WPDataSetCollection class

A collection of Word Pro data sets in the Word Pro application object, a document object or some object within a document.

Base Classes

BaseObject\BaseCollection\ScriptDataSetCollection

Derived Classes

None

Contained by

CharacterStyle in the WPDataSets Property

ClickHere in the WPDataSets Property

Division in the WPDataSets Property

Layout in the WPDataSets Property

Marker in the WPDataSets Property

ParagraphStyle in the WPDataSets Property

TextDocument in the WPDataSets Property

Text in the WPDataSets Property

TextMarker in the WPDataSets Property

WPApplication in the WPDataSets Property

Usage

Item ScriptDataSet is not implemented.

Use the WPDataSetCollection class to create and manage sets of variables attached to Word Pro objects.


Word Pro: WPDataSet class

The Word Pro data set that holds a collection of variables. Each variable has a name and a string value.

Base Classes

BaseObject\ScriptDataSet

Derived Classes

None

Contained by

Usage

Each WPDataSet can be attached to the following Word Pro objects: TextDocument, Layout, Marker, CharacterStyle, ParagraphStyle, WPApplication, Division, and Text classes. If you close a document that has a data set attached to it, Word Pro saves the data set(s) with the document. When you reopen the document, Word Pro reads the data sets back in from the document.


Example: PreviousName property
'Example: PreviousName property

'This example script has not yet been created.


Example: PreviousNeighbor property
'Example: PreviousNeighbor property

'This example script has not yet been created.


Example: PreviousVersion method
'Example: PreviousVersion method

'This example script has not yet been created.


Example: Previous method
'Example: Previous method

'This example script has not yet been created.


Example: PrintDestination property
'Example: PrintDestination property

'This example script has not yet been created.


Example: PrintDocDescription property
'Example: PrintDocDescription property

'This example script has not yet been created.


Example: Printed event
'Example: Printed event

'This example script has not yet been created.


Example: PrinterName property
'Example: PrinterName property

'This example script has not yet been created.


Example: PrintGraphics property
'Example: PrintGraphics property

'This example script has not yet been created.


Example: PrintInBackground property
'Example: PrintInBackground property

'This example script has not yet been created.


Example: PrintManager property
'Example: PrintManager property

'This example script has not yet been created.


Example: PrintOut method
'Example: PrintOut method

' This example prints the current page of the current document.

' RUNTIME DEPENDENCIES: You must have an open document configured

' to an available printer and for this script to work.

.ActiveDocument.PrintSettings.PrintRange = $LtsPrintRangeCurrentPage

.PrintOut


Example: PrintPagesFrom property
'Example: PrintPagesFrom property

'This example script has not yet been created.


Example: PrintPagesTo property
'Example: PrintPagesTo property

'This example script has not yet been created.


Example: PrintPageType property
'Example: PrintPageType property

'This example script has not yet been created.


Example: PrintRange property
'Example: PrintRange property

'This example script has not yet been created.


Example: PrintSettings property
'Example: PrintSettings property

'This example script has not yet been created.


Example: Print method
'Example: Print method

' This example prints the current page of the current document.

' RUNTIME DEPENDENCIES: You must have an open document configured

' to an available printer and for this script to work.

.ActiveDocument.PrintSettings.PrintRange = $LtsPrintRangeCurrentPage

.Print


Example: Private property
'Example: Private property

'This example script has not yet been created.


Example: ProcessAccelKey method
'Example: ProcessAccelKey method

'This example script has not yet been created.


Example: PromoteOutlineLevel method
'Example: PromoteOutlineLevel method

'This example script has not yet been created.


Example: Promote method
'Example: Promote method

'This example script has not yet been created.


Example: PromptHidden property
'Example: PromptHidden property

'This example script has not yet been created.


Example: Prompt property
'Example: Prompt property

'This example script has not yet been created.


Example: ProtectedMode property
'Example: ProtectedMode property

'This example script has not yet been created.


Example: Purge method
'Example: Purge method

'This example script has not yet been created.


Example: QueryDrop method
'Example: QueryDrop method

'This example script has not yet been created.


Example: Query method
'Example: Query method

'This example script has not yet been created.


Example: QueueName property
'Example: QueueName property

'This example script has not yet been created.


Example: QuickAlignFrame method
'Example: QuickAlignFrame method

' This example creates a frame.  After the message box is closed, the

' frame is then horizontally centered.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FrameWidth as Integer

Dim FrameHeight as Integer

Dim X as Integer

Dim Y as Integer

FrameWidth = 1440

FrameHeight = 1440

X =	1440

Y =	1440

.InsertFrame FrameWidth,FrameHeight, X, Y

Messagebox "Click OK to center frame.",MB_OK,"Example Script"

.QuickAlignFrame $LwpQuickLayoutAlignHorzcenter


Example: QuickAlignTable method
'Example: QuickAlignTable method

' This example creates a table with 4 rows and 5 columns based upon the

' 'Default Table' style and then changes the alignment attribute to

' left aligned.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.QuickAlignTable $LwpQuickLayoutAlignLeft


Example: Quit event
'Example: Quit event

'


Example: Quit method
'Example: Quit method

' This example closes WordPro.

' RUNTIME DEPENDENCIES: None.

.Quit


Example: RadioButtons method
'Example: RadioButtons method

'This example script has not yet been created.


Example: ReadOnly property
'Example: ReadOnly property

'This example script has not yet been created.


Example: Read method
'Example: Read method

' This example creates a bag in the active division and then writes some data

' to the bag.  The data from the created bag is read and printed to the Lotus

' Script Output panel.  Next, data from all bags in the Bag Collection is

' printed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim BagName As String

Dim  MyBag As Bag

Dim BagData As String

BagData = "This is data for the bag."

LenBagData = Len(BagData)

BagName = .Division.Foundry.Create($LwpFoundryCreateTypeBag)

Set MyBag = .Division.Foundry.Bags.Item(BagName)

Stat = MyBag.Write(BagData, LenBagData)

If Stat = True Then

Print "BagData= " & MyBag.Read(LenBagData)

End If

Forall ThisBag In .Division.Foundry.Bags

ThisBag.Reset

Print "Name = " ThisBag.Name

Print "Length = " ThisBag.Length

Print ThisBag.Read(ThisBag.Length)

End Forall


Example: Redo method
'Example: Redo method

' This example types some text into the current document which is then

' undone and redone.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "Typing this text wil be be undone"

.Undo

.Redo


Example: Red property
'Example: Red property

'This example script has not yet been created.


Example: Refresh method
'Example: Refresh method

'This example script has not yet been created.


Example: RegisterWPDataSet method
'Example: RegisterWPDataSet method

' This example creates a dataset named 'PhoneNumbers' off of the application

' object.  Two dataset items are added and then printed to the Script Editor

' Output panel.  The dataset is then removed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim AppDataSet As WPDataSet

Set AppDataSet = .RegisterWPDataSet("PhoneNumbers")

AppDataSet.SetData "Mark","555-1234"

AppDataSet.SetData "Peyton","555-5678"

Print 	AppDataSet.GetData("Mark"," " )

Print 	AppDataSet.GetData("Peyton"," ")

.UnRegisterWPDataSet "PhoneNumbers"


Example: RelativeIndent property
'Example: RelativeIndent property

'This example script has not yet been created.


Example: RelativePageNum property
'Example: RelativePageNum property

'This example script has not yet been created.


Example: RelativeType property
'Example: RelativeType property

'This example script has not yet been created.


Example: RelativeXDistance property
'Example: RelativeXDistance property

'This example script has not yet been created.


Example: RelativeYDistance property
'Example: RelativeYDistance property

'This example script has not yet been created.


Example: Relative property
'Example: Relative property

'This example script has not yet been created.


Example: ReleaseNumber property
'Example: ReleaseNumber property

'This example script has not yet been created.


Example: Release method
'Example: Release method

' This example creates a new paragraph style and then deletes the style.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim StyleName As String

StyleName = "My New Char Style"

Style = .Division.Foundry.Create($LwpFoundryCreateTypeStyle, StyleName, 39)

With .Division.Foundry.CharacterStyles(Style)

.Font.Underline = True

.Font.FontColor.Blue = 128

.Font.FontColor.Red = 128

.Font.FontColor.Green = 0

End With

.Foundry.Release $LwpFoundryReleaseTypeStyle, 35, StyleName


Example: Reload method
'Example: Reload method

'This example script has not yet been created.


Example: RemoveBookmark method
'Example: RemoveBookmark method

' This example creates a new bookmark named "NewBookMark" and then removes it.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim MarkName As String

' Get the marker name for the currently selected text.

MarkName = .Mark($LwpMarkerTypeBookmark)

' Create the bookmark from the given marker name.

.Division.BookmarkManager.AddBookmark "NewBookMark", MarkName

Messagebox "Click OK to remove the bookmark. ",MB_OK,"Example Script"

' Get the marker name for this bookmark

MarkName = .Division.BookmarkManager.Bookmarks("NewBookMark").MarkerName

' The Bookmark Manager removes bookmarks by their marker name.

.Division.BookmarkManager.RemoveBookmark(MarkName)

' Since the bookmark has been deleted, remove its marker from the Markers

' collection.

.Division.Foundry.Markers(MarkName).DeleteMarker


Example: RemoveChildFromLayout method
'Example: RemoveChildFromLayout method

'This example script has not yet been created.


Example: RemoveDataFile method
'Example: RemoveDataFile method

' This example creates a data file for the current document.  Two records are

' added and the data file is then removed from the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateDataFile "~|", "Name~Address~City~State~Zip|", False, "C:\mergedat.lwp"

'Add some records to the virtual datafile

.MergeAddDataRecord "Jane Doe~100 Main St.~ Atlanta~ GA~30319|"

.MergeAddDataRecord "John Doe~100 Main St.~ Atlanta~ GA~30319|"

.ActiveDocument.MergeOptions.RemoveDataFile


Example: RemoveDdeLink method
'Example: RemoveDdeLink method

'This example script has not yet been created.


Example: RemoveDepOnDocFile method
'Example: RemoveDepOnDocFile method

'This example script has not yet been created.


Example: RemoveDivision method
'Example: RemoveDivision method

' This example creates and then removes a new division in the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

DivisionId = .ActiveDocument.AddDivision("NewDivision")

.ActiveDocument.RemoveDivision DivisionId


Example: RemoveEditor method
'Example: RemoveEditor method

' This example adds a new editor with read only rights to the current

' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim NewEditorName As String

Dim NewEditorInitials As String

NewEditorName = "Lotus User"

NewEditorInitials = "LU"

.ActiveDocument.EditorManager.AddEditorManager NewEditorName,

    NewEditorInitials

.ActiveDocument.EditorManager.RemoveEditorManager NewEditorName


Example: RemoveItem method
'Example: RemoveItem method

'This example script has not yet been created.


Example: RemoveNamedProperty method
'Example: RemoveNamedProperty method

' This example creates a named property, 'ExampleProp' on the active document

' and assigns it a value which is then printed to the Lotus Script Output

' panel.  The named property is then removed from the active document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Division.SetNamedProperty "ExampleProp", "Here is some data."

Print .Division.GetNamedProperty("ExampleProp")

Messagebox "Click OK to remove the named property. ",MB_OK,"Example Script"

.Division.RemoveNamedProperty "ExampleProp"


Example: RemovePersistentAccelerators method
'Example: RemovePersistentAccelerators method

'This example script has not yet been created.


Example: RemoveProperty method
'Example: RemoveProperty method

'This example script has not yet been created.


Example: Remove method
'Example: Remove method

'This example script has not yet been created.


Example: RenderClipBitmap method
'Example: RenderClipBitmap method

'This example script has not yet been created.


Example: RenderClipDIB method
'Example: RenderClipDIB method

'This example script has not yet been created.


Example: RenderClipMetafile method
'Example: RenderClipMetafile method

'This example script has not yet been created.


Example: RenderClipPalette method
'Example: RenderClipPalette method

'This example script has not yet been created.


Example: RenderedPageNumber property
'Example: RenderedPageNumber property

'This example script has not yet been created.


Example: Render method
'Example: Render method

'This example script has not yet been created.


Example: ReplaceAll method
'Example: ReplaceAll method

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script replaces all the cats with dogs.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.Application.FindAndReplace.ReplaceString = "dog"

.InitFindAndReplace True

Messagebox "Click OK to replace all.",MB_OK,"Example Script"

.ReplaceAll


Example: ReplaceAttributes property
'Example: ReplaceAttributes property

'This example script has not yet been created.


Example: ReplaceCmd method
'Example: ReplaceCmd method

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script finds the first 'cat' then replaces it with

' 'dog'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.Application.FindAndReplace.ReplaceString = "dog"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find

.ReplaceCmd


Example: ReplaceExactCase property
'Example: ReplaceExactCase property

'This example script has not yet been created.


Example: ReplaceFont property
'Example: ReplaceFont property

'This example script has not yet been created.


Example: ReplaceLanguage property
'Example: ReplaceLanguage property

'This example script has not yet been created.


Example: Replacements property
'Example: Replacements property

'This example script has not yet been created.


Example: ReplaceString property
'Example: ReplaceString property

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script finds the first 'cat' then replaces it with

' 'dog'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.Application.FindAndReplace.ReplaceString = "dog"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find

.ReplaceCmd


Example: ReplaceStyleName property
'Example: ReplaceStyleName property

'This example script has not yet been created.


Example: ReplaceWithProperties property
'Example: ReplaceWithProperties property

'This example script has not yet been created.


Example: Replace method
'Example: Replace method

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and the

' ReplaceString to "dog", and then displays a message box.

' When you click OK, the script finds the first 'cat' then replaces it with

' 'dog'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.Application.FindAndReplace.ReplaceString = "dog"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find

.Replace "$LwpReplaceObjectTypeWord","dog"


Example: RequestAndProcessData method
'Example: RequestAndProcessData method

'This example script has not yet been created.


Example: RequestRemarkOnClose property
'Example: RequestRemarkOnClose property

'This example script has not yet been created.


Example: RequireStartupScripts property
'Example: RequireStartupScripts property

'This example script has not yet been created.


Example: ResetFindAndReplace method
'Example: ResetFindAndReplace method

' This example inserts three identical sentences into the current document,

' clears the FindAndReplace settings, sets the FindString to "cat" and then

' displays a message box. When you click OK, the script finds the first 'cat'.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim SentenceCount As Integer

For SentenceCount = 1 To 3

.Text.InsertText "The sleep-deprived fox jumped over the gravity-challenged cat."

.Text.SplitParagraph

Next

.Application.ResetFindAndReplace

.Application.FindAndReplace.FindString = "cat"

.InitFindAndReplace True

Messagebox "Click OK to find and then replace.",MB_OK,"Example Script"

.Find


Example: ResetOnEachPage property
'Example: ResetOnEachPage property

'This example script has not yet been created.


Example: ResetWhen property
'Example: ResetWhen property

'This example script has not yet been created.


Example: Reset method
'Example: Reset method

' This example creates a bag in the active division and then writes some data

' to the bag.  The data from the created bag is read and printed to the Lotus

' Script Output panel.  Next, data from all bags in the Bag Collection is

' printed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim BagName As String

Dim  MyBag As Bag

Dim BagData As String

BagData = "This is data for the bag."

LenBagData = Len(BagData)

BagName = .Division.Foundry.Create($LwpFoundryCreateTypeBag)

Set MyBag = .Division.Foundry.Bags.Item(BagName)

Stat = MyBag.Write(BagData, LenBagData)

If Stat = True Then

Print "BagData= " & MyBag.Read(LenBagData)

End If

Forall ThisBag In .Division.Foundry.Bags

ThisBag.Reset

Print "Name = " ThisBag.Name

Print "Length = " ThisBag.Length

Print ThisBag.Read(ThisBag.Length)

End Forall


Example: Resize method
'Example: Resize method

' This example resizes the main application window.

' RUNTIME DEPENDENCIES: None

Dim AppWidth as Integer

Dim AppHeight as Integer

AppWidth = 8640

AppHeight = 5760

.ApplicationWindow.Resize  AppWidth, AppHeight


Example: RestartStyleName property
'Example: RestartStyleName property

'This example script has not yet been created.


Example: Restore method
'Example: Restore method

' This example restores the main application window.

.ApplicationWindow.Restore


Example: Rest property
'Example: Rest property

'This example script has not yet been created.


Example: Result property
'Example: Result property

'This example script has not yet been created.


Example: ResumePausedMacro property
'Example: ResumePausedMacro property

'This example script has not yet been created.


Example: RetrieveInternetFileAndOpen method
'Example: RetrieveInternetFileAndOpen method

' This example retrieves and opens Lotus' home page from the Internet.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim Location As String

Dim Proxy As String

Dim Port As Integer

Location = "http://www.lotus.com"

Proxy = "123.456.78.910"

Port = 1234

.RetrieveInternetFileAndOpen Location, "","",1,Proxy,Port


Example: RetrieveInternetFile method
'Example: RetrieveInternetFile method

' This example retrieves a stock symbol from the Internet.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim Location As String

Dim Proxy As String

Dim Port As Integer

Symbol = Inputbox ("What stock symbol","Retrieve Quote","IBM")

Location = "http://www.spacecom.com:8001/cgi-bin/getquote?TICKER=" + Symbol

Proxy = "123.456.78.910"

Port = 1234

FileName =  .RetrieveInternetFile(Location,"","",1,Proxy,Port)

.OpenDocument Filename, "", "HTML", "", False, True


Example: RevertToSaved method
'Example: RevertToSaved method

' This example returns to the last saved version of the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.RevertToSaved


Example: RevertToStyle method
'Example: RevertToStyle method

' This example inserts some sample text into the current document, selects

' the inserted text, modifies the font and alignment properties of that text,

' and then displays a message box.

' When you close the message box, the script uses the RevertToStyle method to

' cause all the text properties to revert back to the paragraph style assigned

' to that text.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

With .Text

.InsertText "This is some sample text."

.Select $LwpSelectObjectTypeParagraph

.Font.Size = 15.00

.Font.Bold = True

.Alignment.AlignmentType = $LtsAlignmentHorizCenter

 MessageBox "Click OK to revert text to style.",MB_OK,"Example Script"

.RevertToStyle $LwpStyleTypeParagraph

End With


Example: ReviewVersions method
'Example: ReviewVersions method

'This example script has not yet been created.


Example: ReviewVersions property
'Example: ReviewVersions property

'This example script has not yet been created.


Example: ReviseAcceptAll method
'Example: ReviseAcceptAll method

' This example accepts the revisions in the entire document for the specified ' author name.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ReviseAcceptAll False, "Peyton McManus", ""


Example: ReviseCancelAll method
'Example: ReviseCancelAll method

' This example accepts the revisions in the entire document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ReviseCancelAll 0, "", ""


Example: RevisionAccept method
'Example: RevisionAccept method

'This example script has not yet been created.


Word Pro: ReplaceStyleName property

 See list of classes

 See example

(Read-write) Enables the user to replace a paragraph style in Find & Replace.

Data Type

String

Syntax

replacestylenamevalue = [objectreference].ReplaceStyleName

[objectreference].ReplaceStyleName = replacestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Edit - Find & Replace Text, typing the character, ^p, in the "Replace with" box, clicking Options, clicking the Font button in the "Replace options" section, and choosing a paragraph style in the "Style" list box.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: ReplaceWithProperties property

 See list of classes

 See example

(Read-write) Enables the user to replace font properties in Find & Replace.

Data Type

Integer

Syntax

replacewithpropertiesvalue = [objectreference].ReplaceWithProperties

[objectreference].ReplaceWithProperties = replacewithpropertiesvalue

Legal values

The legal values for this property are -1 and 0 but you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to replace font properties in Find & Replace. If True, replaces the font properties that match the user setting. Equivalent to choosing Edit - Find & Replace Text, clicking Options, selecting "Include properties," clicking the Font button in the "Replace options" section, and selecting properties.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: RequestRemarkOnClose property

 See list of classes

 See example

(Read-write) Indicates whether or not a dialog box displays when a document closes and requests the current editor to enter a remark.

Data Type

Integer

Syntax

requestremarkonclosevalue = [objectreference].RequestRemarkOnClose

[objectreference].RequestRemarkOnClose = requestremarkonclosevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - TeamSecurity and selecting "Request Editor's remark on close" on the Editing Rights panel.


Topics Found:

Word Pro: DocControl class


Word Pro: RequireStartupScripts property

 See list of classes

 See example

(Read-write) Indicates whether or not startup scripts are required to run when a file is opened.

Data Type

Integer

Syntax

requirestartupscriptsvalue = [objectreference].RequireStartupScripts

[objectreference].RequireStartupScripts = requirestartupscriptsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - TeamSecurity and selecting "Require running of startup scripts" on the Other Protection panel.


Topics Found:

Word Pro: DocControl class


Word Pro: ResetOnEachPage property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

resetoneachpagevalue = [objectreference].ResetOnEachPage

[objectreference].ResetOnEachPage = resetoneachpagevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: LineNumberOptions class


Word Pro: ResetWhen property

 See list of classes

 See example

(Read-write) Resets the numbering for endnotes.

Data Type

Variant (Enumerated)

ResetOption

Syntax

resetwhenvalue = [objectreference].ResetWhen

[objectreference].ResetWhen = resetwhenvalue

Legal values

$LwpResetOptionEachDivision (1710) Increases endnote numbers throughout a division and resets with the first endnote in the next division.

$LwpResetOptionEachDivisiongroup (1711) Increases endnote numbers throughout a division group and resets with first endnote in the next division group.

$LwpResetOptionEachDoc (1708) Increases endnote numbers each time you add a new endnote and continues increasing throughout the document.

$LwpResetOptionEachPage (1709) Increases a footnnote number on a page and resets with the first footnote on the next page. This value only resets footnote numbers on a page. It cannot be used to reset page numbers.

Usage

Equivalent to choosing Create - Footnote/Endnote, clicking Options, and selecting an option from the "Reset footnote numbers on each" box.


Topics Found:

Word Pro: EndnoteDivisionGroupNum class

Word Pro: EndnoteDivisionNum class

Word Pro: EndnoteDocNum class

Word Pro: FootnoteNumbering class

Word Pro: FootnoteNumOpt class


Word Pro: RestartStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

restartstylenamevalue = [objectreference].RestartStyleName

[objectreference].RestartStyleName = restartstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: SilverBullet class


Word Pro: Rest property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

restvalue = [objectreference].Rest

[objectreference].Rest = restvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: Result property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

resultvalue = [objectreference].Result

[objectreference].Result = resultvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: ResumePausedMacro property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].ResumePausedMacro = resumepausedmacrovalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Macro class


Word Pro: RevisionMarkMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

revisionmarkmodevalue = [objectreference].RevisionMarkMode

[objectreference].RevisionMarkMode = revisionmarkmodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: RevisionType property

 See list of classes

 See example

(Read-only) Indicates whether or not an object was inserted or deleted while in revision marking mode.

Data Type

Data type for this property is Integer which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

revisiontypevalue = [objectreference].RevisionType

Legal values

Value	Effect
$LwpRevisionTypeNone (1718)	Indicates that no revisions have been made to the object.
$LwpRevisionTypeInsert (1719)	Indicates that an object was inserted.
$LwpRevisionTypeDelete (1720)	Indicates that an object was deleted.
$LwpRevisionTypeDontcare (1721)	Indicates that revision information for the specified object is irrelevant.
Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: Revision class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RevMarkCharacter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

revmarkcharactervalue = [objectreference].RevMarkCharacter

[objectreference].RevMarkCharacter = revmarkcharactervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: RevisionDisplay class


Word Pro: RevMarkPosition property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MarkPosition

Syntax

revmarkpositionvalue = [objectreference].RevMarkPosition

[objectreference].RevMarkPosition = revmarkpositionvalue

Legal values

$LwpMarkPositionBothSides (585)

$LwpMarkPositionLeft (583)

$LwpMarkPositionRight (584)

Usage


Topics Found:

Word Pro: RevisionDisplay class


Word Pro: RevMarkType property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

MarkType

Syntax

revmarktypevalue = [objectreference].RevMarkType

[objectreference].RevMarkType = revmarktypevalue

Legal values

$LwpMarkTypeBars (587)

$LwpMarkTypeChar (588)

$LwpMarkTypeNone (586)

Usage


Topics Found:

Word Pro: RevisionDisplay class


Word Pro: RightAlign property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

CommandState

Syntax

rightalignvalue = [objectreference].RightAlign

[objectreference].RightAlign = rightalignvalue

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Topics Found:

Word Pro: Bullet class


Word Pro: RightExternalMargin property

 See list of classes

 See example

(Read-write) Allows you to set the amount of margin space that is present to the right of a layout object.

Data Type

Long

Syntax

rightexternalmarginvalue = [objectreference].RightExternalMargin

[objectreference].RightExternalMargin = rightexternalmarginvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property cannot be set individually for frame layout objects within Word Pro. It is combined with all external margin values in the "Padding around border" setting, located on the Size & Margins panel of the InfoBox.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RightMousePropId property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

rightmousepropidvalue = [objectreference].RightMousePropId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: RightMousePropText property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

rightmouseproptextvalue = [objectreference].RightMousePropText

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: Right property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

rightvalue = [objectreference].Right

[objectreference].Right = rightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: RunMacroOnDocEvents property

 See list of classes

 See example

(Read-write) Enables scripts to run on the document open event.

Data Type

Integer

Syntax

runmacroondoceventsvalue = [objectreference].RunMacroOnDocEvents

[objectreference].RunMacroOnDocEvents = runmacroondoceventsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "Document open scripts" option in the "Disable" box on the General panel of the Word Pro Preferences dialog box. If the value of this property is True (-1), Word Pro allows scripts to run on the document open event. If the value of this property is False (0), Word Pro does not allow scripts to run on the document open event.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: RunMacroOnLoad property

 See list of classes

 See example

(Read-write) Enables application startup scripts to run.

Data Type

Integer

Syntax

runmacroonloadvalue = [objectreference].RunMacroOnLoad

[objectreference].RunMacroOnLoad = runmacroonloadvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "Application startup scripts" option in the "Disable" box on the General panel of the Word Pro Preferences dialog box. If the value of this property is True (-1), Word Pro allows scripts to run when the application loads. If the value of this property is False (0), Word Pro does not allow scripts to run when the application loads.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: RunOnCloseDoc property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

runoncloseddocvalue = [objectreference].RunOnCloseDoc

[objectreference].RunOnCloseDoc = runoncloseddocvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: AutoRunMacro class


Word Pro: RunOnNewDoc property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

runonnewdocvalue = [objectreference].RunOnNewDoc

[objectreference].RunOnNewDoc = runonnewdocvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: AutoRunMacro class


Word Pro: RunOnOpenDoc property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

runonopenDocvalue = [objectreference].RunOnOpenDoc

[objectreference].RunOnOpenDoc = runonopenDocvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: AutoRunMacro class


Word Pro: Saved property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

savedvalue = [objectreference].Saved

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class


Word Pro: SaveSnapShot property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

SnapShot

Syntax

savesnapshotvalue = [objectreference].SaveSnapShot

[objectreference].SaveSnapShot = savesnapshotvalue

Legal values

$LwpSnapShotNosave (1768)

$LwpSnapShotSave (1769)

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: ScaleHeight property

 See list of classes

 See example

(Read-write) The height of a graphic object that uses custom graphic scaling.

Data Type

Long

Syntax

scaleheightvalue = [objectreference].ScaleHeight

[objectreference].ScaleHeight = scaleheightvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

A graphic object will be sized using the ScaleHeight property if the layout object uses custom graphic scaling. You can specify that a layout object use custom graphic scaling by setting the ScaleMode property to $LwpScaleTypeCustom.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ScaleMode property

 See list of classes

 See example

(Read-write)

[JoinScaleType]

Determines how the width and height of a join is calculated.

[Layout]

Determines how the graphic content of a layout object is scaled.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

scalemodevalue = [objectreference].ScaleMode

[objectreference].ScaleMode = scalemodevalue

Legal values

[JoinScaleType]

See the explanations for scaling (scalable) and no scaling (fixed) in the Usage section below.

Value	Effect
$LwpJoinScaleTypeNoScaling (428)
$LwpJoinScaleTypeScaling (427)

[Layout]

Value	Effect
$LwpScaleTypeCustom (1725)	Custom rectangle (ScaleWdith and ScaleHeight) (checks MaintainAspectRatio)
$LwpScaleTypeFitInFrame (1723)	Fits into the frame (checks MaintainAspectRatio)
$LwpScaleTypeOriginalSize (1722)	The graphic is not scaled
$LwpScaleTypePercentage (1724)	Scales by percentage (see ScalePercentage)
Usage

A join object can be scalable or fixed.

Scalable join objects

You can set the ScaleMode property of a scalable join object to scaling or no scaling. Setting the ScaleMode property to scaling for a scalable join object causes the join object's width and height to be a function of the page, table layout, or frame container's height and width and the Percentage property. For more information, see the Percentage property.

Setting the ScaleMode property to no scaling for a scalable join object causes the width and height of a join object to be the same as the width and height properties of the join object. The width and height of the join object does not change as the container's width and height changes.

The width and height of a scalable join with a no scaling setting are fixed. However, you can change the  width and height properties of a join object.

Fixed join objects

A fixed join object has predefined Word Pro width and height properties. Therefore, you cannot change the width and height of a fixed join object. For a list of join objects that are scalable or fixed, see JoinType property.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Join class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ScalePercentage property

 See list of classes

 See example

(Read-write) Indicates, in tenths of percentage points, the size of a layout object's graphic content in relation to its original size.

Data Type

Long

Syntax

scalepercentagevalue = [objectreference].ScalePercentage

[objectreference].ScalePercentage = scalepercentagevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

A graphic object will be sized using the ScalePercentage property if the layout object uses a percentage graphic scaling setting. You can specify that a layout object use percentage graphic scaling by setting the ScaleMode property to $LwpScaleTypePercentage.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ScaleWidth property

 See list of classes

 See example

(Read-write) The width of a graphic object which uses custom graphic scaling.

Data Type

Long

Syntax

scalewidthvalue = [objectreference].ScaleWidth

[objectreference].ScaleWidth = scalewidthvalue

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

A graphic object will be sized using the ScaleWidth property if the layout object uses custom graphic scaling. You can specify that a layout object use custom graphic scaling by setting the ScaleMode property to $LwpScaleTypeCustom.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ScreenPositionX property

 See list of classes

 See example

(Read-only) Indicates that, if displayed, the icon bar object will be in a horizontal position.

Data Type

Long

Syntax

screenpositionxvalue = [objectreference].ScreenPositionX

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Gives the coordinate of the icon bar's horizontal position on the workspace.


Topics Found:

Word Pro: IconBar class


Word Pro: ScreenPositionY property

 See list of classes

 See example

(Read-only) Indicates that, if displayed, the icon bar object will be in a vertical position.

Data Type

Long

Syntax

screenpositionyvalue = [objectreference].ScreenPositionY

Legal values

Data type of this property is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

Gives the coordinate of the icon bar's vertical position on the workspace.


Topics Found:

Word Pro: IconBar class


Word Pro: SectionName property

 See list of classes

 See example

(Read-only) The internal name of the current section.

Data Type

String

Syntax

sectionnamevalue = [objectreference].SectionName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

If the insertion point is not located within the boundaries of a named section, this property returns a null string ("").


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: Section property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

sectionvalue = [objectreference].Section

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: SelectCount property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

selectcountvalue = [objectreference].SelectCount

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: SelectedPages property

 See list of classes

 See example

(Read-write) Allows you to specify the page numbers that you want to print in a document.

Data Type

String

Syntax

selectedpagesvalue = [objectreference].SelectedPages

[objectreference].SelectedPages = selectedpagesvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

You cannot use this property unless the $LtsPrintRangeSelectedPages value is set to the PrintRange property. For information, see the PrintRange property.

Equivalent to choosing File - Print, selecting "Selected pages only," clicking "Selected Pages," and selecting the desired options in the Selected Pages dialog box.

You must place quotes around the page numbers to indicate a string expression.


Topics Found:

Word Pro: PrintSettings class


Word Pro: SelectionHidden property

 See list of classes

 See example

(Read-only) Indicates whether or not the selected text is marked as hidden.

Data Type

Integer

Syntax

selectionhiddenvalue = [objectreference].SelectionHidden

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

If the text at either end of the selection is marked at hidden, this property is True. If text in the middle of the selection is marked as hidden, but the text at both ends is not marked as hidden, this property returns a value of False.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: SelectionType property

 See list of classes

 See example

(Read-only) Indicates what type of object is selected in the current text stream.

Data Type

Variant (Enumerated)

Syntax

selectiontypevalue = [objectreference].SelectionType

Legal values

Value	Effect
$LwpSelectionTypeNone (1760)	Indicates that nothing is selected in the current text stream.
$LwpSelectionTypeText (1761)	Indicates that text is selected in the current text stream.
$LwpSelectionTypeCell (2376)	Indicates that a cell is selected in the current text stream.
$LwpSelectionTypeFrame (2377)	Indicates that a frame is selected in the current text stream.
Usage

If more than one of these types of objects is in the selection, this property indicates which type of object is uppermost in the focus.


Topics Found:

Word Pro: BaseTable class

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class

Word Pro: Text class

Word Pro: TextDocument class

Word Pro: TextMarker class


Word Pro: SelectTab property

 See list of classes

 See example

(Read-write)

[Ruler]

Represents the currently selected tab on the ruler. In addition, this property coordinates the tab setting between the Set Tab dialog box and the ruler.

[SetTabsDialog]

Represents the currently selected tab in the Set Tabs dialog box. In addition, this property coordinates the tab setting between the Set Tab dialog box and the ruler.

Data Type

Integer

Syntax

selecttabvalue = [objectreference].SelectTab

[objectreference].SelectTab = selecttabvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

[SetTabsDialog]

This property is an internal Word Pro setting that coordinates the tab setting between the Set Tabs dialog box and the ruler.


Topics Found:

Word Pro: Ruler class

Word Pro: SetTabsDialog class


Word Pro: SelectType property

 See list of classes

 See example

(Read-write) Allows you to control whether or not a specific type of layout is selected when the user enters that layout. For example, you can set a property to select the parent layout, the layout itself, or no layout.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

selecttypevalue = [objectreference].SelectType

[objectreference].SelectType = selecttypevalue

Legal values

Value	Effect
$LwpLayoutSelectNone (524)	No layout is selected when the layout is clicked. The currently selected layout or the default layout opens when the layout is clicked.
$LwpLayoutSelect (525)	The layout itself is selected.
$LwpLayoutSelectParent (2050)	The parent of the layout is selected when you click on one of the layouts which comprises a NoteLayout.
Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ServerFormat property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

serverformatvalue = [objectreference].ServerFormat

[objectreference].ServerFormat = serverformatvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: SetContextOfBar property

 See list of classes

 See example

(Read-write) Allows you to query or specify the context in which an icon bar will be displayed when you are working in a specific context. Word Pro has several different contexts (always, in text, in a frame, in columns, in a table or table cell, in a drawing). You can specify in which of these contexts you want the bar  displayed.

Data Type

Integer

Syntax

[objectreference].SetContextOfBar = setcontextofbarvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can set the display of a specific icon bar set. Equivalent to the value found in the "Bar can be displayed when context is" box in the SmartIcons Setup dialog box.


Topics Found:

Word Pro: IconBar class


Word Pro: ShowDivisionTabs property

 See list of classes

 See example

(Read-write) Indicates whether or not all divisions tabs, including hidden division tabs, are shown in a document.

Data Type

Integer

Syntax

showdivisiontabsvalue = [objectreference].ShowDivisionTabs

[objectreference].ShowDivisionTabs = showdivisiontabsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Word Pro can contain hidden tabs. For example, Word Pro always places scripts in a division, but the script division tab will not display unless you set the ShowDivisionTabs property.

Equivalent to choosing File - TeamSecurity and selecting "Display all division tabs in document" on the Other Protection panel.


Topics Found:

Word Pro: DocControl class


Word Pro: ShowGraphicPreview property

 See list of classes

 See example

(Read-write) Enables graphic preview in the Import Picture dialog box.

Data Type

Integer

Syntax

showgraphicpreviewvalue = [objectreference].ShowGraphicPreview

[objectreference].ShowGraphicPreview = showgraphicpreviewvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1). However, this property always retains the last value selected by the user.

Usage

Equivalent to the "Preview" box on the Import Picture dialog box. If the value for this property is True (-1), Word Pro previews the chosen picture before you click OK. If the value for this property is False (0), Word Pro does not preview the chosen picture when you select it.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: ShowHiddenText property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

showhiddentextvalue = [objectreference].ShowHiddenText

[objectreference].ShowHiddenText = showhiddentextvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionOptions class


Word Pro: ShowInContext property

 See list of classes

 See example

(WriteOnly) Allows you to enable or disable the display of an icon bar object. This property acts as an on/off switch and, if selected, displays a specific set of icons whenever you are working in a specific part of a document. If turned on, the bar will display in its specified context; if turned off, the bar will never display.

Data Type

Integer

Syntax

[objectreference].ShowInContext = showincontextvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Used when you want to see an icon bar set in a specific context. Equivalent to the value found in the "Bar is enabled to display during its context" box in the SmartIcons Setup dialog box. You can turn it on (displays a specific set whenever you are working in a specific context) or off (turns off the display).

For example, if you turn off the Comment Tools icon bar and then use View - Show/Hide - Comment Tools to redisplay this bar, Comment Tools would then be checked (to display) in the SmartIcons Setup dialog box.


Topics Found:

Word Pro: IconBar class


Word Pro: ShowMailDisabled property

 See list of classes

 See example

(Read-write) Enables the mail notification icon.

Data Type

Integer

Syntax

showmaildisabledvalue = [objectreference].ShowMailDisabled

[objectreference].ShowMailDisabled = showmaildisabledvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "New mail indicator" option in the "Disable field" on the General panel of the Word Pro Preferences dialog box. If the value of this property is True (-1), Word Pro does not display the new mail icon in the status bar. If the value of this property is False (0), Word Pro displays the new mail icon in the status bar. When you load Word Pro the first time, the mail icon is disabled to aid startup speed.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: ShowNoWelcomeBox property

 See list of classes

 See example

(Read-write) Enables the Welcome dialog box.

Data Type

Integer

Syntax

shownowelcomeboxvalue = [objectreference].ShowNoWelcomeBox

[objectreference].ShowNoWelcomeBox = shownowelcomeboxvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the "Welcome Dialog" option in the "Disable" field on the General panel of the Word Pro Preferences dialog box. If the value of this property is True (-1), Word Pro displays the Welcome dialog box. If the value of this property is False (0), Word Pro does not display the Welcome dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: ShowStatistics property

 See list of classes

 See example

(Read-write) A flag that turns the compilation of document statistics that displays when Grammar Check finishes on or off.

Data Type

Integer

Syntax

showstatisticsvalue = [objectreference].ShowStatistics

[objectreference].ShowStatistics = showstatisticsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this property to set the flag on or off that displays the document statistics when Grammar Check completes. Equivalent to choosing Edit - Check Grammar, running Grammar Check, and reviewing the document statistics in the Readability Statistics dialog box, which automatically displays when Grammar Check is finished.


Topics Found:

Word Pro: Grammar class


Word Pro: ShowTabs property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

showtabsvalue = [objectreference].ShowTabs

[objectreference].ShowTabs = showtabsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DivisionInfo class

Word Pro: IndexSection class

Word Pro: Section class


Word Pro: SizeStyleName property

 See list of classes

 See example

(Read-write) The size information for a font.

Data Type

String

Syntax

sizestylenamevalue = [objectreference].SizeStyleName

[objectreference].SizeStyleName = sizestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: ParagraphStyle class


Word Pro: Size property

 See list of classes

 See example

(Read-write)

Data Type

Points

Syntax

sizevalue = [objectreference].Size

[objectreference].Size = sizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class

Word Pro: Index class


Word Pro: SizingUnitName property

 See list of classes

 See example

(Read-only) The name and abbreviation for the name of the units in the SizingUnits property.

Data Type

String

Syntax

sizingunitnamevalue = [objectreference].SizingUnitName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the SizingUnits property. The SizingUnits property can have four values; therefore, this property can have four values:

SizingUnits property value	SizingUnitName property value (language specific)
$LtsScaleModeCentimeter (1056964840)	Centimeters (cm)
$LtsScaleModeInch (1056964838)	Inches (in)
$LtsScaleModePoint (1056964837)	Points (pts)
$LtsScalePica (1728)	Picas (pi)


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SizingUnits property

 See list of classes

 See example

(Read-write) The default scaling unit chosen by the user in the Word Pro Preferences dialog box.

Data Type

Variant (Enumerated)

Syntax

sizingunitsvalue = [objectreference].SizingUnits

[objectreference].SizingUnits = sizingunitsvalue

Legal values

$LtsScaleModeCentimeter (1056964840) Equivalent to "Centimeters (cm)."

$LtsScaleModeInch (1056964838) Equivalent to "Inches (in)."

$LtsScaleModePoint (1056964837) Equivalent to "Points (pts)."

$LwpScaleModePica (1728) Equivalent to "Picas (pi)."

Usage

Equivalent to the options in the "Measure in" list box on the General panel of the Word Pro Preferences dialog box. This property does not correspond to the Custom measurement dialog boxes for line spacing and paragraph spacing.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Skipped property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

CommandState

Syntax

skippedvalue = [objectreference].Skipped

[objectreference].Skipped = skippedvalue

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Topics Found:

Word Pro: Bullet class


Word Pro: SkipWordMode property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

skipwordmodevalue = [objectreference].SkipWordMode

[objectreference].SkipWordMode = skipwordmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Attributes class


Word Pro: SmallCaps property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

smallcapsvalue = [objectreference].SmallCaps

[objectreference].SmallCaps = smallcapsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: FontMetrics class

Word Pro: WPApplication class


Word Pro: SmallFileFormat property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

smallfileformatvalue = [objectreference].SmallFileFormat

[objectreference].SmallFileFormat = smallfileformatvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: SmartFill property

 See list of classes

 See example

(Read-write) An instance of the SmartFillCollection class. Use this object to access the SmartFill object for the current session of Word Pro.

Data Type

SmartFillCollection

Syntax

[objectreference].SmartFill = smartfillvalue

smartfillvalue = [objectreference].SmartFill

Legal values

Always contains an instance of the SmartCorrectCollection class.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SmartLevel property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

CommandState

Syntax

smartlevelvalue = [objectreference].SmartLevel

[objectreference].SmartLevel = smartlevelvalue

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Topics Found:

Word Pro: Numbering class


Word Pro: SnapshotOffset property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

snapshotoffsetvalue = [objectreference].SnapshotOffset

[objectreference].SnapshotOffset = snapshotoffsetvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Index class


Word Pro: SnapshotPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

snapshotpathvalue = [objectreference].SnapshotPath

[objectreference].SnapshotPath = snapshotpathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Index class


Word Pro: SnapshotSize property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

snapshotsizevalue = [objectreference].SnapshotSize

[objectreference].SnapshotSize = snapshotsizevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Index class


Word Pro: SortNumbers property

 See list of classes

 See example

(Read-write) Specifies whether words or numbers are positioned first or last in a row.

Data Type

Variant (Enumerated)

SortNumberOrder

Syntax

sortnumbersvalue = [objectreference].SortNumbers

[objectreference].SortNumbers = sortnumbersvalue

Legal values

$LwpSortNumberOrderFirst (1770) Specifies if a word or number is positioned first in a row.

$LwpSortNumberOrderLast (1771) Specifies if a word or number is positioned last in a row.

Usage

This property specifies whether words or numbers are positioned first or last in a row. For example, if you select "First" in a Last-Name First-Name "Name" field, Word Pro lists the names alphabetically by last name. If you select "Last" in a Last-Name First-Name "Name" field, Word Pro lists the names alphabetically by first name.

Equivalent to choosing Sort - Text and selecting an option in the "Word" box.


Topics Found:

Word Pro: SortOptions class


Word Pro: SortOrder property

 See list of classes

 See example

(Read-write) Allows you to specify an ascending (A - Z or 0 - 9) or a descending (Z - A or 9 - 0) sort order.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

sortordervalue = [objectreference].SortOrder

[objectreference].SortOrder = sortordervalue

Legal values

Value	Effect
$LtsSortAscending (1056964770)	Sorts the data from A to Z or 0 to 9.
$LtsSortDescending (1056964772)	Sorts the data from Z to A or 9 to 0.
Usage

Equivalent to choosing Text -  Sort and selecting "Ascending" or "Descending" in the desired sort level "Order" box.


Topics Found:

Word Pro: SortKey class


Word Pro: SortType property

 See list of classes

 See example

(Read-write) Specifies whether the sorting for a level is done numerically or alphanumerically.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

sorttypevalue = [objectreference].SortType

[objectreference].SortType = sorttypevalue

Legal values

Value	Effect
$LwpSortTypeAlphanumeric (1772)	Indicates that the sort will be done alphanumerically.
$LwpSortTypeNumeric (1773)	Indicates that the sort will be done numerically.
Usage

Equivalent to choosing Text - Sort and selecting either "Alphanumeric" or "Numeric" in the "Type" box for a specific sort level.


Topics Found:

Word Pro: SortKey class


Word Pro: SortWordOption property

 See list of classes

 See example

(Read-write) Specifies whether to sort text by all words, the first or second word, or by any word you select.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

sortwordoptionvalue = [objectreference].SortWordOption

[objectreference].SortWordOption = sortwordoptionvalue

Legal values

Value	Effect
$LwpSortWhichWordAllwords (1776)	Word Pro sorts on every character in the chosen field.
$LwpSortWhichWordFirstword (1774)	Word Pro sorts on the first word of the chosen field.
$LwpSortWhichWordLastword (1775)	Word Pro sorts on the last word of the chosen field.
$LwpSortWhichWordOther (1777)	Word Pro sorts on the word selected in the "Sort on a Word" dialog.
Usage

Equivalent to choosing Text - Sort and selecting "First," "Last," "All," or "Other" from the desired sort level "Word" box.


Topics Found:

Word Pro: SortKey class


Word Pro: SortWord property

 See list of classes

 See example

(Read-write) Allows you to sort on a specific word within a field.

Data Type

Integer

Syntax

sortwordvalue = [objectreference].SortWord

[objectreference].SortWord = sortwordvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Text -  Sort, selecting "Other" from one of the desired "Word" boxes, and selecting a number from the "Word on which to sort" box.

If "From end of field" is selected, Word Pro will sort on the word number that you specified, counting backwards from the last word of the sort field.


Topics Found:

Word Pro: SortKey class


Word Pro: SpaceAbove property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

spaceabovevalue = [objectreference].SpaceAbove

[objectreference].SpaceAbove = spaceabovevalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: FootnoteContSep class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class


Word Pro: SpaceBelow property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

spacebelowvalue = [objectreference].SpaceBelow

[objectreference].SpaceBelow = spacebelowvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: FootnoteContSep class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class


Word Pro: SpacesBetweenSentences property

 See list of classes

 See example

(Read-write) Indicates the number of spaces between sentences that will be allowed in a sentence in Grammar Check.

Data Type

Integer

Syntax

spacesbetweensentencesvalue = [objectreference].SpacesBetweenSentences

[objectreference].SpacesBetweenSentences = spacesbetweensentencesvalue

Legal values

The legal values for this property are 1 or 2.

Usage

Use this property to set the number of spaces between sentences, either 1 or 2. Equivalent to choosing Edit - Check Grammar, clicking Options, and 1 or 2 in the "Number of spaces between sentences" field, on the Grammatical Style panel.


Topics Found:

Word Pro: Grammar class


Word Pro: SpacingStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

spacingstylenamevalue = [objectreference].SpacingStyleName

[objectreference].SpacingStyleName = spacingstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ParagraphStyle class


Word Pro: SpacingUnitName property

 See list of classes

 See example

(Read-only) The abbreviation for the name of the units in the SpacingUnits property.

Data Type

String

Syntax

spacingunitnamevalue = [objectreference].SpacingUnitName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the SpacingUnits property. The SpacingUnits property can have four values; therefore, this property can have four values:

SpacingUnits property value	SpacingUnitName property value (language specific)
$LtsScaleModeCentimeter (1056964840)	cm
$LtsScaleModeInch (1056964838)	in
$LtsScaleModePoint (1056964837)	pts
$LtsScalePica (1728)	pi


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SpacingUnits property

 See list of classes

 See example

(Read-write) The scaling unit used for displaying spacing measurements in Word Pro.

Data Type

Variant (Enumerated)

Syntax

spacingunitsvalue = [objectreference].SpacingUnits

[objectreference].SpacingUnits = spacingunitsvalue

Legal values

$LtsScaleModeCentimeter (1056964840) Default for Japanese product.

$LtsScaleModeInch (1056964838)

$LtsScaleModePoint (1056964837)

$LwpScaleModePica (1728) Default.

Usage

Equivalent to the Custom measurement dialog boxes for line spacing and paragraph spacing. Not equivalent to the "Measure in" list box on the General panel of the Word Pro Preferences dialog box. To change the default scaling unit, use the ScalingUnits property on the UserInterfacePrefs class.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SpellCheckInitialCaps property

 See list of classes

 See example

(Read-write) Enables Spell Check to skip words that have the first letter capitalized.

Data Type

Integer

Syntax

spellcheckinitialcapsvalue = [objectreference].SpellCheckInitialCaps

[objectreference].SpellCheckInitialCaps = spellcheckinitialcapsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "Check words with initial caps" option in the Spell Check Options dialog box. If the value is False (0), Spell Check skips words with initial caps. If the value is True (-1), Spell Check checks words that have initial caps.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SpellCheckRepeatedWords property

 See list of classes

 See example

(Read-write) Enables Spell Check to skip duplicated words.

Data Type

Integer

Syntax

spellcheckrepeatedwordsvalue = [objectreference].SpellCheckRepeatedWords

[objectreference].SpellCheckRepeatedWords = spellcheckrepeatedwordsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "Check for repeated words" option in the Spell Check Options dialog box. If the value is False (0), Spell Check skips repeated words if they are spelled correctly. If the value is True (-1), Spell Check flags duplicated words.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SpellCheckUserDictAlternatives property

 See list of classes

 See example

(Read-write) Enables Spell Check to search the user dictionary for spelling alternatives.

Data Type

Integer

Syntax

spellcheckuserdictalternativesvalue = [objectreference].SpellCheckUserDictAlternatives

[objectreference].SpellCheckUserDictAlternatives = spellcheckuserdictalternativesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the "Include user dictionary alternatives" option in the Spell Check Options dialog box. If the value for this property is True (-1), Spell Check searches the user dictionary for spelling alternatives. If the value for this property is False (0), Spell Check searches only the current language dictionary for spelling alternatives.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SpellCheckWordsWithNums property

 See list of classes

 See example

(Read-write) Enables Spell Check to check words with numbers in them.

Data Type

Integer

Syntax

spellcheckwordswithnumsvalue = [objectreference].SpellCheckWordsWithNums

[objectreference].SpellCheckWordsWithNums = spellcheckwordswithnumsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is True (-1).

Usage

Equivalent to the "Check words with numbers" box in the Spell Check Options dialog box. If the value is True (-1), Spell Check checks words that include numbers (for example, te34st). If the value for this property is False (0), Spell Check skips words that include numbers.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: SplitPercentage property

 See list of classes

 See example

(Read-write) When you split the .MDI window for a special view, this property is the percentage of the .MDI window that you want the new window to use.

Data Type

Integer

Syntax

splitpercentagevalue = [objectreference].SplitPercentage

[objectreference].SplitPercentage = splitpercentagevalue

Legal values

Default is from 1 to 99.

Usage

Equivalent to the View - Split Top-Bottom and View - Split Left-Right menu options in Word Pro.

If the SplitWindow property is True (-1), then the window is split when it is created. You can use this property to set the percentage of the .MDI window for the new window. Other important properties include HorizontalSplitWindow and VerticalSplitWindow. You can also refer to the NewWindow method of WPApplication.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: StartColumns property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

startcolumnsvalue = [objectreference].StartColumns

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: StartingColOfSelection property

 See list of classes

 See example

(Read-only) Returns the ID number of the first column included in a selection of table cells.

Data Type

Integer

Syntax

startingcolofselectionvalue = [objectreference].StartingColOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The column ID is a zero based value, which means that the first column in a table has an ID value of zero.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: StartingColStringOfSelection property

 See list of classes

 See example

(Read-only) Returns a string ID value which represents the first column contained in a selection of cells.

Data Type

String

Syntax

startingcolstringofselectionvalue = [objectreference].StartingColStringOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

String column ID values are calculated alphabetically from left to right. The first column of a table has a StartingColStringOfSelection value of "A." Column number 27 has a string ID of "AA."


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: StartingNumber property

 See list of classes

 See example

(Read-write) The first number used to reference an endnote in a document.

Data Type

Integer

Syntax

startingnumbervalue = [objectreference].StartingNumber

[objectreference].StartingNumber = startingnumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The first number used to reference an endnote number can start with any number. If you combine endnotes that are located in different documents into a single document, you can create a continuous endnote numbering scheme by setting the StartingNumber property to a specific endnote in the document.

Equivalent to choosing Create - Footnote/Endnote, clicking Options, and selecting a number in the "Starting at" box on the Numbering panel.


Topics Found:

Word Pro: EndnoteDivisionGroupNum class

Word Pro: EndnoteDivisionNum class

Word Pro: EndnoteDocNum class

Word Pro: FootnoteNumbering class

Word Pro: FootnoteNumOpt class


Word Pro: StartingRowOfSelection property

 See list of classes

 See example

(Read-only) Returns the number of the first row included in a selection of table cells.

Data Type

Integer

Syntax

startingrowofselectionvalue = [objectreference].StartingRowOfSelection

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The row ID is a zero based value, which means that the first row in a table has an ID value of zero.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: StartRow property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

startrowvalue = [objectreference].StartRow

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextMarker class


Word Pro: Start property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

StartType

Syntax

startvalue = [objectreference].Start

[objectreference].Start = startvalue

Legal values

$LwpStartTypeNextevenpage (1827)

$LwpStartTypeNextoddpage (1826)

$LwpStartTypeNextpage (1824)

$LwpStartTypeThispage (1825)

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: UseWhen class


Word Pro: StateID property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

stateidvalue = [objectreference].StateID

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Division class

Word Pro: Marker class

Word Pro: PowerField class

Word Pro: RubyMarker class

Word Pro: TableMarker class

Word Pro: TextDocument class

Word Pro: TextMarker class


Word Pro: StatusBarVisible property

 See list of classes

 See example

(Read-only) A flag that tells you whether or not the StatusBar is turned on.

Data Type

Integer

Syntax

statusbarvisiblevalue = [objectreference].StatusBarVisible

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default value is True (-1).

Usage

If you are in Clean Screen mode, the value is False (0).


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: StatusSpellReplaceAll property

 See list of classes

 See example

(Read-write) Enables Spell Check to replace the currently highlighted word or to replace all words.

Data Type

Integer (Bool)

Syntax

statusspellreplaceallvalue = [objectreference].StatusSpellReplaceAll

[objectreference].StatusSpellReplaceAll = statusspellreplaceallvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the Replace and Replace All buttons on the Spell Check bar.

If the value is False (0), Spell Check replaces only the currently highlighted word. If the value is True (-1), Spell Check replaces all instances of this error with the selected word or with your edit in the "Word in question" box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: StyleExceptions property

 See list of classes

 See example

(Read-only) Provides a Long numeric value that indicates which style attributes of an object have been overridden.

Data Type

The data type for this parameter is Long which allows the value of this parameter to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these values when you want Word Pro to combine the features listed below. Use the OR operator to combine values.

Syntax

styleexceptionsvalue = [objectreference].StyleExceptions

Legal values

[Layout]

LwpLayStyOverSize (&H1)

LwpLayStyOverPlacement (&H2)

LwpLayStyOverSizeAndPlacement (&H3)

LwpLayStyOverMargins (&H4)

LwpLayStyOverBorders (&H8)

LwpLayStyOverBackground (&H10)

LwpLayStyOverJoins (&H20)

LwpLayStyOverShadow (&H40)

LwpLayStyOverTabs (&H80)

LwpLayStyOverScript (&H100)

LwpLayStyOverNumerics (&H200)

LwpLayStyOverColumns (&H400)

LwpLayStyOverScaling (&H800)

LwpLayStyOverRotation (&H1000)

LwpLayStyOverLeaders (&H2000)

LwpLayStyOverOrientation (&H4000)

LwpLayStyOverMisc (&H8000)

LwpLayStyOverChildren (&H10000)

LwpLayStyOverContents (&H20000)

[Text]

None = &H0

Face = &H1

Size = &H2

Attributes = &H4

bold italics stirkethru super sub smallcaps underline single and doucble underline upper lower

Font = &H8

everything else hidden protected color

Alignment = &H10

Indent = &H20

Spacing = &H40

Paragraph and line

Borders = &H80

Breaks = &H100

Bullet = &H200

Numbering = &H400

Tabs = &H800

Kinsoku = &H1000

Charborder = &H2000

Amikake = &H4000

Usage

[Layout]

Layout objects such as frames, table cells, and pages are based on styles. For example, when you create a frame in Word Pro, it is usually based on a style called "Default Frame." When you create a table in Word Pro, the table is usually based on a style called "Default Table," and the table cells are usually based on a style called "Default Cell."

The StyleExceptions property of a layout object represents all of the layout properties which have been modified from the original style properties. For example, if the Default Frame style specifies a margin value of 1/10 of an inch, and you've modified the margins of frame A to be 1/2 of an inch, the StyleExceptions property of frame A will include the value &H4 in its bitmask. This indicates that the margin settings of frame A have been modified and do not coincide with the margin settings that were provided by the Default Frame style.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: StyleName property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

stylenamevalue = [objectreference].StyleName

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: FormatPreferences class


Word Pro: StylePath property

 See list of classes

 See example

(Read-write) The default path (drive and directory) for Word Pro SmartMaster templates.

Data Type

String

Syntax

stylepathvalue = [objectreference].StylePath

[objectreference].StylePath = stylepathvalue

Legal values

A valid path including drive and directory.

Usage

Equivalent to the "SmartMaster" value on the Locations panel of the Word Pro Preferences dialog box. In the Word Pro interface, "SmartMaster" can contain multiple paths. You can use this property to clear all paths before setting the default or first SmartMaster path. You can use the property, StylePaths, to read multiple SmartMaster paths entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: StyleSheetFullPath property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

stylesheetfullpathvalue = [objectreference].StyleSheetFullPath

[objectreference].StyleSheetFullPath = stylesheetfullpathvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: StyleSheetName property

 See list of classes

 See example

(Read-only) The default SmartMaster file name.

Data Type

String

Syntax

stylesheetnamevalue = [objectreference].StyleSheetName

Legal values

Valid .MWP file name. Can include a drive and directory.

Usage

Equivalent to the "Plain Document SmartMaster" value on the Default files panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: TextDocument class

Word Pro: UserInterfacePrefs class


Word Pro: StyleSheetPath property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

stylesheetpathvalue = [objectreference].StyleSheetPath

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: ReviewVersions method

 See list of classes

 See example

Syntax

[objectreference].ReviewVersions()

Parameters

Return value

Usage


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: ReviewVersions class


Word Pro: ReviseAcceptAll method

 See list of classes

 See example

Accepts revisions according to the instructions provided in the parameters. You can accept revisions for the current paragraph or the entire document, from a single editor or all editors, and in one area of a document or the entire document.

Syntax

[objectreference].ReviseAcceptAll(ReviseCurrentPara, [EditorName,] [MarkerName])

Parameters

ReviseCurrentPara
Allows you to specify whether you want to accept the revisions for the current paragraph (True) or for the entire document (False). Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0).

EditorName
A String expression specifying the name of the editor whose revisions you want to accept. Optional parameter. If you do not provide a value for this parameter, Word Pro accepts all the revisions without regard to their source.

MarkerName
A String expression specifying the name of a marker which identifies a part of the document in which you want to accept revisions. Use this parameter when you mark an area of a document for revision and you want to accept revisions only in the marked area. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ReviseCancelAll method

 See list of classes

 See example

Rejects revisions according to the instructions provided in the parameters. You can reject revisions for the current paragraph or the entire document, from a single editor or all editors, and in one area of a document or the entire document.

Syntax

[objectreference].ReviseCancelAll(ReviseCurrentPara, [EditorName,] [MarkerName])

Parameters

ReviseCurrentPara
Allows you to specify whether you want to reject the revisions for the current paragraph (True) or for the entire document (False). Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants of True (-1) and False (0).

EditorName
A String expression specifying the name of the editor whose revisions you want to reject. Optional parameter. If you do not provide a value for this parameter, Word Pro will reject all the revisions without regard to their source.

MarkerName
A String expression specifying the name of a marker which identifies a part of the document in which you want to reject revisions. Use this parameter when you mark an area of a document for revision and you want to reject revisions only in the marked area. Optional parameter.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: RevisionAcceptLayoutChange method

 See list of classes

 See example

Accepts revision markup changes made in a Layout object.

Syntax

[objectreference].RevisionAcceptLayoutChange(ReviseAll, [EditorName])

Parameters

ReviseAll

Data type is Integer. Indicates whether or not all revisions to a layout will be accepted.

EditorName

An optional String data type representing the name of the editor making the revisions to the Layout object.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RevisionAccept method

 See list of classes

 See example

Syntax

[objectreference].RevisionAccept(ReviseAll, [EditorName,] [MarkerName])

Parameters

ReviseAll
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

MarkerName
Data type is String. Optional parameter.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: RevisionCancelLayoutChange method

 See list of classes

 See example

Cancels revision markup changes made in a Layout object.

Syntax

[objectreference].RevisionCancelLayoutChange(ReviseAll, [EditorName])

Parameters

ReviseAll

Data type is Integer. Indicates whether or not all revisions to a layout will be accepted.

EditorName

An optional String data type representing the name of the editor making the revisions to the Layout object.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: RevisionCancel method

 See list of classes

 See example

Syntax

[objectreference].RevisionCancel(ReviseAll, [EditorName,] [MarkerName])

Parameters

ReviseAll
Data type is Boolean.

EditorName
Data type is String. Optional parameter.

MarkerName
Data type is String. Optional parameter.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: RunScript method

 See list of classes

 See example

Runs the specified Word Pro script.

Syntax

[objectreference].RunScript(ScriptModule, ScriptFunction)

Parameters

ScriptModule
A String expression specifying the name and path of the file which contains the script you want to run.

ScriptFunction
A String expression specifying the script you want to run.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Run method

 See list of classes

 See example

Syntax

[objectreference].Run(p1)

Parameters

p1
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: Macro class


Word Pro: SaveAsToNotes method

 See list of classes

 See example

Saves the active document with a different name or file type.

Syntax

[objectreference].SaveAsToNotes([UID,] [Attached,] [Field,] [Database,][Server,] [FileType])

Parameters

UID
An optional String value which indicates the .

Attached
An optional String value which indicates the .

Field
An optional String value which indicates the .

Database
An optional String value which indicates the .

Server
An optional String value which indicates the .

FileType
An optional String value which indicates the .

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SaveAs method

 See list of classes

 See example

Saves the active document with a different name or file type.

Syntax

[objectreference].SaveAs([DocName,] [Location,] [DocType,] [Backup,][AddToLastFileOpenList,] [SaveCopyAs])

Parameters

DocName
An optional String value which indicates the name under which the document will be saved.

Location
An optional String value which indicates the path or directory in which the document will be saved.

DocType
An optional String value that indicates the file type in which the document will be saved. A null string saves the document as a Word Pro file. Some of the usual file types are listed in the table below, but each user's list of available file types is derived from the list of text filters installed during the Word Pro installation.

DCA/RFT	Lotus Manuscript 2.x	MS Word for Windows 1.0
DIF	Lotus Organizer 1.x	MS Word for Windows 2.0
DisplayWrite	Lotus Word Pro	MS Word for Windows 6.0
HTML	Lotus Word Pro SmartMaster	MS Word for Windows95 7.0
Lotus 1-2-3	MS Excel	MS WordPad 1.0
Lotus 1-2-3 for OS/2	MS Excel 3.0	OfficeWriter 4,5,6
Lotus 1-2-3 R3	MS Excel 4.0	Rich Text Format(RTF)
Lotus 1-2-3 R4,5	MS Excel 5.0	SAMNA Word
Lotus 1-2-3 R6	MS Excel 7.0	WordPerfect 5.0
Lotus Ami Pro	MS Windows Write 3.x	WordPerfect 5.1
Lotus Ami Pro 3.x Macro	MS Word for DOS 3,4,5,6	WordPerfect 6.x
Lotus Ami Pro 3.x Styles	MS Word for OS/2	WordStar 2000 R3

Backup
An optional Integer value that indicates whether or not Word Pro should make a backup copy of this file before saving.

AddToLastFileOpenList
An optional Integer value that indicates whether or not Word Pro should add this file's name to list of recently opened files on the File menu. Default is False, indicating that the file name will not be added.

SaveCopyAs
An optional Integer value that indicates whether Word Pro should leave open the original document or the newly saved document. Default is False, indicating that Word Pro should close the original and leave open the newly saved file.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: SaveData method

 See list of classes

 See example

Syntax

[objectreference].SaveData(P1)

Parameters

P1
Data type is Long.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: SaveDivision method

 See list of classes

 See example

Saves a division as a separate file. Equivalent to clicking the right mouse button on a division divider tab, choosing Division Properties, and clicking Save as File.

Syntax

[objectreference].SaveDivision()

Parameters

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: SaveEnvelopeMaster method

 See list of classes

 See example

Not implemented in Word Pro 97.


Topics Found:

Word Pro: WPApplication class


Word Pro: SaveGlossary method

 See list of classes

 See example

Saves the currently active Glossary data file. You can save the glossary or you can save a copy of the glossary under a different name or in another file type.

Syntax

[objectreference].SaveGlossary(FilePath, FileType[, AddToLastFileOpenList] [, SaveCopyAs])

Parameters

FilePath
A String expression specifying the path and name for the Glossary file.

FileType
A String expression specifying a file type. Use this to change the file type of the document when you want to use or read it in another application.

AddToLastFileOpenList
This parameter allows you to show or hide the glossary file from the last file opened list. Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0). Optional parameter. Default is False, which hides the Glossary file from the list.

SaveCopyAs
A String expression specifying a new name for the Glossary file. Use this to save a copy of the Glossary file under a different name.

Return value

None

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SaveMacro method

 See list of classes

 See example

Syntax

[objectreference].SaveMacro()

Parameters

Return value

Usage


Topics Found:

Word Pro: Macro class


Word Pro: SaveSnapshot method

 See list of classes

 See example

Syntax

[objectreference].SaveSnapshot(P1)

Parameters

P1

Data type is Long.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class


Word Pro: SaveThumbnailBitmap method

 See list of classes

 See example

Syntax

[objectreference].SaveThumbnailBitmap(Filename)

Parameters

Filename
An optional String expression that indicates the name of the file.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SaveToStorageComplete method

 See list of classes

 See example

Used to complete the use of the SaveToStorage method.

Syntax

[objectreference].SaveToStorageComplete(pIStorage)

Parameters

plStorage
A Numeric expression which specifies the Istorage space to which you want to save the embedded Word Pro object. A null value indicates that you want to keep using the original IStorage space. Any other value specifies which IStorage you want to switch to once the save is complete. Data type is Long.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SaveToStorage method

 See list of classes

 See example

Saves an embedded Word Pro OLE object to the specified IStorage.

Syntax

[objectreference].SaveToStorage(pIStorage, FileType, SameStorageAsLoad)

Parameters

plStorage
A Numeric expression which specifies the Istorage space to which you want to save the embedded Word Pro object. Data type is Long.

FileType
A String expression indicating the type of Word Pro or Ami Pro object being saved. The file types include:

Lotus Ami Pro

Lotus Ami Pro 3.x Macro

Lotus Ami Pro 3.x Styles

Lotus Word Pro

Lotus Word Pro SmartMaster

SameStorageAsLoad
Data type is Boolean. Indicates whether the IStorage named in pIStorage is the same as the IStorage space from which Word Pro loaded this Word Pro OLE object.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

When you use this method, you must also call the SaveToStorageComplete method.


Topics Found:

Word Pro: WPApplication class


Word Pro: SaveUserDefaults method

 See list of classes

 See example

Saves the following settings from the Word Pro Preferences dialog box and the Welcome dialog box:

•	number of undo levels

•	number of recent files

•	all markup options

•	list of recently used SmartMaster templates that display in the Open dialog box

Syntax

[objectreference].SaveUserDefaults()

Parameters

None

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: SaveVersion method

 See list of classes

 See example

Saves the selected version as a file. Equivalent to choosing File - Versions and clicking Save as File.

Syntax

[objectreference].SaveVersion(FilePath,Version)

Parameters

FilePath
Data type is String.

Version
Data type is Long.

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Save method

 See list of classes

 See example

Saves the currently active document. Equivalent to choosing File - Save.

Syntax

[objectreference].Save()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Document class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: SelectCell method

 See list of classes

 See example

Selects the contents of the cell at the insertion point.

Syntax

[objectreference].SelectCell()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectColumn method

 See list of classes

 See example

Selects the column at the insertion point. If cells from more than one column are selected, all the columns represented in that selection are selected.

Syntax

[objectreference].SelectColumn()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectCustomIcon method

 See list of classes

 See example

Selects a custom icon so that you can query or attach properties to it.

Syntax

[objectreference].SelectCustomIcon(GraphicPath, MacroPath)

Parameters

GraphicPath
Data type is String. Required parameter.

MacroPath
Data type is String. Required parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You must select an icon using either this method or the SelectStandardIcon method before you can assign functional properties to it.


Topics Found:

Word Pro: IconBarManager class


Word Pro: SelectDoc method

 See list of classes

 See example

Selects the entire active document.

Syntax

[objectreference].SelectDoc()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntireCellRange method

 See list of classes

 See example

Selects the cell itself and the contents in the cell. The insertion point must be in the cell. If more than one cell is selected when you call this method, Word Pro selects all the cells and their contents.

Syntax

[objectreference].SelectEntireCellRange()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntireColumn method

 See list of classes

 See example

Selects the column which contains the currently active cell. If cells are selected from more than one column, this method selects the entire column for each selected cell.

Syntax

[objectreference].SelectEntireColumn()

Parameters

None.

Return value

None.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntirePColCellRange method

 See list of classes

 See example

Selects both the parallel column cell and its contents. If more than one cell is in the focus, Word Pro selects all the cells and their contents.

Syntax

[objectreference].SelectEntirePColCellRange()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntirePColColumn method

 See list of classes

 See example

Selects the parallel column which has the focus. If text is selected in more than one parallel column, this method selects the entire parallel column for each text selection.

Syntax

[objectreference].SelectEntirePColColumn()

Parameters

None.

Return value

None.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntirePColRow method

 See list of classes

 See example

Selects the parallel column row which has the focus.

Syntax

[objectreference].SelectEntirePColColumn()

Parameters

None.

Return value

None.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntirePCol method

 See list of classes

 See example

Selects all the columns and rows in the ParallelColumns object which has the focus. If there is no ParallelColumns object in the focus, this method returns 0, indicating failure.

Syntax

[objectreference].SelectEntirePCol()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntireRow method

 See list of classes

 See example

Selects the table row which has the focus and the contents of that row. If cells from more than one row are selected, Word Pro selects all the rows represented in the selection and their contents.

Syntax

[objectreference].SelectEntireRow()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectEntireTable method

 See list of classes

 See example

Selects the table which has the focus and its contents. Equivalent to choosing Table - Select - Entire Table.

Syntax

[objectreference].SelectEntireTable()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectItemString method

 See list of classes

 See example

Syntax

[objectreference].SelectItemString(Item, Select)

Parameters

Item
Data type is String.

Select
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: SelectItem method

 See list of classes

 See example

Selects an item in a combo box or list box.

Syntax

[objectreference].SelectItem(Index, Select)

Parameters

Index
Data type is Integer.

Select
Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: LwpComboBox class

Word Pro: LwpListBox class


Word Pro: SelectParagraph method

 See list of classes

 See example

Selects the paragraph in which the insertion point is located.

Syntax

[objectreference].SelectParagraph()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectPColCell method

 See list of classes

 See example

Selects the cell in a parallel column in which the insertion point is located.

Syntax

[objectreference].SelectPColCell()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectRow method

 See list of classes

 See example

Selects the contents of the table row in which the insertion point is located. Equivalent to choosing Table - Select - Row Contents.

Syntax

[objectreference].SelectRow()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectRuler method

 See list of classes

 See example

Word Pro calls this method when the ruler displays and selects a ruler mouse filter context on the context stack to intercept mouse messages.

Syntax

[objectreference].SelectRuler()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

The mouse filter context filters mouse move messages and checks to see if a frame is currently being dragged. If a frame is being dragged, Word Pro displays special guides on the ruler.


Topics Found:

Word Pro: Ruler class


Word Pro: SelectSection method

 See list of classes

 See example

Selects the contents within a specified section of the document. Equivalent to clicking the right mouse button on a section tab and choosing Select Section.

Syntax

[objectreference].SelectSection([SectionName])

Parameters

SectionName
An optional String expression which specifies the name of the section whose contents you want to select. If you do not provide this parameter, Word Pro selects the contents of the section in which the insertion point is located.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectSentence method

 See list of classes

 See example

Selects the sentence in which the insertion point is located.

Syntax

[objectreference].SelectSentence()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectStandardIcon method

 See list of classes

 See example

Selects a standard icon so that you can query or attach properties to it.

Syntax

[objectreference].SelectStandardIcon(MenuID)

Parameters

MenuID
Data type is Menu. Required parameter.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You must select an icon using either this method or the SelectCustomIcon method before you can assign functional properties to it.


Topics Found:

Word Pro: IconBarManager class


Word Pro: SelectTableItem method

 See list of classes

 See example

Allows you to select a specific type of table item. In order to use this method, the insertion point must be inside the table that contains the items to be selected.

Syntax

[objectreference].SelectTableItem(TableSelection, [p2,] [p3,] [p4,] [EndCol,] [SelectWholeCell])

Parameters

TableSelection
Data type is Variant, which allows its value to be one of the string constants below or its numeric equivalent. This parameter specifies which type of table item you want to select.

Value	Effect
$LwpTableSelectionCell (1899)	The method moves the insertion point into a specified cell.
$LwpTableSelectionRow (1900)	The method selects a specified range of rows.
$LwpTableSelectionColumn (1901)	The method selects a specified range of columns.
$LwpTableSelectionTable (1902)	The method selects the entire table.
$LwpTableSelectionRange (1903)	The method selects a specified range of cells.
p2

This is an optional Integer parameter. The purpose of this parameter varies according to the TableSelection parameter value. For details on each TableSelection parameter value, see the Usage section.

p3

This is an optional Integer parameter. The purpose of this parameter varies according to the TableSelection parameter value. For details on each TableSelection parameter value, see the Usage section.

p4

This is an optional Integer parameter. The purpose of this parameter varies according to the TableSelection parameter value. For details on each TableSelection parameter value, see the Usage section.

EndCol

This is an optional Integer parameter. The purpose of this parameter varies according to the TableSelection parameter value. For details on each TableSelection parameter value, see the Usage section.

SelectWholeCell

This is an optional Integer parameter. The purpose of this parameter varies according to the TableSelection parameter value. For details on each TableSelection parameter value, see the Usage section.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

$LwpTableSelectionCell (1899)

When use you use this value in the TableSelection parameter, the method moves the insertion point into a specific cell. You must also provide values for the P2 and P3 parameters.

P2

This parameter is an optional Integer value which represents the Row ID of the cell into which the insertion point will move. There is no default value.

P3

This parameter is an optional Integer value which represents the Column ID of the cell into which the insertion point will move. There is no default value.

None of the other parameters are used when you use this value for the TableSelection parameter.

The Row ID and Column ID are zero based values. In order to select the first cell in a table, use a Row ID value of 0 and a Column ID value of 0.

$LwpTableSelectionRow (1900)

When use you use this value in the TableSelection parameter, the method selects a range of rows within a table. You can also provide values for the P2, P3, and P4 parameters. When you do not supply a value for any other parameter, the contents of the cells within the current row are selected.

P2

This parameter is an optional Integer value which represents the ID of the first row to be included in the selection. The default value is 0.

P3

This parameter is an optional Integer value which represents the ID of the last row to be included in the selection. The default value is 0.

P4

This parameter is a Boolean value which specifies whether whole cells should be selected. The default  value is 0.

None of the other parameters are used when you use this value for the TableSelection parameter.

The Row ID is a zero based value. In order to select the first row of a table, use a Row ID value of 0.

$LwpTableSelectionColumn (1901)

When use you use this value in the TableSelection parameter, the method selects a range of columns within a table. You can also provide values for the P2, P3, and P4 parameters. When you do not supply a value for any other parameter, the contents of the cells within the current column are selected.

P2

This parameter is an optional Integer value which represents the ID of the first column to be included in the selection. The default value is 0.

P3

This parameter is an optional Integer value which represents the ID of the last column to be included in the selection. The default value is 0.

P4

This parameter is a Boolean value which specifies whether whole cells should be selected. The default  value is 0.

None of the other parameters are used when you use this value for the TableSelection parameter.

The Column ID is a zero based value. In order to select the first column of a table, use a Column ID value of 0.

$LwpTableSelectionTable (1902)

When use you use this value in the TableSelection parameter, the method selects an entire table. You can also provide a value for the P2 parameter.

P2

This parameter is an optional Boolean value that specifies whether whole cells should be selected. The default value is 0.

None of the other parameters are used when you use this value for the TableSelection parameter.

$LwpTableSelectionRange (1903)

When use you use this value in the TableSelection parameter, the method selects a range of cells within a table. You can also provide values for the P2, P3, P4, EndCol, and SelectWholeCell parameters. When you do not supply a value for any other parameter, the contents of the current cell are selected.

P2

This parameter is an optional Integer value which represents the Row ID of the first cell to be selected. The default value is 0.

P3

This parameter is an optional Integer value which represents the Column ID of the first cell to be selected. The default value is 0.

P4

This parameter is an optional Integer value which represents the Row ID of the last cell to be selected. The default value is 0.

EndCol

This parameter is an optional Integer value which represents the Column ID of the last cell to be selected. The default value is 0.

SelectWholeCell

The SelectWholeCell parameter is an optional Boolean value which specifies whether whole cells should be selected. The default value is 0.

The Row ID and Column ID are zero based values, which means the first row and column of a table have an ID value of 0.


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: SelectTable method

 See list of classes

 See example

Selects the contents of the table in which the insertion point is located. Equivalent to choosing Table - Select - Entire Table Contents.

Syntax

[objectreference].SelectTable()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SelectWord method

 See list of classes

 See example

Selects the word at the insertion point.

Syntax

[objectreference].SelectWord()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

A word is comprised of a contiguous string of alphanumeric characters. Punctuation and spaces are seen as the end of a word. If the insertion point is between two spaces, Word Pro selects all the spaces on both sides of the insertion point, as well as the word preceding the spaces.


Topics Found:

Word Pro: WPApplication class


Word Pro: Select method

 See list of classes

 See example

Selects the type of object specified in the ObjectType parameter.

Syntax

[objectreference].Select(ObjectType)

Parameters

ObjectType
Specifies what type of object to select. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value.

$LwpSelectObjectTypeBullet (1757)
Selects the next bullet object in the text stream.

$LwpSelectObjectTypeChunk (1750)
A chunk is comprised of a single word (a group of characters with no spaces) and all the contiguous spaces following that word. If the insertion point is at the beginning, the end, or anywhere within a word, Word Pro selects that word and the spaces which follow it. If the insertion point is between two spaces, Word Pro selects all the spaces following the insertion point to the beginning of the next word. If there is no word between the spaces and the end of the paragraph, Word Pro selects to the end of the paragraph.

$LwpSelectObjectTypeDocument (1754)
Selects the contents of the entire document.

$LwpSelectObjectTypeLevel (1756)
Undefined.

$LwpSelectObjectTypeObject (1748)
Selects the next object of any type.

$LwpSelectObjectTypeParagraph (1753)
Selects the paragraph object in which the insertion point is located.

$LwpSelectObjectTypeSection (1759)
Selects the contents of the section in which the insertion point is located.

$LwpSelectObjectTypeSentence (1752)
Selects the sentence in which the insertion point is located.

$LwpSelectObjectTypeStream (1755)
Selects the text stream in which the insertion point is located. A text stream is comprised of all the paragraphs of text and the tables but none of the frames or OLE objects.

$LwpSelectObjectTypeTombstoneset (1758)
Undefined.

$LwpSelectObjectTypeTuna (1751)
Undefined.

$LwpSelectObjectTypeWord (1749)
Selects the word at the insertion point. In this case, a word is comprised of a contiguous string of alphanumeric characters. Punctuation and spaces are seen as the end of a word. If the insertion point is between two spaces, Word Pro selects all the spaces on both sides of the insertion point as well as the word preceding the spaces.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: SendFrameToBackOne method

 See list of classes

 See example

Changes the priority of the selected frame so that it is one level back from its original position.

Syntax

[objectreference].SendFrameToBackOne()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

To call this method, the "Place frame" option for the frame must be one of the following:

On all pages
On left/right pages
On current page

You can access the "Place frame" option from the Placement panel in the Frame InfoBox.


Topics Found:

Word Pro: WPApplication class


Word Pro: SendFrameToBack method

 See list of classes

 See example

Changes the priority of the currently selected frame so that it is behind all the other frames on the page.

Syntax

[objectreference].SendFrameToBack()

Parameters

None.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

To call this method, the "Place frame" option for the frame must be one of the following:

On all pages
On left/right pages
On current page

You can access the "Place frame" option from the Placement panel in the Frame InfoBox.


Topics Found:

Word Pro: WPApplication class


Word Pro: SendMailAndAttach method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SendMailSelectedText method

 See list of classes

 See example

Uses the selected text as the body of a mail message which it mails using the MAPI application specified in your WIN.INI file. Equivalent to choosing File - TeamMail and selecting "Message with current selection's text as message body."

Syntax

[objectreference].SendMailSelectedText()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetArrayProp method

 See list of classes

 See example

Sets the properties of an array. This method is defined in the following classes:

[SilverBullet]

[UserInterfacePrefs]

Syntax

[objectreference].SilverBullet.SetArraryProp(BulletArrayProp,Level,NewValue)

[objectreference].UserInterfacePrefs.SetArrayProp(PrefPropScope,Index,New)

Parameters

BulletArrayProp
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpBulletArrayPropCumulative (79)

$LwpBulletArrayPropDivision (81)

$LwpBulletArrayPropLesser (78)

$LwpBulletArrayPropLessserspecific (77)

$LwpBulletArrayPropSection (80)

Level
Data type is Integer.

NewValue
Data type is Integer.

PrefPropScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpPrefPropScopeFindString (1640) Corresponds to the "Find" box in the Find & Replace bar.

$LwpPrefPropScopeReplaceString (1641) Corresponds to the "Replace with" box in the Find & Replace bar.

Index
Data type is Integer. Legal values are 0, 1, 2, and 3..

NewValue
Data type is String. The strings contains the text that you want to set in the array, in this case, the text you want in the "Find" and "Replace with" boxes.

Return value

Both SilverBullet and UserInterfacePrefs objects return a Boolean value.

Usage

[SilverBullet]

[UserInterfacePrefs]

Use this method to set a value in the "Find" and "Replace with" boxes.


Topics Found:

Word Pro: SilverBullet class

Word Pro: UserInterfacePrefs class


Word Pro: SetControlText method

 See list of classes

 See example

Syntax

[objectreference].SetControlText(Control_ID, Text)

Parameters

Control_ID
Data type is Variant.

Text
Data type is String.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: SetControlValue method

 See list of classes

 See example

Syntax

[objectreference].SetControlValue(Control_ID, Value)

Parameters

Control_ID
Data type is Variant.

Value
Data type is Long.

Return value

Usage


Topics Found:

Word Pro: LwpCustomDialog class


Word Pro: SetData method

 See list of classes

 See example

Creates a new data set variable and sets its value.

Syntax

[objectreference].SetData(DataName, NewData)

Parameters

DataName
The variable name in a data set. Data type is String.

NewData
The new data set item that you are creating. Data type is always String(s).

Return value

String

Usage

When you invoke the SetData method, the NewData parameter updates the value of the currently used DataName parameter. If a NewData parameter does not exist, then this method creates a new variable named DataName and gives it the value of NewData.


Topics Found:

Word Pro: ScriptDataSet class

Word Pro: WPDataSet class


Word Pro: SetDocumentEpoch method

 See list of classes

 See example

Syntax

[objectreference].SetDocumentEpoch()

Parameters

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: SetFieldFormula method

 See list of classes

 See example

Syntax

[objectreference].SetFieldFormula(Formula, [Type])

Parameters

Formula
Data type is String.

Type
Data type is Variant. Optional parameter. Default is 0. The value of this parameter must be one of the strings below or its code equivalent.

$LwpPFTypeBookmark (2003)

$LwpPFTypeButton (2007)

$LwpPFTypeDde (2002)

$LwpPFTypeDocvar (2011)

$LwpPFTypeField (2004)

$LwpPFTypeIndex (2009)

$LwpPFTypeMarker (2010)

$LwpPFTypeMergevar (2013)

$LwpPFTypePrtescape (2008)

$LwpPFTypeSeq (2005)

$LwpPFTypeSet (2006)

$LwpPFTypeToc (2012)

Return value

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: SetFocus method

 See list of classes

 See example

Syntax

[objectreference].SetFocus()

[objectreference].Setfocus(Control_ID)

Parameters

Control_ID
Data type is Variant.

Return value

Boolean

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: SetFormula method

 See list of classes

 See example

Inserts a formula into the current table cell.

Syntax

[objectreference].SetFormula(Row, Column, Formula)

Parameters

Row

This Integer parameter allows you to specify the row ID of the cell in which you want to set a formula.

Column

This Integer parameter allows you to specify the column ID of the cell in which you want to set a formula.

Formula

A String value which represents the formula to be inserted into the specified table cell.

Return value

Usage

Equivalent to choosing Table - Insert Formula.


Topics Found:

Word Pro: CellEngine class


Word Pro: SetLastUsedFilter method

 See list of classes

 See example

Syntax

[objectreference].SetLastUsedFilter(Type, Filter)

Parameters

FilterType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpFilterTypeGraphic (280)

$LwpFilterTypeTable (281)

$LwpFilterTypeText (279)

Filter
Data type is String.

Return value

Usage


Topics Found:

Word Pro: Filter class


Word Pro: SetLineOneSide method

 See list of classes

 See example

This method only displays in the Script Editor during a recording to reflect the selection of a line style for a specific side of a table.

Syntax

[objectreference].SetLineOneSide(LinePlacement, LineStyle, LineWidth, LineColor, TableMix)

Parameters

LinePlacement

Indicates which side of the table to set a specific line style. Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

LwpLinePlacementAllsides (&HF)

LwpLinePlacementBottom (&H8)

LwpLinePlacementLeft (&H1)

LwpLinePlacementRight (&H2)

LwpLinePlacementTop (&H4)

LineStyle

Allows you to set one of the line styles below to a specific side of a table. Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42)

$LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54) $LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

LineWidth

Specifies the width for the line style of a specific side of a table. Data type is Twips.

LineColor

Specifies the line color for the line style of a specific side of a table. Data type is Long.

TableMix
Allows you to specify if a table contains more than one type of line style. Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTableMixAllmixed (1893) Setting this value allows you to assign a different line style to each line of a table cell.

$LwpTableMixBottommixed (1890) Setting this value allows you to assign a line style to the bottom line of a table cell that is different from the line style of the top, right, and left line of a table cell.

$LwpTableMixLeftmixed (1891) Setting this value allows you to assign a line style to the left line of a table cell that is different from the line style of the top, right, and bottom line of a table cell.

$LwpTableMixRightmixed (1892) Setting this value allows you to assign a line style to the right line of a table cell that is different from the line style of the top, bottom, and left line of a table cell.

$LwpTableMixTopmixed (1889) Setting this value allows you to assign a line style to the top line of a table cell that is different from the line style of the bottom, right, and left line of a table cell.

Return value

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: SetLinesAllSides method

 See list of classes

 See example

Allows you to simultaneously set a specific line style to all sides of an entire table, or a specific row, column or cell.

Syntax

[objectreference].SetLinesAllSides(LinesAroundCells, LineStyle, LineWidth, LineColor, OutlineLineStyle, OutlineLineWidth, OutlineLineColor)

Parameters

LinesAroundCells

Allows you to specify where the line style should be applied in the table object. Data type is Variant.

$LwpTableLineStyleAll (1878)

$LwpTableLineStyleCols (1882)

$LwpTableLineStyleCustom (1886)

$LwpTableLineStyleInnercols (1887)

$LwpTableLineStyleInnerRowscols (1888)

$LwpTableLineStyleMixed (1885)

$LwpTableLineStyleNone (1877)

$LwpTableLineStyleOutline (1879)

$LwpTableLineStyleOutlineall (1880)

$LwpTableLineStyleOutlinecols (1884)

$LwpTableLineStyleOutlinerows (1883)

$LwpTableLineStyleRows (1881)

LineStyle

Allows you set one of the lines styles listed below to a table object. Data type is Variant.

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42)

$LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54)

$LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

LineWidth

Specifies the width for the selected line style. Data type is Twips.

LineColor

Specifies the color for the selected line style. Data type is Long.

OutlineLineStyle

Specifies the line style for the outline. Data type is Variant.

$LtsBorderPatternDashDot (1056964659)

$LtsBorderPatternDashDotDot (1056964660)

$LtsBorderPatternDashed (1056964662)

$LtsBorderPatternDot (1056964663)

$LtsBorderPatternDouble (1056964666)

$LtsBorderPatternLongDash (1056964661)

$LtsBorderPatternNone (1056964657)

$LtsBorderPatternSolid (1056964658)

$LwpBorderPattern13space (36)

$LwpBorderPattern31space (37)

$LwpBorderPatternButtondown (35)

$LwpBorderPatternButtonup (34)

$LwpBorderPatternCircle (41)

$LwpBorderPatternDblThick (51)

$LwpBorderPatternDblWavy (56)

$LwpBorderPatternDeco1 (44)

$LwpBorderPatternDeco2 (45)

$LwpBorderPatternDeco3 (50)

$LwpBorderPatternDiagonal (38)

$LwpBorderPatternPin (47)

$LwpBorderPatternRain (46)

$LwpBorderPatternRope (43)

$LwpBorderPatternRose (48)

$LwpBorderPatternStar (42)

$LwpBorderPatternSunf (49)

$LwpBorderPatternTaro (39)

$LwpBorderPatternThickDblwavy (58)

$LwpBorderPatternThickThin (53)

$LwpBorderPatternThickWavy (57)

$LwpBorderPatternThinThick (54)

$LwpBorderPatternThinThickThin (52)

$LwpBorderPatternWavy (55)

$LwpLtsBorderPatternDot (40)

OutlineLineWidth

Specifies the width of the outline. Data type is Twips.

OutlineLineColor

Specifies the color of the outline. Data type is Long.

Return value

Usage


Topics Found:

Word Pro: TableLine class


Word Pro: SetLinkSource method

 See list of classes

 See example

Syntax

[objectreference].SetLinkSource(LinkDisplayName, FileNameLength, ValidateSource, LinkCookie)

[objectreference].SetLinkSource(LinkDisplayName, FileNameLength, ValidateSource)

Parameters

LinkDisplayName
Data type is String.

FileNameLength
Data type is Long.

ValidateSource
Data type is Integer.

LinkCookie
Data type is Long.

Return value

Long

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: OleObject class


Word Pro: SetMinimumOrigin method

 See list of classes

 See example

Moves layout to make the length of the anchor tether as short as the anchor position allows.

Syntax

[objectreference].SetMinimumOrigin()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: SetNamedProperty method

 See list of classes

 See example

Creates and assigns a value to a named property.

Syntax

[objectreference].SetNamedProperty(PropertyName, NewValue)

Parameters

PropertyName

A String expression representing the name of the property to which you are assigning a value.

NewValue
A String expression representing the new value you want to assign to the property.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A named property is a user-defined property assigned to an object. Unlike variables, named properties are persistent. They continue to exist when a script stops executing, and when a document is closed and reopened.

If you want to modify the value of an existing named property, pass its name to the method in the PropertyName parameter. The named property will then be assigned the string value that you specify in the NewValue parameter.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: SetOverrideGraphic method

 See list of classes

 See example

Sets the graphic on a button. This method is called when responding to the StatusBarButtonOverrideGraphic event or the StatusBarButtonOverrideTextAndGraphic event.

Syntax

[objectreference].SetOverrideGraphic(hGraphic)

Parameters

hGraphic
Data type is Long and represents the handle to the bitmap that you want to appear on the button. The bitmap is deleted for you, so do not use the bitmap again after you make this call.

Return value

Integer

Usage

This method must be used within the StatusBarButtonOverrideGraphic event. If you want to force the graphic to change, you can use the InvalidateButton method to force the StatusBarButtonOverrideGraphic event.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: SetOverrideText method

 See list of classes

 See example

Sets the text on a button. This method is called when responding to the StatusBarButtonOverrideText event or the StatusBarButtonOverrideTextAndGraphic event.

Syntax

[objectreference].SetOverrideText(Text)

Parameters

Text
Data type is String and represents the text you want to appear on the button. The text will be deleted for you, so do not use it again after you make this call.

Return value

Integer

Usage

This method must be used within the StatusBarButtonOverrideText event. If you want to force the text to change, you can use the InvalidateButton method to force the StatusBarButtonOverrideText event.

Note	If the text on the status bar button is never going to change, you can use the LwpButtonNoTextFromHost (&H800) parameter when the button is created.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: SetPageBottomMargin method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

Return value

Usage


Topics Found:

Word Pro: TableFill class


Word Pro: SetPageTopMargin method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

Return value

Usage


Topics Found:

Word Pro: TableFill class


Word Pro: SetPattern method

 See list of classes

 See example

Allows you to simultaneously set the following: the specific part of the table you want to fill, the background fill style, the background color, and the pattern color.

Syntax

[objectreference].SetPattern(TableFillStyle, BackgroundFill, BackgroundColor, PatternColor)

Parameters

TableFillStyle

Allows you to set or not to set a table fill style to specific parts of a table object. The value of this Variant parameter must be one of the strings below or its code equivalent.

Value	Effect
$LwpTableFillStyleAll (1870)	Indicates that you want to fill the entire table with a specific fill style.
$LwpTableFillStyleEveryothercol (1872)	Indicates that you want to fill every other column with a specific fill style.
$LwpTableFillStyleEveryotherrow (1871)	Indicates that you want to fill every other row with a specific fill style.
$LwpTableFillStyleMixed (1873)	Indicates that you want to use more than one fill style for the table object.
$LwpTableFillStyleNone (1874)	Indicates that you do not want to set a fill style for the table object.
BackgroundFill

Allows you to set one of the values below as the style for the background of a fill in a table object. Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LtsFillBarLeftDiag (1056964681)

$LtsFillBarRightDiag (1056964688)

$LtsFillBasket (1056964710)

$LtsFillBigCheck (1056964717)

$LtsFillBottomTopGrad (1056964729)

$LtsFillBrick (1056964712)

$LtsFillBubbles (1056964724)

$LtsFillChevron (1056964708)

$LtsFillCicles (1056964719)

$LtsFillClumpedNarrowDiagHatch (1056964696)

$LtsFillClumpedZs (1056964723)

$LtsFillDarkNarrowDiagHatch (1056964693)

$LtsFillDiagBasket (1056964711)

$LtsFillDiagBrick (1056964713)

$LtsFillDiagHatch (1056964695)

$LtsFillDiamonds (1056964725)

$LtsFillDottedDarkHatch (1056964853)

$LtsFillDottedZigzag (1056964726)

$LtsFillDoubleLeftDiag (1056964684)

$LtsFillDoubleRightDiag (1056964690)

$LtsFillGray1 (1056964669)

$LtsFillGray10 (1056964678)

$LtsFillGray2 (1056964670)

$LtsFillGray3 (1056964671)

$LtsFillGray4 (1056964672)

$LtsFillGray5 (1056964673)

$LtsFillGray6 (1056964674)

$LtsFillGray7 (1056964675)

$LtsFillGray8 (1056964676)

$LtsFillGray9 (1056964677)

$LtsFillHoriz (1056964699)

$LtsFillHorizBar (1056964698)

$LtsFillHorizCheckerboard (1056964716)

$LtsFillIrregularDiagScales (1056964721)

$LtsFillLeftDiag (1056964682)

$LtsFillLeftNarrowDiagHatch (1056964694)

$LtsFillLeftRightGrad (1056964728)

$LtsFillNarrowDoubleLeftDiag (1056964685)

$LtsFillNarrowDoubleRightDiag (1056964854)

$LtsFillNarrowHoriz (1056964697)

$LtsFillNarrowVert (1056964701)

$LtsFillNeToSwDiagStripGrad (1056964738)

$LtsFillNeToSwGrad (1056964730)

$LtsFillNone (1056964667)

$LtsFillNwToSeDiagStripGrad (1056964739)

$LtsFillNwToSeGrad (1056964731)

$LtsFillRandomBar (1056964680)

$LtsFillRandomSquare (1056964679)

$LtsFillRegularCheck (1056964718)

$LtsFillRegularHatch (1056964706)

$LtsFillRightDiag (1056964689)

$LtsFillRtLeftGrad (1056964744)

$LtsFillRunningDash (1056964714)

$LtsFillScalesDown (1056964722)

$LtsFillScalesUp (1056964720)

$LtsFillSolid (1056964668)

$LtsFillSteel (1056964709)

$LtsFillTinyHatch (1056964705)

$LtsFillTopBottomGrad (1056964745)

$LtsFillTripleLeftDiag (1056964686)

$LtsFillTripleRightDiag (1056964691)

$LtsFillVert (1056964703)

$LtsFillVertBar (1056964702)

$LtsFillVertCheckerboard (1056964715)

$LtsFillWideHatch (1056964707)

$LtsFillWideHoriz (1056964700)

$LtsFillWideLeftDiag (1056964687)

$LtsFillWideRightDiag (1056964692)

$LtsFillWideVert (1056964704)

$LwpFillIndian3 (273)

$LwpFillPattern (2000)

$LwpFillPeachpie (274)

BackgroundColor

Data type is Long which specifies the background color of the selected table cells.

Colors are usually represented by a combination of three separate components. The three components include a red value which can range from 0-255, a green value which can range from 0-255, and a blue value which can range from 0-255. You can combine different amounts of these three component colors to produce any other color. For example, in order to produce yellow, you can set a color object's red value to 255, green value to 255, and blue value to 0. The combination of all three of the component colors appears yellow.

Colors can also be represented by a single numeric value. This allows you to specify any available color in only one method parameter, as opposed to three separate parameters. In order to calculate the value that represents a specific color, use this formula:

(RedValue * 65536&) + (GreenValue * 256&) + BlueValue

The '&' suffix appended to the constant values above ensures that the results of the expressions are always Long values. If you do not append the '&', the result of the expression may cause an overflow error.

The table below shows some examples of this formula, the result of the formula and the color represented by the value.

Color	Formula	Result
White	(255 * 65536&) + (255 * 256&) + 255	16777215
25% Gray	(192 * 65536&) + (192 * 256&) + 192	12632256
Red	(255 * 65536&) + (0 * 256&) + 0	16711680
Yellow	(255 * 65536&) + (255 * 256&) + 0	16776960
Neon Green	(0 * 65536&) + (255 * 256&) + 0	65280
Turquoise	(0 * 65536&) + (255 * 256&) + 255	65535
Blue	(0 * 65536&) + (0 * 256&) + 255	255
Hot Pink	(255 * 65536&) + (0 * 256&) + 255	16711935
Black	(0 * 65536&) + (0 * 256&) + 0	0
50% Gray	(128 * 65536&) + (128 * 256&) + 128	8421504
Scarlet	(128 * 65536&) + (0 * 256&) + 0	8388608
Olive	(128 * 65536&) + (128 * 256&) + 0	8421376
Dark Green	(0 * 65536&) + (128 * 256&) + 0	32768
Aztec Blue	(0 * 65536&) + (128 * 256&) + 128	32896
Dark Grape	(0 * 65536&) + (0 * 256&) + 97	97
Plum Red	(128 * 65536&) + (0 * 256&) + 128	8388736

PatternColor

Specifies the pattern color of the selected table cells. This parameter is a Long value which represents the addition of a red, a green, and a blue color component value. For information on how to calculate the value for this parameter, refer to the BackgroundColor parameter definition.

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Use this method to specify a fill type, a pattern, a background color, and a pattern color for a selected range of table cells.


Topics Found:

Word Pro: TableFill class


Word Pro: SetPopupAlignment method

 See list of classes

 See example

This method is called when responding to the StatusBarButtonFillPopupList event. This method lets you align the contents in the popup list in a status bar button.

Syntax

[objectreference].SetPopupAlignment(AlignType)

Parameters

AlignType
Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default constant.

$LwpButtonAlignAlignCenter (89) A value that specifies center alignment of the button's contents.

$LwpButtonAlignAlignLeft (87) A value that specifies left alignment of the button's contents.

$LwpButtonAlignAlignRight (88) A value that specifies right alignment of the button's contents.

Return value

Integer. Always returns True.

Usage

This method lets you align the contents in the button's popup list.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: SetPopupIndex method

 See list of classes

 See example

This method is called when responding to the StatusBarButtonFillPopupList event. This method lets you select which item in the status bar button's popup list will be highlighted by definition.

Syntax

[objectreference].SetPopupIndex(Index)

Parameters

Index
Data type is Integer.

Return value

True if item was selected; False if no item was selected.

Usage

This method lets you indicate which item in the popup list should be highlighted and selected by default. The index is the number corresponding to the entry you want to select in the list (zero-based). For example, 0 is the top item, 1 is the next item, 2 is the next, and so on.

If you specify an index greater than the number of items, this method returns False and nothing is selected.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: SetPopupWidthType method

 See list of classes

 See example

This method is called when responding to the StatusBarButtonFillPopupList event.

Syntax

[objectreference].SetPopupWidthType(WidthType)

Parameters

WidthType

Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default constant.

$LwpButtonSizeToButton (90) A value that specifies that the width of the popup list will be the width of the button.

$LwpButtonSizeToSpecified (92) A value that specifies a user-defined width for the popup list, using the SetPopupWidth method to specify the width.

$LwpButtonSizeToText (91) A value that specifies that the width of the popup list will conform to the size of the widest text in the list. For example, the value will be calculated to the size of the longest text string, or, if the text is shorter than the button's width, the value will be calculated to the width of the button.

Return value

Integer

Usage

Allows you to specify how the width of the popup list will be calculated.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: SetPopupWidth method

 See list of classes

 See example

This method is called when responding to the StatusBarButtonFillPopupList event. This method lets you set the width of the popup list in the status bar button.

Syntax

[objectreference].SetPopupWidth(Width)

Parameters

Width
Data type is Integer. Set to width in Twips. There are 1440 Twips per inch.

Return value

Integer

Usage

You can use this method in conjunction with the StatusBarButtonFillPopupList event in the StatusBar class to set the width of the popup list. The width type parameter of the popup list must be $LwpButtonSizeToSpecified to have any effect.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: SetRGB method

 See list of classes

 See example

Sets the RGB (red, green, and blue) values of a specific object.

Syntax

[objectreference].SetRGB(r, b, g)

Parameters

r
The red component of a color. Data type is Integer.

b
The blue component of a color. Data type is Integer.

g
The green component of a color. Data type is Integer.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Use this method to set an object's red, green, and blue color components simultaneously. If you want to set only a particular color component, you can use the Red, Green, and Blue properties of the Color object. For example, if you wanted to change the red value of a frame's background color, you could use the following statement:

.frame.layout.background.color.red = 128


Topics Found:

Word Pro: Color class


Word Pro: SetStorage method

 See list of classes

 See example

Syntax

[objectreference].SetStorage(plStorage, FileType)

Parameters

plStorage
Data type is Long.

FileType
Data type is String.

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SetStyle method

 See list of classes

 See example

Redefines the specified style to match the object from which the method is called. If the specified style does not exist, Word Pro creates it. The type of style defined or created by Word Pro depends on the type of object from which you call this method.

Syntax

[Objectreference].SetStyle(StyleType, Style[, Exceptions])

Parameters

StyleType
Indicates the type of object for which you want to set the style. Data type is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). There is no default value for this parameter, but you can use "$LwpStyleTypeDefault" to have Word Pro assign the default style type for the type of object from which you call this method.

Value	Effect
$LwpStyleTypeCell (1834)	Assigns a cell style.
$LwpStyleTypeCharacter (1830)	Assigns a character style.
$LwpStyleTypeDefault (1828)	Assigns the default style for the type of object from which you call this method.
$LwpStyleTypeFrame (1832)	Assigns a frame style.
$LwpStyleTypePage (1831)	Assigns a page style.
$LwpStyleTypeParagraph (1829)	Assigns a paragraph style.
$LwpStyleTypeTable (1833)	Assigns a table style.
Style
A String expression that identifies the style you want to assign. If the named style does not exist, Word Pro creates a new style with that name.

Exceptions
Allows you to specify which elements of a style will not get set by this method. There are two main types of style exceptions: Layout and Text. Futhermore, the default exception depends on the object from which you call this method.

Object Class	Exception Type	Default Value
PageContainer SuperPageContainer SubPageContainer	Layout Style Exceptions	LayoutstylePlacement
FrameContainer NoteContainer CellContainer RubyContainer SuperTableContainer DropCapContainer	Layout Style Exceptions	LayoutstyleSizeAndPlacement
ClickHere Text TextMarker	Text Style Exceptions	Textstyle None
WPApplication	N/A	0
Layout Style Exceptions

LwpLayStyOverBackground (&H10)

LwpLayStyOverBorders (&H8)

LwpLayStyOverChildren (&H10000)

LwpLayStyOverColumns (&H400)

LwpLayStyOverContents (&H20000)

LwpLayStyOverJoins (&H20)

LwpLayStyOverLeaders (&H2000)

LwpLayStyOverMargins (&H4)

LwpLayStyOverMisc (&H8000)

LwpLayStyOverNumerics (&H200)

LwpLayStyOverOrientation (&H4000)

LwpLayStyOverPlacement (&H2)

LwpLayStyOverRotation (&H1000)

LwpLayStyOverScaling (&H800)

LwpLayStyOverScript (&H100)

LwpLayStyOverShadow (&H40)

LwpLayStyOverSize (&H1)

LwpLayStyOverSizeAndPlacement (&H3)

LwpLayStyOverTabs (&H80)

Text Style Exceptions

LwpTextStlyeOverridesNone (&H0)

LwpTextStyleBoverridesUllet (&H200)

LwpTextStyleIoverridesNdent (&H20)

LwpTextStyleOverridesAlignment (&H10)

LwpTextStyleOverridesAmikake (&H4000)

LwpTextStyleOverridesAttributes (&H4)

LwpTextStyleOverridesBorders (&H80)

LwpTextStyleOverridesBreaks (&H100)

LwpTextStyleOverridesBullet (&H200)

LwpTextStyleOverridesCharborder (&H2000)

LwpTextStyleOverridesFace (&H1)

LwpTextStyleOverridesFont (&H8)

LwpTextStyleOverridesIndent (&H20)

LwpTextStyleOverridesKinsoku (&H1000)

LwpTextStyleOverridesNumbering (&H400)

LwpTextStyleOverridesSize (&H2)

LwpTextStyleOverridesSpacing (&H40)

LwpTextStyleOverridesTabs (&H800)

LwpTextStyleSoverridesPacing (&H40)

The WPApplication object does not allow for the use of these exception values. Default  when called from the WPApplication object is 0. Data type is Long.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: CellContainer class

Word Pro: ClickHere class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: SetTOCProperties method

 See list of classes

 See example

Syntax

[objectreference].SetTOCProperties(TOCScope, Index, NewValue)

Parameters

TOCScope
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpTOCScopeDestPageStyle (1853)

$LwpTOCScopeDestStyle (1854)

$LwpTOCScopeLevelNumber (1851)

$LwpTOCScopeRtAlgnPgNum (1850)

$LwpTOCScopeSearchStyle (1852)

$LwpTOCScopeTypeOfLeader (1846)

$LwpTOCScopeUseLeader (1847)

$LwpTOCScopeUsePageNumber (1849)

$LwpTOCScopeUseText (1848)

Index
Data type is Integer.

NewValue
Data type is Variant.

Return value

Usage


Topics Found:

Word Pro: TOCSuperTableLayout class


Word Pro: SetUpEnvelopeMerge method

 See list of classes

 See example

Sets the options for an envelope merge and opens the Merge bar.

Syntax

[objectreference].SetUpEnvelopeMerge(envWidth, envHeight, envBin, barcode, returnAddress)

Parameters

envWidth
A numeric expression of type Long which specifes the width of the envelopes you will be merging.

envHeight
A numeric expression of type Long which specifes the height of the envelopes you will be merging.

envBin
A String expression which specifies the name of the printer bin which contains the envelopes. Available values for this parameter are displayed in your printer's Properties dialog box in the "Paper source" option.

barcode
An integer expression which tells Word Pro whether or not you want to include a bar code on the envelope. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. This is an optional parameter. The default value is 0 (False).

returnAddress
An integer expression which tells Word Pro whether or not you want to include a return address on the envelope. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. This is an optional parameter. The default value is 0 (False).

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Shade method

 See list of classes

 See example

Selects text in the current context.

Syntax

[objectreference].Shade(LocationType,Unit, N)

Parameters

LocationType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpLocationTypeDocument (573)

$LwpLocationTypeLine (571)

$LwpLocationTypeParagraph (572)

$LwpLocationTypeSelection (568)

$LwpLocationTypeSentence (570)

$LwpLocationTypeStream (574)

$LwpLocationTypeWord (569)

Unit
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpNavigateDirectionDown (1515)

$LwpNavigateDirectionLeft (1516)

$LwpNavigateDirectionRight (1517)

$LwpNavigateDirectionUp (1514)

Numberof Units

Data type is Integer.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ShowAnyGreeting method

 See list of classes

 See example

This method has not yet been defined.

Syntax

[objectreference].ShowAnyGreeting()

Parameters

Return value

Usage


Topics Found:

Word Pro: DocWindow class

Word Pro: IconBar class


Word Pro: ShowCaretAndSelection method

 See list of classes

 See example

Displays the current selection

Syntax

[objectreference].ShowCaretAndSelection(ForceCaretToShow, ShowCaret, ShowSelection)

Parameters

forces the caret to the screen if True default is False

True

True

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ShowContainers method

 See list of classes

 See example

Selects a specific container in a document, if the container is selectable.

Syntax

[objectreference].ShowContainers()

Parameters

Return value

This method always returns -1.

Usage

This method will select frame container objects and table container objects if the placement is set to "On current page."


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: ShowCursor method

 See list of classes

 See example

Scrolls the active document window so the insertion point is visible on the screen.

Syntax

[objectreference].ShowCursor()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ShowIconBars method

 See list of classes

 See example

Displays the set of SmartIcons in its default location on the screen.

Syntax

[objectreference].ShowIconBars()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: IconBarManager class


Word Pro: ShowScrollBars method

 See list of classes

 See example

Displays the scroll bars in the document window.

Syntax

[objectreference].ShowScrollBars(ScrollVert,ScrollHorz)

Parameters

ScrollVert
Data type is Boolean.

ScrollHorz
Data type is Boolean.

Return value

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ShowStatusBar method

 See list of classes

 See example

Displays the status bar.

Syntax

[objectreference].ShowStatusBar()

Parameters

Return value

Integer

Usage


Topics Found:

Word Pro: StatusBar class


Word Pro: Show method

 See list of classes

 See example

Displays an object, such as an icon bar set or a document.

Syntax

[objectreference].Show()

Parameters

Data type is Integer. The legal values for this parameter are -1 or 0 but you may use the LotusScript constants of True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class

Word Pro: IconBar class


Word Pro: SimulateButtonClick method

 See list of classes

 See example

Simulates a user click on the button. The StatusBarButtonClicked event will be emitted.

Syntax

[objectreference].SimulateButtonClick()

Parameters

Return value

Integer. Always returns True.

Usage

Use this method to simulate a user click on the button. This method forces a StatusBarButtonClicked event.


Topics Found:

Word Pro: StatusBarButton class


Word Pro: Skip method

 See list of classes

 See example

Syntax

[objectreference].Skip(SkipType,SkipMeaning)

Parameters

SkipType
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSkipTypeFormatCheck (1767)

$LwpSkipTypeRevision (1765)

$LwpSkipTypeSpell (1766)

SkipMeaning
Data type is Variant. The value of this parameter must be one of the strings below or its code equivalent.

$LwpSkipMeanRevSkipBackwordWord (1763)

$LwpSkipMeanRevSkipForwardWord (1762)

$LwpSkipMeanSpellMarkWord (1764)

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: SmallCaps method

 See list of classes

 See example

Sets the Small Caps attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on and on if it is off. This is the same as choosing Text - Attributes - Other and then choosing "Small Caps" from the Attributes box.

Syntax

[objectreference].SmallCaps()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: FontMetrics class

Word Pro: WPApplication class


Word Pro: SmartSumColumn method

 See list of classes

 See example

Inserts a SmartSum formula in the currently active table cell.

Syntax

[objectreference].SmartSumColumn()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

The SmartSum formula adds the values of cells above and in the same column as the SmartSum cell and displays the total value in the SmartSum cell. If the column contains a cell with a text value, the SmartSum formula only totals the cells between the SmartSum cell and the cell with the text.


Topics Found:

Word Pro: WPApplication class


Word Pro: SmartSumRow method

 See list of classes

 See example

Inserts a SmartSum formula in the currently active table cell.

Syntax

[objectreference].SmartSumRow()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

The SmartSum formula adds the values of cells to the left of and in the same row as the SmartSum cell and displays the total value in the SmartSum cell. If the row contains a cell with a text value, the SmartSum formula only totals the cells between the SmartSum cell and the cell with the text.


Topics Found:

Word Pro: WPApplication class


Example: RevisionAcceptLayoutChange method
'Example: RevisionAcceptLayoutChange method

' This example accepts all revision markup changes made to the current

' layout object.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Layout.RevisionAcceptLayoutChange True, "Mark Osborne"


Example: RevisionCancelLayoutChange method
'Example: RevisionCancelLayoutChange method

' This example cancels all revision markup changes made to the current

' layout object.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Layout.RevisionCancelLayoutChange True, ""


Example: RevisionCancel method
'Example: RevisionCancel method

'This example script has not yet been created.


Example: RevisionDisplay property
'Example: RevisionDisplay property

'This example script has not yet been created.


Example: RevisionMarkMode property
'Example: RevisionMarkMode property

'This example script has not yet been created.


Example: RevisionMark property
'Example: RevisionMark property

'This example script has not yet been created.


Example: RevisionType property
'Example: RevisionType property

'This example script has not yet been created.


Example: RevMarkCharacter property
'Example: RevMarkCharacter property

'This example script has not yet been created.


Example: RevMarkPosition property
'Example: RevMarkPosition property

'This example script has not yet been created.


Example: RevMarkType property
'Example: RevMarkType property

'This example script has not yet been created.


Example: RightAlign property
'Example: RightAlign property

'This example script has not yet been created.


Example: RightBorder property
'Example: RightBorder property

'This example script has not yet been created.


Example: RightExternalMargin property
'Example: RightExternalMargin property

'This example script has not yet been created.


Example: RightMouseMenus property
'Example: RightMouseMenus property

'This example script has not yet been created.


Example: RightMousePropId property
'Example: RightMousePropId property

'This example script has not yet been created.


Example: RightMousePropText property
'Example: RightMousePropText property

'This example script has not yet been created.


Example: RightPage property
'Example: RightPage property

'This example script has not yet been created.


Example: Right property
'Example: Right property

'This example script has not yet been created.


Example: RowLayouts property
'Example: RowLayouts property

'This example script has not yet been created.


Example: Rows property
'Example: Rows property

'This example script has not yet been created.


Example: RubyLayouts property
'Example: RubyLayouts property

'This example script has not yet been created.


Example: RunMacroOnDocEvents property
'Example: RunMacroOnDocEvents property

'This example script has not yet been created.


Example: RunMacroOnLoad property
'Example: RunMacroOnLoad property

'This example script has not yet been created.


Example: RunOnCloseDoc property
'Example: RunOnCloseDoc property

'This example script has not yet been created.


Example: RunOnNewDoc property
'Example: RunOnNewDoc property

'This example script has not yet been created.


Example: RunOnOpenDoc property
'Example: RunOnOpenDoc property

'This example script has not yet been created.


Example: RunScript method
'Example: RunScript method

' This example runs the 'TestFunction' module in the script file 'EXAMPLE.LWP'

' RUNTIME DEPENDENCIES: You must have a script file named 'EXAMPLE.LWP' which

' contains a function named 'TestFunction'.  The script file should be

' located in the WordPro preferences Script directory.

Dim ScriptModule as String

Dim ScriptFunction as String

ScriptModule = "EXAMPLE.LWP"

ScriptFunction = "TestFunction"

.RunScript(ScriptModule, ScriptFunction)


Example: Run method
'Example: Run method

'This example script has not yet been created.


Example: SaveAsToNotes method
'Example: SaveAsToNotes method

' This example script has not yet been created.


Example: SaveAs event
'Example: SaveAs event

'This example script has not yet been created.


Example: SaveAs method
'Example: SaveAs method

' This example saves the current document in ASCII format.  The file is saved

' in Word Pro's document directory using the file name given returned by the

' input box.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FileName as String

Dim FilePath as String

Dim FilterType as String

FilterType  = "Text - ASCII (DOS)"

FilePath = .ApplicationWindow.UserInterfacePrefs.DocPath

FileName = InputBox("Enter a filename to save as:","Example Script","")

If FileName <> "" Then

.SaveAs FileName,FilePath , FilterType, False, True, False

End If


Example: SavedAs event
'Example: SavedAs event

'This example script has not yet been created.


Example: SaveData method
'Example: SaveData method

'This example script has not yet been created.


Example: SaveDivision method
'Example: SaveDivision method

'This example script has not yet been created.


Example: Saved event
'Example: Saved event

'This example script has not yet been created.


Example: Saved property
'Example: Saved property

'This example script has not yet been created.


Example: SaveEnvelopeMaster method
'Example: SaveEnvelopeMaster method

'This example script has not yet been created.


Example: SaveGlossary method
'Example: SaveGlossary method

' This example stores a file name in the variable GlossFileName, hides the

' open documents, opens the default Word Pro glossary file, creates and saves

' a glossary file named "GLOSTST.GLS" in the User Setup glossary directory,

' then closes the glossary files and resets the default values user interface

' preferences.

' RUNTIME DEPENDENCIES: You must have create file rights in the specified

' glossary directory for this script to work.

Dim GlossFileName As String

GlossFileName = "GLOSTST.GLS"

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = False

.GlossaryOpen GlossFileName, "Lotus Word Pro"

.CreateGlossary

.SaveGlossary GlossFileName, "Lotus Word Pro", False

.Close

.ApplicationWindow.UserInterfacePrefs.IsReplacement = False

.ApplicationWindow.UserInterfacePrefs.OpenDocsVisible = True

.ApplicationWindow.UserInterfacePrefs.OpenReadOnly = False


Example: SaveMacro method
'Example: SaveMacro method

'This example script has not yet been created.


Example: SaveSnapshot method
'Example: SaveSnapshot method

'This example script has not yet been created.


Example: SaveSnapShot property
'Example: SaveSnapShot property

'This example script has not yet been created.


Example: SaveThumbnailBitmap method
'Example: SaveThumbnailBitmap method

'This example script has not yet been created.


Example: SaveToStorageComplete method
'Example: SaveToStorageComplete method

'This example script has not yet been created.


Example: SaveToStorage method
'Example: SaveToStorage method

'This example script has not yet been created.


Example: SaveUserDefaults method
'Example: SaveUserDefaults method

' This example changes the number of recent files to 5.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.UserInterfacePrefs.NumOfRecentFiles = 5

.ApplicationWindow.SaveUserDefaults


Example: SaveVersion method
'Example: SaveVersion method

' This example saves the selected version as a file named TESTVER.LWP.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim FileName As String

Dim Version As Long

FileName  = .ApplicationWindow.UserInterfacePrefs.DocPath & "\TESTVER.LWP"

Version = 2

.SaveVersion FileName, Version


Example: Save event
'Example: Save event

'This example script has not yet been created.


Example: Save method
'Example: Save method

' This example saves the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Save


Example: ScaleHeight property
'Example: ScaleHeight property

'This example script has not yet been created.


Example: ScaleMode property
'Example: ScaleMode property

'This example script has not yet been created.


Example: ScalePercentage property
'Example: ScalePercentage property

'This example script has not yet been created.


Example: ScaleWidth property
'Example: ScaleWidth property

'This example script has not yet been created.


Example: ScreenPositionX property
'Example: ScreenPositionX property

Dim CR As String*1

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

CR = Chr(10)

Set IcnMgr = .ApplicationWindow.IconBarManager

With IcnMgr.IconBars(IcnPallet)

MsgStr = "Height = " & .Height & CR

MsgStr = MsgStr & "IconBarPositionState = " & .IconBarPositionState & CR

MsgStr = MsgStr & "PositionType = " & .PositionType & CR

MsgStr = MsgStr & "ScreenPositionX = " & .ScreenPositionX & CR

MsgStr = MsgStr & "ScreenPositionY = " & .ScreenPositionY

Messagebox MsgStr, 64, "Script Example - " & .Name

End With


Example: ScreenPositionY property
'Example: ScreenPositionY property

Dim CR As String*1

Dim IcnPallet As String

Dim MsgStr As String

Dim IcnMgr As IconBarManager

IcnPallet = "Comment Tools"

CR = Chr(10)

Set IcnMgr = .ApplicationWindow.IconBarManager

With IcnMgr.IconBars(IcnPallet)

MsgStr = "Height = " & .Height & CR

MsgStr = MsgStr & "IconBarPositionState = " & .IconBarPositionState & CR

MsgStr = MsgStr & "PositionType = " & .PositionType & CR

MsgStr = MsgStr & "ScreenPositionX = " & .ScreenPositionX & CR

MsgStr = MsgStr & "ScreenPositionY = " & .ScreenPositionY

Messagebox MsgStr, 64, "Script Example - " & .Name

End With


Example: Script property
'Example: Script property

'This example script has not yet been created.


Example: SearchAttributes property
'Example: SearchAttributes property

'This example script has not yet been created.


Example: SearchLanguage property
'Example: SearchLanguage property

'This example script has not yet been created.


Example: SectionName property
'Example: SectionName property

'This example script has not yet been created.


Example: Sections property
'Example: Sections property

'This example script has not yet been created.


Example: SectionTabs property
'Example: SectionTabs property

'This example script has not yet been created.


Example: Section property
'Example: Section property

'This example script has not yet been created.


Example: SelectCell method
'Example: SelectCell method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table' style. The current cell is then selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.Text.InsertText "A table cell"

.SelectCell


Example: SelectColumn method
'Example: SelectColumn method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table style. The first column is selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.SelectColumn


Example: SelectCount property
'Example: SelectCount property

'This example script has not yet been created.


Example: SelectCustomIcon method
'Example: SelectCustomIcon method

'This example script has not yet been created.


Example: SelectDoc method
'Example: SelectDoc method

'This example script has not yet been created.


Example: SelectedPages property
'Example: SelectedPages property

'This example script has not yet been created.


Example: SelectEntireCellRange method
'Example: SelectEntireCellRange method

' This example creates a table with 5 columns and 5 rows, inserts some text

' and then selects the inserted text.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.Table.CellLayout(1,1).GotoLayout

.Type "Some text for the table cell"

.SelectEntireCellRange


Example: SelectEntireColumn method
'Example: SelectEntireColumn method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table style and then selects the current column.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.Text.InsertText "A table cell"

.SelectEntireColumn


Example: SelectEntirePColCellRange method
'Example: SelectEntirePColCellRange method

' This example creates a parallel column table, inserts some text and then

' selects the inserted text and cell.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.Type "Some text for the cell"

.SelectEntirePColCellRange


Example: SelectEntirePColColumn method
'Example: SelectEntirePColColumn method

' This example creates a parallel column table with 3 columns and then selects

' the first column.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.SelectEntirePColColumn


Example: SelectEntirePColRow method
'Example: SelectEntirePColRow method

' This example creates a parallel column table with 3 columns and then selects

' the first row.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.SelectEntirePColRow


Example: SelectEntirePCol method
'Example: SelectEntirePCol method

' This example creates a parallel column table with 3 columns and then selects

' the first column.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.SelectEntirePCol


Example: SelectEntireRow method
'Example: SelectEntireRow method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table' style and then selects the current row.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.Text.InsertText "A table cell"

.SelectEntireRow


Example: SelectEntireTable method
'Example: SelectEntireTable method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table' style and then selects the entire table.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.Text.InsertText "A table cell"

.SelectEntireTable


Example: SelectionBorderColor1 property
'Example: SelectionBorderColor1 property

'This example script has not yet been created.


Example: SelectionBorderColor2 property
'Example: SelectionBorderColor2 property

'This example script has not yet been created.


Example: SelectionBorderColor3 property
'Example: SelectionBorderColor3 property

'This example script has not yet been created.


Example: SelectionHidden property
'Example: SelectionHidden property

'This example script has not yet been created.


Example: SelectionType property
'Example: SelectionType property

'This example script has not yet been created.


Example: SelectItemString method
'Example: SelectItemString method

'This example script has not yet been created.


Example: SelectItem method
'Example: SelectItem method

'This example script has not yet been created.


Example: SelectParagraph method
'Example: SelectParagraph method

' This example inserts text into the current document and selects the

' current paragraph.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "This is some sample text."

.SelectParagraph


Example: SelectPColCell method
'Example: SelectPColCell method

' This example creates a parallel column table with 3 columns and then selects

' the first cell.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateParallelColumns 3, $LtsAlignmentHorizCenter

.SelectPColCell


Example: SelectRow method
'Example: SelectRow method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table style. The first row is selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.SelectRow


Example: SelectRuler method
'Example: SelectRuler method

'This example script has not yet been created.


Example: SelectSection method
'Example: SelectSection method

' This example selects the contents of the current section of the document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.SelectSection


Example: SelectSentence method
'Example: SelectSentence method

' This example inserts some text into the current document and positions the

' cursor at the line's begininning.  The entire sentence is then selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "Some sample text."

.Text.Backward $LwpNavigateObjectTypeSentence, 1

.SelectSentence


Example: SelectStandardIcon method
'Example: SelectStandardIcon method

'This example script has not yet been created.


Example: SelectTableItem method
'Example: SelectTableItem method

' This example creates a table with 5 rows and 5 columns and then selects the

' entire table.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5,5

.Table.SelectTableItem($LwpTableSelectionTable)


Example: SelectTable method
'Example: SelectTable method

' This example creates a table with 5 columns and 4 rows based on the

' Default Table' style and then selects the table.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 5, 4

.Text.InsertText "A table cell"

.SelectTable


Example: SelectTab property
'Example: SelectTab property

'This example script has not yet been created.


Example: SelectType property
'Example: SelectType property

'This example script has not yet been created.


Example: SelectWord method
'Example: SelectWord method

' This example inserts some text into the current document and positions the

' cursor at the line's begininning.  The first word is then selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "Some sample text."

.Text.Backward $LwpNavigateObjectTypeSentence, 1

.SelectWord


Example: Select method
'Example: Select method

' This example inserts some text into the current document which is then selected.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "This is some text."

.Select $LwpSelectObjectTypeParagraph


Word Pro: SortLevel2 property

 See list of classes

 See example

(Read-write) Allows you to access options for the secondary sort order of a multi-level sort.

Data Type

SortKey

Syntax

[objectreference].SortLevel2 = sortlevel2value

sortlevel2value = [objectreference].SortLevel2

Legal values

Always contains an instance of the SortKey class.

Usage


Topics Found:

Word Pro: SortOptions class


Word Pro: SortLevel3 property

 See list of classes

 See example

(Read-write) Allows you to access options for the tertiary sort order of a multi-level sort.

Data Type

SortKey

Syntax

[objectreference].SortLevel3 = sortlevel3value

sortlevel3value = [objectreference].SortLevel3

Legal values

Always contains an instance of the SortKey class.

Usage


Topics Found:

Word Pro: SortOptions class


Word Pro: SortOptions property

 See list of classes

 See example

(Read-only)

Data Type

SortOptions

Syntax

sortoptionsvalue = [objectreference].SortOptions

Legal values

Always contains an instance of the SortOptions class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Spacing property

 See list of classes

 See example

(Read-only)

Data Type

Spacing

Syntax

spacingvalue = [objectreference].Spacing

Legal values

Always contains an instance of the Spacing class.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Formula class

Word Pro: ParagraphStyle class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: SpellColor property

 See list of classes

 See example

(Read-only) Stores the color that highlights spelling and grammar errors.

Data Type

Color

Syntax

spellcolorvalue = [objectreference].SpellColor

Legal values

Always contains an instance of the Color class.

Usage

Equivalent to the "Color for unrecognized words" value in the Spell Check Options dialog box.


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: SpellFocusedColor property

 See list of classes

 See example

(Read-only) The color used to hightlight spelling and grammar errors.

Data Type

Color

Syntax

spellfocusedcolorvalue = [objectreference].SpellFocusesColor

Legal values

Always contains an instance of the Color class.

Usage

This color is always the inverse of the color that is stored in the SpellColor property.


Topics Found:

Word Pro: AppViewPrefs class


Word Pro: StatusBarButtons property

 See list of classes

 See example

(Read-only) This property provides a list of all buttons in the status bar, by name.

Data Type

StatusBarButtonCollection

Syntax

statusbarbuttonsvalue = [objectreference].StatusBarButtons

Legal values

Always contains an instance of the StatusBarButtonCollection class.

Usage

If you add a new status button to the status bar in LotusScript, this property returns an assigned number, such as CUSTOM1.


Topics Found:

Word Pro: StatusBar class


Word Pro: StatusBar property

 See list of classes

 See example

(Read-only) An instance of the StatusBar class.

Data Type

StatusBar

Syntax

statusbarvalue = [objectreference].StatusBar

Legal values

Always contains an instance of the StatusBar class.

Usage

Use this property to access the StatusBar object when a document is not open.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: StylePaths property

 See list of classes

 See example

(Read-only) Stores multiple paths (drive and directories) for SmartMaster files.

Data Type

StringCollection

Syntax

stylepathsvalue = [objectreference].StylePaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "SmartMaster" value on the Locations panel of the Word Pro Preferences dialog box. "SmartMaster" can contain multiple paths. You can use this property to read these multiple paths, including the default or first path that is also stored in the StylePath property on UserInterfacePrefs.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Style property

 See list of classes

 See example

(Read-only) Indicates the specific layout object from which the current layout object inherited its style settings.

Data Type

Layout

Syntax

stylevalue = [objectreference].Style

Legal values

Always contains an instance of the Layout class.

Usage

You can use this property to access the default property values that were assigned to a layout object when it was created. For example, you could create a frame based on the Default Frame style and then change the number of columns within that frame. To access the current number of columns for the frame, you could use the following statement:

[framelayoutobject].numcols

To check the number of columns a frame was assigned when it was initially created, you could use the following statement:

[framelayoutobject].style.numcols


Topics Found:

Word Pro: Border class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: SuperTableContainer property

 See list of classes

 See example

(Read-only) An instance of the SuperTableContainer class. This is a current context property which only contains an object when the focus of Word Pro includes a table. If there is no table in the focus, this property is empty.

Data Type

SuperTableContainer

Syntax

supertablecontainervalue = [objectreference].SuperTableContainer

Legal values

An instance of the SuperTableContainer class.

Usage

When the focus includes a table, this property contains the SuperTableContainer object which groups together the objects that comprise the SuperTable object in the focus. You can use this property to access the Layout or other objects related to that super table.


Topics Found:

Word Pro: WPApplication class


Word Pro: SuperTableLayouts property

 See list of classes

 See example

(Read-only) An object created from the SuperTableLayoutCollection class. This object provides access to SuperTableLayout objects.

Data Type

SuperTableLayoutCollection

Syntax

supertablelayoutsvalue = [objectreference].SuperTableLayouts

Legal values

Always contains an instance of the SuperTableLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the SuperTableLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the SuperTableLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the SuperTableLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the SuperTableLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: SuperTables property

 See list of classes

 See example

(Read-only) An object created from the SuperTableCollection class. This object provides access to SuperTable objects.

Data Type

SuperTableCollection

Syntax

supertablesvalue = [objectreference].SuperTables

Legal values

Always contains an instance of the SuperTableCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the SuperTable objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the SuperTable objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the SuperTable objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the SuperTable objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: TableContainer property

 See list of classes

 See example

(Read-only) An instance of the ParallelColsContainer class or the TableOnlyCont class. This is a current context property which only contains an object when the focus of Word Pro includes a page with parallel columns or a table. If neither parallel columns nor a table are in the focus, this property is empty.

Data Type

TableContainer

Syntax

tablecontainervalue = [objectreference].TableContainer

Legal values

An instance of the ParallelColsContainer class or the TableOnlyCont class.

Usage

When the focus includes a page with parallel columns, this property contains the ParallelColsContainer object which groups together the objects that comprise the parallel columns in the focus. You can use this property to access the Layout object related to those parallel columns.

When the focus includes a table, this property contains the TableOnlyCont object which groups together the objects that comprise the table in the focus. You can use this property to access the TableLayout or other objects related to that table.


Topics Found:

Word Pro: WPApplication class


Word Pro: TableExports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

tableexportsvalue = [objectreference].TableExports

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: TableFill property

 See list of classes

 See example

(Read-only) Contains an instance of the TableFill class, which allows you to modify the background and pattern information of table cells.

Data Type

TableFill

Syntax

tablefillvalue = [objectreference].TableFill

Legal values

Always contains an instance of the TableFill class.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: TableHeadingLayouts property

 See list of classes

 See example

(Read-only) An object created from the TableHeadingLayoutCollection class. This object provides access to TableHeadingLayout objects.

Data Type

TableHeadingLayoutCollection

Syntax

tableheadinglayoutsvalue = [objectreference].TableHeadingLayouts

Legal values

Always contains an instance of the TableHeadingLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the TableHeadingLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the TableHeadingLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the TableHeadingLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the TableHeadingLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: TableHeadings property

 See list of classes

 See example

(Read-only) An object created from the TableHeadingCollection class. This object provides access to TableHeading objects.

Data Type

TableHeadingCollection

Syntax

tableheadingsvalue = [objectreference].TableHeadings

Legal values

Always contains an instance of the TableHeadingCollection class.

Usage

When accessed through the Foundr y property on a Division object, the collection object in this property provides access to all the TableHeading objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the TableHeading objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the TableHeading objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the TableHeading objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: TableImports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

tableimportsvalue = [objectreference].TableImports

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: TableLayouts property

 See list of classes

 See example

(Read-only) An object created from the TableLayoutCollection class. This object provides access to TableLayout objects.

Data Type

TableLayoutCollection

Syntax

tablelayoutsvalue = [objectreference].TableLayouts

Legal values

Always contains an instance of the TableLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the TableLayout objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the TableLayout objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the TableLayout objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the TableLayout objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: TableLine property

 See list of classes

 See example

(Read-only) Contains an instance of the TableLine class, which allows you to modify border line styles around table objects.

Data Type

TableLine

Syntax

tablelinevalue = [objectreference].TableLine

Legal values

Always contains an instance of the TableLine class.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: TableMarkers property

 See list of classes

 See example

(Read-only) An object created from the TableMarkerCollection class. This object provides access to TableMarker objects.

Data Type

TableMarkerCollection

Syntax

tablemarkersvalue = [objectreference].TableMarkers

Legal values

Always contains an instance of the TableMarkerCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the TableMarker objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the TableMarker objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the TableMarker objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the TableMarker objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: TableOnlyContainer property

 See list of classes

 See example

(Read-only) An instance of the TableOnlyCont class. This is a current context property which only contains an object when the focus of Word Pro includes a table. If there is no table in the focus, this property is empty.

Data Type

TableOnlyCont

Syntax

tableonlycontainervalue = [objectreference].TableOnlyContainer

Legal values

An instance of the TableOnlyCont class.

Usage

When the focus includes a table, this property contains the TableOnlyCont object which groups together the objects that comprise the table in the focus. You can use this property to access the TableLayout or other objects related to that table.


Topics Found:

Word Pro: WPApplication class


Word Pro: TableStyles property

 See list of classes

 See example

(Read-only) An object created from the TableLayoutCollection class. This object provides access to TableLayout objects which are used as table styles.

Data Type

TableLayoutCollection

Syntax

tablestylesvalue = [objectreference].TableStyles

Legal values

Always contains an instance of the TableLayoutCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the TableLayout objects which are used as table styles and contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the TableLayout objects which are used as table styles and  contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the TableLayout objects which are used as table styles and placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the TableLayout objects which are used as table styles and contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Tables property

 See list of classes

 See example

(Read-only) An object created from the TableOnlyCollection class. This object provides access to Table objects.

Data Type

TableOnlyCollection

Syntax

tablesvalue = [objectreference].Tables

Legal values

Always contains an instance of the TableOnlyCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Table objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Table objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Table objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Table objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Table property

 See list of classes

 See example

(Read-only) The Table object which is uppermost in the focus when this property is called.

Data Type

Table

Syntax

tablevalue = [objectreference].Table

Legal values

Always contains an instance of the Table class.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: TabRack property

 See list of classes

 See example

(Read-only) Returns the TabRack object for a layout object.

Data Type

TabRack

Syntax

tabrackvalue = [objectreference].TabRack

Legal values

Always contains an instance of the TabRack class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class


Word Pro: TempFindAndReplace property

 See list of classes

 See example

(Read-only)

Data Type

FindAndReplace

Syntax

tempfindandreplacevalue = [objectreference].TempFindAndReplace

Legal values

Always contains an instance of the FindAndReplace class.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: TempFoundry property

 See list of classes

 See example

(Read-only) A Foundry object used by Word Pro to temporarily store objects during drag and drop operations. You can use the collections in this property's Foundry object to temporarily store objects while your script is running. You must clear the TempFoundry contents after each use.

Data Type

Foundry

Syntax

tempfoundryvalue = [objectreference].TempFoundry

Legal values

Always contains an instance of the Foundry class.

Usage

TempFoundry is a property in WordPro. TempFoundry contains another Foundry object. Word Pro uses TempFoundry to temporarily store objects which are part of a drag and drop or other internal operation. You can use TempFoundry in much the same way.

Like its counterpart, AppFoundry, TempFoundry contains a Foundry object. You can use the collection objects on this Foundry object as a staging area for any Word Pro LotusScript objects you create and manipulate. For example, when you want to move an object or objects from one document to another, you can store those objects temporarily in the TempFoundry collection objects. The TempFoundry property is always available, regardless of which document is active, so you always have access to the contents of its collections. This makes it an ideal place for temporarily storing items which you want to use or move.

Note	You must clear TempFoundry after each use. Any objects left in any of TempFoundry's collections can reappear during drag and drop and other operations, and result in unpredictable behavior.


Topics Found:

Word Pro: WPApplication class


Word Pro: TextandTableExports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

textandtableexportsvalue = [objectreference].TextandTableExports

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: TextandTableImports property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

textandtableimportsvalue = [objectreference].TextandTableImports

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: Filter class


Word Pro: TextAttributes property

 See list of classes

 See example

(Read-write) Comprised of other attributes that are not normally associated as part of the font, such as highlight, hidden, or protected. This property only applies to text characteristics of specific deleted text.

Data Type

Attributes

Syntax

textattributesvalue = [objectreference].TextAttributes

[objectreference].TextAttributes = textattributesvalue

Legal values

Always contains an instance of the Attributes class.

Usage

In a Word Pro document, the font describes the typeface, point size, color, and attributes (such as bold, italic, and so on) of any inserted text. However, the TextAttributes property describes other text characteristics, such as whether the text is highlighted, hidden, or protected, and applies only to deleted text.  For example, when an editor uses the markup option that hides deleted text, the TextAttributes property, as part of the Editor class, captures all the characteristics of the deleted text. That editor can then use the TextAttributes property to determine the text characteristics of specific deleted text.


Topics Found:

Word Pro: CharacterStyle class

Word Pro: Editor class

Word Pro: ParagraphStyle class

Word Pro: RevisionDisplay class


Word Pro: TextMarkers property

 See list of classes

 See example

(Read-only) An object created from the TextMarkerCollection class. This object provides access to TextMarker objects.

Data Type

TextMarkerCollection

Syntax

textmarkersvalue = [objectreference].TextMarkers

Legal values

Always contains an instance of the TextMarkerCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the TextMarker objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the TextMarker objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the TextMarker objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the TextMarker objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: TextStyles property

 See list of classes

 See example

(Read-only) An object created from the TextStyleCollection class. This object provides access to both CharacterStyle and ParagraphStyle objects.

Data Type

TextStyleCollection

Syntax

textstylesvalue = [objectreference].TextStyles

Legal values

Always contains an instance of the TextStyleCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the CharacterStyle and ParagraphStyle objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the CharacterStyle and ParagraphStyle objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the CharacterStyle and ParagraphStyle objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the CharacterStyle and ParagraphStyle objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection

ClassesH_WORD_PRO_LOTUSSCRIPT_COLLECTION_CLASSES_OVER.


Topics Found:

Word Pro: Foundry class


Word Pro: Texts property

 See list of classes

 See example

(Read-only) An object created from the TextCollection class. This object provides access to Text objects.

Data Type

TextCollection

Syntax

textsvalue = [objectreference].Texts

Legal values

Always contains an instance of the TextCollection class.

Usage

When accessed through the Foundry property on a Division object, the collection object in this property provides access to all the Text objects contained in that Division object.

When accessed through the AppFoundry property on the WPApplication object, this collection object provides access to all the Text objects contained in the Word Pro Clipboard.

When accessed through the TempFoundry property on the WPApplication object, this collection object provides access to all the Text objects placed in TempFoundry by WordPro or a script.

When accessed through the Foundry property on the WPApplication object, this collection object provides access to all the Text objects contained in the currently active Division object.

This property is not used in the Foundry property on the TextDocument object.

For more information about collection classes, see Overview: Word Pro LotusScript Collection Classes.


Topics Found:

Word Pro: Foundry class


Word Pro: Text property

 See list of classes

 See example

(Read-only) An object created from the Text class.

Data Type

Text

Syntax

textvalue = [objectreference].Text

Legal values

Always contains an instance of the Text class.

Usage

The Text object you retrieve when you call this property is determined by the object from which you call the property.

CurrentApplication.Text
When you call this property from the WPApplication object, the property returns the Text object which is uppermost in the focus when this property is called.

Note	The remainder of this topic is not yet complete.

<Bulletobject>.Text
When you call this property from a Bullet object, the property returns the Text object which

<GraphicOleObjectobject>.Text
When you call this property from a GraphicOleObject object, the property returns the Text object which

<Graphicobject>.Text
When you call this property from a Graphic object, the property returns the Text object which

<NoteLayoutobject>.Text
When you call this property from a NoteLayout object, the property returns the Text object which

<OleObjectobject>.Text
When you call this property from a OleObject object, the property returns the Text object which

<SilverBulletobject>.Text
When you call this property from a SilverBullet object, the property returns the Text object which


Topics Found:

Word Pro: Bullet class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: NoteLayout class

Word Pro: OleObject class

Word Pro: SilverBullet class

Word Pro: WPApplication class


Word Pro: TopBorder property

 See list of classes

 See example

(Read-only) Allows you to access an object's top border object.

Data Type

Border

Syntax

topbordervalue = [objectreference].TopBorder

Legal values

Always contains an instance of the Border class.

Usage

You can also use the AllBorders property in order to simultaneously access an object's BottomBorder, LeftBorder, RightBorder, and TopBorder objects.


Topics Found:

Word Pro: BorderLines class

Word Pro: Gutter class


Word Pro: UndoLevels property

 See list of classes

 See example

(Read-only)

Data Type

StringCollection

Syntax

undolevelsvalue = [objectreference].UndoLevels

Legal values

Always contains an instance of the StringCollection class.

Usage


Topics Found:

Word Pro: RevisionDisplay class

Word Pro: Script class


Word Pro: Units property

 See list of classes

 See example

(Read-only) A collection of all the units of measurement available in Word Pro.

Data Type

StringCollection

Syntax

unitsvalue = [objectreference].Units

Legal values

Always contains an instance of the StringCollection class with the following members: Inches (in), Centimeters (cm), Points (pts), and Picas (pi).

Usage

This property is used to populate the "Measure in" box on the General panel of the Word Pro Preferences dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: UserDictionaryFiles property

 See list of classes

 See example

(Read-only) Stores multiple user dictionary names.

Data Type

StringCollection

Syntax

userdictionaryfilesvalue = [objectreference].UserDictionaryFiles

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "Default user dictionary" value on the Default files panel of the Word Pro Preferences dialog box. In the Word Pro interface, "Default user dictionary" can contain muliple file names. You can use this property to read these muliple file names, including the default file which is stored in the UserDictFiles property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: UserDictionaryPaths property

 See list of classes

 See example

(Read-only) Contains multiple paths (drive and directory) for the Word Pro user dictionary.

Data Type

StringCollection

Syntax

userdictionarypathsvalue = [objectreference].UserDictionaryPaths

Legal values

Always contains an instance of the StringCollection class.

Usage

Equivalent to the "User dictionaries" option on the Locations panel of the Word Pro Preferences dialog box. This value can contain muliple paths. You can use this property to read these multiple paths, including the default or first path. The default path is stored in the UserDictionaryPath property.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: UserInterfacePrefs property

 See list of classes

 See example

(Read-only) An instance of the UserInterfacePrefs class.

Data Type

UserInterfacePrefs

Syntax

userinterfaceprefsvalue = [objectreference].UserInterfacePrefs

Legal values

Always contains an instance of the UserInterfacePrefs class.

Usage

Use this property to set Word Pro user preferences when no document is open.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: UseWhen property

 See list of classes

 See example

(Read-only) Allows you to determine when a specific layout object should be used.

Data Type

UseWhen

Syntax

usewhenvalue = [objectreference].UseWhen

Legal values

Always contains an instance of the UseWhen class.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: VersionManager property

 See list of classes

 See example

(Read-only)

Data Type

VersionManager

Syntax

versionmanagervalue = [objectreference].VersionManager

Legal values

Always contains an instance of the VersionManager class.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: Versions property

 See list of classes

 See example

(Read-only)

Data Type

VersionCollection

Syntax

versionsvalue = [objectreference].Versions

Legal values

Always contains an instance of the VersionCollection class.

Usage


Topics Found:

Word Pro: VersionManager class


Word Pro: VertRuler property

 See list of classes

 See example

(Read-only) Contains a ruler object that indicates tab settings, indents, margins, and columns.

Data Type

Ruler

Syntax

vertrulervalue = [objectreference].VertRuler

Legal values

Always contains an instance of the Ruler class.

Usage

Use this property to display the vertical ruler when no document is open.


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: WinViewPrefs property

 See list of classes

 See example

(Read-only) The pointer to the view preferences options in the WinViewPrefs class.

Data Type

WinViewPrefs

Syntax

winviewprefsvalue = [objectreference].WinViewPrefs

Legal values

Always contains an instance of the WinViewPrefs class.

Usage


Topics Found:

Word Pro: DocWindow class

Word Pro: UserInterfacePrefs class


Word Pro: WPDataSets property

 See list of classes

 See example

(Read-only) This property contains an instance of the WPDataSetCollection class.

Data Type

WPDataSetCollection

Syntax

wpdatasetsvalue = [objectreference].WPDataSets

Legal values

Always contains an instance of the WPDataSetCollection class.

Usage

This WPDataSetCollection object gives you access to WPDataSet objects. For more information, see the WPDataSetCollection and WPDataSet classes.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: Text class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: Zero property

 See list of classes

 See example

(Read-only) Allows you to modify the "Zero" condition of the current number format.

Data Type

NumericFormatSubset

Syntax

zerovalue = [objectreference].Zero

Legal values

Always contains an instance of the NumericFormatSubset class.

Usage

Equivalent to the "Zero" condition, which can be accessed through the Edit Format dialog. The Edit Format dialog can be opened by clicking the Format Options button, which is located in the Number Format tab of the InfoBox for cell layout objects.

By accessing the "Zero" condition of a number format, you can modify how zero values will appear within table cells, and whether you would like prefix or suffix text.


Topics Found:

Word Pro: NumericFormat class


Word Pro: SortParagraphs method

 See list of classes

 See example

Sorts the currently active text object or selection, based on the settings in the SortOptions object.

Syntax

[objectreference].SortParagraph()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

This method behaves the same way as the Sort function found on the Word Pro Text menu.

If the focus is in a table cell or table selection when you call this method, Word Pro sorts the entire table by the contents of the first column.


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class

Word Pro: WPApplication class


Word Pro: SpellAddToUserDict method

 See list of classes

 See example

Adds the selected word to the user dictionary.

Syntax

[objectreference].SpellAddToUserDict()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SpellClearSkippedWords method

 See list of classes

 See example

Removes the Skip flag from words you have instructed Word Pro to skip.

Syntax

[objectreference].SpellClearSkippedWords()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SpellMarkSkippedWords method

 See list of classes

 See example

Marks the selected word as skipped.

Note	This method also removes the flags for misspelled or double words.

Syntax

[objectreference].SpellMarkSkippedWords()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SpellSkipAll method

 See list of classes

 See example

Adds the selected word to Spell Check's skip all list.

Syntax

[objectreference].SpellSkipAll()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SpellWord method

 See list of classes

 See example

Syntax

[objectreference].SpellWord()

Parameters

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: SplitParagraph method

 See list of classes

 See example

Splits the current paragraph into two separate paragraphs.

Syntax

[objectreference].SplitParagraph([PropagateAttributes])

Parameters

PropagateAttributes
Allows you to carry over any local paragraph attributes from the existing paragraph to the new paragraph. The data type for this parameter is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0) instead of the integer values. This is an optional parameter. The default value is False which passes on only the paragraph style attributes.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: Split method

 See list of classes

 See example

Splits a cell into two or more rows or columns.

Syntax

[objectreference].Split(SplitType, [NumRows,] [NumCols])

Parameters

SplitType
This Variant parameter must be one of the string constants below or its numeric equivalent.

Value	Effect
$LwpTableSplitTypeCell (1904)	Equivalent to choosing Table - Split cell. Splits the current cell into the number of cells specified by the NumRows and NumCols parameter values.
$LwpTableSplitTypeTable (1905)	Equivalent to choosing Table - Split Entire Table. Values in the NumRows and NumCols parameters have no effect.

NumRows
This optional Integer parameter determines how many rows into which a cell will be split.

NumCols

This optional Integer parameter determines how many columns into which a cell will be split.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: BaseTable class

Word Pro: FootnoteTable class

Word Pro: Glossary class

Word Pro: ParallelColumns class

Word Pro: Table class

Word Pro: TableHeading class


Word Pro: SRReplace method

 See list of classes

 See example

Syntax

[objectreference].SRReplace([IsTemporary])

Parameters

IsTemporary
Data type is Boolean. Optional parameter. Default value is False.

Return value

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: StartEditMergeData method

 See list of classes

 See example

Opens the data file for the currently active merge document. The data file remains hidden from the user but available for editing from the merge document. Equivalent to choosing Text - Merge and clicking Edit Data File.

Syntax

[objectreference].StartEditMergeData()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: StartEnvelopeDiv method

 See list of classes

 See example

Creates an envelope division in the currently active document.

Syntax

[objectreference].StartEnvelopeDiv()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

This method performs the following tasks in the course of creating the envelope division:

•	Creates frames for the return address and delivery address.

•	Checks for selected text in the active document.

•	If text is selected, Word Pro copies that text into the delivery address frame.

•	If no text is selected, Word Pro looks at the beginning of the document for 3 to 6 lines which have fewer than 60 characters each.

•	If Word Pro finds lines which meet these criteria, Word Pro assumes those lines are the delivery address and copies them into the delivery address frame.


Topics Found:

Word Pro: WPApplication class


Word Pro: StartFieldInsert method

 See list of classes

 See example

Opens the Merge bar so the user can insert fields for merging. This is the same Merge bar which appears during step two of the automated merge process.

Syntax

[objectreference].StartFieldInsert()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Start method

 See list of classes

 See example

In any container, this method moves the insertion point from its current position to the beginning of the document.

Syntax

[objectreference].Start(OfWhat)

Parameters

OfWhat
Data type is Variant. The value of this parameter must be $LwpDocumentObjectTypeDocument or its numeric equivalent (216).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class

Word Pro: UseWhen class


Word Pro: StoreInternetFile method

 See list of classes

 See example

Uses FTP to transfer a file from your local machine to an Internet site. You can transfer any file including Word Pro documents and HTML files.

Syntax

[objectreference].StoreInternetFile()

Parameters

LocalFile
A String expression specifying the name and path of the file which you want to send to an Internet site.

URL
A String expression specifying URL for the FTP server that will receive the file. This string value must include the name of the directory in which you want to store the file.

UserID
A String expression representing the name of the user who has an account with the FTP server.

Password
A String expression representing the password for the user named in UserID.

Passive
Set this value to True when you want to initiate the file transfer. Set it to False to allow the server to respond to your request when it is ready. Some FTP servers do not support this feature. The value of this parameter is usually False. If you are retrieving a WWW document, the value of this parameter should be a null string (""). Data type is Integer but the value is always 0 (False) or -1 (True). You can use the LotusScript constants of True and False.

Proxy
A String expression specifying the DNS (for example, screen.companyname.com) or IP address (for example, 123.456.78.912). Do not include "http:\\" in front of the the proxy value.

ProxyPort
An Integer which specifies the port number for the Proxy server. The value of this parameter is usually 8080 for the WWW and 21 for FTP, but you should check with your Internet service provider for your settings.

Return value

A String representing the name of the file you sent to the FTP site.

Usage

This method will not work unless your machine is configured for Internet access. A standard Internet access configuration includes a WINSOCK compliant DLL.


Topics Found:

Word Pro: WPApplication class


Word Pro: StrikeThru method

 See list of classes

 See example

Sets the strikethrough attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on and on if it is off. This is the same as choosing Text - Attributes - Other and then choosing "Strikethrough" from the Attributes box.

Syntax

[objectreference].StrikeThru()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: SubScript method

 See list of classes

 See example

Sets the subscript attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on and on if it is off. This is the same as choosing Text - Attributes - Other and then choosing "Subscript" from the Attributes box.

Syntax

[objectreference].SubScript()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Sum method

 See list of classes

 See example

Adds the contents of a range of cells within a table.

Syntax

[objectreference].Sum(TableSumScope)

Parameters

TableSumScope

Adds the contents in a range of columns or rows. The value of this Variant parameter must be one of the strings below or its code equivalent.

Value	Effect
$LwpTableSumScopeColumn (1907)	Adds the contents of a range of columns within a table.
$LwpTableSumScopeRow (1906)	Adds the contents of a range of rows within a table.
Return value

This method returns an Integer value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

Equivalent to inserting a SmartSum formula.


Topics Found:

Word Pro: Table class


Word Pro: SuperScript method

 See list of classes

 See example

Sets the Superscript attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on and on if it is off. This is the same as choosing Text - Attributes - Other and then choosing "Superscript" from the Attributes box.

Syntax

[objectreference].SuperScript()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: TeamMail method

 See list of classes

 See example

Opens and displays the TeamMail dialog box. Equivalent to choosing File - TeamMail.

Syntax

[objectreference].TeamMail()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: TheoreticalScaledSize method

 See list of classes

 See example

Syntax

[objectreference].TheoreticalScaledSize(ScaleMode, Percentage, Width, Height, MaintainAspectRatio)

Parameters

ScaleMode
Data type is Integer.

Percentage
Data type is Long.

Width
Data type is Long.

Height
Data type is Long.

MaintainAspectRatio
Data type is Integer.

Return value

Long

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: OleObject class


Word Pro: TileWindowHorz method

 See list of classes

 See example

Resizes and arranges all the active document windows so they appear side by side in the Word Pro application window. Equivalent to choosing Window - Tile Left-Right.

Syntax

[objectreference].TileWindowHorz()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If more than two windows are open, Word Pro may arrange the windows in rows so the first windows are tiled left to right in the top row, and the remaining windows are tiled in more rows beneath.


Topics Found:

Word Pro: WPApplication class


Word Pro: TileWindowVert method

 See list of classes

 See example

Resizes and arranges all the active document windows so they one above the other in the Word Pro application window. This is the same as choosing Window - Tile Top-Bottom.

Syntax

[objectreference].TileWindowVert()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

If more than two windows are open, Word Pro may arrange the windows in columns so the first windows are tiled top to bottom on the left and the remaining windows are tiled in columns to the right.


Topics Found:

Word Pro: WPApplication class


Word Pro: Tile method

 See list of classes

 See example

Tiles the document windows within the Word Pro application window.

Syntax

[objectreference].Tile()

Parameters

None

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

This method is equivalent to choosing Window - Tile Left-Right in the Word Pro interface.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: TimedSave method

 See list of classes

 See example

Performs a Timed Save of all the open documents which have been saved at least once.

Syntax

[objectreference].TimedSave()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

This Timed Save is the procedure which Word Pro performs automatically if you choose File - User Setup - Word Pro Preferences and select the option, "Automatically time save every". This method will perform a Timed Save regardless of whether a document's automatic save option is selected.

In a Timed Save, Word Pro creates a .~TS file for the document. The .~TS file is a copy of the document, located in the same folder as the original document.

Word Pro updates the .~TS file each time it autosaves the document. When you save a document, Word Pro saves the .~TS file to the original document and deletes the .~TS file. When you close a document without saving it, Word Pro deletes the .~TS file without saving it to the original document.

If you exit Word Pro abnormally, the .~TS files are not deleted. The next time you start Word Pro or open the original document, Word Pro prompts you about opening the .~TS file. If you do not open the .~TS file, Word Pro deletes it.


Topics Found:

Word Pro: WPApplication class


Word Pro: ToggleCleanScreen method

 See list of classes

 See example

This method has not yet been defined.

Syntax

Parameters

None

Return value

None

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: ToggleIconBar method

 See list of classes

 See example

Shows or hides the currently active set of SmartIcons. Equivalent to choosing View - Show/Hide and choosing SmartIcons.

Syntax

[objectreference].ToggleIconBar()

Parameters

None

Return value

None

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Type method

 See list of classes

 See example

Performs the specified keystrokes in a document. Available keystrokes include insertion point movement and function keys as outlined below in Parameters.

Syntax

[objectreference].Type(Keystroke)

Parameters

Keystroke
A String expression which represents the characters you want Word Pro to type in the document. To type a double quote mark, you must use two double quotes so that LotusScript can distinguish between the double quote you want to type and those which surround the rest of the string.

For example, this statement:

.Type("a double quote "" in a document")

would type this in your document:

a double quote " in a document

You can also include an insertion point movement or function key. To type a key, surround its name with square braces. The following key names can be used:

[Home] - Home key

[End] - End key

[PgUp] - Page Up key

[PgDn] - Page Down key

[Ins] - Insert key

[Del] - Delete key

[Backspace] - Backspace key

[Enter] - Enter or Return key

[Tab] - Tab key

[ESC] - Escape key

[Up] - Up Arrow key

[Down] - Down Arrow key

[Left] - Left Arrow key

[Right] - Right Arrow key

[F1] - [F12] - Function keys F1 through F12

You can also add the standard modifiers (CTRL, SHIFT and ALT) to these keys by appending "CTRL", "SHIFT" or "ALT", in any combination, to the front of the key name. For example, "CTRLDown" is the same as holding down he CTRL key while pressing the Down Arrow key and "CTRLSHIFTDown" is the same as holding down the CTRL and SHIFT keys while pressing the Down Arrow key.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: Footnote class

Word Pro: ParagraphStyle class

Word Pro: PowerField class

Word Pro: Spacing class

Word Pro: WPApplication class


Word Pro: Underline method

 See list of classes

 See example

Sets the underline attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on and on if it is off. This is the same as choosing Text - Attributes - Other and then choosing "Underline" from the Attributes box.

Syntax

[objectreference].Underline()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: UndoRedo method

 See list of classes

 See example

Allows you to reverse (undo) or repeat (redo) actions in Word Pro. Equivalent to choosing Edit - Undo/Redo Special.

Syntax

[objectreference].UndoRedo()

Parameters

Return value

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: Undo method

 See list of classes

 See example

Reverses (undoes) the previous editing function. Equivalent to choosing Edit - Undo.

Syntax

When called from WPApplication or a Graphic object:

[Objectreference].Undo()

When called from a TextDocument object:

[Objectreference].Undo(Count)

Parameters

Count
Specifies the number of recent edits to undo. This is an optional parameter only available when this method is called from a TextDocument object. The data type is Integer and the default value is 1.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: UnregisterWPDataSet method

 See list of classes

 See example

Deletes a WPDataSet from the object from which you call this method.

Syntax

[objectreference].UnregisterWPDDataSet(GroupName)

Parameters

GroupName
A string expression representing the name given to the WPDataSet.

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage

WPDataSet objects are useful tools which store data with a document. When you close a document that has one or more data sets attached to it, Word Pro saves the data set(s) with the document. Any time the document is open, you have access to the data sets created for that document.

When you regeister or unregister a WPDataSet on a Text object, that WPDataSet is assigned to the currently active paragraph.

This method deletes a WPDataSet object. The deleted data set cannot be restored once it has been unregistered.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ClickHere class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: Division class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: Marker class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: RubyMarker class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableMarker class

Word Pro: Text class

Word Pro: TextDocument class

Word Pro: TextMarker class

Word Pro: TOCSuperTableLayout class

Word Pro: WPApplication class


Word Pro: UpdateFootersText method

 See list of classes

 See example

Updates all the footers in a document to match the footer content in the currently active division.

Syntax

[objectreference].UpdateFootersText()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: UpdateHeadersText method

 See list of classes

 See example

Updates all the headers in a document to match the header content in the currently active division.

Syntax

[objectreference].UpdateHeadersText()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: UpdateIndexSection method

 See list of classes

 See example

Updates the specified index section to reflect any changes made to the associated division or document.

Syntax

[objectreference].UpdateIndexSection(DivisionName, SectionName)

Parameters

DivisionName
Data type is String.

SectionName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: UpdateLink method

 See list of classes

 See example

Syntax

[objectreference].UpdateLink(ShowErrorMessage)

Parameters

ShowErrorMessage
Data type is Integer. The legal values for this parameter are -1 and 0 but you may use the LotusScript constants True (-1) and False (0).

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Graphic class

Word Pro: OleObject class


Word Pro: UpdateOle method

 See list of classes

 See example

When the Word Pro document is OLE embedded in another container, this method updates the Word Pro document which is embedded.

Syntax

[objectreference].UpdateOle()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: UpdatePageSizeChange method

 See list of classes

 See example

Updates any changes to the size of the paper used to print the document.

Syntax

[objectreference].UpdatePageSizeChange()

Parameters

Return value

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: UpdatePowerFields method

 See list of classes

 See example

Updates any changes to power fields in a division.

Syntax

[objectreference].UpdatePowerFields(Reset)

Parameters

Reset
Data type is Boolean.

Return value

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: UpdatePrinterChanges method

 See list of classes

 See example

Updates any changes to power fields in a document, power fields used to create a table of contents, and power fields used to create indexes. Prints the results at the location of the power field.

Syntax

[objectreference].UpdatePrinterChanges()

Parameters

Return value

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: UpdateSelectedFields method

 See list of classes

 See example

Updates selected DocInfo fields in a document.

Syntax

[objectreference].UpdateSelectedFields([FieldUpdateSelect])

Parameters

FieldUpdateSelect
Data type is Variant. Default value is $LwpFieldUpdateWordsPagesFilesize. The value of this parameter must be one of the strings below or its equivalent (in parentheses):

Value	Effect
$LwpFieldUpdateChars (257)	Changes and displays within a DocInfo field the current number of characters in a document.
$LwpFieldUpdatePages (256)	Changes and displays within a DocInfo field the current number of pages in a document.
$LwpFieldUpdateSize (258)	Changes and displays within a DocInfo field the current kilobyte size of a document.
$LwpFieldUpdateWords (255)	Changes and displays within a DocInfo field the current number of words in a document.
$LwpFieldUpdateWordsPagesFilesize (254)	Changes and displays within a DocInfo field the current number of pages, the number of words, and the file size of a document.
Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: UpdateTOC method

 See list of classes

 See example

Updates any changes to a table of contents. Equivalent to choosing Create - Other Document Part, choosing Table of Contents, and clicking Update to display the Update Table of Contents dialog box.

Syntax

[objectreference].UpdateTOC(DivisionName, TOCName)

Parameters

DivisionName
Data type is String.

TOCName
Data type is String.

Return value

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Update method

 See list of classes

 See example

[CharacterStyle]

Takes the referenced character style and propagates that character style to all divisions. Creates where it doesn't exist and updates existing character styles.

[Layout]

Takes the referenced layout style and propagates that layout style to all the divisions. When this method is invoked, it creates a layout style if one doesn't exist and updates an existing layout style.

[ParagraphStyle]

[PowerField]

[Window]

[ApplicationWindow]

Forces a repaint of the application window

Syntax

[objectreference].IconBarManager.Update()

[objectreference].StatusBar.Update()

[objectreference].ApplicationWindow.Update()

Parameters

Return value

The return value for this method will always be -1 or 0. When testing the return value, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Layout - No return value.

ApplicationWindow - No return value.

Usage

This method is not valid for IconBarManager and StatusBar.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: CharacterStyle class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DocWindow class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: ParagraphStyle class

Word Pro: PowerField class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: StatusBar class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class

Word Pro: Window class


Word Pro: UpperCase method

 See list of classes

 See example

Sets the Upper Case attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on and on if it is off. This is the same as choosing Text - Attributes - Other and then choosing "Upper Case" from the Attributes box.

Syntax

[objectreference].UpperCase()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: ValidateValue method

 See list of classes

 See example

Used to notify the Word Pro cell engine that the content of a cell has been modified, and that the content of the cell should now be evaluated by the cell engine.

Syntax

[objectreference].ValidateValue()

Parameters

Return value

This method always returns a -1.

Usage

This method does not evaluate or validate any value contained within a table cell.


Topics Found:

Word Pro: CellLayout class

Word Pro: ConnectedLayout class


Word Pro: WMCommand method

 See list of classes

 See example

Issues the standard Word Pro menu command specified in the CommandID parameter. The complete list of available menu commands and their corresponding CommandID values is included below.

Note	To use these menu commands, you must have the WPBITMSK.LSS file in the Word Pro directory.

Syntax

[objectreference].WMCommand(CommandID)

Parameters

CommandID
A numeric expression of type Integer which specifies the menu command you want to issue. The values in the WPBITMSK.LSS file are expressed as hexadecimal numbers.

Command	ID	Command	ID
LwpMenuFilemenu	100	LwpMenuMlFielddoauto	226
LwpMenuMfNew	101	LwpMenuMlFieldremove	227
LwpMenuMfOpen	102	LwpMenuMlExechand	574
LwpMenuMfSave	103	LwpMenuMlIndexopts	228
LwpMenuMfSaveas	104	LwpMenuHelpmenu	550
LwpMenuMfRevert	105	LwpMenuMhIdxhelp	551
LwpMenuMfAppendtext	106	LwpMenuMhAbout	552
LwpMenuMfImport	107	LwpMenuMhMacrohelp	553
LwpMenuMfFilemanage	108	LwpMenuMhCompatible	555
LwpMenuMfDocdesc	109	LwpMenuMhUsingHelp	830
LwpMenuMfCreatedatafile	110	LwpMenuMhKeyboard	831
LwpMenuMfPrint	111	LwpMenuMhHowDoI	832
LwpMenuMfChgprinter	112	LwpMenuMhDoHelp	833
LwpMenuMfExit	113	LwpMenuMhForUpgraders	834
LwpMenuMfPrintreset	114	LwpMenuMhTutorial	837
LwpMenuMfDde	115	LwpMenuMhSearch	879
LwpMenuMfMergeaction	116	LwpMenuMsControl	601
LwpMenuMfJustprint	117	LwpMenuMsFileman	602
LwpMenuMfStandalonep	327	LwpMenuMtTbllayout	626
LwpMenuMfAllfldsrename	118	LwpMenuMtInscolrow	627
LwpMenuMfPrintwrongpaper	119	LwpMenuMtDelcolrow	628
LwpMenuMfPrintcancel	120	LwpMenuMtEditfrmla	629
LwpMenuMfDummymrgsel	121	LwpMenuMtTbladd	630
LwpMenuMfDummymrgext	122	LwpMenuMtHeading	631
LwpMenuMfAsciiopts	123	LwpMenuMtTableinfobox	633
LwpMenuMfCanprint	124	LwpMenuMtSizecolrow	634
LwpMenuMfFldrename	125	LwpMenuMtConnect	635
LwpMenuMfPrintopt	126	LwpMenuMtSavefrmla	637
LwpMenuMfSaveasnw	127	LwpMenuMtQuickaddrow	643
LwpMenuMfImportnw	128	LwpMenuMtQuickaddcol	644
LwpMenuMfDocdescnw	129	LwpMenuMtDelcolumn	645
LwpMenuMfMasternw	130	LwpMenuMtDelrow	646
LwpMenuMfNwimport	131	LwpMenuMtInsertrow	647
LwpMenuMfMergeviewprint	132	LwpMenuMtInsertcol	648
LwpMenuMfLastopen1	133	LwpMenuMtInsertaccel	649
LwpMenuMfLastopen2	134	LwpMenuMtDeleteaccel	650
LwpMenuMfLastopen3	135	LwpMenuMtDeltable	651
LwpMenuMfLastopen4	136	LwpMenuMtSelectcolumn	652
LwpMenuMfLastopen5	137	LwpMenuMtSelectrow	653
LwpMenuMfOpennostyle	138	LwpMenuMtSelecttable	654
LwpMenuMfMergelabels	139	LwpMenuMtChgiconsize	655
LwpMenuMfOtherflds	140	LwpMenuMtDisconnect	656
LwpMenuMfImportpicture	141	LwpMenuMtSplitcells	657
LwpMenuMfExport	142	LwpMenuMtSplittable	658
LwpMenuMfAttribnw	143	LwpMenuMtPcolinscolrow	659
LwpMenuMfCanmergeprint	146	LwpMenuMtPcolinsertrow	660
LwpMenuMfImporttext	152	LwpMenuMtPcolinsertcol	661
LwpMenuMfMergeprintopts	565	LwpMenuMtPcoldeltable	662
LwpMenuMfClose	144	LwpMenuMtPcoldelcolumn	663
LwpMenuMfCloseall	731	LwpMenuMtPcoldelrow	664
LwpMenuMfCloseallreplacelast	732	LwpMenuMtPcolconnect	665
LwpMenuMfPassword	145	LwpMenuMtPcoldisconnect	666
LwpMenuMfPassword2	290	LwpMenuMtPcolsplitcells	667
LwpMenuMfMasterdocument	736	LwpMenuMtPcolselectcolumn	668
LwpMenuMfClosefile	147	LwpMenuMtPcolselectrow	669
LwpMenuMfLock	148	LwpMenuMtPcolselecttable	670
LwpMenuMfNextmdiwindow	727	LwpMenuMtPcoldelcolrow	671
LwpMenuMfMail	229	LwpMenuMtPcolheading	672
LwpMenuMfMailNew	737	LwpMenuMtCellinfobox	673
LwpMenuMfMailread	230	LwpMenuMtShowtablelineinfobox	674
LwpMenuMfQuickopen	231	LwpMenuMtShowtablesizeinfobox	675
LwpMenuMfFilesep	235	LwpMenuMtCreatetablewithgrid	676
LwpMenuMfSavecopyas	292	LwpMenuMtShowpcollineinfobox	677
LwpMenuMfUpdateobject	293	LwpMenuMtShowpcolsizeinfobox	678
LwpMenuMfEditorgreet	733	LwpMenuMtSplitpcol	679
LwpMenuMfNewdivision	734	LwpMenuMtPcolselectentiretable	680
LwpMenuMfOpendivision	735	LwpMenuMtSelectentiretable	681
LwpMenuMfSaContinueRoute	738	LwpMenuMtSelectentirecellrange	682
LwpMenuMfSaRoute	739	LwpMenuMtSelectentirepcolcellrange	683
LwpMenuMfSeldatafile	780	LwpMenuMtTabletopalign	684
LwpMenuMfMrgdelimit	780	LwpMenuMtTablecenteralign	685
LwpMenuMfMrgletter	781	LwpMenuMtTablebottomalign	686
LwpMenuMfMrgenvelope	786	LwpMenuMtConnectrow	687
LwpMenuMfMrggotorecord	782	LwpMenuMtPcolconnectrow	688
LwpMenuMfCreatedesc	783	LwpMenuMtGotonextblock	689
LwpMenuMfMrgsort	784	LwpMenuMtCellinfoboxmouse	690
LwpMenuMfCreatemerge	785	LwpMenuMtTableinfoboxmouse	691
LwpMenuMfEditdatafile	787	LwpMenuMxRunrexx	699
LwpMenuMfUsecurasmrgdoc	788	LwpMenuMxRunontime	700
LwpMenuMfOpenandeditdatafile	789	LwpMenuMxHourglass	720
LwpMenuMfOpenpreview	790	LwpMenuMxMacpause	721
LwpMenuMfNewpreview	791	LwpMenuMxMacresume	722
LwpMenuMxMergemacro	792	LwpMenuMxTimedelay	723
LwpMenuMfMergeprintall	793	LwpMenuMxTestforcancel	724
LwpMenuMfMergeopen	794	LwpMenuMxMacmessages	725
LwpMenuMlsRunscript	795	LwpMenuMxPreanswermsgbox	726
LwpMenuMlsCreatescript	863	LwpMenuMxMaccancel	728
LwpMenuMlsCreatedialog	864	LwpMenuMxMaccontinue	729
LwpMenuMlsCompile	869	LwpMenuMxMacrovariables	730
LwpMenuMlsAutoapp	873	LwpMenuMxRunautonew	798
LwpMenuMlsIdeStepIn	960	LwpMenuMxRunautoopen	799
LwpMenuMlsIdeStepOver	961	LwpMenuOutlinemenu	750
LwpMenuMlsIdeStepExit	962	LwpMenuMolPromote	751
LwpMenuMlsIdeContinue	963	LwpMenuMolDemote	752
LwpMenuMlsIdeStop	964	LwpMenuMolMoveup	753
LwpMenuMlsIdeSetBp	965	LwpMenuMolMovedown	754
LwpMenuMlsIdeDisBp	966	LwpMenuMolExpand	755
LwpMenuMlsIdeClearAll	967	LwpMenuMolContract	756
LwpMenuMlsIdeDisAll	968	LwpMenuMolShowlevels	757
LwpMenuMlsIdeBreakpoints	969	LwpMenuMolExpandsingle	758
LwpMenuMlsIdeBrowser	970	LwpMenuMolContractsingle	759
LwpMenuMlsIdeOutput	971	LwpMenuMolUseoutlinestyle	760
LwpMenuMlsIdeVariables	972	LwpMenuMolSetshowlevel1	761
LwpMenuMlsIdeCheckScript	973	LwpMenuMolSetshowlevel2	762
LwpMenuMlsIdeNewSub	974	LwpMenuMolSetshowlevel3	763
LwpMenuMlsIdeNewFun	975	LwpMenuMolSetshowlevel4	764
LwpMenuMlsIdeDebug	976	LwpMenuMolSetshowlevel5	765
LwpMenuMlsIdeRedo	977	LwpMenuMolSetshowlevel6	766
LwpMenuMlsShowide	978	LwpMenuMolSetshowlevel7	767
LwpMenuMlsIdeImport	979	LwpMenuMolSetshowlevel8	768
LwpMenuMlsIdeExport	980	LwpMenuMolSetshowlevel9	769
LwpMenuMlsIdeScriptPref	981	LwpMenuMolSetshowlevel10	770
LwpMenuMlsIdeCloseWin	982	LwpMenuMolOutstylesequence	749
LwpMenuMlsIdeToggle	983	LwpMenuMtTabkey	800
LwpMenuMlsIdePrevSub	984	LwpMenuMeDefpathsnw	804
LwpMenuMlsIdeNextSub	985	LwpMenuMvHidepicts	805
LwpMenuMlsIdeTogglebp	986	LwpMenuMvHidemarks	806
LwpMenuMlsIdeCodeWindow	987	LwpMenuMvHidetabrack	807
LwpMenuMlsIdeCheckAll	988	LwpMenuMvColguide	808
LwpMenuMlsIdeSaveLso	989	LwpMenuMvShowcleanscreen	840
LwpMenuMlsIdeShowicon	992	LwpMenuMvFixediconbar	842
LwpMenuMlsIdeRuncursub	993	LwpMenuMvViewlevel	843
LwpMenuMlsIdeHelpLs	994	LwpMenuMtbChange	810
LwpMenuMlsIdeHelpWp	995	LwpMenuMtbTabbox	811
LwpMenuMlsIdeHelpSe	996	LwpMenuMvVertruler	814
LwpMenuMlsIdeHelpAbout	997	LwpMenuMvShownotes	816
LwpMenuMlsIdeInsertLso	998	LwpMenuMvShowtabsandreturns	818
LwpMenuMlRenumnotes	149	LwpMenuMvOut2lay	820
LwpMenuEditmenu	150	LwpMenuMfImportdraw	821
LwpMenuMeUndo	151	LwpMenuMlMacroendrecord	822
LwpMenuMeCut	153	LwpMenuMvLay2out	823
LwpMenuMeCopy	154	LwpMenuMvSetpreferences	824
LwpMenuMePaste	155	LwpMenuMrCreatelastframe	825
LwpMenuMeUndoredo	156	LwpMenuMlQuickendrecord	826
LwpMenuMePastelinks	157	LwpMenuMrUngroupframes	827
LwpMenuMeInsvariable	158	LwpMenuMlRevmarkingoff	828
LwpMenuMeFootnotes	160	LwpMenuMlFieldhide	829
LwpMenuMeNotes	161	LwpMenuMcExtracton	838
LwpMenuMeNotes20	282	LwpMenuMdivDivisionproperties	844
LwpMenuMeDefaults	162	LwpMenuMdivNewdivision	845
LwpMenuMeTypeover	163	LwpMenuMdivCombinedivisions	846
LwpMenuMeNbDefaults	164	LwpMenuMdivDeletedivision	847
LwpMenuMeInsertdate	165	LwpMenuMdivExpanddivision	848
LwpMenuMeAddmergevar	166	LwpMenuMdivGroupdivision	854
LwpMenuMeAdddocdescvar	167	LwpMenuMsecSectionproperties	849
LwpMenuMxMdiswitch	168	LwpMenuMsecNewsection	850
LwpMenuMeSeclevaction	169	LwpMenuMsecCombinesections	851
LwpMenuMeDefpaths	170	LwpMenuMsecSelectsection	852
LwpMenuMeFootopts	171	LwpMenuMsecExpandsection	853
LwpMenuMeRedo	172	LwpMenuMtabSettabs	855
LwpMenuMeDocoptions	173	LwpMenuMtabCleartabs	856
LwpMenuMeDefpath	174	LwpMenuMtabLefttab	857
LwpMenuMeDefsty	175	LwpMenuMtabRighttab	858
LwpMenuMeDefback	176	LwpMenuMtabCentertab	859
LwpMenuMeFootnoteinsert	177	LwpMenuMtabNumerictab	862
LwpMenuMeInsertnote	178	LwpMenuMtabDefaulttabs	865
LwpMenuMeDelete	179	LwpMenuMtabRemoveruler	866
LwpMenuMeIndexentry	180	LwpMenuMtabHideruler	867
LwpMenuMeAddnote	181	LwpMenuMtabQuickright	990
LwpMenuMeMergevar	182	LwpMenuMtabQuickcenter	991
LwpMenuMeDescvar	183	LwpMenuMrSetmarginsinfobox	870
LwpMenuMeFormatcheckbar	184	LwpMenuMfToggleinfobox	871
LwpMenuMePageup	185	LwpMenuMfCreateversion	872
LwpMenuMePagedown	186	LwpMenuMfCreateversionDivision	905
LwpMenuMeRevinsertion	187	LwpMenuMvViewversion	880
LwpMenuMeProtected	188	LwpMenuMafidHelp	900
LwpMenuMeNohyphen	189	LwpMenuMafidNotfound	901
LwpMenuMeGetglosname	198	LwpMenuMfMailNextstop	902
LwpMenuMeMacpath	286	LwpMenuMfMailEditroute	903
LwpMenuMeTocentry	835	LwpMenuMergeScriptNotify	910
LwpMenuMeBullet	836	LwpMenuFirstpopupid	925
LwpMenuMeMergedatafile	562	LwpMenuRenderformat	860
LwpMenuMeMergeextdesc	564	LwpMenuRenderallformats	861
LwpMenuMeMergevarsdatafile	566	LwpMenuMcCommenttoolsOn	889
LwpMenuMePastespecial	588	LwpMenuMnDeletenote	890
LwpMenuMeInsertobject	589	LwpMenuMnClosenote	891
LwpMenuMeChangelink	590	LwpMenuMnNextnote	892
LwpMenuMeUseworkpath	591	LwpMenuMnPrevnote	893
LwpMenuMeSelectword	595	LwpMenuMcCommenttools	894
LwpMenuMeSelectsentence	596	LwpMenuMcHighnote	895
LwpMenuMeSelectparagraph	597	LwpMenuMnCloseall	896
LwpMenuMeSelectfile	598	LwpMenuMnOpenall	897
LwpMenuMeRevisionmode	599	LwpMenuMnDeleteall	898
LwpMenuMlDoccontrol	600	LwpMenuMnShowinitials	899
LwpMenuMfSharedoccontrol	602	LwpMenuMnNumbernotes	900
LwpMenuMlDoccontrolEditorpanel	603	LwpMenuMfQuickprint	946
LwpMenuMlDoccontrolExternal	604	LwpMenuMdDebugger	1000
LwpMenuMvViewversionExternal	605	LwpMenuMdDebugDoc	1001
LwpMenuMfDocdescExternal	606	LwpMenuMdDebugPres	1002
LwpMenuMfMrglabel	607	LwpMenuMdDebugDivinfo	1003
LwpMenuMfMrglettersetup	608	LwpMenuMdDebugCont	1004
LwpMenuMfMrgenvelopesetup	609	LwpMenuMdDebugCol	1005
LwpMenuMfMrgviewprint	612	LwpMenuMdDebugLine	1006
LwpMenuNwobjects	190	LwpMenuMdDebugVobj	1007
LwpMenuMoOpennw	191	LwpMenuMdDebugHeap	1008
LwpMenuMoCreatenw	192	LwpMenuMdDebugMain	1009
LwpMenuMoListnw	193	LwpMenuMdDebugProf	1010
LwpMenuMoLinksnw	194	LwpMenuMdDebugVcnt	1011
LwpMenuMoAttribnw	195	LwpMenuMdDebugDivision	1012
LwpMenuViewmenu	200	LwpMenuMdDebugLay	1013
LwpMenuMvFit	201	LwpMenuMdDebugVermgr	1014
LwpMenuMvWorking	202	LwpMenuMdDebugVerctrl	1015
LwpMenuMv75	796	LwpMenuMdDebugDoclay	1016
LwpMenuMv150	797	LwpMenuMdDebugPara	1018
LwpMenuMv100	203	LwpMenuMdDebugInfo	1019
LwpMenuMv200	204	LwpMenuMdDebugAtom	1020
LwpMenuMvSwitchiconstate	205	LwpMenuMdDebugWrdarg	1021
LwpMenuMvPagesort	771	LwpMenuMdDebugDwrdarg	1022
LwpMenuMvZoomoptions	772	LwpMenuMdDebugStrarg	1023
LwpMenuMvComment	774	LwpMenuMdDebugSline	1024
LwpMenuMvShowheadfoot	775	LwpMenuMdDebugPhint	1025
LwpMenuMvCustom	773	LwpMenuMdDebugChint	1026
LwpMenuMvFacingpages	776	LwpMenuMdDebugMsgtrace	1027
LwpMenuMvMultiplepages	777	LwpMenuMdDebugFoundry	1028
LwpMenuMvPagemargin	778	LwpMenuMdDebugCounts	1029
LwpMenuMvPagewidth	779	LwpMenuMdDebugPresinfo	1030
LwpMenuMvSpecialview	803	LwpMenuMdDebugMeter	1031
LwpMenuMvClearspecialview	881	LwpMenuMdDebugStack	1032
LwpMenuMvSynchronizeviews	868	LwpMenuMdDebugPtrholder	1033
LwpMenuMvClearhighlight	874	LwpMenuMdDebugMemory	1034
LwpMenuMvPreferences	206	LwpMenuMdDebugMemorydump	1035
LwpMenuMvTabrack	207	LwpMenuMdDebugContent	1036
LwpMenuMvFunctionbar	208	LwpMenuMdDebugSilver	1037
LwpMenuMvChgsidebar	209	LwpMenuMdDebugVernode	1038
LwpMenuMvLayout	210	LwpMenuMdDebugCheckpoint	1039
LwpMenuMvDraft	211	LwpMenuMdDebugSocket	1040
LwpMenuMvFacing	212	LwpMenuMdDebugSfb	1041
LwpMenuMvFacecancel	214	LwpMenuMdDebugDemandload	1042
LwpMenuMvShowpicts	215	LwpMenuMdDebugNumberhint	1043
LwpMenuMvShowmarks	216	LwpMenuMdDebugDialog	1044
LwpMenuMvPreferdefaults	217	LwpMenuMdDebugBack	1045
LwpMenuMvOutline	218	LwpMenuMdDebugHeadtailholder	1046
LwpMenuMvFloatingicon	219	LwpMenuMdDebugNotifypersistent	1047
LwpMenuMvLefticon	220	LwpMenuMdDebugObjectholder	1048
LwpMenuMvRighticon	221	LwpMenuMdDebugEnumobjhead	1049
LwpMenuMvTopicon	222	LwpMenuMdDebugNotify	1050
LwpMenuMvBottomicon	223	LwpMenuMdDebugNamedobjectholder	1051
LwpMenuMvSmarticons	232	LwpMenuMdDebugSection	1052
LwpMenuMvFullscreen	233	LwpMenuMdDebugFontmgr	1053
LwpMenuMvFullscreenoptions	234	LwpMenuMdDebugSanity	1054
LwpMenuMvEditicon	236	LwpMenuMdDebugAtomWatch	1055
LwpMenuMfPrintenvelope	237	LwpMenuMdDebugAtomCount	1056
LwpMenuMvNexticonset	239	LwpMenuMdDebugPieceCount	1057
LwpMenuMvSaveicon	240	LwpMenuMdDebugObjectSizes	1058
LwpMenuMvCreateicon	241	LwpMenuMdDebugTextstyle	1059
LwpMenuMvFullscreenstartup	242	LwpMenuMdDebugEnd	1099
LwpMenuMvSectiontabs	244	LwpMenuMkPageup	1100
LwpMenuCharmenu	250	LwpMenuMkPagedown	1101
LwpMenuMcTextinfobox	283	LwpMenuMcDooledragdrop	1102
LwpMenuMcTextinfoboxmouse	610	LwpMenuMsMplMargins	1300
LwpMenuMcDrawinfoboxmouse	611	LwpMenuMsMplPage	1301
LwpMenuMcFont	251	LwpMenuMsMplFooter	1302
LwpMenuMcNormal	253	LwpMenuMsMplHeader	1303
LwpMenuMcBold	254	LwpMenuMsMplLines	1304
LwpMenuMcItalic	255	LwpMenuMrMflType	1400
LwpMenuMcUnderline	256	LwpMenuMrMflSizepos	1401
LwpMenuMcWordunder	257	LwpMenuMrMflLines	1402
LwpMenuMcLeft	259	LwpMenuMrMflColumnstabs	1403
LwpMenuMcCenter	260	LwpMenuMlSetmacrofile	1500
LwpMenuMcRight	261	LwpMenuMlCompilemacro	1501
LwpMenuMcJustify	262	LwpMenuMlMacrorun	1502
LwpMenuMcAlignment	263	LwpMenuMlMacroappend	1503
LwpMenuMcCaps	264	LwpMenuMlPrototype	1504
LwpMenuMcIndentall	247	LwpMenuMeSmartcorrect	1505
LwpMenuMcIndentfirst	248	LwpMenuMrChart	1506
LwpMenuMcIndentrest	249	LwpMenuMrCharttodraw	1507
LwpMenuMcExtract	246	LwpMenuMmCascades	1600
LwpMenuMcMacrofastformat	238	LwpMenuSubmenuInsert	1600
LwpMenuMcFontrevert	243	LwpMenuMmFields	1601
LwpMenuMcEnlargetext	252	LwpMenuSubmenuMarktextas	1602
LwpMenuMcReducetext	245	LwpMenuSubmenuAlignment	1603
LwpMenuMcIndent	258	LwpMenuMmCaps	1604
LwpMenuMcOutdent	284	LwpMenuMmMacros	1607
LwpMenuMcBulletpanel	285	LwpMenuSubmenuInsertsmartsum	1609
LwpMenuMcNextfacename	950	LwpMenuMMailmemo	1610
LwpMenuMcNextalignment	951	LwpMenuMPrinttofile	1611
LwpMenuMcNextattribute	952	LwpMenuSubmenuUsersetup	1612
LwpMenuMcNextbullet	953	LwpMenuSubmenuScripts	1613
LwpMenuMcNextnumbering	954	LwpMenuMmShowoptions	1614
LwpMenuMcNextstyle	955	LwpMenuSubmenuQuickdemo	1615
LwpMenuMcDoubleunder	270	LwpMenuSubmenuOtherhelpstuff	1616
LwpMenuMcSuperscript	271	LwpMenuMmOtherframe	1617
LwpMenuMcSubscript	272	LwpMenuMmOthertable	1618
LwpMenuMcAllcaps	273	LwpMenuSubmenuOthertextstuff	1619
LwpMenuMfEnvelopeprint	274	LwpMenuSubmenuPriority	1620
LwpMenuMcAlllower	287	LwpMenuMmOtherstuff	1621
LwpMenuMcInitcaps	288	LwpMenuSubmenuSelect	1622
LwpMenuMcSmallcaps	289	LwpMenuSubmenuOtherdocpart	1623
LwpMenuMcJustfont	278	LwpMenuSubmenuAttributes	1624
LwpMenuMcJustpointsize	279	LwpMenuSubmenuOutline	1625
LwpMenuMcStrikethru	280	LwpMenuSubmenuCollapse	1626
LwpMenuMcFastformat	291	LwpMenuSubmenuEdit	1627
LwpMenuMcHighlight	294	LwpMenuSubmenuDebug	1628
LwpMenuStylemenu	300	LwpMenuSubmenuDocprops	1629
LwpMenuMsCreate	301	LwpMenuSubmenuZoomto	1630
LwpMenuMsStylemanage	303	LwpMenuSubmenuShowhide	1631
LwpMenuMsChgstyle	304	LwpMenuSubmenuOtherviewstuff	1632
LwpMenuMsSavestyle	305	LwpMenuSubmenuNamedstyles	1633
LwpMenuMsSelectstyle	306	LwpMenuSubmenuDelete	1634
LwpMenuMsOutlinestyle	320	LwpMenuSubmenuFile	1635
LwpMenuMsStylemanageinit	321	LwpMenuSubmenuView	1636
LwpMenuMsStylemanageaction	322	LwpMenuSubmenuTeammail	1637
LwpMenuMsChangestylename	323	LwpMenuSubmenuEditmodemenu	1638
LwpMenuMsDefinestyle	324	LwpMenuSubmenuDebugmodemenu	1639
LwpMenuMsModcreatestyle	325	LwpMenuSubmenuHelp	1640
LwpMenuMsStylemanagefinish	326	LwpMenuCreatemenu	1650
LwpMenuMsRedefinestyle	336	LwpMenuParallelstylemenu	1658
LwpMenuMsMargins	328	LwpMenuEnvAddress	1661
LwpMenuMsPagesettings	329	LwpMenuEnvSave	1665
LwpMenuMsApply	330	LwpMenuEnvPrint	1666
LwpMenuMsStylemru1	331	LwpMenuMfCreatetabdivision	1670
LwpMenuMsStylemru2	332	LwpMenuMfCreatedivision	1667
LwpMenuMsStylemru3	333	LwpMenuMeTocassist	1668
LwpMenuMsStylemru4	334	LwpMenuMpNewsection	1669
LwpMenuMrManualtable	335	LwpMenuMtInsertclickhere	1671
LwpMenuMrFrameanchorinfobox	391	LwpMenuMcTextlinepanel	1672
LwpMenuMrFramelineinfobox	392	LwpMenuMvOtherviewstuff	1673
LwpMenuMrFramebackinfobox	393	LwpMenuMoApplystyle	1674
LwpMenuMrFramegfxinfobox	394	LwpMenuMsFramecreate	1675
LwpMenuMrFrametopalign	395	LwpMenuMsFrameredefinestyle	1676
LwpMenuMrFramecenteralign	396	LwpMenuMsTablecreate	1677
LwpMenuMrFramebottomalign	397	LwpMenuMsTableredefinestyle	1678
LwpMenuMrDeleteframe	399	LwpMenuMsTablecellcreate	1679
LwpMenuPagemenu	350	LwpMenuMsTablecellredefinestyle	1680
LwpMenuMpCreatelayout	351	LwpMenuMvShowmisspelled	1681
LwpMenuMpModifylayout	352	LwpMenuMtDelrowacc	1682
LwpMenuMpTabs	355	LwpMenuMtCtrlretacc	1683
LwpMenuMpPagenum	356	LwpMenuMsQuickredefinestyle	1684
LwpMenuMpPagebreak	358	LwpMenuMtInsertrowacc	1685
LwpMenuMpLinenumber	359	LwpMenuMrOleconvert	1686
LwpMenuMpHeadfoot	360	LwpMenuMrOleconvertandactivate	1687
LwpMenuMpModlayoutinit	361	LwpMenuMrFrameleft	1688
LwpMenuMpModlaypagesettings	362	LwpMenuMrFramecenter	1689
LwpMenuMpModlayrightfacepage	363	LwpMenuMrFrameright	1690
LwpMenuMpModlayrightheaderfacepage	364	LwpMenuMrFramehorzspan	1691
LwpMenuMpModlayrightfooterfacepage	365	LwpMenuMrFramevertspan	1692
LwpMenuMpModlayrightlines	366	LwpMenuMfNewanytab	1693
LwpMenuMpModlayleftfacepage	367	LwpMenuMfOdmaopen	1694
LwpMenuMpModlayleftheaderfacepage	368	LwpMenuMfOdmainsert	1695
LwpMenuMpModlayleftfooterfacepage	369	LwpMenuMfOdmaconvert	1696
LwpMenuMpModlayleftlines	370	LwpMenuMfOdmasaveas	1697
LwpMenuMpDellayout	373	LwpMenuMfOdmaexternalize	1698
LwpMenuMpRevertlayout	374	LwpMenuMfOdmaexport	1699
LwpMenuMpInslayout	375	LwpMenuMrOleverb	1700
LwpMenuMpModlayoutfinish	376	LwpMenuMrOleverbmax	1799
LwpMenuMpHeaderfootergoto	377	LwpMenuMrOledivtabverb	1800
LwpMenuMpMacinslayout	378	LwpMenuMrOledivtabverbmax	1899
LwpMenuMpParallel	379	LwpMenuMtSelectcell	1900
LwpMenuMpPcolinfobox	380	LwpMenuMtPcolselectcell	1901
LwpMenuMpPageproperties	381	LwpMenuMpColumnbreak	1902
LwpMenuMpCreate	382	LwpMenuMeViewtablegrid	1903
LwpMenuMpNewpagestyle	383	LwpMenuMeViewtableheading	1904
LwpMenuMpHeaderproperties	384	LwpMenuMeViewpcolguides	1905
LwpMenuMpFooterproperties	385	LwpMenuMeViewmarginguides	1906
LwpMenuMpPagepropertiesmouse	386	LwpMenuMeViewpagegauge	1907
LwpMenuMpFooterpropertiesmouse	387	LwpMenuMeViewshowallmarks	1908
LwpMenuMpHeaderpropertiesmouse	388	LwpMenuMeViewhideallmarks	1909
LwpMenuMpPcolinfoboxmouse	389	LwpMenuMtTableleft	1910
LwpMenuFramemenu	400	LwpMenuMtTablecenter	1911
LwpMenuMrFrametext	402	LwpMenuMtTableright	1912
LwpMenuMrScale	403	LwpMenuMtTablehorzspan	1913
LwpMenuMrGroupframes	404	LwpMenuMtGotoinfobox	1914
LwpMenuMrFrameinfobox	405	LwpMenuMhTour	1915
LwpMenuMrBringtofront	407	LwpMenuMfCreateoledivision	1917
LwpMenuMrSendtoback	408	LwpMenuMfToggleclickhereprompts	1918
LwpMenuMrAdd	409	LwpMenuMcToggleskipbullet	1919
LwpMenuMrSendbackone	410	LwpMenuMlSkipmisspelledword	1920
LwpMenuMrDrawingicon	411	LwpMenuMlSkipallmisspelledword	1921
LwpMenuMrChartingicon	412	LwpMenuMlAddtouserdictionary	1922
LwpMenuMrCreateframe	413	LwpMenuMlTogglebubblehelp	1923
LwpMenuMrAddframewithdlg	414	LwpMenuMfPlainnew	1924
LwpMenuMrFramedefaults	415	LwpMenuMvToggleshowanchors	1925
LwpMenuMrFramelines	416	LwpMenuMvNextnewestversion	1926
LwpMenuMrFrametype	417	LwpMenuMvMostrecentversion	1927
LwpMenuMrFrameborders	418	LwpMenuMvOldestversion	1928
LwpMenuMrFramecolumns	419	LwpMenuMcJustifyall	1929
LwpMenuMrModframereflow	420	LwpMenuMcClosegraphicole	1930
LwpMenuMrModframeinit	421	LwpMenuMfFramerevert	1931
LwpMenuMrBringfrontone	390	LwpMenuMtCellrevert	1932
LwpMenuMrSelectframe	398	LwpMenuMfOpentabdivision	1933
LwpMenuMrEquationsicon	423	LwpMenuMfNewtabdivision	1934
LwpMenuMrImageprocessing	424	LwpMenuMtInsertclickherelink	1935
LwpMenuMrFrameinfoboxmouse	620	LwpMenuMtEditclickherelink	1936
LwpMenuMrFramelineinfoboxmouse	621	LwpMenuMsecDeletesection	1949
LwpMenuMrFramebackinfoboxmouse	622	LwpMenuMfExternalfileexit	1950
LwpMenuMrFramegfxinfoboxmouse	623	LwpMenuMfExternalfilesavedivision	1951
LwpMenuMrFrameanchorinfoboxmouse	624	LwpMenuMfFtpopen	1952
LwpMenuMrExpert	911	LwpMenuMfFtpinsert	1953
LwpMenuMrExpertmax	924	LwpMenuMfFtpconvert	1954
LwpMenuMrWppack	349	LwpMenuMfFtpsaveas	1955
LwpMenuMrAfid	425	LwpMenuMfFtpexternalize	1956
LwpMenuMrAfidmax	449	LwpMenuSubmenuInternet	1957
LwpMenuToolmenu	450	LwpMenuMfFtpoptions	1958
LwpMenuMlSearch	451	LwpMenuMfOdmashowattributes	1959
LwpMenuMlGoto	452	LwpMenuMrRuby	1960
LwpMenuMlSpellopts	453	LwpMenuMfFtpopendivision	1961
LwpMenuMlUserdict	454	LwpMenuMfFtpopenurl	1962
LwpMenuMlThesaurus	455	LwpMenuIbShowfrommenu	1963
LwpMenuMlSort	456	LwpMenuMoHideinfobox	1964
LwpMenuMlTables	457	LwpMenuMfWelcome	1965
LwpMenuMlGotolast	458	LwpMenuMsQuickredefineframestyle	1969
LwpMenuMlSpellopts2	459	LwpMenuMsQuickredefinetablestyle	1970
LwpMenuMlRevmarkoptions	461	LwpMenuMsQuickredefinecellstyle	1971
LwpMenuMlToc	462	LwpMenuMsQuickredefinetextstyle	1972
LwpMenuMlAssignmacro	463	LwpMenuMeInsertsymbol	1973
LwpMenuMlMacros	464	LwpMenuMeWordcount	1974
LwpMenuMlMacroaccel	422	LwpMenuMeDropcaps	1975
LwpMenuMlGeneratetoc	465	LwpMenuMfOdmaimportpicture	1976
LwpMenuMlIndexnextfile	281	LwpMenuMrOleobjectinfobox	1977
LwpMenuMlBookmark	466	LwpMenuMcInternettoolson	1978
LwpMenuMlGlossary	467	LwpMenuMcInternettools	1979
LwpMenuMlGlosset	468	LwpMenuMhLotushomepage	1980
LwpMenuMlMacpause	469	LwpMenuMhLotussupport	1981
LwpMenuMlGenerateindex	470	LwpMenuMhLotusftpsite	1982
LwpMenuMlSpelladddict	471	LwpMenuMrLinkframes	1983
LwpMenuMlSpellskipall	472	LwpMenuMrUnlinkframes	1984
LwpMenuMlSpellreplace	474	LwpMenuMfMrgwelcome	1985
LwpMenuMlSpell	475	LwpMenuMfHtmloptions	1986
LwpMenuMlSpellinit	476	LwpMenuMcUpdateindex	1987
LwpMenuMlSpellcheck	477	LwpMenuMcUpdatetoc	1988
LwpMenuMlSpellcancel	478	LwpMenuMvDesignmode	1989
LwpMenuMlSpellskip	479	LwpMenuMfNosopen	1990
LwpMenuMlReplace	480	LwpMenuMfNossaveas	1991
LwpMenuMlChglang	481	LwpMenuMfMailSendmessage	1992
LwpMenuMlRenumseq	482	LwpMenuMcInsertdefnumber	1993
LwpMenuMlSrattrs	485	LwpMenuMcInsertdefbullet	1994
LwpMenuMlRepopts	486	LwpMenuMeTogglesmartselect	1995
LwpMenuMlSropts	487	LwpMenuMcCreateobjectviewer	1996
LwpMenuMlSearchonly	488	LwpMenuMcCreateobjectcomment	1997
LwpMenuMlMacplay	489	LwpMenuMcCreateobjectdraw	1998
LwpMenuMlMacassign	490	LwpMenuMcCreateobjectschedule	1999
LwpMenuMlMacdde	491	LwpMenuMcCreateobjectspreadsheet	2000
LwpMenuMlMactype	492	LwpMenuMcCreateobjectchart	2001
LwpMenuMlCall	493	LwpMenuMhInternetsearch	2002
LwpMenuMlSammy2	494	LwpMenuMhLotussmartsuite	2003
LwpMenuMlTocopts	495	LwpMenuMcClickherekeyword	2004
LwpMenuMlSrfindmatch	496	LwpMenuMfPublishweb	2005
LwpMenuMlSrreplacethenfind	497	LwpMenuMlCrossreference	2006
LwpMenuMlSrcancel	498	LwpMenuMtabHidevertruler	2007
LwpMenuMlSrinit	499	LwpMenuMpUpdateheaders	2008
LwpMenuMlDoccompare	500	LwpMenuMpUpdatefooters	2009
LwpMenuMlMacroedit	501	LwpMenuMtEditclickhere	2010
LwpMenuMlMacroplay	502	LwpMenuMfShowwebauthor	2011
LwpMenuMlMacrorecord	503	LwpMenuMfHidewebauthor	2012
LwpMenuMlMacrooptions	504	LwpMenuMcWebauthorbegin	2013
LwpMenuMlQuickrec	505	LwpMenuMcWebcreatelink	2013
LwpMenuMlQuickplay	506	LwpMenuMcWebcreatehr	2014
LwpMenuMlGrammar	507	LwpMenuMcWebcreatewallpaper	2015
LwpMenuMlGrammaropts	508	LwpMenuMcWebcreateformcontrol	2016
LwpMenuMlGrammarstart	509	LwpMenuMcWebauthorend	2024
LwpMenuMlGrammarinit	510	LwpMenuMrRubyAbove	3000
LwpMenuMlModcreaterule	511	LwpMenuMrRubyBelow	3001
LwpMenuMlGrammarnext	512	LwpMenuMrRubyDelete	3002
LwpMenuMlGrammarcancel	513	LwpMenuMxMinmacromenu	9000
LwpMenuMlGrammarsugtext	514	LwpMenuMxMaxmacromenu	9099
LwpMenuMlGrammaroptionstext	515	LwpMenuMrAfidmenu	10000
LwpMenuMlGrammarchange	516	LwpMenuMrAfidmenumax	16000
LwpMenuMlGrammarstats	517	LwpMenuMaNotesflow	16001
LwpMenuMlIconpath	518	LwpMenuMaNotesflowmax	16200
LwpMenuMlCyclekeysetup	519	LwpMenuFcsTextmenu	0
LwpMenuMlSmartfill	520	LwpMenuFcsFramemenu	1
LwpMenuMlNewspell	521	LwpMenuFcsFrametextmenu	2
LwpMenuMlRevisionbar	522	LwpMenuFcsTabletextmenu	3
LwpMenuMlToa	523	LwpMenuFcsFramegraphicmenu	4
LwpMenuWindowmenu	4	LwpMenuFcsPowerfieldmenu	5
LwpMenuMwNewwindow	525	LwpMenuFcsParallelcoltextmenu	6
LwpMenuMwTilewindow	526	LwpMenuFcsDivisionmenu	7
LwpMenuMwCascadewindow	527	LwpMenuFcsSectionmenu	8
LwpMenuMwStartoffiles	528	LwpMenuFcsTablemenu	9
LwpMenuMwTilewindowhorz	582	LwpMenuFcsParallelcolmenu	10
LwpMenuMwSplitvertwindow	593	LwpMenuFcsTablegraphicmenu	11
LwpMenuMwSplithorzwindow	594	LwpMenuFcsParallelcolgraphicmenu	12
LwpMenuMwEndoffiles	548	LwpMenuFcsHeadermenu	13
LwpMenuMwFilesseparator	549	LwpMenuFcsFootermenu	14
LwpMenuMlMacresume	554	LwpMenuFcsRulermenu	15
LwpMenuMlReviewrevs	557	LwpMenuFcsNotemenu	16
LwpMenuMlRevacceptall	875	LwpMenuFcsOutlinemenu	17
LwpMenuMlRevcancelall	876	LwpMenuFcsOledivisionmenu	18
LwpMenuMlRevaccept	877	LwpMenuFcsFramechartmenu	19
LwpMenuMlRevcancel	878	LwpMenuFcsTablechartmenu	20
LwpMenuMlField	568	LwpMenuFcsParallelcolchartmenu	21
LwpMenuMlFieldnext	569	LwpMenuFcsTablecornermenu	22
LwpMenuMlFieldprev	570	LwpMenuFcsTablerowmenu	23
LwpMenuMlFieldeval	571	LwpMenuFcsTablecolumnmenu	24
LwpMenuMlUpdatedate	575	LwpMenuFcsVertrulermenu	25
LwpMenuMlUpdatealldates	576	LwpMenuFcsRubymenu	26
LwpMenuMlFieldadd	572	LwpMenuFcsFootnotetextmenu	40
LwpMenuMlFieldupdate	573	LwpMenuFcsIndextextmenu	41
LwpMenuMlFieldtog	266	LwpMenuFcsToctextmenu	42
LwpMenuMlFieldupall	267	LwpMenuFcsTablecornermenutoc	43
LwpMenuMlFieldlock	268	LwpMenuFcsTabletextmenutoc	44
LwpMenuMlFieldsave	269	LwpMenuFcsFrametextmenudropcap	45
LwpMenuMlFieldauto	224	LwpMenuFcsFramemenudropcap	46
LwpMenuMlFieldshowrlt	225	LwpMenuFcsTextdatemenu	47
Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: TextDocument class

Word Pro: WPApplication class


Word Pro: WordUnderline method

 See list of classes

 See example

Sets the WordUnderline attribute for selected text, or all following text if no text is selected. It acts as a toggle, turning the attribute off if it is on, and on if it is off. Equivalent to choosing Text - Attributes - Other, and then choosing "Word Underline" from the Attributes box.

Syntax

[objectreference].WordUnderline()

Parameters

None

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: WriteProfileString method

 See list of classes

 See example

Writes a new profile string in the specifed INI file or INI entry. You can write a profile string in any of the standard Word Pro INI files or you can specify another INI file.

Syntax

[objectreference].WriteProfileString(Section, Key, NewString[, IniFileType][, WhichIniLocation][, IniName])

Parameters

Section
A String expression which specifies a name of a section in the INI. Word Pro will search only the section you name in this parameter. If the named section does not match a section in the specified INI, this method fails. If you use an empty string ("") Word Pro assumes you are writing to the LWPUSER.INI file (IniFileType parameter = "$LwpIniUserPrefs") and looks for the "WordProUser" section. Most INIs have more than one section. The section name you provide in this parameter must match the section name in the INI exactly.

Key
A String expression which specifies the key name in the section you are writing.

NewString
A String expression which Word Pro writes as the value for the key.

IniFileType
Specifies the INI in which you want to write the new profile string. You can choose one of the standard Word Pro INI files or choose "$LwpIniCustomFile" to search another INI file. The data type for this parameter is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). You do not have to provide a value for this parameter. The default value for this parameter is "$LwpIniUserPrefs".

$LwpIniUserPrefs (2101)
The default value for this parameter. This is the INI file used to store Word Pro's user preference information (lwpuser.ini).

$LwpIniConfigPrefs (2102)
The INI file used to store Word Pro's configuration preference information.

$LwpIniEnvelopeAndMerge (2105)
The INI file used to store Word Pro's envelope and merge information.

$LwpIniLanguages (2107)
The INI file used to store some of Word Pro's language information.

$LwpIniSharedLotusInfo (2103)
The INI file used to store shared information between Word Pro and other Lotus products.

$LwpIniSmartcorrect (2106)
The INI file used to store Word Pro's SmartCorrect information.

$LwpIniSmartfill (2104)
The INI file used to store Word Pro's SmartFill lists.

$LwpIniCustomfile (2100)
Allows you to write a profile string in an INI file which is not one of the standard Word Pro INI files. If you use this value, you must use the IniName parameter to specify the name of the INI file (Windows 3.1 or OS/2) or INI entry (Windows 95) in which the profile string is located.

WhichIniLocation
Tells Word Pro whether to look on the network or the local machine for the specified INI file. The data type for this parameter is Variant which allows the value of this parameter to be one of the constants listed below or its numeric equivalent (in parentheses). You do not have to provide a value for this parameter. The default value for this parameter is "$LwpUserIniLocation".

$LwpNetworkIniLocation (2171)
Searches directory for network INI files.

$LwpUserIniLocation (2172)
Searches directory for user INI files.

Note	For Windows 95, in the registry, the user location is HKEY_CURRENT_USER or HKEY_USERS. The network location is HKEY_LOCAL_MACHINE. Within either of these locations, the path below this would be: Software\Lotus\WordPro\96.0.

IniName
An optional String expression that identifies the INI to which you want to write. Use this parameter only if you used "$LwpIniCustomFile" as the value of the IniFileType parameter. This INI must be stored in the same directory as the standard Word Pro INIs.

Note	If you are using Windows 3.1 or OS/2, this value is an INI file name. If you are using Windows 95, this value is an INI entry as seen in the Windows Registry application (REGEDIT.EXE).

Return value

This method returns a value of -1 (True) or 0 (False) indicating that the method succeeded or failed respectively.

Usage


Topics Found:

Word Pro: WPApplication class


Word Pro: Write method

 See list of classes

 See example

Syntax

[objectreference].Write(Data, Length)

Parameters

Data
Data type is String.

Length
Data type is Long.

Return value

Usage


Topics Found:

Word Pro: Bag class


Example: SplitParagraph method
'Example: SplitParagraph method

' This examples inserts two paragraphs of text into the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.InsertText "This is paragraph 1."

.Text.SplitParagraph

.Text.InsertText "This is paragraph 2."


Example: SplitPercentage property
'Example: SplitPercentage property

'This example script has not yet been created.


Example: Split method
'Example: Split method

' This example creates a table with one row and one column.  The table cell

' is  then split into 3 rows and three columns.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateTable False, "Default Table", 1,1

.Table.Split $LwpTableSplitTypeCell, 3,3


Example: SRReplace method
'Example: SRReplace method

'This example script has not yet been created.


Example: StartColumns property
'Example: StartColumns property

'This example script has not yet been created.


Example: StartEditMergeData method
'Example: StartEditMergeData method

' This example adds some records to merge data file for the current document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

' The document must have a merge data file associated with it.

'Get the data file name for the current document

DataFile = .ActiveDocument.MergeOptions.DataFileName

'Opens the current data file invisibly for editing

.StartEditMergeData

'Add some records to the data file

.MergeAddDataRecord "John Doe~100 Main St.~ Atlanta~ GA~30319|"

.MergeAddDataRecord "Jane Doe~100 Main St.~ Atlanta~ GA~30319|"

'Save the data file

.Application.Documents.Item(DataFile).Save

'Close merge

.Merge $LwpMergeActionClose


Example: StartEnvelopeDiv method
'Example: StartEnvelopeDiv method

' This example moves the insertion point to the beginning of the current

' document and inserts sample address information.  A new envelope division is

' created and an address prompt is inserted in the return address frame.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Text.MoveToStart $LwpLocationTypeDocument

.Type "FirstName LastName[Enter]"

.Type "Address[Enter]"

.Type "City, State Zip"

.StartEnvelopeDiv

.GoToLayout "Envelope:Envelope Return"

.Type "Return Address Goes Here[Enter]"


Example: StartFieldInsert method
'Example: StartFieldInsert method

' This example creates a data file for the current document.  Two records are

' added and the Merge bar is opened so to insert fields for merging.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.CreateDataFile "~|", "Name~Address~City~State~Zip|", False, "C:\mergedat.lwp"

'Add some records to the virtual datafile

.MergeAddDataRecord "Jane Doe~100 Main St.~ Atlanta~ GA~30319|"

.MergeAddDataRecord "John Doe~100 Main St.~ Atlanta~ GA~30319|"

.StartFieldInsert


Example: StartingColOfSelection property
'Example: StartingColOfSelection property

'This example script has not yet been created.


Example: StartingColStringOfSelection property
'Example: StartingColStringOfSelection property

'This example script has not yet been created.


Example: StartingNumber property
'Example: StartingNumber property

'This example script has not yet been created.


Example: StartingRowOfSelection property
'Example: StartingRowOfSelection property

'This example script has not yet been created.


Example: StartRow property
'Example: StartRow property

'This example script has not yet been created.


Example: Start method
'Example: Start method

'This example script has not yet been created.


Example: Start property
'Example: Start property

'This example script has not yet been created.


Example: StateID property
'Example: StateID property

'This example script has not yet been created.


Example: StatusBarButtonClicked event
'Example: StatusBarButtonClicked event

'This example script has not yet been created.


Example: StatusBarButtonFillPopupList event
'Example: StatusBarButtonFillPopupList event

'This example script has not yet been created.


Example: StatusBarButtonItemSelected event
'Example: StatusBarButtonItemSelected event

'This example script has not yet been created.


Example: StatusBarButtonOverrideGraphic event
'Example: StatusBarButtonOverrideGraphic event

'This example script has not yet been created.


Example: StatusBarButtonOverrideTextAndGraphic event
'Example: StatusBarButtonOverrideTextAndGraphic event

'This example script has not yet been created.


Example: StatusBarButtonOverrideText event
'Example: StatusBarButtonOverrideText event

'This example script has not yet been created.


Example: StatusBarButtons property
'Example: StatusBarButtons property

'This example script has not yet been created.


Example: StatusBarVisible property
'Example: StatusBarVisible property

'This example script has not yet been created.


Example: StatusBar property
'Example: StatusBar property

'This example script has not yet been created.


Example: StatusSpellReplaceAll property
'Example: StatusSpellReplaceAll property

'This example script has not yet been created.


Example: StoreInternetFile method
'Example: StoreInternetFile method

'This example script has not yet been created.


Example: StrikeThru method
'Example: StrikeThru method

' This example toggles the strikethru attribute for the selected text.

' RUNTIME DEPENDENCIES: You must have a document open with some text selected

' for this script to work.

.StrikeThru


Example: StyleExceptions property
'Example: StyleExceptions property

'This example script has not yet been created.


Example: StyleName property
'Example: StyleName property

'This example script has not yet been created.


Example: StylePaths property
'Example: StylePaths property

'This example script has not yet been created.


Example: StylePath property
'Example: StylePath property

'This example script has not yet been created.


Example: StyleSheetFullPath property
'Example: StyleSheetFullPath property

'This example script has not yet been created.


Example: StyleSheetName property
'Example: StyleSheetName property

'This example script has not yet been created.


Example: StyleSheetPath property
'Example: StyleSheetPath property

'This example script has not yet been created.


Example: Style property
'Example: Style property

'This example script has not yet been created.


Example: SubScript method
'Example: SubScript method

' This example toggles the subscript attribute for the selected text.

' RUNTIME DEPENDENCIES: You must have a document open with some text selected

.Subscript


Example: Subscript property
'Example: Subscript property

'This example script has not yet been created.


Example: Suffix property
'Example: Suffix property

'This example script has not yet been created.


Example: Suggestions property
'Example: Suggestions property

'This example script has not yet been created.


Example: Sum method
'Example: Sum method

' This example creates a table with 5 rows and 1 column.  Rows 1 through 4

' are consecutively numbered and summed in row 5.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim RowCounter As Integer

.CreateTable False, "Default Table", 5,5

For RowCounter = 0 To MyTable.NumRows - 2

.Type Format$(RowCounter)

.Text.MoveDown 1

Next

.Table.Sum $LwpTableSumScopeColumn


Example: SuperScript method
'Example: SuperScript method

' This example toggles the superscript attribute for the selected text.

' RUNTIME DEPENDENCIES: You must have a document open with some text selected

.Superscript


Example: Superscript property
'Example: Superscript property

'This example script has not yet been created.


Example: SuperTableContainer property
'Example: SuperTableContainer property

'This example script has not yet been created.


Example: SuperTableLayouts property
'Example: SuperTableLayouts property

'This example script has not yet been created.


Example: SuperTables property
'Example: SuperTables property

'This example script has not yet been created.


Example: SuppressHeaders property
'Example: SuppressHeaders property

'This example script has not yet been created.


Example: System property
'Example: System property

'This example script has not yet been created.


Example: TabExits property
'Example: TabExits property

'This example script has not yet been created.


Example: TableContainer property
'Example: TableContainer property

'This example script has not yet been created.


Example: TableExports property
'Example: TableExports property

'This example script has not yet been created.


Example: TableFill property
'Example: TableFill property

'This example script has not yet been created.


Example: TableHeadingLayouts property
'Example: TableHeadingLayouts property

'This example script has not yet been created.


Example: TableHeadings property
'Example: TableHeadings property

'This example script has not yet been created.


Example: TableImports property
'Example: TableImports property

'This example script has not yet been created.


Example: TableLayouts property
'Example: TableLayouts property

'This example script has not yet been created.


Example: TableLine property
'Example: TableLine property

'This example script has not yet been created.


Example: TableMarkers property
'Example: TableMarkers property

'This example script has not yet been created.


Example: TableOnlyContainer property
'Example: TableOnlyContainer property

'This example script has not yet been created.


Example: TableStyleName property
'Example: TableStyleName property

'This example script has not yet been created.


Example: TableStyles property
'Example: TableStyles property

'This example script has not yet been created.


Example: Tables property
'Example: Tables property

'This example script has not yet been created.


Example: Table property
'Example: Table property

'This example script has not yet been created.


Example: TabOrder property
'Example: TabOrder property

'This example script has not yet been created.


Example: TabRack property
'Example: TabRack property

'This example script has not yet been created.


Example: TabRelativeTo property
'Example: TabRelativeTo property

'This example script has not yet been created.


Example: TabSpacing property
'Example: TabSpacing property

'This example script has not yet been created.


Example: TabSymbolChar property
'Example: TabSymbolChar property

'This example script has not yet been created.


Example: TabType property
'Example: TabType property

'This example script has not yet been created.


Example: TabWidth property
'Example: TabWidth property

'This example script has not yet been created.


Example: TeamMail method
'Example: TeamMail method

' This example displays the Team Mail dialog box.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.TeamMail


Example: TempFindAndReplace property
'Example: TempFindAndReplace property

'This example script has not yet been created.


Example: TempFoundry property
'Example: TempFoundry property

'This example script has not yet been created.


Example: TextandTableExports property
'Example: TextandTableExports property

'This example script has not yet been created.


Example: TextandTableImports property
'Example: TextandTableImports property

'This example script has not yet been created.


Example: TextAttributes property
'Example: TextAttributes property

'This example script has not yet been created.


Example: TextMarkers property
'Example: TextMarkers property

'This example script has not yet been created.


Example: TextOrientation property
'Example: TextOrientation property

'This example script has not yet been created.


Example: TextOrient property
'Example: TextOrient property

'This example script has not yet been created.


Example: TextStyleName property
'Example: TextStyleName property

'This example script has not yet been created.


Example: TextStyles property
'Example: TextStyles property

'This example script has not yet been created.


Example: Texts property
'Example: Texts property

'This example script has not yet been created.


Example: TextTightness property
'Example: TextTightness property

'This example script has not yet been created.


Example: TextViewAttributes property
'Example: TextViewAttributes property

'This example script has not yet been created.


Example: Text property
'Example: Text property

'This example script has not yet been created.


Example: TheoreticalScaledSize method
'Example: TheoreticalScaledSize method

'This example script has not yet been created.


Example: ThesMaxNumSynonymsReturned property
'Example: ThesMaxNumSynonymsReturned property

'This example script has not yet been created.


Example: TileWindowHorz method
'Example: TileWindowHorz method

' This example creates two new documents based on the 'DEFAULT.MWP'

' SmartMaster.

' The script then prompts you to tile the new windows horizontally.

.NewDocument , ,"DEFAULT.MWP", ,

.NewDocument , ,"DEFAULT.MWP", ,

Messagebox "Click OK to tile the new windows horizontally.",MB_OK,"Example Script"

.TileWindowHorz


Example: TileWindowVert method
'Example: TileWindowVert method

' This example creates two new documents based on the 'DEFAULT.MWP'

' SmartMaster.

' The script then prompts you to tile the new windows vertically.

.NewDocument , ,"DEFAULT.MWP", ,

.NewDocument , ,"DEFAULT.MWP", ,

Messagebox "Click OK to tile the new windows vertically.",MB_OK,"Example Script"

.TileWindowVert


Example: TileWindow property
'Example: TileWindow property

' This example creates two new documents based on the 'DEFAULT.MWP'

' SmartMaster.

' The script then prompts you to tile the new windows.

.NewDocument , ,"DEFAULT.MWP", ,

.NewDocument , ,"DEFAULT.MWP", ,

Messagebox "Click OK to tile the new windows.",MB_OK,"Example Script"

.TileWindow


Example: Tile method
'Example: Tile method

' This example tiles any open document windows.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.ApplicationWindow.Tile


Example: TimedSaveFileExtension property
'Example: TimedSaveFileExtension property

'This example script has not yet been created.


Example: TimedSave method
'Example: TimedSave method

' This example performs a Timed Save of all the open documents which have been

' saved at least once.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.TimedSave


Example: TimerTick event
'Example: TimerTick event

'This example script has not yet been created.


Example: Time property
'Example: Time property

'This example script has not yet been created.


Example: TitleBarDocNumber property
'Example: TitleBarDocNumber property

'This example script has not yet been created.


Example: TitleBarVisible property
'Example: TitleBarVisible property

'This example script has not yet been created.


Example: Title property
'Example: Title property

'This example script has not yet been created.


Word Pro: Subscript property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

subscriptvalue = [objectreference].Subscript

[objectreference].Subscript = subscriptvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class


Word Pro: Suffix property

 See list of classes

 See example

(Read-write) Allows you to include suffix text with a specific number format.

Data Type

String

Syntax

suffixvalue = [objectreference].Suffix

[objectreference].Suffix = suffixvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to the "Text after" option, which can be accessed through the Edit Format dialog. The Edit Format dialog can be opened by clicking the Format Options button, which is located in the Number Format tab of the InfoBox for cell layout objects.


Topics Found:

Word Pro: NumericFormatSubset class


Word Pro: Suggestions property

 See list of classes

 See example

(Read-only) The suggestions that appear for an editor when a document is opened.

Data Type

The data type for this property is Variant which allows the value of this property to be one of the constants listed below or its hexadecimal equivalent (in parentheses). You can combine these constants when you want Word Pro to combine the features listed below. Use the OR operator to combine constants.

Syntax

suggestionsvalue = [objectreference].Suggestions

Legal values

Value	Effect
LwpEditSuggEditingInNewVersion (&H4)	Suggests that an editor create a new version to work in. This is only an option when edits are in the current or new version.
LwpEditSuggNoSuggestions (&H0)	No suggestions display.
LwpEditSuggOnlyMarkupEditsAllowed (&H1)	Suggests that edits appear as markups.
LwpEditSuggRevAndCommentIconbar (&H2)	Suggests that the editor use the Review & Comment Tools icon bar to insert comments.
Usage

Use one of the values above to determine which suggestion displays when the editor opens the document.


Topics Found:

Word Pro: Editor class


Word Pro: Superscript property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

superscriptvalue = [objectreference].Superscript

[objectreference].Superscript = superscriptvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class


Word Pro: SuppressHeaders property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

suppressheadersvalue = [objectreference].SuppressHeaders

[objectreference].SuppressHeaders = suppressheadersvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DivisionInfo class


Word Pro: System property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

systemvalue = [objectreference].System

objectreference].System = systemvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: LwpFileListBox class


Word Pro: TabExits property

 See list of classes

 See example

(Read-write) Indicates whether pressing the Tab key while in a particular ClickHere object will exit the ClickHere or insert a normal tab mark.

Data Type

Integer

Syntax

tabexitsvalue = [objectreference].TabExits

[objectreference].TabExits = tabexitsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: TableStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

tablestylenamevalue = [objectreference].TableStyleName

[objectreference].TableStyleName = tablestylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: TabOrder property

 See list of classes

 See example

(Read-write) The tab order for a ClickHere object.

Data Type

Long

Syntax

tabordervalue = [objectreference].TabOrder

[objectreference].TabOrder = tabordervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: TabRelativeTo property

 See list of classes

 See example

(Read-write) The tab position on the ruler.

Data Type

Variant (enumerated)

Syntax

tabrelativetovalue = [objectreference].TabRelativeTo

[objectreference].TabRelativeTo = tabrelativetovalue

Legal values

$LwpTabRelativeLeft = 1860

$LwpTabRelativeRight = 1861

$LwpTabRelativeCenter = 1862

Usage

Equivalent to the "Tab position on ruler" field in the Set Tabs on Ruler dialog box. Although this box contains four choices, the legal values for this property only encompass three of those choices. The fourth choice, "Evenly spaced every," cannot be set as a value for this property


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: TabSpacing property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

tabspacingvalue = [objectreference].TabSpacing

[objectreference].TabSpacing = tabspacingvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: TabSymbolChar property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

tabsymbolcharvalue = [objectreference].TabSymbolChar

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: CharacterSet class


Word Pro: TabType property

 See list of classes

 See example

(Read-write) The type of tab to set on the ruler.

Data Type

Variant (Enumerated)

Syntax

tabtypevalue = [objectreference].TabType

[objectreference].TabType = tabtypevalue

Legal values

$LwpTabTypeCenter (1864)

$LwpTabTypeLeft (1863)

$LwpTabTypeNumeric (1866)

$LwpTabTypeRight (1865)

Usage

Equivalent to the "Tab type" field in the Set Tabs on Ruler dialog box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: TabWidth property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

tabwidthvalue = [objectreference].TabWidth

[objectreference].TabWidth = tabwidthvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Script class


Word Pro: TextOrientation property

 See list of classes

 See example

(Read-only) Returns the orientation of text in relation to its container.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the string constants below or its numeric equivalent (in parentheses).

Syntax

textorientationvalue = [objectreference].TextOrientation

Legal values

The legal values for this property are listed below:

Value	Effect
0	Indicates that the TextOrient property of the Layout object is set to $LwpTextOrientLefttorightToptobottom.
1	Indicates that the TextOrient property of the Layout object is set to $LwpTextOrientToptobottomRighttoleft.
2	Indicates that the TextOrient property of the Layout object is set to $LwpTextOrientRighttoleftBottomtotop.
3	Indicates that the TextOrient property of the Layout object is set to $LwpTextOrientBottomtotopLefttoright.
Usage

The TextOrientation property takes into account the orientation of text in relation only to the parent container. For example, frame A is oriented from right to left and bottom to top. Frame A contains table cell B which is also oriented from right to left and bottom to top. Text contained in table cell B appears on the screen as if it is oriented from left to right and top to bottom. However, the TextOrientation property of cell B will contain a value of 2. This indicates that the text is oriented from right to left and bottom to top in relation to its parent container, which is cell B.


Topics Found:

Word Pro: BaseContainer class

Word Pro: CellContainer class

Word Pro: DropCapContainer class

Word Pro: FrameContainer class

Word Pro: NoteContainer class

Word Pro: PageContainer class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RubyContainer class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: TableContainer class

Word Pro: TableOnlyCont class


Word Pro: TextOrient property

 See list of classes

 See example

(Read-write) The orientation of text in a layout.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

textorientvalue = [objectreference].TextOrient

[objectreference].TextOrient = textorientvalue

Legal values

Value	Effect
$LwpTextOrientBottomtotopLefttoright (1913)	Setting this value starts text in a layout object from the bottom to the top and then flows the text from left to right.
$LwpTextOrientBottomtotopRighttoleft (1917)	Setting this value starts text in a layout object from the top to the bottom and then flows the text from right to left.
$LwpTextOrientLefttorightBottomtotop (1916)	Setting this value starts text in a layout object from the left to the right and then flows the text from bottom to top.
$LwpTextOrientLefttorightToptobottom (1910)	Setting this value starts text in a layout object from the left to the right and then flows the text from top to bottom.
$LwpTextOrientRighttoleftBottomtotop (1912)	Setting this value starts text in a layout object from the right to the left and then flows the text from bottom to top.
$LwpTextOrientRighttoleftToptobottom (1914)	Setting this value starts text in a layout object from the right to the left and then flows the text from top to bottom.
$LwpTextOrientToptobottomLefttoright (1915)	Setting this value starts text in a layout object from the top to the bottom and then flows the text from left to right.
$LwpTextOrientToptobottomRighttoleft (1911)	Setting this value starts text in a layout object from the top to the bottom and then flows the text from right to left.
Usage

Equivalent to the "Text direction" setting, located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: TextStyleName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

textstylenamevalue = [objectreference].TextStyleName

[objectreference].TextStyleName = textstylenamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: TextTightness property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

texttightnessvalue = [objectreference].TextTightness

[objectreference].TextTightness = texttightnessvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: TextViewAttributes property

 See list of classes

 See example

(Read-write) Indicates which of three special attributes has been set for viewing the current text stream.

Data Type

Integer (Enumerated Bitmask)

Syntax

textviewattributesvalue = [objectreference].TextViewAttributes

[objectreference].TextViewAttributes = textviewattributesvalue

Legal values

LwpTextViewCaretVisible (&H1) Sets the cursor blinking at the current text stream.

LwpTextViewHiddenStoryptr (&H4) Keeps the window from scrolling when the cursor moves off the screen.

LwpTextViewSelectionVisible (&H2) The shading is not visible.

Usage


Topics Found:

Word Pro: ClickHere class

Word Pro: Text class

Word Pro: TextMarker class


Word Pro: ThesMaxNumSynonymsReturned property

 See list of classes

 See example

(Read-write) The maximum number of synonyms returned by the Thesaurus.

Data Type

Integer

Syntax

thesmaxnumsynonymsreturnedvalue = [objectreference].ThesMaxNumSynonymsReturned

[objectreference].ThesMaxNumSynonymsReturned = thesmaxnumsynonymsreturnedvalue

Legal values

Default is 0.

Usage

The Thesaurus checks the LOTUS.INI file for the setting for maximum number of synonyms returned. If there is no setting in the LOTUS.INI file, Word Pro automatically sets the number to 25.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: TileWindow property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

TileType

Syntax

tilewindowvalue = [objectreference].TileWindow

[objectreference].TileWindow = tilewindowvalue

Legal values

$LwpTileTypeCascade (1946)

$LwpTileTypeHorz (1948)

$LwpTileTypeVert (1947)

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: TimedSaveFileExtension property

 See list of classes

 See example

(Read-write) The default file extension for time-saved files.

Data Type

String

Syntax

timedsavefileextensionvalue = [objectreference].TimedSaveFileExtension

[objectreference].TimedSaveFileExtension = timedsavefileextensionvalue

Legal values

Valid file extension characters. Default is .~TS.

Usage

Use this property to change the default file extension for time-saved files. You can set this property to Empty.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: Time property

 See list of classes

 See example

(Read-write)The time that a specific note layout was created.

Data Type

Long

Syntax

timevalue = [objectreference].Time

[objectreference].Time = timevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The value that this property returns represents the number of seconds that have elapsed since midnight on January 1, 1970.


Topics Found:

Word Pro: NoteLayout class


Word Pro: TitleBarDocNumber property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

titlebardocnumbervalue = [objectreference].TitleBarDocNumber

[objectreference].TitleBarDocNumber = titlebardocnumbervalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TextDocument class


Word Pro: TitleBarVisible property

 See list of classes

 See example

(Read-only) A flag that tells you whether or not the TitleBar is turned on.

Data Type

Integer

Syntax

titlebarvisiblevalue = [objectreference].TitleBarVisible

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default value is True (-1-).

Usage

If you are in Clean Screen mode, the value is False (0).


Topics Found:

Word Pro: ApplicationWindow class


Word Pro: Title property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

titlevalue = [objectreference].Title

[objectreference].Title = titlevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: TOCRange property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

tocrangevalue = [objectreference].TOCRange

[objectreference].TOCRange = tocrangevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: TOCSuperTableLayout class


Word Pro: TOCSource property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

GenerateFrom

Syntax

tocsourcevalue = [objectreference].TOCSource

[objectreference].TOCSource = tocsourcevalue

Legal values

$LwpGenerateFromCurrentdivision (362)

$LwpGenerateFromCurrentleveldivision (361)

$LwpGenerateFromCurrentsection (363)

$LwpGenerateFromEntiredocument (360)

$LwpGenerateFromMarker (364)

Usage


Topics Found:

Word Pro: TOCSuperTableLayout class


Word Pro: TopExternalMargin property

 See list of classes

 See example

(Read-write) Allows you to set the amount of margin space that is present above a layout object.

Data Type

Long

Syntax

topexternalmarginvalue = [objectreference].TopExternalMargin

[objectreference].TopExternalMargin = topexternalmarginvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property can't be set individually for FrameLayout objects within Word Pro. It is combined with all external margin values in the "Padding around border" setting, located on the Size & Margins panel of the InfoBox.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: TopLeftCellRowId property

 See list of classes

 See example

(Read-only) Indicates the row ID of the top left cell when cells are connected in a layout object. In an unconnected cell, this property returns the current cell's row ID.

Data Type

Integer

Syntax

topleftcellrowIdvalue = [objectreference].TopLeftCellRowId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

The row ID is a zero based value, which means that the first row in a table has a row ID value of zero.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: Top property

 See list of classes

 See example

(Read-write)

[StatusBar]

The top position of the status bar on the workspace.

[ApplicationWindow]

The top position of the application window on the desktop.

Data Type

Long

Syntax

topvalue = [objectreference].Top

[objectreference].Top = topvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property is not valid for IconBarManager.

[StatusBar]

Use this property to obtain the top position of the status bar on the workspace.

[ApplicationWindow]

Use this property to manipulate the top position of the application window on the desktop.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: Window class


Word Pro: TotalEditingTime property

 See list of classes

 See example

(Read only) The total number of seconds that a document has been open for editing.

Data Type

Long

Syntax

totaleditingtimevalue = [objectreference].TotalEditingTime

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocInfo class


Word Pro: TrailingText property

 See list of classes

 See example

(Read-write) Adds a string of characters after an endnote reference.

Data Type

String

Syntax

trailingtextvalue = [objectreference].TrailingText

[objectreference].TrailingText = trailingtextvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Equivalent to choosing Create - Footnote/Endnote, clicking Options, selecting "Enclosed by text before," and inserting text in the "text after" box located on the Numbering panel.


Topics Found:

Word Pro: EndnoteDivisionGroupNum class

Word Pro: EndnoteDivisionNum class

Word Pro: EndnoteDocNum class

Word Pro: FootnoteNumbering class

Word Pro: FootnoteNumOpt class


Word Pro: TypeAbove property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

ParaBorderWidth

Syntax

typeabovevalue = [objectreference].TypeAbove

[objectreference].TypeAbove = typeabovevalue

Legal values

$LwpParaBorderWidthMargin (2052)

$LwpParaBorderWidthNone (1624)

$LwpParaBorderWidthOther (2053)

$LwpParaBorderWidthText (2051)

Usage


Topics Found:

Word Pro: ParagraphBorder class

Word Pro: Spacing class


Word Pro: TypeBelow property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

ParaBorderWidth

Syntax

typebelowvalue = [objectreference].TypeBelow

[objectreference].TypeBelow = typebelowvalue

Legal values

$LwpParaBorderWidthMargin (2052)

$LwpParaBorderWidthNone (1624)

$LwpParaBorderWidthOther (2053)

$LwpParaBorderWidthText (2051)

Usage


Topics Found:

Word Pro: ParagraphBorder class

Word Pro: Spacing class


Word Pro: TypeRight property

 See list of classes

 See example

(Read-write)

Data Type

Variant (Enumerated)

ParaBorderWidth

Syntax

typerightvalue = [objectreference].TypeRight

[objectreference].TypeRight = typerightvalue

Legal values

$LwpParaBorderWidthMargin (2052)

$LwpParaBorderWidthNone (1624)

$LwpParaBorderWidthOther (2053)

$LwpParaBorderWidthText (2051)

Usage


Topics Found:

Word Pro: ParagraphBorder class


Word Pro: Type property

 See list of classes

 See example

(Read-only) Indicates what type of style this object is. For CharacterStyle objects, the default is always "$LwpCharStyleTypeCharacter."

Data Type

Variant (Enumerated)

CharStyleType

Syntax

typevalue = [objectreference].Type

Legal values

$LwpCharStyleTypeCharacter (140)

Usage


Topics Found:

Word Pro: CharacterStyle class

Word Pro: Footnote class

Word Pro: ParagraphStyle class

Word Pro: PowerField class

Word Pro: Spacing class

Word Pro: WPApplication class


Word Pro: Typos property

 See list of classes

 See example

(Read-write)

Data Type

Long (Enumerated Bitmask)

TypoChoices

Syntax

typosvalue = [objectreference].Typos

[objectreference].Typos = typosvalue

Legal values

LwpTypoChoicesListbox1 (&H1)

LwpTypoChoicesListbox2 (&H2)

LwpTypoChoicesListbox3 (&H4)

LwpTypoChoicesListbox4 (&H8)

LwpTypoChoicesListboxall (&HF)

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: Underline property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

underlinevalue = [objectreference].Underline

[objectreference].Underline = underlinevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: UndoEnable property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

undoenablevalue = [objectreference].UndoEnable

[objectreference].UndoEnable = undoenablevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Script class


Word Pro: UpdateFields property

 See list of classes

 See example

(Read-write) Updates any power fields before the document prints.

Data Type

Integer

Syntax

updatefieldsvalue = [objectreference].UpdateFields

[objectreference].UpdateFields = updatefieldsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - Print, clicking Options, and selecting "Fields" in the Update section in the Print Options dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: UpdateOnLoadImmediate property

 See list of classes

 See example

(WriteOnly)

Data Type

Integer

Syntax

[objectreference].UpdateOnLoadImmediate = updateonloadimmediatevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: PowerField class


Word Pro: UpperCase property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

uppercasevalue = [objectreference].UpperCase

[objectreference].UpperCase = uppercasevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: UseConsistentSpaceBetweenSentences property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

useconsistentspacebetweensentencesvalue = [objectreference].UseConsistentSpaceBetweenSentences

[objectreference].UseConsistentSpaceBetweenSentences = useconsistentspacebetweensentencesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: UseContents property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

usecontentsvalue = [objectreference].UseContents

[objectreference].UseContents = usecontentsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: UseDefaultPrinter property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

usedefaultprintervalue = [objectreference].UseDefaultPrinter

[objectreference].UseDefaultPrinter = usedefaultprintervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: PrintManager class


Word Pro: UsedFirstPageHeight property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

usedfirstpageheightvalue = [objectreference].UsedFirstPageHeight

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Division class

Word Pro: TextDocument class


Word Pro: UseEncrypt property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

useencryptvalue = [objectreference].UseEncrypt

[objectreference].UseEncrypt = useencryptvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Options class


Word Pro: UseExcludeRect property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

useexcluderectvalue = [objectreference].UseExcludeRect

[objectreference].UseExcludeRect = useexcluderectvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: UseFindStyle property

 See list of classes

 See example

(Read-write) Enables the user to find a paragraph style when using Find & Replace.

Data Type

Integer

Syntax

usefindstylevalue = [objectreference].UseFindStyle

[objectreference].UseFindStyle = usefindstylevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Use this property to find a specific paragraph style in Find & Replace. Equivalent to choosing Edit - Find & Replace Text, clicking Options, clicking the Font button in the "Find options" section, and selecting a find style in the "Style" list box.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: UseFooter property

 See list of classes

 See example

(Read-write) Allows you to add or remove a footer in a layout object.

Data Type

Integer

Syntax

usefootervalue = [objectreference].UseFooter

[objectreference].UseFooter = usefootervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When you assign a value of True to this property, the footer object inserted in the layout object has a height equal to the bottom margin of the layout object and a width equal to the total width of the layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: UseGreeting property

 See list of classes

 See example

(Read-write) Indicates whether or not a greeting displays when a file is opened.

Data Type

Integer

Syntax

usegreetingvalue = [objectreference].UseGreeting

[objectreference].UseGreeting = usegreetingvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing File - TeamSecurity and selecting "Display Greeting with this text" box in the Editing Rights panel.


Topics Found:

Word Pro: DocControl class


Word Pro: UseHeader property

 See list of classes

 See example

(Read-write) Allows you to add or remove a header in a layout object.

Data Type

Integer

Syntax

useheadervalue = [objectreference].UseHeader

[objectreference].UseHeader = useheadervalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

When you assign a value of True to this property, the header object inserted in the layout object has a height equal to the top margin of the layout object and a width equal to the total width of the layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: UseNextStyle property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

usenextstylevalue = [objectreference].UseNextStyle

[objectreference].UseNextStyle = usenextstylevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Breaks class


Word Pro: UsePrinterSettings property

 See list of classes

 See example

(Read-write) Instructs the layout object to retrieve printer setting information, such as orientation, margins, printer bin, scale, and so on.

Data Type

Integer

Syntax

useprintersettingsvalue = [objectreference].UsePrinterSettings

[objectreference].UsePrinterSettings = useprintersettingsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: UserClassNameApp property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

userclassnameappvalue = [objectreference].UserClassNameApp

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: UserClassNameFull property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

userclassnamefullvalue = [objectreference].UserClassNameFull

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: UserClassNameShort property

 See list of classes

 See example

(Read-only)

Data Type

String

Syntax

userclassnameshortvalue = [objectreference].UserClassNameShort

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: OleObject class


Word Pro: UserDictFiles property

 See list of classes

 See example

(Read-only) The default user dictionary file(s).

Data Type

String

Syntax

userdictfilesvalue = [objectreference].UserDictFiles

Legal values

A valid user dictionary file with the file extension .UDC.

Usage

Equivalent to the "Default user dictionary" value on the Default files panel of the Word Pro Preferences dialog box. In the Word Pro interface, "Default user dictionary" can contain multiple file names. You can use this property to read multiple file names entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: UserDictionaryPath property

 See list of classes

 See example

(Read-write) The default path (drive and directory) for the Word Pro user dictionary.

Data Type

String

Syntax

userdictionarypathvalue = [objectreference].UserDictionaryPath

[objectreference].UserDictionaryPath = userdictionarypathvalue

Legal values

A valid path including drive, directory, and file name.

Usage

Equivalent to the "User dictionaries" option on the Locations panel of the Word Pro Preferences dialog box. In the Word Pro interface, this value can contain multiple paths. You can use this property to clear all paths before setting the default or first user dictionary path, or you can use the property, UserDictionaryPaths, to read multiple paths entered by the user.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: UserDictStates property

 See list of classes

 See example

(Read-only) The state (on or off) of each user dictionary.

Data Type

String

Syntax

userdictstatesvalue = [objectreference].UserDictStates

Legal values

Although the legal value for this property is a String, the string contains a series of Integers (0s and 1s) that indicate if a dictionary is turned on or off.  False (0) means the dictionary is not being used. True (1) means the dictionary is being used.

The series of integers is separated by commas and corresponds to the string of user dictionary files found in the UserDictFiles property.

For example, UserDictFiles may be set to "d:\wordpro\userdic.udc; c:\lotus\components\wordpro\userdic.udc;s:\lotus\userdic.udc." Then the UserDictStates property might contain the string "0,1,0," indicating that the only user dictionary enabled is the second one, or c:\lotus\components\wordpro\userdic.udc.

Usage

Equivalent to the "User Dictionary(s) to use" option in the Spell Check Options dialog box. The user can select multiple user dictionaries in this box.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: UseRelative property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

userelativevalue = [objectreference].UseRelative

[objectreference].UseRelative = userelativevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Indent class

Word Pro: RelativeIndent class


Word Pro: UseReplaceStyle property

 See list of classes

 See example

(Read-write) Enables the user to replace a paragraph style in Find & Replace.

Data Type

Integer

Syntax

usereplacestylevalue = [objectreference].UseReplaceStyle

[objectreference].UseReplaceStyle = usereplacestylevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage

Use this property to replace a paragraph style in Find & Replace. Equivalent to choosing Edit - Find & Replace Text, clicking Options, clicking the Font button in the "Replace options" section, and choosing a paragraph style in the "Style" list box.


Topics Found:

Word Pro: FindAndReplace class


Word Pro: UserInitials property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

userinitialsvalue = [objectreference].UserInitials

[objectreference].UserInitials = userinitialsvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: UserLinkName property

 See list of classes

 See example

(Read-only) This property provides the user name for a DdeLink.

Data Type

String

Syntax

userlinknamevalue = [objectreference].UserLinkName

Legal values

Usage

This property gives you the user name for the DdeLink (composed of the server name, the topic name, and the item name).


Topics Found:

Word Pro: DdeLink class


Word Pro: UserName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

usernamevalue = [objectreference].UserName

[objectreference].UserName = usernamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: IndexSection class

Word Pro: Preferences class

Word Pro: Section class


Word Pro: UseSeparatorLine property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

useseparatorlinevalue = [objectreference].UseSeparatorLine

[objectreference].UseSeparatorLine = useseparatorlinevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FootnoteContSep class

Word Pro: FootnoteSeparator class

Word Pro: FootnoteSepOpt class


Word Pro: UsesHelp property

 See list of classes

 See example

(Read-write) Indicates whether a ClickHere object has bubble help.

Data Type

Integer

Syntax

useshelpvalue = [objectreference].UsesHelp

[objectreference].UsesHelp = useshelpvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: ClickHere class


Word Pro: UsesPalette property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

usespalettevalue = [objectreference].UsesPalette

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: UseSuperscriptReferenceNum property

 See list of classes

 See example

(Read-write) Changes endnote/footnote references in the text to superscript.

Data Type

Integer

Syntax

usesuperscriptreferencenumvalue = [objectreference].UseSuperscriptReferenceNum

[objectreference].UseSuperscriptReferenceNum = usesuperscriptreferencenumvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

Equivalent to choosing Create - Footnote/Endnote, clicking Options, and selecting "Superscript reference number" on the Numbering panel.


Topics Found:

Word Pro: EndnoteDivisionGroupNum class

Word Pro: EndnoteDivisionNum class

Word Pro: EndnoteDocNum class

Word Pro: FootnoteNumbering class

Word Pro: FootnoteNumOpt class


Word Pro: UseTwoSpacesBetweenSentences property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

usetwospacesbetweensentencesvalue = [objectreference].UseTwoSpacesBetweenSentences

[objectreference].UseTwoSpacesBetweenSentences = usetwospacesbetweensentencesvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: FormatCheckPref class


Word Pro: Valid property

 See list of classes

 See example

(Read-only)

Data Type

Variant (Enumerated)

CommandState

Syntax

validvalue = [objectreference].Valid

Legal values

$LwpCommandStateOff (151)

$LwpCommandStateOn (152)

$LwpCommandStateStyle (153)

Usage


Topics Found:

Word Pro: Bullet class


Word Pro: VersionID property

 See list of classes

 See example

(Read-only) A numeric expression that represents the version number of the LotusScript engine in which an object was generated. This is essential when comparing the relative functionality of certain LotusScript language elements and Word Pro classes.

Data Type

Long

Syntax

versionidvalue = [objectreference].VersionID

Legal values

You cannot set the value of this property.

Usage

Use this property to determine in which version of the Word Pro object model an object was generated. By comparing the VersionID properties of two language elements, you can determine if the two language elements are likely to be compatible. This is especially useful when debugging or analyzing inherited or legacy scripts.


Topics Found:

Word Pro: BaseObject class


Word Pro: VersionName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

versionnamevalue = [objectreference].VersionName

[objectreference].VersionName = versionnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Version class


Word Pro: VersionRemarks property

 See list of classes

 See example

(Read-write) Allows you to print version remarks in a document.

Data Type

Integer

Syntax

versionremarksvalue = [objectreference].VersionRemarks

[objectreference].VersionRemarks = versionremarksvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: PrintSettings class


Word Pro: VertAlign property

 See list of classes

 See example

(Read-write) Sets the vertical alignment of a layout object.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

vertalignvalue = [objectreference].VertAlign

[objectreference].VertAlign = vertalignvalue

Legal values

Value	Effect
$LtsAlignmentTop (1056964614)	Sets the vertical alignment of a layout object to the top.
$LtsAlignmentVertCenter (1056964615)	Sets the vertical alignment of a layout object to the center.
$LtsAlignmentBottom (1056964616)	Sets the vertical alignment of a layout object to the bottom.
Usage

Equivalent to the "Vertical alignment" option, located on the Misc panel of the InfoBox for certain layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: VerticalSplitWindow property

 See list of classes

 See example

(Read-write) Indicates if Word Pro will split the .MDI window vertically when the NewWindow method is called.

Data Type

Integer

Syntax

verticalsplitwindowvalue = [objectreference].VerticalSplitWindow

[objectreference].VerticalSplitWindow = verticalsplitwindowvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the Split Left-Right option on the View menu.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: VertScrollBarVisible property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

vertscrollbarvisiblevalue = [objectreference].VertScrollBarVisible

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: ViewLevel property

 See list of classes

 See example

(Read-write) Allows you to print a document at different zoom levels.

Data Type

Integer

Syntax

viewlevelvalue = [objectreference].ViewLevel

[objectreference].ViewLevel = viewlevelvalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocWindow class

Word Pro: PrintSettings class


Word Pro: ViewType property

 See list of classes

 See example

(Read-write) Allows you to print a specific view of a document.

Data Type

Variant (Enumerated)

PresentationType

Syntax

viewtypevalue = [objectreference].ViewType

[objectreference].ViewType = viewtypevalue

Legal values

[PrintSettings and DocWindow]

The value of this property must be one of the following strings or its numeric equivalent (in parentheses) when this property is found on a PrintSettings or DocWindow object.

$LwpPresentationTypeDraft (1647)

$LwpPresentationTypeLayout (1646)

$LwpPresentationTypeOutline (1649)

$LwpPresentationTypePagesort (1650)

$LwpPresentationTypeWymiwyg (1648)

[WinViewPrefs]

The value of this property must be one of the following strings or its hexidecimal equivalent (in parentheses) when this property is found on a WinViewPrefs object.

LwpViewsStandard (&H1)

LwpViewsEnlarged (&H2)

LwpViewsFullpage (&H4)

LwpViewsCustom (&H8)

LwpViewsFacingpages (&H10)

LwpViewsPagesort (&H20)

LwpViewsMultiplepages (&H40)

LwpViewsPagemargin (&H80)

LwpViewsPagewidth (&H100)

LwpViewsReduced (&H200)

LwpViewsMoreenlarged (&H400)

Usage

[WinViewPrefs]

The legal values for this property on a WinViewPrefs object are derived from a bitmask. This bitmask allows Word Pro to always show its true value.


Topics Found:

Word Pro: DocWindow class

Word Pro: PrintSettings class

Word Pro: WinViewPrefs class


Word Pro: Visible property

 See list of classes

 See example

(Read-only) Returns a boolean value indicating whether or not the object from which you called this property is visible to the user.

Data Type

Integer

Syntax

visiblevalue = [objectreference].Visible

Legal values

The value of this property cannot be set by a script. The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

You can call this property from WPApplication, ApplicationWindow, DocWindow, or StatusBar.

Use this property to determine whether Word Pro, the application workspace, a document window, or the status bar is currently visible to the user.


Topics Found:

Word Pro: Application class

Word Pro: ApplicationWindow class

Word Pro: DocWindow class

Word Pro: StatusBar class

Word Pro: Window class

Word Pro: WPApplication class


Word Pro: WasDeletedInRevMarkMode property

 See list of classes

 See example

(Read-write) Indicates whether or not a layout object was deleted while in revision marking mode.

Data Type

Integer

Syntax

wasdeletedinrevmarkmodevalue = [objectreference].WasDeletedInRevMarkMode

[objectreference].WasDeletedInRevMarkMode = wasdeletedinrevmarkmodevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: WasInsertedInRevMarkMode property

 See list of classes

 See example

(Read-write) Indicates whether or not a layout object was inserted while in revision marking mode.

Data Type

Integer

Syntax

wasinsertedinrevmarkmodevalue = [objectreference].WasInsertedInRevMarkMode

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: WasPasted property

 See list of classes

 See example

(Read-write) This property is not used.

Data Type

Integer

Syntax

waspastedvalue = [objectreference].WasPasted

[objectreference].WasPasted = waspastedvalue

Legal values

This property is not used.

Usage


Topics Found:

Word Pro: Bookmark class


Word Pro: Weight property

 See list of classes

 See example

(Read-only)

Data Type

Integer

Syntax

weightvalue = [objectreference].Weight

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: FontMetrics class


Word Pro: Where property

 See list of classes

 See example

(Read-write) Indicates where an anchor is connected to a parent layout object.

[FindandReplace]

Indicates where a Find & Replace text or character string is located in the document.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

wherevalue = [objectreference].Where

[objectreference].Where = wherevalue

Legal values

Value	Effect
$LwpWhereTypeLayoutUpperRight (1978)	Setting this value connects the anchor to the upper right corner of the parent layout object.
$LwpWhereTypeLowerLeft (1981)	Setting this value connects the anchor to the lower left corner of the parent layout object.
$LwpWhereTypeLowerRight (1983)	Setting this value connects the anchor to the lower right corner of the parent layout object.
$LwpWhereTypeMiddle (1984)	Setting this value connects the anchor to the middle of the parent layout object.
$LwpWhereTypeMiddleBottom (1982)	Setting this value connects the anchor to the middle of the bottom corner of the parent layout object.
$LwpWhereTypeMiddleLeft (1979)	Setting this value connects the anchor to the middle of the left corner of the parent layout object.
$LwpWhereTypeMiddleRight (1980)	Setting this value connects the anchor to the middle of the right corner of the parent layout object.
$LwpWhereTypeMiddleTop (1977)	Setting this value connects the anchor to the middle of the top corner of the parent layout object.
$LwpWhereTypeUpperLeft (1976)	Setting this value connects the anchor to the upper left corner of the parent layout object.
Usage

[FindandReplace]

Use this property to search a specific area for Find & Replace. The values are:

(0) Search an entire document

(1) Search the current division

(2) Search the current section

(3) Search highlighted text

Equivalent to choosing Edit - Find & Replace Text, clicking Options, and choosing a selecting from the "Look in" list box in the "Find & replace scope" section.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FindAndReplace class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: WidowOrphan property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

widoworphanvalue = [objectreference].WidowOrphan

[objectreference].WidowOrphan = widoworphanvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Options class


Word Pro: WidthAbove property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

widthabovevalue = [objectreference].WidthAbove

[objectreference].WidthAbove = widthabovevalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CharacterBorder class

Word Pro: ParagraphBorder class


Word Pro: WidthBelow property

 See list of classes

 See example

(Read-write)

Data Type

Long

Syntax

widthbelowvalue = [objectreference].WidthBelow

[objectreference].WidthBelow = widthbelowvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: CharacterBorder class

Word Pro: ParagraphBorder class


Word Pro: WidthOfColumn property

 See list of classes

 See example

(Read-write) Allows you to set the width of a specific newpaper column.

Data Type

Long

Syntax

widthofcolumnvalue = [objectreference].WidthOfColumn

[objectreference].WidthOfColumn = widthofcolumnvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage


Topics Found:

Word Pro: Column class


Word Pro: Width property

 See list of classes

 See example

(Read-write)

[IconBar]

Used to represent the actual width of an icon bar object; the actual width of the entire object.

[Layout]

Allows you to set or return the actual width of a layout object.

[StatusBar]

Used in the StatusBar class to return the actual width of the status bar object in Twips.

[ApplicationWindow]

The actual width of the application window.

[Cell, Parallel Column, Row, BaseTable, SuperTable, and TableOnly Containers]

Allows you to set or return the total width of a container from the outside border edge to the outside border edge.

Data Type

Long

Syntax

widthvalue = [objectreference].Width

[objectreference].Width = widthvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

[ApplicationWindow]

Used to manipulate the width of the application window.

[IconBar]

Used to represent the actual width of an icon bar object. Returns the distance in Twips from the left border of an icon bar object to its right border; the actual width of the entire object.

[IconBarManager]

This property is not valid for IconBarManager.

[StatusBar]

This property appears with data type Long in the Window class.

[Layout]

The width of a layout object is the distance between the left border and right border of the layout object.


Topics Found:

Word Pro: ApplicationWindow class

Word Pro: BaseContainer class

Word Pro: Border class

Word Pro: CellContainer class

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DocWindow class

Word Pro: DropCapContainer class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: Font class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameContainer class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: Graphic class

Word Pro: GraphicOleObject class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: IconBar class

Word Pro: Layout class

Word Pro: NoteContainer class

Word Pro: NoteLayout class

Word Pro: OleObject class

Word Pro: PageContainer class

Word Pro: PageLayout class

Word Pro: ParallelColsContainer class

Word Pro: RowContainer class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyContainer class

Word Pro: RubyLayout class

Word Pro: StatusBar class

Word Pro: SubPageContainer class

Word Pro: SuperPageContainer class

Word Pro: SuperTableContainer class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableContainer class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TableOnlyCont class

Word Pro: TOCSuperTableLayout class

Word Pro: Window class


Word Pro: WindowId property

 See list of classes

 See example

(Read-only)

Data Type

Long

Syntax

windowidvalue = [objectreference].WindowId

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: DocWindow class


Word Pro: WindowsName property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

windowsnamevalue = [objectreference].WindowsName

[objectreference].WindowsName = windowsnamevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Font class


Word Pro: WithComments property

 See list of classes

 See example

(Read-write) Allows you to print each comment note at its location in the document.

Data Type

Integer

Syntax

withcommentsvalue = [objectreference].WithComments

[objectreference].WithComments = withcommentsvalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage

A comment note must be open in a document before you can print it. Equivalent to choosing File - Print, clicking Options, and selecting "With comments" in the Print options section in the Print Options dialog box.


Topics Found:

Word Pro: PrintSettings class


Word Pro: WordDoubleUnderline property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

worddoubleunderlinevalue = [objectreference].WordDoubleUnderline

[objectreference].WordDoubleUnderline = worddoubleunderlinevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class


Word Pro: WordUnderline property

 See list of classes

 See example

(Read-write)

Data Type

Integer

Syntax

wordunderlinevalue = [objectreference].WordUnderline

[objectreference].WordUnderline = wordunderlinevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values.

Usage


Topics Found:

Word Pro: Font class

Word Pro: WPApplication class


Word Pro: WorkingType property

 See list of classes

 See example

(Read-write) Indicates if "Use working type" is enabled in Word Pro Preferences.

Data Type

Integer

Syntax

workingtypevalue = [objectreference].WorkingType

[objectreference].WorkingType = workingtypevalue

Legal values

The legal values for this property are -1 and 0. If you prefer, you can use the LotusScript constants of True (-1) and False (0) instead of the integer values. Default is False (0).

Usage

Equivalent to the "Use working type" option on the Locations panel of the Word Pro Preferences dialog box. If the value for this property is True (-1), Word Pro continues to display files of the last type the user chose in the Open and Save dialog boxes. If the value is False (0), Word Pro uses the default value .LWP.


Topics Found:

Word Pro: UserInterfacePrefs class


Word Pro: WrapType property

 See list of classes

 See example

(Read-write) Specifies how text should wrap around a layout object.

Data Type

Data type for this property is Variant which allows the value of this property to be one of the constants listed below or its numeric equivalent (in parentheses).

Syntax

wraptypevalue = [objectreference].WrapType

[objectreference].WrapType = wraptypevalue

Legal values

Value	Effect
$LwpWrapLayoutWrapRight (1999)	Setting this value wraps text to the right of a layout object.
$LwpWrapTypeLayoutNoWrapAround (1997)	Setting this value prevents text from wrapping around a layout object. It allows text to flow behind a layout object.
$LwpWrapTypeLayoutNoWrapBeside (1996)	Setting this value wraps text above and below a layout object.
$LwpWrapTypeLayoutWrapAround (1995)	Setting this value wraps text around a layout object.
$LwpWrapTypeLayoutWrapLeft (1998)	Setting this value wraps text to the left of a layout object.
$LwpWrapTypeLayoutWrapRight (2070)	Setting this value wraps text to the right of a layout object.
Usage

Equivalent to the "Wrap options" setting on the Placement panel of the InfoBox for frame or table layout objects.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: XOffset property

 See list of classes

 See example

(Read-write) Horizontally offsets the content of a layout without requiring a change in margins.

Data Type

Long

Syntax

xoffsetvalue = [objectreference].XOffset

[objectreference].XOffset = xoffsetvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property is used for cropping graphics in a layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DocWindow class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: XPosition property

 See list of classes

 See example

(Read-write)

[Layout]

The X coordinate for the origin of this layout.

[Shadow]

Determines the X axis depth of a shadow object for text, frames, tables, headers, footers, and pages in a document.

Data Type

Long

Syntax

xpositionvalue = [objectreference].XPosition

[objectreference].XPosition = xpositionvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

You can use the XPosition property to set the depth of a shadow object from left to right for text, frames, tables, headers, footers, and pages in a document.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: Shadow class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: YOffset property

 See list of classes

 See example

(Read-write) Vertically offsets the content of a layout without requiring a change in margins.

Data Type

Long

Syntax

yoffsetvalue = [objectreference].YOffset

[objectreference].YOffset = yoffsetvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

This property is used for cropping graphics in a layout object.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DocWindow class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: YPosition property

 See list of classes

 See example

(Read-write)

[Layout]

The Y coordinate for the origin of this layout.

[Shadow]

Determines the Y axis depth of a shadow object for text, frames, tables, headers, footers, and pages in a document.

Data Type

Long

Syntax

ypositionvalue = [objectreference].YPosition

[objectreference].YPosition = ypositionvalue

Legal values

Data type is Long but the unit of measurement used for this property is Twips. There are 1440 Twips per inch.

Usage

You can use the YPosition property to set the depth of a shadow object up or down for text, frames, tables, headers, footers, and pages in a document.


Topics Found:

Word Pro: CellGroupLayout class

Word Pro: CellLayout class

Word Pro: ColumnGroupLayout class

Word Pro: ConnectedLayout class

Word Pro: DropCapLayout class

Word Pro: EndnoteLayout class

Word Pro: FooterLayout class

Word Pro: FootnoteLayout class

Word Pro: FrameGroupLayout class

Word Pro: FrameLayout class

Word Pro: GroupLayout class

Word Pro: HeaderLayout class

Word Pro: Layout class

Word Pro: NoteLayout class

Word Pro: PageLayout class

Word Pro: RowGroupLayout class

Word Pro: RowLayout class

Word Pro: RubyLayout class

Word Pro: Shadow class

Word Pro: SuperTableGroupLayout class

Word Pro: SuperTableLayout class

Word Pro: TableHeadingLayout class

Word Pro: TableLayout class

Word Pro: TOCSuperTableLayout class


Word Pro: ZipCode property

 See list of classes

 See example

(Read-write)

Data Type

String

Syntax

zipcodevalue = [objectreference].ZipCode

[objectreference].ZipCode = zipcodevalue

Legal values

The legal values for this property are determined by its data type. For more information about standard LotusScript data types, choose Edit - Scripts & Macros. Choose Show Script Editor. In the Script Editor, choose Help - Lotus Script.

Usage


Topics Found:

Word Pro: Preferences class


Word Pro: SuperTableCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SuperTableContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

RevertToStyle

SetStyle

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: SuperTableGroupLayout class members

This member list has not yet been defined.


Word Pro: SuperTableLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: SuperTableLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: SuperTable class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

ContentType AS ContentType

Description AS String

IsEmpty AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

None

Events

None


Word Pro: TableCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TableContainer class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: TableFill class members

Properties

Application AS WPApplication

Background AS Background

Description AS String

FillStyle AS TableFillStyle

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

SetPattern

Events

None


Word Pro: TableHeadingCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TableHeadingLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TableHeadingLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: TableHeading class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

CellLayouts AS StringCollection

ColumnLayouts AS StringCollection

ContentType AS ContentType

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

DefCellStyleName AS String

DefColWidth AS Long (measured in Twips)

DefRowHeight AS Long (measured in Twips)

Description AS String

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsParagraphNumberingDown AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsResetParagraphNumber AS Integer (Boolean)

IsSizingViaMouse AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MaxBottomBorder AS Long (measured in Twips)

MaxBottomGutter AS Long (measured in Twips)

MaxLeftBorder AS Long (measured in Twips)

MaxLeftGutter AS Long (measured in Twips)

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Long (measured in Twips)

MaxRightGutter AS Long (measured in Twips)

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Long (measured in Twips)

MaxTopGutter AS Long (measured in Twips)

Name AS String

NumCols AS Integer

NumRows AS Integer

Parent AS BaseObject

RowLayouts AS StringCollection

SelectionType AS SelectionType

SingleCellSelected AS Integer (Boolean)

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill

TableLine AS TableLine

VersionID AS Long

Methods

CellLayout

Connect

Copy

DeleteTable

DisconnectCells

DoesMarkerNameMatch

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Events

None


Word Pro: TableLayoutCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TableLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

Backward

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: TableLine class members

Properties

Application AS WPApplication

BorderLines AS BorderLines

Description AS String

DiagonalLines AS BorderLines

IsValid AS Integer (Boolean)

LineMix AS TableMix

Name AS String

OutlineBorderLines AS BorderLines

Parent AS BaseObject

VersionID AS Long

Methods

BeginCustomLines

ChgLineStyle

EndCustomLines

GetLineMix

GetLineStyle

SetLineOneSide

SetLinesAllSides

Events

None


Word Pro: TableMarkerCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TableMarker class members

Properties

Application AS WPApplication

Description AS String

DivisionInfo AS DivisionInfo

IsChanged AS Integer (Boolean)

IsMarkerValid AS Integer (Boolean)

IsRegistered AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MarkerClass AS MarkerType

Name AS String

NumCols AS Integer

NumRows AS Integer

PageNumber AS Integer

PageNumberAsText AS String

Parent AS BaseObject

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

DeleteContents

DeleteMarker

GetContents

GetMarkedText

GetNamedProperty

GetParagraphNumber

GetParagraphNumberString

GoTo

HasNamedProperty

InsertMarker

RegisterWPDataSet

RemoveNamedProperty

SetNamedProperty

UnregisterWPDataSet

Events

None


Word Pro: TableOnlyCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TableOnlyCont class members

Properties

AbsoluteTextOrientation AS Integer

Application AS WPApplication

ClientHeight AS Long (measured in Twips)

ClientWidth AS Long (measured in Twips)

ContentHeight AS Long (measured in Twips)

ContentName AS String

ContentWidth AS Long (measured in Twips)

Description AS String

DivisionInfo AS DivisionInfo

DivisionName AS String

Height AS Long (measured in Twips)

IsFooter AS Integer

IsHeader AS Integer

IsValid AS Integer (Boolean)

Layout AS Layout

MaxContentHeight AS Long (measured in Twips)

MaxContentWidth AS Long (measured in Twips)

Name AS String

NumContainers AS Integer

PageNum AS Integer

Parent AS BaseObject

PositionXOnPage AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

Presentation AS Presentation

RelativePageNum AS Integer

TextOrientation AS Integer

VersionID AS Long

Width AS Long (measured in Twips)

Methods

Abandon

Adopt

Anchor

Backward

CanHaveFootnotes

ConnectContainer

DeleteContainer

Disconnect

Ending

Forward

GetObjectList

GetPasteFormatCategories

GoToContainer

Hide

IsPointWithin

LinkContainers

ShowContainers

Start

UnLinkContainers

Events

None


Word Pro: Table class members

Properties

Application AS WPApplication

CanEmbed AS Integer (Boolean)

CellEngine AS CellEngine

CellLayouts AS StringCollection

ColumnLayouts AS StringCollection

ContentType AS ContentType

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

DefCellStyleName AS String

DefColWidth AS Long (measured in Twips)

DefRowHeight AS Long (measured in Twips)

Description AS String

EndingColOfSelection AS Integer

EndingRowOfSelection AS Integer

IsAutoGrow AS Integer (Boolean)

IsEmpty AS Integer (Boolean)

IsParagraphNumberingDown AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsResetParagraphNumber AS Integer (Boolean)

IsSizingViaMouse AS Integer (Boolean)

IsValid AS Integer (Boolean)

Layout AS Layout

MaxBottomBorder AS Long (measured in Twips)

MaxBottomGutter AS Long (measured in Twips)

MaxLeftBorder AS Long (measured in Twips)

MaxLeftGutter AS Long (measured in Twips)

MaxNumColsAllowed AS Integer

MaxNumRowsAllowed AS Integer

MaxRightBorder AS Long (measured in Twips)

MaxRightGutter AS Long (measured in Twips)

MaxSplitCols AS Integer

MaxSplitRows AS Integer

MaxTopBorder AS Long (measured in Twips)

MaxTopGutter AS Long (measured in Twips)

Name AS String

NumCols AS Integer

NumRows AS Integer

Parent AS BaseObject

RowLayouts AS StringCollection

SelectionType AS SelectionType

SingleCellSelected AS Integer (Boolean)

StartingColOfSelection AS Integer

StartingColStringOfSelection AS String

StartingRowOfSelection AS Integer

TableFill AS TableFill

TableLine AS TableLine

VersionID AS Long

Methods

CellLayout

Connect

Copy

DeleteTable

DisconnectCells

DoesMarkerNameMatch

FindCellLayout

GetMarkerName

GoToTableCell

InsertRowOrColumn

Mark

NextItem

PreviousItem

SelectTableItem

Split

Sum

Events

None


Word Pro: TabRack class members

Properties

Application AS WPApplication

Description AS String

IsValid AS Integer (Boolean)

Name AS String

NumTabs AS Integer

Parent AS BaseObject

VersionID AS Long

Methods

ClearAll

DeleteTab

GetOne

InsertOne

RevertToStyle

Events

None


Word Pro: TextCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TextDocument class members

Properties

Application AS WPApplication

AsciiCRLFType AS AsciiLineEnding

AutoRunMacro AS AutoRunMacro

BaseURL AS String

BookmarkManager AS BookmarkManager

CanCreatePreviewBitmap AS Integer (Boolean)

Changed AS Integer (Boolean)

CreatePreviewBitmap AS Integer (Boolean)

DdeLinkManager AS DdeLinkManager

DdeOutboundInfo AS Long

DemandLoad AS ReservedParam

Description AS String

DivisionInfo AS DivisionInfo

DivisionNames AS StringCollection

DivisionOptions AS DivisionOptions

Divisions AS DivisionCollection

DocControl AS DocControl

DocInfo AS DocInfo

DocOptions AS Options

EditorManager AS EditorManager

EditorName AS String

Embedded AS Integer (Boolean)

Epoch AS String

FileType AS String

FinishedSpellChecking AS Integer

FirstChild AS String

FirstDivision AS String

FirstName AS String

FirstPage AS Integer

FootnoteOptions AS FootnoteOptions

Foundry AS Foundry

FullName AS String

HasIndex AS Integer (Boolean)

HasTOC AS Integer (Boolean)

IsAsciiCRLF AS Integer (Boolean)

IsAsciiKeepStyle AS Integer (Boolean)

IsChanged AS Integer (Boolean)

IsChangedOtherThanLinkTo AS Integer (Boolean)

IsChangedSinceTimeSave AS Integer (Boolean)

IsChangedToLinkTo AS Integer (Boolean)

IsDivisionExternal AS Integer (Boolean)

IsDocLoading AS Integer (Boolean)

IsEmptyDoc AS Integer (Boolean)

IsEndnoteDivision AS Integer (Boolean)

IsLockedForRevisions AS Integer (Boolean)

IsOpen AS Integer (Boolean)

IsProtected AS Integer

IsSpellBarUp AS Integer (Boolean)

IsStyleSheet AS Integer (Boolean)

IsUndoOn AS Integer (Boolean)

IsValid AS Integer (Boolean)

LastChild AS String

LastDivision AS String

LastName AS String

LastPage AS Integer

LineNumberOptions AS LineNumberOptions

Location AS String

Locked AS Integer

MailRouting AS MailRouting

Master AS TextDocument

MergeOptions AS MergeOptions

Name AS String

NextName AS String

NextNeighbor AS String

NonUserDocument AS Integer (Boolean)

NumPagesInDoc AS Integer

NumWindowsViewingDoc AS Integer

NumWordsInDoc AS Long

OleContainerDocName AS String

OleMinHeight AS Long (measured in Twips)

OrigFileType AS String

Parent AS BaseObject

ParentName AS String

Path AS String

PathName AS String

PreviousName AS String

PreviousNeighbor AS String

PrintManager AS PrintManager

PrintSettings AS PrintSettings

ReadCompressed AS Integer (Boolean)

ReadOnly AS Integer (Boolean)

RevisionMarkMode AS Integer

Saved AS Integer (Boolean)

SelectionType AS SelectionType

SortOptions AS SortOptions

StateID AS Long

StyleSheetFullPath AS String

StyleSheetName AS String

StyleSheetPath AS String

TabSpacing AS Long (measured in Twips)

TitleBarDocNumber AS Integer

UseContents AS Integer

UsedFirstPageHeight AS Long (measured in Twips)

VersionID AS Long

VersionManager AS VersionManager

WPDataSets AS WPDataSetCollection

Methods

Activate

AddDivision

AdviseOnRename

AdviseOnSave

AnyEdits

BeginChange

ChangeAllEditsToEditor

Clear

Close

ConsistencyCheck

Copy

CopySelection

CutSelection

Destroy

EndChange

ForceDocToLoad

FXGetNotesString

FXGetNotesWriteHandle

FXSetNotesString

GetActiveList

GetNamedProperty

GetNameFromPage

GetPageRange

HasNamedProperty

Hit

Link

Localize

Move

Paste

PrepareToDestroy

Present

Print

PrintOut

Purge

Redo

RegisterWPDataSet

RemoveDepOnDocFile

RemoveDivision

RemoveNamedProperty

Save

SaveAs

SaveDivision

SetDocumentEpoch

SetNamedProperty

Undo

UndoRedo

Unlink

UnregisterWPDataSet

UpdateOle

UpdatePowerFields

UpdatePowerFieldsOnNew

Events

Created

DocumentInsert

DocumentInserted

EnterClickHere

EnterLayout

ExitClickHere

ImportInsert

ImportInserted

KeyStroke

MouseDown

MouseUp

Opened

PreClose

PrePrint

Printed

Save

SaveAs

Saved

SavedAs

WMCommand


Word Pro: TextMarkerCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: TextMarker class members

Properties

Alignment AS Alignment

Amikake AS Amikake

Application AS WPApplication

AtBeginning AS Integer (Boolean)

AtBeginningOfLine AS Integer (Boolean)

AtBeginningOfObject AS Integer (Boolean)

AtBeginningOfParagraph AS Integer (Boolean)

AtBeginningOfWord AS Integer (Boolean)

AtEnd AS Integer (Boolean)

AtEndOfLine AS Integer (Boolean)

AtEndOfObject AS Integer (Boolean)

AtEndOfParagraph AS Integer (Boolean)

AtEndOfWord AS Integer (Boolean)

Attributes AS Attributes

Breaks AS Breaks

Bullet AS Bullet

CharacterBorder AS CharacterBorder

CharacterStyle AS CharacterStyle

CharacterStyleName AS String

CodePage AS Integer

Collapsible AS Integer

ColumnNumber AS Integer

ColumnWidth AS Long (measured in Twips)

CurrentLanguage AS Languages

Description AS String

DivisionInfo AS DivisionInfo

EffectiveColumnWidth AS Long (measured in Twips)

Expandable AS Integer

FieldType AS String

Font AS Font

HasLocalTabs AS CommandResponse

Indent AS Indent

IsChanged AS Integer (Boolean)

IsInBulletEditMode AS Integer (Boolean)

IsMarkerValid AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsParagraphParent AS Integer (Boolean)

IsRegistered AS Integer (Boolean)

IsRevisionMark AS Integer (Boolean)

IsValid AS Integer (Boolean)

Kinsoku AS Kinsoku

Language AS Language

LastEditorName AS String

Layout AS Layout

LayoutName AS String

MaintainEditor AS Integer

MarkerClass AS MarkerType

MultiCompareParaTag AS String

MultiCompareParaTagSet AS Integer (Boolean)

Name AS String

NextText AS String

NormalParagraph AS Integer (Boolean)

Numbering AS Numbering

NumberOfCharacters AS Long

NumberOfRevisions AS Integer

NumCharsInParagraph AS Long

NumCols AS Integer

NumRows AS Integer

ObjectType AS String

PageNumber AS Integer

PageNumberAsText AS String

ParagraphBorder AS ParagraphBorder

ParagraphHasDropCap AS Integer (Boolean)

ParagraphHasText AS Integer (Boolean)

ParagraphStyle AS ParagraphStyle

ParagraphStyleName AS String

Parent AS BaseObject

Partial AS Integer (Boolean)

PositionXInContainer AS Long (measured in Twips)

PositionXOnPage AS Long (measured in Twips)

PositionYInContainer AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

RelativeIndent AS RelativeIndent

RenderedPageNumber AS String

RevisionMark AS Revision

SectionName AS String

SelectionHidden AS Integer (Boolean)

SelectionType AS SelectionType

Spacing AS Spacing

StartColumns AS Integer

StartRow AS Integer

StateID AS Long

StyleExceptions AS Long

TabRack AS TabRack

TextViewAttributes AS TextView

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

Add

AdjustShade

Backspace

Backward

CalculateSmartLevels

Clear

CloseObject

ContractOutlineLevel

DeleteChars

DeleteContents

DeleteMarker

Demote

Deselect

Embed

ExpandOutline

Find

Forward

GetContents

GetCopyFormatCategories

GetCount

GetCurrentMarkerName

GetMarkedText

GetMispelledWord

GetNamedProperty

GetParagraphNumber

GetParagraphNumberString

GetParaNumber

GetPasteFormatCategories

GetPosition

GetSpellStatus

GetSpellUserDictStatus

GetText

GetWordMisspelled

GoTo

HasNamedProperty

HideCaretAndSelection

IndexAll

InsertBreak

InsertDocInfo

InsertHardSpace

InsertMarker

InsertNumber

InsertPageNumber

InsertSpecialTab

InsertTab

InsertText

InternalCopy

InternalCut

InternalPaste

IsMarkerEqualToSelection

IsPointWithin

Mark

MorphSelectionToTable

MoveDown

MoveParagraph

MoveToEnd

MoveToStart

MoveUp

Next

NextToObject

OpenObject

Previous

Promote

RegisterWPDataSet

Remove

RemoveNamedProperty

Replace

RevertToStyle

RevisionAccept

RevisionCancel

Select

SetNamedProperty

SetStyle

Shade

ShowCaretAndSelection

ShowCursor

Skip

SortParagraphs

SpellWord

SplitParagraph

SRReplace

UnregisterWPDataSet

Events

None


Word Pro: TextStyleCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: Text class members

Properties

Alignment AS Alignment

Amikake AS Amikake

Application AS WPApplication

AtBeginning AS Integer (Boolean)

AtBeginningOfLine AS Integer (Boolean)

AtBeginningOfObject AS Integer (Boolean)

AtBeginningOfParagraph AS Integer (Boolean)

AtBeginningOfWord AS Integer (Boolean)

AtEnd AS Integer (Boolean)

AtEndOfLine AS Integer (Boolean)

AtEndOfObject AS Integer (Boolean)

AtEndOfParagraph AS Integer (Boolean)

AtEndOfWord AS Integer (Boolean)

Attributes AS Attributes

Breaks AS Breaks

Bullet AS Bullet

CanEmbed AS Integer (Boolean)

CharacterBorder AS CharacterBorder

CharacterStyle AS CharacterStyle

CharacterStyleName AS String

CodePage AS Integer

ColumnNumber AS Integer

ColumnWidth AS Long (measured in Twips)

ContentType AS ContentType

CurrentLanguage AS Languages

Description AS String

EffectiveColumnWidth AS Long (measured in Twips)

FieldType AS String

Font AS Font

HasLocalTabs AS CommandResponse

Indent AS Indent

IsEmpty AS Integer (Boolean)

IsInBulletEditMode AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsParagraphParent AS Integer (Boolean)

IsReplaceable AS Integer (Boolean)

IsRevisionMark AS Integer (Boolean)

IsValid AS Integer (Boolean)

Kinsoku AS Kinsoku

Language AS Language

LastEditorName AS String

LayoutName AS String

MaintainEditor AS Integer

MultiCompareParaTag AS String

MultiCompareParaTagSet AS Integer (Boolean)

Name AS String

NextText AS String

NormalParagraph AS Integer (Boolean)

Numbering AS Numbering

NumberOfCharacters AS Long

NumberOfRevisions AS Integer

NumCharsInParagraph AS Long

ObjectType AS String

ParagraphBorder AS ParagraphBorder

ParagraphHasDropCap AS Integer (Boolean)

ParagraphHasText AS Integer (Boolean)

ParagraphStyle AS ParagraphStyle

ParagraphStyleName AS String

Parent AS BaseObject

Partial AS Integer (Boolean)

PositionXInContainer AS Long (measured in Twips)

PositionXOnPage AS Long (measured in Twips)

PositionYInContainer AS Long (measured in Twips)

PositionYOnPage AS Long (measured in Twips)

RelativeIndent AS RelativeIndent

RenderedPageNumber AS String

RevisionMark AS Revision

SectionName AS String

SelectionHidden AS Integer (Boolean)

SelectionType AS SelectionType

Spacing AS Spacing

StyleExceptions AS Long

TabRack AS TabRack

TextViewAttributes AS TextView

VersionID AS Long

WPDataSets AS WPDataSetCollection

Methods

Add

AdjustShade

Backspace

Backward

CalculateSmartLevels

Clear

CloseObject

ContractOutlineLevel

DeleteChars

Demote

Deselect

Embed

ExpandOutline

Find

Forward

GetCopyFormatCategories

GetCount

GetCurrentMarkerName

GetMispelledWord

GetParaNumber

GetPasteFormatCategories

GetPosition

GetSpellStatus

GetSpellUserDictStatus

GetText

GetWordMisspelled

HideCaretAndSelection

IndexAll

InsertBreak

InsertDocInfo

InsertHardSpace

InsertNumber

InsertPageNumber

InsertSpecialTab

InsertTab

InsertText

InternalCopy

InternalCut

InternalPaste

IsMarkerEqualToSelection

IsPointWithin

Mark

MorphSelectionToTable

MoveDown

MoveParagraph

MoveToEnd

MoveToStart

MoveUp

Next

NextToObject

OpenObject

Previous

Promote

RegisterWPDataSet

Remove

Replace

RevertToStyle

RevisionAccept

RevisionCancel

Select

SetStyle

Shade

ShowCaretAndSelection

ShowCursor

Skip

SortParagraphs

SpellWord

SplitParagraph

SRReplace

UnregisterWPDataSet

Events

None


Word Pro: TOCSuperTableLayout class members

Properties

AbsoluteOn AS Integer (Boolean)

AbsoluteXPos AS Long (measured in Twips)

AbsoluteYPos AS Long (measured in Twips)

AmtTether AS WhereType

AmtToTetherFrom AS WhereType

Application AS WPApplication

Background AS Background

BaseLineOffset AS Long (measured in Twips)

BinName AS String

BorderLines AS BorderLines

BorderOffset AS Long (measured in Twips)

BottomExternalMargin AS Long (measured in Twips)

Center AS Integer (Boolean)

ChildLayouts AS LayoutCollection

ClassName AS String

ColumnBalance AS Integer (Boolean)

ColumnGap AS Long (measured in Twips)

ConditionType AS ConditionType

Content AS Variant

ContentName AS String

ContentStyleName AS String

Definition AS Long

Description AS String

DirectionDown AS LayoutDirection

DirectionLeft AS LayoutDirection

DirectionRight AS LayoutDirection

DirectionUp AS LayoutDirection

DivisionName AS String

DropCapPosition AS Integer

EditorName AS String

Footer AS Layout

GridDistance AS Long (measured in Twips)

GridType AS GridType

Gutter AS Gutter

Header AS Layout

Height AS Long (measured in Twips)

IsBreakable AS Integer (Boolean)

IsChildSpannable AS Integer (Boolean)

IsCollapsed AS Integer (Boolean)

IsCollapsible AS Integer (Boolean)

IsColumnBreakable AS Integer (Boolean)

IsComplex AS Integer (Boolean)

IsConnected AS Integer (Boolean)

IsErrorChecking AS Integer (Boolean)

IsExpandDown AS Integer (Boolean)

IsExpandLeft AS Integer (Boolean)

IsExpandRight AS Integer (Boolean)

IsExpandUp AS Integer (Boolean)

IsLocal AS Integer (Boolean)

IsLocked AS Integer (Boolean)

IsMarginSameAsParent AS Integer (Boolean)

IsNotCopyable AS Integer (Boolean)

IsNotGroupable AS Integer (Boolean)

IsNoUICommAllowed AS Integer (Boolean)

IsOverridden AS Integer (Boolean)

IsOverride AS Integer (Boolean)

IsPageBreak AS Integer (Boolean)

IsPartOfGroup AS Integer (Boolean)

IsPrintable AS Integer (Boolean)

IsProtected AS Integer (Boolean)

IsScrollable AS Integer (Boolean)

IsSingleClickEntry AS Integer (Boolean)

IsSizable AS Integer (Boolean)

IsSnapTo AS Integer (Boolean)

IsStyle AS Integer (Boolean)

IsTableHeading AS Integer (Boolean)

IsTOC AS Integer (Boolean)

IsValid AS Integer (Boolean)

Join AS Join

Justifiable AS Integer (Boolean)

LandscapeMode AS Integer (Boolean)

Layer AS Layout

LayerName AS String

LeaderDotType AS LeaderDotType

LeftExternalMargin AS Long (measured in Twips)

LeftPage AS Layout

LeftTopCellId AS Integer

LineLocation AS Integer

LinkFrame AS String

MaintainAspectRatio AS Integer (Boolean)

MarginBottom AS Long (measured in Twips)

MarginLeft AS Long (measured in Twips)

MarginRight AS Long (measured in Twips)

MarginTop AS Long (measured in Twips)

MasterName AS String

MinBottomMargin AS Long (measured in Twips)

MinHeight AS Long (measured in Twips)

MinLeftMargin AS Long (measured in Twips)

MinRightMargin AS Long (measured in Twips)

MinTopMargin AS Long (measured in Twips)

Name AS String

NameBasedOnStyle AS String

NumberOfLines AS Integer

NumCols AS Integer

NumColsSpannedOneCell AS Integer

NumericFormat AS NumericFormat

NumRowsSpannedOneCell AS Integer

PageToUseLayoutOn AS Integer

Parent AS BaseObject

ParentName AS String

RelativeType AS RelativeType

RelativeXDistance AS Long (measured in Twips)

RelativeYDistance AS Long (measured in Twips)

RevisionType AS Integer

RightExternalMargin AS Long (measured in Twips)

RightPage AS Layout

ScaleHeight AS Long (measured in Twips)

ScaleMode AS ScaleType

ScalePercentage AS Long

ScaleWidth AS Long (measured in Twips)

SectionName AS String

SelectType AS LayoutSelect

Shadow AS Shadow

Span AS Integer (Boolean)

Style AS Layout

StyleExceptions AS Long

TabRack AS TabRack

TextOrient AS TextOrient

Tile AS Integer (Boolean)

TOCRange AS String

TOCSource AS GenerateFrom

TopExternalMargin AS Long (measured in Twips)

TopLeftCellRowId AS Integer

UseFooter AS Integer

UseHeader AS Integer (Boolean)

UsePrinterSettings AS Integer (Boolean)

UseWhen AS UseWhen

VersionID AS Long

VertAlign AS VertAlign

WasDeletedInRevMarkMode AS Integer (Boolean)

WasInsertedInRevMarkMode AS Integer (Boolean)

Where AS WhereType

Width AS Long (measured in Twips)

WPDataSets AS WPDataSetCollection

WrapType AS WrapType

XOffset AS Long (measured in Twips)

XPosition AS Long (measured in Twips)

YOffset AS Long (measured in Twips)

YPosition AS Long (measured in Twips)

Methods

AddChildToLayout

AddTOCEntry

Backward

Clear

CreateLayer

DeleteContents

DeleteLayout

DoesMarkerNameMatch

FindClass

Forward

GetMarkerName

GetNamedProperty

GetTOCProperties

GoToLayout

HasNamedProperty

ImportWatermarkGraphic

Mark

MirrorPage

MoveToBack

MoveToFront

Next

PreviousItem

RegisterWPDataSet

RemoveChildFromLayout

RemoveNamedProperty

RevisionAcceptLayoutChange

RevisionCancelLayoutChange

SetAllMargins

SetMinimumOrigin

SetNamedProperty

SetTOCProperties

UnregisterWPDataSet

Update

Events

EnterLayout

KeyStroke

MouseDown

MouseUp


Word Pro: UserInterfacePrefs class members

Properties

Application AS WPApplication

AutoBackup AS Integer (Boolean)

AutoSave AS Integer (Boolean)

AutoSaveMinutes AS Integer

BackupPath AS String

BackupPaths AS StringCollection

BulletFonts AS String

CheckForScriptEnumError AS Integer (Boolean)

CheckForScriptPropertyError AS Integer (Boolean)

CleanScreenMode AS Integer (Boolean)

CleanScreenOnStartUp AS Integer (Boolean)

DefaultNewCategory AS String

Description AS String

DisableConsistencyCheck AS Integer (Boolean)

DocPath AS String

DocumentPaths AS StringCollection

FontUnitName AS String

FontUnits AS ScaleMode

GlossaryDataFileName AS String

GlossaryDataFiles AS StringCollection

GlossaryDataPaths AS StringCollection

GlossaryPath AS String

GrammarOptions AS Grammar

GraphicPath AS String

GraphicPaths AS StringCollection

HorizontalSplitWindow AS Integer (Boolean)

IconPath AS String

IconPaths AS StringCollection

IconShowingBeforeCleanScreen AS Integer (Boolean)

IsDisableWarningMessages AS Integer (Boolean)

IsHighlightNote AS Integer (Boolean)

IsValid AS Integer (Boolean)

IsWorkingDir AS Integer (Boolean)

LastDocPath AS String

LastGraphicPath AS String

LastGraphicType AS String

LastMacroPath AS String

LastUsedDateFormula AS String

LeaderDotType AS LeaderDotType

LoadFilesMaximized AS Integer (Boolean)

MacroPath AS String

MacroPaths AS StringCollection

MaximizeOnStartUp AS Integer (Boolean)

Name AS String

NoteColor AS Color

NumOfRecentFiles AS Integer

OpenDocsVisible AS Integer (Boolean)

OpenExisingFileInWelcomeBox AS Integer (Boolean)

OpenReadOnly AS Integer (Boolean)

Parent AS BaseObject

RetainNameOfImportedFile AS Integer (Boolean)

RunMacroOnDocEvents AS Integer (Boolean)

RunMacroOnLoad AS Integer (Boolean)

ShowBubbleHelp AS Integer

ShowFileNew AS Integer

ShowGraphicPreview AS Integer (Boolean)

ShowMailDisabled AS Integer (Boolean)

ShowNoWelcomeBox AS Integer (Boolean)

SizingUnitName AS String

SizingUnits AS ScaleMode

SpacingUnitName AS String

SpacingUnits AS ScaleMode

SpellCheckInitialCaps AS Integer (Boolean)

SpellCheckRepeatedWords AS Integer (Boolean)

SpellCheckUserDictAlternatives AS Integer (Boolean)

SpellCheckWordsWithNums AS Integer (Boolean)

SplitPercentage AS Integer

StatusSpellReplaceAll AS Integer (Boolean)

StylePath AS String

StylePaths AS StringCollection

StyleSheetName AS String

TabRelativeTo AS Integer

TabType AS TabType

ThesMaxNumSynonymsReturned AS Integer

TimedSaveFileExtension AS String

Units AS StringCollection

UserDefinedFilter AS String

UserDictFiles AS String

UserDictionaryFiles AS StringCollection

UserDictionaryPath AS String

UserDictionaryPaths AS StringCollection

UserDictStates AS String

VersionID AS Long

VerticalSplitWindow AS Integer (Boolean)

WatermarksPath AS String

WinViewPrefs AS WinViewPrefs

WorkingType AS Integer (Boolean)

Methods

GetArrayProp

InsertPath

SetArrayProp

Events

None


Word Pro: UseWhen class members

Properties

Application AS WPApplication

Condition AS ConditionType

Description AS String

IsValid AS Integer (Boolean)

Name AS String

PageNo AS Integer

Parent AS BaseObject

Start AS StartType

VersionID AS Long

Methods

None

Events

None


Word Pro: VersionCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: VersionManager class members

Properties

Application AS WPApplication

CurrentVersion AS Version

Description AS String

DocVersionID AS Long

GetRedoWhatDesc AS String

GetUndoWhatDesc AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Versions AS VersionCollection

Methods

CreateVersion

DeleteVersion

LeastRecentVersion

MostRecentVersion

NextVersion

NumberOfVersions

PreviousVersion

Events

None


Word Pro: Version class members

Properties

Application AS WPApplication

AuthorName AS String

CreationDateString AS String

CreationTimeString AS String

DateCreatedValue AS Long

DateRevisedValue AS Long

Description AS String

DocVersionID AS Long

EditorName AS String

Editors AS StringCollection

IsValid AS Integer (Boolean)

ModifiedDateString AS String

ModifiedTimeString AS String

Name AS String

NumberOfRevisions AS Long

Parent AS BaseObject

VersionID AS Long

VersionName AS String

Methods

CreateRemark

Events

None


Word Pro: Window class members

Properties

Accelerators AS Accelerators

ActiveDocument AS TextDocument

Application AS WPApplication

ContextMenuOptions AS ContextMenuOptions

CurrentRunningScriptName AS String

CurrentRunningScriptPath AS String

Description AS String

DocWindows AS DocWindowCollection

Filter AS Filter

FreeMenus AS MenuItem

HorzRuler AS Ruler

Hwnd AS Long

IconBarManager AS IconBarManager

IsValid AS Integer (Boolean)

LwpMenuBar AS MenuItem

Macro AS Macro

Name AS String

Parent AS BaseObject

ReviewVersions AS ReviewVersions

RightMouseMenus AS MenuItem

Script AS Script

SectionTabs AS SectionTabs

SetTabsDialog AS SetTabsDialog

StatusBar AS StatusBar

StatusBarVisible AS Integer (Boolean)

TitleBarVisible AS Integer (Boolean)

UserInterfacePrefs AS UserInterfacePrefs

VersionID AS Long

VertRuler AS Ruler

Methods

Cascade

DarkMode

InternetExtraFile

Maximize

Minimize

Play

Restore

SaveUserDefaults

Tile

Events

None


Word Pro: WinViewPrefs class members

CustomViewLevel AS Integer

Description AS String

IsDisplayMisspelled AS Integer (Boolean)

IsHideHeaderFooter AS Integer (Boolean)

IsHorizontalScrollBarCleanScrn

 AS Integer (Boolean)

IsInDraft AS Integer (Boolean)

IsInOutline AS Integer (Boolean)

IsInPageSort AS Integer (Boolean)

IsMarginsInColor AS Integer (Boolean)

IsPageBreakMarks AS Integer (Boolean)

IsSpellMode AS Integer (Boolean)

IsValid AS Integer (Boolean)

IsVerticalScrollBarCleanScrn AS Integer (Boolean)

IsViewAnchor AS Integer (Boolean)

IsViewBookmarks AS Integer (Boolean)

IsViewClickHereBlocks AS Integer (Boolean)

IsViewColGuides AS Integer (Boolean)

IsViewColumnBreakMarks AS Integer (Boolean)

IsViewDDELinks AS Integer (Boolean)

IsViewHorzRuler AS Integer (Boolean)

IsViewHorzScrollBar AS Integer (Boolean)

IsViewMenuCleanScrn AS Integer (Boolean)

IsViewNotes AS Integer (Boolean)

IsViewOutlineFlowToScreen AS Integer (Boolean)

IsViewOutlineIndent AS Integer (Boolean)

IsViewPageLayoutMarks AS Integer (Boolean)

IsViewParallelColumnBorder AS Integer (Boolean)

IsViewPictures AS Integer (Boolean)

IsViewReturnIconCleanScrn AS Integer (Boolean)

IsViewReturns AS Integer (Boolean)

IsViewRubyMarks AS Integer (Boolean)

IsViewRulerMarks AS Integer (Boolean)

IsViewSectionBreakMarks AS Integer (Boolean)

IsViewSectionTabs AS Integer (Boolean)

IsViewSmartIconsCleanScrn AS Integer (Boolean)

IsViewStatusBarCleanScrn AS Integer (Boolean)

IsViewStatusSpell AS Integer (Boolean)

IsViewTableCellSelection AS Integer (Boolean)

IsViewTableGridLines AS Integer (Boolean)

IsViewTableHeadings AS Integer (Boolean)

IsViewTabs AS Integer (Boolean)

IsViewThumbBarCleanScrn AS Integer (Boolean)

IsViewTitleBarCleanScrn AS Integer (Boolean)

IsViewVertRuler AS Integer (Boolean)

IsViewVertScrollBar AS Integer (Boolean)

Name AS String

NumCols AS Integer

OutlineButtons AS Integer

OutlineHeadingButtonsOnly AS Integer

OutlineOnlyHeadingsWhenCollapsed

 AS Integer

Parent AS BaseObject

VersionID AS Long

ViewType AS Views

Methods

ClearSplits

ClearUpdate

Refresh

RestorePreviousView

RestoreWindowFromCleanScreen

Events

None


Word Pro: WPApplication class members

Properties

ActiveDocument AS TextDocument

ActiveDocWindow AS DocWindow

AppFoundry AS Foundry

Application AS WPApplication

ApplicationWindow AS ApplicationWindow

AppViewPrefs AS AppViewPrefs

BaseTable AS Variant

Cell AS CellContainer

Container AS Variant

Content AS Variant

CurrentCell AS CellLayout

CurrentColumn AS Layout

CurrentRow AS RowLayout

DefaultFilePath AS String

Description AS String

Division AS Division

Divisions AS DivisionCollection

Documents AS Documents

FindAndReplace AS FindAndReplace

Format AS FormatPreferences

FormatCheckPreferences AS FormatCheckPref

Foundry AS Foundry

Frame AS FrameContainer

FullName AS String

GetHomeDirectory AS String

Graphic AS Graphic

GraphicOleObject AS Variant

Interactive AS Integer (Boolean)

IsValid AS Integer (Boolean)

KeyboardLanguage AS Languages

Language AS String

Layout AS Layout

Location AS String

Name AS String

OleObject AS OleObject

Page AS PageContainer

ParallelColumns AS ParallelColumns

Parent AS BaseObject

Path AS String

Preferences AS Preferences

ReleaseNumber AS Integer

SmartCorrect AS SmartCorrect

SmartCorrects AS SmartCorrectCollection

SmartFill AS SmartFillCollection

SuperTableContainer AS SuperTableContainer

Table AS Table

TableContainer AS Variant

TableOnlyContainer AS TableOnlyCont

TempFindAndReplace AS FindAndReplace

TempFoundry AS Foundry

Text AS Text

VersionID AS Long

Visible AS Integer (Boolean)

WPDataSets AS WPDataSetCollection

Methods

AddIndexEntry

AddTOCEntry

AnswerMsgBox

BeginChange

Bold

BringFrameToFront

BringFrameToFrontOne

CalculateSmartLevels

CascadeWindow

CellRevert

ChangeSmartMaster

CheckFieldEntries

ClearParaRevisionTags

ClearTempFoundry

Close

CloseAll

CloseDocWindow

CloseMergeDataFile

CombineDivisions

CombineSections

CompareFiles

ConnectCells

ConnectContainer

ConnectRows

ContractOutlineLevel

CopySelection

CreateDataFile

CreateDivision

CreateDropCap

CreateExternalDivision

CreateFrame

CreateGlossary

CreateGlossaryEntry

CreateGraphic

CreateOleEmbeddedFile

CreateOleLinkedFile

CreateOleNew

CreateParallelColumns

CreateTable

CutSelection

DblUnderline

DeleteDivision

DeleteKey

DeleteParallelColumns

DeleteSection

DeleteTable

DemoteOutlineLevel

Deselect

Disconnect

DisconnectCells

EditClickHereLink

Embed

EndChange

EnvelopeBarCode

EnvelopePrint

ExpandOutlineLevel

FastFormat

Find

FrameRevert

GetCopyFormatCategories

GetCurrentMarkerName

GetEnum

GetInternetFile

GetPasteFormatCategories

GetProfileString

GlossaryInsert

GlossaryOpen

GoToBookmark

GoToClickHere

GoToLayout

GotoNextParallelColumn

GoToObject

GoToPage

GroupDivision

HandsOffStorage

Help

Hide

HighlightToggle

HourGlass

ImportGraphic

InitFindAndReplace

InsertBullet

InsertClickHere

InsertClickHereLink

InsertColumnBreak

InsertDate

InsertDocInfo

InsertDocument

InsertField

InsertFootnote

InsertFrame

InsertIndex

InsertNote

InsertOleDivision

InsertPageBreak

InsertPageLayout

InsertPageNumber

InsertRuby

InsertSection

InsertTOC

InternalCopy

InternalCut

InternalPaste

IsWMCommandValid

Italic

LabelCreate

LabelMerge

LowerCase

MacroEndRecord

MacroPlay

MacroRecord

MailDocument

MakeTableFromText

ManualFrame

ManualLinkFrames

ManualTable

Mark

MarkRevisionInsert

Merge

MergeAddDataRecord

MergeSetDataFile

MergeStart

Messages

MoveDivision

NewDivision

NewDocument

NewFrame

NewWindow

NextCycleAlign

NextCycleAttribute

NextCycleBullet

NextCycleFont

NextCycleFontSize

NextCycleIndent

NextCycleNumber

NextCycleStyle

NormalText

OpenDataFile

OpenDocument

OpenDocumentFromNotes

OpenFromStorage

OutlineMoveTextDown

OutlineMoveTextUp

PageDown

PageUp

Paste

PasteLink

PasteSpecial

PColConnectCells

PColConnectRows

PColDisconnectCells

PColSelectColumn

PColSelectRow

PColSelectTable

Print

PrintOut

PromoteOutlineLevel

QueryDrop

QuickAlignFrame

QuickAlignTable

Quit

Redo

RegisterWPDataSet

RemoveDepOnDocFile

RemoveIndexEntry

RemoveTOCEntry

Render

Replace

ReplaceAll

ReplaceCmd

ResetFindAndReplace

ResetNumberOpts

RetrieveInternetFile

RetrieveInternetFileAndOpen

RevertToSaved

RevertToStyle

ReviseAcceptAll

ReviseCancelAll

RunScript

Save

SaveAs

SaveAsToNotes

SaveEnvelopeMaster

SaveGlossary

SaveMergeDataFile

SaveThumbnailBitmap

SaveToStorage

SaveToStorageComplete

SaveVersion

Select

SelectCell

SelectColumn

SelectDoc

SelectEntireCellRange

SelectEntireColumn

SelectEntirePCol

SelectEntirePColCellRange

SelectEntirePColColumn

SelectEntirePColRow

SelectEntireRow

SelectEntireTable

SelectParagraph

SelectPColCell

SelectRow

SelectSection

SelectSentence

SelectTable

SelectWord

SendFrameToBack

SendFrameToBackOne

SendMailAndAttach

SendMailSelectedText

SetCustomNumber

SetIndexInfo

SetJapanIndexInfo

SetNumberingLevelInfo

SetPageBottomMargin

SetPageTopMargin

SetStorage

SetStyle

SetTOCLevelContent

SetTOCLevelPageInfo

SetUpEnvelopeMerge

ShowAnyGreeting

SmallCaps

SmartSumColumn

SmartSumRow

SortParagraphs

SpecialView

SpellAddToUserDict

SpellClearSkippedWords

SpellMarkSkippedWords

SpellSkipAll

SplitDivision

SplitWindow

StartEditMergeData

StartEnvelopeDiv

StartFieldInsert

StoreInternetFile

StrikeThru

SubScript

SuperScript

TeamMail

TileWindowHorz

TileWindowVert

TimedSave

ToggleCleanScreen

ToggleIconBar

Type

Underline

Undo

UnregisterWPDataSet

UpdateFootersText

UpdateHeadersText

UpdateIndexSection

UpdateOle

UpdateTOC

UpdateUI

UpperCase

WMCommand

WordCount

WordUnderline

WriteProfileString

Events

DocumentClose

DocumentClosed

DocumentCreate

DocumentCreated

DocumentExport

DocumentExported

DocumentImport

DocumentImported

DocumentInsert

DocumentInserted

DocumentOpen

DocumentOpened

DocumentPrint

DocumentPrinted

DocumentSave

DocumentSaveAs

DocumentSaved

DocumentSavedAs

EnterClickHere

EnterLayout

ExitClickHere

ImportInsert

ImportInserted

KeyStroke

MouseDown

MouseUp

Quit

WMCommand


Word Pro: WPDataSetCollection class members

Properties

Application AS WPApplication

Count AS Long

Description AS String

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

IsEmpty

Item

Events

None


Word Pro: WPDataSet class members

Properties

Application AS WPApplication

DataNames AS StringCollection

Description AS String

IsPersistent AS Integer (Boolean)

IsValid AS Integer (Boolean)

Name AS String

Parent AS BaseObject

VersionID AS Long

Methods

GetData

IsDataNameUsed

SetData

Events

None


Example: TOCRange property
'Example: TOCRange property

'This example script has not yet been created.


Example: TOCSource property
'Example: TOCSource property

'This example script has not yet been created.


Example: ToggleCleanScreen method
'Example: ToggleCleanScreen method

' This example script has not yet been created.


Example: ToggleIconBar method
'Example: ToggleIconBar method

' This example toggles whether or not the SmartIcon bar is displayed.

.ToggleIconBar


Example: TopBorder property
'Example: TopBorder property

'This example script has not yet been created.


Example: TopExternalMargin property
'Example: TopExternalMargin property

'This example script has not yet been created.


Example: TopLeftCellRowId property
'Example: TopLeftCellRowId property

'This example script has not yet been created.


Example: Top property
'Example: Top property

'This example script has not yet been created.


Example: TotalEditingTime property
'Example: TotalEditingTime property

'This example script has not yet been created.


Example: TrailingText property
'Example: TrailingText property

'This example script has not yet been created.


Example: TypeAbove property
'Example: TypeAbove property

'This example script has not yet been created.


Example: TypeBelow property
'Example: TypeBelow property

'This example script has not yet been created.


Example: TypeRight property
'Example: TypeRight property

'This example script has not yet been created.


Example: Type method
'Example: Type method

' This example uses the Type method to issues keystrokes which insert two

' lines of text into the current document and then select both lines.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type("Some sample [TAB] text.")

.Type("[ENTER]")

.Type("More sample [TAB] text.")

.Type("[ENTER]")

.Type("[SHIFTUP][SHIFTUP]")


Example: Type property
'Example: Type property

'This example script has not yet been created.


Example: Typos property
'Example: Typos property

'This example script has not yet been created.


Example: Underline method
'Example: Underline method

' This example first inserts sample text in the current document and selects

' the paragraph. The script then uses the Underline method to toggle the

' underline attribute.

' RUNTIME DEPENDENCIES: You must have a document open with selected text

' for this script to work.

.Text.InsertText "This is some sample text."

.SelectParagraph

.Underline


Example: Underline property
'Example: Underline property

'This example script has not yet been created.


Example: UndoEnable property
'Example: UndoEnable property

'This example script has not yet been created.


Example: UndoLevels property
'Example: UndoLevels property

'This example script has not yet been created.


Example: UndoRedo method
'Example: UndoRedo method

' This example types some text into the current document which is undone and

' then redone.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "Typing this text wil be be undone and then redone"

.Undo

.UndoRedo


Example: Undo method
'Example: Undo method

' This example types some text into the current document which is then undone.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

.Type "Typing this text wil be be undone"

.Undo


Example: Units property
'Example: Units property

'This example script has not yet been created.


Example: UnregisterWPDataSet method
'Example: UnregisterWPDataSet method

' This example creates a dataset named 'PhoneNumbers' off of the application

' object.  Two dataset items are added and then printed to the Script Editor

' Output panel.  The dataset is then removed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim AppDataSet As WPDataSet

Set AppDataSet = .RegisterWPDataSet("PhoneNumbers")

AppDataSet.SetData "Mark","555-1234"

AppDataSet.SetData "Peyton","555-5678"

Print AppDataSet.GetData("Mark"," " )

Print AppDataSet.GetData("Peyton"," ")

.UnRegisterWPDataSet "PhoneNumbers"


Example: UpdateFields property
'Example: UpdateFields property

'This example script has not yet been created.


Example: UpdateFootersText method
'Example: UpdateFootersText method

'This example script has not yet been created.


Example: UpdateHeadersText method
'Example: UpdateHeadersText method

'This example script has not yet been created.


Example: UpdateIndexSection method
'Example: UpdateIndexSection method

'This example script has not yet been created.


Example: UpdateLink method
'Example: UpdateLink method

'This example script has not yet been created.


Example: UpdateOle method
'Example: UpdateOle method

'This example script has not yet been created.


Example: UpdateOnLoadImmediate property
'Example: UpdateOnLoadImmediate property

'This example script has not yet been created.


Example: UpdatePageSizeChange method
'Example: UpdatePageSizeChange method

' This example updates any changes to the size of the paper used to print the ' document.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Print .ActiveDocument.PrintManager.UpdatePageSizeChange


Example: UpdatePowerFields method
'Example: UpdatePowerFields method

'This example script has not yet been created.


Example: UpdatePrinterChanges method
'Example: UpdatePrinterChanges method

'This example script has not yet been created.


Example: UpdateSelectedFields method
'Example: UpdateSelectedFields method

'This example script has not yet been created.


Example: UpdateTOC method
'Example: UpdateTOC method

'This example script has not yet been created.


Example: Update method
'Example: Update method

'This example script has not yet been created.


Example: UpperCase method
'Example: UpperCase method

' This example toggles the uppercase attribute of the selected text, displays

' a message box, then toggles the uppercase again.

' RUNTIME DEPENDENCIES: You must have a document open and some text selected

' for this script to work.

.Uppercase

Messagebox "Click OK undo uppercase change.",MB_OK,"Example Script"

.Uppercase


Example: UpperCase property
'Example: UpperCase property

'This example script has not yet been created.


Example: UseConsistentSpaceBetweenSentences property
'Example: UseConsistentSpaceBetweenSentences property

'This example script has not yet been created.


Example: UseContents property
'Example: UseContents property

'This example script has not yet been created.


Example: UseDefaultPrinter property
'Example: UseDefaultPrinter property

'This example script has not yet been created.


Example: UsedFirstPageHeight property
'Example: UsedFirstPageHeight property

'This example script has not yet been created.


Example: UseEncrypt property
'Example: UseEncrypt property

'This example script has not yet been created.


Example: UseExcludeRect property
'Example: UseExcludeRect property

'This example script has not yet been created.


Example: UseFindStyle property
'Example: UseFindStyle property

'This example script has not yet been created.


Example: UseFooter property
'Example: UseFooter property

'This example script has not yet been created.


Example: UseGreeting property
'Example: UseGreeting property

'This example script has not yet been created.


Example: UseHeader property
'Example: UseHeader property

'This example script has not yet been created.


Example: UseNextStyle property
'Example: UseNextStyle property

'This example script has not yet been created.


Example: UsePrinterSettings property
'Example: UsePrinterSettings property

'This example script has not yet been created.


Example: UserClassNameApp property
'Example: UserClassNameApp property

'This example script has not yet been created.


Example: UserClassNameFull property
'Example: UserClassNameFull property

'This example script has not yet been created.


Example: UserClassNameShort property
'Example: UserClassNameShort property

'This example script has not yet been created.


Example: UserDictFiles property
'Example: UserDictFiles property

'This example script has not yet been created.


Example: UserDictionaryFiles property
'Example: UserDictionaryFiles property

'This example script has not yet been created.


Example: UserDictionaryPaths property
'Example: UserDictionaryPaths property

'This example script has not yet been created.


Example: UserDictionaryPath property
'Example: UserDictionaryPath property

'This example script has not yet been created.


Example: UserDictStates property
'Example: UserDictStates property

'This example script has not yet been created.


Example: UseRelative property
'Example: UseRelative property

'This example script has not yet been created.


Example: UseReplaceStyle property
'Example: UseReplaceStyle property

'This example script has not yet been created.


Example: UserInitials property
'Example: UserInitials property

'This example script has not yet been created.


Example: UserInterfacePrefs property
'Example: UserInterfacePrefs property

'This example script has not yet been created.


Example: UserLinkName property
'Example: UserLinkName property

'This example script has not yet been created.


Example: property
'Example: UserName pro

perty

'This example script has not yet been created.


Example: UseSeparatorLine property
'Example: UseSeparatorLine property

'This example script has not yet been created.


Example: UsesHelp property
'Example: UsesHelp property

'This example script has not yet been created.


Example: UsesPalette property
'Example: UsesPalette property

'This example script has not yet been created.


Example: UseSuperscriptReferenceNum property
'Example: UseSuperscriptReferenceNum property

'This example script has not yet been created.


Example: UseTwoSpacesBetweenSentences property
'Example: UseTwoSpacesBetweenSentences property

'This example script has not yet been created.


Example: UseWhen property
'Example: UseWhen property

'This example script has not yet been created.


Example: ValidateValue method
'Example: ValidateValue method

'This example script has not yet been created.


Example: Valid property
'Example: Valid property

'This example script has not yet been created.


Example: VersionID property
'Example: VersionID property

'This example script has not yet been created.


Example: VersionManager property
'Example: VersionManager property

'This example script has not yet been created.


Example: VersionName property
'Example: VersionName property

'This example script has not yet been created.


Example: VersionRemarks property
'Example: VersionRemarks property

'This example script has not yet been created.


Example: Versions property
'Example: Versions property

'This example script has not yet been created.


Example: VertAlign property
'Example: VertAlign property

'This example script has not yet been created.


Example: VerticalSplitWindow property
'Example: VerticalSplitWindow property

'This example script has not yet been created.


Example: VertRuler property
'Example: VertRuler property

'This example script has not yet been created.


Example: VertScrollBarVisible property
'Example: VertScrollBarVisible property

'This example script has not yet been created.


Example: ViewLevel property
'Example: ViewLevel property

'This example script has not yet been created.


Example: ViewType property
'Example: ViewType property

'This example script has not yet been created.


Example: Visible property
'Example: Visible property

' Toggle the statusbar

If .ApplicationWindow.StatusBar.Visible = True Then

.ApplicationWindow.StatusBar.HideStatusBar

Else

.ApplicationWindow.StatusBar.ShowStatusBar

End If


Example: WasDeletedInRevMarkMode property
'Example: WasDeletedInRevMarkMode property

'This example script has not yet been created.


Example: WasInsertedInRevMarkMode property
'Example: WasInsertedInRevMarkMode property

'This example script has not yet been created.


Example: WasPasted property
'Example: WasPasted property

'This example script has not yet been created.


Example: Weight property
'Example: Weight property

'This example script has not yet been created.


Example: Where property
'Example: Where property

'This example script has not yet been created.


Example: WidowOrphan property
'Example: WidowOrphan property

'This example script has not yet been created.


Example: WidthAbove property
'Example: WidthAbove property

'This example script has not yet been created.


Example: WidthBelow property
'Example: WidthBelow property

'This example script has not yet been created.


Example: WidthOfColumn property
'Example: WidthOfColumn property

'This example script has not yet been created.


Example: Width property
'Example: Width property

'This example script has not yet been created.


Example: WindowId property
'Example: WindowId property

'This example script has not yet been created.


Example: WindowsName property
'Example: WindowsName property

'This example script has not yet been created.


Example: WinViewPrefs property
'Example: WinViewPrefs property

'This example script has not yet been created.


Example: WithComments property
'Example: WithComments property

'This example script has not yet been created.


Example: WMCommand event
'Example: WMCommand event

'This example script has not yet been created.


Example: WMCommand method
'Example: WMCommand method

' This example display the Word Pro Welcome dialog using the WMCommand

' function.  The list of defined values for the WMCommand function are

' located in the "wpbitmsk.lss"file.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Const LwpMenuMfWelcome = &H7AD

.WMCommand(LwpMenuMfWelcome)


Example: WordDoubleUnderline property
'Example: WordDoubleUnderline property

'This example script has not yet been created.


Example: WordUnderline method
'Example: WordUnderline method

' This example toggles the word underline attribute of the selected text.

' RUNTIME DEPENDENCIES: You must have a document open and some text selected  ' for this script to work.

.WordUnderline

Messagebox "Click OK undo word underline change.",MB_OK,"Example Script"

.WordUnderline


Example: WordUnderline property
'Example: WordUnderline property

'This example script has not yet been created.


Example: WorkingType property
'Example: WorkingType property

'This example script has not yet been created.


Example: WPDataSets property
'Example: WPDataSets property

' This example creates a dataset named 'ExampleDataSet' off of the active

' document. The 'FirstName' and 'LastName' items are created and filled with data.

' Finally the values for the dataset items are printed to the Script Editor

' Output panel.  Since no dataset item named 'Address' was defined, the default

' dataset value will be printed in the last statement.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim DataSetName as String

Dim DefualtValue as String

Dim DataSet As WPDataSetCollection

Set DataSet = .ActiveDocument.WPDataSets

DataSetName = "ExampleDataSet"

DefualtValue = "Default"

DataSet(DataSetName).SetData "FirstName","John"

DataSet(DataSetName).SetData "LastName","Doe"

Print DataSet(DataSetName).GetData("FirstName",DefualtValue)

Print DataSet(DataSetName).GetData("LastName",DefualtValue)

Print DataSet(DataSetName).GetData("Address",DefualtValue)


Example: WrapType property
'Example: WrapType property

'This example script has not yet been created.


Example: WriteProfileString method
'Example: WriteProfileString method

'This example has not yet been created.


Example: Write method
'Example: Write method

' This example creates a bag in the active division and then writes some data

' to the bag.  The data from the created bag is read and printed to the Lotus

' Script Output panel.  Next, data from all bags in the Bag Collection is

' printed.

' RUNTIME DEPENDENCIES: You must have a document open for this script to work.

Dim BagName As String

Dim  MyBag As Bag

Dim BagData As String

BagData = "This is data for the bag."

LenBagData = Len(BagData)

BagName = .Division.Foundry.Create($LwpFoundryCreateTypeBag)

Set MyBag = .Division.Foundry.Bags.Item(BagName)

Stat = MyBag.Write(BagData, LenBagData)

If Stat = True Then

Print "BagData= " & MyBag.Read(LenBagData)

End If

Forall ThisBag In .Division.Foundry.Bags

ThisBag.Reset

Print "Name = " ThisBag.Name

Print "Length = " ThisBag.Length

Print ThisBag.Read(ThisBag.Length)

End Forall


Example: XOffset property
'Example: XOffset property

'This example script has not yet been created.


Example: XPosition property
'Example: XPosition property

'This example script has not yet been created.


Example: YOffset property
'Example: YOffset property

'This example script has not yet been created.


Example: YPosition property
'Example: YPosition property

'This example script has not yet been created.


Example: Zero property
'Example: Zero property

'This example script has not yet been created.


Example: ZipCode property
'Example: ZipCode property

'This example script has not yet been created.


Word Pro LotusScript A-Z

A

Abandon method

Abilities property

AbsoluteOn property

AbsoluteTextOrientation property

AbsoluteXPos property

AbsoluteYPos property

Accelerators property

Accelerators class

Action property

Activate method

ActivateAs method

Active property

ActiveDocument property

ActiveDocWindow property

ActualEnumName property

ActualName property

Add method

AddAccelerators method

AddACondition method

AddBookmark method

AddChildToLayout method

AddDdeLink method

AddDivision method

AddDivisionToPrint method

AddEditorManager method

AddField method

AddIcon method

AddIndexEntry method

AddItem method

AddLayoutOverride method

AddListBoxText method

AddNewSectionTabs method

AddOutlineSequenceItem method

AddPopupGraphicItem method

AddPopupPointSizeItem method

AddPopupTextItem method

Address1 property

Address2 property

AddSectionTabs method

AddSmartCorrect method

AddStringToList method

AddTOCEntry method

AddVerbMenu method

AdjustShade method

Adopt method

AdviseOnRename method

AdviseOnSave method

Afid property

Align property

Alignment property

Alignment class

AlignmentChar property

AlignmentType property

AlignStyleName property

All property

AllBorders property

AllowAlternateVerification property

AllowListEdit property

AllowListMultiValues property

AlternateName property

Always property

Amikake property

Amikake class

AmikakeName property

AmikakeType property

Amount property

AmountOfSpaceAbove property

AmountOfSpaceAboveLine property

AmountOfSpaceBelow property

AmtTether property

AmtToTetherFrom property

Anchor method

AnswerMsgBox method

AnyEdits method

AnyNumber property

AnyOLEDDELinks property

AppendMacro method

AppFoundry property

Application class

Application property

ApplicationWindow property

ApplicationWindow class

ApplyAdjectivePos property

ApplyAdjectNounPart property

ApplyAgreementWithHereThere property

ApplyAnglicisms property

ApplyArchaicExpressions property

ApplyArticleAgreement property

ApplyBadComparatives property

ApplyBadInflection property

ApplyBadNoun property

ApplyBadNounGender property

ApplyBadPlural property

ApplyBadPrepositions property

ApplyBelgianExpression property

ApplyBorrowedForeign property

ApplyBureuaJargon property

ApplyCalque property

ApplyCapitalizationCheck property

ApplyClauseErrors property

ApplyCliches property

ApplyColloquialExpression property

ApplyCommonlyConfusedWords property

ApplyCommonMisspell property

ApplyComplexWords property

ApplyConfusedEasy property

ApplyConfusedEnglish property

ApplyConfusedHard property

ApplyConfusedMedium property

ApplyConfusedVerb property

ApplyConsecutiveNouns property

ApplyContractions property

ApplyDerogatory property

ApplyDifferentPrep property

ApplyDoubleNegative property

ApplyDoublePlural property

ApplyDoubleWordCheck property

ApplyElision property

ApplyEnglishDerived property

ApplyEnglishWords property

ApplyExotic property

ApplyExtraPrepositionCheck property

ApplyFalseFriend property

ApplyFemaleOccupation property

ApplyFixedExpression property

ApplyForeignWord property

ApplyFormalTerms property

ApplyFormatErrors property

ApplyGallicisms property

ApplyGenderExpressions property

ApplyGermanisms property

ApplyHomoGraphs property

ApplyHomonyms property

ApplyHomonymsEasy property

ApplyHomonymsHard property

ApplyHomoPhone1 property

ApplyHomoPhone2 property

ApplyHomoPhones property

ApplyIncorrectPlural property

ApplyInformalExpressions property

ApplyJargonWords property

ApplykSplitInfinitives property

ApplyLowercaseAdjective property

ApplyLowercaseColor property

ApplyLowercaseNumbers property

ApplyLowercasePhrases property

ApplyLowercasePronouns property

ApplyMassVsCount property

ApplyMisspelledExpressions property

ApplyMisspelledForeignExpressions property

ApplyMisspelledItalian property

ApplyMisspelledWords property

ApplyMisusedWords property

ApplyNonStandardExpression property

ApplyNonStandardModifiers property

ApplyNoudModifierOrderCheck property

ApplyNounConsistency property

ApplyNounPhraseAgree property

ApplyNSAdjective property

ApplyNSClause property

ApplyNSCompare property

ApplyNSContract property

ApplyNSGeography property

ApplyNSInflection property

ApplyNSNegation property

ApplyNSPrep property

ApplyNSPronoun property

ApplyNSSpell property

ApplyNSUsage property

ApplyNSVerbForm property

ApplyOpenClosedSpelling property

ApplyOpenUsage property

ApplyOverusedPhrases property

ApplyPassiveVerbErrors property

ApplyPostClitAgree property

ApplyPrepExpression property

ApplyPrepositionalPhrases property

ApplyPretentiousWords property

ApplyPronounErrors property

ApplyPunctuationErrors property

ApplyRedundantExpressions property

ApplyRegionalExpression property

ApplyRelatedWord property

ApplySensitiveExp property

ApplySexistExpressions property

ApplySpellStandard property

ApplyStockPhrase property

ApplyStyleParameters property

ApplySubjectVerbAgreement property

ApplySwedishGender property

ApplySwedishNegation property

ApplySwedishUsage property

ApplyTrite property

ApplyTwoGender property

ApplyTypicalMisspell property

ApplyUnGrammaticalExpressions property

ApplyVagueQuantifiers property

ApplyVerbGroupConsistency property

ApplyWeakModifiers property

ApplyWordChoice property

ApplyWordCompoundingCheck property

ApplyWordConfusion property

ApplyWordGender property

ApplyWordParts property

ApplyWordyPhraseCheck property

AppViewPrefs class

AppViewPrefs property

Archive property

AreDisabledIconsGrayed property

Ascent property

AsciiCodePage property

AsciiCRLFType property

AtBeginning property

AtBeginningOfLine property

AtBeginningOfObject property

AtBeginningOfParagraph property

AtBeginningOfStream property

AtBeginningOfWord property

AtEnd property

AtEndOfLine property

AtEndOfObject property

AtEndOfParagraph property

AtEndOfStream property

AtEndOfWord property

Attributes property

Attributes class

AttrStyleName property

AuthorName property

AutoBackup property

AutoHyphenate property

AutomaticLink property

AutoRunMacro property

AutoRunMacro class

AutoSave property

AutoSaveMinutes property

AutoVersion property

B

BackColor property

BackColorIndex property

Background property

Background class

BackgroundPrintingOn property

BackgroundSpellingOn property

Backspace method

BackupPath property

BackupPaths property

Backward method

Bag class

BagCollection class

Bags property

BarSide property

BarType property

BaseCollection class

BaseContainer class

BaseLineOffset property

BaselineOffset property

BaseObject class

BaseTable property

BaseTable class

BaseTables property

BaseURL property

BeginChange method

BeginCustomLines method

BinName property

BinNameFromNumber method

BinNames property

BlockPaint property

Blue property

BodyOnly property

Bold property

Bold method

BookletPrinting property

Bookmark class

BookmarkCollection class

BookmarkManager class

BookmarkManager property

Bookmarks property

BookmarksByMarkerName property

Border class

BorderLines class

BorderLines property

BorderOffset property

BorderStyleName property

BottomBorder property

BottomExternalMargin property

BreakLink method

Breaks class

Breaks property

BreaksStyleName property

BringFrameToFront method

BringFrameToFrontOne method

Bullet class

Bullet property

BulletFonts property

BulletStyleName property

Buttons method

C

CalculateSmartLevels method

CanCreatePreviewBitmap property

CanEditProperty property

CanEmbed property

CanHaveFootnotes method

CanWePrint property

Caption property

Cascade method

CascadeWindow method

Case property

Cell property

CellCollection class

CellContainer class

CellEngine class

CellEngine property

CellEngines property

CellGroupLayout class

CellLayout method

CellLayout class

CellLayout property

CellLayoutCollection class

CellLayouts property

CellLayoutStyles property

CellRevert method

CellStyleName property

Center property

ChangeAllEditsToEditor method

Changed property

Changed event

ChangeKeyboardToLanguage property

ChangeSmartMaster method

ChangeTextToMatchkeyboard property

CharacterBorder property

CharacterBorder class

CharacterBorderName property

CharacterSet property

CharacterSet class

CharacterSetName property

CharacterStyle property

CharacterStyle class

CharacterStyleCollection class

CharacterStyleName property

CharacterStyles property

CharSet property

CheckBoxes method

Checked property

CheckFieldEntries method

CheckForScriptEnumError property

CheckForScriptPropertyError property

ChgLineStyle method

ChildLayouts property

CityState property

ClassId property

CleanScreenMode property

CleanScreenOnStartUp property

Clear method

Clear method

ClearAll method

ClearDivisionList method

ClearParaRevisionTags method

ClearSplits method

ClearTempFoundry method

ClearUpdate method

Clicked event

Clickers method

ClickHere class

ClickHereCollection class

ClickHerePrompts property

ClickHeres property

ClientHeight property

ClientWidth property

ClientWndHeight property

ClientWndWidth property

Close method

CloseAll method

CloseDocMacroName property

CloseDocWindow method

CloseMergeDataFile method

CloseObject method

CodePage property

Collapsible property

Collate property

Color class

Color property

ColorOverride property

Column class

ColumnBalance property

ColumnGap property

ColumnGroupLayout class

ColumnLayouts property

ColumnNumber property

ColumnWidth property

CombineDivisions method

CombineSections method

ComboBoxes method

CommentColor property

Company property

CompareFiles method

Condition property

ConditionType property

Configure method

Connect method

ConnectCells method

ConnectContainer method

ConnectedLayout class

ConnectedLayoutCollection class

ConnectedLayouts property

ConnectRows method

ConnectSectionTabs method

ConsistencyCheck method

Container property

Content class

Content property

ContentCollection class

ContentHeight property

ContentName property

Contents property

ContentStyleName property

ContentType property

ContentWidth property

ContextMenuOptions property

ContextMenuOptions class

ContinuedFromAlignment property

ContinuedFromMessage property

ContinuedFromStory property

ContinuedOnAlignment property

ContinuedOnMessage property

ContinuedOnStory property

Contract method

ContractOutlineLevel method

Controls property

ConvertOnNew property

ConvertTo method

ConvertToClass method

Copies property

Copy method

CopyItem method

CopyMeaning method

CopySelection method

Count property

Count property

CountBlankLines property

Create method

Created event

CreateDataFile method

CreateDivision method

CreateDropCap method

CreateEmptyList method

CreateExternalDivision method

CreateFrame method

CreateFromBitmap method

CreateFromClipBrd method

CreateFromDataObject method

CreateFromMetafile method

CreateGlossary method

CreateGlossaryEntry method

CreateGraphic method

CreateLayer method

CreateNew method

CreateNewButton method

CreateOleEmbeddedFile method

CreateOleLinkedFile method

CreateOleNew method

CreateParallelColumns method

CreatePreviewBitmap property

CreateRemark method

CreateTable method

CreateVersion method

CreationDateString property

CreationTimeString property

CreationTimeValue property

Crop property

CurrentCell property

CurrentColumn property

CurrentEditor property

CurrentLanguage property

CurrentRow property

CurrentRunningScriptName property

CurrentRunningScriptPath property

CurrentVersion property

CustomLength property

CustomViewLevel property

CutSelection method

D

DarkMode method

DataFileFieldNames property

DataFileName property

DataFormat property

DataNames property

DataObjectGetData method

DataObjectGetDataHere method

DateCreatedValue property

DateRevisedValue property

DblUnderline method

DdeEnabled property

DdeLink class

DdeLinkCollection class

DdeLinkManager property

DdeLinkManager class

DdeLinks property

DdeLinksFromMarker property

DdeOutboundInfo property

DebugVariable property

Decrement event

DefaultBinName property

DefaultCellStyleDescription property

DefaultColumnStyleName property

DefaultDropCapStyleDescription property

DefaultFilePath property

DefaultFrameStyleDescription property

DefaultLatinFont property

DefaultLeftColumnStyleName property

DefaultNewCategory property

DefaultNonLatinFont property

DefaultPageHeight property

DefaultPageStyleDescription property

DefaultPageWidth property

DefaultPitch property

DefaultRightColumnStyleName property

DefaultTableStyleDescription property

DefaultTextStyleDescription property

DefCellStyleName property

DefColWidth property

Definition property

DefRowHeight property

DelayedGreeting property

DeleteBag method

DeleteButton method

DeleteChars method

DeleteContainer method

DeleteContent method

DeleteContents method

DeleteDivision method

DeleteField method

DeleteFont property

DeleteItem method

DeleteItemByPosition method

DeleteKey method

DeleteLayout method

DeleteMacroAccelerator method

DeleteMarker method

DeleteParallelColumns method

DeleteSection method

DeleteSmartCorrect method

DeleteTab method

DeleteTable method

DeleteVersion method

DemandLoad property

Demote method

DemoteOutlineLevel method

Descent property

Description property

DescriptionFileName property

Deselect method

DeselectRuler method

Destroy method

DestroyDocWindow method

DiagonalLines property

DialogEvent event

DirControl property

DirectionDown property

DirectionLeft property

DirectionRight property

DirectionUp property

DirectiveColor property

DisableClickHeres property

DisableConsistencyCheck property

DisableExportToNotes property

DisableVersionReview property

Disconnect method

DisconnectCells method

DisplayAsIcon property

DistanceFromLeftMargin property

Division property

Division class

DivisionCollection class

DivisionInfo property

DivisionInfo class

DivisionName property

DivisionNames property

DivisionOptions property

DivisionOptions class

Divisions property

DocControl property

DocControl class

DocControlRestrictedToEditor property

DocInfo class

DocInfo property

DocInfoField class

DocInfoFieldCollection class

DocInfoFieldManager class

DocOptions property

DocPath property

DocSize property

Document class

Document property

DocumentClose event

DocumentClosed event

DocumentCreate event

DocumentCreated event

DocumentExport event

DocumentExported event

DocumentImport event

DocumentImported event

DocumentInsert event

DocumentInserted event

DocumentLevel property

DocumentOpen event

DocumentOpened event

DocumentPaths property

DocumentPrint event

DocumentPrinted event

Documents class

Documents property

DocumentSave event

DocumentSaveAs event

DocumentSaved event

DocumentSavedAs event

DocVersionID property

DocWindow class

DocWindowCollection class

DocWindows property

DoesMarkerNameMatch method

DoInitialCaps property

DoneWithRightMouseMenu method

DoSmartQuotes property

DoubleClicked event

DoubleUnderline property

DragDropOn property

DriverName property

DropCapContainer class

DropCapLayout class

DropCapLayoutCollection class

DropCapPosition property

DropCaps property

DropCapStyleName property

DropCapStyles property

DuplexType property

E

Editable property

EditBoxes method

EditClickHereLink method

EditLinkInfo method

Editor class

EditorCollection class

EditorInitials property

EditorManager property

EditorManager class

EditorName property

Editors property

EditorVerificationType property

EffectiveColumnWidth property

EMail property

Embed method

Embedded property

EmbedFonts property

EmbedFormula method

EnableControl method

Enabled property

Enabled property

EncryptPassword property

EncryptPassword2 property

EndChange method

EndCustomLines method

Ending method

EndingColOfSelection property

EndingRowOfSelection property

EndnoteDivisionGroupNum property

EndnoteDivisionGroupNum class

EndnoteDivisionNum property

EndnoteDivisionNum class

EndnoteDocNum property

EndnoteDocNum class

EndnoteLayout class

EndnoteLayoutCollection class

Endnotes property

EndPrinting method

EnterClickHere event

EnterLayout event

EnumerateChartLinks method

EnumerateTerm method

Enumeration property

EnvelopeBarCode method

EnvelopePrint method

Epoch property

EqnFontHeight property

ErrorColor property

ExchangeItem method

ExcludeRectBottom property

ExcludeRectLeft property

ExcludeRectRight property

ExcludeRectTop property

ExitClickHere event

Expand method

Expandable property

ExpandOutline method

ExpandOutlineLevel method

ExportAllAsNotesFX method

ExportAsNotesFX method

ExportToNotesFX property

ExternalFileID property

ExternalFileName property

ExternallyControlledUndo property

ExternalName property

ExternalType property

ExtractText method

F

FaceName property

FaceNames property

FaceStyleName property

FastFormat method

FastFormatType property

FaxNumber property

FieldDelimiter property

FieldDelimiterText property

FieldManager property

FieldNumber property

Fields property

FieldType property

FileFormat property

FileListBoxes method

FileProtectionType property

FilesToCompare property

FileType property

FillerPageText property

FillStyle property

Filter property

Filter property

Filter class

FilterHelper property

FilterHelper class

FilterIndex property

FilterName property

Find method

FindAndReplace property

FindAndReplace class

FindCellLayout method

FindClass method

FindExactCase property

FindFont property

FindForwardDirection property

FindString property

FindStyleName property

FindTerm method

FindWithProperties property

FinishedSpellChecking property

First property

FirstChild property

FirstDivision property

FirstName property

FirstPage property

FirstSpellString property

FitType property

FixAcronymns property

FixBullets property

FixMargins property

Flags property

Font property

Font class

FontColor property

FontMatching property

FontMetrics property

FontMetrics class

FontName property

FontSize property

FontStyleName property

FontUnitName property

FontUnits property

Footnote class

FootnoteCollection class

FootnoteContSep property

FootnoteContSep class

FootnoteLayout class

FootnoteLayoutCollection class

FootnoteLayouts property

FootnoteNumbering property

FootnoteNumbering class

FootnoteNumOpt class

FootnoteOptions property

FootnoteOptions class

Footnotes property

FootnoteSeparator property

FootnoteSeparator class

FootnoteSepOpt class

FootnoteTable class

ForceDocToLoad method

ForeColorIndex property

Format property

FormatCheckPref class

FormatCheckPreferences property

FormatPreferences class

FormatType property

Formula class

Formula property

Forward method

Foundry class

Foundry property

Frame property

FrameContainer class

FrameGroupLayout class

FrameLayout class

FrameLayoutCollection class

FrameRevert method

Frames property

FrameStyleName property

FrameStyles property

FreeMenus property

FullName property

FXGetNotesString method

FXGetNotesWriteHandle method

FXSetNotesString method

G

GapBetweenPanes property

Get method

GetActiveList method

GetAfidHelpFileName property

GetAfidHelpInfo property

GetArrayProp method

GetAspectMetafilePict method

GetButtonType property

GetContents method

GetControlText method

GetControlValue method

GetConversationHandle property

GetCopyFormatCategories method

GetCount method

GetCurrentMarkerName method

GetData method

GetDefaultPageSize method

GetDisplayableFilterName method

GetEnum method

GetEnvelopeDefaults method

GetFileDescription method

GetFilterExtension property

GetFilterExtForDialogBox property

GetFilterId property

GetFormatName property

GetFormula method

GetHomeDirectory property

GetInternetFile method

GetItemName property

GetLastUsedFilter method

GetLine method

GetLineMix method

GetLineStyle method

GetLinkDisplayNameFileLength method

GetLinkName method

GetLinkSourceName method

GetListName method

GetMarkedText method

GetMarkerName method

GetMispelledWord method

GetNamedProperty method

GetNameFromPage method

GetObjectList method

GetOne method

GetPageRange method

GetParagraphNumber method

GetParagraphNumberString method

GetParaNumber method

GetPasteFormatCategories method

GetPosition method

GetPrinterInfo method

GetProfileString method

GetRedoWhatDesc property

GetRGB method

GetRightMouseMenu method

GetServerName property

GetSource method

GetSpellStatus method

GetSpellUserDictStatus method

GetStandardButtonId method

GetStatus property

GetString method

GetText method

GetTOCProperties method

GetTopicName property

GetUndoWhatDesc property

GetUniqueName method

GetValue property

GetWordMisspelled method

Glossarize method

Glossary class

GlossaryCollection class

GlossaryDataFileName property

GlossaryDataFiles property

GlossaryDataPaths property

GlossaryInsert method

GlossaryOpen method

GlossaryPath property

Glossarys property

GotFocus event

GoTo method

GoToBookmark method

GoToClickHere method

GoToContainer method

GoToLayout method

GotoNextParallelColumn method

GoToObject method

GoToPage method

GoToSection method

GoToTableCell method

Grammar class

GrammarFormalityLevel property

GrammarOptions property

GrammarProofLevel property

GrammarSetName property

Graphic class

Graphic property

GraphicCollection class

GraphicExports property

GraphicImports property

GraphicOleObject class

GraphicOleObject property

GraphicOleObjectCollection class

GraphicPath property

GraphicPaths property

Graphics property

Green property

Greeting property

GridDistance property

GridType property

GroupDivision method

GroupLayout class

GroupLayoutCollection class

Groups property

Gutter class

Gutter property

H

HandsOffStorage method

Hang property

HasContents property

HasFocus property

HasIndex property

HasLocalTabs property

HasNamedProperty method

HasProperty method

HasTabs property

HasTOC property

Heading property

Height property

Help method

HelpText property

Hide method

Hide method

HideCaretAndSelection method

HideControl method

HideFormula property

HideIconBar method

HideIconBars method

HideOutlineLevels property

HideStatusBar method

HighLightMode property

HighlightToggle method

HiLiteColor property

Hit method

HorizontalSplitWindow property

HorizScrollBarVisible property

HorzRuler property

HourGlass method

Hwnd property

hWnd property

HyphenateLastWordInColumnOrPage property

HyphenateLastWordInPara property

HyphenationOptions class

HyphenationOptions property

HyphZoneAfter property

HyphZoneBefore property

I

IconBar class

IconBarCollection class

IconBarManager class

IconBarManager property

IconBarPositionState property

IconBars property

IconBarSets property

IconHelpText property

IconPath property

IconPaths property

IconScript property

IconSetName property

IconShowingBeforeCleanScreen property

IconSize property

ID property

ID property

IdentifierColor property

IDispatch property

IgnoreSoftHyphens property

IgnoreTab property

ImportGraphic method

ImportInsert event

ImportInserted event

ImportPicture method

ImportWatermarkGraphic method

IncludeDirs property

IncludeDrives property

IncludeInitialsInNotes property

IncludeList property

Increment event

Indent class

Indent property

IndentFromLeft property

IndentStyleName property

Index class

IndexAll method

IndexAlphabeticSeparator property

IndexDivision property

IndexIndentType property

IndexParent property

IndexPrimaryStyleName property

IndexRange property

IndexSecondaryStyleName property

IndexSection class

IndexSection property

IndexSeparatorStyleName property

IndexSource property

InDocument property

InfoBoxSelectionText property

InitalizeRoute property

InitControls method

InitDir property

InitFindAndReplace method

Initialize property

InitialsForFilters property

InsertBreak method

InsertBullet method

InsertClickHere method

InsertClickHereLink method

InsertColumnBreak method

InsertDate method

InsertDocInfo method

InsertDocument method

InsertField method

InsertFont property

InsertFootnote method

InsertFrame method

InsertHardSpace method

InsertIndex method

InsertionMode property

InsertLink method

InsertMarker method

InsertNote method

InsertNumber method

InsertOleDivision method

InsertOne method

InsertPageBreak method

InsertPageLayout method

InsertPageNumber method

InsertPath method

InsertRowOrColumn method

InsertRuby method

InsertSection method

InsertSpecialTab method

InsertTab method

InsertText method

InsertTOC method

Interactive property

InternalCopy method

InternalCut method

InternalPaste method

InternetExtraFile method

Interval property

Invalidate method

InvalidateButton method

InvalidateWholeBar method

IsActionOnButtonDown property

IsActive property

IsAmikake property

IsAmiProTableImport property

IsAsciiCRLF property

IsAsciiKeepStyle property

IsAutoGrow property

IsBadReference property

IsBorder property

IsBothSidesEqual property

IsBreakable property

IsBubbleHelp property

IsCaseExact method

IsCellMenuEnabled property

IsCentered property

IsChanged property

IsChangedOtherThanLinkTo property

IsChangedSinceTimeSave property

IsChangedToLinkTo property

IsChartLink property

IsChildSpannable property

IsCollapsed property

IsCollapsible property

IsColumnBreakable property

IsColumnBreakAfter property

IsColumnBreakBefore property

IsComplex property

IsConnected property

IsContents property

IsContinuedFrom property

IsContinuedOn property

IsCumulative property

IsDataNameUsed method

IsDebug property

IsDisableWarningMessages property

IsDisplayMisspelled property

IsDivisionExternal property

IsDocLoading property

IsDocumentInRoute property

IsDoubleWordError property

IsDraw property

IsEmpty method

IsEmpty property

IsEmptyDoc property

IsEnabled property

IsEndnoteDivision property

IsEquation property

IsErrorChecking property

IsExpandDown property

IsExpandLeft property

IsExpandRight property

IsExpandUp property

IsExportedAsNotesFX method

IsExportedToNotesFX property

IsExportedToOldNotesFX property

IsExternalFile property

IsFilterTypePresent method

IsFixedLength property

IsFrameMenuEnabled property

IsGrabBar property

IsGrammarError property

IsGraphicMenuEnabled property

IsHangover property

IsHighlightNote property

IsHorizontalScrollBarCleanScrn property

IsHoverHelp property

IsIconDepressible property

IsInBulletEditMode property

IsIndex property

IsInDraft property

IsInOutline property

IsInPageSort property

IsItemSelected method

IsLastStop property

IsLesser property

IsLinked property

IsLocal property

IsLocked property

IsLockedForRevisions property

IsLotusChart property

IsMarginSameAsParent property

IsMarginsInColor property

IsMarkerEqualToSelection method

IsMarkerValid property

IsMisspelled property

IsNotCopyable property

IsNotCopyImage property

IsNotGroupable property

IsNoUICommAllowed property

IsOnClipBoard property

IsOpen property

IsOverridden property

IsOverride property

IsPageBreak property

IsPageBreakAfter property

IsPageBreakBefore property

IsPageBreakMarks property

IsPageBreakWithin property

IsParagraphNumberingDown property

IsParagraphParent property

IsParallelColumnsMenuEnabled property

IsPartOfGroup property

IsPersistent property

IsPointWithin method

IsPrePrintedForm property

IsPrintable property

IsPrintClickHereBlocks property

IsPrompting property

IsProtected property

IsRegistered property

IsRepeat property

IsReplaceable property

IsResetParagraphNumber property

IsRevisionMark property

IsSame property

IsSave property

IsScalable property

IsScalableBorder property

IsScrollable property

IsShowing property

IsSingleClickEntry property

IsSizable property

IsSizingViaMouse property

IsSmartCorrectEnabled property

IsSmartEditEnabled property

IsSmartShadeEnabled property

IsSnapTo property

IsSortFromEnd property

IsSpellBarUp property

IsSpellMode property

IsSqueeze property

IsStyle property

IsStyleSheet property

IsSymbolic property

IsTableHeading property

IsTemp property

IsTemporary method

IsTextLocked property

IsTextMenuEnabled property

IsTOC property

IsTrueType property

IsUndoOn property

IsUpdateAutomatic property

IsUpdateIndex property

IsUpdateTOC property

IsValid property

IsVerticalScrollBarCleanScrn property

IsViewAnchor property

IsViewBookmarks property

IsViewClickHereBlocks property

IsViewColGuides property

IsViewColumnBreakMarks property

IsViewDDELinks property

IsViewHorzRuler property

IsViewHorzScrollBar property

IsViewMenuCleanScrn property

IsViewNotes property

IsViewOutlineFlowToScreen property

IsViewOutlineIndent property

IsViewPageLayoutMarks property

IsViewParallelColumnBorder property

IsViewPictures property

IsViewReturnIconCleanScrn property

IsViewReturns property

IsViewRubyMarks property

IsViewRulerMarks property

IsViewSectionBreakMarks property

IsViewSectionTabs property

IsViewSmartIconsCleanScrn property

IsViewStatusBarCleanScrn property

IsViewStatusSpell property

IsViewTableCellSelection property

IsViewTableGridLines property

IsViewTableHeadings property

IsViewTabs property

IsViewThumbBarCleanScrn property

IsViewTitleBarCleanScrn property

IsViewVertRuler property

IsViewVertScrollBar property

IsWMCommandValid method

IsWordProChart property

IsWorkingDir property

Italic method

Italic property

Item method

Items property

J

Join class

Join property

JoinCorners property

JoinHeight property

JoinType property

JoinWidth property

Justifiable property

K

KeepWithNext property

KeepWithPrev property

KeyboardLanguage property

KeyStroke event

KeywordColor property

Keywords property

Kinsoku class

Kinsoku property

L

LabelCreate method

LabelMerge method

Labels method

LandscapeMode property

Language class

Language property

Last property

LastChild property

LastDivision property

LastDocPath property

LastEditorName property

LastGraphicPath property

LastGraphicType property

LastMacroPath property

LastName property

LastPage property

LastUsedDateFormula property

Layer property

LayerName property

Layout class

Layout property

LayoutCollection class

LayoutName property

LayoutOverride class

LayoutOverride property

Layouts property

LeaderDotDashChar property

LeaderDotDotChar property

LeaderDotType property

LeaderDotUnderscoreChar property

LeadingText property

LeastRecentVersion method

Left property

LeftBorder property

LeftExternalMargin property

LeftPage property

LeftTopCellId property

Length property

Level property

LineCount property

LineLocation property

LineMix property

LineNumberOptions property

LineNumberOptions class

LinePlacement property

LinesSpacedEveryNthUnit property

LineValid property

Link method

LinkAvailable property

LinkContainers method

LinkDisplayName property

LinkDisplayNameFileLength property

Linked property

LinkedFileName property

LinkFrame property

LinkGraphic property

ListBoxes method

ListCount property

ListCount property

LoadFilesMaximized property

Localize method

Location property

Locked property

LockForNotesUserName property

LockResult property

Locks property

LostFocus event

LowerCase property

LowerCase method

LowerCaseAscent property

LwpBaseCtrl class

LwpButton class

LwpCheckBox class

LwpClicker class

LwpComboBox class

LwpCommonDialog class

LwpControls class

LwpCustomDialog class

LwpEditBox class

LwpFileListBox class

LwpLabel class

LwpListBox class

LwpMenuBar property

LwpRadioButton class

LWPTimer class

M

Macro class

Macro property

MacroEndRecord method

MacroName property

MacroPath property

MacroPaths property

MacroPlay method

MacroStatus property

MailDocument method

MailRouting class

MailRouting property

MailRoutingPtr property

MaintainAspectRatio property

MaintainEditor property

MakeTableFromText method

MakeUniqueLinkName method

ManualFrame method

ManualLinkFrames method

ManualTable method

MarginBottom property

MarginColor property

MarginLeft property

MarginRight property

MarginTop property

Mark method

MarkCharacter property

Marker class

MarkerClass property

MarkerCollection class

MarkerName property

Markers property

MarkPosition property

MarkRevisionInsert method

MarkType property

Master property

MasterName property

MatchType property

MaxBottomBorder property

MaxBottomGutter property

MaxContentHeight property

MaxContentWidth property

MaxHorzPaneDistance property

MaxHyphLines property

MaxIdenticalConsecSentOpens property

MaxIdenticalSentOpensWithin10 property

Maximize method

MaximizeOnStartUp property

MaximumWordsinaSentence property

MaxLeftBorder property

MaxLeftGutter property

MaxLength property

MaxNumColsAllowed property

MaxNumRowsAllowed property

MaxRightBorder property

MaxRightGutter property

MaxSplitCols property

MaxSplitRows property

MaxTopBorder property

MaxTopGutter property

MaxVertPaneDistance property

MenuItem class

MenuItemCollection class

Merge method

MergeAddDataRecord method

MergeFileType property

MergeInfoPtr property

MergeOptions class

MergeOptions property

MergeSetDataFile method

MergeStart method

MergeStepNumber property

MergeToFile property

Messages method

MetafilePict property

MinBottomMargin property

MinHeight property

Minimize method

MinLeftMargin property

MinRightMargin property

MinTopMargin property

MirrorPage method

Modal property

ModifiedDateString property

ModifiedTimeString property

ModifiedTimeValue property

MorphSelectionToTable method

MostRecentVersion method

MouseButtonForManipulation property

MouseButtonForSelection property

MouseDown event

MouseProperty property

MouseUp event

Move method

Moved event

MoveDivision method

MoveDown method

MoveItem method

MoveParagraph method

MoveToBack method

MoveToEnd method

MoveToFront method

MoveToStart method

MoveUp method

MultiCellPasteOn property

MultiCompareParaTag property

MultiCompareParaTagSet property

N

Name property

NameBasedOnStyle property

NameForFilters property

Negative property

NewDivision method

NewDocMacroName property

NewDocument method

NewFile property

NewFrame method

NewItem method

NewItemByPosition method

NewVersion property

NewWindow method

Next method

NextClickHere property

NextCycleAlign method

NextCycleAttribute method

NextCycleBullet method

NextCycleFont method

NextCycleFontSize method

NextCycleIndent method

NextCycleNumber method

NextCycleStyle method

NextItem method

NextName property

NextNeighbor property

NextSection property

NextSpellString property

NextStyleName property

NextText property

NextToObject method

NextVersion method

NoHyphenate property

NonUserDocument property

Normal property

Normal property

NormalParagraph property

NormalText method

NoteColor property

NoteContainer class

NoteLayout class

NoteLayoutCollection class

NoteLayouts property

NotesFlow property

Number property

NumberEveryNthLine property

NumberFound property

Numbering class

Numbering property

NumberingPosition property

NumberingStyleName property

NumberOfCharacters property

NumberOfDataFields property

NumberOfLines property

NumberOfMergeConditions property

NumberOfReplacements property

NumberOfRevisions property

NumberOfVersions method

NumberSequenceName property

NumberWhichLines property

NumCharsInDoc property

NumCharsInParagraph property

NumCols property

NumColsSpannedOneCell property

NumContainers property

NumDecimalPlaces property

NumericFormat class

NumericFormat property

NumericFormatSubset class

NumFields property

NumLinesOfSpace property

NumLinesOfSpaceAbove property

NumLinesOfSpaceAboveLine property

NumLinesOfSpaceBelow property

NumOfRecentFiles property

NumPagesInDoc property

NumParagraphs property

NumRows property

NumRowsSpannedOneCell property

NumRowsThatFit property

NumRowsToFit property

NumTabs property

NumUndoLevels property

NumWindowsViewingDoc property

NumWordsInDoc property

O

Object property

ObjectType property

Oblique property

OCXDesignMode property

Offset property

Ole1Object property

OLEAutomation property

OleContainerDocName property

OLEEnabled property

OleMinHeight property

OleObject property

OleObject class

OleObjectCollection class

OleObjects property

OleObjectSize property

Open method

OpenDataFile method

OpenDocMacroName property

OpenDocsVisible property

OpenDocument method

OpenDocumentFromNotes method

Opened event

OpenExisingFileInWelcomeBox property

OpenFromStorage method

OpenObject method

OpenReadOnly property

OpionDeclare property

Options class

Options property

OrigFileType property

OrigHeight property

OrigWidth property

Outline property

OutlineBorderLines property

OutlineButtons property

OutlineHeadingButtonsOnly property

OutlineLevel property

OutlineMoveTextDown method

OutlineMoveTextUp method

OutlineOnlyHeadingsWhenCollapsed property

OutlineSeqCollection class

OutlineSeqItemCollection class

OutlineSeqItems property

OutlineStyleSequence class

OutlineStyleSequence method

OutlineStyleSequences property

OutputToFile property

OutSeqItem class

Override property

Overstrike property

OverstrikeCharacter property

P

Page property

PageContainer class

PageDown method

PageLayout class

PageLayoutCollection class

PageNo property

PageNum property

PageNumber property

PageNumberAsText property

PageNumberStyle property

PageNumFirstPageShowing property

PageNumLastPageShowing property

PageOrder property

Pages property

PageStyleName property

PageStyles property

PageToUseLayoutOn property

PageUp method

PairKerning property

PaneColor property

PaperNames property

ParagraphBorder class

ParagraphBorder property

ParagraphHasDropCap property

ParagraphHasText property

ParagraphStyle class

ParagraphStyle property

ParagraphStyleCollection class

ParagraphStyleName property

ParagraphStyles property

ParagraphSymbolChar property

ParallelColsCollection class

ParallelColsContainer class

ParallelColumns class

ParallelColumns property

Parent property

ParentMenuHWND property

ParentName property

Partial property

Paste method

PasteLink method

PasteSpecial method

Path property

Path property

PathName property

Pattern property

PColConnectCells method

PColConnectRows method

PColDisconnectCells method

PColSelectColumn method

PColSelectRow method

PColSelectTable method

Percentage property

PersonalData1 property

PersonalData2 property

PersonalData3 property

PersonalData4 property

PhoneNumber property

PitchAndFamily property

Placement property

Plain property

Play method

PointSize property

Position property

PositionType property

PositionXInContainer property

PositionXOnPage property

PositionYInContainer property

PositionYOnPage property

PowerField property

PowerField class

PowerFieldCollection class

PowerFields property

PreClose event

Preferences property

Preferences class

Prefix property

PrepareToDestroy method

PrePrint event

Present method

Presentation property

Presentation class

PrettyPrinting property

Previous method

PreviousClickHere property

PreviousItem method

PreviousName property

PreviousNeighbor property

PreviousVersion method

Print method

PrintDestination property

PrintDocDescription property

Printed event

PrinterName property

PrintGraphics property

PrintInBackground property

PrintManager property

PrintManager class

PrintOut method

PrintPagesFrom property

PrintPagesTo property

PrintPageType property

PrintRange property

PrintSettings property

PrintSettings class

Private property

ProcessAccelKey method

ProgID property

Promote method

PromoteOutlineLevel method

Prompt property

ProtectedMode property

Purge method

Q

Query method

QueryDrop method

QueueName property

QuickAlignFrame method

QuickAlignTable method

Quit event

Quit method

R

RadioButtons method

Read method

ReadCompressed property

ReadOnly property

ReadOnly property

Red property

Redo method

Refresh method

RegisterWPDataSet method

Relative property

RelativeIndent class

RelativeIndent property

RelativePageNum property

RelativeType property

RelativeXDistance property

RelativeYDistance property

Release method

ReleaseNumber property

Reload method

Remove method

RemoveBookmark method

RemoveChildFromLayout method

RemoveDataFile method

RemoveDdeLink method

RemoveDepOnDocFile method

RemoveDivision method

RemoveEditor method

RemoveIndexEntry method

RemoveItem method

RemoveList method

RemoveNamedProperty method

RemovePersistentAccelerators method

RemoveProperty method

RemoveTOCEntry method

Render method

RenderClipBitmap method

RenderClipDIB method

RenderClipMetafile method

RenderClipPalette method

RenderedPageNumber property

Repaint method

Replace method

ReplaceAll method

ReplaceAttributes property

ReplaceCmd method

ReplaceContents method

ReplaceExactCase property

ReplaceFont property

ReplaceLanguage property

Replacements property

ReplaceString property

ReplaceStyleName property

ReplaceWithProperties property

RequestAndProcessData method

RequestRemarkOnClose property

RequireStartupScripts property

Reset method

ResetFindAndReplace method

ResetNumberOpts method

ResetOnEachPage property

ResetPrinting method

ResetWhen property

Resize method

Rest property

RestartStyleName property

Restore method

RestorePreviousView method

RestoreWindowFromCleanScreen method

Result property

ResumePausedMacro property

RetainNameOfImportedFile property

RetrieveInternetFile method

RetrieveInternetFileAndOpen method

RevertToSaved method

RevertToStyle method

ReviewVersions class

ReviewVersions property

ReviewVersions method

ReviseAcceptAll method

ReviseCancelAll method

Revision class

RevisionAccept method

RevisionAcceptLayoutChange method

RevisionCancel method

RevisionCancelLayoutChange method

RevisionDisplay property

RevisionDisplay class

RevisionMark property

RevisionMarkMode property

RevisionType property

RevMarkCharacter property

RevMarkPosition property

RevMarkType property

Right property

RightAlign property

RightBorder property

RightExternalMargin property

RightMouseMenus property

RightMousePropId property

RightMousePropText property

RightPage property

RowContainer class

RowGroupLayout class

RowLayout class

RowLayoutCollection class

RowLayouts property

Rows property

RubyContainer class

RubyLayout class

RubyLayoutCollection class

RubyLayouts property

RubyMarker class

Ruler class

Run method

RunMacroOnDocEvents property

RunMacroOnLoad property

RunOnCloseDoc property

RunOnNewDoc property

RunOnOpenDoc property

RunScript method

S

Save method

Save event

SaveAs event

SaveAs method

SaveAsToNotes method

Saved event

Saved property

SavedAs event

SaveData method

SaveDivision method

SaveEnvelopeMaster method

SaveGlossary method

SaveMacro method

SaveMergeDataFile method

SaveSnapShot property

SaveSnapshot method

SaveThumbnailBitmap method

SaveToStorage method

SaveToStorageComplete method

SaveUserDefaults method

SaveVersion method

ScaleHeight property

ScaleMode property

ScalePercentage property

ScaleWidth property

ScreenPositionX property

ScreenPositionY property

Script property

Script class

ScriptDataSet class

SearchAttributes property

SearchLanguage property

Section property

Section class

SectionCollection class

SectionName property

Sections property

SectionTabs property

SectionTabs class

Select method

SelectCell method

SelectColumn method

SelectCount property

SelectCustomIcon method

SelectDoc method

SelectedPages property

SelectEntireCellRange method

SelectEntireColumn method

SelectEntirePCol method

SelectEntirePColCellRange method

SelectEntirePColColumn method

SelectEntirePColRow method

SelectEntireRow method

SelectEntireTable method

SelectionBorderColor1 property

SelectionBorderColor2 property

SelectionBorderColor3 property

SelectionType property

SelectItem method

SelectItemString method

SelectParagraph method

SelectPColCell method

SelectRow method

SelectRuler method

SelectSection method

SelectSentence method

SelectStandardIcon method

SelectTab property

SelectTable method

SelectTableItem method

SelectType property

SelectWord method

SendFrameToBack method

SendFrameToBackOne method

SendMailAndAttach method

SendMailSelectedText method

ServerFormat property

SetAllMargins method

SetArrayProp method

SetContextOfBar property

SetControlText method

SetControlValue method

SetCustomNumber method

SetData method

SetDocumentEpoch method

SetFieldFormula method

SetFocus method

SetFocus method

Setfocus method

SetFormula method

SetIndexInfo method

SetJapanIndexInfo method

SetLastUsedFilter method

SetLineOneSide method

SetLinesAllSides method

SetLinkSource method

SetMinimumOrigin method

SetNamedProperty method

SetNoFields method

SetNumberingLevelInfo method

SetOverrideGraphic method

SetOverrideText method

SetPageBottomMargin method

SetPageTopMargin method

SetPattern method

SetPopupAlignment method

SetPopupIndex method

SetPopupWidth method

SetPopupWidthType method

SetRGB method

SetStorage method

SetStyle method

SetTabsDialog class

SetTabsDialog property

SetTOCLevelContent method

SetTOCLevelPageInfo method

SetTOCProperties method

SetUpEnvelopeMerge method

Shade method

Shadow property

Shadow class

Shape property

Show method

Show method

ShowAnyGreeting method

ShowBubbleHelp property

ShowCaretAndSelection method

ShowContainers method

ShowCursor method

ShowDivisionTabs property

ShowFileNew property

ShowGraphicPreview property

ShowIconBars method

ShowInContext property

ShowMailDisabled property

ShowNoWelcomeBox property

ShowScrollBars method

ShowStatistics property

ShowStatusBar method

ShowTabs property

SilverBullet class

SilverBullet property

SilverBulletCollection class

SilverBullets property

SimulateButtonClick method

SingleCellSelected property

Size property

SizeStyleName property

SizingUnitName property

SizingUnits property

Skip method

Skipped property

SkipWordMode property

SmallCaps method

SmallCaps property

SmallFileFormat property

SmartCorrect property

SmartCorrect class

SmartCorrectCollection class

SmartCorrects property

SmartFill class

SmartFill property

SmartFillCollection class

SmartLevel property

SmartSumColumn method

SmartSumRow method

SnapshotOffset property

SnapshotPath property

SnapShotSaveOptions property

SnapshotSize property

SortKey class

SortLevel1 property

SortLevel2 property

SortLevel3 property

SortNumbers property

SortOptions class

SortOptions property

SortOrder property

SortParagraphs method

SortType property

SortWord property

SortWordOption property

SpaceAbove property

SpaceBelow property

SpacesBetweenSentences property

Spacing property

Spacing class

SpacingStyleName property

SpacingUnitName property

SpacingUnits property

Span property

SpecialView method

SpellAddToUserDict method

SpellCheckInitialCaps property

SpellCheckRepeatedWords property

SpellCheckUserDictAlternatives property

SpellCheckWordsWithNums property

SpellClearSkippedWords method

SpellColor property

SpellFocusedColor property

SpellMarkSkippedWords method

SpellSkipAll method

SpellString property

SpellWord method

Split method

SplitDivision method

SplitParagraph method

SplitPercentage property

SplitWindow method

SRReplace method

Start property

Start method

StartColumns property

StartEditMergeData method

StartEnvelopeDiv method

StartFieldInsert method

StartingColOfSelection property

StartingColStringOfSelection property

StartingNumber property

StartingRowOfSelection property

StartRow property

StateID property

StatusBar class

StatusBar property

StatusBarButton class

StatusBarButtonClicked event

StatusBarButtonCollection class

StatusBarButtonFillPopupList event

StatusBarButtonItemSelected event

StatusBarButtonOverrideGraphic event

StatusBarButtonOverrideText event

StatusBarButtonOverrideTextAndGraphic event

StatusBarButtons property

StatusBarVisible property

StatusSpellReplaceAll property

StoreInternetFile method

StrikeThrough property

StrikeThru method

StringCollection class

Style property

StyleExceptions property

StyleName property

StylePath property

StylePaths property

StyleSheetFullPath property

StyleSheetName property

StyleSheetPath property

SubPageContainer class

SubScript method

Subscript property

Suffix property

Suggestions property

Sum method

SuperPageContainer class

SuperScript method

Superscript property

SuperTable class

SuperTableCollection class

SuperTableContainer property

SuperTableContainer class

SuperTableGroupLayout class

SuperTableLayout class

SuperTableLayoutCollection class

SuperTableLayouts property

SuperTables property

System property

T

TabExits property

Table property

Table class

TableCollection class

TableContainer property

TableContainer class

TableExports property

TableFill class

TableFill property

TableHeading class

TableHeadingCollection class

TableHeadingLayout class

TableHeadingLayoutCollection class

TableHeadingLayouts property

TableHeadings property

TableImports property

TableLayout class

TableLayoutCollection class

TableLayouts property

TableLine class

TableLine property

TableMarker class

TableMarkerCollection class

TableMarkers property

TableOnlyCollection class

TableOnlyCont class

TableOnlyContainer property

Tables property

TableStyleName property

TableStyles property

TabOrder property

TabRack class

TabRack property

TabRelativeTo property

TabSpacing property

TabSymbolChar property

TabType property

TabWidth property

TeamMail method

TempFindAndReplace property

TempFoundry property

Text class

Text property

Text property

TextandTableExports property

TextandTableImports property

TextAttributes property

TextCollection class

TextDocument class

TextMarker class

TextMarkerCollection class

TextMarkers property

TextOrient property

TextOrientation property

Texts property

TextStyleCollection class

TextStyleName property

TextStyles property

TextTightness property

TextViewAttributes property

TheoreticalScaledSize method

ThesMaxNumSynonymsReturned property

Tile property

Tile method

TileWindow property

TileWindowHorz method

TileWindowVert method

Time property

TimedSave method

TimedSaveFileExtension property

TimerTick event

Title property

TitleBarDocNumber property

TitleBarVisible property

TOCRange property

TOCSource property

TOCSuperTableLayout class

ToggleCleanScreen method

ToggleIconBar method

Top property

TopBorder property

TopExternalMargin property

TopLeftCellRowId property

TotalEditingTime property

TrailingText property

Type property

Type property

Type method

TypeAbove property

TypeAboveLine property

TypeBelow property

TypeRight property

Typos property

U

Underline method

Underline property

Undo method

UndoEnable property

UndoLevels property

UndoRedo method

Units property

Unlink method

UnLinkContainers method

UnregisterWPDataSet method

Update method

UpdateFields property

UpdateIndexSection method

UpdateLink method

UpdateOle method

UpdateOnLoad property

UpdateOnLoadImmediate property

UpdatePageSizeChange method

UpdatePowerFields method

UpdatePowerFieldsOnNew method

UpdatePrinterBins method

UpdatePrinterChanges method

UpdateSelectedFields method

UpdateTabs method

UpdateTOC method

UpdateUI method

UpperCase property

UpperCase method

UseConsistentSpaceBetweenSentences property

UseContents property

UseDefaultPrinter property

UsedFirstPageHeight property

UseEncrypt property

UseExcludeRect property

UseFindStyle property

UseGreeting property

UseNextStyle property

UsePrinterSettings property

UserDefinedFilter property

UserDictFiles property

UserDictionaryFiles property

UserDictionaryPath property

UserDictionaryPaths property

UserDictStates property

UseRelative property

UseReplaceStyle property

UserInitials property

UserInterfacePrefs property

UserInterfacePrefs class

UserLinkName property

UserName property

UseSeparatorLine property

UsesHelp property

UsesPalette property

UseSuperscriptReferenceNum property

UseTwoSpacesBetweenSentences property

UseWhen class

UseWhen property

V

Valid property

ValidateValue method

Version class

VersionCollection class

VersionID property

VersionManager property

VersionManager class

VersionName property

VersionRemarks property

Versions property

VertAlign property

VerticalSplitWindow property

VertRuler property

VertScrollBarVisible property

ViewLevel property

ViewType property

Visible property

Visible property

W

WasDeletedInRevMarkMode property

WasInsertedInRevMarkMode property

WasPasted property

WaterMarkName property

WatermarksPath property

Weight property

Where property

WidowOrphan property

Width property

WidthAbove property

WidthBelow property

WidthInLongtwips property

WidthOfColumn property

Window class

WindowId property

WindowsName property

WinViewPrefs class

WinViewPrefs property

WithComments property

WMCommand event

WMCommand method

WordCount method

WordDoubleUnderline property

WordUnderline method

WordUnderline property

WorkingType property

WPApplication class

WPDataSet class

WPDataSetCollection class

WPDataSets property

WrapType property

Write method

WriteProfileString method

X

XOffset property

XPosition property

Y

YOffset property

YPosition property

Z

Zero property

ZipCode property


Word Pro Classes

A

Accelerators class

Alignment class

Amikake class

Application class

ApplicationWindow class

AppViewPrefs class

Attributes class

AutoRunMacro class

B

Background class

Bag class

BagCollection class

BaseCollection class

BaseContainer class

BaseObject class

BaseTable class

Bookmark class

BookmarkCollection class

BookmarkManager class

Border class

BorderLines class

Breaks class

Bullet class

C

CellCollection class

CellContainer class

CellEngine class

CellGroupLayout class

CellLayout class

CellLayoutCollection class

CharacterBorder class

CharacterSet class

CharacterStyle class

CharacterStyleCollection class

ClickHere class

ClickHereCollection class

Color class

Column class

ColumnGroupLayout class

ConnectedLayout class

ConnectedLayoutCollection class

Content class

ContentCollection class

ContextMenuOptions class

D

DdeLink class

DdeLinkCollection class

DdeLinkManager class

Division class

DivisionCollection class

DivisionInfo class

DivisionOptions class

DocControl class

DocInfo class

DocInfoField class

DocInfoFieldCollection class

DocInfoFieldManager class

Document class

Documents class

DocWindow class

DocWindowCollection class

DropCapContainer class

DropCapLayout class

DropCapLayoutCollection class

E

Editor class

EditorCollection class

EditorManager class

EndnoteDivisionGroupNum class

EndnoteDivisionNum class

EndnoteDocNum class

EndnoteLayout class

EndnoteLayoutCollection class

F

Filter class

FilterHelper class

FindAndReplace class

Font class

FontMetrics class

FooterLayout class

FooterLayoutCollection class

Footnote class

FootnoteCollection class

FootnoteContSep class

FootnoteLayout class

FootnoteLayoutCollection class

FootnoteNumbering class

FootnoteNumOpt class

FootnoteOptions class

FootnoteSeparator class

FootnoteSepOpt class

FootnoteTable class

FormatCheckPref class

FormatPreferences class

Formula class

Foundry class

FrameContainer class

FrameGroupLayout class

FrameLayout class

FrameLayoutCollection class

G

Glossary class

GlossaryCollection class

Grammar class

Graphic class

GraphicCollection class

GraphicOleObject class

GraphicOleObjectCollection class

GroupLayout class

GroupLayoutCollection class

Gutter class

H

HeaderLayout class

HeaderLayoutCollection class

HyphenationOptions class

I

IconBar class

IconBarCollection class

IconBarManager class

Indent class

Index class

IndexSection class

J

Join class

K

Kinsoku class

L

Language class

Layout class

LayoutCollection class

LayoutOverride class

LineNumberOptions class

LwpBaseCtrl class

LwpButton class

LwpCheckBox class

LwpClicker class

LwpComboBox class

LwpCommonDialog class

LwpControls class

LwpCustomDialog class

LwpEditBox class

LwpFileListBox class

LwpLabel class

LwpListBox class

LwpRadioButton class

LWPTimer class

M

Macro class

MailRouting class

Marker class

MarkerCollection class

MenuItem class

MenuItemCollection class

MergeOptions class

N

NoteContainer class

NoteLayout class

NoteLayoutCollection class

Numbering class

NumericFormat class

NumericFormatSubset class

O

OleObject class

OleObjectCollection class

Options class

OutlineSeqCollection class

OutlineSeqItemCollection class

OutlineStyleSequence class

OutSeqItem class

P

PageContainer class

PageLayout class

PageLayoutCollection class

ParagraphBorder class

ParagraphStyle class

ParagraphStyleCollection class

ParallelColsCollection class

ParallelColsContainer class

ParallelColumns class

PowerField class

PowerFieldCollection class

Preferences class

Presentation class

PrintManager class

PrintSettings class

Q

R

RelativeIndent class

ReviewVersions class

Revision class

RevisionDisplay class

RowContainer class

RowGroupLayout class

RowLayout class

RowLayoutCollection class

RubyContainer class

RubyLayout class

RubyLayoutCollection class

RubyMarker class

Ruler class

S

Script class

ScriptDataSet class

Section class

SectionCollection class

SectionTabs class

SetTabsDialog class

Shadow class

SilverBullet class

SilverBulletCollection class

SmartCorrect class

SmartCorrectCollection class

SmartFill class

SmartFillCollection class

SortKey class

SortOptions class

Spacing class

StatusBar class

StatusBarButton class

StatusBarButtonCollection class

StringCollection class

SubPageContainer class

SuperPageContainer class

SuperTable class

SuperTableCollection class

SuperTableContainer class

SuperTableGroupLayout class

SuperTableLayout class

SuperTableLayoutCollection class

T

Table class

TableCollection class

TableContainer class

TableFill class

TableHeading class

TableHeadingCollection class

TableHeadingLayout class

TableHeadingLayoutCollection class

TableLayout class

TableLayoutCollection class

TableLine class

TableMarker class

TableMarkerCollection class

TableOnlyCollection class

TableOnlyCont class

TabRack class

Text class

TextCollection class

TextDocument class

TextMarker class

TextMarkerCollection class

TextStyleCollection class

TOCSuperTableLayout class

U

UserInterfacePrefs class

UseWhen class

V

Version class

VersionCollection class

VersionManager class

W

Window class

WinViewPrefs class

WPApplication class

WPDataSet class

WPDataSetCollection class

X

Y

Z


Word Pro Events

Changed event

Clicked event

Created event

Decrement event

DialogEvent event

DocumentClose event

DocumentClosed event

DocumentCreate event

DocumentCreated event

DocumentExport event

DocumentExported event

DocumentImport event

DocumentImported event

DocumentInsert event

DocumentInserted event

DocumentOpen event

DocumentOpened event

DocumentPrint event

DocumentPrinted event

DocumentSave event

DocumentSaveAs event

DocumentSaved event

DocumentSavedAs event

DoubleClicked event

EnterClickHere event

EnterLayout event

ExitClickHere event

GotFocus event

ImportInsert event

ImportInserted event

Increment event

KeyStroke event

LostFocus event

MouseDown event

MouseUp event

Moved event

Opened event

PreClose event

PrePrint event

Printed event

Quit event

Save event

SaveAs event

Saved event

SavedAs event

StatusBarButtonClicked event

StatusBarButtonFillPopupList event

StatusBarButtonItemSelected event

StatusBarButtonOverrideGraphic event

StatusBarButtonOverrideText event

StatusBarButtonOverrideTextAndGraphic event

TimerTick event

WMCommand event


Word Pro Methods

A

Abandon method

Activate method

ActivateAs method

Add method

AddAccelerators method

AddACondition method

AddBookmark method

AddChildToLayout method

AddDdeLink method

AddDivision method

AddDivisionToPrint method

AddEditorManager method

AddField method

AddIcon method

AddIndexEntry method

AddItem method

AddLayoutOverride method

AddListBoxText method

AddNewSectionTabs method

AddOutlineSequenceItem method

AddPopupGraphicItem method

AddPopupPointSizeItem method

AddPopupTextItem method

AddSectionTabs method

AddSmartCorrect method

AddStringToList method

AddTOCEntry method

AddVerbMenu method

AdjustShade method

Adopt method

AdviseOnRename method

AdviseOnSave method

Anchor method

AnswerMsgBox method

AnyEdits method

AppendMacro method

B

Backspace method

Backward method

BeginChange method

BeginCustomLines method

BinNameFromNumber method

Bold method

BreakLink method

BringFrameToFront method

BringFrameToFrontOne method

Buttons method

C

CalculateSmartLevels method

CanHaveFootnotes method

Cascade method

CascadeWindow method

CellLayout method

CellRevert method

ChangeAllEditsToEditor method

ChangeSmartMaster method

CheckBoxes method

CheckFieldEntries method

ChgLineStyle method

Clear method

Clear method

ClearAll method

ClearDivisionList method

ClearParaRevisionTags method

ClearSplits method

ClearTempFoundry method

ClearUpdate method

Clickers method

Close method

CloseAll method

CloseDocWindow method

CloseMergeDataFile method

CloseObject method

CombineDivisions method

CombineSections method

ComboBoxes method

CompareFiles method

Configure method

Connect method

ConnectCells method

ConnectContainer method

ConnectRows method

ConnectSectionTabs method

ConsistencyCheck method

Contract method

ContractOutlineLevel method

ConvertTo method

ConvertToClass method

Copy method

CopyItem method

CopyMeaning method

CopySelection method

Create method

CreateDataFile method

CreateDivision method

CreateDropCap method

CreateEmptyList method

CreateExternalDivision method

CreateFrame method

CreateFromBitmap method

CreateFromClipBrd method

CreateFromDataObject method

CreateFromMetafile method

CreateGlossary method

CreateGlossaryEntry method

CreateGraphic method

CreateLayer method

CreateNew method

CreateNewButton method

CreateOleEmbeddedFile method

CreateOleLinkedFile method

CreateOleNew method

CreateParallelColumns method

CreateRemark method

CreateTable method

CreateVersion method

CutSelection method

D

DarkMode method

DataObjectGetData method

DataObjectGetDataHere method

DblUnderline method

DeleteBag method

DeleteButton method

DeleteChars method

DeleteContainer method

DeleteContent method

DeleteContents method

DeleteDivision method

DeleteField method

DeleteItem method

DeleteItemByPosition method

DeleteKey method

DeleteLayout method

DeleteMacroAccelerator method

DeleteMarker method

DeleteParallelColumns method

DeleteSection method

DeleteSmartCorrect method

DeleteTab method

DeleteTable method

DeleteVersion method

Demote method

DemoteOutlineLevel method

Deselect method

DeselectRuler method

Destroy method

DestroyDocWindow method

Disconnect method

DisconnectCells method

DoesMarkerNameMatch method

DoneWithRightMouseMenu method

E

EditBoxes method

EditClickHereLink method

EditLinkInfo method

Embed method

EmbedFormula method

EnableControl method

EndChange method

EndCustomLines method

Ending method

EndPrinting method

EnumerateChartLinks method

EnumerateTerm method

EnvelopeBarCode method

EnvelopePrint method

ExchangeItem method

Expand method

ExpandOutline method

ExpandOutlineLevel method

ExportAllAsNotesFX method

ExportAsNotesFX method

ExtractText method

F

FastFormat method

FileListBoxes method

Find method

FindCellLayout method

FindClass method

FindTerm method

ForceDocToLoad method

Forward method

FrameRevert method

FXGetNotesString method

FXGetNotesWriteHandle method

FXSetNotesString method

G

Get method

GetActiveList method

GetArrayProp method

GetAspectMetafilePict method

GetContents method

GetControlText method

GetControlValue method

GetCopyFormatCategories method

GetCount method

GetCurrentMarkerName method

GetData method

GetDefaultPageSize method

GetDisplayableFilterName method

GetEnum method

GetEnvelopeDefaults method

GetFileDescription method

GetFormula method

GetInternetFile method

GetLastUsedFilter method

GetLine method

GetLineMix method

GetLineStyle method

GetLinkDisplayNameFileLength method

GetLinkName method

GetLinkSourceName method

GetListName method

GetMarkedText method

GetMarkerName method

GetMispelledWord method

GetNamedProperty method

GetNameFromPage method

GetObjectList method

GetOne method

GetPageRange method

GetParagraphNumber method

GetParagraphNumberString method

GetParaNumber method

GetPasteFormatCategories method

GetPosition method

GetPrinterInfo method

GetProfileString method

GetRGB method

GetRightMouseMenu method

GetSource method

GetSpellStatus method

GetSpellUserDictStatus method

GetStandardButtonId method

GetString method

GetText method

GetTOCProperties method

GetUniqueName method

GetUserClassNameFull method

GetUserClassNameShort method

GetWordMisspelled method

Glossarize method

GlossaryInsert method

GlossaryOpen method

GoTo method

GoToBookmark method

GoToClickHere method

GoToContainer method

GoToLayout method

GotoNextParallelColumn method

GoToObject method

GoToPage method

GoToSection method

GoToTableCell method

GroupDivision method

H

HandsOffStorage method

HasNamedProperty method

HasProperty method

Help method

Hide method

Hide method

HideCaretAndSelection method

HideControl method

HideIconBar method

HideIconBars method

HideStatusBar method

HighlightToggle method

Hit method

HourGlass method

I

ImportGraphic method

ImportPicture method

ImportWatermarkGraphic method

IndexAll method

InitControls method

InitFindAndReplace method

InsertBreak method

InsertBullet method

InsertClickHere method

InsertClickHereLink method

InsertColumnBreak method

InsertDate method

InsertDocInfo method

InsertDocument method

InsertField method

InsertFootnote method

InsertFrame method

InsertHardSpace method

InsertIndex method

InsertLink method

InsertMarker method

InsertNote method

InsertNumber method

InsertOleDivision method

InsertOne method

InsertPageBreak method

InsertPageLayout method

InsertPageNumber method

InsertPath method

InsertRowOrColumn method

InsertRuby method

InsertSection method

InsertSpecialTab method

InsertTab method

InsertText method

InsertTOC method

InternalCopy method

InternalCut method

InternalPaste method

InternetExtraFile method

Invalidate method

InvalidateButton method

InvalidateWholeBar method

IsCaseExact method

IsDataNameUsed method

IsEmpty method

IsExportedAsNotesFX method

IsFilterTypePresent method

IsItemSelected method

IsMarkerEqualToSelection method

IsPointWithin method

IsTemporary method

IsWMCommandValid method

Italic method

Item method

J

K

L

LabelCreate method

LabelMerge method

Labels method

LeastRecentVersion method

Link method

LinkContainers method

ListBoxes method

Localize method

LowerCase method

M

MacroEndRecord method

MacroPlay method

MailDocument method

MakeTableFromText method

MakeUniqueLinkName method

ManualFrame method

ManualLinkFrames method

ManualTable method

Mark method

MarkRevisionInsert method

Maximize method

Merge method

MergeAddDataRecord method

MergeSetDataFile method

MergeStart method

Messages method

Minimize method

MirrorPage method

MorphSelectionToTable method

MostRecentVersion method

Move method

MoveDivision method

MoveDown method

MoveItem method

MoveParagraph method

MoveToBack method

MoveToEnd method

MoveToFront method

MoveToStart method

MoveUp method

N

NewDivision method

NewDocument method

NewFrame method

NewItem method

NewItemByPosition method

NewWindow method

Next method

NextCycleAlign method

NextCycleAttribute method

NextCycleBullet method

NextCycleFont method

NextCycleFontSize method

NextCycleIndent method

NextCycleNumber method

NextCycleStyle method

NextItem method

NextToObject method

NextVersion method

NormalText method

NumberOfVersions method

O

Open method

OpenDataFile method

OpenDocument method

OpenDocumentFromNotes method

OpenFromStorage method

OpenObject method

OutlineMoveTextDown method

OutlineMoveTextUp method

OutlineStyleSequence method

P

PageDown method

PageUp method

Paste method

PasteLink method

PasteSpecial method

PColConnectCells method

PColConnectRows method

PColDisconnectCells method

PColSelectColumn method

PColSelectRow method

PColSelectTable method

Play method

PrepareToDestroy method

Present method

Previous method

PreviousItem method

PreviousVersion method

Print method

PrintOut method

ProcessAccelKey method

Promote method

PromoteOutlineLevel method

Purge method

Q

Query method

QueryDrop method

QuickAlignFrame method

QuickAlignTable method

Quit method

R

RadioButtons method

Read method

Redo method

Refresh method

RegisterWPDataSet method

Release method

Reload method

Remove method

RemoveBookmark method

RemoveChildFromLayout method

RemoveDataFile method

RemoveDdeLink method

RemoveDepOnDocFile method

RemoveDivision method

RemoveEditor method

RemoveIndexEntry method

RemoveItem method

RemoveList method

RemoveNamedProperty method

RemovePersistentAccelerators method

RemoveProperty method

RemoveTOCEntry method

Render method

RenderClipBitmap method

RenderClipDIB method

RenderClipMetafile method

RenderClipPalette method

Repaint method

Replace method

ReplaceAll method

ReplaceCmd method

ReplaceContents method

RequestAndProcessData method

Reset method

ResetFindAndReplace method

ResetNumberOpts method

ResetPrinting method

Resize method

Restore method

RestorePreviousView method

RestoreWindowFromCleanScreen method

RetrieveInternetFile method

RetrieveInternetFileAndOpen method

RevertToSaved method

RevertToStyle method

ReviewVersions method

ReviseAcceptAll method

ReviseCancelAll method

RevisionAccept method

RevisionAcceptLayoutChange method

RevisionCancel method

RevisionCancelLayoutChange method

Run method

RunScript method

S

Save method

SaveAs method

SaveAsToNotes method

SaveData method

SaveDivision method

SaveEnvelopeMaster method

SaveGlossary method

SaveMacro method

SaveMergeDataFile method

SaveSnapshot method

SaveThumbnailBitmap method

SaveToStorage method

SaveToStorageComplete method

SaveUserDefaults method

SaveVersion method

Select method

SelectCell method

SelectColumn method

SelectCustomIcon method

SelectDoc method

SelectEntireCellRange method

SelectEntireColumn method

SelectEntirePCol method

SelectEntirePColCellRange method

SelectEntirePColColumn method

SelectEntirePColRow method

SelectEntireRow method

SelectEntireTable method

SelectItem method

SelectItemString method

SelectParagraph method

SelectPColCell method

SelectRow method

SelectRuler method

SelectSection method

SelectSentence method

SelectStandardIcon method

SelectTable method

SelectTableItem method

SelectWord method

SendFrameToBack method

SendFrameToBackOne method

SendMailAndAttach method

SendMailSelectedText method

SetAllMargins method

SetArrayProp method

SetControlText method

SetControlValue method

SetCustomNumber method

SetData method

SetDocumentEpoch method

SetFieldFormula method

SetFocus method

SetFocus method

Setfocus method

SetFormula method

SetIndexInfo method

SetJapanIndexInfo method

SetLastUsedFilter method

SetLineOneSide method

SetLinesAllSides method

SetLinkSource method

SetMinimumOrigin method

SetNamedProperty method

SetNoFields method

SetNumberingLevelInfo method

SetOverrideGraphic method

SetOverrideText method

SetPageBottomMargin method

SetPageTopMargin method

SetPattern method

SetPopupAlignment method

SetPopupIndex method

SetPopupWidth method

SetPopupWidthType method

SetRGB method

SetStorage method

SetStyle method

SetTOCLevelContent method

SetTOCLevelPageInfo method

SetTOCProperties method

SetUpEnvelopeMerge method

Shade method

Show method

Show method

ShowAnyGreeting method

ShowCaretAndSelection method

ShowContainers method

ShowCursor method

ShowIconBars method

ShowScrollBars method

ShowStatusBar method

SimulateButtonClick method

Skip method

SmallCaps method

SmartSumColumn method

SmartSumRow method

SortParagraphs method

SpecialView method

SpellAddToUserDict method

SpellClearSkippedWords method

SpellMarkSkippedWords method

SpellSkipAll method

SpellWord method

Split method

SplitDivision method

SplitParagraph method

SplitWindow method

SRReplace method

Start method

StartEditMergeData method

StartEnvelopeDiv method

StartFieldInsert method

StoreInternetFile method

StrikeThru method

SubScript method

Sum method

SuperScript method

T

TeamMail method

TheoreticalScaledSize method

Tile method

TileWindowHorz method

TileWindowVert method

TimedSave method

ToggleCleanScreen method

ToggleIconBar method

Type method

U

Underline method

Undo method

UndoRedo method

Unlink method

UnLinkContainers method

UnregisterWPDataSet method

Update method

UpdateFootersText method

UpdateHeadersText method

UpdateIndexSection method

UpdateLink method

UpdateOle method

UpdatePageSizeChange method

UpdatePowerFields method

UpdatePowerFieldsOnNew method

UpdatePrinterBins method

UpdatePrinterChanges method

UpdateSelectedFields method

UpdateTabs method

UpdateTOC method

UpdateUI method

UpperCase method

V

ValidateValue method

W

WMCommand method

WordCount method

WordUnderline method

Write method

WriteProfileString method

X

Y

Z


Word Pro Properties

A

Abilities property

AbsoluteOn property

AbsoluteTextOrientation property

AbsoluteXPos property

AbsoluteYPos property

Accelerators property

Action property

Active property

ActiveDocument property

ActiveDocWindow property

ActualEnumName property

ActualName property

Address1 property

Address2 property

Afid property

Align property

Alignment property

AlignmentChar property

AlignmentType property

AlignStyleName property

All property

AllBorders property

AllowAlternateVerification property

AllowListEdit property

AllowListMultiValues property

AlternateName property

Always property

Amikake property

AmikakeName property

AmikakeType property

Amount property

AmountOfSpaceAbove property

AmountOfSpaceAboveLine property

AmountOfSpaceBelow property

AmtTether property

AmtToTetherFrom property

AnyNumber property

AnyOLEDDELinks property

AppFoundry property

Application property

ApplicationWindow property

ApplyAdjectivePos property

ApplyAdjectNounPart property

ApplyAgreementWithHereThere property

ApplyAnglicisms property

ApplyArchaicExpressions property

ApplyArticleAgreement property

ApplyBadComparatives property

ApplyBadInflection property

ApplyBadNoun property

ApplyBadNounGender property

ApplyBadPlural property

ApplyBadPrepositions property

ApplyBelgianExpression property

ApplyBorrowedForeign property

ApplyBureuaJargon property

ApplyCalque property

ApplyCapitalizationCheck property

ApplyClauseErrors property

ApplyCliches property

ApplyColloquialExpression property

ApplyCommonlyConfusedWords property

ApplyCommonMisspell property

ApplyComplexWords property

ApplyConfusedEasy property

ApplyConfusedEnglish property

ApplyConfusedHard property

ApplyConfusedMedium property

ApplyConfusedVerb property

ApplyConsecutiveNouns property

ApplyContractions property

ApplyDerogatory property

ApplyDifferentPrep property

ApplyDoubleNegative property

ApplyDoublePlural property

ApplyDoubleWordCheck property

ApplyElision property

ApplyEnglishDerived property

ApplyEnglishWords property

ApplyExotic property

ApplyExtraPrepositionCheck property

ApplyFalseFriend property

ApplyFemaleOccupation property

ApplyFixedExpression property

ApplyForeignWord property

ApplyFormalTerms property

ApplyFormatErrors property

ApplyGallicisms property

ApplyGenderExpressions property

ApplyGermanisms property

ApplyHomoGraphs property

ApplyHomonyms property

ApplyHomonymsEasy property

ApplyHomonymsHard property

ApplyHomoPhone1 property

ApplyHomoPhone2 property

ApplyHomoPhones property

ApplyIncorrectPlural property

ApplyInformalExpressions property

ApplyJargonWords property

ApplykSplitInfinitives property

ApplyLowercaseAdjective property

ApplyLowercaseColor property

ApplyLowercaseNumbers property

ApplyLowercasePhrases property

ApplyLowercasePronouns property

ApplyMassVsCount property

ApplyMisspelledExpressions property

ApplyMisspelledForeignExpressions property

ApplyMisspelledItalian property

ApplyMisspelledWords property

ApplyMisusedWords property

ApplyNonStandardExpression property

ApplyNonStandardModifiers property

ApplyNoudModifierOrderCheck property

ApplyNounConsistency property

ApplyNounPhraseAgree property

ApplyNSAdjective property

ApplyNSClause property

ApplyNSCompare property

ApplyNSContract property

ApplyNSGeography property

ApplyNSInflection property

ApplyNSNegation property

ApplyNSPrep property

ApplyNSPronoun property

ApplyNSSpell property

ApplyNSUsage property

ApplyNSVerbForm property

ApplyOpenClosedSpelling property

ApplyOpenUsage property

ApplyOverusedPhrases property

ApplyPassiveVerbErrors property

ApplyPostClitAgree property

ApplyPrepExpression property

ApplyPrepositionalPhrases property

ApplyPretentiousWords property

ApplyPronounErrors property

ApplyPunctuationErrors property

ApplyRedundantExpressions property

ApplyRegionalExpression property

ApplyRelatedWord property

ApplySensitiveExp property

ApplySexistExpressions property

ApplySpellStandard property

ApplyStockPhrase property

ApplyStyleParameters property

ApplySubjectVerbAgreement property

ApplySwedishGender property

ApplySwedishNegation property

ApplySwedishUsage property

ApplyTrite property

ApplyTwoGender property

ApplyTypicalMisspell property

ApplyUnGrammaticalExpressions property

ApplyVagueQuantifiers property

ApplyVerbGroupConsistency property

ApplyWeakModifiers property

ApplyWordChoice property

ApplyWordCompoundingCheck property

ApplyWordConfusion property

ApplyWordGender property

ApplyWordParts property

ApplyWordyPhraseCheck property

AppViewPrefs property

Archive property

AreDisabledIconsGrayed property

Ascent property

AsciiCodePage property

AsciiCRLFType property

AtBeginning property

AtBeginningOfLine property

AtBeginningOfObject property

AtBeginningOfParagraph property

AtBeginningOfStream property

AtBeginningOfWord property

AtEnd property

AtEndOfLine property

AtEndOfObject property

AtEndOfParagraph property

AtEndOfStream property

AtEndOfWord property

Attributes property

AttrStyleName property

AuthorName property

AutoBackup property

AutoHyphenate property

AutomaticLink property

AutoRunMacro property

AutoSave property

AutoSaveMinutes property

AutoVersion property

B

BackColor property

BackColorIndex property

Background property

BackgroundPrintingOn property

BackgroundSpellingOn property

BackupPath property

BackupPaths property

Bags property

BarSide property

BarType property

BaseLineOffset property

BaselineOffset property

BaseTable property

BaseTables property

BaseURL property

BinName property

BinNames property

BlockPaint property

Blue property

BodyOnly property

Bold property

BookletPrinting property

BookmarkManager property

Bookmarks property

BookmarksByMarkerName property

BorderLines property

BorderOffset property

BorderStyleName property

BottomBorder property

BottomExternalMargin property

Breaks property

BreaksStyleName property

Bullet property

BulletFonts property

BulletStyleName property

C

CanCreatePreviewBitmap property

CanEditProperty property

CanEmbed property

CanWePrint property

Caption property

Case property

Cell property

CellEngine property

CellEngines property

CellLayout property

CellLayouts property

CellLayoutStyles property

CellStyleName property

Center property

Changed property

ChangeKeyboardToLanguage property

ChangeTextToMatchkeyboard property

CharacterBorder property

CharacterBorderName property

CharacterSet property

CharacterSetName property

CharacterStyle property

CharacterStyleName property

CharacterStyles property

CharSet property

Checked property

CheckForScriptEnumError property

CheckForScriptPropertyError property

ChildLayouts property

CityState property

ClassId property

CleanScreenMode property

CleanScreenOnStartUp property

ClickHerePrompts property

ClickHeres property

ClientHeight property

ClientWidth property

ClientWndHeight property

ClientWndWidth property

CloseDocMacroName property

CodePage property

Collapsible property

Collate property

Color property

ColorOverride property

ColumnBalance property

ColumnGap property

ColumnLayouts property

ColumnNumber property

ColumnWidth property

CommentColor property

Company property

Condition property

ConditionType property

ConnectedLayouts property

Container property

Content property

ContentHeight property

ContentName property

Contents property

ContentStyleName property

ContentType property

ContentWidth property

ContextMenuOptions property

ContinuedFromAlignment property

ContinuedFromMessage property

ContinuedFromStory property

ContinuedOnAlignment property

ContinuedOnMessage property

ContinuedOnStory property

Controls property

ConvertOnNew property

Copies property

Count property

Count property

CountBlankLines property

CreatePreviewBitmap property

CreationDateString property

CreationTimeString property

CreationTimeValue property

Crop property

CurrentCell property

CurrentColumn property

CurrentEditor property

CurrentLanguage property

CurrentRow property

CurrentRunningScriptName property

CurrentRunningScriptPath property

CurrentVersion property

CustomLength property

CustomViewLevel property

D

DataFileFieldNames property

DataFileName property

DataFormat property

DataNames property

DateCreatedValue property

DateRevisedValue property

DdeEnabled property

DdeLinkManager property

DdeLinks property

DdeLinksFromMarker property

DdeOutboundInfo property

DebugVariable property

DefaultBinName property

DefaultCellStyleDescription property

DefaultColumnStyleName property

DefaultDropCapStyleDescription property

DefaultFilePath property

DefaultFrameStyleDescription property

DefaultLatinFont property

DefaultLeftColumnStyleName property

DefaultNewCategory property

DefaultNonLatinFont property

DefaultPageHeight property

DefaultPageStyleDescription property

DefaultPageWidth property

DefaultPitch property

DefaultRightColumnStyleName property

DefaultTableStyleDescription property

DefaultTextStyleDescription property

DefCellStyleName property

DefColWidth property

Definition property

DefRowHeight property

DelayedGreeting property

DeleteFont property

DemandLoad property

Descent property

Description property

DescriptionFileName property

DiagonalLines property

DirControl property

DirectionDown property

DirectionLeft property

DirectionRight property

DirectionUp property

DirectiveColor property

DisableClickHeres property

DisableConsistencyCheck property

DisableExportToNotes property

DisableVersionReview property

DisplayAsIcon property

DistanceFromLeftMargin property

Division property

DivisionInfo property

DivisionName property

DivisionNames property

DivisionOptions property

Divisions property

DocControl property

DocControlRestrictedToEditor property

DocInfo property

DocOptions property

DocPath property

DocSize property

Document property

DocumentLevel property

DocumentPaths property

Documents property

DocVersionID property

DocWindows property

DoInitialCaps property

DoSmartQuotes property

DoubleUnderline property

DragDropOn property

DriverName property

DropCapPosition property

DropCaps property

DropCapStyleName property

DropCapStyles property

DuplexType property

E

Editable property

EditorInitials property

EditorManager property

EditorName property

Editors property

EditorVerificationType property

EffectiveColumnWidth property

EMail property

Embedded property

EmbedFonts property

Enabled property

Enabled property

EncryptPassword property

EncryptPassword2 property

EndingColOfSelection property

EndingRowOfSelection property

EndnoteDivisionGroupNum property

EndnoteDivisionNum property

EndnoteDocNum property

Endnotes property

Enumeration property

Epoch property

EqnFontHeight property

ErrorColor property

ExcludeRectBottom property

ExcludeRectLeft property

ExcludeRectRight property

ExcludeRectTop property

Expandable property

ExportToNotesFX property

ExternalFileID property

ExternalFileName property

ExternallyControlledUndo property

ExternalName property

ExternalType property

F

FaceName property

FaceNames property

FaceStyleName property

FastFormatType property

FaxNumber property

FieldDelimiter property

FieldDelimiterText property

FieldManager property

FieldNumber property

Fields property

FieldType property

FileFormat property

FileProtectionType property

FilesToCompare property

FileType property

FillerPageText property

FillStyle property

Filter property

Filter property

FilterHelper property

FilterIndex property

FilterName property

FindAndReplace property

FindExactCase property

FindFont property

FindForwardDirection property

FindString property

FindStyleName property

FindWithProperties property

FinishedSpellChecking property

First property

FirstChild property

FirstDivision property

FirstName property

FirstPage property

FirstSpellString property

FitType property

FixAcronymns property

FixBullets property

FixMargins property

Flags property

Font property

FontColor property

FontMatching property

FontMetrics property

FontName property

FontSize property

FontStyleName property

FontUnitName property

FontUnits property

FootnoteContSep property

FootnoteLayouts property

FootnoteNumbering property

FootnoteOptions property

Footnotes property

FootnoteSeparator property

ForeColorIndex property

Format property

FormatCheckPreferences property

FormatType property

Formula property

Foundry property

Frame property

Frames property

FrameStyleName property

FrameStyles property

FreeMenus property

FullName property

G

GapBetweenPanes property

GetAfidHelpFileName property

GetAfidHelpInfo property

GetButtonType property

GetConversationHandle property

GetFilterExtension property

GetFilterExtForDialogBox property

GetFilterId property

GetFormatName property

GetHomeDirectory property

GetItemName property

GetRedoWhatDesc property

GetServerName property

GetStatus property

GetTopicName property

GetUndoWhatDesc property

GetValue property

GlossaryDataFileName property

GlossaryDataFiles property

GlossaryDataPaths property

GlossaryPath property

Glossarys property

GrammarFormalityLevel property

GrammarOptions property

GrammarProofLevel property

GrammarSetName property

Graphic property

GraphicExports property

GraphicImports property

GraphicOleObject property

GraphicPath property

GraphicPaths property

Graphics property

Green property

Greeting property

GridDistance property

GridType property

Groups property

Gutter property

H

Hang property

HasContents property

HasFocus property

HasIndex property

HasLocalTabs property

HasTabs property

HasTOC property

Heading property

Height property

HelpText property

HideFormula property

HideOutlineLevels property

HighLightMode property

HiLiteColor property

HorizontalSplitWindow property

HorizScrollBarVisible property

HorzRuler property

Hwnd property

hWnd property

HyphenateLastWordInColumnOrPage property

HyphenateLastWordInPara property

HyphenationOptions property

HyphZoneAfter property

HyphZoneBefore property

I

IconBarManager property

IconBarPositionState property

IconBars property

IconBarSets property

IconHelpText property

IconPath property

IconPaths property

IconScript property

IconSetName property

IconShowingBeforeCleanScreen property

IconSize property

ID property

ID property

IdentifierColor property

IDispatch property

IgnoreSoftHyphens property

IgnoreTab property

IncludeDirs property

IncludeDrives property

IncludeInitialsInNotes property

IncludeList property

Indent property

IndentFromLeft property

IndentStyleName property

IndexAlphabeticSeparator property

IndexDivision property

IndexIndentType property

IndexParent property

IndexPrimaryStyleName property

IndexRange property

IndexSecondaryStyleName property

IndexSection property

IndexSeparatorStyleName property

IndexSource property

InDocument property

InfoBoxSelectionText property

InitalizeRoute property

InitDir property

Initialize property

InitialsForFilters property

InsertFont property

InsertionMode property

Interactive property

Interval property

IsActionOnButtonDown property

IsActive property

IsAmikake property

IsAmiProTableImport property

IsAsciiCRLF property

IsAsciiKeepStyle property

IsAutoGrow property

IsBadReference property

IsBorder property

IsBothSidesEqual property

IsBreakable property

IsBubbleHelp property

IsCellMenuEnabled property

IsCentered property

IsChanged property

IsChangedOtherThanLinkTo property

IsChangedSinceTimeSave property

IsChangedToLinkTo property

IsChartLink property

IsChildSpannable property

IsCollapsed property

IsCollapsible property

IsColumnBreakable property

IsColumnBreakAfter property

IsColumnBreakBefore property

IsComplex property

IsConnected property

IsContents property

IsContinuedFrom property

IsContinuedOn property

IsCumulative property

IsDebug property

IsDisableWarningMessages property

IsDisplayMisspelled property

IsDivisionExternal property

IsDocLoading property

IsDocumentInRoute property

IsDoubleWordError property

IsDraw property

IsEmpty property

IsEmptyDoc property

IsEnabled property

IsEndnoteDivision property

IsEquation property

IsErrorChecking property

IsExpandDown property

IsExpandLeft property

IsExpandRight property

IsExpandUp property

IsExportedToNotesFX property

IsExportedToOldNotesFX property

IsExternalFile property

IsFixedLength property

IsFrameMenuEnabled property

IsGrabBar property

IsGrammarError property

IsGraphicMenuEnabled property

IsHangover property

IsHighlightNote property

IsHorizontalScrollBarCleanScrn property

IsHoverHelp property

IsIconDepressible property

IsInBulletEditMode property

IsIndex property

IsInDraft property

IsInOutline property

IsInPageSort property

IsLastStop property

IsLesser property

IsLinked property

IsLocal property

IsLocked property

IsLockedForRevisions property

IsLotusChart property

IsMarginSameAsParent property

IsMarginsInColor property

IsMarkerValid property

IsMisspelled property

IsNotCopyable property

IsNotCopyImage property

IsNotGroupable property

IsNoUICommAllowed property

IsOnClipBoard property

IsOpen property

IsOverridden property

IsOverride property

IsPageBreak property

IsPageBreakAfter property

IsPageBreakBefore property

IsPageBreakMarks property

IsPageBreakWithin property

IsParagraphNumberingDown property

IsParagraphParent property

IsParallelColumnsMenuEnabled property

IsPartOfGroup property

IsPersistent property

IsPrePrintedForm property

IsPrintable property

IsPrintClickHereBlocks property

IsPrompting property

IsProtected property

IsRegistered property

IsRepeat property

IsReplaceable property

IsResetParagraphNumber property

IsRevisionMark property

IsSame property

IsSave property

IsScalable property

IsScalableBorder property

IsScrollable property

IsShowing property

IsSingleClickEntry property

IsSizable property

IsSizingViaMouse property

IsSmartCorrectEnabled property

IsSmartEditEnabled property

IsSmartShadeEnabled property

IsSnapTo property

IsSortFromEnd property

IsSpellBarUp property

IsSpellMode property

IsSqueeze property

IsStyle property

IsStyleSheet property

IsSymbolic property

IsTableHeading property

IsTemp property

IsTextLocked property

IsTextMenuEnabled property

IsTOC property

IsTrueType property

IsUndoOn property

IsUpdateAutomatic property

IsUpdateIndex property

IsUpdateTOC property

IsValid property

IsVerticalScrollBarCleanScrn property

IsViewAnchor property

IsViewBookmarks property

IsViewClickHereBlocks property

IsViewColGuides property

IsViewColumnBreakMarks property

IsViewDDELinks property

IsViewHorzRuler property

IsViewHorzScrollBar property

IsViewMenuCleanScrn property

IsViewNotes property

IsViewOutlineFlowToScreen property

IsViewOutlineIndent property

IsViewPageLayoutMarks property

IsViewParallelColumnBorder property

IsViewPictures property

IsViewReturnIconCleanScrn property

IsViewReturns property

IsViewRubyMarks property

IsViewRulerMarks property

IsViewSectionBreakMarks property

IsViewSectionTabs property

IsViewSmartIconsCleanScrn property

IsViewStatusBarCleanScrn property

IsViewStatusSpell property

IsViewTableCellSelection property

IsViewTableGridLines property

IsViewTableHeadings property

IsViewTabs property

IsViewThumbBarCleanScrn property

IsViewTitleBarCleanScrn property

IsViewVertRuler property

IsViewVertScrollBar property

IsWordProChart property

IsWorkingDir property

Italic property

Items property

J

Join property

JoinCorners property

JoinHeight property

JoinType property

JoinWidth property

Justifiable property

K

KeepWithNext property

KeepWithPrev property

KeyboardLanguage property

KeywordColor property

Keywords property

Kinsoku property

L

LandscapeMode property

Language property

Last property

LastChild property

LastDivision property

LastDocPath property

LastEditorName property

LastGraphicPath property

LastGraphicType property

LastMacroPath property

LastName property

LastPage property

LastUsedDateFormula property

Layer property

LayerName property

Layout property

LayoutName property

LayoutOverride property

Layouts property

LeaderDotDashChar property

LeaderDotDotChar property

LeaderDotType property

LeaderDotUnderscoreChar property

LeadingText property

Left property

LeftBorder property

LeftExternalMargin property

LeftPage property

LeftTopCellId property

Length property

Level property

LineCount property

LineLocation property

LineMix property

LineNumberOptions property

LinePlacement property

LinesSpacedEveryNthUnit property

LineValid property

LinkAvailable property

LinkDisplayName property

LinkDisplayNameFileLength property

Linked property

LinkedFileName property

LinkFrame property

LinkGraphic property

ListCount property

ListCount property

LoadFilesMaximized property

Location property

Locked property

LockForNotesUserName property

LockResult property

Locks property

LowerCase property

LowerCaseAscent property

LwpMenuBar property

M

Macro property

MacroName property

MacroPath property

MacroPaths property

MacroStatus property

MailRouting property

MailRoutingPtr property

MaintainAspectRatio property

MaintainEditor property

MarginBottom property

MarginColor property

MarginLeft property

MarginRight property

MarginTop property

MarkCharacter property

MarkerClass property

MarkerName property

Markers property

MarkPosition property

MarkType property

Master property

MasterName property

MatchType property

MaxBottomBorder property

MaxBottomGutter property

MaxContentHeight property

MaxContentWidth property

MaxHorzPaneDistance property

MaxHyphLines property

MaxIdenticalConsecSentOpens property

MaxIdenticalSentOpensWithin10 property

MaximizeOnStartUp property

MaximumWordsinaSentence property

MaxLeftBorder property

MaxLeftGutter property

MaxLength property

MaxNumColsAllowed property

MaxNumRowsAllowed property

MaxRightBorder property

MaxRightGutter property

MaxSplitCols property

MaxSplitRows property

MaxTopBorder property

MaxTopGutter property

MaxVertPaneDistance property

MergeFileType property

MergeInfoPtr property

MergeOptions property

MergeStepNumber property

MergeToFile property

MetafilePict property

MinBottomMargin property

MinHeight property

MinLeftMargin property

MinRightMargin property

MinTopMargin property

Modal property

ModifiedDateString property

ModifiedTimeString property

ModifiedTimeValue property

MouseButtonForManipulation property

MouseButtonForSelection property

MouseProperty property

MultiCellPasteOn property

MultiCompareParaTag property

MultiCompareParaTagSet property

N

Name property

NameBasedOnStyle property

NameForFilters property

Negative property

NewDocMacroName property

NewFile property

NewVersion property

NextClickHere property

NextName property

NextNeighbor property

NextSection property

NextSpellString property

NextStyleName property

NextText property

NoHyphenate property

NonUserDocument property

Normal property

Normal property

NormalParagraph property

NoteColor property

NoteLayouts property

NotesFlow property

Number property

NumberEveryNthLine property

NumberFound property

Numbering property

NumberingPosition property

NumberingStyleName property

NumberOfCharacters property

NumberOfDataFields property

NumberOfLines property

NumberOfMergeConditions property

NumberOfReplacements property

NumberOfRevisions property

NumberSequenceName property

NumberWhichLines property

NumCharsInDoc property

NumCharsInParagraph property

NumCols property

NumColsSpannedOneCell property

NumContainers property

NumDecimalPlaces property

NumericFormat property

NumFields property

NumLinesOfSpace property

NumLinesOfSpaceAbove property

NumLinesOfSpaceAboveLine property

NumLinesOfSpaceBelow property

NumOfRecentFiles property

NumPagesInDoc property

NumParagraphs property

NumRows property

NumRowsSpannedOneCell property

NumRowsThatFit property

NumRowsToFit property

NumTabs property

NumUndoLevels property

NumWindowsViewingDoc property

NumWordsInDoc property

O

Object property

ObjectType property

Oblique property

OCXDesignMode property

Offset property

Ole1Object property

OLEAutomation property

OleContainerDocName property

OLEEnabled property

OleMinHeight property

OleObject property

OleObjects property

OleObjectSize property

OpenDocMacroName property

OpenDocsVisible property

OpenExisingFileInWelcomeBox property

OpenReadOnly property

OpionDeclare property

Options property

OrigFileType property

OrigHeight property

OrigWidth property

Outline property

OutlineBorderLines property

OutlineButtons property

OutlineHeadingButtonsOnly property

OutlineLevel property

OutlineOnlyHeadingsWhenCollapsed property

OutlineSeqItems property

OutlineStyleSequences property

OutputToFile property

Override property

Overstrike property

OverstrikeCharacter property

P

Page property

PageNo property

PageNum property

PageNumber property

PageNumberAsText property

PageNumberStyle property

PageNumFirstPageShowing property

PageNumLastPageShowing property

PageOrder property

Pages property

PageStyleName property

PageStyles property

PageToUseLayoutOn property

PairKerning property

PaneColor property

PaperNames property

ParagraphBorder property

ParagraphHasDropCap property

ParagraphHasText property

ParagraphStyle property

ParagraphStyleName property

ParagraphStyles property

ParagraphSymbolChar property

ParallelColumns property

Parent property

ParentMenuHWND property

ParentName property

Partial property

Path property

Path property

PathName property

Pattern property

Percentage property

PersonalData1 property

PersonalData2 property

PersonalData3 property

PersonalData4 property

PhoneNumber property

PitchAndFamily property

Placement property

Plain property

PointSize property

Position property

PositionType property

PositionXInContainer property

PositionXOnPage property

PositionYInContainer property

PositionYOnPage property

PowerField property

PowerFields property

Preferences property

Prefix property

Presentation property

PrettyPrinting property

PreviousClickHere property

PreviousName property

PreviousNeighbor property

PrintDestination property

PrintDocDescription property

PrinterName property

PrintGraphics property

PrintInBackground property

PrintManager property

PrintPagesFrom property

PrintPagesTo property

PrintPageType property

PrintRange property

PrintSettings property

Private property

ProgID property

Prompt property

ProtectedMode property

Q

QueueName property

R

ReadCompressed property

ReadOnly property

ReadOnly property

Red property

Relative property

RelativeIndent property

RelativePageNum property

RelativeType property

RelativeXDistance property

RelativeYDistance property

ReleaseNumber property

RenderedPageNumber property

ReplaceAttributes property

ReplaceExactCase property

ReplaceFont property

ReplaceLanguage property

Replacements property

ReplaceString property

ReplaceStyleName property

ReplaceWithProperties property

RequestRemarkOnClose property

RequireStartupScripts property

ResetOnEachPage property

ResetWhen property

Rest property

RestartStyleName property

Result property

ResumePausedMacro property

RetainNameOfImportedFile property

ReviewVersions property

RevisionDisplay property

RevisionMark property

RevisionMarkMode property

RevisionType property

RevMarkCharacter property

RevMarkPosition property

RevMarkType property

Right property

RightAlign property

RightBorder property

RightExternalMargin property

RightMouseMenus property

RightMousePropId property

RightMousePropText property

RightPage property

RowLayouts property

Rows property

RubyLayouts property

RunMacroOnDocEvents property

RunMacroOnLoad property

RunOnCloseDoc property

RunOnNewDoc property

RunOnOpenDoc property

S

Saved property

SaveSnapShot property

ScaleHeight property

ScaleMode property

ScalePercentage property

ScaleWidth property

ScreenPositionX property

ScreenPositionY property

Script property

SearchAttributes property

SearchLanguage property

Section property

SectionName property

Sections property

SectionTabs property

SelectCount property

SelectedPages property

SelectionBorderColor1 property

SelectionBorderColor2 property

SelectionBorderColor3 property

SelectionType property

SelectTab property

SelectType property

ServerFormat property

SetContextOfBar property

SetTabsDialog property

Shadow property

Shape property

ShowBubbleHelp property

ShowDivisionTabs property

ShowFileNew property

ShowGraphicPreview property

ShowInContext property

ShowMailDisabled property

ShowNoWelcomeBox property

ShowStatistics property

ShowTabs property

SilverBullet property

SilverBullets property

SingleCellSelected property

Size property

SizeStyleName property

SizingUnitName property

SizingUnits property

Skipped property

SkipWordMode property

SmallCaps property

SmallFileFormat property

SmartCorrect property

SmartCorrects property

SmartFill property

SmartLevel property

SnapshotOffset property

SnapshotPath property

SnapShotSaveOptions property

SnapshotSize property

SortLevel1 property

SortLevel2 property

SortLevel3 property

SortNumbers property

SortOptions property

SortOrder property

SortType property

SortWord property

SortWordOption property

SpaceAbove property

SpaceBelow property

SpacesBetweenSentences property

Spacing property

SpacingStyleName property

SpacingUnitName property

SpacingUnits property

Span property

SpellCheckInitialCaps property

SpellCheckRepeatedWords property

SpellCheckUserDictAlternatives property

SpellCheckWordsWithNums property

SpellColor property

SpellFocusedColor property

SpellString property

SplitPercentage property

Start property

StartColumns property

StartingColOfSelection property

StartingColStringOfSelection property

StartingNumber property

StartingRowOfSelection property

StartRow property

StateID property

StatusBar property

StatusBarButtons property

StatusBarVisible property

StatusSpellReplaceAll property

StrikeThrough property

Style property

StyleExceptions property

StyleName property

StylePath property

StylePaths property

StyleSheetFullPath property

StyleSheetName property

StyleSheetPath property

Subscript property

Suffix property

Suggestions property

Superscript property

SuperTableContainer property

SuperTableLayouts property

SuperTables property

System property

T

TabExits property

Table property

TableContainer property

TableExports property

TableFill property

TableHeadingLayouts property

TableHeadings property

TableImports property

TableLayouts property

TableLine property

TableMarkers property

TableOnlyContainer property

Tables property

TableStyleName property

TableStyles property

TabOrder property

TabRack property

TabRelativeTo property

TabSpacing property

TabSymbolChar property

TabType property

TabWidth property

TempFindAndReplace property

TempFoundry property

Text property

Text property

TextandTableExports property

TextandTableImports property

TextAttributes property

TextMarkers property

TextOrient property

TextOrientation property

Texts property

TextStyleName property

TextStyles property

TextTightness property

TextViewAttributes property

ThesMaxNumSynonymsReturned property

Tile property

TileWindow property

Time property

TimedSaveFileExtension property

Title property

TitleBarDocNumber property

TitleBarVisible property

TOCRange property

TOCSource property

Top property

TopBorder property

TopExternalMargin property

TopLeftCellRowId property

TotalEditingTime property

TrailingText property

Type property

Type property

TypeAbove property

TypeAboveLine property

TypeBelow property

TypeRight property

Typos property

U

Underline property

UndoEnable property

UndoLevels property

Units property

UpdateFields property

UpdateOnLoad property

UpdateOnLoadImmediate property

UpperCase property

UseConsistentSpaceBetweenSentences property

UseContents property

UseDefaultPrinter property

UsedFirstPageHeight property

UseEncrypt property

UseExcludeRect property

UseFindStyle property

UseGreeting property

UseNextStyle property

UsePrinterSettings property

UserDefinedFilter property

UserDictFiles property

UserDictionaryFiles property

UserDictionaryPath property

UserDictionaryPaths property

UserDictStates property

UseRelative property

UseReplaceStyle property

UserInitials property

UserInterfacePrefs property

UserLinkName property

UserName property

UseSeparatorLine property

UsesHelp property

UsesPalette property

UseSuperscriptReferenceNum property

UseTwoSpacesBetweenSentences property

UseWhen property

V

Valid property

VersionID property

VersionManager property

VersionName property

VersionRemarks property

Versions property

VertAlign property

VerticalSplitWindow property

VertRuler property

VertScrollBarVisible property

ViewLevel property

ViewType property

Visible property

Visible property

W

WasDeletedInRevMarkMode property

WasInsertedInRevMarkMode property

WasPasted property

WaterMarkName property

WatermarksPath property

Weight property

Where property

WidowOrphan property

Width property

WidthAbove property

WidthBelow property

WidthInLongtwips property

WidthOfColumn property

WindowId property

WindowsName property

WinViewPrefs property

WithComments property

WordDoubleUnderline property

WordUnderline property

WorkingType property

WPDataSets property

WrapType property

X

XOffset property

XPosition property

Y

YOffset property

YPosition property

Z

Zero property

ZipCode property


Developing SmartSuite Applications

Developing SmartSuite Applications Using LotusScript is available in the SmartSuite CD package as an online book. To install Developing SmartSuite Applications Using LotusScript, see the SmartSuite installation instructions.

To order a printed version of Developing SmartSuite Applications Using LotusScript and other LotusScript user assistance in the SmartSuite Developer's Kit, complete the order form and return it to Lotus.


Order Form for the SmartSuite 97 Application Developer's Kit

To order the SmartSuite Application Developer's Kit, complete the following form and mail or fax it to Lotus. You will receive the SmartSuite Application Developer's Kit within 21 days.

Ordering by US Mail

Mail the completed form to:

Lotus Development Corporation

55 Cambridge Parkway

Cambridge, MA 02242

Ordering by FAX

Fax the completed form to:

(617) 537-8500

Order Form

Name:	___________________________________________________

Title:	___________________________________________________

Mailing address:	___________________________________________________

___________________________________________________

___________________________________________________

___________________________________________________

E-mail address:	___________________________________________________

Product Registration Number: _________________________________________


LotusScript Documentation as Online Books

If you purchased the CD-ROM version of SmartSuite 97, you can use SmartSuite Install to install the following online Books about LotusScript:

•	Getting the Most Out of LotusScript in SmartSuite 97

•	Developing SmartSuite Applications Using LotusScript

•	LotusScript Language Reference

•	LotusScript Programmer's Guide

For more information about installing Online Books, see your SmartSuite 97 installation documentation.


LotusScript Documentation on the Web

You can view updated versions of LotusScript documentation, or download updated sample applications or Help files from the LotusScript home page.

If you configured Windows 95 to launch your Web browser automatically when you click a URL on your desktop, you can click the following button to go to the LotusScript home page.

 Click to access the LotusScript home page

If you are using Windows 3.1 or you did not configure Windows 95 to launch your Web browser automatically, enter the following URL in the location field in your browser and press ENTER:

http://webedit/applicat/lsmain.htm


Overview: Designing SmartSuite Applications

LotusScript provides a variety of tools and services to support you in developing applications for SmartSuite. Getting productive in a new programming environment often involves understanding how all the pieces work together -- the tools, the language conventions, the object dependencies, and so on. Understanding how to approach the problem and where to enter your script code is half the challenge in learning.

Choosing a place to begin

Lotus Notes, 1-2-3, Approach, Freelance Graphics, and Word Pro all use the same underlying LotusScript language. Each product implements LotusObjects on top of the LotusScript language. To determine what product best supports the goals for your script application, consider using each of the SmartSuite products and reviewing its features. Read Developing SmartSuite Applications Using LotusScript for overviews of what each product can bring to your programming effort. Implement a few simple procedures in each product to get a feel for its features and objects. In the long run, you'll be better able to determine what product provides strengths where you need them most, and how you can develop cross-product applications that take advantage of the strengths of each product.

Working the basics

LotusScript applications share the following common features.

•	You need a Lotus product to run script applications.

•	You need a Lotus product to store scripts in a product document such as a 1-2-3 workbook or Word Pro document.

•	You need to run the Lotus Integrated Development Environment (IDE) to edit and debug scripts stored in a product document.

•	You need to open an IDE window for each product document containing scripts that you want to modify.

To write a basic script application, therefore, you must run a Lotus product and load a document in that product. You can then write scripts for the product objects that you create in your product.

Writing scripts in the Integrated Development Environment (IDE)

Your primary tool for developing script applications is the Lotus Integrated Development Environment (IDE). Beyond providing the basic tools such as an editor, a debugger, a browser, and a dialog editor, the IDE provides a high degree of integration with each Lotus product. It is easy to move between tasks that you perform in a product and those that you perform in the IDE.

Writing global scripts

Global scripts make declarations, options, and procedures available to all scripts in your document. For example, to write global scripts for a 1-2-3 document named LSAPP2.123, you must first run 1-2-3, load the document LSAPP2.123, and then open an IDE window for that document. Choose Edit - Scripts & Macros - Show Script Editor in the 1-2-3 menu to activate an IDE window for your current document.

The IDE lists objects that you can script in the Object list and scripts for each of those objects in the Script list. You can add statements to predefined scripts in (Globals), such as (Options), (Declarations), Initialize, or Terminate, or you can create your own named procedures. You do not need to modify predefined scripts to write a basic script application.

The following illustration shows how to select a particular script for (Globals).

Click any item in the following list to learn more about it.

Product document   (Options) scripts   (Declarations) scripts	Initialize and Terminate subs   User-defined procedures
Writing scripts for product objects

You can also write scripts for product objects in your document. As with (Globals), you can add statements in the predefined scripts for an object, or create new procedures for that object. Unlike scripts that you write in (Globals), the declarations, options statements, and procedures that you write for a product object are not generally available to scripts attached to a different product object.

The predefined scripts for product objects include object event procedures. Script statements in an object event procedure are executed when an object, such as a button, receives a particular event in your product, such as being clicked, double-clicked, or moved. For example, if you add a button named Button 5 to the 1-2-3 document LSAPP2.123, and you want it to run some script when you click it, you must add script statements to the Click procedure for Button 5. To select this event procedure, choose the Button 5 object in the IDE Object list and choose Click in the Script list.

The following illustration shows how to select a predefined or user-defined script for a 1-2-3 product object named Button 5.

Click any item in the following list to learn more about it.

User-defined procedures   (Options) scripts   (Declarations) scripts	Event procedures   Initialize and Terminate subs
Working with external script files

In many cases, the one-application-per-document approach is sufficient for working with objects and data in isolated documents. To develop more sophisticated applications that reuse important scripts or use multiple products, consider using the following types of external script files:

LotusScript Script (LSS) files

LotusScript Object (LSO) files

LotusScript Extension (LSX) files

OLE Custom Control (OCX) files

Dynamic-link Library (DLL) files


Dynamic-link Library (DLL) files

If you develop useful functions in C and compiled them in a Dynamic-link Library (DLL), you can call them from your LotusScript application. For example, the following procedure declares and calls a LotusScript function named SendDLL, corresponding to a C function named _SendExportedRoutine in the DLL file named MYEXPORTS.DLL.

Declare Function SendDLL Lib _

   "C:\LOTUS\ADDINS\MYEXPORTS.DLL" _

   Alias "_SendExportedRoutine" (i1 As Long, i2 As Long)

SendDLL(5, 10)

For more information on using Dynamic-link Libraries, see LotusScript Language Reference.


(Declarations) scripts in (Globals)

The (Declarations) script is designed to contain the following statements:

•	Dim statements for variables that you want to be available to all scripts in your document

•	Public, Private, Type, Class, and Declare Lib statements (external C calls)

•	Const statements for those constants that you want to be available to all scripts in your document and are not needed for Use or UseLSX statements in (Options)

By default, the (Declarations) script is initially empty.

If you enter Type, Class, or Declare Lib statements in any other script in (Globals), the IDE moves them to (Declarations) automatically. If you enter Dim, Public, Private, or Const statements outside the scope of a procedure in another script, the IDE moves them to (Declarations) automatically. Const statements in (Options) are the exception to this rule.


Initialize and Terminate subs in (Globals)

Initialize script

Use the Initialize sub in (Globals) to initialize variables that you declared in (Declarations). The Initialize sub executes before any of these variables are accessed and before any other scripts in (Globals) are executed. By default, the Initialize script is empty.

Terminate script

Use the Terminate sub in (Globals) to clean up variables that you declared in (Declarations) when you close your document, or when you modify a script and execute it again. For example, you might use an Open statement to open a file containing data in Initialize, and use a Close statement in Terminate to close it. By default, the Terminate script is empty.


(Options) scripts in (Globals)

The (Options) script in (Globals) is designed to contain these the following statements:

•	Option statements

Note	(Options) contains the statement, Option Public, by default. This makes Const, Dim, Type, Class, Sub, Function, and Property statements public by default. You can use the Public form of these statements to make them public explicitly, or the Private form to make them unavailable to other scripts outside (Globals).

•	Deftype statements

•	Use and UseLSX statements

•	Const statements needed for Use and UseLSX statements

If you enter any of these statements, except for Const, in any other script in (Globals), the IDE automatically moves them to (Options).

Option and Deftype statements that you enter in (Options) apply only to scripts for the current object. To make certain that an option is applied consistently throughout your document, enter the appropriate statement in the (Options) script for every object for which you are writing scripts.


User-defined procedures in (Globals)

While you are working in (Globals), you can add procedures to make them available throughout your document. There are three ways to add procedures to (Globals) in the IDE:

•	Using the IDE menu: Choose Create - New Sub or Create - New Function in the IDE menu to create new subs and functions in (Globals). The IDE automatically adds the name of the new procedure to the Script list.

•	Entering statements: Enter a Sub, Function, or Property statement anywhere in (Globals) except within a class. The IDE automatically adds the name of the new procedure to the Script list for (Globals).

•	Importing procedures from a file: Use File - Import Script in the IDE menu to import scripts when you are working in (Globals). These imported scripts will be available to all scripts in your document. The IDE automatically adds the name of any new procedures contained in the imported script to the Script list.


LotusScript Documentation for SmartSuite 97
LotusScript User Assistance for SmartSuite 97

To help you learn how to develop LotusScript applications for SmartSuite 97, Lotus provides a complete library of user assistance.

Getting the Most Out of LotusScript in SmartSuite 97

This publication explains how SmartSuite 97 products use the LotusScript programming language and how your business can take advantage of LotusScript in developing applications for SmartSuite.

Getting the Most Out of LotusScript in SmartSuite 97 is available in hard copy, Adobe Acrobat, or HTML formats in your SmartSuite 97 package, in the SmartSuite Application Developer's Kit, or on the Worldwide Web.

Developing SmartSuite Applications Using LotusScript

This publication provides comprehensive information on key concepts and techniques for developing LotusScript applications. Developing SmartSuite Applications Using LotusScript focuses on programming tools, cross-application programming, Lotus Notes integration, and product-specific application development.

Developing SmartSuite Applications Using LotusScript is available in hard copy, Adobe Acrobat, or HTML formats in your SmartSuite 97 package, in the SmartSuite Application Developer's Kit, or on the Worldwide Web.

LotusScript Language Reference

This publication provides a comprehensive summary of conventions and basic commands for the LotusScript language. LotusScript Language Reference provides the foundation for programming any product that supports the LotusScript programming language.

LotusScript Language Reference is available in hard copy, Adobe Acrobat, Help, or HTML formats in your SmartSuite 97 package, in the SmartSuite Application Developer's Kit, or on the Worldwide Web.

LotusScript Programmer's Guide

This publication is a general introduction to LotusScript that describes basic building blocks in the language and explains how to use them to create powerful applications.

LotusScript Programmer's Guide is available in hard copy, Adobe Acrobat, or HTML formats in your SmartSuite 97 package, in the SmartSuite Application Developer's Kit, or on the Worldwide Web.

Class Reference Help and Frequently-asked Questions

Each product provides comprehensive Help on product classes, frequently-asked questions about programming, and code examples. All this is delivered in an innovative Help system designed to enhance your work as a programmer.

Class reference Help and frequently-asked questions are available in Help or HTML formats in your SmartSuite 97 package, in the SmartSuite Application Developer's Kit, or on the Worldwide Web.

Example code and sample applications

Most products also provide working code to illustrate important programming techniques. You can reuse and modify this code as you develop your own applications.

Example code is available in the SmartSuite CD-ROM package, in the SmartSuite Application Developer's Kit, and on the  Worldwide Web.


LotusScript Object (LSO) files

LotusScript Object (LSO) files contain public definitions that you can use in your script applications. If you develop a library of commonly-used declarations or procedures that you want to reuse across multiple script applications, you can collect them in a product document, and use the File - Export Globals as LSO menu command to create a compiled LotusScript Object file. If this file were named WKREPORT.LSO, you would make these public definitions available to your script application by entering the following statement in the appropriate (Options) script:

Use "C:\LOTUS\ADDINS\WKREPORT.LSO"

For more information on using LotusScript Object files, see LotusScript Language Reference.


LotusScript Script (LSS) files

LotusScript Script (LSS) files are text files that contain LotusScript statements. You can create LSS files in any text editor. Use the %Include directive anywhere in a script to reference the contents of an LSS file. For example, to include the contents of a LotusScript Script file named STDSETUP.LSS in your application, enter the following statement:

%Include "C:\MYSCRIPTS\STDSETUP.LSS"

By default, LotusScript assumes that the LotusScript Script files referenced have an LSS file extension. You can actually use any extension for your text file or no extension at all.

For more information on using LotusScript Script files, see LotusScript Language Reference.


LotusScript Extension (LSX) files

LotusScript Extension (LSX) files are Dynamic-link Libraries (DLLs) that contain public class definitions. LSX files are developed using the Lotus LSX Toolkit. To obtain a version of the LSX Toolkit for your operating system, connect to the Lotus home page on the WorldWide Web. Lotus ships LSX files for Lotus Notes and Approach; other LSX files are being developed for SmartSuite products by Lotus and by third-party developers. These extension files expand the range of classes that you can use in your LotusScript applications.

Tip	You can enter a UseLSX statement in any script; the IDE automatically moves it to (Options).

Loading and using class definitions in LSX files

There are two ways to load and use the public class definitions in an LSX file.

•	If the LSX file that you want to load is not registered in the Windows Registry, you must refer to the LSX file directly in your UseLSX statement.

•	UseLSX "C:\MYSCRIPTS\LSX4DB2.DLL"

•	If an LSX is registered and you want to reference a class definition directly, you can enter the name of the class definition.

•	UseLSX "ObjectName"

In this example, LotusScript searches all entries under "LotusScriptExtensions" in the Windows Registry for the specified class definition, and loads that definition.

Note	If the LSX file you want to load is registered in the Windows Registry, you can reference its Registry name and have Windows provide the appropriate DLL name and file path. SmartSuite 97 registers an LSX file that contains Notes public class definitions. To use these Notes class definitions in your cross-product script applications, enter the following statement:

Note	UseLSX "*Notes"

Viewing class definitions

Once you run a script containing a UseLSX statement and loaded an LSX file, you can browse its class definitions in the IDE Browser panel.

For more information on using LotusScript Extension files, see LotusScript Language Reference.


(Declaration) scripts in object scripts

The (Declarations) script for an object is designed to contain the following statements:

•	Dim statements for variables that you want to be available to all scripts for the current object

•	Const statements for those constants that you want to be available to all scripts for the current object and that are not needed for Use or UseLSX statements in (Options)

By default, the (Declarations) script is initially empty.


Event procedures in object scripts

If you are writing a script for an object, the Script list displays default event procedures for the selected object. In the IDE, you cannot create new event procedures for an existing product object because valid events for that object are defined by the product.


Initialize and Terminate subs in object scripts

Initialize sub

Use the Initialize sub to set up variables declared in the object's (Declarations) script. The Initialize sub for an object executes before any of its event procedures. By default, the Initialize script is empty.

Note	Scripts for controls created in the Lotus Dialog Editor do not have Initialize subs.

Terminate sub

Use the Terminate sub to clean up variables that you declared in the object's (Declarations) script. By default, the Terminate script is empty.

Note	Scripts for controls created in the Lotus Dialog Editor do not have Terminate subs.


(Options) scripts in object scripts

The (Options) script for an object is designed to contain these the following statements:

•	Option statements

•	Deftype statements

•	Use and UseLSX statements

•	Const statements needed for Use and UseLSX statements


User-defined procedures in object scripts

You can create other named subs, functions, and properties for objects, in addition to the predefined scripts or event procedures. Because these procedures are not in (Globals), they can be called only from other scripts for the object.

There are three ways to create object scripts in the IDE:

•	Using the IDE menu: Use Create - New Sub and Create - New Function to create new subs and functions for an object. The IDE automatically adds the name of the new procedure to the Script list for that object.

•	Entering statements: Enter a Sub, Function, or Property statement anywhere in a script for the current object. The IDE automatically adds the name of the new procedure to the Script list for that object.

•	Importing procedures from a file: Use File - Import Script when you are working with object scripts to import scripts for that object. The IDE automatically adds the name of any new procedures contained in the imported script to the Script list.


OLE Custom Control (OCX) files

OLE Custom Controls extend the number of objects that you can script in Lotus products. For example, the Lotus dialog controls listed under product classes in the IDE Browser panel are OCX controls that you can add to the Lotus Dialog Editor.

Once you add an OCX control to your product, you can script its properties, methods, and events in the IDE Script Editor.

The following illustration shows how the properties, methods, and events of an Lotus CommandButton OCX named Command4 are available to you in the IDE.

Tip	You can add OCX controls registered on your system to the Lotus Dialog Editor Toolbox by choosing File - Toolbox Setup in the Lotus Dialog Editor menu.


Product Documents
Product Document

To edit scripts in the IDE or to execute them in one or more products, you must create or use a document in your product that contains the scripts. Lotus products supporting LotusScript use the following document extensions:

Lotus Product	Document extension(s)
1-2-3	123
Approach	APR
Freelance Graphics	SMC
Notes	NSF
Word Pro	LWP


Using LotusScript Examples

Code examples provide working models for the scripts that you write. Whether the example is listed in a Help example or available as a product document on disk, you can copy statements or entire scripts from the examples and use them in your own script applications.

There are three types of LotusScript examples, each designed to illustrate a different aspect of the LotusScript language or the classes available for each SmartSuite product.

Examples in reference Help

Most examples appear in reference Help for the LotusScript language and for product classes. These brief examples focus on individual elements in the language or members of a product class. They illustrate how to use correct syntax for a working example, how to enter appropriate values for parameters, and how dependencies between elements operate.

Note	Although you can copy examples from reference Help and paste them into your scripts, they are not designed primarily to be self-contained. Sometimes there are dependencies between a piece of example code and the larger sample application from which it is derived.

Examples in Frequently-asked Questions (FAQs) Help

Frequently-asked questions (FAQs) illustrate how to complete common programming tasks using LotusScript. Examples in FAQs not only illustrate how individual statements work, but they also illustrate how these statements form a complete application or procedure. Most examples in FAQs are designed to be self-sufficient; you can copy one or more procedures from Help, paste them into your own scripts in the Script Editor, and execute them.

Note	When there are dependencies in an example that would require you to modify the example to make it run, these dependencies are documented in the Help topic or at the beginning of the first script in the example.

Sample applications

The Developing SmartSuite Applications Using LotusScript book includes numerous sample applications for SmartSuite and for individual products. These examples are designed to illustrate more sophisticated tasks for an individual product or tasks that utilize more than one product. They illustrate how to develop script applications that take advantage of embedded OLE objects, OLE automation, Notes, Visual Basic, the Worldwide Web, and custom Dynamic-link libraries (DLLs). Lotus develops new sample applications for SmartSuite on an ongoing basis; these new samples and updated versions of the ones in Developing SmartSuite Applications Using LotusScript are available on the Worldwide Web.

To copy scripts from these sample applications and paste them into your own script applications, you must first open the sample application document and then display its scripts by opening the IDE window for that document.

Note	 All sample applications in Developing SmartSuite Applications Using LotusScript are designed to run without modification.


Using LotusScript Help

The design for LotusScript Help supports three of the most frequent activities that you perform as a programmer:

•	Searching for objects and elements to use in your scripts

•	Writing scripts

•	Debugging scripts

LotusScript Help uses different types of windows to display different types of information, so it is important to know what each type of window contains and how to navigate between them.

Using Help to search for objects and elements

There are areas in Help designed to help you search for objects and language elements to use in your scripts:

LotusScript Help Contents

You can use Contents in Help to examine the overall structure of Help and to browse for Help topics relevant to your current script.

LotusScript Index

Indexes are one of the most popular ways that programmers search for information. Topics in LotusScript Help are indexed alphabetically, so you can enter key phrases or keywords and navigate to the corresponding Help topics.

LotusScript A - Z lists

LotusScript Help for each product provides A - Z lists of its classes, properties, methods, and events, including a comprehensive list of all the elements in the product.

IDE Browser Help

The Browser panel in the Integrated Development Environment (IDE) displays lists of LotusScript language elements and classes for products. You can expand and collapse entries in the Browser to view the associated properties, methods, and events for objects.

Highlight an element in the Browser panel and press F1 (HELP) to get context-sensitive Help on that element.

Using Help to write scripts

Help focuses on objects. As you are writing scripts, you explore the relationships between product classes and the behaviors of objects in that product.

Types of Help windows

To support this exploration, Help separates information about classes into four types of windows:

•	Class definition windows define what a class does in a product and how it works in the product's containment hierarchy. The class definition topic for the 1-2-3 Range object describes what ranges do in 1-2-3, how they are contained by larger objects, and how they contain smaller objects.

•	Class member list windows list all the properties, methods, and events that are members of a particular class.

•	Class member windows focus on particular properties, methods, or events.

•	Example windows contain one or more scripts for a particular property, method, or event. You can copy and paste script statements from these example windows into the IDE Script Editor.

Displaying Help windows

To display different types of LotusScript Help windows, use buttons in Help topics and in the Help window that are labeled by the type of Help window. The following illustration shows how to use buttons to display class member, class member list, and example windows in Help.

The following illustration shows how to display class definition and class member list windows in Help.

Help for editing and debugging scripts

You can also get context-sensitive Help about keywords and messages when you are editing or debugging your scripts in the IDE.

Context-sensitive Help in the Script Editor and Script Debugger

If you need help on a keyword while you are writing or debugging a script in the Script Editor and Script Debugger, place the insertion point on the keyword and press F1 (HELP) to get context-sensitive Help on that keyword.

Context-sensitive Help on messages

You can also get context-sensitive Help on two types of messages in the IDE. In the Script Editor, you can get context-sensitive Help on syntax errors. Navigate to the statement that caused the error and press F1 (HELP). When you are debugging your scripts and the IDE reports a run-time error, press F1 (HELP) to display information about that error and suggestions about fixing it.